/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Cse/cse.c                                                         */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t ABSTRACT_REAL__HEAP_ABSTRACT_36();
#if defined( __STDC__ )
static obj_t CSE_LET_CSE_CSE_0(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t CSE_LET_CSE_CSE_0();
#endif
#if defined( __STDC__ )
static obj_t NEW_PRED_I_CSE_CSE_79(obj_t, obj_t);
#else
static obj_t NEW_PRED_I_CSE_CSE_79();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t __BFOREIGN__FOREIGN_ATOMIC_156;
extern obj_t __BINT__FOREIGN_ATOMIC_219;
#if defined( __STDC__ )
static obj_t SMART_EQUAL__CSE_CSE_109(obj_t, obj_t);
#else
static obj_t SMART_EQUAL__CSE_CSE_109();
#endif
extern obj_t SIDE_EFFECT__EFFECT_PROPERTY_241();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t MUTATION__EFFECT_PROPERTY_118();
extern obj_t __BREAL__FOREIGN_ATOMIC_107;
extern obj_t ABSTRACT_BOOLEAN__HEAP_ABSTRACT_58();
extern obj_t FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
#if defined( __STDC__ )
extern obj_t __CSE_CSE_INITIALISATION_CSE_CSE_187(obj_t);
#else
extern obj_t __CSE_CSE_INITIALISATION_CSE_CSE_187();
#endif
extern obj_t SHAPE_TOOLS_SHAPE_229();
#if defined( __STDC__ )
static obj_t CSE_APPLICATION_CSE_CSE_244(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t CSE_APPLICATION_CSE_CSE_244();
#endif
extern obj_t ABSTRACT_PAIR__HEAP_ABSTRACT_238();
#if defined( __STDC__ )
extern obj_t CSE_CSE_CSE_232(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t CSE_CSE_CSE_232();
#endif
extern obj_t TYPE_OF_TYPE_TYPE_212();
extern obj_t ABSTRACT_VECTOR__HEAP_ABSTRACT_112();
#if defined( __STDC__ )
static obj_t CSE_PREDICAT_CSE_CSE_237(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t CSE_PREDICAT_CSE_CSE_237();
#endif
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
extern obj_t __BBOOL__FOREIGN_ATOMIC_60;
static obj_t __cnst[ 39 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
obj_t CSE_ENV_CSE_CSE_200 = BUNSPEC;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t __BSTRUCT__FOREIGN_ATOMIC_77;
extern obj_t MUTABLE__EFFECT_PROPERTY_29();
#if defined( __STDC__ )
static obj_t APP_VALUE_CSE_CSE_188(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t APP_VALUE_CSE_CSE_188();
#endif
static obj_t REQUIRE_INITIALISATION__CSE_CSE_25 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t TYPE_TYPE_INITIALISATION_TYPE_TYPE_144();
extern obj_t ABSTRACT_INTEGER__HEAP_ABSTRACT_119();
extern obj_t CSE_CSE_INITIALISATION_CSE_CSE_91();
extern obj_t c_constant_string_to_string();
extern obj_t ABSTRACT_SYMBOL__HEAP_ABSTRACT_254();
extern obj_t ABSTRACT_CHAR__HEAP_ABSTRACT_121();
extern obj_t __BSYMBOL__FOREIGN_ATOMIC_151;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t __BSTRING__FOREIGN_ATOMIC_65;
#if defined( __STDC__ )
static obj_t TEST_VALUE_CSE_CSE_57(obj_t, obj_t, obj_t);
#else
static obj_t TEST_VALUE_CSE_CSE_57();
#endif
extern obj_t make_fx_procedure();
extern obj_t EFFECT_PROPERTY_INITIALISATION_EFFECT_PROPERTY_197();
extern obj_t __BPAIR__FOREIGN_ATOMIC_173;
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t __BCHAR__FOREIGN_ATOMIC_5;
#if defined( __STDC__ )
extern obj_t __CSE_CSE_CSE_206(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __CSE_CSE_CSE_206();
#endif
#if defined( __STDC__ )
static obj_t SMART_ASSOC_CSE_CSE_74(obj_t, obj_t);
#else
static obj_t SMART_ASSOC_CSE_CSE_74();
#endif
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t __BVECTOR__FOREIGN_ATOMIC_141;
extern obj_t ABSTRACT_STRING__HEAP_ABSTRACT_68();
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
obj_t CSE_CSE_INITIALISATION_ENV_CSE_CSE_245 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
CSE_CSE_INITIALISATION_CSE_CSE_91()
#else
CSE_CSE_INITIALISATION_CSE_CSE_91()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__CSE_CSE_25 ))
{
REQUIRE_INITIALISATION__CSE_CSE_25=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
TYPE_TYPE_INITIALISATION_TYPE_TYPE_144();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
EFFECT_PROPERTY_INITIALISATION_EFFECT_PROPERTY_197();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
DECLARE_CNST_TABLE( __cnst[ 39 ]  );
{obj_t PORT_1070_51;
{obj_t AUX_1126_94;
AUX_1126_94=c_constant_string_to_string( "#\"   No side-effect\" #\"   side-effect\" #\"app-value: \" #\"cse-application: \" FC-OREIGN? C-STRUCT? WRITE #\"mutation?: \" #\"mutable?: \" #\"side-effect?: \" #\"binding: \" #\"test-value: \" FUNCTION-LIGHT FUNCTION-EXTRA-LIGHT FUNCTION FUNCALL-LIGHT FUNCALL-MEDIUM FUNCALL APPLY RETURN-FROM BLOCK LABELS LET SET! BEGIN TYPED-CASE CIF FAILURE PRAGMA FUNCALL-EXTRA-LIGHT QUOTE LOCAL #\"atom: \" #\" *val-i* : \" #\" *val-m* : \" #\" *pred-i*: \" #\" *pred-m*: \" #\"remove   : \" REMOVE " );PORT_1070_51=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1126_94 );}{obj_t OFFSET_1071_75;
{
OFFSET_1071_75=BINT( 38 );
{_LOOP_1072_164:

if( LT_I( OFFSET_1071_75, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1127_220;
AUX_1127_220=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1070_51, BEOA );CNST_TABLE_SET( OFFSET_1071_75, AUX_1127_220 );}
{obj_t OFFSET_1128_7;
OFFSET_1128_7=OFFSET_1071_75;{
OFFSET_1071_75=SUB_I( OFFSET_1128_7, BINT( 1 ) );
goto _LOOP_1072_164;
}}
}}
}}}
{
CSE_CSE_INITIALISATION_ENV_CSE_CSE_245=make_fx_procedure( __CSE_CSE_INITIALISATION_CSE_CSE_187, 0, 0 );
CSE_ENV_CSE_CSE_200=make_fx_procedure( __CSE_CSE_CSE_206, 6, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__CSE_CSE_INITIALISATION_CSE_CSE_187(obj_t ENV_1050_66)
#else
__CSE_CSE_INITIALISATION_CSE_CSE_187( ENV_1050_66 )
obj_t ENV_1050_66;
#endif
{

return CSE_CSE_INITIALISATION_CSE_CSE_91();
}

obj_t
#if defined( __STDC__ )
CSE_CSE_CSE_232(obj_t EXP_365_226,obj_t P__366_120,obj_t __PRED_M__367_121,obj_t __PRED_I__368_14,obj_t __VAL_M__369_58,obj_t __VAL_I__370_186)
#else
CSE_CSE_CSE_232( EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 )
obj_t EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186;
#endif
{
_CSE_CSE_CSE_232:

{
{obj_t AUX_1117_88;
{obj_t AUX_1118_35;
AUX_1118_35=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1117_88=SATISFY__TOOLS_TRACE_72( AUX_1118_35 );}if( BBOOL_TO_CBOOL( AUX_1117_88 ))
{
{obj_t g1000_372_18;
{obj_t L_602_212;
{obj_t C_CONS_617_24;
{obj_t STRING_CAST_1025_21;
STRING_CAST_1025_21=CNST_TABLE_REF( 1 );{obj_t C_CONS_616_6;
{obj_t C_CONS_615_20;
{obj_t C_CONS_614_81;
{obj_t STRING_CAST_1026_112;
STRING_CAST_1026_112=CNST_TABLE_REF( 2 );{obj_t C_CONS_613_17;
{obj_t C_CONS_612_127;
{obj_t C_CONS_611_92;
{obj_t STRING_CAST_1027_113;
STRING_CAST_1027_113=CNST_TABLE_REF( 3 );{obj_t C_CONS_610_91;
{obj_t C_CONS_609_190;
{obj_t C_CONS_608_104;
{obj_t STRING_CAST_1028_24;
STRING_CAST_1028_24=CNST_TABLE_REF( 4 );{obj_t C_CONS_607_186;
{obj_t C_CONS_606_67;
{obj_t C_CONS_605_28;
{obj_t STRING_CAST_1029_6;
STRING_CAST_1029_6=CNST_TABLE_REF( 5 );{obj_t C_CONS_604_210;
{obj_t C_CONS_603_115;
C_CONS_603_115=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1112_253;
AUX_1112_253=SHAPE_TOOLS_SHAPE_229( __VAL_I__370_186 );C_CONS_604_210=MAKE_PAIR( AUX_1112_253, C_CONS_603_115 );}}C_CONS_605_28=MAKE_PAIR( STRING_CAST_1029_6, C_CONS_604_210 );}}C_CONS_606_67=MAKE_PAIR( BCHAR( '\n' ), C_CONS_605_28 );}{obj_t AUX_1113_237;
AUX_1113_237=SHAPE_TOOLS_SHAPE_229( __VAL_M__369_58 );C_CONS_607_186=MAKE_PAIR( AUX_1113_237, C_CONS_606_67 );}}C_CONS_608_104=MAKE_PAIR( STRING_CAST_1028_24, C_CONS_607_186 );}}C_CONS_609_190=MAKE_PAIR( BCHAR( '\n' ), C_CONS_608_104 );}{obj_t AUX_1114_250;
AUX_1114_250=SHAPE_TOOLS_SHAPE_229( __PRED_I__368_14 );C_CONS_610_91=MAKE_PAIR( AUX_1114_250, C_CONS_609_190 );}}C_CONS_611_92=MAKE_PAIR( STRING_CAST_1027_113, C_CONS_610_91 );}}C_CONS_612_127=MAKE_PAIR( BCHAR( '\n' ), C_CONS_611_92 );}{obj_t AUX_1115_154;
AUX_1115_154=SHAPE_TOOLS_SHAPE_229( __PRED_M__367_121 );C_CONS_613_17=MAKE_PAIR( AUX_1115_154, C_CONS_612_127 );}}C_CONS_614_81=MAKE_PAIR( STRING_CAST_1026_112, C_CONS_613_17 );}}C_CONS_615_20=MAKE_PAIR( BCHAR( '\n' ), C_CONS_614_81 );}{obj_t AUX_1116_133;
AUX_1116_133=SHAPE_TOOLS_SHAPE_229( EXP_365_226 );C_CONS_616_6=MAKE_PAIR( AUX_1116_133, C_CONS_615_20 );}}C_CONS_617_24=MAKE_PAIR( STRING_CAST_1025_21, C_CONS_616_6 );}}L_602_212=MAKE_PAIR( BCHAR( '\n' ), C_CONS_617_24 );}{
g1000_372_18=L_602_212;
{_g1001_371_39:

if( PAIRP( g1000_372_18 ))
{
{obj_t A_373_215;
A_373_215=CAR( g1000_372_18 );{obj_t VA_ARG_1024_157;
VA_ARG_1024_157=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_373_215, VA_ARG_1024_157 );}}
{obj_t C_CDR_600_159;
C_CDR_600_159=CDR( g1000_372_18 );{
g1000_372_18=C_CDR_600_159;
goto _g1001_371_39;
}}
}else
BTRUE;}
}}}
{obj_t PORT_619_186;
PORT_619_186=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_619_186 );}
}else
BFALSE;}
{obj_t TYPE_425_175, TEST_426_103, CLAUSES_427_157, BINDINGS_437_184, BODY_438_228;
if( PAIRP( EXP_365_226 ))
{obj_t CDR_129_389_123;
CDR_129_389_123=CDR( EXP_365_226 );{obj_t OBJ1_726_158;
OBJ1_726_158=CAR( EXP_365_226 );if( EQP( OBJ1_726_158, CNST_TABLE_REF( 8 ) ))
if( PAIRP( CDR_129_389_123 ))
{obj_t OBJ2_728_56;
OBJ2_728_56=BNIL;{obj_t OBJ1_727_201;
OBJ1_727_201=CDR( CDR_129_389_123 );if( EQP( OBJ1_727_201, OBJ2_728_56 ))
{
return EXP_365_226;}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_729_3;
OBJ1_729_3=CAR( OBJ1_726_158 );if( EQP( OBJ1_729_3, CNST_TABLE_REF( 9 ) ))
{_TAG_113_386_44:

{obj_t HOOK_449_212;
{obj_t C_CDR_625_179;
C_CDR_625_179=CDR( EXP_365_226 );{
HOOK_449_212=C_CDR_625_179;
{_LOOP_448_36:

if( NULLP( HOOK_449_212 ))
return EXP_365_226;else
{
{obj_t OBJ_622_172;
{obj_t C_CAR_623_222;
C_CAR_623_222=CAR( HOOK_449_212 );OBJ_622_172=CSE_CSE_CSE_232( C_CAR_623_222, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}SET_CAR( HOOK_449_212, OBJ_622_172 );}
{obj_t C_CDR_624_62;
C_CDR_624_62=CDR( HOOK_449_212 );{
HOOK_449_212=C_CDR_624_62;
goto _LOOP_448_36;
}}
}}
}}}}else
{_TAG_114_387_251:

return CSE_APPLICATION_CSE_CSE_244( EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}else
goto _TAG_114_387_251;}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_730_126;
OBJ1_730_126=CAR( OBJ1_726_158 );if( EQP( OBJ1_730_126, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 10 ) ))
if( PAIRP( CDR_129_389_123 ))
{obj_t OBJ2_733_4;
OBJ2_733_4=BNIL;{obj_t OBJ1_732_5;
OBJ1_732_5=CDR( CDR_129_389_123 );if( EQP( OBJ1_732_5, OBJ2_733_4 ))
{
return EXP_365_226;}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_734_101;
OBJ1_734_101=CAR( OBJ1_726_158 );if( EQP( OBJ1_734_101, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_735_242;
OBJ1_735_242=CAR( OBJ1_726_158 );if( EQP( OBJ1_735_242, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
{if( EQP( OBJ1_726_158, CNST_TABLE_REF( 24 ) ))
{_KAP_144_397_161:

if( PAIRP( CDR_129_389_123 ))
{obj_t OBJ2_737_26;
OBJ2_737_26=BNIL;{obj_t OBJ1_736_193;
OBJ1_736_193=CDR( CDR_129_389_123 );if( EQP( OBJ1_736_193, OBJ2_737_26 ))
{
{
{obj_t OBJ_712_232;
{obj_t PAIR_713_213;
PAIR_713_213=CDR( EXP_365_226 );{obj_t C_CAR_714_154;
C_CAR_714_154=CAR( PAIR_713_213 );OBJ_712_232=CSE_CSE_CSE_232( C_CAR_714_154, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_711_190;
PAIR_711_190=CDR( EXP_365_226 );SET_CAR( PAIR_711_190, OBJ_712_232 );}}
return EXP_365_226;
}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 11 ) ))
{_TAG_105_378_68:

{
{obj_t OBJ_693_113;
{obj_t PAIR_694_67;
PAIR_694_67=CDR( EXP_365_226 );{obj_t C_CAR_695_142;
C_CAR_695_142=CAR( PAIR_694_67 );OBJ_693_113=CSE_CSE_CSE_232( C_CAR_695_142, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_692_15;
PAIR_692_15=CDR( EXP_365_226 );SET_CAR( PAIR_692_15, OBJ_693_113 );}}
{obj_t OBJ_697_225;
{obj_t PAIR_699_213;
{obj_t PAIR_701_52;
PAIR_701_52=CDR( EXP_365_226 );PAIR_699_213=CDR( PAIR_701_52 );}{obj_t C_CAR_700_232;
C_CAR_700_232=CAR( PAIR_699_213 );OBJ_697_225=CSE_CSE_CSE_232( C_CAR_700_232, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_696_210;
{obj_t PAIR_698_49;
PAIR_698_49=CDR( EXP_365_226 );PAIR_696_210=CDR( PAIR_698_49 );}SET_CAR( PAIR_696_210, OBJ_697_225 );}}
{obj_t OBJ_703_20;
{obj_t PAIR_707_38;
{obj_t PAIR_709_184;
{obj_t PAIR_710_104;
PAIR_710_104=CDR( EXP_365_226 );PAIR_709_184=CDR( PAIR_710_104 );}PAIR_707_38=CDR( PAIR_709_184 );}{obj_t C_CAR_708_126;
C_CAR_708_126=CAR( PAIR_707_38 );OBJ_703_20=CSE_CSE_CSE_232( C_CAR_708_126, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_702_135;
{obj_t PAIR_705_149;
{obj_t PAIR_706_44;
PAIR_706_44=CDR( EXP_365_226 );PAIR_705_149=CDR( PAIR_706_44 );}PAIR_702_135=CDR( PAIR_705_149 );}SET_CAR( PAIR_702_135, OBJ_703_20 );}}
return EXP_365_226;
}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 12 ) ))
{_TAG_106_379_146:

{
{obj_t OBJ_679_25;
{obj_t PAIR_680_75;
PAIR_680_75=CDR( EXP_365_226 );{obj_t C_CAR_681_94;
C_CAR_681_94=CAR( PAIR_680_75 );OBJ_679_25=CSE_CSE_CSE_232( C_CAR_681_94, BTRUE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_678_156;
PAIR_678_156=CDR( EXP_365_226 );SET_CAR( PAIR_678_156, OBJ_679_25 );}}
{obj_t TEST_VALUE_424_102;
{obj_t PAIR_682_22;
PAIR_682_22=CDR( EXP_365_226 );{obj_t C_CAR_683_224;
C_CAR_683_224=CAR( PAIR_682_22 );TEST_VALUE_424_102=TEST_VALUE_CSE_CSE_57( C_CAR_683_224, __PRED_M__367_121, __PRED_I__368_14 );}}if( NULLP( TEST_VALUE_424_102 ))
return CSE_PREDICAT_CSE_CSE_237( EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );else
if( BBOOL_TO_CBOOL( TEST_VALUE_424_102 ))
{obj_t PAIR_684_103;
{obj_t PAIR_686_12;
PAIR_686_12=CDR( EXP_365_226 );PAIR_684_103=CDR( PAIR_686_12 );}{obj_t C_CAR_685_247;
C_CAR_685_247=CAR( PAIR_684_103 );{
EXP_365_226=C_CAR_685_247;
goto _CSE_CSE_CSE_232;
}}}else
{obj_t PAIR_688_172;
{obj_t PAIR_690_48;
{obj_t PAIR_691_115;
PAIR_691_115=CDR( EXP_365_226 );PAIR_690_48=CDR( PAIR_691_115 );}PAIR_688_172=CDR( PAIR_690_48 );}{obj_t C_CAR_689_84;
C_CAR_689_84=CAR( PAIR_688_172 );{
EXP_365_226=C_CAR_689_84;
goto _CSE_CSE_CSE_232;
}}}}
}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 13 ) ))
if( PAIRP( OBJ1_736_193 ))
{obj_t C_CAR_741_144;
C_CAR_741_144=CAR( CDR_129_389_123 );{obj_t C_CAR_742_124;
C_CAR_742_124=CAR( OBJ1_736_193 );{obj_t C_CDR_743_85;
C_CDR_743_85=CDR( OBJ1_736_193 );{
CLAUSES_427_157=C_CDR_743_85;
TEST_426_103=C_CAR_742_124;
TYPE_425_175=C_CAR_741_144;
{_TAG_107_380_86:

{
{obj_t OBJ_668_210;
OBJ_668_210=CSE_CSE_CSE_232( TEST_426_103, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );{obj_t PAIR_667_128;
{obj_t PAIR_669_156;
PAIR_669_156=CDR( EXP_365_226 );PAIR_667_128=CDR( PAIR_669_156 );}SET_CAR( PAIR_667_128, OBJ_668_210 );}}
{bool_t MUTATION__1058_146;
{obj_t AUX_1119_206;
AUX_1119_206=MUTATION__EFFECT_PROPERTY_118( TEST_426_103 );MUTATION__1058_146=BBOOL_TO_CBOOL( AUX_1119_206 );}{obj_t __NEW_PRED_M__430_8, __NEW_VAL_M__429_20;
if( MUTATION__1058_146)
__NEW_PRED_M__430_8=BNIL;else
__NEW_PRED_M__430_8=__PRED_M__367_121;if( MUTATION__1058_146)
__NEW_VAL_M__429_20=BNIL;else
__NEW_VAL_M__429_20=__VAL_M__369_58;{obj_t HOOK_432_50;
{
HOOK_432_50=CLAUSES_427_157;
{_LOOP_431_23:

if( NULLP( HOOK_432_50 ))
return EXP_365_226;else
{
{obj_t OBJ_671_118;
{obj_t PAIR_674_60;
PAIR_674_60=CAR( HOOK_432_50 );{obj_t PAIR_675_66;
PAIR_675_66=CDR( PAIR_674_60 );{obj_t C_CAR_676_191;
C_CAR_676_191=CAR( PAIR_675_66 );OBJ_671_118=CSE_CSE_CSE_232( C_CAR_676_191, P__366_120, __NEW_PRED_M__430_8, __PRED_I__368_14, __NEW_VAL_M__429_20, __VAL_I__370_186 );}}}{obj_t PAIR_670_176;
{obj_t PAIR_673_86;
PAIR_673_86=CAR( HOOK_432_50 );PAIR_670_176=CDR( PAIR_673_86 );}SET_CAR( PAIR_670_176, OBJ_671_118 );}}
{obj_t C_CDR_677_188;
C_CDR_677_188=CDR( HOOK_432_50 );{
HOOK_432_50=C_CDR_677_188;
goto _LOOP_431_23;
}}
}}
}}}}
}}
}}}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_744_88;
OBJ1_744_88=CAR( OBJ1_726_158 );if( EQP( OBJ1_744_88, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 14 ) ))
{_TAG_108_381_123:

{obj_t HOOK_434_175, __PRED_M__435_169, __VAL_M__436_9;
{obj_t C_CDR_666_222;
C_CDR_666_222=CDR( EXP_365_226 );{
__VAL_M__436_9=__VAL_M__369_58;
__PRED_M__435_169=__PRED_M__367_121;
HOOK_434_175=C_CDR_666_222;
{_LOOP_433_69:

if( NULLP( HOOK_434_175 ))
return EXP_365_226;else
{
{obj_t OBJ_661_223;
{obj_t C_CAR_662_78;
C_CAR_662_78=CAR( HOOK_434_175 );OBJ_661_223=CSE_CSE_CSE_232( C_CAR_662_78, BFALSE, __PRED_M__435_169, __PRED_I__368_14, __VAL_M__436_9, __VAL_I__370_186 );}SET_CAR( HOOK_434_175, OBJ_661_223 );}
{obj_t C_CAR_663_75;
C_CAR_663_75=CAR( HOOK_434_175 );{obj_t AUX_1120_196;
AUX_1120_196=MUTATION__EFFECT_PROPERTY_118( C_CAR_663_75 );if( BBOOL_TO_CBOOL( AUX_1120_196 ))
{obj_t C_CDR_664_163;
C_CDR_664_163=CDR( HOOK_434_175 );{
__VAL_M__436_9=BNIL;
__PRED_M__435_169=BNIL;
HOOK_434_175=C_CDR_664_163;
goto _LOOP_433_69;
}}else
{obj_t C_CDR_665_200;
C_CDR_665_200=CDR( HOOK_434_175 );{
HOOK_434_175=C_CDR_665_200;
goto _LOOP_433_69;
}}}}
}}
}}}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 15 ) ))
{_TAG_109_382_164:

{
{obj_t OBJ_656_26;
{obj_t PAIR_658_95;
{obj_t PAIR_660_161;
PAIR_660_161=CDR( EXP_365_226 );PAIR_658_95=CDR( PAIR_660_161 );}{obj_t C_CAR_659_103;
C_CAR_659_103=CAR( PAIR_658_95 );OBJ_656_26=CSE_CSE_CSE_232( C_CAR_659_103, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_655_88;
{obj_t PAIR_657_154;
PAIR_657_154=CDR( EXP_365_226 );PAIR_655_88=CDR( PAIR_657_154 );}SET_CAR( PAIR_655_88, OBJ_656_26 );}}
return EXP_365_226;
}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 16 ) ))
{_TAG_110_383_71:

return CSE_LET_CSE_CSE_0( EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 17 ) ))
if( PAIRP( OBJ1_736_193 ))
{obj_t OBJ1_749_95;
OBJ1_749_95=CDR( OBJ1_736_193 );if( EQP( OBJ1_749_95, OBJ2_737_26 ))
{obj_t C_CAR_751_12;
C_CAR_751_12=CAR( CDR_129_389_123 );{obj_t C_CAR_752_70;
C_CAR_752_70=CAR( OBJ1_736_193 );{
BODY_438_228=C_CAR_752_70;
BINDINGS_437_184=C_CAR_751_12;
{_TAG_111_384_170:

{
{obj_t g1002_440_189;
{
g1002_440_189=BINDINGS_437_184;
{_g1003_439_44:

if( PAIRP( g1002_440_189 ))
{
{obj_t B_441_216;
B_441_216=CAR( g1002_440_189 );{
{obj_t V_635_16;
V_635_16=BNIL;{obj_t S_634_159;
S_634_159=CAR( B_441_216 );STRUCT_SLOT_SET( S_634_159, BINT( 4 ), V_635_16 );}}
{obj_t g1004_443_78;
{obj_t PAIR_639_219;
PAIR_639_219=CDR( B_441_216 );{obj_t C_CAR_640_41;
C_CAR_640_41=CAR( PAIR_639_219 );{
g1004_443_78=C_CAR_640_41;
{_g1005_442_92:

if( PAIRP( g1004_443_78 ))
{
{obj_t F_444_215;
F_444_215=CAR( g1004_443_78 );{obj_t V_636_150;
V_636_150=BNIL;STRUCT_SLOT_SET( F_444_215, BINT( 4 ), V_636_150 );}}
{obj_t C_CDR_637_149;
C_CDR_637_149=CDR( g1004_443_78 );{
g1004_443_78=C_CDR_637_149;
goto _g1005_442_92;
}}
}else
BTRUE;}
}}}}
}}
{obj_t C_CDR_641_153;
C_CDR_641_153=CDR( g1002_440_189 );{
g1002_440_189=C_CDR_641_153;
goto _g1003_439_44;
}}
}else
BTRUE;}
}}
{obj_t OBJ_643_26;
{obj_t PAIR_645_49;
{obj_t PAIR_647_104;
PAIR_647_104=CDR( EXP_365_226 );PAIR_645_49=CDR( PAIR_647_104 );}{obj_t C_CAR_646_156;
C_CAR_646_156=CAR( PAIR_645_49 );OBJ_643_26=CSE_CSE_CSE_232( C_CAR_646_156, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_642_223;
{obj_t PAIR_644_213;
PAIR_644_213=CDR( EXP_365_226 );PAIR_642_223=CDR( PAIR_644_213 );}SET_CAR( PAIR_642_223, OBJ_643_26 );}}
{obj_t HOOK_446_199;
{
HOOK_446_199=BINDINGS_437_184;
{_LOOP_445_107:

if( NULLP( HOOK_446_199 ))
return EXP_365_226;else
{obj_t BINDING_447_230;
BINDING_447_230=CAR( HOOK_446_199 );{
{obj_t OBJ_649_50;
{obj_t PAIR_651_237;
{obj_t PAIR_653_85;
PAIR_653_85=CDR( BINDING_447_230 );PAIR_651_237=CDR( PAIR_653_85 );}{obj_t C_CAR_652_167;
C_CAR_652_167=CAR( PAIR_651_237 );OBJ_649_50=CSE_CSE_CSE_232( C_CAR_652_167, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_648_186;
{obj_t PAIR_650_253;
PAIR_650_253=CDR( BINDING_447_230 );PAIR_648_186=CDR( PAIR_650_253 );}SET_CAR( PAIR_648_186, OBJ_649_50 );}}
{obj_t C_CDR_654_152;
C_CDR_654_152=CDR( HOOK_446_199 );{
HOOK_446_199=C_CDR_654_152;
goto _LOOP_445_107;
}}
}}}
}}
}}
}}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_753_88;
OBJ1_753_88=CAR( OBJ1_726_158 );if( EQP( OBJ1_753_88, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_754_178;
OBJ1_754_178=CAR( OBJ1_726_158 );if( EQP( OBJ1_754_178, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 18 ) ))
{_TAG_112_385_255:

{
{obj_t OBJ_627_157;
{obj_t PAIR_631_120;
{obj_t PAIR_633_203;
PAIR_633_203=CDR( EXP_365_226 );PAIR_631_120=CDR( PAIR_633_203 );}{obj_t C_CAR_632_180;
C_CAR_632_180=CAR( PAIR_631_120 );OBJ_627_157=CSE_CSE_CSE_232( C_CAR_632_180, BFALSE, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );}}{obj_t PAIR_626_114;
{obj_t PAIR_629_162;
PAIR_629_162=CDR( EXP_365_226 );PAIR_626_114=CDR( PAIR_629_162 );}SET_CAR( PAIR_626_114, OBJ_627_157 );}}
return EXP_365_226;
}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 19 ) ))
goto _TAG_112_385_255;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 20 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 21 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 22 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 23 ) ))
goto _TAG_113_386_44;else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_755_85;
OBJ1_755_85=CAR( OBJ1_726_158 );if( EQP( OBJ1_755_85, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 11 ) ))
goto _TAG_105_378_68;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 12 ) ))
goto _TAG_106_379_146;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 14 ) ))
goto _TAG_108_381_123;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 15 ) ))
goto _TAG_109_382_164;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 16 ) ))
goto _TAG_110_383_71;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 18 ) ))
goto _TAG_112_385_255;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 19 ) ))
goto _TAG_112_385_255;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 20 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 21 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 22 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 23 ) ))
goto _TAG_113_386_44;else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_761_222;
OBJ1_761_222=CAR( OBJ1_726_158 );if( EQP( OBJ1_761_222, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 25 ) ))
goto _KAP_144_397_161;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 26 ) ))
goto _KAP_144_397_161;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 11 ) ))
goto _TAG_105_378_68;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 12 ) ))
goto _TAG_106_379_146;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_129_389_123 ))
{obj_t CDR_434_399_76;
CDR_434_399_76=CDR( CDR_129_389_123 );if( PAIRP( CDR_434_399_76 ))
{obj_t C_CAR_765_67;
C_CAR_765_67=CAR( CDR_129_389_123 );{obj_t C_CAR_766_28;
C_CAR_766_28=CAR( CDR_434_399_76 );{obj_t C_CDR_767_83;
C_CDR_767_83=CDR( CDR_434_399_76 );{
CLAUSES_427_157=C_CDR_767_83;
TEST_426_103=C_CAR_766_28;
TYPE_425_175=C_CAR_765_67;
goto _TAG_107_380_86;
}}}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_768_229;
OBJ1_768_229=CAR( OBJ1_726_158 );if( EQP( OBJ1_768_229, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_769_123;
OBJ1_769_123=CAR( OBJ1_726_158 );if( EQP( OBJ1_769_123, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 14 ) ))
goto _TAG_108_381_123;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 15 ) ))
goto _TAG_109_382_164;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 16 ) ))
goto _TAG_110_383_71;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 17 ) ))
if( PAIRP( CDR_129_389_123 ))
{obj_t CDR_381_403_127;
CDR_381_403_127=CDR( CDR_129_389_123 );if( PAIRP( CDR_381_403_127 ))
{obj_t OBJ2_775_188;
OBJ2_775_188=BNIL;{obj_t OBJ1_774_228;
OBJ1_774_228=CDR( CDR_381_403_127 );if( EQP( OBJ1_774_228, OBJ2_775_188 ))
{obj_t C_CAR_776_35;
C_CAR_776_35=CAR( CDR_129_389_123 );{obj_t C_CAR_777_206;
C_CAR_777_206=CAR( CDR_381_403_127 );{
BODY_438_228=C_CAR_777_206;
BINDINGS_437_184=C_CAR_776_35;
goto _TAG_111_384_170;
}}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_778_11;
OBJ1_778_11=CAR( OBJ1_726_158 );if( EQP( OBJ1_778_11, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_779_126;
OBJ1_779_126=CAR( OBJ1_726_158 );if( EQP( OBJ1_779_126, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_780_24;
OBJ1_780_24=CAR( OBJ1_726_158 );if( EQP( OBJ1_780_24, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 18 ) ))
goto _TAG_112_385_255;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 19 ) ))
goto _TAG_112_385_255;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 20 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 21 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 22 ) ))
goto _TAG_113_386_44;else
if( EQP( OBJ1_726_158, CNST_TABLE_REF( 23 ) ))
goto _TAG_113_386_44;else
if( PAIRP( OBJ1_726_158 ))
{obj_t OBJ1_781_6;
OBJ1_781_6=CAR( OBJ1_726_158 );if( EQP( OBJ1_781_6, CNST_TABLE_REF( 9 ) ))
goto _TAG_113_386_44;else
goto _TAG_114_387_251;}else
goto _TAG_114_387_251;}}}else
{
{
{obj_t AUX_1122_247;
{obj_t AUX_1123_204;
AUX_1123_204=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1122_247=SATISFY__TOOLS_TRACE_72( AUX_1123_204 );}if( BBOOL_TO_CBOOL( AUX_1122_247 ))
{
{obj_t g1006_421_1;
{obj_t L_716_31;
{obj_t STRING_CAST_1031_220;
STRING_CAST_1031_220=CNST_TABLE_REF( 6 );{obj_t C_CONS_718_124;
{obj_t C_CONS_717_70;
C_CONS_717_70=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1121_43;
AUX_1121_43=SHAPE_TOOLS_SHAPE_229( EXP_365_226 );C_CONS_718_124=MAKE_PAIR( AUX_1121_43, C_CONS_717_70 );}}L_716_31=MAKE_PAIR( STRING_CAST_1031_220, C_CONS_718_124 );}}{
g1006_421_1=L_716_31;
{_g1007_420_31:

if( PAIRP( g1006_421_1 ))
{
{obj_t A_422_16;
A_422_16=CAR( g1006_421_1 );{obj_t VA_ARG_1030_103;
VA_ARG_1030_103=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_422_16, VA_ARG_1030_103 );}}
{obj_t C_CDR_715_231;
C_CDR_715_231=CDR( g1006_421_1 );{
g1006_421_1=C_CDR_715_231;
goto _g1007_420_31;
}}
}else
BTRUE;}
}}}
{obj_t PORT_719_140;
PORT_719_140=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_719_140 );}
}else
BFALSE;}
{bool_t __andtest_1008_1054_31;
{obj_t AUX_1124_224;
if( STRUCTP( EXP_365_226 ))
AUX_1124_224=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( EXP_365_226 ), CNST_TABLE_REF( 7 ) ) );else
AUX_1124_224=BFALSE;__andtest_1008_1054_31=BBOOL_TO_CBOOL( AUX_1124_224 );}{if( __andtest_1008_1054_31)
{bool_t OBJ_1056_50;
{obj_t AUX_1125_212;
{bool_t OBJ_1055_80;
OBJ_1055_80=NULLP( STRUCT_SLOT_REF( EXP_365_226, BINT( 4 ) ) );AUX_1125_212=CBOOL_TO_BBOOL( OBJ_1055_80 );}OBJ_1056_50=BBOOL_TO_CBOOL( AUX_1125_212 );}if( OBJ_1056_50)
goto _false_7;else
goto _true_6;}else
goto _false_7;_true_6:
return STRUCT_SLOT_REF( EXP_365_226, BINT( 4 ) );_false_7:
return EXP_365_226;;
}}
}}}
}
}

obj_t
#if defined( __STDC__ )
__CSE_CSE_CSE_206(obj_t ENV_1049_36,obj_t EXP_365_226,obj_t P__366_120,obj_t __PRED_M__367_121,obj_t __PRED_I__368_14,obj_t __VAL_M__369_58,obj_t __VAL_I__370_186)
#else
__CSE_CSE_CSE_206( ENV_1049_36, EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 )
obj_t ENV_1049_36, EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186;
#endif
{

return CSE_CSE_CSE_232( EXP_365_226, P__366_120, __PRED_M__367_121, __PRED_I__368_14, __VAL_M__369_58, __VAL_I__370_186 );
}

static obj_t
#if defined( __STDC__ )
TEST_VALUE_CSE_CSE_57(obj_t EXP_450_86,obj_t __PRED_M__451_227,obj_t __PRED_I__452_134)
#else
TEST_VALUE_CSE_CSE_57( EXP_450_86, __PRED_M__451_227, __PRED_I__452_134 )
obj_t EXP_450_86, __PRED_M__451_227, __PRED_I__452_134;
#endif
{

{
{obj_t AUX_1109_160;
{obj_t AUX_1110_178;
AUX_1110_178=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1109_160=SATISFY__TOOLS_TRACE_72( AUX_1110_178 );}if( BBOOL_TO_CBOOL( AUX_1109_160 ))
{
{obj_t g1009_454_96;
{obj_t L_783_213;
{obj_t STRING_CAST_1033_212;
STRING_CAST_1033_212=CNST_TABLE_REF( 27 );{obj_t C_CONS_785_219;
{obj_t C_CONS_784_10;
C_CONS_784_10=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1108_215;
AUX_1108_215=SHAPE_TOOLS_SHAPE_229( EXP_450_86 );C_CONS_785_219=MAKE_PAIR( AUX_1108_215, C_CONS_784_10 );}}L_783_213=MAKE_PAIR( STRING_CAST_1033_212, C_CONS_785_219 );}}{
g1009_454_96=L_783_213;
{_g1010_453_50:

if( PAIRP( g1009_454_96 ))
{
{obj_t A_455_0;
A_455_0=CAR( g1009_454_96 );{obj_t VA_ARG_1032_12;
VA_ARG_1032_12=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_455_0, VA_ARG_1032_12 );}}
{obj_t C_CDR_782_15;
C_CDR_782_15=CDR( g1009_454_96 );{
g1009_454_96=C_CDR_782_15;
goto _g1010_453_50;
}}
}else
BTRUE;}
}}}
{obj_t PORT_786_254;
PORT_786_254=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_786_254 );}
}else
BFALSE;}
{obj_t AUX_1111_85;
AUX_1111_85=SIDE_EFFECT__EFFECT_PROPERTY_241( EXP_450_86 );if( BBOOL_TO_CBOOL( AUX_1111_85 ))
return BNIL;else
if( BOOLEANP( EXP_450_86 ))
return EXP_450_86;else
{obj_t CELL_456_210;
CELL_456_210=SMART_ASSOC_CSE_CSE_74( EXP_450_86, __PRED_M__451_227 );if( PAIRP( CELL_456_210 ))
return CDR( CELL_456_210 );else
{obj_t CELL_457_28;
CELL_457_28=SMART_ASSOC_CSE_CSE_74( EXP_450_86, __PRED_I__452_134 );if( PAIRP( CELL_457_28 ))
return CDR( CELL_457_28 );else
return BNIL;}}}
}
}

static obj_t
#if defined( __STDC__ )
CSE_PREDICAT_CSE_CSE_237(obj_t EXP_458_46,obj_t P__459_21,obj_t __PRED_M__460_104,obj_t __PRED_I__461_171,obj_t __VAL_M__462_9,obj_t __VAL_I__463_125)
#else
CSE_PREDICAT_CSE_CSE_237( EXP_458_46, P__459_21, __PRED_M__460_104, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125 )
obj_t EXP_458_46, P__459_21, __PRED_M__460_104, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125;
#endif
{

{obj_t TEST_464_210;
{obj_t PAIR_790_230;
PAIR_790_230=CDR( EXP_458_46 );TEST_464_210=CAR( PAIR_790_230 );}{obj_t AUX_1107_62;
AUX_1107_62=MUTATION__EFFECT_PROPERTY_118( TEST_464_210 );if( BBOOL_TO_CBOOL( AUX_1107_62 ))
{
{obj_t OBJ_792_150;
{obj_t PAIR_794_62;
{obj_t PAIR_796_246;
PAIR_796_246=CDR( EXP_458_46 );PAIR_794_62=CDR( PAIR_796_246 );}{obj_t C_CAR_795_210;
C_CAR_795_210=CAR( PAIR_794_62 );OBJ_792_150=CSE_CSE_CSE_232( C_CAR_795_210, P__459_21, BNIL, __PRED_I__461_171, BNIL, __VAL_I__463_125 );}}{obj_t PAIR_791_142;
{obj_t PAIR_793_227;
PAIR_793_227=CDR( EXP_458_46 );PAIR_791_142=CDR( PAIR_793_227 );}SET_CAR( PAIR_791_142, OBJ_792_150 );}}
{obj_t OBJ_798_34;
{obj_t PAIR_801_175;
{obj_t PAIR_803_100;
{obj_t PAIR_804_80;
PAIR_804_80=CDR( EXP_458_46 );PAIR_803_100=CDR( PAIR_804_80 );}PAIR_801_175=CDR( PAIR_803_100 );}{obj_t C_CAR_802_207;
C_CAR_802_207=CAR( PAIR_801_175 );OBJ_798_34=CSE_CSE_CSE_232( C_CAR_802_207, P__459_21, BNIL, __PRED_I__461_171, BNIL, __VAL_I__463_125 );}}{obj_t PAIR_797_114;
{obj_t PAIR_799_53;
{obj_t PAIR_800_195;
PAIR_800_195=CDR( EXP_458_46 );PAIR_799_53=CDR( PAIR_800_195 );}PAIR_797_114=CDR( PAIR_799_53 );}SET_CAR( PAIR_797_114, OBJ_798_34 );}}
return EXP_458_46;
}else
{obj_t AUX_1106_179;
AUX_1106_179=SIDE_EFFECT__EFFECT_PROPERTY_241( TEST_464_210 );if( BBOOL_TO_CBOOL( AUX_1106_179 ))
{
{obj_t OBJ_806_20;
{obj_t PAIR_808_33;
{obj_t PAIR_810_169;
PAIR_810_169=CDR( EXP_458_46 );PAIR_808_33=CDR( PAIR_810_169 );}{obj_t C_CAR_809_6;
C_CAR_809_6=CAR( PAIR_808_33 );OBJ_806_20=CSE_CSE_CSE_232( C_CAR_809_6, P__459_21, __PRED_M__460_104, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125 );}}{obj_t PAIR_805_166;
{obj_t PAIR_807_50;
PAIR_807_50=CDR( EXP_458_46 );PAIR_805_166=CDR( PAIR_807_50 );}SET_CAR( PAIR_805_166, OBJ_806_20 );}}
{obj_t OBJ_812_186;
{obj_t PAIR_815_87;
{obj_t PAIR_817_177;
{obj_t PAIR_818_40;
PAIR_818_40=CDR( EXP_458_46 );PAIR_817_177=CDR( PAIR_818_40 );}PAIR_815_87=CDR( PAIR_817_177 );}{obj_t C_CAR_816_196;
C_CAR_816_196=CAR( PAIR_815_87 );OBJ_812_186=CSE_CSE_CSE_232( C_CAR_816_196, P__459_21, __PRED_M__460_104, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125 );}}{obj_t PAIR_811_234;
{obj_t PAIR_813_56;
{obj_t PAIR_814_197;
PAIR_814_197=CDR( EXP_458_46 );PAIR_813_56=CDR( PAIR_814_197 );}PAIR_811_234=CDR( PAIR_813_56 );}SET_CAR( PAIR_811_234, OBJ_812_186 );}}
return EXP_458_46;
}else
{obj_t AUX_1105_246;
AUX_1105_246=MUTABLE__EFFECT_PROPERTY_29( TEST_464_210 );if( BBOOL_TO_CBOOL( AUX_1105_246 ))
{
{obj_t OBJ_820_56;
{obj_t PAIR_822_211;
{obj_t PAIR_824_190;
PAIR_824_190=CDR( EXP_458_46 );PAIR_822_211=CDR( PAIR_824_190 );}{obj_t C_CAR_823_252;
C_CAR_823_252=CAR( PAIR_822_211 );{obj_t OBJ1_827_15;
OBJ1_827_15=MAKE_PAIR( TEST_464_210, BTRUE );{obj_t C_CONS_828_128;
C_CONS_828_128=MAKE_PAIR( OBJ1_827_15, __PRED_M__460_104 );OBJ_820_56=CSE_CSE_CSE_232( C_CAR_823_252, P__459_21, C_CONS_828_128, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125 );}}}}{obj_t PAIR_819_188;
{obj_t PAIR_821_148;
PAIR_821_148=CDR( EXP_458_46 );PAIR_819_188=CDR( PAIR_821_148 );}SET_CAR( PAIR_819_188, OBJ_820_56 );}}
{obj_t OBJ_830_188;
{obj_t PAIR_833_27;
{obj_t PAIR_835_125;
{obj_t PAIR_836_170;
PAIR_836_170=CDR( EXP_458_46 );PAIR_835_125=CDR( PAIR_836_170 );}PAIR_833_27=CDR( PAIR_835_125 );}{obj_t C_CAR_834_77;
C_CAR_834_77=CAR( PAIR_833_27 );{obj_t OBJ1_837_242;
OBJ1_837_242=MAKE_PAIR( TEST_464_210, BFALSE );{obj_t C_CONS_838_70;
C_CONS_838_70=MAKE_PAIR( OBJ1_837_242, __PRED_M__460_104 );OBJ_830_188=CSE_CSE_CSE_232( C_CAR_834_77, P__459_21, C_CONS_838_70, __PRED_I__461_171, __VAL_M__462_9, __VAL_I__463_125 );}}}}{obj_t PAIR_829_210;
{obj_t PAIR_831_140;
{obj_t PAIR_832_233;
PAIR_832_233=CDR( EXP_458_46 );PAIR_831_140=CDR( PAIR_832_233 );}PAIR_829_210=CDR( PAIR_831_140 );}SET_CAR( PAIR_829_210, OBJ_830_188 );}}
return EXP_458_46;
}else
{
{obj_t OBJ_840_97;
{obj_t PAIR_842_105;
{obj_t PAIR_844_29;
PAIR_844_29=CDR( EXP_458_46 );PAIR_842_105=CDR( PAIR_844_29 );}{obj_t C_CAR_843_36;
C_CAR_843_36=CAR( PAIR_842_105 );{obj_t OBJ1_845_252;
OBJ1_845_252=MAKE_PAIR( TEST_464_210, BTRUE );{obj_t C_CONS_846_10;
C_CONS_846_10=MAKE_PAIR( OBJ1_845_252, __PRED_I__461_171 );OBJ_840_97=CSE_CSE_CSE_232( C_CAR_843_36, P__459_21, __PRED_M__460_104, C_CONS_846_10, __VAL_M__462_9, __VAL_I__463_125 );}}}}{obj_t PAIR_839_132;
{obj_t PAIR_841_55;
PAIR_841_55=CDR( EXP_458_46 );PAIR_839_132=CDR( PAIR_841_55 );}SET_CAR( PAIR_839_132, OBJ_840_97 );}}
{obj_t OBJ_848_27;
{obj_t PAIR_851_20;
{obj_t PAIR_853_24;
{obj_t PAIR_854_91;
PAIR_854_91=CDR( EXP_458_46 );PAIR_853_24=CDR( PAIR_854_91 );}PAIR_851_20=CDR( PAIR_853_24 );}{obj_t C_CAR_852_153;
C_CAR_852_153=CAR( PAIR_851_20 );{obj_t OBJ1_855_214;
OBJ1_855_214=MAKE_PAIR( TEST_464_210, BFALSE );{obj_t C_CONS_856_53;
C_CONS_856_53=MAKE_PAIR( OBJ1_855_214, __PRED_I__461_171 );OBJ_848_27=CSE_CSE_CSE_232( C_CAR_852_153, P__459_21, __PRED_M__460_104, C_CONS_856_53, __VAL_M__462_9, __VAL_I__463_125 );}}}}{obj_t PAIR_847_194;
{obj_t PAIR_849_64;
{obj_t PAIR_850_81;
PAIR_850_81=CDR( EXP_458_46 );PAIR_849_64=CDR( PAIR_850_81 );}PAIR_847_194=CDR( PAIR_849_64 );}SET_CAR( PAIR_847_194, OBJ_848_27 );}}
return EXP_458_46;
}}}}}
}

static obj_t
#if defined( __STDC__ )
CSE_LET_CSE_CSE_0(obj_t EXP_465_238,obj_t P__466_173,obj_t __PRED_M__467_211,obj_t __PRED_I__468_108,obj_t __VAL_M__469_102,obj_t __VAL_I__470_149)
#else
CSE_LET_CSE_CSE_0( EXP_465_238, P__466_173, __PRED_M__467_211, __PRED_I__468_108, __VAL_M__469_102, __VAL_I__470_149 )
obj_t EXP_465_238, P__466_173, __PRED_M__467_211, __PRED_I__468_108, __VAL_M__469_102, __VAL_I__470_149;
#endif
{

{obj_t MUTATION_SEEN__471_105;
MUTATION_SEEN__471_105=BFALSE;{obj_t BINDINGS_473_67, TAIL_474_250, __NEW_PRED_M__475_34, __NEW_PRED_I__476_146, __NEW_VAL_M__477_245, __NEW_VAL_I__478_38;
{obj_t PAIR_933_5;
PAIR_933_5=CDR( EXP_465_238 );{obj_t C_CAR_934_171;
C_CAR_934_171=CAR( PAIR_933_5 );{
__NEW_VAL_I__478_38=__VAL_I__470_149;
__NEW_VAL_M__477_245=__VAL_M__469_102;
__NEW_PRED_I__476_146=__PRED_I__468_108;
__NEW_PRED_M__475_34=__PRED_M__467_211;
TAIL_474_250=BNIL;
BINDINGS_473_67=C_CAR_934_171;
{_LOOP_472_186:

{if( NULLP( BINDINGS_473_67 ))
{obj_t BODY_480_179;
if( BBOOL_TO_CBOOL( MUTATION_SEEN__471_105 ))
{obj_t PAIR_867_141;
{obj_t PAIR_869_168;
PAIR_869_168=CDR( EXP_465_238 );PAIR_867_141=CDR( PAIR_869_168 );}{obj_t C_CAR_868_236;
C_CAR_868_236=CAR( PAIR_867_141 );BODY_480_179=CSE_CSE_CSE_232( C_CAR_868_236, P__466_173, BNIL, __NEW_PRED_I__476_146, BNIL, __NEW_VAL_I__478_38 );}}else
{obj_t PAIR_870_68;
{obj_t PAIR_872_169;
PAIR_872_169=CDR( EXP_465_238 );PAIR_870_68=CDR( PAIR_872_169 );}{obj_t C_CAR_871_180;
C_CAR_871_180=CAR( PAIR_870_68 );BODY_480_179=CSE_CSE_CSE_232( C_CAR_871_180, P__466_173, __NEW_PRED_M__475_34, __NEW_PRED_I__476_146, __NEW_VAL_M__477_245, __NEW_VAL_I__478_38 );}}if( NULLP( TAIL_474_250 ))
return BODY_480_179;else
{
{obj_t PAIR_873_234;
{obj_t PAIR_874_107;
PAIR_874_107=CDR( EXP_465_238 );PAIR_873_234=CDR( PAIR_874_107 );}SET_CAR( PAIR_873_234, BODY_480_179 );}
return EXP_465_238;
}}else
{obj_t BINDING_481_188;
BINDING_481_188=CAR( BINDINGS_473_67 );{obj_t VAR_482_33;
VAR_482_33=CAR( BINDING_481_188 );{obj_t VAL_483_222;
{obj_t PAIR_875_177;
PAIR_875_177=CDR( BINDING_481_188 );VAL_483_222=CAR( PAIR_875_177 );}{
{obj_t AUX_1093_76;
{obj_t AUX_1094_123;
AUX_1094_123=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1093_76=SATISFY__TOOLS_TRACE_72( AUX_1094_123 );}if( BBOOL_TO_CBOOL( AUX_1093_76 ))
{
{obj_t g1011_485_132;
{obj_t L_877_122;
{obj_t STRING_CAST_1035_204;
STRING_CAST_1035_204=CNST_TABLE_REF( 28 );{obj_t C_CONS_894_134;
{obj_t C_CONS_893_29;
{obj_t C_CONS_892_164;
{obj_t STRING_CAST_1036_196;
STRING_CAST_1036_196=CNST_TABLE_REF( 29 );{obj_t C_CONS_891_185;
{obj_t PAIR_878_65;
PAIR_878_65=CDR( BINDING_481_188 );{obj_t C_CAR_879_179;
C_CAR_879_179=CAR( PAIR_878_65 );{obj_t C_CONS_890_194;
{obj_t C_CONS_889_154;
{obj_t STRING_CAST_1037_43;
STRING_CAST_1037_43=CNST_TABLE_REF( 30 );{obj_t C_CONS_888_250;
{obj_t C_CONS_887_116;
{obj_t C_CONS_886_95;
{obj_t STRING_CAST_1038_84;
STRING_CAST_1038_84=CNST_TABLE_REF( 31 );{obj_t C_CONS_885_206;
{obj_t C_CONS_884_35;
C_CONS_884_35=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1089_173;
AUX_1089_173=MUTATION__EFFECT_PROPERTY_118( C_CAR_879_179 );C_CONS_885_206=MAKE_PAIR( AUX_1089_173, C_CONS_884_35 );}}C_CONS_886_95=MAKE_PAIR( STRING_CAST_1038_84, C_CONS_885_206 );}}C_CONS_887_116=MAKE_PAIR( BCHAR( '\n' ), C_CONS_886_95 );}{obj_t AUX_1090_120;
AUX_1090_120=MUTABLE__EFFECT_PROPERTY_29( C_CAR_879_179 );C_CONS_888_250=MAKE_PAIR( AUX_1090_120, C_CONS_887_116 );}}C_CONS_889_154=MAKE_PAIR( STRING_CAST_1037_43, C_CONS_888_250 );}}C_CONS_890_194=MAKE_PAIR( BCHAR( '\n' ), C_CONS_889_154 );}{obj_t AUX_1091_209;
AUX_1091_209=SIDE_EFFECT__EFFECT_PROPERTY_241( C_CAR_879_179 );C_CONS_891_185=MAKE_PAIR( AUX_1091_209, C_CONS_890_194 );}}}}C_CONS_892_164=MAKE_PAIR( STRING_CAST_1036_196, C_CONS_891_185 );}}C_CONS_893_29=MAKE_PAIR( BCHAR( '\n' ), C_CONS_892_164 );}{obj_t AUX_1092_203;
AUX_1092_203=SHAPE_TOOLS_SHAPE_229( BINDING_481_188 );C_CONS_894_134=MAKE_PAIR( AUX_1092_203, C_CONS_893_29 );}}L_877_122=MAKE_PAIR( STRING_CAST_1035_204, C_CONS_894_134 );}}{
g1011_485_132=L_877_122;
{_g1012_484_246:

if( PAIRP( g1011_485_132 ))
{
{obj_t A_486_14;
A_486_14=CAR( g1011_485_132 );{obj_t VA_ARG_1034_75;
VA_ARG_1034_75=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_486_14, VA_ARG_1034_75 );}}
{obj_t C_CDR_876_98;
C_CDR_876_98=CDR( g1011_485_132 );{
g1011_485_132=C_CDR_876_98;
goto _g1012_484_246;
}}
}else
BTRUE;}
}}}
{obj_t PORT_895_108;
PORT_895_108=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_895_108 );}
}else
BFALSE;}
{obj_t V_896_254;
V_896_254=BNIL;STRUCT_SLOT_SET( VAR_482_33, BINT( 4 ), V_896_254 );}
{obj_t OBJ_898_40;
OBJ_898_40=CSE_CSE_CSE_232( VAL_483_222, BFALSE, __PRED_M__467_211, __PRED_I__468_108, __VAL_M__469_102, __VAL_I__470_149 );{obj_t PAIR_897_48;
PAIR_897_48=CDR( BINDING_481_188 );SET_CAR( PAIR_897_48, OBJ_898_40 );}}
{obj_t OBJ1_899_86;
OBJ1_899_86=STRUCT_SLOT_REF( VAR_482_33, BINT( 5 ) );if( EQP( OBJ1_899_86, CNST_TABLE_REF( 32 ) ))
{obj_t C_CDR_901_227;
C_CDR_901_227=CDR( BINDINGS_473_67 );{obj_t BINDINGS_1095_136;
BINDINGS_1095_136=BINDINGS_473_67;{
TAIL_474_250=BINDINGS_1095_136;
BINDINGS_473_67=C_CDR_901_227;
goto _LOOP_472_186;
}}}else
{obj_t O_902_75;
{obj_t PAIR_904_160;
PAIR_904_160=CDR( BINDING_481_188 );O_902_75=CAR( PAIR_904_160 );}{if( STRUCTP( O_902_75 ))
if( EQP( STRUCT_KEY( O_902_75 ), CNST_TABLE_REF( 7 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t OBJ1_905_56;
{obj_t S_906_125;
{obj_t PAIR_908_246;
PAIR_908_246=CDR( BINDING_481_188 );S_906_125=CAR( PAIR_908_246 );}OBJ1_905_56=STRUCT_SLOT_REF( S_906_125, BINT( 5 ) );}if( EQP( OBJ1_905_56, CNST_TABLE_REF( 32 ) ))
{obj_t C_CDR_909_215;
C_CDR_909_215=CDR( BINDINGS_473_67 );{obj_t BINDINGS_1104_62;
BINDINGS_1104_62=BINDINGS_473_67;{
TAIL_474_250=BINDINGS_1104_62;
BINDINGS_473_67=C_CDR_909_215;
goto _LOOP_472_186;
}}}else
{
{obj_t V_910_215;
{obj_t PAIR_911_21;
PAIR_911_21=CDR( BINDING_481_188 );V_910_215=CAR( PAIR_911_21 );}STRUCT_SLOT_SET( VAR_482_33, BINT( 4 ), V_910_215 );}
goto _LOOP_WITH_CUT__479_178;
}}_false_4:
{obj_t PAIR_912_112;
PAIR_912_112=CDR( BINDING_481_188 );{obj_t C_CAR_913_106;
C_CAR_913_106=CAR( PAIR_912_112 );{obj_t AUX_1103_230;
AUX_1103_230=SIDE_EFFECT__EFFECT_PROPERTY_241( C_CAR_913_106 );if( BBOOL_TO_CBOOL( AUX_1103_230 ))
{
{obj_t PAIR_914_151;
PAIR_914_151=CDR( BINDING_481_188 );{obj_t C_CAR_915_240;
C_CAR_915_240=CAR( PAIR_914_151 );{obj_t AUX_1096_152;
AUX_1096_152=MUTATION__EFFECT_PROPERTY_118( C_CAR_915_240 );if( BBOOL_TO_CBOOL( AUX_1096_152 ))
MUTATION_SEEN__471_105=BTRUE;else
BFALSE;}}}
{obj_t C_CDR_916_255;
C_CDR_916_255=CDR( BINDINGS_473_67 );{obj_t BINDINGS_1097_182;
BINDINGS_1097_182=BINDINGS_473_67;{
TAIL_474_250=BINDINGS_1097_182;
BINDINGS_473_67=C_CDR_916_255;
goto _LOOP_472_186;
}}}
}else
{obj_t OVAL_487_153;
{obj_t CE_488_173;
{obj_t PAIR_917_225;
PAIR_917_225=CDR( BINDING_481_188 );{obj_t C_CAR_918_159;
C_CAR_918_159=CAR( PAIR_917_225 );CE_488_173=SMART_ASSOC_CSE_CSE_74( C_CAR_918_159, __VAL_M__469_102 );}}if( PAIRP( CE_488_173 ))
OVAL_487_153=CDR( CE_488_173 );else
{obj_t CE_489_73;
{obj_t PAIR_919_127;
PAIR_919_127=CDR( BINDING_481_188 );{obj_t C_CAR_920_121;
C_CAR_920_121=CAR( PAIR_919_127 );CE_489_73=SMART_ASSOC_CSE_CSE_74( C_CAR_920_121, __VAL_I__470_149 );}}if( PAIRP( CE_489_73 ))
OVAL_487_153=CDR( CE_489_73 );else
OVAL_487_153=BNIL;}}if( NULLP( OVAL_487_153 ))
{obj_t PAIR_921_130;
PAIR_921_130=CDR( BINDING_481_188 );{obj_t C_CAR_922_77;
C_CAR_922_77=CAR( PAIR_921_130 );{obj_t AUX_1102_142;
AUX_1102_142=MUTABLE__EFFECT_PROPERTY_29( C_CAR_922_77 );if( BBOOL_TO_CBOOL( AUX_1102_142 ))
{obj_t C_CDR_923_0;
C_CDR_923_0=CDR( BINDINGS_473_67 );{obj_t OBJ1_924_9;
{obj_t OBJ1_926_3;
{obj_t PAIR_927_121;
PAIR_927_121=CDR( BINDING_481_188 );OBJ1_926_3=CAR( PAIR_927_121 );}OBJ1_924_9=MAKE_PAIR( OBJ1_926_3, VAR_482_33 );}{obj_t C_CONS_925_115;
C_CONS_925_115=MAKE_PAIR( OBJ1_924_9, __NEW_VAL_M__477_245 );{obj_t AUX_1098_219;
AUX_1098_219=NEW_PRED_I_CSE_CSE_79( BINDING_481_188, __NEW_PRED_I__476_146 );{obj_t BINDINGS_1099_202;
BINDINGS_1099_202=BINDINGS_473_67;{
__NEW_VAL_M__477_245=C_CONS_925_115;
__NEW_PRED_I__476_146=AUX_1098_219;
TAIL_474_250=BINDINGS_1099_202;
BINDINGS_473_67=C_CDR_923_0;
goto _LOOP_472_186;
}}}}}}else
{obj_t C_CDR_928_146;
C_CDR_928_146=CDR( BINDINGS_473_67 );{obj_t OBJ1_929_158;
{obj_t OBJ1_931_66;
{obj_t PAIR_932_171;
PAIR_932_171=CDR( BINDING_481_188 );OBJ1_931_66=CAR( PAIR_932_171 );}OBJ1_929_158=MAKE_PAIR( OBJ1_931_66, VAR_482_33 );}{obj_t C_CONS_930_31;
C_CONS_930_31=MAKE_PAIR( OBJ1_929_158, __NEW_VAL_I__478_38 );{obj_t AUX_1100_227;
AUX_1100_227=NEW_PRED_I_CSE_CSE_79( BINDING_481_188, __NEW_PRED_I__476_146 );{obj_t BINDINGS_1101_142;
BINDINGS_1101_142=BINDINGS_473_67;{
__NEW_VAL_I__478_38=C_CONS_930_31;
__NEW_PRED_I__476_146=AUX_1100_227;
__NEW_PRED_M__475_34=__PRED_M__467_211;
TAIL_474_250=BINDINGS_1101_142;
BINDINGS_473_67=C_CDR_928_146;
goto _LOOP_472_186;
}}}}}}}}}else
{
STRUCT_SLOT_SET( VAR_482_33, BINT( 4 ), OVAL_487_153 );
{_LOOP_WITH_CUT__479_178:

if( NULLP( TAIL_474_250 ))
{bool_t OBJ_1065_109;
OBJ_1065_109=NULLP( CDR( BINDINGS_473_67 ) );if( OBJ_1065_109)
{
TAIL_474_250=BNIL;
BINDINGS_473_67=BNIL;
goto _LOOP_472_186;
}else
{
{obj_t OBJ_859_38;
{obj_t PAIR_860_66;
{obj_t PAIR_861_60;
PAIR_861_60=CDR( EXP_465_238 );PAIR_860_66=CAR( PAIR_861_60 );}OBJ_859_38=CDR( PAIR_860_66 );}{obj_t PAIR_858_225;
PAIR_858_225=CDR( EXP_465_238 );SET_CAR( PAIR_858_225, OBJ_859_38 );}}
{obj_t C_CDR_862_30;
C_CDR_862_30=CDR( BINDINGS_473_67 );{
TAIL_474_250=BNIL;
BINDINGS_473_67=C_CDR_862_30;
goto _LOOP_472_186;
}}
}}else
{
{obj_t OBJ_865_58;
OBJ_865_58=CDR( BINDINGS_473_67 );SET_CDR( TAIL_474_250, OBJ_865_58 );}
{obj_t C_CDR_866_188;
C_CDR_866_188=CDR( BINDINGS_473_67 );{
BINDINGS_473_67=C_CDR_866_188;
goto _LOOP_472_186;
}}
}}
}}}}};
}}}
}}}}}}
}}}}}
}

static obj_t
#if defined( __STDC__ )
NEW_PRED_I_CSE_CSE_79(obj_t BINDING_491_182,obj_t __PRED_I__492_189)
#else
NEW_PRED_I_CSE_CSE_79( BINDING_491_182, __PRED_I__492_189 )
obj_t BINDING_491_182, __PRED_I__492_189;
#endif
{

{obj_t TOF_493_44;
{obj_t PAIR_935_101;
PAIR_935_101=CDR( BINDING_491_182 );{obj_t C_CAR_936_11;
C_CAR_936_11=CAR( PAIR_935_101 );TOF_493_44=TYPE_OF_TYPE_TYPE_212( C_CAR_936_11 );}}{obj_t OBJ2_937_54;
OBJ2_937_54=__BBOOL__FOREIGN_ATOMIC_60;if( EQP( TOF_493_44, OBJ2_937_54 ))
{obj_t OBJ1_938_168;
{obj_t OBJ1_940_19;
{obj_t C_CAR_941_226;
C_CAR_941_226=CAR( BINDING_491_182 );OBJ1_940_19=ABSTRACT_BOOLEAN__HEAP_ABSTRACT_58( C_CAR_941_226 );}OBJ1_938_168=MAKE_PAIR( OBJ1_940_19, BTRUE );}return MAKE_PAIR( OBJ1_938_168, __PRED_I__492_189 );}else
{obj_t OBJ2_942_126;
OBJ2_942_126=__BINT__FOREIGN_ATOMIC_219;if( EQP( TOF_493_44, OBJ2_942_126 ))
{obj_t OBJ1_943_71;
{obj_t OBJ1_945_90;
{obj_t C_CAR_946_13;
C_CAR_946_13=CAR( BINDING_491_182 );OBJ1_945_90=ABSTRACT_INTEGER__HEAP_ABSTRACT_119( C_CAR_946_13 );}OBJ1_943_71=MAKE_PAIR( OBJ1_945_90, BTRUE );}return MAKE_PAIR( OBJ1_943_71, __PRED_I__492_189 );}else
{obj_t OBJ2_947_242;
OBJ2_947_242=__BREAL__FOREIGN_ATOMIC_107;if( EQP( TOF_493_44, OBJ2_947_242 ))
{obj_t OBJ1_948_111;
{obj_t OBJ1_950_163;
{obj_t C_CAR_951_255;
C_CAR_951_255=CAR( BINDING_491_182 );OBJ1_950_163=ABSTRACT_REAL__HEAP_ABSTRACT_36( C_CAR_951_255 );}OBJ1_948_111=MAKE_PAIR( OBJ1_950_163, BTRUE );}return MAKE_PAIR( OBJ1_948_111, __PRED_I__492_189 );}else
{obj_t OBJ2_952_28;
OBJ2_952_28=__BPAIR__FOREIGN_ATOMIC_173;if( EQP( TOF_493_44, OBJ2_952_28 ))
{obj_t OBJ1_953_235;
{obj_t OBJ1_955_243;
{obj_t C_CAR_956_106;
C_CAR_956_106=CAR( BINDING_491_182 );OBJ1_955_243=ABSTRACT_PAIR__HEAP_ABSTRACT_238( C_CAR_956_106 );}OBJ1_953_235=MAKE_PAIR( OBJ1_955_243, BTRUE );}return MAKE_PAIR( OBJ1_953_235, __PRED_I__492_189 );}else
{obj_t OBJ2_957_15;
OBJ2_957_15=__BCHAR__FOREIGN_ATOMIC_5;if( EQP( TOF_493_44, OBJ2_957_15 ))
{obj_t OBJ1_958_152;
{obj_t OBJ1_960_132;
{obj_t C_CAR_961_233;
C_CAR_961_233=CAR( BINDING_491_182 );OBJ1_960_132=ABSTRACT_CHAR__HEAP_ABSTRACT_121( C_CAR_961_233 );}OBJ1_958_152=MAKE_PAIR( OBJ1_960_132, BTRUE );}return MAKE_PAIR( OBJ1_958_152, __PRED_I__492_189 );}else
{obj_t OBJ2_962_163;
OBJ2_962_163=__BSYMBOL__FOREIGN_ATOMIC_151;if( EQP( TOF_493_44, OBJ2_962_163 ))
{obj_t OBJ1_963_174;
{obj_t OBJ1_965_25;
{obj_t C_CAR_966_125;
C_CAR_966_125=CAR( BINDING_491_182 );OBJ1_965_25=ABSTRACT_SYMBOL__HEAP_ABSTRACT_254( C_CAR_966_125 );}OBJ1_963_174=MAKE_PAIR( OBJ1_965_25, BTRUE );}return MAKE_PAIR( OBJ1_963_174, __PRED_I__492_189 );}else
{obj_t OBJ2_967_243;
OBJ2_967_243=__BSTRING__FOREIGN_ATOMIC_65;if( EQP( TOF_493_44, OBJ2_967_243 ))
{obj_t OBJ1_968_140;
{obj_t OBJ1_970_117;
{obj_t C_CAR_971_34;
C_CAR_971_34=CAR( BINDING_491_182 );OBJ1_970_117=ABSTRACT_STRING__HEAP_ABSTRACT_68( C_CAR_971_34 );}OBJ1_968_140=MAKE_PAIR( OBJ1_970_117, BTRUE );}return MAKE_PAIR( OBJ1_968_140, __PRED_I__492_189 );}else
{obj_t OBJ2_972_134;
OBJ2_972_134=__BVECTOR__FOREIGN_ATOMIC_141;if( EQP( TOF_493_44, OBJ2_972_134 ))
{obj_t OBJ1_973_146;
{obj_t OBJ1_975_63;
{obj_t C_CAR_976_175;
C_CAR_976_175=CAR( BINDING_491_182 );OBJ1_975_63=ABSTRACT_VECTOR__HEAP_ABSTRACT_112( C_CAR_976_175 );}OBJ1_973_146=MAKE_PAIR( OBJ1_975_63, BTRUE );}return MAKE_PAIR( OBJ1_973_146, __PRED_I__492_189 );}else
{obj_t OBJ2_977_185;
OBJ2_977_185=__BSTRUCT__FOREIGN_ATOMIC_77;if( EQP( TOF_493_44, OBJ2_977_185 ))
{obj_t OBJ1_978_0;
{obj_t OBJ1_980_77;
{obj_t VA_ARG_1039_157;
{obj_t C_CAR_981_8;
C_CAR_981_8=CAR( BINDING_491_182 );VA_ARG_1039_157=MAKE_PAIR( C_CAR_981_8, BNIL );}OBJ1_980_77=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 33 ), VA_ARG_1039_157 );}OBJ1_978_0=MAKE_PAIR( OBJ1_980_77, BTRUE );}return MAKE_PAIR( OBJ1_978_0, __PRED_I__492_189 );}else
{obj_t OBJ2_982_50;
OBJ2_982_50=__BFOREIGN__FOREIGN_ATOMIC_156;if( EQP( TOF_493_44, OBJ2_982_50 ))
{obj_t OBJ1_983_64;
{obj_t OBJ1_985_122;
{obj_t VA_ARG_1040_34;
{obj_t C_CAR_986_150;
C_CAR_986_150=CAR( BINDING_491_182 );VA_ARG_1040_34=MAKE_PAIR( C_CAR_986_150, BNIL );}OBJ1_985_122=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 34 ), VA_ARG_1040_34 );}OBJ1_983_64=MAKE_PAIR( OBJ1_985_122, BTRUE );}return MAKE_PAIR( OBJ1_983_64, __PRED_I__492_189 );}else
return __PRED_I__492_189;}}}}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
CSE_APPLICATION_CSE_CSE_244(obj_t EXP_494_52,obj_t P__495_164,obj_t __PRED_M__496_123,obj_t __PRED_I__497_16,obj_t __VAL_M__498_253,obj_t __VAL_I__499_157)
#else
CSE_APPLICATION_CSE_CSE_244( EXP_494_52, P__495_164, __PRED_M__496_123, __PRED_I__497_16, __VAL_M__498_253, __VAL_I__499_157 )
obj_t EXP_494_52, P__495_164, __PRED_M__496_123, __PRED_I__497_16, __VAL_M__498_253, __VAL_I__499_157;
#endif
{

{
{obj_t AUX_1087_234;
{obj_t AUX_1088_73;
AUX_1088_73=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1087_234=SATISFY__TOOLS_TRACE_72( AUX_1088_73 );}if( BBOOL_TO_CBOOL( AUX_1087_234 ))
{
{obj_t g1013_501_60;
{obj_t L_988_71;
{obj_t STRING_CAST_1042_202;
STRING_CAST_1042_202=CNST_TABLE_REF( 35 );{obj_t C_CONS_990_170;
{obj_t C_CONS_989_37;
C_CONS_989_37=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1086_169;
AUX_1086_169=SHAPE_TOOLS_SHAPE_229( EXP_494_52 );C_CONS_990_170=MAKE_PAIR( AUX_1086_169, C_CONS_989_37 );}}L_988_71=MAKE_PAIR( STRING_CAST_1042_202, C_CONS_990_170 );}}{
g1013_501_60=L_988_71;
{_g1014_500_115:

if( PAIRP( g1013_501_60 ))
{
{obj_t A_502_128;
A_502_128=CAR( g1013_501_60 );{obj_t VA_ARG_1041_50;
VA_ARG_1041_50=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_502_128, VA_ARG_1041_50 );}}
{obj_t C_CDR_987_69;
C_CDR_987_69=CDR( g1013_501_60 );{
g1013_501_60=C_CDR_987_69;
goto _g1014_500_115;
}}
}else
BTRUE;}
}}}
{obj_t PORT_991_166;
PORT_991_166=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_991_166 );}
}else
BFALSE;}
{obj_t HOOK_504_54;
{
HOOK_504_54=EXP_494_52;
{_LOOP_503_147:

if( NULLP( HOOK_504_54 ))
if( BBOOL_TO_CBOOL( P__495_164 ))
{obj_t VALUE_505_51;
VALUE_505_51=TEST_VALUE_CSE_CSE_57( EXP_494_52, __PRED_M__496_123, __PRED_I__497_16 );if( NULLP( VALUE_505_51 ))
return APP_VALUE_CSE_CSE_188( EXP_494_52, P__495_164, __VAL_M__498_253, __VAL_I__499_157 );else
return VALUE_505_51;}else
return APP_VALUE_CSE_CSE_188( EXP_494_52, P__495_164, __VAL_M__498_253, __VAL_I__499_157 );else
{
{obj_t OBJ_992_70;
{obj_t C_CAR_993_40;
C_CAR_993_40=CAR( HOOK_504_54 );OBJ_992_70=CSE_CSE_CSE_232( C_CAR_993_40, BFALSE, __PRED_M__496_123, __PRED_I__497_16, __VAL_M__498_253, __VAL_I__499_157 );}SET_CAR( HOOK_504_54, OBJ_992_70 );}
{obj_t C_CDR_994_89;
C_CDR_994_89=CDR( HOOK_504_54 );{
HOOK_504_54=C_CDR_994_89;
goto _LOOP_503_147;
}}
}}
}}
}
}

static obj_t
#if defined( __STDC__ )
APP_VALUE_CSE_CSE_188(obj_t EXP_506_115,obj_t P__507_221,obj_t __VAL_M__508_181,obj_t __VAL_I__509_38)
#else
APP_VALUE_CSE_CSE_188( EXP_506_115, P__507_221, __VAL_M__508_181, __VAL_I__509_38 )
obj_t EXP_506_115, P__507_221, __VAL_M__508_181, __VAL_I__509_38;
#endif
{

{
{obj_t AUX_1079_218;
{obj_t AUX_1080_107;
AUX_1080_107=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1079_218=SATISFY__TOOLS_TRACE_72( AUX_1080_107 );}if( BBOOL_TO_CBOOL( AUX_1079_218 ))
{
{obj_t g1015_511_79;
{obj_t L_996_123;
{obj_t STRING_CAST_1044_165;
STRING_CAST_1044_165=CNST_TABLE_REF( 36 );{obj_t C_CONS_998_14;
{obj_t C_CONS_997_140;
C_CONS_997_140=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1078_102;
AUX_1078_102=SHAPE_TOOLS_SHAPE_229( EXP_506_115 );C_CONS_998_14=MAKE_PAIR( AUX_1078_102, C_CONS_997_140 );}}L_996_123=MAKE_PAIR( STRING_CAST_1044_165, C_CONS_998_14 );}}{
g1015_511_79=L_996_123;
{_g1016_510_180:

if( PAIRP( g1015_511_79 ))
{
{obj_t A_512_155;
A_512_155=CAR( g1015_511_79 );{obj_t VA_ARG_1043_166;
VA_ARG_1043_166=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_512_155, VA_ARG_1043_166 );}}
{obj_t C_CDR_995_9;
C_CDR_995_9=CDR( g1015_511_79 );{
g1015_511_79=C_CDR_995_9;
goto _g1016_510_180;
}}
}else
BTRUE;}
}}}
{obj_t PORT_999_26;
PORT_999_26=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_999_26 );}
}else
BFALSE;}
{obj_t AUX_1085_56;
AUX_1085_56=SIDE_EFFECT__EFFECT_PROPERTY_241( EXP_506_115 );if( BBOOL_TO_CBOOL( AUX_1085_56 ))
{
{obj_t AUX_1081_177;
{obj_t AUX_1082_197;
AUX_1082_197=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1081_177=SATISFY__TOOLS_TRACE_72( AUX_1082_197 );}if( BBOOL_TO_CBOOL( AUX_1081_177 ))
{
{obj_t g1019_514_101;
{obj_t L_1001_220;
{obj_t STRING_CAST_1046_71;
STRING_CAST_1046_71=CNST_TABLE_REF( 37 );{obj_t C_CONS_1002_185;
C_CONS_1002_185=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_1001_220=MAKE_PAIR( STRING_CAST_1046_71, C_CONS_1002_185 );}}{
g1019_514_101=L_1001_220;
{_g1020_513_13:

if( PAIRP( g1019_514_101 ))
{
{obj_t A_515_89;
A_515_89=CAR( g1019_514_101 );{obj_t VA_ARG_1045_100;
VA_ARG_1045_100=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_515_89, VA_ARG_1045_100 );}}
{obj_t C_CDR_1000_3;
C_CDR_1000_3=CDR( g1019_514_101 );{
g1019_514_101=C_CDR_1000_3;
goto _g1020_513_13;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1003_134;
PORT_1003_134=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1003_134 );}
}else
BFALSE;}
return EXP_506_115;
}else
{obj_t CELL_516_127;
CELL_516_127=SMART_ASSOC_CSE_CSE_74( EXP_506_115, __VAL_M__508_181 );{
{obj_t AUX_1083_87;
{obj_t AUX_1084_68;
AUX_1084_68=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1083_87=SATISFY__TOOLS_TRACE_72( AUX_1084_68 );}if( BBOOL_TO_CBOOL( AUX_1083_87 ))
{
{obj_t g1017_518_10;
{obj_t L_1005_204;
{obj_t STRING_CAST_1048_236;
STRING_CAST_1048_236=CNST_TABLE_REF( 38 );{obj_t C_CONS_1006_105;
C_CONS_1006_105=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_1005_204=MAKE_PAIR( STRING_CAST_1048_236, C_CONS_1006_105 );}}{
g1017_518_10=L_1005_204;
{_g1018_517_254:

if( PAIRP( g1017_518_10 ))
{
{obj_t A_519_158;
A_519_158=CAR( g1017_518_10 );{obj_t VA_ARG_1047_175;
VA_ARG_1047_175=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_519_158, VA_ARG_1047_175 );}}
{obj_t C_CDR_1004_155;
C_CDR_1004_155=CDR( g1017_518_10 );{
g1017_518_10=C_CDR_1004_155;
goto _g1018_517_254;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1007_194;
PORT_1007_194=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1007_194 );}
}else
BFALSE;}
if( PAIRP( CELL_516_127 ))
return CDR( CELL_516_127 );else
{obj_t CELL_520_66;
CELL_520_66=SMART_ASSOC_CSE_CSE_74( EXP_506_115, __VAL_I__509_38 );if( PAIRP( CELL_520_66 ))
return CDR( CELL_520_66 );else
return EXP_506_115;}
}}}
}
}

static obj_t
#if defined( __STDC__ )
SMART_ASSOC_CSE_CSE_74(obj_t OBJ_528_133,obj_t ALIST_529_162)
#else
SMART_ASSOC_CSE_CSE_74( OBJ_528_133, ALIST_529_162 )
obj_t OBJ_528_133, ALIST_529_162;
#endif
{
_SMART_ASSOC_CSE_CSE_74:

if( NULLP( ALIST_529_162 ))
return BFALSE;else
{obj_t CARY_530_221;
CARY_530_221=CAR( ALIST_529_162 );{obj_t AUX_1077_93;
AUX_1077_93=SMART_EQUAL__CSE_CSE_109( OBJ_528_133, CAR( CARY_530_221 ) );if( BBOOL_TO_CBOOL( AUX_1077_93 ))
return CARY_530_221;else
{obj_t ALIST_1076_133;
ALIST_1076_133=ALIST_529_162;{
ALIST_529_162=CDR( ALIST_1076_133 );
goto _SMART_ASSOC_CSE_CSE_74;
}}}}
}

static obj_t
#if defined( __STDC__ )
SMART_EQUAL__CSE_CSE_109(obj_t L1_531_59,obj_t L2_532_98)
#else
SMART_EQUAL__CSE_CSE_109( L1_531_59, L2_532_98 )
obj_t L1_531_59, L2_532_98;
#endif
{
_SMART_EQUAL__CSE_CSE_109:

if( EQP( L1_531_59, L2_532_98 ))
return BTRUE;else
{if( PAIRP( L1_531_59 ))
if( PAIRP( L2_532_98 ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t AUX_1075_155;
AUX_1075_155=SMART_EQUAL__CSE_CSE_109( CAR( L1_531_59 ), CAR( L2_532_98 ) );if( BBOOL_TO_CBOOL( AUX_1075_155 ))
{{obj_t L2_1073_222, L1_1074_12;
L2_1073_222=L2_532_98;L1_1074_12=L1_531_59;{
L2_532_98=CDR( L2_1073_222 );
L1_531_59=CDR( L1_1074_12 );
goto _SMART_EQUAL__CSE_CSE_109;
}}
goto _endif_2;}else
return BFALSE;}_false_1:
return BFALSE;_endif_2:
;
}
}

