/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Curry/exp.c                                                       */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t MARK_CURRY_INFO__CURRY_WALK_230();
#if defined( __STDC__ )
extern obj_t __CURRY_EXP_INITIALISATION_CURRY_EXP_70(obj_t);
#else
extern obj_t __CURRY_EXP_INITIALISATION_CURRY_EXP_70();
#endif
#if defined( __STDC__ )
extern obj_t __FIND_CURRY_DEPTH_CURRY_EXP_111(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __FIND_CURRY_DEPTH_CURRY_EXP_111();
#endif
obj_t GET_CURRY_INFO_ENV_CURRY_EXP_66 = BUNSPEC;
obj_t CURRY_EXPRESSION_ENV_CURRY_EXP_158 = BUNSPEC;
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
#if defined( __STDC__ )
static obj_t CURRY_EXPRESSION__CURRY_EXP_0(obj_t);
#else
static obj_t CURRY_EXPRESSION__CURRY_EXP_0();
#endif
extern obj_t __GENV__VAR_ENV_215;
extern obj_t make_struct();
#if defined( __STDC__ )
static obj_t CURRY_APPLICATION_CURRY_EXP_2(obj_t);
#else
static obj_t CURRY_APPLICATION_CURRY_EXP_2();
#endif
extern int get_hash_number();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#if defined( __STDC__ )
extern obj_t GET_CURRY_INFO_CURRY_EXP_202(obj_t, obj_t);
#else
extern obj_t GET_CURRY_INFO_CURRY_EXP_202();
#endif
#if defined( __STDC__ )
extern obj_t CURRY_EXPRESSION_CURRY_EXP_76(obj_t);
#else
extern obj_t CURRY_EXPRESSION_CURRY_EXP_76();
#endif
extern obj_t FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
extern obj_t CURRY_EXP_INITIALISATION_CURRY_EXP_25();
obj_t CURRY_EXP_INITIALISATION_ENV_CURRY_EXP_8 = BUNSPEC;
extern obj_t CURRY_LET_CURRY_LET_42();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 18 ] ;
#if defined( __STDC__ )
extern obj_t __GET_CURRY_INFO_CURRY_EXP_101(obj_t, obj_t, obj_t);
#else
extern obj_t __GET_CURRY_INFO_CURRY_EXP_101();
#endif
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t FIND_CURRY_DEPTH_CURRY_EXP_81(obj_t, obj_t, obj_t);
#else
extern obj_t FIND_CURRY_DEPTH_CURRY_EXP_81();
#endif
static obj_t REQUIRE_INITIALISATION__CURRY_EXP_172 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t CURRY_LABELS_CURRY_LET_219();
extern obj_t c_constant_string_to_string();
#if defined( __STDC__ )
extern obj_t __CURRY_EXPRESSION_CURRY_EXP_19(obj_t, obj_t);
#else
extern obj_t __CURRY_EXPRESSION_CURRY_EXP_19();
#endif
obj_t FIND_CURRY_DEPTH_ENV_CURRY_EXP_147 = BUNSPEC;
extern obj_t CURRY_WALK_INITIALISATION_CURRY_WALK_169();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t CURRY_LET_INITIALISATION_CURRY_LET_132();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LOOP_463_91();

obj_t
#if defined( __STDC__ )
CURRY_EXP_INITIALISATION_CURRY_EXP_25()
#else
CURRY_EXP_INITIALISATION_CURRY_EXP_25()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__CURRY_EXP_172 ))
{
REQUIRE_INITIALISATION__CURRY_EXP_172=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
VAR_ENV_INITIALISATION_VAR_ENV_78();
CURRY_WALK_INITIALISATION_CURRY_WALK_169();
CURRY_LET_INITIALISATION_CURRY_LET_132();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
DECLARE_CNST_TABLE( __cnst[ 18 ]  );
{obj_t PORT_909_14;
{obj_t AUX_935_164;
AUX_935_164=c_constant_string_to_string( "#\"-\" #\"-\" LOCAL GLOBAL IF TYPED-CASE APPLY BIND-EXIT FAILURE LET SET! ASSERT PRAGMA QUOTE DONE LABELS BEGIN CURRY " );PORT_909_14=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_935_164 );}{obj_t OFFSET_910_143;
{
OFFSET_910_143=BINT( 17 );
{_LOOP_911_25:

if( LT_I( OFFSET_910_143, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_936_185;
AUX_936_185=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_909_14, BEOA );CNST_TABLE_SET( OFFSET_910_143, AUX_936_185 );}
{obj_t OFFSET_937_141;
OFFSET_937_141=OFFSET_910_143;{
OFFSET_910_143=SUB_I( OFFSET_937_141, BINT( 1 ) );
goto _LOOP_911_25;
}}
}}
}}}
{
CURRY_EXP_INITIALISATION_ENV_CURRY_EXP_8=make_fx_procedure( __CURRY_EXP_INITIALISATION_CURRY_EXP_70, 0, 0 );
FIND_CURRY_DEPTH_ENV_CURRY_EXP_147=make_fx_procedure( __FIND_CURRY_DEPTH_CURRY_EXP_111, 3, 0 );
CURRY_EXPRESSION_ENV_CURRY_EXP_158=make_fx_procedure( __CURRY_EXPRESSION_CURRY_EXP_19, 1, 0 );
GET_CURRY_INFO_ENV_CURRY_EXP_66=make_fx_procedure( __GET_CURRY_INFO_CURRY_EXP_101, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__CURRY_EXP_INITIALISATION_CURRY_EXP_70(obj_t ENV_851_77)
#else
__CURRY_EXP_INITIALISATION_CURRY_EXP_70( ENV_851_77 )
obj_t ENV_851_77;
#endif
{

return CURRY_EXP_INITIALISATION_CURRY_EXP_25();
}

obj_t
#if defined( __STDC__ )
FIND_CURRY_DEPTH_CURRY_EXP_81(obj_t ARITY_388_60,obj_t ARG_389_241,obj_t __BODY_390_124)
#else
FIND_CURRY_DEPTH_CURRY_EXP_81( ARITY_388_60, ARG_389_241, __BODY_390_124 )
obj_t ARITY_388_60, ARG_389_241, __BODY_390_124;
#endif
{

if( EQ_I( ARITY_388_60, BINT( 1 ) ))
{obj_t BODY_392_60, ARGS_393_65, DEPTH_394_153;
{
DEPTH_394_153=BINT( 1 );
ARGS_393_65=BNIL;
BODY_392_60=__BODY_390_124;
{_LOOP_391_237:

{obj_t A_416_254, NEW_BODY_417_143, FUN_418_77;
if( PAIRP( BODY_392_60 ))
{obj_t CDR_118_398_243;
CDR_118_398_243=CDR( BODY_392_60 );{obj_t OBJ1_610_13;
OBJ1_610_13=CAR( BODY_392_60 );if( EQP( OBJ1_610_13, CNST_TABLE_REF( 1 ) ))
if( PAIRP( CDR_118_398_243 ))
{obj_t CAR_162_399_251;
CAR_162_399_251=CAR( CDR_118_398_243 );if( PAIRP( CAR_162_399_251 ))
{obj_t CDR_171_400_118;
CDR_171_400_118=CDR( CAR_162_399_251 );{obj_t OBJ1_611_32;
OBJ1_611_32=CAR( CAR_162_399_251 );if( EQP( OBJ1_611_32, CNST_TABLE_REF( 2 ) ))
if( PAIRP( CDR_171_400_118 ))
{obj_t CAR_181_402_188, CDR_182_401_39;
CAR_181_402_188=CAR( CDR_171_400_118 );CDR_182_401_39=CDR( CDR_171_400_118 );if( PAIRP( CAR_181_402_188 ))
{obj_t CAR_189_403_11;
CAR_189_403_11=CAR( CAR_181_402_188 );if( PAIRP( CAR_189_403_11 ))
{obj_t CDR_198_404_178;
CDR_198_404_178=CDR( CAR_189_403_11 );{obj_t FUN_405_100;
FUN_405_100=CAR( CAR_189_403_11 );if( PAIRP( CDR_198_404_178 ))
{obj_t CAR_205_407_242, CDR_206_406_177;
CAR_205_407_242=CAR( CDR_198_404_178 );CDR_206_406_177=CDR( CDR_198_404_178 );if( PAIRP( CAR_205_407_242 ))
{obj_t OBJ2_613_240;
OBJ2_613_240=BNIL;{obj_t OBJ1_612_199;
OBJ1_612_199=CDR( CAR_205_407_242 );if( EQP( OBJ1_612_199, OBJ2_613_240 ))
if( PAIRP( CDR_206_406_177 ))
{obj_t OBJ1_614_18;
OBJ1_614_18=CDR( CDR_206_406_177 );if( EQP( OBJ1_614_18, OBJ2_613_240 ))
{obj_t OBJ1_616_84;
OBJ1_616_84=CDR( CAR_181_402_188 );if( EQP( OBJ1_616_84, OBJ2_613_240 ))
if( PAIRP( CDR_182_401_39 ))
{obj_t OBJ2_618_61;
OBJ2_618_61=CAR( CDR_182_401_39 );if( EQP( FUN_405_100, OBJ2_618_61 ))
{obj_t OBJ1_619_43;
OBJ1_619_43=CDR( CDR_182_401_39 );if( EQP( OBJ1_619_43, OBJ2_613_240 ))
{obj_t OBJ1_621_196;
OBJ1_621_196=CDR( CDR_118_398_243 );if( EQP( OBJ1_621_196, OBJ2_613_240 ))
{obj_t C_CAR_623_222;
C_CAR_623_222=CAR( CAR_205_407_242 );{obj_t C_CAR_624_243;
C_CAR_624_243=CAR( CDR_206_406_177 );{
FUN_418_77=FUN_405_100;
NEW_BODY_417_143=C_CAR_624_243;
A_416_254=C_CAR_623_222;
{_TAG_101_395_97:

{bool_t OBJ_867_78;
OBJ_867_78=NULLP( STRUCT_SLOT_REF( FUN_418_77, BINT( 4 ) ) );if( OBJ_867_78)
{obj_t C_CONS_599_55;
C_CONS_599_55=MAKE_PAIR( A_416_254, ARGS_393_65 );{obj_t DEPTH_934_157;
DEPTH_934_157=DEPTH_394_153;{
DEPTH_394_153=ADD_I_PTAG( PSUB_TAG( 1 ), DEPTH_934_157 );
ARGS_393_65=C_CONS_599_55;
BODY_392_60=NEW_BODY_417_143;
goto _LOOP_391_237;
}}}else
if( EQ_I( DEPTH_394_153, BINT( 1 ) ))
return BFALSE;else
{obj_t ARGS_603_178;
{obj_t OBJ2_608_232;
OBJ2_608_232=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ARGS_393_65 );ARGS_603_178=MAKE_PAIR( ARG_389_241, OBJ2_608_232 );}{obj_t NEW_604_166;
{obj_t INIT_605_199;
INIT_605_199=BNIL;{obj_t INIT_606_32;
INIT_606_32=BNIL;NEW_604_166=make_struct( CNST_TABLE_REF( 0 ), BINT( 4 ), INIT_606_32 );}}{
STRUCT_SLOT_SET( NEW_604_166, BINT( 0 ), DEPTH_394_153 );
STRUCT_SLOT_SET( NEW_604_166, BINT( 1 ), ARGS_603_178 );
STRUCT_SLOT_SET( NEW_604_166, BINT( 2 ), BODY_392_60 );
return NEW_604_166;
}}}}}
}}}else
{_TAG_102_396_234:

if( EQ_I( DEPTH_394_153, BINT( 1 ) ))
return BFALSE;else
{obj_t ARGS_589_157;
{obj_t OBJ2_596_59;
OBJ2_596_59=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ARGS_393_65 );ARGS_589_157=MAKE_PAIR( ARG_389_241, OBJ2_596_59 );}{obj_t NEW_590_166;
{obj_t INIT_591_99;
INIT_591_99=BNIL;{obj_t INIT_592_175;
INIT_592_175=BNIL;NEW_590_166=make_struct( CNST_TABLE_REF( 0 ), BINT( 4 ), INIT_592_175 );}}{
STRUCT_SLOT_SET( NEW_590_166, BINT( 0 ), DEPTH_394_153 );
STRUCT_SLOT_SET( NEW_590_166, BINT( 1 ), ARGS_589_157 );
STRUCT_SLOT_SET( NEW_590_166, BINT( 2 ), BODY_392_60 );
return NEW_590_166;
}}}}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
if( EQP( OBJ1_610_13, CNST_TABLE_REF( 2 ) ))
if( PAIRP( CDR_118_398_243 ))
{obj_t CAR_127_410_99, CDR_128_409_116;
CAR_127_410_99=CAR( CDR_118_398_243 );CDR_128_409_116=CDR( CDR_118_398_243 );if( PAIRP( CAR_127_410_99 ))
{obj_t CAR_132_411_30;
CAR_132_411_30=CAR( CAR_127_410_99 );if( PAIRP( CAR_132_411_30 ))
{obj_t CDR_138_412_219;
CDR_138_412_219=CDR( CAR_132_411_30 );{obj_t FUN_413_55;
FUN_413_55=CAR( CAR_132_411_30 );if( PAIRP( CDR_138_412_219 ))
{obj_t CAR_142_415_68, CDR_143_414_248;
CAR_142_415_68=CAR( CDR_138_412_219 );CDR_143_414_248=CDR( CDR_138_412_219 );if( PAIRP( CAR_142_415_68 ))
{obj_t OBJ2_627_174;
OBJ2_627_174=BNIL;{obj_t OBJ1_626_220;
OBJ1_626_220=CDR( CAR_142_415_68 );if( EQP( OBJ1_626_220, OBJ2_627_174 ))
if( PAIRP( CDR_143_414_248 ))
{obj_t OBJ1_628_32;
OBJ1_628_32=CDR( CDR_143_414_248 );if( EQP( OBJ1_628_32, OBJ2_627_174 ))
{obj_t OBJ1_630_119;
OBJ1_630_119=CDR( CAR_127_410_99 );if( EQP( OBJ1_630_119, OBJ2_627_174 ))
if( PAIRP( CDR_128_409_116 ))
{obj_t OBJ2_632_87;
OBJ2_632_87=CAR( CDR_128_409_116 );if( EQP( FUN_413_55, OBJ2_632_87 ))
{obj_t OBJ1_633_97;
OBJ1_633_97=CDR( CDR_128_409_116 );if( EQP( OBJ1_633_97, OBJ2_627_174 ))
{obj_t C_CAR_635_160;
C_CAR_635_160=CAR( CAR_142_415_68 );{obj_t C_CAR_636_53;
C_CAR_636_53=CAR( CDR_143_414_248 );{
FUN_418_77=FUN_413_55;
NEW_BODY_417_143=C_CAR_636_53;
A_416_254=C_CAR_635_160;
goto _TAG_101_395_97;
}}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;}else
goto _TAG_102_396_234;else
goto _TAG_102_396_234;}}else
goto _TAG_102_396_234;}}
}}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__FIND_CURRY_DEPTH_CURRY_EXP_111(obj_t ENV_850_72,obj_t ARITY_388_60,obj_t ARG_389_241,obj_t __BODY_390_124)
#else
__FIND_CURRY_DEPTH_CURRY_EXP_111( ENV_850_72, ARITY_388_60, ARG_389_241, __BODY_390_124 )
obj_t ENV_850_72, ARITY_388_60, ARG_389_241, __BODY_390_124;
#endif
{

return FIND_CURRY_DEPTH_CURRY_EXP_81( ARITY_388_60, ARG_389_241, __BODY_390_124 );
}

obj_t
#if defined( __STDC__ )
CURRY_EXPRESSION_CURRY_EXP_76(obj_t EXP_419_72)
#else
CURRY_EXPRESSION_CURRY_EXP_76( EXP_419_72 )
obj_t EXP_419_72;
#endif
{

{obj_t ATOM_460_106, FORMALS_461_121, BODY_462_236, BODY_465_153, VAR_466_125, VAL_467_109, PROC_468_113, MSG_469_115, OBJ_470_27, A_471_214, BODY_472_217, PROC_473_115, ARG_474_199, TYPE_475_74, TEST_476_6, CLAUSES_477_233, SI_480_240, ALORS_481_255, SINON_482_124;
if( PAIRP( EXP_419_72 ))
{obj_t CDR_298_435_183;
CDR_298_435_183=CDR( EXP_419_72 );{obj_t OBJ1_695_33;
OBJ1_695_33=CAR( EXP_419_72 );if( EQP( OBJ1_695_33, CNST_TABLE_REF( 4 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t OBJ2_697_24;
OBJ2_697_24=BNIL;{obj_t OBJ1_696_8;
OBJ1_696_8=CDR( CDR_298_435_183 );if( EQP( OBJ1_696_8, OBJ2_697_24 ))
{
return EXP_419_72;}else
{_TAG_259_433_102:

return CURRY_APPLICATION_CURRY_EXP_2( EXP_419_72 );}}}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 5 ) ))
if( PAIRP( CDR_298_435_183 ))
{bool_t OBJ_869_167;
OBJ_869_167=STRINGP( CAR( CDR_298_435_183 ) );if( OBJ_869_167)
{obj_t OBJ2_702_244;
OBJ2_702_244=BNIL;{obj_t OBJ1_701_107;
OBJ1_701_107=CDR( CDR_298_435_183 );if( EQP( OBJ1_701_107, OBJ2_702_244 ))
{
return EXP_419_72;}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 6 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_1557_438_143;
CDR_1557_438_143=CDR( CDR_298_435_183 );if( PAIRP( CDR_1557_438_143 ))
{obj_t CDR_1668_439_26;
CDR_1668_439_26=CDR( CDR_1557_438_143 );if( PAIRP( CDR_1668_439_26 ))
{obj_t CDR_1779_440_59;
CDR_1779_440_59=CDR( CDR_1668_439_26 );if( PAIRP( CDR_1779_440_59 ))
{obj_t OBJ2_705_111;
OBJ2_705_111=BNIL;{obj_t OBJ1_704_56;
OBJ1_704_56=CDR( CDR_1779_440_59 );if( EQP( OBJ1_704_56, OBJ2_705_111 ))
{obj_t C_CAR_706_74;
C_CAR_706_74=CAR( CDR_1668_439_26 );{obj_t C_CAR_707_59;
C_CAR_707_59=CAR( CDR_1779_440_59 );{
BODY_462_236=C_CAR_707_59;
FORMALS_461_121=C_CAR_706_74;
{
return LOOP_463_91( BODY_462_236, EXP_419_72, FORMALS_461_121 );}
}}}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 1 ) ))
{
BODY_465_153=CDR_298_435_183;
{
{
{obj_t OBJ_685_215;
OBJ_685_215=CURRY_EXPRESSION__CURRY_EXP_0( BODY_465_153 );SET_CDR( EXP_419_72, OBJ_685_215 );}
return EXP_419_72;
}}
}else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 7 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_1288_442_223;
CDR_1288_442_223=CDR( CDR_298_435_183 );if( PAIRP( CDR_1288_442_223 ))
{obj_t OBJ2_712_113;
OBJ2_712_113=BNIL;{obj_t OBJ1_711_25;
OBJ1_711_25=CDR( CDR_1288_442_223 );if( EQP( OBJ1_711_25, OBJ2_712_113 ))
{obj_t C_CAR_713_253;
C_CAR_713_253=CAR( CDR_298_435_183 );{obj_t C_CAR_714_154;
C_CAR_714_154=CAR( CDR_1288_442_223 );{
VAL_467_109=C_CAR_714_154;
VAR_466_125=C_CAR_713_253;
{
{
{obj_t OBJ_679_25;
OBJ_679_25=CURRY_EXPRESSION_CURRY_EXP_76( VAR_466_125 );{obj_t PAIR_678_156;
PAIR_678_156=CDR( EXP_419_72 );SET_CAR( PAIR_678_156, OBJ_679_25 );}}
{obj_t OBJ_681_109;
OBJ_681_109=CURRY_EXPRESSION_CURRY_EXP_76( VAL_467_109 );{obj_t PAIR_680_75;
{obj_t PAIR_682_22;
PAIR_682_22=CDR( EXP_419_72 );PAIR_680_75=CDR( PAIR_682_22 );}SET_CAR( PAIR_680_75, OBJ_681_109 );}}
return EXP_419_72;
}}
}}}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 8 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_1078_444_117;
CDR_1078_444_117=CDR( CDR_298_435_183 );if( PAIRP( CDR_1078_444_117 ))
{obj_t OBJ2_717_207;
OBJ2_717_207=BNIL;{obj_t OBJ1_716_97;
OBJ1_716_97=CDR( CDR_1078_444_117 );if( EQP( OBJ1_716_97, OBJ2_717_207 ))
{
return CURRY_LET_CURRY_LET_42( EXP_419_72 );}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 2 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_906_446_246;
CDR_906_446_246=CDR( CDR_298_435_183 );if( PAIRP( CDR_906_446_246 ))
{obj_t OBJ2_720_36;
OBJ2_720_36=BNIL;{obj_t OBJ1_719_118;
OBJ1_719_118=CDR( CDR_906_446_246 );if( EQP( OBJ1_719_118, OBJ2_720_36 ))
{
return CURRY_LABELS_CURRY_LET_219( EXP_419_72 );}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 9 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_731_448_94;
CDR_731_448_94=CDR( CDR_298_435_183 );if( PAIRP( CDR_731_448_94 ))
{obj_t CDR_773_449_116;
CDR_773_449_116=CDR( CDR_731_448_94 );if( PAIRP( CDR_773_449_116 ))
{obj_t OBJ2_723_40;
OBJ2_723_40=BNIL;{obj_t OBJ1_722_255;
OBJ1_722_255=CDR( CDR_773_449_116 );if( EQP( OBJ1_722_255, OBJ2_723_40 ))
{obj_t C_CAR_724_86;
C_CAR_724_86=CAR( CDR_298_435_183 );{obj_t C_CAR_725_141;
C_CAR_725_141=CAR( CDR_731_448_94 );{obj_t C_CAR_726_161;
C_CAR_726_161=CAR( CDR_773_449_116 );{
OBJ_470_27=C_CAR_726_161;
MSG_469_115=C_CAR_725_141;
PROC_468_113=C_CAR_724_86;
{
{
{obj_t OBJ_670_125;
OBJ_670_125=CURRY_EXPRESSION_CURRY_EXP_76( PROC_468_113 );{obj_t PAIR_669_156;
PAIR_669_156=CDR( EXP_419_72 );SET_CAR( PAIR_669_156, OBJ_670_125 );}}
{obj_t OBJ_672_138;
OBJ_672_138=CURRY_EXPRESSION_CURRY_EXP_76( MSG_469_115 );{obj_t PAIR_671_161;
{obj_t PAIR_673_86;
PAIR_673_86=CDR( EXP_419_72 );PAIR_671_161=CDR( PAIR_673_86 );}SET_CAR( PAIR_671_161, OBJ_672_138 );}}
{obj_t OBJ_675_51;
OBJ_675_51=CURRY_EXPRESSION_CURRY_EXP_76( OBJ_470_27 );{obj_t PAIR_674_60;
{obj_t PAIR_676_128;
{obj_t PAIR_677_83;
PAIR_677_83=CDR( EXP_419_72 );PAIR_676_128=CDR( PAIR_677_83 );}PAIR_674_60=CDR( PAIR_676_128 );}SET_CAR( PAIR_674_60, OBJ_675_51 );}}
return EXP_419_72;
}}
}}}}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 10 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CAR_580_452_13, CDR_581_451_251;
CAR_580_452_13=CAR( CDR_298_435_183 );CDR_581_451_251=CDR( CDR_298_435_183 );if( PAIRP( CAR_580_452_13 ))
{obj_t OBJ2_729_68;
OBJ2_729_68=BNIL;{obj_t OBJ1_728_61;
OBJ1_728_61=CDR( CAR_580_452_13 );if( EQP( OBJ1_728_61, OBJ2_729_68 ))
if( PAIRP( CDR_581_451_251 ))
{obj_t OBJ1_730_126;
OBJ1_730_126=CDR( CDR_581_451_251 );if( EQP( OBJ1_730_126, OBJ2_729_68 ))
{obj_t C_CAR_732_13;
C_CAR_732_13=CAR( CAR_580_452_13 );{obj_t C_CAR_733_32;
C_CAR_733_32=CAR( CDR_581_451_251 );{
BODY_472_217=C_CAR_733_32;
A_471_214=C_CAR_732_13;
{
{
{obj_t OBJ_667_213;
OBJ_667_213=CURRY_EXPRESSION_CURRY_EXP_76( BODY_472_217 );{obj_t PAIR_666_83;
{obj_t PAIR_668_241;
PAIR_668_241=CDR( EXP_419_72 );PAIR_666_83=CDR( PAIR_668_241 );}SET_CAR( PAIR_666_83, OBJ_667_213 );}}
return EXP_419_72;
}}
}}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 11 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_517_454_247;
CDR_517_454_247=CDR( CDR_298_435_183 );if( PAIRP( CDR_517_454_247 ))
{obj_t OBJ2_736_150;
OBJ2_736_150=BNIL;{obj_t OBJ1_735_242;
OBJ1_735_242=CDR( CDR_517_454_247 );if( EQP( OBJ1_735_242, OBJ2_736_150 ))
{obj_t C_CAR_737_214;
C_CAR_737_214=CAR( CDR_298_435_183 );{obj_t C_CAR_738_247;
C_CAR_738_247=CAR( CDR_517_454_247 );{
ARG_474_199=C_CAR_738_247;
PROC_473_115=C_CAR_737_214;
{
{
{obj_t OBJ_662_57;
OBJ_662_57=CURRY_EXPRESSION_CURRY_EXP_76( PROC_473_115 );{obj_t PAIR_661_176;
PAIR_661_176=CDR( EXP_419_72 );SET_CAR( PAIR_661_176, OBJ_662_57 );}}
{obj_t OBJ_664_104;
OBJ_664_104=CURRY_EXPRESSION_CURRY_EXP_76( ARG_474_199 );{obj_t PAIR_663_141;
{obj_t PAIR_665_60;
PAIR_665_60=CDR( EXP_419_72 );PAIR_663_141=CDR( PAIR_665_60 );}SET_CAR( PAIR_663_141, OBJ_664_104 );}}
return EXP_419_72;
}}
}}}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 12 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_485_456_119;
CDR_485_456_119=CDR( CDR_298_435_183 );if( PAIRP( CDR_485_456_119 ))
{obj_t C_CAR_740_172;
C_CAR_740_172=CAR( CDR_298_435_183 );{obj_t C_CAR_741_144;
C_CAR_741_144=CAR( CDR_485_456_119 );{obj_t C_CDR_742_178;
C_CDR_742_178=CDR( CDR_485_456_119 );{
CLAUSES_477_233=C_CDR_742_178;
TEST_476_6=C_CAR_741_144;
TYPE_475_74=C_CAR_740_172;
{
{
{obj_t OBJ_651_189;
OBJ_651_189=CURRY_EXPRESSION_CURRY_EXP_76( TEST_476_6 );{obj_t PAIR_650_253;
{obj_t PAIR_652_178;
PAIR_652_178=CDR( EXP_419_72 );PAIR_650_253=CDR( PAIR_652_178 );}SET_CAR( PAIR_650_253, OBJ_651_189 );}}
{obj_t HOOK_479_19;
{
HOOK_479_19=CLAUSES_477_233;
{_LOOP_478_223:

if( NULLP( HOOK_479_19 ))
return EXP_419_72;else
{
{obj_t OBJ_654_16;
{obj_t PAIR_657_154;
PAIR_657_154=CAR( HOOK_479_19 );{obj_t PAIR_658_95;
PAIR_658_95=CDR( PAIR_657_154 );{obj_t C_CAR_659_103;
C_CAR_659_103=CAR( PAIR_658_95 );OBJ_654_16=CURRY_EXPRESSION_CURRY_EXP_76( C_CAR_659_103 );}}}{obj_t PAIR_653_85;
{obj_t PAIR_655_88;
PAIR_655_88=CAR( HOOK_479_19 );PAIR_653_85=CDR( PAIR_655_88 );}SET_CAR( PAIR_653_85, OBJ_654_16 );}}
{obj_t C_CDR_660_248;
C_CDR_660_248=CDR( HOOK_479_19 );{
HOOK_479_19=C_CDR_660_248;
goto _LOOP_478_223;
}}
}}
}}
}}
}}}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
if( EQP( OBJ1_695_33, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_298_435_183 ))
{obj_t CDR_464_458_38;
CDR_464_458_38=CDR( CDR_298_435_183 );if( PAIRP( CDR_464_458_38 ))
{obj_t CDR_469_459_249;
CDR_469_459_249=CDR( CDR_464_458_38 );if( PAIRP( CDR_469_459_249 ))
{obj_t OBJ2_745_235;
OBJ2_745_235=BNIL;{obj_t OBJ1_744_88;
OBJ1_744_88=CDR( CDR_469_459_249 );if( EQP( OBJ1_744_88, OBJ2_745_235 ))
{obj_t C_CAR_746_183;
C_CAR_746_183=CAR( CDR_298_435_183 );{obj_t C_CAR_747_167;
C_CAR_747_167=CAR( CDR_464_458_38 );{obj_t C_CAR_748_75;
C_CAR_748_75=CAR( CDR_469_459_249 );{
SINON_482_124=C_CAR_748_75;
ALORS_481_255=C_CAR_747_167;
SI_480_240=C_CAR_746_183;
{
{
{obj_t OBJ_640_145;
OBJ_640_145=CURRY_EXPRESSION_CURRY_EXP_76( SI_480_240 );{obj_t PAIR_639_219;
PAIR_639_219=CDR( EXP_419_72 );SET_CAR( PAIR_639_219, OBJ_640_145 );}}
{obj_t OBJ_642_150;
OBJ_642_150=CURRY_EXPRESSION_CURRY_EXP_76( ALORS_481_255 );{obj_t PAIR_641_57;
{obj_t PAIR_644_213;
PAIR_644_213=CDR( EXP_419_72 );PAIR_641_57=CDR( PAIR_644_213 );}SET_CAR( PAIR_641_57, OBJ_642_150 );}}
{obj_t OBJ_646_33;
OBJ_646_33=CURRY_EXPRESSION_CURRY_EXP_76( SINON_482_124 );{obj_t PAIR_645_49;
{obj_t PAIR_648_186;
{obj_t PAIR_649_67;
PAIR_649_67=CDR( EXP_419_72 );PAIR_648_186=CDR( PAIR_649_67 );}PAIR_645_49=CDR( PAIR_648_186 );}SET_CAR( PAIR_645_49, OBJ_646_33 );}}
return EXP_419_72;
}}
}}}}else
goto _TAG_259_433_102;}}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;}else
goto _TAG_259_433_102;else
goto _TAG_259_433_102;}}else
{
ATOM_460_106=EXP_419_72;
{
return EXP_419_72;}
}}
}

static obj_t
#if defined( __STDC__ )
LOOP_463_91(obj_t BODY_462_236,obj_t EXP_419_72,obj_t FORMALS_464_245)
#else
LOOP_463_91( BODY_462_236, EXP_419_72, FORMALS_464_245 )
obj_t BODY_462_236, EXP_419_72, FORMALS_464_245;
#endif
{

{
if( NULLP( FORMALS_464_245 ))
CNST_TABLE_REF( 3 );else
{
{obj_t OBJ_686_162;
{obj_t C_CAR_687_196;
C_CAR_687_196=CAR( FORMALS_464_245 );OBJ_686_162=CURRY_EXPRESSION_CURRY_EXP_76( C_CAR_687_196 );}SET_CAR( FORMALS_464_245, OBJ_686_162 );}
{obj_t C_CDR_688_42;
C_CDR_688_42=CDR( FORMALS_464_245 );LOOP_463_91( BODY_462_236, EXP_419_72, C_CDR_688_42 );}
}
{obj_t OBJ_690_98;
OBJ_690_98=CURRY_EXPRESSION_CURRY_EXP_76( BODY_462_236 );{obj_t PAIR_689_144;
{obj_t PAIR_692_15;
{obj_t PAIR_693_2;
{obj_t PAIR_694_67;
PAIR_694_67=CDR( EXP_419_72 );PAIR_693_2=CDR( PAIR_694_67 );}PAIR_692_15=CDR( PAIR_693_2 );}PAIR_689_144=CDR( PAIR_692_15 );}SET_CAR( PAIR_689_144, OBJ_690_98 );}}
return EXP_419_72;
}
}

obj_t
#if defined( __STDC__ )
__CURRY_EXPRESSION_CURRY_EXP_19(obj_t ENV_849_119,obj_t EXP_419_72)
#else
__CURRY_EXPRESSION_CURRY_EXP_19( ENV_849_119, EXP_419_72 )
obj_t ENV_849_119, EXP_419_72;
#endif
{

return CURRY_EXPRESSION_CURRY_EXP_76( EXP_419_72 );
}

static obj_t
#if defined( __STDC__ )
CURRY_EXPRESSION__CURRY_EXP_0(obj_t EXP_483_125)
#else
CURRY_EXPRESSION__CURRY_EXP_0( EXP_483_125 )
obj_t EXP_483_125;
#endif
{

{obj_t HOOK_485_252;
{
HOOK_485_252=EXP_483_125;
{_LOOP_484_161:

if( NULLP( HOOK_485_252 ))
return EXP_483_125;else
if( PAIRP( HOOK_485_252 ))
{
{obj_t OBJ_749_127;
{obj_t C_CAR_750_181;
C_CAR_750_181=CAR( HOOK_485_252 );OBJ_749_127=CURRY_EXPRESSION_CURRY_EXP_76( C_CAR_750_181 );}SET_CAR( HOOK_485_252, OBJ_749_127 );}
{obj_t C_CDR_751_57;
C_CDR_751_57=CDR( HOOK_485_252 );{
HOOK_485_252=C_CDR_751_57;
goto _LOOP_484_161;
}}
}else
return EXP_483_125;}
}}
}

static obj_t
#if defined( __STDC__ )
CURRY_APPLICATION_CURRY_EXP_2(obj_t EXP_486_51)
#else
CURRY_APPLICATION_CURRY_EXP_2( EXP_486_51 )
obj_t EXP_486_51;
#endif
{

{obj_t FUN_487_140;
FUN_487_140=CAR( EXP_486_51 );if( PAIRP( FUN_487_140 ))
{obj_t NESTED_DEPTH_490_129, NESTED_489_193, NESTED_ARGS_488_83;
NESTED_DEPTH_490_129=BUNSPEC;NESTED_489_193=BUNSPEC;NESTED_ARGS_488_83=BUNSPEC;{
{obj_t FUN_492_38, ARGS_493_221, DEPTH_494_194;
{
DEPTH_494_194=BINT( 1 );
ARGS_493_221=BNIL;
FUN_492_38=FUN_487_140;
{_LOOP_491_56:

{bool_t __ortest_1000_886_16;
{obj_t AUX_918_198;
if( PAIRP( FUN_492_38 ))
AUX_918_198=BFALSE;else
AUX_918_198=BTRUE;__ortest_1000_886_16=BBOOL_TO_CBOOL( AUX_918_198 );}{if( __ortest_1000_886_16)
goto _true_6;else
{bool_t __ortest_1001_889_49;
{obj_t AUX_919_168;
{bool_t OBJ_888_33;
{obj_t AUX_920_81;
{bool_t OBJ_887_50;
OBJ_887_50=PAIRP( CDR( FUN_492_38 ) );AUX_920_81=CBOOL_TO_BBOOL( OBJ_887_50 );}OBJ_888_33=BBOOL_TO_CBOOL( AUX_920_81 );}if( OBJ_888_33)
AUX_919_168=BFALSE;else
AUX_919_168=BTRUE;}__ortest_1001_889_49=BBOOL_TO_CBOOL( AUX_919_168 );}if( __ortest_1001_889_49)
goto _true_6;else
{bool_t OBJ_891_234;
{obj_t AUX_921_20;
{bool_t OBJ_890_169;
{obj_t AUX_922_6;
{obj_t PAIR_758_58;
PAIR_758_58=CDR( FUN_492_38 );AUX_922_6=CDR( PAIR_758_58 );}OBJ_890_169=NULLP( AUX_922_6 );}AUX_921_20=CBOOL_TO_BBOOL( OBJ_890_169 );}OBJ_891_234=BBOOL_TO_CBOOL( AUX_921_20 );}if( OBJ_891_234)
goto _false_7;else
goto _true_6;}}_true_6:
{
NESTED_DEPTH_490_129=DEPTH_494_194;
NESTED_ARGS_488_83=ARGS_493_221;
{NESTED_489_193=FUN_492_38;
goto _endif_8;}
}_false_7:
{obj_t C_CAR_759_183;
C_CAR_759_183=CAR( FUN_492_38 );{obj_t OBJ1_760_235;
{obj_t PAIR_762_55;
PAIR_762_55=CDR( FUN_492_38 );OBJ1_760_235=CAR( PAIR_762_55 );}{obj_t C_CONS_761_6;
C_CONS_761_6=MAKE_PAIR( OBJ1_760_235, ARGS_493_221 );{obj_t DEPTH_923_181;
DEPTH_923_181=DEPTH_494_194;{
DEPTH_494_194=ADD_I_PTAG( PSUB_TAG( 1 ), DEPTH_923_181 );
ARGS_493_221=C_CONS_761_6;
FUN_492_38=C_CAR_759_183;
goto _LOOP_491_56;
}}}}}_endif_8:
;
}}}
}}
{bool_t __ortest_1003_897_134;
{obj_t AUX_924_91;
{bool_t __andtest_1004_894_27;
{obj_t AUX_925_92;
{bool_t OBJ_893_56;
{obj_t AUX_926_127;
{obj_t O_765_64;
O_765_64=NESTED_489_193;if( STRUCTP( O_765_64 ))
AUX_926_127=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_765_64 ), CNST_TABLE_REF( 14 ) ) );else
AUX_926_127=BFALSE;}OBJ_893_56=BBOOL_TO_CBOOL( AUX_926_127 );}if( OBJ_893_56)
AUX_925_92=BFALSE;else
AUX_925_92=BTRUE;}__andtest_1004_894_27=BBOOL_TO_CBOOL( AUX_925_92 );}if( __andtest_1004_894_27)
{bool_t OBJ_896_107;
{obj_t AUX_927_17;
{obj_t O_768_29;
O_768_29=NESTED_489_193;if( STRUCTP( O_768_29 ))
AUX_927_17=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_768_29 ), CNST_TABLE_REF( 15 ) ) );else
AUX_927_17=BFALSE;}OBJ_896_107=BBOOL_TO_CBOOL( AUX_927_17 );}if( OBJ_896_107)
AUX_924_91=BFALSE;else
AUX_924_91=BTRUE;}else
AUX_924_91=BFALSE;}__ortest_1003_897_134=BBOOL_TO_CBOOL( AUX_924_91 );}{if( __ortest_1003_897_134)
goto _true_9;else
{bool_t OBJ_899_188;
{obj_t AUX_928_225;
{bool_t OBJ_898_40;
OBJ_898_40=INTEGERP( NESTED_DEPTH_490_129 );AUX_928_225=CBOOL_TO_BBOOL( OBJ_898_40 );}OBJ_899_188=BBOOL_TO_CBOOL( AUX_928_225 );}if( OBJ_899_188)
goto _false_10;else
goto _true_9;}_true_9:
{
{obj_t C_CDR_773_141;
C_CDR_773_141=CDR( EXP_486_51 );CURRY_EXPRESSION__CURRY_EXP_0( C_CDR_773_141 );}
return EXP_486_51;
}_false_10:
{obj_t CURRY_499_63;
CURRY_499_63=GET_CURRY_INFO_CURRY_EXP_202( NESTED_489_193, NESTED_DEPTH_490_129 );{bool_t __ortest_1002_902_205;
{obj_t AUX_929_207;
{bool_t OBJ_901_228;
{obj_t AUX_930_143;
if( STRUCTP( CURRY_499_63 ))
AUX_930_143=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( CURRY_499_63 ), CNST_TABLE_REF( 0 ) ) );else
AUX_930_143=BFALSE;OBJ_901_228=BBOOL_TO_CBOOL( AUX_930_143 );}if( OBJ_901_228)
AUX_929_207=BFALSE;else
AUX_929_207=BTRUE;}__ortest_1002_902_205=BBOOL_TO_CBOOL( AUX_929_207 );}{if( __ortest_1002_902_205)
goto _true_12;else
{bool_t OBJ_903_59;
{obj_t AUX_931_55;
{obj_t N2_778_32;
N2_778_32=STRUCT_SLOT_REF( CURRY_499_63, BINT( 0 ) );{obj_t N1_777_193;
N1_777_193=NESTED_DEPTH_490_129;AUX_931_55=CBOOL_TO_BBOOL( EQ_I( N1_777_193, N2_778_32 ) );}}OBJ_903_59=BBOOL_TO_CBOOL( AUX_931_55 );}if( OBJ_903_59)
goto _false_13;else
goto _true_12;}_true_12:
return CURRY_EXPRESSION__CURRY_EXP_0( EXP_486_51 );_false_13:
{obj_t NEW_FUN_501_122;
NEW_FUN_501_122=STRUCT_SLOT_REF( CURRY_499_63, BINT( 3 ) );{obj_t VALUE_502_138;
{if( STRUCTP( NEW_FUN_501_122 ))
if( EQP( STRUCT_KEY( NEW_FUN_501_122 ), CNST_TABLE_REF( 15 ) ))
goto _true_15;else
goto _false_16;else
goto _false_16;_true_15:
{VALUE_502_138=STRUCT_SLOT_REF( NEW_FUN_501_122, BINT( 3 ) );
goto _endif_17;}_false_16:
VALUE_502_138=STRUCT_SLOT_REF( NEW_FUN_501_122, BINT( 6 ) );_endif_17:
;
}{obj_t NVALUE_503_55;
{obj_t O_784_114;
O_784_114=NESTED_489_193;{if( STRUCTP( O_784_114 ))
if( EQP( STRUCT_KEY( O_784_114 ), CNST_TABLE_REF( 15 ) ))
goto _true_18;else
goto _false_19;else
goto _false_19;_true_18:
{obj_t S_786_201;
S_786_201=NESTED_489_193;{NVALUE_503_55=STRUCT_SLOT_REF( S_786_201, BINT( 3 ) );
goto _endif_20;}}_false_19:
{obj_t S_788_3;
S_788_3=NESTED_489_193;NVALUE_503_55=STRUCT_SLOT_REF( S_788_3, BINT( 6 ) );}_endif_20:
;
}}{
{obj_t V_790_91;
{obj_t L_793_0;
L_793_0=STRUCT_SLOT_REF( VALUE_502_138, BINT( 9 ) );V_790_91=ADD_I_PTAG( L_793_0, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( VALUE_502_138, BINT( 9 ), V_790_91 );}
{obj_t V_796_6;
{obj_t L_799_184;
L_799_184=STRUCT_SLOT_REF( NVALUE_503_55, BINT( 9 ) );V_796_6=SUB_I_PTAG( L_799_184, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( NVALUE_503_55, BINT( 9 ), V_796_6 );}
SET_CAR( EXP_486_51, NEW_FUN_501_122 );
{obj_t OBJ_802_92;
{obj_t C_CDR_803_89;
C_CDR_803_89=CDR( EXP_486_51 );{obj_t AUX_933_134, AUX_932_105;
AUX_933_134=CURRY_EXPRESSION__CURRY_EXP_0( C_CDR_803_89 );AUX_932_105=CURRY_EXPRESSION__CURRY_EXP_0( NESTED_ARGS_488_83 );OBJ_802_92=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_932_105, AUX_933_134 );}}SET_CDR( EXP_486_51, OBJ_802_92 );}
return EXP_486_51;
}}}};
}}};
}}
}}else
{
{obj_t C_CDR_804_155;
C_CDR_804_155=CDR( EXP_486_51 );CURRY_EXPRESSION__CURRY_EXP_0( C_CDR_804_155 );}
return EXP_486_51;
}}
}

obj_t
#if defined( __STDC__ )
GET_CURRY_INFO_CURRY_EXP_202(obj_t NESTED_504_116,obj_t DEPTH_505_67)
#else
GET_CURRY_INFO_CURRY_EXP_202( NESTED_504_116, DEPTH_505_67 )
obj_t NESTED_504_116, DEPTH_505_67;
#endif
{

{if( STRUCTP( NESTED_504_116 ))
if( EQP( STRUCT_KEY( NESTED_504_116 ), CNST_TABLE_REF( 14 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{bool_t OBJ_906_108;
OBJ_906_108=NULLP( STRUCT_SLOT_REF( NESTED_504_116, BINT( 8 ) ) );if( OBJ_906_108)
{obj_t TRY_NAME_506_153;
{obj_t OLD_NAME_808_221;
OLD_NAME_808_221=STRUCT_SLOT_REF( NESTED_504_116, BINT( 0 ) );{obj_t PNAME_809_42;
if( STRINGP( OLD_NAME_808_221 ))
PNAME_809_42=OLD_NAME_808_221;else
PNAME_809_42=SYMBOL_TO_STRING( OLD_NAME_808_221 );{obj_t STRING_812_108;
{obj_t VA_ARG_833_147;
VA_ARG_833_147=MAKE_PAIR( PNAME_809_42, BNIL );{obj_t VA_ARG_834_238;
{obj_t STRING_CAST_839_24;
STRING_CAST_839_24=CNST_TABLE_REF( 16 );VA_ARG_834_238=MAKE_PAIR( STRING_CAST_839_24, VA_ARG_833_147 );}{obj_t VA_ARG_835_157;
{obj_t AUX_912_83;
{obj_t AUX_913_128;
{int AUX_914_161;
{char * AUX_915_176;
{obj_t AUX_916_86;
AUX_916_86=STRING_UPCASE___R4_STRINGS_6_7_251( PNAME_809_42 );AUX_915_176=BSTRING_TO_CSTRING( AUX_916_86 );}AUX_914_161=get_hash_number( AUX_915_176 );}AUX_913_128=BINT( AUX_914_161 );}AUX_912_83=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_913_128, BNIL );}VA_ARG_835_157=MAKE_PAIR( AUX_912_83, VA_ARG_834_238 );}{obj_t VA_ARG_836_183;
{obj_t STRING_CAST_838_6;
STRING_CAST_838_6=CNST_TABLE_REF( 17 );VA_ARG_836_183=MAKE_PAIR( STRING_CAST_838_6, VA_ARG_835_157 );}{obj_t VA_ARG_837_167;
{obj_t AUX_917_141;
AUX_917_141=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( DEPTH_505_67, BNIL );VA_ARG_837_167=MAKE_PAIR( AUX_917_141, VA_ARG_836_183 );}STRING_812_108=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_837_167 );}}}}}TRY_NAME_506_153=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_812_108 ) );}}}{obj_t TRY_TO_FIND_507_191;
TRY_TO_FIND_507_191=FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13( TRY_NAME_506_153, __GENV__VAR_ENV_215 );{if( STRUCTP( TRY_TO_FIND_507_191 ))
if( EQP( STRUCT_KEY( TRY_TO_FIND_507_191 ), CNST_TABLE_REF( 14 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t CURRY_508_50;
{obj_t BODY_816_89;
BODY_816_89=BNIL;{obj_t NEW_817_0;
{obj_t INIT_818_99;
INIT_818_99=BNIL;NEW_817_0=make_struct( CNST_TABLE_REF( 0 ), BINT( 4 ), BODY_816_89 );}{
STRUCT_SLOT_SET( NEW_817_0, BINT( 0 ), DEPTH_505_67 );
STRUCT_SLOT_SET( NEW_817_0, BINT( 1 ), BODY_816_89 );
STRUCT_SLOT_SET( NEW_817_0, BINT( 2 ), BODY_816_89 );
CURRY_508_50=NEW_817_0;
}}}{
STRUCT_SLOT_SET( CURRY_508_50, BINT( 3 ), TRY_TO_FIND_507_191 );
STRUCT_SLOT_SET( CURRY_508_50, BINT( 0 ), DEPTH_505_67 );
MARK_CURRY_INFO__CURRY_WALK_230( NESTED_504_116, CURRY_508_50 );
return CURRY_508_50;
}}_false_4:
return BFALSE;;
}}}else
return STRUCT_SLOT_REF( NESTED_504_116, BINT( 8 ) );}_false_1:
return STRUCT_SLOT_REF( NESTED_504_116, BINT( 4 ) );;
}
}

obj_t
#if defined( __STDC__ )
__GET_CURRY_INFO_CURRY_EXP_101(obj_t ENV_848_132,obj_t NESTED_504_116,obj_t DEPTH_505_67)
#else
__GET_CURRY_INFO_CURRY_EXP_101( ENV_848_132, NESTED_504_116, DEPTH_505_67 )
obj_t ENV_848_132, NESTED_504_116, DEPTH_505_67;
#endif
{

return GET_CURRY_INFO_CURRY_EXP_202( NESTED_504_116, DEPTH_505_67 );
}

