/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Curry/walk.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t MAKE_CURRY_FUNCTION_NAME_ENV_CURRY_WALK_87 = BUNSPEC;
obj_t CURRY_WALK_INITIALISATION_ENV_CURRY_WALK_128 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_139(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_139();
#endif
#if defined( __STDC__ )
extern obj_t MARK_CURRY_INFO__CURRY_WALK_230(obj_t, obj_t);
#else
extern obj_t MARK_CURRY_INFO__CURRY_WALK_230();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t GET_CURRY_INFO_CURRY_EXP_202();
extern obj_t GENSYM___R4_SYMBOLS_6_4_130;
extern obj_t CURRY_EXPRESSION_CURRY_EXP_76();
static obj_t __CURRY_INFO__CURRY_WALK_190 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CURRY_WALK_CURRY_WALK_75(obj_t, obj_t);
#else
extern obj_t __CURRY_WALK_CURRY_WALK_75();
#endif
extern obj_t ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
#if defined( __STDC__ )
extern obj_t __CURRY_WALK_INITIALISATION_CURRY_WALK_31(obj_t);
#else
extern obj_t __CURRY_WALK_INITIALISATION_CURRY_WALK_31();
#endif
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
extern obj_t CURRY_EXP_INITIALISATION_CURRY_EXP_25();
extern obj_t DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
#if defined( __STDC__ )
extern obj_t UNMARK_CURRY_INFO__CURRY_WALK_242(obj_t);
#else
extern obj_t UNMARK_CURRY_INFO__CURRY_WALK_242();
#endif
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 8 ] ;
obj_t CURRY_WALK_ENV_CURRY_WALK_180 = BUNSPEC;
extern obj_t MARK_UNCURRYFIABLE__CURRY_FIABLE_246();
obj_t UNMARK_CURRY_INFO__ENV_CURRY_WALK_235 = BUNSPEC;
extern obj_t TOOLS_BETA_INITIALISATION_TOOLS_BETA_136();
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t READ___READER_198;
extern obj_t FIND_CURRY_DEPTH_CURRY_EXP_81();
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t REQUIRE_INITIALISATION__CURRY_WALK_67 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t CURRY_FIABLE_INITIALISATION_CURRY_FIABLE_113();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
#if defined( __STDC__ )
extern obj_t CURRY_WALK_CURRY_WALK_58(obj_t);
#else
extern obj_t CURRY_WALK_CURRY_WALK_58();
#endif
extern obj_t CURRY_WALK_INITIALISATION_CURRY_WALK_169();
#if defined( __STDC__ )
extern obj_t MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_167(obj_t, obj_t);
#else
extern obj_t MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_167();
#endif
#if defined( __STDC__ )
extern obj_t __MARK_CURRY_INFO__CURRY_WALK_196(obj_t, obj_t, obj_t);
#else
extern obj_t __MARK_CURRY_INFO__CURRY_WALK_196();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
obj_t MARK_CURRY_INFO__ENV_CURRY_WALK_27 = BUNSPEC;
#if defined( __STDC__ )
static obj_t CURRY_SCAN_GLOBAL_VAR_CURRY_WALK_3(obj_t);
#else
static obj_t CURRY_SCAN_GLOBAL_VAR_CURRY_WALK_3();
#endif
#if defined( __STDC__ )
extern obj_t __UNMARK_CURRY_INFO__CURRY_WALK_98(obj_t, obj_t);
#else
extern obj_t __UNMARK_CURRY_INFO__CURRY_WALK_98();
#endif
extern obj_t BETA_REDUCE_TOOLS_BETA_191();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();


obj_t
#if defined( __STDC__ )
CURRY_WALK_INITIALISATION_CURRY_WALK_169()
#else
CURRY_WALK_INITIALISATION_CURRY_WALK_169()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__CURRY_WALK_67 ))
{
REQUIRE_INITIALISATION__CURRY_WALK_67=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
CURRY_FIABLE_INITIALISATION_CURRY_FIABLE_113();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
CURRY_EXP_INITIALISATION_CURRY_EXP_25();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
TOOLS_BETA_INITIALISATION_TOOLS_BETA_136();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 8 ]  );
{obj_t PORT_640_9;
{obj_t AUX_654_72;
AUX_654_72=c_constant_string_to_string( "GLOBAL STATIC #\"-\" #\"-\" #\"-\" #\"-\" CURRY #\"   . Curry\" " );PORT_640_9=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_654_72 );}{obj_t OFFSET_641_2;
{
OFFSET_641_2=BINT( 7 );
{_LOOP_642_116:

if( LT_I( OFFSET_641_2, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_655_77;
AUX_655_77=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_640_9, BEOA );CNST_TABLE_SET( OFFSET_641_2, AUX_655_77 );}
{obj_t OFFSET_656_6;
OFFSET_656_6=OFFSET_641_2;{
OFFSET_641_2=SUB_I( OFFSET_656_6, BINT( 1 ) );
goto _LOOP_642_116;
}}
}}
}}}
{
CURRY_WALK_INITIALISATION_ENV_CURRY_WALK_128=make_fx_procedure( __CURRY_WALK_INITIALISATION_CURRY_WALK_31, 0, 0 );
CURRY_WALK_ENV_CURRY_WALK_180=make_fx_procedure( __CURRY_WALK_CURRY_WALK_75, 1, 0 );
MAKE_CURRY_FUNCTION_NAME_ENV_CURRY_WALK_87=make_fx_procedure( __MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_139, 2, 0 );
MARK_CURRY_INFO__ENV_CURRY_WALK_27=make_fx_procedure( __MARK_CURRY_INFO__CURRY_WALK_196, 2, 0 );
UNMARK_CURRY_INFO__ENV_CURRY_WALK_235=make_fx_procedure( __UNMARK_CURRY_INFO__CURRY_WALK_98, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__CURRY_INFO__CURRY_WALK_190=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__CURRY_WALK_INITIALISATION_CURRY_WALK_31(obj_t ENV_630_129)
#else
__CURRY_WALK_INITIALISATION_CURRY_WALK_31( ENV_630_129 )
obj_t ENV_630_129;
#endif
{

return CURRY_WALK_INITIALISATION_CURRY_WALK_169();
}

obj_t
#if defined( __STDC__ )
CURRY_WALK_CURRY_WALK_58(obj_t TREE_384_23)
#else
CURRY_WALK_CURRY_WALK_58( TREE_384_23 )
obj_t TREE_384_23;
#endif
{

{
{obj_t VA_ARG_609_28;
VA_ARG_609_28=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_610_125;
{obj_t STRING_CAST_611_55;
STRING_CAST_611_55=CNST_TABLE_REF( 0 );VA_ARG_610_125=MAKE_PAIR( STRING_CAST_611_55, VA_ARG_609_28 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_610_125 );}}
{obj_t __WALK_385_187;
{obj_t WALK_390_50, RES_391_226;
{
RES_391_226=BNIL;
WALK_390_50=TREE_384_23;
{_LOOP_389_67:

if( NULLP( WALK_390_50 ))
__WALK_385_187=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( RES_391_226 );else
{obj_t NEW_EXPS_392_203;
{obj_t C_CAR_501_174;
C_CAR_501_174=CAR( WALK_390_50 );NEW_EXPS_392_203=CURRY_SCAN_GLOBAL_VAR_CURRY_WALK_3( C_CAR_501_174 );}{obj_t C_CDR_502_184;
C_CDR_502_184=CDR( WALK_390_50 );{obj_t AUX_653_208;
AUX_653_208=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( NEW_EXPS_392_203, RES_391_226 );{
RES_391_226=AUX_653_208;
WALK_390_50=C_CDR_502_184;
goto _LOOP_389_67;
}}}}}
}}{obj_t WALK_387_118;
{
WALK_387_118=__WALK_385_187;
{_LOOP_386_190:

if( NULLP( WALK_387_118 ))
{
{obj_t g1008_504_135;
{
g1008_504_135=__CURRY_INFO__CURRY_WALK_190;
{_g1009_503_40:

if( PAIRP( g1008_504_135 ))
{
{obj_t VAR_506_112;
VAR_506_112=CAR( g1008_504_135 );{obj_t V_507_186;
V_507_186=BNIL;STRUCT_SLOT_SET( VAR_506_112, BINT( 8 ), V_507_186 );}}
{obj_t C_CDR_508_0;
C_CDR_508_0=CDR( g1008_504_135 );{
g1008_504_135=C_CDR_508_0;
goto _g1009_503_40;
}}
}else
BTRUE;}
}}
return __WALK_385_187;
}else
{obj_t V_388_191;
V_388_191=CAR( WALK_387_118 );{
{obj_t O_509_24;
O_509_24=STRUCT_SLOT_REF( V_388_191, BINT( 8 ) );{if( STRUCTP( O_509_24 ))
if( EQP( STRUCT_KEY( O_509_24 ), CNST_TABLE_REF( 1 ) ))
goto _true_15;else
goto _false_16;else
goto _false_16;_true_15:
{BFALSE;
goto _endif_17;}_false_16:
{obj_t V_513_17;
{obj_t S_515_75;
S_515_75=STRUCT_SLOT_REF( V_388_191, BINT( 6 ) );{obj_t C_STRUCT_REF_516_185;
C_STRUCT_REF_516_185=STRUCT_SLOT_REF( S_515_75, BINT( 4 ) );V_513_17=CURRY_EXPRESSION_CURRY_EXP_76( C_STRUCT_REF_516_185 );}}{obj_t S_512_181;
S_512_181=STRUCT_SLOT_REF( V_388_191, BINT( 6 ) );STRUCT_SLOT_SET( S_512_181, BINT( 4 ), V_513_17 );}}_endif_17:
;
}}
{obj_t C_CDR_518_140;
C_CDR_518_140=CDR( WALK_387_118 );{
WALK_387_118=C_CDR_518_140;
goto _LOOP_386_190;
}}
}}}
}}}
}
}

obj_t
#if defined( __STDC__ )
__CURRY_WALK_CURRY_WALK_75(obj_t ENV_629_217,obj_t TREE_384_23)
#else
__CURRY_WALK_CURRY_WALK_75( ENV_629_217, TREE_384_23 )
obj_t ENV_629_217, TREE_384_23;
#endif
{

return CURRY_WALK_CURRY_WALK_58( TREE_384_23 );
}

obj_t
#if defined( __STDC__ )
MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_167(obj_t OLD_NAME_393_220,obj_t N_394_140)
#else
MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_167( OLD_NAME_393_220, N_394_140 )
obj_t OLD_NAME_393_220, N_394_140;
#endif
{

{obj_t STRING_520_175;
{obj_t VA_ARG_612_138;
{obj_t SYMBOL_522_49;
SYMBOL_522_49=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, BEOA );{obj_t AUX_650_122;
AUX_650_122=SYMBOL_TO_STRING( SYMBOL_522_49 );VA_ARG_612_138=MAKE_PAIR( AUX_650_122, BNIL );}}{obj_t VA_ARG_613_170;
{obj_t STRING_CAST_618_121;
STRING_CAST_618_121=CNST_TABLE_REF( 2 );VA_ARG_613_170=MAKE_PAIR( STRING_CAST_618_121, VA_ARG_612_138 );}{obj_t VA_ARG_614_140;
{obj_t AUX_651_130;
AUX_651_130=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( N_394_140, BNIL );VA_ARG_614_140=MAKE_PAIR( AUX_651_130, VA_ARG_613_170 );}{obj_t VA_ARG_615_51;
{obj_t STRING_CAST_617_194;
STRING_CAST_617_194=CNST_TABLE_REF( 3 );VA_ARG_615_51=MAKE_PAIR( STRING_CAST_617_194, VA_ARG_614_140 );}{obj_t VA_ARG_616_27;
{obj_t AUX_652_245;
AUX_652_245=SYMBOL_TO_STRING( OLD_NAME_393_220 );VA_ARG_616_27=MAKE_PAIR( AUX_652_245, VA_ARG_615_51 );}STRING_520_175=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_616_27 );}}}}}return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_520_175 ) );}
}

obj_t
#if defined( __STDC__ )
__MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_139(obj_t ENV_628_202,obj_t OLD_NAME_393_220,obj_t N_394_140)
#else
__MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_139( ENV_628_202, OLD_NAME_393_220, N_394_140 )
obj_t ENV_628_202, OLD_NAME_393_220, N_394_140;
#endif
{

return MAKE_CURRY_FUNCTION_NAME_CURRY_WALK_167( OLD_NAME_393_220, N_394_140 );
}

static obj_t
#if defined( __STDC__ )
CURRY_SCAN_GLOBAL_VAR_CURRY_WALK_3(obj_t VAR_395_35)
#else
CURRY_SCAN_GLOBAL_VAR_CURRY_WALK_3( VAR_395_35 )
obj_t VAR_395_35;
#endif
{

{obj_t FUNCTION_396_149;
FUNCTION_396_149=STRUCT_SLOT_REF( VAR_395_35, BINT( 6 ) );{obj_t ARGS_397_73;
ARGS_397_73=STRUCT_SLOT_REF( FUNCTION_396_149, BINT( 3 ) );{obj_t BODY_398_41;
BODY_398_41=STRUCT_SLOT_REF( FUNCTION_396_149, BINT( 4 ) );{
{obj_t g1000_400_42;
{
g1000_400_42=ARGS_397_73;
{_g1001_399_42:

if( PAIRP( g1000_400_42 ))
{
{obj_t LOCAL_401_69;
LOCAL_401_69=CAR( g1000_400_42 );{obj_t V_526_148;
V_526_148=BNIL;STRUCT_SLOT_SET( LOCAL_401_69, BINT( 4 ), V_526_148 );}}
{obj_t C_CDR_527_10;
C_CDR_527_10=CDR( g1000_400_42 );{
g1000_400_42=C_CDR_527_10;
goto _g1001_399_42;
}}
}else
BTRUE;}
}}
MARK_UNCURRYFIABLE__CURRY_FIABLE_246( BODY_398_41 );
{bool_t __ortest_1007_633_189;
{obj_t AUX_643_5;
if( PAIRP( ARGS_397_73 ))
AUX_643_5=BFALSE;else
AUX_643_5=BTRUE;__ortest_1007_633_189=BBOOL_TO_CBOOL( AUX_643_5 );}{if( __ortest_1007_633_189)
goto _true_3;else
{bool_t OBJ_635_121;
{obj_t AUX_644_242;
{bool_t OBJ_634_64;
OBJ_634_64=NULLP( CDR( ARGS_397_73 ) );AUX_644_242=CBOOL_TO_BBOOL( OBJ_634_64 );}OBJ_635_121=BBOOL_TO_CBOOL( AUX_644_242 );}if( OBJ_635_121)
goto _false_4;else
goto _true_3;}_true_3:
return MAKE_PAIR( VAR_395_35, BNIL );_false_4:
{obj_t CURRY_403_63;
{obj_t C_STRUCT_REF_534_161;
C_STRUCT_REF_534_161=STRUCT_SLOT_REF( FUNCTION_396_149, BINT( 2 ) );{obj_t C_CAR_535_18;
C_CAR_535_18=CAR( ARGS_397_73 );CURRY_403_63=FIND_CURRY_DEPTH_CURRY_EXP_81( C_STRUCT_REF_534_161, C_CAR_535_18, BODY_398_41 );}}{if( STRUCTP( CURRY_403_63 ))
if( EQP( STRUCT_KEY( CURRY_403_63 ), CNST_TABLE_REF( 1 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t OLD_CURRY_404_191;
{obj_t C_STRUCT_REF_537_141;
C_STRUCT_REF_537_141=STRUCT_SLOT_REF( CURRY_403_63, BINT( 0 ) );OLD_CURRY_404_191=GET_CURRY_INFO_CURRY_EXP_202( VAR_395_35, C_STRUCT_REF_537_141 );}{if( STRUCTP( OLD_CURRY_404_191 ))
if( EQP( STRUCT_KEY( OLD_CURRY_404_191 ), CNST_TABLE_REF( 1 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
return MAKE_PAIR( VAR_395_35, BNIL );_false_10:
{obj_t NEW_FUN_NAME_405_68;
{obj_t N_541_29;
N_541_29=STRUCT_SLOT_REF( CURRY_403_63, BINT( 0 ) );{obj_t OLD_NAME_540_75;
OLD_NAME_540_75=STRUCT_SLOT_REF( VAR_395_35, BINT( 0 ) );{obj_t STRING_542_10;
{obj_t VA_ARG_619_25;
{obj_t SYMBOL_543_248;
SYMBOL_543_248=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, BEOA );{obj_t AUX_645_101;
AUX_645_101=SYMBOL_TO_STRING( SYMBOL_543_248 );VA_ARG_619_25=MAKE_PAIR( AUX_645_101, BNIL );}}{obj_t VA_ARG_620_145;
{obj_t STRING_CAST_625_177;
STRING_CAST_625_177=CNST_TABLE_REF( 4 );VA_ARG_620_145=MAKE_PAIR( STRING_CAST_625_177, VA_ARG_619_25 );}{obj_t VA_ARG_621_16;
{obj_t AUX_646_239;
AUX_646_239=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( N_541_29, BNIL );VA_ARG_621_16=MAKE_PAIR( AUX_646_239, VA_ARG_620_145 );}{obj_t VA_ARG_622_150;
{obj_t STRING_CAST_624_107;
STRING_CAST_624_107=CNST_TABLE_REF( 5 );VA_ARG_622_150=MAKE_PAIR( STRING_CAST_624_107, VA_ARG_621_16 );}{obj_t VA_ARG_623_26;
{obj_t AUX_647_193;
AUX_647_193=SYMBOL_TO_STRING( OLD_NAME_540_75 );VA_ARG_623_26=MAKE_PAIR( AUX_647_193, VA_ARG_622_150 );}STRING_542_10=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_623_26 );}}}}}NEW_FUN_NAME_405_68=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_542_10 ) );}}}{obj_t NEW_ARGS_406_240;
{obj_t g1005_416_146;
g1005_416_146=STRUCT_SLOT_REF( CURRY_403_63, BINT( 1 ) );if( NULLP( g1005_416_146 ))
NEW_ARGS_406_240=BNIL;else
{obj_t HEAD_417_3;
{obj_t OBJ2_550_15;
OBJ2_550_15=BNIL;{obj_t OBJ1_549_38;
{obj_t V_423_185;
V_423_185=CAR( g1005_416_146 );{obj_t C_STRUCT_REF_551_175;
C_STRUCT_REF_551_175=STRUCT_SLOT_REF( V_423_185, BINT( 0 ) );OBJ1_549_38=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_551_175 );}}HEAD_417_3=MAKE_PAIR( OBJ1_549_38, OBJ2_550_15 );}}{obj_t g1005_419_38, TAIL_420_141;
{obj_t C_CDR_558_201;
C_CDR_558_201=CDR( g1005_416_146 );{
TAIL_420_141=HEAD_417_3;
g1005_419_38=C_CDR_558_201;
{_g1006_418_130:

if( NULLP( g1005_419_38 ))
NEW_ARGS_406_240=HEAD_417_3;else
{obj_t NEW_TAIL_421_87;
{obj_t OBJ2_553_115;
OBJ2_553_115=BNIL;{obj_t OBJ1_552_132;
{obj_t V_422_194;
V_422_194=CAR( g1005_419_38 );{obj_t C_STRUCT_REF_554_80;
C_STRUCT_REF_554_80=STRUCT_SLOT_REF( V_422_194, BINT( 0 ) );OBJ1_552_132=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_554_80 );}}NEW_TAIL_421_87=MAKE_PAIR( OBJ1_552_132, OBJ2_553_115 );}}{
SET_CDR( TAIL_420_141, NEW_TAIL_421_87 );
{obj_t C_CDR_557_61;
C_CDR_557_61=CDR( g1005_419_38 );{
TAIL_420_141=NEW_TAIL_421_87;
g1005_419_38=C_CDR_557_61;
goto _g1006_418_130;
}}
}}}
}}}}}{obj_t NEW_FUN_407_73;
NEW_FUN_407_73=DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( NEW_FUN_NAME_405_68, NEW_ARGS_406_240, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 6 ) );{
STRUCT_SLOT_SET( CURRY_403_63, BINT( 3 ), NEW_FUN_407_73 );
{obj_t V_560_183;
{obj_t OBJ2_563_81;
{obj_t PAIR_567_62;
PAIR_567_62=STRUCT_SLOT_REF( CURRY_403_63, BINT( 2 ) );OBJ2_563_81=CDR( PAIR_567_62 );}{obj_t OBJ1_562_187;
{obj_t PAIR_565_246;
PAIR_565_246=STRUCT_SLOT_REF( CURRY_403_63, BINT( 2 ) );OBJ1_562_187=CAR( PAIR_565_246 );}{obj_t C_CONS_564_217;
C_CONS_564_217=MAKE_PAIR( OBJ1_562_187, OBJ2_563_81 );{obj_t g1002_409_87;
g1002_409_87=STRUCT_SLOT_REF( CURRY_403_63, BINT( 1 ) );{obj_t AUX_648_139;
if( NULLP( g1002_409_87 ))
AUX_648_139=BNIL;else
{obj_t HEAD_410_159;
{obj_t OBJ2_571_213;
OBJ2_571_213=BNIL;{obj_t OBJ1_570_12;
{obj_t OBJ2_573_190;
OBJ2_573_190=CAR( NEW_ARGS_406_240 );{obj_t OBJ1_572_103;
OBJ1_572_103=CAR( g1002_409_87 );OBJ1_570_12=MAKE_PAIR( OBJ1_572_103, OBJ2_573_190 );}}HEAD_410_159=MAKE_PAIR( OBJ1_570_12, OBJ2_571_213 );}}{obj_t g1002_412_19, g1003_413_18, TAIL_414_125;
{obj_t C_CDR_580_61;
C_CDR_580_61=CDR( g1002_409_87 );{obj_t C_CDR_581_3;
C_CDR_581_3=CDR( NEW_ARGS_406_240 );{
TAIL_414_125=HEAD_410_159;
g1003_413_18=C_CDR_581_3;
g1002_412_19=C_CDR_580_61;
{_g1004_411_92:

if( NULLP( g1002_412_19 ))
AUX_648_139=HEAD_410_159;else
{obj_t NEW_TAIL_415_147;
{obj_t OBJ2_575_211;
OBJ2_575_211=BNIL;{obj_t OBJ1_574_22;
{obj_t OBJ2_577_223;
OBJ2_577_223=CAR( g1003_413_18 );{obj_t OBJ1_576_75;
OBJ1_576_75=CAR( g1002_412_19 );OBJ1_574_22=MAKE_PAIR( OBJ1_576_75, OBJ2_577_223 );}}NEW_TAIL_415_147=MAKE_PAIR( OBJ1_574_22, OBJ2_575_211 );}}{
SET_CDR( TAIL_414_125, NEW_TAIL_415_147 );
{obj_t C_CDR_578_73;
C_CDR_578_73=CDR( g1002_412_19 );{obj_t C_CDR_579_173;
C_CDR_579_173=CDR( g1003_413_18 );{
TAIL_414_125=NEW_TAIL_415_147;
g1003_413_18=C_CDR_579_173;
g1002_412_19=C_CDR_578_73;
goto _g1004_411_92;
}}}
}}}
}}}}}V_560_183=BETA_REDUCE_TOOLS_BETA_191( C_CONS_564_217, AUX_648_139 );}}}}}{obj_t S_559_81;
S_559_81=STRUCT_SLOT_REF( NEW_FUN_407_73, BINT( 6 ) );STRUCT_SLOT_SET( S_559_81, BINT( 4 ), V_560_183 );}}
{obj_t S_582_250;
S_582_250=STRUCT_SLOT_REF( NEW_FUN_407_73, BINT( 6 ) );STRUCT_SLOT_SET( S_582_250, BINT( 3 ), NEW_ARGS_406_240 );}
{obj_t PAIR_586_77;
PAIR_586_77=STRUCT_SLOT_REF( CURRY_403_63, BINT( 2 ) );SET_CAR( PAIR_586_77, NEW_FUN_407_73 );}
{obj_t OBJ_589_214;
{obj_t C_STRUCT_REF_591_174;
C_STRUCT_REF_591_174=STRUCT_SLOT_REF( CURRY_403_63, BINT( 1 ) );{obj_t AUX_649_232;
AUX_649_232=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( C_STRUCT_REF_591_174 );OBJ_589_214=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( AUX_649_232 );}}{obj_t PAIR_588_29;
PAIR_588_29=STRUCT_SLOT_REF( CURRY_403_63, BINT( 2 ) );SET_CDR( PAIR_588_29, OBJ_589_214 );}}
{if( STRUCTP( VAR_395_35 ))
if( EQP( STRUCT_KEY( VAR_395_35 ), CNST_TABLE_REF( 7 ) ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
{
STRUCT_SLOT_SET( VAR_395_35, BINT( 8 ), CURRY_403_63 );
{obj_t OBJ2_593_108;
OBJ2_593_108=__CURRY_INFO__CURRY_WALK_190;{__CURRY_INFO__CURRY_WALK_190=MAKE_PAIR( VAR_395_35, OBJ2_593_108 );
goto _endif_14;}}
}_false_13:
STRUCT_SLOT_SET( VAR_395_35, BINT( 4 ), CURRY_403_63 );_endif_14:
;
}
{obj_t C_CONS_595_245;
C_CONS_595_245=MAKE_PAIR( NEW_FUN_407_73, BNIL );return MAKE_PAIR( VAR_395_35, C_CONS_595_245 );}
}}}};
}}_false_7:
return MAKE_PAIR( VAR_395_35, BNIL );;
}};
}}
}}}}
}

obj_t
#if defined( __STDC__ )
MARK_CURRY_INFO__CURRY_WALK_230(obj_t VAR_424_208,obj_t INFO_425_188)
#else
MARK_CURRY_INFO__CURRY_WALK_230( VAR_424_208, INFO_425_188 )
obj_t VAR_424_208, INFO_425_188;
#endif
{

{if( STRUCTP( VAR_424_208 ))
if( EQP( STRUCT_KEY( VAR_424_208 ), CNST_TABLE_REF( 7 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{
STRUCT_SLOT_SET( VAR_424_208, BINT( 8 ), INFO_425_188 );
{obj_t OBJ2_598_11;
OBJ2_598_11=__CURRY_INFO__CURRY_WALK_190;{__CURRY_INFO__CURRY_WALK_190=MAKE_PAIR( VAR_424_208, OBJ2_598_11 );
goto _endif_2;}}
}_false_1:
return STRUCT_SLOT_SET( VAR_424_208, BINT( 4 ), INFO_425_188 );_endif_2:
;
}
}

obj_t
#if defined( __STDC__ )
__MARK_CURRY_INFO__CURRY_WALK_196(obj_t ENV_627_111,obj_t VAR_424_208,obj_t INFO_425_188)
#else
__MARK_CURRY_INFO__CURRY_WALK_196( ENV_627_111, VAR_424_208, INFO_425_188 )
obj_t ENV_627_111, VAR_424_208, INFO_425_188;
#endif
{

return MARK_CURRY_INFO__CURRY_WALK_230( VAR_424_208, INFO_425_188 );
}

obj_t
#if defined( __STDC__ )
UNMARK_CURRY_INFO__CURRY_WALK_242(obj_t VAR_426_130)
#else
UNMARK_CURRY_INFO__CURRY_WALK_242( VAR_426_130 )
obj_t VAR_426_130;
#endif
{

{obj_t V_599_3;
V_599_3=BNIL;return STRUCT_SLOT_SET( VAR_426_130, BINT( 8 ), V_599_3 );}
}

obj_t
#if defined( __STDC__ )
__UNMARK_CURRY_INFO__CURRY_WALK_98(obj_t ENV_626_182,obj_t VAR_426_130)
#else
__UNMARK_CURRY_INFO__CURRY_WALK_98( ENV_626_182, VAR_426_130 )
obj_t ENV_626_182, VAR_426_130;
#endif
{

return UNMARK_CURRY_INFO__CURRY_WALK_242( VAR_426_130 );
}

