/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Engine/compiler.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>
#include <signal.h>

extern obj_t CGEN_WALK_CGEN_WALK_157();
extern obj_t __PASS__ENGINE_PARAM_158;
extern obj_t FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71();
extern obj_t FUSE_WALK_FUSE_WALK_94();
extern obj_t LIFT_WALK_INITIALISATION_LIFT_WALK_136();
extern obj_t FUSE_WALK_INITIALISATION_FUSE_WALK_231();
extern obj_t _0CFA_WALK_INITIALISATION_0CFA_WALK_65();
extern obj_t PREFIX___UNIX_FILE_45();
extern obj_t HEAP_MAKE_INITIALISATION_HEAP_MAKE_37();
extern obj_t string_append();
extern obj_t bigloo_exit();
extern obj_t INLINE_WALK_INITIALISATION_INLINE_WALK_117();
extern obj_t CC_INDENT_INITIALISATION_CC_INDENT_96();
extern obj_t HOIST_WALK_INITIALISATION_HOIST_WALK_179();
extern obj_t ASSERT_WALK_INITIALISATION_ASSERT_WALK_32();
extern obj_t __GCC__ENGINE_PARAM_152;
extern obj_t CSE_WALK_INITIALISATION_CSE_WALK_238();
extern obj_t WRITE_EXPANDED_WRITE_EXPANDED_118();
extern obj_t CNST_WALK_INITIALISATION_CNST_WALK_34();
extern obj_t __REST_ARGS__ENGINE_PARAM_83;
extern obj_t INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53();
extern obj_t ASSERT_WALK_ASSERT_WALK_207();
extern obj_t __IMMEDIAT_ERROR__ENGINE_PARAM_186;
extern obj_t INTEG_WALK_INITIALISATION_INTEG_WALK_156();
extern obj_t CC_CC_INITIALISATION_CC_CC_28();
extern obj_t EFFECT_WALK_EFFECT_WALK_124();
extern obj_t WRITE_TREE_WRITE_TREE_143();
extern obj_t COMPILER_ENGINE_COMPILER_165();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t SCAN_WALK_SCAN_WALK_44();
extern obj_t INDENT_CC_INDENT_120();
extern obj_t READ_SRC_READ_SRC_249();
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
extern obj_t LD_CC_LD_124();
extern obj_t USER_USER_INITIALISATION_USER_USER_21();
extern obj_t EXPAND_INSTALL_INITIALISATION_EXPAND_INSTALL_214();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t LIFT_WALK_LIFT_WALK_172();
extern obj_t INIT_COMPILER_SIGNALS__INIT_SIGNALS_1();
#if defined( __STDC__ )
extern obj_t __COMPILER_ENGINE_COMPILER_177(obj_t);
#else
extern obj_t __COMPILER_ENGINE_COMPILER_177();
#endif
extern obj_t STACK_WALK_INITIALISATION_STACK_WALK_92();
extern obj_t HOIST_WALK_HOIST_WALK_239();
static obj_t __cnst[ 23 ] ;
extern obj_t __HEAP__STACK___ENGINE_PARAM_121;
extern obj_t WARNING___ERROR_212();
extern obj_t EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
extern obj_t _0CFA_0CFA_WALK_167();
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10();
extern obj_t READ_SRC_INITIALISATION_READ_SRC_206();
extern obj_t FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50();
extern obj_t USER_WALK_USER_USER_208();
extern obj_t INSTALL_INITIAL_EXPANDER_EXPAND_INSTALL_170();
extern obj_t READ___READER_198;
extern obj_t ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
extern obj_t MAKE_FOREIGN_CASTING__FOREIGN_CAST_205();
extern obj_t WRITE_TREE_INITIALISATION_WRITE_TREE_249();
extern obj_t INIT_GLOBAL_ENVIRONMENT__VAR_ENV_42();
static obj_t REQUIRE_INITIALISATION__ENGINE_COMPILER_248 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t TYPE_WALK_INITIALISATION_TYPE_WALK_72();
extern obj_t CC_LD_INITIALISATION_CC_LD_62();
extern obj_t STACK_WALK_STACK_WALK_233();
extern obj_t SCAN_WALK_INITIALISATION_SCAN_WALK_125();
extern obj_t c_constant_string_to_string();
extern obj_t __SUPERLIFT___ENGINE_PARAM_176;
extern obj_t __ASSERT__ENGINE_PARAM_193;
extern obj_t CURRY_WALK_CURRY_WALK_58();
extern obj_t CURRY_WALK_INITIALISATION_CURRY_WALK_169();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t SUPERLIFT_WALK_INITIALISATION_SUPERLIFT_WALK_111();
extern obj_t ___READER_INITIALISATION___READER_22();
obj_t ENGINE_COMPILER_INITIALISATION_ENV_ENGINE_COMPILER_108 = BUNSPEC;
extern obj_t CSE_WALK_CSE_WALK_53();
extern obj_t INLINE_WALK_INLINE_WALK_224();
extern obj_t INIT_FOREIGN_INTERFACE__FOREIGN_TOOLS_195();
extern obj_t make_fx_procedure();
extern obj_t __OPTIM__ENGINE_PARAM_213;
extern obj_t EFFECT_WALK_INITIALISATION_EFFECT_WALK_76();
extern obj_t READ_ACCESS_FILE_READ_ACCESS_79();
extern obj_t WRITE_EXPANDED_INITIALISATION_WRITE_EXPANDED_96();
extern obj_t __C_DEBUG__ENGINE_PARAM_235;
extern obj_t TYPE_WALK_TYPE_WALK_206();
extern obj_t READ_ACCESS_INITIALISATION_READ_ACCESS_130();
extern obj_t CNST_WALK_CNST_WALK_147();
extern obj_t EXPAND_CODE_EXPAND_EPS_244();
extern obj_t BETA_WALK_INITIALISATION_BETA_WALK_69();
extern obj_t INTEG_WALK_INTEG_WALK_121();
extern obj_t __DEST__ENGINE_PARAM_232;
extern obj_t CC_CC_CC_58();
extern obj_t CGEN_WALK_INITIALISATION_CGEN_WALK_90();
extern obj_t BETA_WALK_BETA_WALK_121();
extern obj_t SUPERLIFT_WALK_SUPERLIFT_WALK_150();
obj_t COMPILER_ENV_ENGINE_COMPILER_24 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_75(obj_t);
#else
extern obj_t __ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_75();
#endif
extern obj_t MAKE_HEAP_HEAP_MAKE_58();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_0_0_225_199();
static obj_t LAMBDA_0_1_226_184();
static obj_t LAMBDA_0_2_228_143();
static obj_t LAMBDA_0_3_229_156();
static obj_t LAMBDA_0_4_230_62();
static obj_t LAMBDA_0_5_231_232();
static obj_t LAMBDA_0_6_232_153();
static obj_t LAMBDA_0_7_233_205();
static obj_t LAMBDA_0_8_234_66();
static obj_t LAMBDA_0_9_235_100();
static obj_t LAMBDA_0_10_236_123();
static obj_t LAMBDA_0_11_237_137();
static obj_t LAMBDA_0_12_238_142();
static obj_t LAMBDA_0_13_239_84();
static obj_t LAMBDA_0_14_240_82();
static obj_t LAMBDA_0_15_241_150();
static obj_t LAMBDA_0_16_243_172();
static obj_t LAMBDA_0_17_244_202();
static obj_t LAMBDA_0_18_246_217();
static obj_t LAMBDA_0_19_247_180();

obj_t
#if defined( __STDC__ )
ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13()
#else
ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__ENGINE_COMPILER_248 ))
{
REQUIRE_INITIALISATION__ENGINE_COMPILER_248=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
CC_LD_INITIALISATION_CC_LD_62();
CSE_WALK_INITIALISATION_CSE_WALK_238();
INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53();
___READER_INITIALISATION___READER_22();
EXPAND_INSTALL_INITIALISATION_EXPAND_INSTALL_214();
WRITE_EXPANDED_INITIALISATION_WRITE_EXPANDED_96();
USER_USER_INITIALISATION_USER_USER_21();
SUPERLIFT_WALK_INITIALISATION_SUPERLIFT_WALK_111();
FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50();
READ_SRC_INITIALISATION_READ_SRC_206();
___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
_0CFA_WALK_INITIALISATION_0CFA_WALK_65();
EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
STACK_WALK_INITIALISATION_STACK_WALK_92();
EFFECT_WALK_INITIALISATION_EFFECT_WALK_76();
TYPE_WALK_INITIALISATION_TYPE_WALK_72();
LIFT_WALK_INITIALISATION_LIFT_WALK_136();
CNST_WALK_INITIALISATION_CNST_WALK_34();
SCAN_WALK_INITIALISATION_SCAN_WALK_125();
FUSE_WALK_INITIALISATION_FUSE_WALK_231();
READ_ACCESS_INITIALISATION_READ_ACCESS_130();
ASSERT_WALK_INITIALISATION_ASSERT_WALK_32();
VAR_ENV_INITIALISATION_VAR_ENV_78();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
INLINE_WALK_INITIALISATION_INLINE_WALK_117();
HEAP_MAKE_INITIALISATION_HEAP_MAKE_37();
CURRY_WALK_INITIALISATION_CURRY_WALK_169();
WRITE_TREE_INITIALISATION_WRITE_TREE_249();
BETA_WALK_INITIALISATION_BETA_WALK_69();
INTEG_WALK_INITIALISATION_INTEG_WALK_156();
CGEN_WALK_INITIALISATION_CGEN_WALK_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
HOIST_WALK_INITIALISATION_HOIST_WALK_179();
CC_INDENT_INITIALISATION_CC_INDENT_96();
CC_CC_INITIALISATION_CC_CC_28();
FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71();
DECLARE_CNST_TABLE( __cnst[ 23 ]  );
{obj_t PORT_392_75;
{obj_t AUX_451_184;
AUX_451_184=c_constant_string_to_string( "#\".user\" DONE CC CINDENT DISTRIB CGEN INTEG CNST BETA STACK LIFT SUPERLIFT CSE HOIST 0CFA ASSERT FUSE TYPE INLINE MAKE-HEAP EXPAND USER #\"Ignored arguments: \" " );PORT_392_75=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_451_184 );}{obj_t OFFSET_393_2;
{
OFFSET_393_2=BINT( 22 );
{_LOOP_394_133:

if( LT_I( OFFSET_393_2, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_452_39;
AUX_452_39=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_392_75, BEOA );CNST_TABLE_SET( OFFSET_393_2, AUX_452_39 );}
{obj_t OFFSET_453_199;
OFFSET_453_199=OFFSET_393_2;{
OFFSET_393_2=SUB_I( OFFSET_453_199, BINT( 1 ) );
goto _LOOP_394_133;
}}
}}
}}}
{
ENGINE_COMPILER_INITIALISATION_ENV_ENGINE_COMPILER_108=make_fx_procedure( __ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_75, 0, 0 );
COMPILER_ENV_ENGINE_COMPILER_24=make_fx_procedure( __COMPILER_ENGINE_COMPILER_177, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_75(obj_t ENV_388_74)
#else
__ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_75( ENV_388_74 )
obj_t ENV_388_74;
#endif
{

return ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
}

obj_t
#if defined( __STDC__ )
COMPILER_ENGINE_COMPILER_165()
#else
COMPILER_ENGINE_COMPILER_165()
#endif
{

{
INIT_COMPILER_SIGNALS__INIT_SIGNALS_1();
READ_ACCESS_FILE_READ_ACCESS_79();
INIT_GLOBAL_ENVIRONMENT__VAR_ENV_42();
INSTALL_INITIAL_EXPANDER_EXPAND_INSTALL_170();
INIT_FOREIGN_INTERFACE__FOREIGN_TOOLS_195();
{obj_t CODE_224_74;
{obj_t AUX_411_37;
AUX_411_37=READ_SRC_READ_SRC_249();CODE_224_74=MAKE_CELL( AUX_411_37 );}{
{bool_t OBJ_389_188;
OBJ_389_188=NULLP( __REST_ARGS__ENGINE_PARAM_83 );if( OBJ_389_188)
BFALSE;else
{obj_t VA_ARG_303_61;
VA_ARG_303_61=MAKE_PAIR( __REST_ARGS__ENGINE_PARAM_83, BNIL );{obj_t VA_ARG_304_93;
{obj_t STRING_CAST_305_215;
STRING_CAST_305_215=CNST_TABLE_REF( 0 );VA_ARG_304_93=MAKE_PAIR( STRING_CAST_305_215, VA_ARG_303_61 );}WARNING___ERROR_212( VA_ARG_304_93 );}}}
{obj_t AUX_412_23;
{obj_t AUX_413_63;
AUX_413_63=CELL_REF( CODE_224_74 );AUX_412_23=MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10( AUX_413_63 );}CELL_SET( CODE_224_74, AUX_412_23 );}
MAKE_FOREIGN_CASTING__FOREIGN_CAST_205();
{obj_t AUX_414_184;
{obj_t AUX_415_146;
AUX_415_146=CELL_REF( CODE_224_74 );AUX_414_184=USER_WALK_USER_USER_208( AUX_415_146 );}CELL_SET( CODE_224_74, AUX_414_184 );}
{obj_t THUNK_254_229;
{obj_t LAMBDA_0_0_ENV_384_91;
LAMBDA_0_0_ENV_384_91=CODE_224_74;THUNK_254_229=LAMBDA_0_0_ENV_384_91;}{obj_t OBJ1_255_187;
OBJ1_255_187=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_255_187, CNST_TABLE_REF( 1 ) ))
{
LAMBDA_0_0_225_199( THUNK_254_229 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t AUX_416_117;
{obj_t AUX_417_39;
AUX_417_39=CELL_REF( CODE_224_74 );AUX_416_117=EXPAND_CODE_EXPAND_EPS_244( AUX_417_39 );}CELL_SET( CODE_224_74, AUX_416_117 );}
{obj_t THUNK_258_10;
{obj_t LAMBDA_0_1_ENV_381_137;
LAMBDA_0_1_ENV_381_137=CODE_224_74;THUNK_258_10=LAMBDA_0_1_ENV_381_137;}{obj_t OBJ1_259_220;
OBJ1_259_220=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_259_220, CNST_TABLE_REF( 2 ) ))
{
LAMBDA_0_1_226_184( THUNK_258_10 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t TREE_227_74;
{obj_t AUX_418_149;
{obj_t AUX_419_31;
AUX_419_31=CELL_REF( CODE_224_74 );AUX_418_149=SCAN_WALK_SCAN_WALK_44( AUX_419_31 );}TREE_227_74=MAKE_CELL( AUX_418_149 );}{
{obj_t THUNK_260_202;
{obj_t LAMBDA_0_2_ENV_378_52;
LAMBDA_0_2_ENV_378_52=BUNSPEC;THUNK_260_202=LAMBDA_0_2_ENV_378_52;}{obj_t OBJ1_261_34;
OBJ1_261_34=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_261_34, CNST_TABLE_REF( 3 ) ))
{
LAMBDA_0_2_228_143( THUNK_260_202 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t N1_264_42;
N1_264_42=__OPTIM__ENGINE_PARAM_213;if( GT_I( N1_264_42, BINT( 1 ) ))
{obj_t AUX_420_244;
{obj_t AUX_421_45;
AUX_421_45=CELL_REF( TREE_227_74 );AUX_420_244=CURRY_WALK_CURRY_WALK_58( AUX_421_45 );}CELL_SET( TREE_227_74, AUX_420_244 );}else
BFALSE;}
{obj_t AUX_422_236;
{obj_t AUX_423_249;
AUX_423_249=CELL_REF( TREE_227_74 );AUX_422_236=INLINE_WALK_INLINE_WALK_224( AUX_423_249 );}CELL_SET( TREE_227_74, AUX_422_236 );}
{obj_t THUNK_265_231;
{obj_t LAMBDA_0_3_ENV_375_136;
LAMBDA_0_3_ENV_375_136=TREE_227_74;THUNK_265_231=LAMBDA_0_3_ENV_375_136;}{obj_t OBJ1_266_175;
OBJ1_266_175=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_266_175, CNST_TABLE_REF( 4 ) ))
{
LAMBDA_0_3_229_156( THUNK_265_231 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t AUX_424_136;
{obj_t AUX_425_153;
AUX_425_153=CELL_REF( TREE_227_74 );AUX_424_136=TYPE_WALK_TYPE_WALK_206( AUX_425_153 );}CELL_SET( TREE_227_74, AUX_424_136 );}
{obj_t THUNK_267_19;
{obj_t LAMBDA_0_4_ENV_372_37;
LAMBDA_0_4_ENV_372_37=TREE_227_74;THUNK_267_19=LAMBDA_0_4_ENV_372_37;}{obj_t OBJ1_268_16;
OBJ1_268_16=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_268_16, CNST_TABLE_REF( 5 ) ))
{
LAMBDA_0_4_230_62( THUNK_267_19 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
__IMMEDIAT_ERROR__ENGINE_PARAM_186=BTRUE;
{obj_t AUX_426_182;
{obj_t AUX_427_111;
AUX_427_111=CELL_REF( TREE_227_74 );AUX_426_182=FUSE_WALK_FUSE_WALK_94( AUX_427_111 );}CELL_SET( TREE_227_74, AUX_426_182 );}
{obj_t THUNK_269_45;
{obj_t LAMBDA_0_5_ENV_369_173;
LAMBDA_0_5_ENV_369_173=TREE_227_74;THUNK_269_45=LAMBDA_0_5_ENV_369_173;}{obj_t OBJ1_270_27;
OBJ1_270_27=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_270_27, CNST_TABLE_REF( 6 ) ))
{
LAMBDA_0_5_231_232( THUNK_269_45 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
if( BBOOL_TO_CBOOL( __ASSERT__ENGINE_PARAM_193 ))
{
{obj_t AUX_428_202;
{obj_t AUX_429_217;
AUX_429_217=CELL_REF( TREE_227_74 );AUX_428_202=ASSERT_WALK_ASSERT_WALK_207( AUX_429_217 );}CELL_SET( TREE_227_74, AUX_428_202 );}
{obj_t THUNK_271_91;
{obj_t LAMBDA_0_6_ENV_366_194;
LAMBDA_0_6_ENV_366_194=TREE_227_74;THUNK_271_91=LAMBDA_0_6_ENV_366_194;}{obj_t OBJ1_272_140;
OBJ1_272_140=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_272_140, CNST_TABLE_REF( 7 ) ))
{
LAMBDA_0_6_232_153( THUNK_271_91 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;
{obj_t N1_273_13;
N1_273_13=__OPTIM__ENGINE_PARAM_213;if( GT_I( N1_273_13, BINT( 1 ) ))
{
{obj_t AUX_430_129;
AUX_430_129=CELL_REF( TREE_227_74 );EFFECT_WALK_EFFECT_WALK_124( AUX_430_129 );}
{obj_t AUX_431_90;
{obj_t AUX_432_217;
AUX_432_217=CELL_REF( TREE_227_74 );AUX_431_90=_0CFA_0CFA_WALK_167( AUX_432_217 );}CELL_SET( TREE_227_74, AUX_431_90 );}
{obj_t THUNK_274_20;
{obj_t LAMBDA_0_7_ENV_363_6;
LAMBDA_0_7_ENV_363_6=TREE_227_74;THUNK_274_20=LAMBDA_0_7_ENV_363_6;}{obj_t OBJ1_275_170;
OBJ1_275_170=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_275_170, CNST_TABLE_REF( 8 ) ))
{
LAMBDA_0_7_233_205( THUNK_274_20 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;}
{obj_t AUX_433_202;
{obj_t AUX_434_19;
AUX_434_19=CELL_REF( TREE_227_74 );AUX_433_202=HOIST_WALK_HOIST_WALK_239( AUX_434_19 );}CELL_SET( TREE_227_74, AUX_433_202 );}
{obj_t THUNK_276_24;
{obj_t LAMBDA_0_8_ENV_360_103;
LAMBDA_0_8_ENV_360_103=TREE_227_74;THUNK_276_24=LAMBDA_0_8_ENV_360_103;}{obj_t OBJ1_277_118;
OBJ1_277_118=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_277_118, CNST_TABLE_REF( 9 ) ))
{
LAMBDA_0_8_234_66( THUNK_276_24 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t N1_278_204;
N1_278_204=__OPTIM__ENGINE_PARAM_213;if( GT_I( N1_278_204, BINT( 0 ) ))
{
{obj_t AUX_435_165;
{obj_t AUX_436_231;
AUX_436_231=CELL_REF( TREE_227_74 );AUX_435_165=CSE_WALK_CSE_WALK_53( AUX_436_231 );}CELL_SET( TREE_227_74, AUX_435_165 );}
{obj_t THUNK_279_113;
{obj_t LAMBDA_0_9_ENV_357_177;
LAMBDA_0_9_ENV_357_177=TREE_227_74;THUNK_279_113=LAMBDA_0_9_ENV_357_177;}{obj_t OBJ1_280_36;
OBJ1_280_36=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_280_36, CNST_TABLE_REF( 10 ) ))
{
LAMBDA_0_9_235_100( THUNK_279_113 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;}
if( BBOOL_TO_CBOOL( __SUPERLIFT___ENGINE_PARAM_176 ))
{
{obj_t AUX_437_71;
{obj_t AUX_438_249;
AUX_438_249=CELL_REF( TREE_227_74 );AUX_437_71=SUPERLIFT_WALK_SUPERLIFT_WALK_150( AUX_438_249 );}CELL_SET( TREE_227_74, AUX_437_71 );}
{obj_t THUNK_281_89;
{obj_t LAMBDA_0_10_ENV_354_153;
LAMBDA_0_10_ENV_354_153=TREE_227_74;THUNK_281_89=LAMBDA_0_10_ENV_354_153;}{obj_t OBJ1_282_188;
OBJ1_282_188=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_282_188, CNST_TABLE_REF( 11 ) ))
{
LAMBDA_0_10_236_123( THUNK_281_89 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;
{obj_t AUX_439_236;
{obj_t AUX_440_215;
AUX_440_215=CELL_REF( TREE_227_74 );AUX_439_236=LIFT_WALK_LIFT_WALK_172( AUX_440_215 );}CELL_SET( TREE_227_74, AUX_439_236 );}
{obj_t THUNK_283_61;
{obj_t LAMBDA_0_11_ENV_351_240;
LAMBDA_0_11_ENV_351_240=TREE_227_74;THUNK_283_61=LAMBDA_0_11_ENV_351_240;}{obj_t OBJ1_284_173;
OBJ1_284_173=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_284_173, CNST_TABLE_REF( 12 ) ))
{
LAMBDA_0_11_237_137( THUNK_283_61 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t N1_285_229;
N1_285_229=__OPTIM__ENGINE_PARAM_213;if( GT_I( N1_285_229, BINT( 1 ) ))
{
if( BBOOL_TO_CBOOL( __HEAP__STACK___ENGINE_PARAM_121 ))
{
{obj_t AUX_441_160;
{obj_t AUX_442_53;
AUX_442_53=CELL_REF( TREE_227_74 );AUX_441_160=STACK_WALK_STACK_WALK_233( AUX_442_53 );}CELL_SET( TREE_227_74, AUX_441_160 );}
{obj_t THUNK_286_155;
{obj_t LAMBDA_0_12_ENV_348_81;
LAMBDA_0_12_ENV_348_81=TREE_227_74;THUNK_286_155=LAMBDA_0_12_ENV_348_81;}{obj_t OBJ1_287_7;
OBJ1_287_7=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_287_7, CNST_TABLE_REF( 13 ) ))
{
LAMBDA_0_12_238_142( THUNK_286_155 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;
{obj_t AUX_443_162;
{obj_t AUX_444_109;
AUX_444_109=CELL_REF( TREE_227_74 );AUX_443_162=BETA_WALK_BETA_WALK_121( AUX_444_109 );}CELL_SET( TREE_227_74, AUX_443_162 );}
{obj_t THUNK_288_240;
{obj_t LAMBDA_0_13_ENV_345_218;
LAMBDA_0_13_ENV_345_218=TREE_227_74;THUNK_288_240=LAMBDA_0_13_ENV_345_218;}{obj_t OBJ1_289_68;
OBJ1_289_68=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_289_68, CNST_TABLE_REF( 14 ) ))
{
LAMBDA_0_13_239_84( THUNK_288_240 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}else
BFALSE;}
{obj_t AUX_445_47;
{obj_t AUX_446_180;
AUX_446_180=CELL_REF( TREE_227_74 );AUX_445_47=CNST_WALK_CNST_WALK_147( AUX_446_180 );}CELL_SET( TREE_227_74, AUX_445_47 );}
{obj_t THUNK_290_42;
{obj_t LAMBDA_0_14_ENV_342_90;
LAMBDA_0_14_ENV_342_90=TREE_227_74;THUNK_290_42=LAMBDA_0_14_ENV_342_90;}{obj_t OBJ1_291_8;
OBJ1_291_8=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_291_8, CNST_TABLE_REF( 15 ) ))
{
LAMBDA_0_14_240_82( THUNK_290_42 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
if( BBOOL_TO_CBOOL( __GCC__ENGINE_PARAM_152 ))
BFALSE;else
{
{obj_t AUX_447_205;
{obj_t AUX_448_227;
AUX_448_227=CELL_REF( TREE_227_74 );AUX_447_205=INTEG_WALK_INTEG_WALK_121( AUX_448_227 );}CELL_SET( TREE_227_74, AUX_447_205 );}
{obj_t THUNK_292_159;
{obj_t LAMBDA_0_15_ENV_339_82;
LAMBDA_0_15_ENV_339_82=TREE_227_74;THUNK_292_159=LAMBDA_0_15_ENV_339_82;}{obj_t OBJ1_293_4;
OBJ1_293_4=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_293_4, CNST_TABLE_REF( 16 ) ))
{
LAMBDA_0_15_241_150( THUNK_292_159 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
}
{obj_t C_PREFIX_242_218;
{obj_t AUX_449_96;
AUX_449_96=CELL_REF( TREE_227_74 );C_PREFIX_242_218=CGEN_WALK_CGEN_WALK_157( AUX_449_96 );}{
{obj_t THUNK_294_61;
{obj_t LAMBDA_0_16_ENV_336_164;
LAMBDA_0_16_ENV_336_164=BUNSPEC;THUNK_294_61=LAMBDA_0_16_ENV_336_164;}{obj_t OBJ1_295_16;
OBJ1_295_16=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_295_16, CNST_TABLE_REF( 17 ) ))
{
LAMBDA_0_16_243_172( THUNK_294_61 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{obj_t THUNK_296_89;
{obj_t LAMBDA_0_17_ENV_333_146;
LAMBDA_0_17_ENV_333_146=BUNSPEC;THUNK_296_89=LAMBDA_0_17_ENV_333_146;}{obj_t OBJ1_297_26;
OBJ1_297_26=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_297_26, CNST_TABLE_REF( 18 ) ))
{
LAMBDA_0_17_244_202( THUNK_296_89 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
{bool_t __ortest_1000_390_58;
{obj_t AUX_450_146;
{obj_t OBJ1_298_99;
OBJ1_298_99=__PASS__ENGINE_PARAM_158;AUX_450_146=CBOOL_TO_BBOOL( EQP( OBJ1_298_99, CNST_TABLE_REF( 19 ) ) );}__ortest_1000_390_58=BBOOL_TO_CBOOL( AUX_450_146 );}{if( __ortest_1000_390_58)
goto _true_0;else
if( BBOOL_TO_CBOOL( __C_DEBUG__ENGINE_PARAM_235 ))
goto _true_0;else
goto _false_1;_true_0:
{INDENT_CC_INDENT_120( C_PREFIX_242_218 );
goto _endif_2;}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t THUNK_299_106;
{obj_t LAMBDA_0_18_ENV_330_179;
LAMBDA_0_18_ENV_330_179=BUNSPEC;THUNK_299_106=LAMBDA_0_18_ENV_330_179;}{obj_t OBJ1_300_181;
OBJ1_300_181=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_300_181, CNST_TABLE_REF( 19 ) ))
{
LAMBDA_0_18_246_217( THUNK_299_106 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
CC_CC_CC_58( C_PREFIX_242_218 );
{obj_t THUNK_301_18;
{obj_t LAMBDA_0_19_ENV_327_88;
LAMBDA_0_19_ENV_327_88=BUNSPEC;THUNK_301_18=LAMBDA_0_19_ENV_327_88;}{obj_t OBJ1_302_70;
OBJ1_302_70=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_302_70, CNST_TABLE_REF( 20 ) ))
{
LAMBDA_0_19_247_180( THUNK_301_18 );
bigloo_exit( BINT( 0 ) );
}else
BFALSE;}}
LD_CC_LD_124( C_PREFIX_242_218 );
return CNST_TABLE_REF( 21 );
}}
}}
}}
}
}

obj_t
#if defined( __STDC__ )
__COMPILER_ENGINE_COMPILER_177(obj_t ENV_387_11)
#else
__COMPILER_ENGINE_COMPILER_177( ENV_387_11 )
obj_t ENV_387_11;
#endif
{

return COMPILER_ENGINE_COMPILER_165();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_225_199(obj_t LAMBDA_0_0_ENV_385_92)
#else
LAMBDA_0_0_225_199( LAMBDA_0_0_ENV_385_92 )
obj_t LAMBDA_0_0_ENV_385_92;
#endif
{

{obj_t CODE_224_74;
CODE_224_74=LAMBDA_0_0_ENV_385_92;{
{bool_t OBJ_391_175;
OBJ_391_175=STRINGP( __DEST__ENGINE_PARAM_232 );if( OBJ_391_175)
BFALSE;else
{obj_t STRING_CAST_306_162;
STRING_CAST_306_162=CNST_TABLE_REF( 22 );{obj_t AUX_409_70;
AUX_409_70=PREFIX___UNIX_FILE_45( __SRC__ENGINE_PARAM_53 );__DEST__ENGINE_PARAM_232=string_append( AUX_409_70, STRING_CAST_306_162 );}}}
{obj_t AUX_410_69;
AUX_410_69=CELL_REF( CODE_224_74 );return WRITE_EXPANDED_WRITE_EXPANDED_118( AUX_410_69 );}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_1_226_184(obj_t LAMBDA_0_1_ENV_382_59)
#else
LAMBDA_0_1_226_184( LAMBDA_0_1_ENV_382_59 )
obj_t LAMBDA_0_1_ENV_382_59;
#endif
{

{obj_t CODE_224_74;
CODE_224_74=LAMBDA_0_1_ENV_382_59;{obj_t AUX_408_103;
AUX_408_103=CELL_REF( CODE_224_74 );return WRITE_EXPANDED_WRITE_EXPANDED_118( AUX_408_103 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_2_228_143(obj_t LAMBDA_0_2_ENV_379_216)
#else
LAMBDA_0_2_228_143( LAMBDA_0_2_ENV_379_216 )
obj_t LAMBDA_0_2_ENV_379_216;
#endif
{

return MAKE_HEAP_HEAP_MAKE_58();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_3_229_156(obj_t LAMBDA_0_3_ENV_376_111)
#else
LAMBDA_0_3_229_156( LAMBDA_0_3_ENV_376_111 )
obj_t LAMBDA_0_3_ENV_376_111;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_3_ENV_376_111;{obj_t AUX_407_147;
AUX_407_147=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_407_147 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_4_230_62(obj_t LAMBDA_0_4_ENV_373_69)
#else
LAMBDA_0_4_230_62( LAMBDA_0_4_ENV_373_69 )
obj_t LAMBDA_0_4_ENV_373_69;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_4_ENV_373_69;{obj_t AUX_406_124;
AUX_406_124=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_406_124 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_5_231_232(obj_t LAMBDA_0_5_ENV_370_120)
#else
LAMBDA_0_5_231_232( LAMBDA_0_5_ENV_370_120 )
obj_t LAMBDA_0_5_ENV_370_120;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_5_ENV_370_120;{obj_t AUX_405_144;
AUX_405_144=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_405_144 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_6_232_153(obj_t LAMBDA_0_6_ENV_367_185)
#else
LAMBDA_0_6_232_153( LAMBDA_0_6_ENV_367_185 )
obj_t LAMBDA_0_6_ENV_367_185;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_6_ENV_367_185;{obj_t AUX_404_172;
AUX_404_172=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_404_172 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_7_233_205(obj_t LAMBDA_0_7_ENV_364_92)
#else
LAMBDA_0_7_233_205( LAMBDA_0_7_ENV_364_92 )
obj_t LAMBDA_0_7_ENV_364_92;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_7_ENV_364_92;{obj_t AUX_403_167;
AUX_403_167=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_403_167 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_8_234_66(obj_t LAMBDA_0_8_ENV_361_70)
#else
LAMBDA_0_8_234_66( LAMBDA_0_8_ENV_361_70 )
obj_t LAMBDA_0_8_ENV_361_70;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_8_ENV_361_70;{obj_t AUX_402_183;
AUX_402_183=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_402_183 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_9_235_100(obj_t LAMBDA_0_9_ENV_358_40)
#else
LAMBDA_0_9_235_100( LAMBDA_0_9_ENV_358_40 )
obj_t LAMBDA_0_9_ENV_358_40;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_9_ENV_358_40;{obj_t AUX_401_157;
AUX_401_157=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_401_157 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_10_236_123(obj_t LAMBDA_0_10_ENV_355_136)
#else
LAMBDA_0_10_236_123( LAMBDA_0_10_ENV_355_136 )
obj_t LAMBDA_0_10_ENV_355_136;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_10_ENV_355_136;{obj_t AUX_400_238;
AUX_400_238=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_400_238 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_11_237_137(obj_t LAMBDA_0_11_ENV_352_102)
#else
LAMBDA_0_11_237_137( LAMBDA_0_11_ENV_352_102 )
obj_t LAMBDA_0_11_ENV_352_102;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_11_ENV_352_102;{obj_t AUX_399_64;
AUX_399_64=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_399_64 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_12_238_142(obj_t LAMBDA_0_12_ENV_349_20)
#else
LAMBDA_0_12_238_142( LAMBDA_0_12_ENV_349_20 )
obj_t LAMBDA_0_12_ENV_349_20;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_12_ENV_349_20;{obj_t AUX_398_121;
AUX_398_121=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_398_121 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_13_239_84(obj_t LAMBDA_0_13_ENV_346_255)
#else
LAMBDA_0_13_239_84( LAMBDA_0_13_ENV_346_255 )
obj_t LAMBDA_0_13_ENV_346_255;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_13_ENV_346_255;{obj_t AUX_397_194;
AUX_397_194=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_397_194 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_14_240_82(obj_t LAMBDA_0_14_ENV_343_129)
#else
LAMBDA_0_14_240_82( LAMBDA_0_14_ENV_343_129 )
obj_t LAMBDA_0_14_ENV_343_129;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_14_ENV_343_129;{obj_t AUX_396_185;
AUX_396_185=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_396_185 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_15_241_150(obj_t LAMBDA_0_15_ENV_340_233)
#else
LAMBDA_0_15_241_150( LAMBDA_0_15_ENV_340_233 )
obj_t LAMBDA_0_15_ENV_340_233;
#endif
{

{obj_t TREE_227_74;
TREE_227_74=LAMBDA_0_15_ENV_340_233;{obj_t AUX_395_164;
AUX_395_164=CELL_REF( TREE_227_74 );return WRITE_TREE_WRITE_TREE_143( AUX_395_164 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_16_243_172(obj_t LAMBDA_0_16_ENV_337_29)
#else
LAMBDA_0_16_243_172( LAMBDA_0_16_ENV_337_29 )
obj_t LAMBDA_0_16_ENV_337_29;
#endif
{

return CNST_TABLE_REF( 21 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_17_244_202(obj_t LAMBDA_0_17_ENV_334_23)
#else
LAMBDA_0_17_244_202( LAMBDA_0_17_ENV_334_23 )
obj_t LAMBDA_0_17_ENV_334_23;
#endif
{

return CNST_TABLE_REF( 21 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_18_246_217(obj_t LAMBDA_0_18_ENV_331_62)
#else
LAMBDA_0_18_246_217( LAMBDA_0_18_ENV_331_62 )
obj_t LAMBDA_0_18_ENV_331_62;
#endif
{

return CNST_TABLE_REF( 21 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_19_247_180(obj_t LAMBDA_0_19_ENV_328_35)
#else
LAMBDA_0_19_247_180( LAMBDA_0_19_ENV_328_35 )
obj_t LAMBDA_0_19_ENV_328_35;
#endif
{

return CNST_TABLE_REF( 21 );
}

