/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Engine/engine.c                                                   */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t __HELLO___ENGINE_PARAM_34;
extern obj_t WRITE_VERSION_INITIALISATION_WRITE_VERSION_86();
extern obj_t __LIB_DIR__ENGINE_PARAM_17;
extern obj_t string_append();
extern obj_t HELLO_WORLD_ENGINE_ENGINE_251();
extern obj_t __BIGLOO_ARGS__ENGINE_PARAM_242;
extern obj_t VERSION_ENV_WRITE_VERSION_51;
#if defined( __STDC__ )
extern obj_t __ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_80(obj_t);
#else
extern obj_t __ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_80();
#endif
obj_t HELLO_WORLD_ENV_ENGINE_ENGINE_137 = BUNSPEC;
extern obj_t COMPILER_ENGINE_COMPILER_165();
extern obj_t ENGINE_LINK_INITIALISATION_ENGINE_LINK_14();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
static obj_t __cnst[ 2 ] ;
extern obj_t SAY_TOOLS_SPEEK_87();
#if defined( __STDC__ )
extern obj_t __HELLO_WORLD_ENGINE_ENGINE_129(obj_t);
#else
extern obj_t __HELLO_WORLD_ENGINE_ENGINE_129();
#endif
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t READ___READER_198;
extern obj_t ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
extern obj_t LINK_ENGINE_LINK_63();
#if defined( __STDC__ )
extern obj_t __BIGLOO_ENGINE_ENGINE_62(obj_t);
#else
extern obj_t __BIGLOO_ENGINE_ENGINE_62();
#endif
static obj_t REQUIRE_INITIALISATION__ENGINE_ENGINE_202 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t INTERP_ENGINE_INTERP_206();
extern obj_t __STARTUP_FILE__ENGINE_PARAM_238;
extern obj_t c_constant_string_to_string();
extern obj_t __INTERPRETER__ENGINE_PARAM_56;
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t ENGINE_INTERP_INITIALISATION_ENGINE_INTERP_239();
extern obj_t ___READER_INITIALISATION___READER_22();
obj_t BIGLOO_ENV_ENGINE_ENGINE_185 = BUNSPEC;
obj_t ENGINE_ENGINE_INITIALISATION_ENV_ENGINE_ENGINE_137 = BUNSPEC;
extern obj_t make_fx_procedure();
extern obj_t __SILENT__ENGINE_PARAM_5;
extern obj_t ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
extern obj_t __O_FILES__ENGINE_PARAM_130;
extern obj_t BIGLOO_ENGINE_ENGINE_139();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251()
#else
ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__ENGINE_ENGINE_202 ))
{
REQUIRE_INITIALISATION__ENGINE_ENGINE_202=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
ENGINE_INTERP_INITIALISATION_ENGINE_INTERP_239();
WRITE_VERSION_INITIALISATION_WRITE_VERSION_86();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
ENGINE_LINK_INITIALISATION_ENGINE_LINK_14();
DECLARE_CNST_TABLE( __cnst[ 2 ]  );
{obj_t PORT_238_1;
{obj_t AUX_243_92;
AUX_243_92=c_constant_string_to_string( "#\":\" #\"/scheme-files\" " );PORT_238_1=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_243_92 );}{obj_t OFFSET_239_155;
{
OFFSET_239_155=BINT( 1 );
{_LOOP_240_195:

if( LT_I( OFFSET_239_155, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_244_6;
AUX_244_6=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_238_1, BEOA );CNST_TABLE_SET( OFFSET_239_155, AUX_244_6 );}
{obj_t OFFSET_245_169;
OFFSET_245_169=OFFSET_239_155;{
OFFSET_239_155=SUB_I( OFFSET_245_169, BINT( 1 ) );
goto _LOOP_240_195;
}}
}}
}}}
{
ENGINE_ENGINE_INITIALISATION_ENV_ENGINE_ENGINE_137=make_fx_procedure( __ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_80, 0, 0 );
BIGLOO_ENV_ENGINE_ENGINE_185=make_fx_procedure( __BIGLOO_ENGINE_ENGINE_62, 0, 0 );
HELLO_WORLD_ENV_ENGINE_ENGINE_137=make_fx_procedure( __HELLO_WORLD_ENGINE_ENGINE_129, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_80(obj_t ENV_234_76)
#else
__ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_80( ENV_234_76 )
obj_t ENV_234_76;
#endif
{

return ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
}

obj_t
#if defined( __STDC__ )
BIGLOO_ENGINE_ENGINE_139()
#else
BIGLOO_ENGINE_ENGINE_139()
#endif
{

{bool_t __andtest_1000_235_114;
__andtest_1000_235_114=BBOOL_TO_CBOOL( __SRC__ENGINE_PARAM_53 );{if( __andtest_1000_235_114)
{bool_t OBJ_236_15;
OBJ_236_15=BBOOL_TO_CBOOL( __INTERPRETER__ENGINE_PARAM_56 );if( OBJ_236_15)
goto _false_1;else
goto _true_0;}else
goto _false_1;_true_0:
return COMPILER_ENGINE_COMPILER_165();_false_1:
{bool_t OBJ_237_2;
OBJ_237_2=NULLP( __O_FILES__ENGINE_PARAM_130 );if( OBJ_237_2)
{obj_t A_FUNCTION_227_97;
A_FUNCTION_227_97=VERSION_ENV_WRITE_VERSION_51;{obj_t STRING_CAST_228_28;
STRING_CAST_228_28=CNST_TABLE_REF( 0 );{obj_t AUX_242_91;
AUX_242_91=string_append( __LIB_DIR__ENGINE_PARAM_17, STRING_CAST_228_28 );return INTERP_ENGINE_INTERP_206( A_FUNCTION_227_97, __SILENT__ENGINE_PARAM_5, __SRC__ENGINE_PARAM_53, __STARTUP_FILE__ENGINE_PARAM_238, AUX_242_91, __BIGLOO_ARGS__ENGINE_PARAM_242 );}}}else
return LINK_ENGINE_LINK_63();};
}}
}

obj_t
#if defined( __STDC__ )
__BIGLOO_ENGINE_ENGINE_62(obj_t ENV_233_123)
#else
__BIGLOO_ENGINE_ENGINE_62( ENV_233_123 )
obj_t ENV_233_123;
#endif
{

return BIGLOO_ENGINE_ENGINE_139();
}

obj_t
#if defined( __STDC__ )
HELLO_WORLD_ENGINE_ENGINE_251()
#else
HELLO_WORLD_ENGINE_ENGINE_251()
#endif
{

if( BBOOL_TO_CBOOL( __HELLO___ENGINE_PARAM_34 ))
{obj_t VA_ARG_229_170;
VA_ARG_229_170=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_230_86;
{obj_t STRING_CAST_231_140;
STRING_CAST_231_140=CNST_TABLE_REF( 1 );{obj_t AUX_241_17;
AUX_241_17=string_append( __SRC__ENGINE_PARAM_53, STRING_CAST_231_140 );VA_ARG_230_86=MAKE_PAIR( AUX_241_17, VA_ARG_229_170 );}}return SAY_TOOLS_SPEEK_87( VA_ARG_230_86 );}}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__HELLO_WORLD_ENGINE_ENGINE_129(obj_t ENV_232_229)
#else
__HELLO_WORLD_ENGINE_ENGINE_129( ENV_232_229 )
obj_t ENV_232_229;
#endif
{

return HELLO_WORLD_ENGINE_ENGINE_251();
}

