/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Engine/link.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t ENGINE_LINK_INITIALISATION_ENV_ENGINE_LINK_164 = BUNSPEC;
#if defined( __STDC__ )
static obj_t MAKE_TMP_MAIN_ENGINE_LINK_229(obj_t, obj_t);
#else
static obj_t MAKE_TMP_MAIN_ENGINE_LINK_229();
#endif
extern obj_t PREFIX___UNIX_FILE_45();
extern obj_t string_append();
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t GENSYM___R4_SYMBOLS_6_4_130;
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
static obj_t __TMP_MAIN_FILE_NAME__ENGINE_LINK_168 = BUNSPEC;
extern bool_t unlink();
extern obj_t __BIGLOO_TMP__ENGINE_PARAM_238;
extern bool_t fexists();
#if defined( __STDC__ )
extern obj_t __ENGINE_LINK_INITIALISATION_ENGINE_LINK_33(obj_t);
#else
extern obj_t __ENGINE_LINK_INITIALISATION_ENGINE_LINK_33();
#endif
extern obj_t COMPILER_ENGINE_COMPILER_165();
extern obj_t ENGINE_LINK_INITIALISATION_ENGINE_LINK_14();
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
extern obj_t LD_CC_LD_124();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
#if defined( __STDC__ )
extern obj_t __LINK_ENGINE_LINK_102(obj_t);
#else
extern obj_t __LINK_ENGINE_LINK_102();
#endif
extern obj_t OLD_GETENV_TOOLS_FILE_95();
extern obj_t close_output_port();
static obj_t __cnst[ 27 ] ;
extern obj_t FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
extern obj_t READ___READER_198;
extern obj_t ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
extern obj_t LINK_ENGINE_LINK_63();
static obj_t REQUIRE_INITIALISATION__ENGINE_LINK_15 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t CC_LD_INITIALISATION_CC_LD_62();
extern obj_t c_constant_string_to_string();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
obj_t LINK_ENV_ENGINE_LINK_104 = BUNSPEC;
extern obj_t make_fx_procedure();
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
extern obj_t TOOLS_FILE_INITIALISATION_TOOLS_FILE_200();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
static obj_t LINK_WITH_ENGINE_LINK_182(obj_t);
#else
static obj_t LINK_WITH_ENGINE_LINK_182();
#endif
extern obj_t open_output_file();
extern obj_t __O_FILES__ENGINE_PARAM_130;
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175();
extern obj_t __BIGLOO_NAME__ENGINE_PARAM_173;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();


obj_t
#if defined( __STDC__ )
ENGINE_LINK_INITIALISATION_ENGINE_LINK_14()
#else
ENGINE_LINK_INITIALISATION_ENGINE_LINK_14()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__ENGINE_LINK_15 ))
{
REQUIRE_INITIALISATION__ENGINE_LINK_15=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
CC_LD_INITIALISATION_CC_LD_62();
___READER_INITIALISATION___READER_22();
TOOLS_FILE_INITIALISATION_TOOLS_FILE_200();
___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
ENGINE_COMPILER_INITIALISATION_ENGINE_COMPILER_13();
DECLARE_CNST_TABLE( __cnst[ 27 ]  );
{obj_t PORT_391_58;
{obj_t AUX_407_147;
AUX_407_147=c_constant_string_to_string( "#\"Can't open output file\" #\"\" #\"(main *the-command-line*)\" IMPORT FORCE #\";; ==================================\" #\";; !!! generated file, don't edit !!!\" #\";; \" #\"Illegal file\" #\"\" MAIN MODULE #\"\\\"\" #\"\\\"\" #\"\\\"\" #\"\\\"\" #\"Redeclaration of the main\" #\"\" #\".o\" #\".c\" #\"ld\" #\".scm\" #\"/\" #\"main-tmp\" #\"@\" #\"USER\" #\".scm\" " );PORT_391_58=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_407_147 );}{obj_t OFFSET_392_15;
{
OFFSET_392_15=BINT( 26 );
{_LOOP_393_85:

if( LT_I( OFFSET_392_15, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_408_103;
AUX_408_103=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_391_58, BEOA );CNST_TABLE_SET( OFFSET_392_15, AUX_408_103 );}
{obj_t OFFSET_409_65;
OFFSET_409_65=OFFSET_392_15;{
OFFSET_392_15=SUB_I( OFFSET_409_65, BINT( 1 ) );
goto _LOOP_393_85;
}}
}}
}}}
{
ENGINE_LINK_INITIALISATION_ENV_ENGINE_LINK_164=make_fx_procedure( __ENGINE_LINK_INITIALISATION_ENGINE_LINK_33, 0, 0 );
LINK_ENV_ENGINE_LINK_104=make_fx_procedure( __LINK_ENGINE_LINK_102, 0, 0 );
{
{obj_t VA_ARG_334_211;
{obj_t STRING_CAST_344_74;
STRING_CAST_344_74=CNST_TABLE_REF( 0 );VA_ARG_334_211=MAKE_PAIR( STRING_CAST_344_74, BNIL );}{obj_t VA_ARG_335_57;
{obj_t STRING_CAST_343_139;
STRING_CAST_343_139=CNST_TABLE_REF( 1 );{obj_t AUX_410_69;
AUX_410_69=OLD_GETENV_TOOLS_FILE_95( STRING_CAST_343_139 );VA_ARG_335_57=MAKE_PAIR( AUX_410_69, VA_ARG_334_211 );}}{obj_t VA_ARG_336_223;
{obj_t STRING_CAST_342_232;
STRING_CAST_342_232=CNST_TABLE_REF( 2 );VA_ARG_336_223=MAKE_PAIR( STRING_CAST_342_232, VA_ARG_335_57 );}{obj_t VA_ARG_337_148;
{obj_t STRING_CAST_341_191;
STRING_CAST_341_191=CNST_TABLE_REF( 3 );VA_ARG_337_148=MAKE_PAIR( STRING_CAST_341_191, VA_ARG_336_223 );}{obj_t VA_ARG_338_115;
{obj_t STRING_CAST_340_108;
STRING_CAST_340_108=CNST_TABLE_REF( 4 );VA_ARG_338_115=MAKE_PAIR( STRING_CAST_340_108, VA_ARG_337_148 );}{obj_t VA_ARG_339_48;
VA_ARG_339_48=MAKE_PAIR( __BIGLOO_TMP__ENGINE_PARAM_238, VA_ARG_338_115 );__TMP_MAIN_FILE_NAME__ENGINE_LINK_168=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_339_48 );}}}}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__ENGINE_LINK_INITIALISATION_ENGINE_LINK_33(obj_t ENV_385_171)
#else
__ENGINE_LINK_INITIALISATION_ENGINE_LINK_33( ENV_385_171 )
obj_t ENV_385_171;
#endif
{

return ENGINE_LINK_INITIALISATION_ENGINE_LINK_14();
}

obj_t
#if defined( __STDC__ )
LINK_ENGINE_LINK_63()
#else
LINK_ENGINE_LINK_63()
#endif
{

{obj_t O_FILES_223_98, SCM_FILES_224_82;
{
SCM_FILES_224_82=BNIL;
O_FILES_223_98=__O_FILES__ENGINE_PARAM_130;
{_LOOP_222_83:

if( NULLP( O_FILES_223_98 ))
return LINK_WITH_ENGINE_LINK_182( SCM_FILES_224_82 );else
{obj_t SCM_FILE_225_200;
{obj_t C_CAR_266_227;
C_CAR_266_227=CAR( O_FILES_223_98 );{obj_t STRING_CAST_345_59;
STRING_CAST_345_59=CNST_TABLE_REF( 5 );{obj_t AUX_406_124;
AUX_406_124=PREFIX___UNIX_FILE_45( C_CAR_266_227 );SCM_FILE_225_200=string_append( AUX_406_124, STRING_CAST_345_59 );}}}if( fexists( BSTRING_TO_CSTRING( SCM_FILE_225_200 ) ))
{obj_t C_CDR_269_234;
C_CDR_269_234=CDR( O_FILES_223_98 );{obj_t C_CONS_272_248;
C_CONS_272_248=MAKE_PAIR( SCM_FILE_225_200, SCM_FILES_224_82 );{
SCM_FILES_224_82=C_CONS_272_248;
O_FILES_223_98=C_CDR_269_234;
goto _LOOP_222_83;
}}}else
{obj_t C_CDR_273_136;
C_CDR_273_136=CDR( O_FILES_223_98 );{
O_FILES_223_98=C_CDR_273_136;
goto _LOOP_222_83;
}}}}
}}
}

obj_t
#if defined( __STDC__ )
__LINK_ENGINE_LINK_102(obj_t ENV_384_5)
#else
__LINK_ENGINE_LINK_102( ENV_384_5 )
obj_t ENV_384_5;
#endif
{

return LINK_ENGINE_LINK_63();
}

static obj_t
#if defined( __STDC__ )
LINK_WITH_ENGINE_LINK_182(obj_t SCM_FILES_226_158)
#else
LINK_WITH_ENGINE_LINK_182( SCM_FILES_226_158 )
obj_t SCM_FILES_226_158;
#endif
{

{
{obj_t STRING_CAST_346_137;
STRING_CAST_346_137=CNST_TABLE_REF( 6 );START_PARTIAL_ERROR_TOOLS_ERROR_175( STRING_CAST_346_137 );}
if( NULLP( SCM_FILES_226_158 ))
{obj_t FIRST_227_184;
{obj_t PAIR_274_209;
PAIR_274_209=__O_FILES__ENGINE_PARAM_130;{obj_t C_CAR_275_41;
C_CAR_275_41=CAR( PAIR_274_209 );FIRST_227_184=PREFIX___UNIX_FILE_45( C_CAR_275_41 );}}{
{obj_t PAIR_276_76;
PAIR_276_76=__O_FILES__ENGINE_PARAM_130;__O_FILES__ENGINE_PARAM_130=CDR( PAIR_276_76 );}
return LD_CC_LD_124( FIRST_227_184 );
}}else
{obj_t SCM_FILES_229_3, CLS_230_151, MAIN_231_154;
{
MAIN_231_154=BFALSE;
CLS_230_151=BNIL;
SCM_FILES_229_3=SCM_FILES_226_158;
{_LOOP_228_198:

if( NULLP( SCM_FILES_229_3 ))
if( BBOOL_TO_CBOOL( MAIN_231_154 ))
{obj_t FIRST_232_132;
{obj_t PAIR_277_203;
PAIR_277_203=__O_FILES__ENGINE_PARAM_130;{obj_t C_CAR_278_86;
C_CAR_278_86=CAR( PAIR_277_203 );FIRST_232_132=PREFIX___UNIX_FILE_45( C_CAR_278_86 );}}{
{obj_t PAIR_279_222;
PAIR_279_222=__O_FILES__ENGINE_PARAM_130;__O_FILES__ENGINE_PARAM_130=CDR( PAIR_279_222 );}
return LD_CC_LD_124( FIRST_232_132 );
}}else
{
MAKE_TMP_MAIN_ENGINE_LINK_229( CLS_230_151, MAIN_231_154 );
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
__SRC__ENGINE_PARAM_53=__TMP_MAIN_FILE_NAME__ENGINE_LINK_168;
COMPILER_ENGINE_COMPILER_165();
{obj_t SCM_FILE_233_30;
SCM_FILE_233_30=__TMP_MAIN_FILE_NAME__ENGINE_LINK_168;{obj_t PRE_234_146;
PRE_234_146=PREFIX___UNIX_FILE_45( SCM_FILE_233_30 );{obj_t C_FILE_235_158;
{obj_t STRING_CAST_347_228;
STRING_CAST_347_228=CNST_TABLE_REF( 7 );C_FILE_235_158=string_append( PRE_234_146, STRING_CAST_347_228 );}{obj_t O_FILE_236_202;
{obj_t STRING_CAST_348_5;
STRING_CAST_348_5=CNST_TABLE_REF( 8 );O_FILE_236_202=string_append( PRE_234_146, STRING_CAST_348_5 );}{obj_t g1000_238_159;
{obj_t L_284_224;
{obj_t C_CONS_286_212;
{obj_t C_CONS_285_94;
C_CONS_285_94=MAKE_PAIR( O_FILE_236_202, BNIL );C_CONS_286_212=MAKE_PAIR( C_FILE_235_158, C_CONS_285_94 );}L_284_224=MAKE_PAIR( SCM_FILE_233_30, C_CONS_286_212 );}{
g1000_238_159=L_284_224;
{_g1001_237_242:

if( PAIRP( g1000_238_159 ))
{
{obj_t F_239_224;
F_239_224=CAR( g1000_238_159 );if( fexists( BSTRING_TO_CSTRING( F_239_224 ) ))
{bool_t AUX_403_167;
AUX_403_167=unlink( BSTRING_TO_CSTRING( F_239_224 ) );CBOOL_TO_BBOOL( AUX_403_167 );}else
BFALSE;}
{obj_t C_CDR_282_213;
C_CDR_282_213=CDR( g1000_238_159 );{
g1000_238_159=C_CDR_282_213;
goto _g1001_237_242;
}}
}else
return BTRUE;}
}}}}}}}
}else
{obj_t PORT_240_243;
{obj_t C_CAR_287_111;
C_CAR_287_111=CAR( SCM_FILES_229_3 );PORT_240_243=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( C_CAR_287_111, BNIL );}if( INPUT_PORTP( PORT_240_243 ))
{obj_t EXP_241_255;
EXP_241_255=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_240_243, BEOA );{
close_input_port( PORT_240_243 );
{obj_t NAME_252_200, NEW_MAIN_253_219, NAME_254_10;
if( PAIRP( EXP_241_255 ))
{obj_t CDR_114_246_202;
CDR_114_246_202=CDR( EXP_241_255 );{obj_t OBJ1_306_78;
OBJ1_306_78=CAR( EXP_241_255 );if( EQP( OBJ1_306_78, CNST_TABLE_REF( 15 ) ))
if( PAIRP( CDR_114_246_202 ))
{obj_t G_125_249_91;
{obj_t C_CDR_318_208;
C_CDR_318_208=CDR( CDR_114_246_202 );{
G_125_249_91=C_CDR_318_208;
{_TRY_126_247_45:

if( PAIRP( G_125_249_91 ))
{obj_t CAR_139_250_118;
CAR_139_250_118=CAR( G_125_249_91 );if( PAIRP( CAR_139_250_118 ))
{obj_t CDR_145_251_228;
CDR_145_251_228=CDR( CAR_139_250_118 );{obj_t OBJ1_307_75;
OBJ1_307_75=CAR( CAR_139_250_118 );if( EQP( OBJ1_307_75, CNST_TABLE_REF( 16 ) ))
if( PAIRP( CDR_145_251_228 ))
{obj_t OBJ2_309_169;
OBJ2_309_169=BNIL;{obj_t OBJ1_308_167;
OBJ1_308_167=CDR( CDR_145_251_228 );if( EQP( OBJ1_308_167, OBJ2_309_169 ))
{obj_t C_CAR_310_182;
C_CAR_310_182=CAR( CDR_114_246_202 );{obj_t C_CAR_311_111;
C_CAR_311_111=CAR( CDR_145_251_228 );{
NEW_MAIN_253_219=C_CAR_311_111;
NAME_252_200=C_CAR_310_182;
{
{
if( BBOOL_TO_CBOOL( MAIN_231_154 ))
{obj_t STRING_CAST_354_127;
STRING_CAST_354_127=CNST_TABLE_REF( 9 );{obj_t STRING_CAST_355_17;
STRING_CAST_355_17=CNST_TABLE_REF( 10 );{obj_t C_CONS_297_218;
C_CONS_297_218=MAKE_PAIR( MAIN_231_154, NEW_MAIN_253_219 );PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_354_127, STRING_CAST_355_17, C_CONS_297_218 );}}}else
BFALSE;
{obj_t C_CDR_298_191;
C_CDR_298_191=CDR( SCM_FILES_229_3 );{obj_t OBJ1_299_100;
{obj_t C_CONS_303_213;
{obj_t VA_ARG_356_104;
{obj_t STRING_CAST_360_168;
STRING_CAST_360_168=CNST_TABLE_REF( 11 );VA_ARG_356_104=MAKE_PAIR( STRING_CAST_360_168, BNIL );}{obj_t VA_ARG_357_190;
{obj_t C_CAR_302_31;
C_CAR_302_31=CAR( SCM_FILES_229_3 );VA_ARG_357_190=MAKE_PAIR( C_CAR_302_31, VA_ARG_356_104 );}{obj_t VA_ARG_358_67;
{obj_t STRING_CAST_359_151;
STRING_CAST_359_151=CNST_TABLE_REF( 12 );VA_ARG_358_67=MAKE_PAIR( STRING_CAST_359_151, VA_ARG_357_190 );}{obj_t AUX_404_172;
AUX_404_172=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_358_67 );C_CONS_303_213=MAKE_PAIR( AUX_404_172, BNIL );}}}}OBJ1_299_100=MAKE_PAIR( NAME_252_200, C_CONS_303_213 );}{obj_t C_CONS_300_104;
C_CONS_300_104=MAKE_PAIR( OBJ1_299_100, CLS_230_151 );{
MAIN_231_154=NEW_MAIN_253_219;
CLS_230_151=C_CONS_300_104;
SCM_FILES_229_3=C_CDR_298_191;
goto _LOOP_228_198;
}}}}
}}
}}}else
{obj_t C_CDR_312_185;
C_CDR_312_185=CDR( G_125_249_91 );{
G_125_249_91=C_CDR_312_185;
goto _TRY_126_247_45;
}}}}else
{obj_t C_CDR_313_194;
C_CDR_313_194=CDR( G_125_249_91 );{
G_125_249_91=C_CDR_313_194;
goto _TRY_126_247_45;
}}else
{obj_t C_CDR_314_143;
C_CDR_314_143=CDR( G_125_249_91 );{
G_125_249_91=C_CDR_314_143;
goto _TRY_126_247_45;
}}}}else
{obj_t C_CDR_315_55;
C_CDR_315_55=CDR( G_125_249_91 );{
G_125_249_91=C_CDR_315_55;
goto _TRY_126_247_45;
}}}else
{obj_t C_CAR_317_45;
C_CAR_317_45=CAR( CDR_114_246_202 );{
NAME_254_10=C_CAR_317_45;
{
{obj_t C_CDR_291_5;
C_CDR_291_5=CDR( SCM_FILES_229_3 );{obj_t OBJ1_292_33;
{obj_t C_CONS_296_102;
{obj_t VA_ARG_349_61;
{obj_t STRING_CAST_353_20;
STRING_CAST_353_20=CNST_TABLE_REF( 13 );VA_ARG_349_61=MAKE_PAIR( STRING_CAST_353_20, BNIL );}{obj_t VA_ARG_350_57;
{obj_t C_CAR_295_165;
C_CAR_295_165=CAR( SCM_FILES_229_3 );VA_ARG_350_57=MAKE_PAIR( C_CAR_295_165, VA_ARG_349_61 );}{obj_t VA_ARG_351_211;
{obj_t STRING_CAST_352_81;
STRING_CAST_352_81=CNST_TABLE_REF( 14 );VA_ARG_351_211=MAKE_PAIR( STRING_CAST_352_81, VA_ARG_350_57 );}{obj_t AUX_405_144;
AUX_405_144=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_351_211 );C_CONS_296_102=MAKE_PAIR( AUX_405_144, BNIL );}}}}OBJ1_292_33=MAKE_PAIR( NAME_254_10, C_CONS_296_102 );}{obj_t C_CONS_293_106;
C_CONS_293_106=MAKE_PAIR( OBJ1_292_33, CLS_230_151 );{
CLS_230_151=C_CONS_293_106;
SCM_FILES_229_3=C_CDR_291_5;
goto _LOOP_228_198;
}}}}}
}}}
}}}else
{_TAG_103_244_120:

{obj_t C_CDR_290_171;
C_CDR_290_171=CDR( SCM_FILES_229_3 );{
SCM_FILES_229_3=C_CDR_290_171;
goto _LOOP_228_198;
}}}else
goto _TAG_103_244_120;}}else
goto _TAG_103_244_120;}
}}else
{obj_t STRING_CAST_361_198;
STRING_CAST_361_198=CNST_TABLE_REF( 17 );{obj_t STRING_CAST_362_41;
STRING_CAST_362_41=CNST_TABLE_REF( 18 );{obj_t C_CAR_319_19;
C_CAR_319_19=CAR( SCM_FILES_229_3 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_361_198, STRING_CAST_362_41, C_CAR_319_19 );}}}}}
}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_TMP_MAIN_ENGINE_LINK_229(obj_t CLAUSES_255_10,obj_t MAIN_256_193)
#else
MAKE_TMP_MAIN_ENGINE_LINK_229( CLAUSES_255_10, MAIN_256_193 )
obj_t CLAUSES_255_10, MAIN_256_193;
#endif
{

{obj_t POUT_257_198;
{obj_t STRING_321_74;
STRING_321_74=__TMP_MAIN_FILE_NAME__ENGINE_LINK_168;POUT_257_198=open_output_file( STRING_321_74 );}if( OUTPUT_PORTP( POUT_257_198 ))
{
{obj_t VA_ARG_363_58;
VA_ARG_363_58=MAKE_PAIR( __BIGLOO_NAME__ENGINE_PARAM_173, BNIL );{obj_t VA_ARG_364_103;
{obj_t STRING_CAST_365_241;
STRING_CAST_365_241=CNST_TABLE_REF( 19 );VA_ARG_364_103=MAKE_PAIR( STRING_CAST_365_241, VA_ARG_363_58 );}FPRINT___R4_OUTPUT_6_10_3_45( POUT_257_198, VA_ARG_364_103 );}}
{obj_t VA_ARG_366_12;
{obj_t STRING_CAST_367_46;
STRING_CAST_367_46=CNST_TABLE_REF( 20 );VA_ARG_366_12=MAKE_PAIR( STRING_CAST_367_46, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( POUT_257_198, VA_ARG_366_12 );}
{obj_t VA_ARG_368_172;
{obj_t STRING_CAST_369_66;
STRING_CAST_369_66=CNST_TABLE_REF( 21 );VA_ARG_368_172=MAKE_PAIR( STRING_CAST_369_66, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( POUT_257_198, VA_ARG_368_172 );}
{obj_t VA_ARG_370_48;
VA_ARG_370_48=MAKE_PAIR( POUT_257_198, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_370_48 );}
{obj_t VA_ARG_371_115;
{obj_t VA_ARG_372_15;
VA_ARG_372_15=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_373_2;
{obj_t VA_ARG_377_28;
{obj_t g1002_258_249;
g1002_258_249=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( CLAUSES_255_10 );{obj_t AUX_394_29;
{obj_t AUX_396_185, AUX_395_164;
AUX_396_185=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( NULLP( g1002_258_249 ))
AUX_395_164=BNIL;else
{obj_t HEAD_259_10;
{obj_t OBJ2_324_2;
OBJ2_324_2=BNIL;{obj_t OBJ1_323_192;
{obj_t PAIR_325_147;
PAIR_325_147=CAR( g1002_258_249 );OBJ1_323_192=CAR( PAIR_325_147 );}HEAD_259_10=MAKE_PAIR( OBJ1_323_192, OBJ2_324_2 );}}{obj_t g1002_261_157, TAIL_262_104;
{obj_t C_CDR_332_56;
C_CDR_332_56=CDR( g1002_258_249 );{
TAIL_262_104=HEAD_259_10;
g1002_261_157=C_CDR_332_56;
{_g1003_260_176:

if( NULLP( g1002_261_157 ))
AUX_395_164=HEAD_259_10;else
{obj_t NEW_TAIL_263_215;
{obj_t OBJ2_327_48;
OBJ2_327_48=BNIL;{obj_t OBJ1_326_35;
{obj_t PAIR_328_12;
PAIR_328_12=CAR( g1002_261_157 );OBJ1_326_35=CAR( PAIR_328_12 );}NEW_TAIL_263_215=MAKE_PAIR( OBJ1_326_35, OBJ2_327_48 );}}{
SET_CDR( TAIL_262_104, NEW_TAIL_263_215 );
{obj_t C_CDR_331_169;
C_CDR_331_169=CDR( g1002_261_157 );{
TAIL_262_104=NEW_TAIL_263_215;
g1002_261_157=C_CDR_331_169;
goto _g1003_260_176;
}}
}}}
}}}}AUX_394_29=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_395_164, AUX_396_185 );}VA_ARG_377_28=MAKE_PAIR( AUX_394_29, BNIL );}}{obj_t AUX_397_194;
AUX_397_194=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 22 ), VA_ARG_377_28 );VA_ARG_373_2=MAKE_PAIR( AUX_397_194, VA_ARG_372_15 );}}{obj_t VA_ARG_374_67;
{obj_t VA_ARG_376_210;
{obj_t AUX_398_121;
{obj_t AUX_399_64;
AUX_399_64=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_398_121=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( CLAUSES_255_10, AUX_399_64 );}VA_ARG_376_210=MAKE_PAIR( AUX_398_121, BNIL );}{obj_t AUX_400_238;
AUX_400_238=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 23 ), VA_ARG_376_210 );VA_ARG_374_67=MAKE_PAIR( AUX_400_238, VA_ARG_373_2 );}}{obj_t VA_ARG_375_186;
{obj_t AUX_401_157;
AUX_401_157=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, CNST_TABLE_REF( 16 ), BEOA );VA_ARG_375_186=MAKE_PAIR( AUX_401_157, VA_ARG_374_67 );}{obj_t AUX_402_183;
AUX_402_183=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 15 ), VA_ARG_375_186 );VA_ARG_371_115=MAKE_PAIR( AUX_402_183, BNIL );}}}}}FPRINT___R4_OUTPUT_6_10_3_45( POUT_257_198, VA_ARG_371_115 );}
{obj_t VA_ARG_378_49;
VA_ARG_378_49=MAKE_PAIR( POUT_257_198, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_378_49 );}
if( BBOOL_TO_CBOOL( MAIN_256_193 ))
{
{obj_t VA_ARG_379_213;
{obj_t STRING_CAST_380_88;
STRING_CAST_380_88=CNST_TABLE_REF( 24 );VA_ARG_379_213=MAKE_PAIR( STRING_CAST_380_88, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( POUT_257_198, VA_ARG_379_213 );}
{obj_t VA_ARG_381_176;
VA_ARG_381_176=MAKE_PAIR( POUT_257_198, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_381_176 );}
}else
BFALSE;
return close_output_port( POUT_257_198 );
}else
{obj_t STRING_CAST_382_154;
STRING_CAST_382_154=CNST_TABLE_REF( 25 );{obj_t STRING_CAST_383_250;
STRING_CAST_383_250=CNST_TABLE_REF( 26 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_382_154, STRING_CAST_383_250, __TMP_MAIN_FILE_NAME__ENGINE_LINK_168 );}}}
}

