/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Foreign/parse.c                                                   */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t DEFINE_TYPE_FOREIGN_TOOLS_21();
extern obj_t string_append();
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
extern obj_t FOREIGN_DECLARE_INITIALISATION_FOREIGN_DECLARE_78();
#if defined( __STDC__ )
static obj_t USER_FOREIGN_TYPE__FOREIGN_PARSE_166(obj_t);
#else
static obj_t USER_FOREIGN_TYPE__FOREIGN_PARSE_166();
#endif
extern obj_t DECLARE_BOUND_ARRAY_FOREIGN_DECLARE_35();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t DECLARE_UNBOUND_ARRAY_FOREIGN_DECLARE_49();
obj_t FOREIGN_PARSE_INITIALISATION_ENV_FOREIGN_PARSE_127 = BUNSPEC;
extern obj_t DECLARE_ALIAS_FOREIGN_DECLARE_101();
extern obj_t FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121();
#if defined( __STDC__ )
extern obj_t __FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_85(obj_t);
#else
extern obj_t __FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_85();
#endif
#if defined( __STDC__ )
extern obj_t PARSE_TYPE_FOREIGN_PARSE_100(obj_t);
#else
extern obj_t PARSE_TYPE_FOREIGN_PARSE_100();
#endif
static obj_t __cnst[ 27 ] ;
#if defined( __STDC__ )
extern obj_t __PARSE_TYPE_FOREIGN_PARSE_175(obj_t, obj_t);
#else
extern obj_t __PARSE_TYPE_FOREIGN_PARSE_175();
#endif
extern obj_t READ___READER_198;
extern obj_t DECLARE_CHAR_FOREIGN_DECLARE_177();
obj_t PARSE_TYPE_ENV_FOREIGN_PARSE_153 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__FOREIGN_PARSE_141 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t DECLARE_POINTER_FOREIGN_DECLARE_187();
extern obj_t make_fx_procedure();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t DECLARE_INTEGER_FOREIGN_DECLARE_40();
extern obj_t DECLARE_STRUCT_UNION_FOREIGN_DECLARE_145();
extern obj_t DECLARE_SUBTYPE_FOREIGN_DECLARE_8();
extern obj_t DECLARE_FLOAT_FOREIGN_DECLARE_1();
extern obj_t DECLARE_FUNCTION_FOREIGN_DECLARE_215();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121()
#else
FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__FOREIGN_PARSE_141 ))
{
REQUIRE_INITIALISATION__FOREIGN_PARSE_141=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
FOREIGN_DECLARE_INITIALISATION_FOREIGN_DECLARE_78();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
DECLARE_CNST_TABLE( __cnst[ 27 ]  );
{obj_t PORT_484_195;
{obj_t AUX_499_161;
AUX_499_161=c_constant_string_to_string( "TYPE #\"Illegal `foreign type'\" #\"parse-type\" SUBTYPE FUNCTION UNION STRUCT ARRAY POINTER #\"Illegal `foreign type'\" #\"parse-type\" #\"Illegal `foreign type'\" #\"parse-type\" BITFIELD #\"Illegal `foreign-type'\" #\"parse-type\" #\"struct \" #\"Illegal 'foreign-type'\" #\"parse-type\" USER-ATOM (FLOAT DOUBLE LONG-DOUBLE ) (CHAR SIGNED-CHAR UNSIGNED-CHAR ) (SHORT INT LONG SIGNED UNSIGNED SHORT-INT SIGNED-SHORT-INT SIGNED-INT LONG-INT SIGNED-LONG SIGNED-LONG-INT UNSIGNED-SHORT UNSIGNED-SHORT-INT UNSIGNED UNSIGNED-INT UNSIGNED-LONG UNSIGNED-LONG-INT ) #\"Illegal `foreign type'\" #\"parse-type\" #\"Illegal `foreign type'\" #\"parse-type\" " );PORT_484_195=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_499_161 );}{obj_t OFFSET_485_104;
{
OFFSET_485_104=BINT( 26 );
{_LOOP_486_86:

if( LT_I( OFFSET_485_104, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_500_13;
AUX_500_13=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_484_195, BEOA );CNST_TABLE_SET( OFFSET_485_104, AUX_500_13 );}
{obj_t OFFSET_501_98;
OFFSET_501_98=OFFSET_485_104;{
OFFSET_485_104=SUB_I( OFFSET_501_98, BINT( 1 ) );
goto _LOOP_486_86;
}}
}}
}}}
{
FOREIGN_PARSE_INITIALISATION_ENV_FOREIGN_PARSE_127=make_fx_procedure( __FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_85, 0, 0 );
PARSE_TYPE_ENV_FOREIGN_PARSE_153=make_fx_procedure( __PARSE_TYPE_FOREIGN_PARSE_175, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_85(obj_t ENV_447_193)
#else
__FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_85( ENV_447_193 )
obj_t ENV_447_193;
#endif
{

return FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121();
}

static obj_t
#if defined( __STDC__ )
USER_FOREIGN_TYPE__FOREIGN_PARSE_166(obj_t EXP_222_242)
#else
USER_FOREIGN_TYPE__FOREIGN_PARSE_166( EXP_222_242 )
obj_t EXP_222_242;
#endif
{

{if( SYMBOLP( EXP_222_242 ))
{
return BTRUE;}else
{
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
PARSE_TYPE_FOREIGN_PARSE_100(obj_t TYPE_226_219)
#else
PARSE_TYPE_FOREIGN_PARSE_100( TYPE_226_219 )
obj_t TYPE_226_219;
#endif
{

{obj_t TYPE_USER_ID_233_137, TYPE_USER_EXP_234_237;
if( PAIRP( TYPE_226_219 ))
{obj_t CDR_112_230_165;
CDR_112_230_165=CDR( TYPE_226_219 );{obj_t OBJ1_427_0;
OBJ1_427_0=CAR( TYPE_226_219 );if( EQP( OBJ1_427_0, CNST_TABLE_REF( 26 ) ))
if( PAIRP( CDR_112_230_165 ))
{obj_t CAR_115_232_165, CDR_116_231_106;
CAR_115_232_165=CAR( CDR_112_230_165 );CDR_116_231_106=CDR( CDR_112_230_165 );if( PAIRP( CAR_115_232_165 ))
{_TAG_105_228_46:

{obj_t STRING_CAST_431_163;
STRING_CAST_431_163=CNST_TABLE_REF( 24 );{obj_t STRING_CAST_432_235;
STRING_CAST_432_235=CNST_TABLE_REF( 25 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_431_163, STRING_CAST_432_235, TYPE_226_219 );}}}else
if( PAIRP( CDR_116_231_106 ))
{obj_t OBJ2_429_115;
OBJ2_429_115=BNIL;{obj_t OBJ1_428_37;
OBJ1_428_37=CDR( CDR_116_231_106 );if( EQP( OBJ1_428_37, OBJ2_429_115 ))
{obj_t C_CAR_430_45;
C_CAR_430_45=CAR( CDR_116_231_106 );{
TYPE_USER_EXP_234_237=C_CAR_430_45;
TYPE_USER_ID_233_137=CAR_115_232_165;
{
{obj_t TYPE_ID_236_101, TYPE_NAME_235_6;
TYPE_ID_236_101=BUNSPEC;TYPE_NAME_235_6=BUNSPEC;{
if( SYMBOLP( TYPE_USER_ID_233_137 ))
{
TYPE_ID_236_101=TYPE_USER_ID_233_137;
TYPE_NAME_235_6=SYMBOL_TO_STRING( TYPE_USER_ID_233_137 );
}else
if( STRINGP( TYPE_USER_ID_233_137 ))
{
{obj_t STRING_345_54;
STRING_345_54=STRING_UPCASE___R4_STRINGS_6_7_251( TYPE_USER_ID_233_137 );TYPE_ID_236_101=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_345_54 ) );}
TYPE_NAME_235_6=TYPE_USER_ID_233_137;
}else
{obj_t STRING_CAST_433_222;
STRING_CAST_433_222=CNST_TABLE_REF( 0 );{obj_t STRING_CAST_434_243;
STRING_CAST_434_243=CNST_TABLE_REF( 1 );PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_433_222, STRING_CAST_434_243, TYPE_226_219 );}}
if( NULLP( TYPE_USER_EXP_234_237 ))
{obj_t STRING_CAST_435_248;
STRING_CAST_435_248=CNST_TABLE_REF( 2 );{obj_t STRING_CAST_436_10;
STRING_CAST_436_10=CNST_TABLE_REF( 3 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_435_248, STRING_CAST_436_10, TYPE_226_219 );}}else
{obj_t A_308_25, OF_310_235, OF_311_222, OF_312_200, MIN_313_242, MAX_314_97, SLOTS_315_111, REST_316_20, TO_334_77, __FROMS_335_236, FROM_338_162, FROM__TO_339_156, TO__FROM_340_55;
if( PAIRP( TYPE_USER_EXP_234_237 ))
{obj_t CDR_163_246_90;
CDR_163_246_90=CDR( TYPE_USER_EXP_234_237 );{obj_t OBJ1_380_224;
OBJ1_380_224=CAR( TYPE_USER_EXP_234_237 );if( EQP( OBJ1_380_224, CNST_TABLE_REF( 18 ) ))
if( PAIRP( CDR_163_246_90 ))
{obj_t CAR_871_247_59;
CAR_871_247_59=CAR( CDR_163_246_90 );if( SYMBOLP( CAR_871_247_59 ))
{obj_t OBJ2_382_233;
OBJ2_382_233=BNIL;{obj_t OBJ1_381_212;
OBJ1_381_212=CDR( CDR_163_246_90 );if( EQP( OBJ1_381_212, OBJ2_382_233 ))
{
OF_310_235=CAR_871_247_59;
{
return DECLARE_POINTER_FOREIGN_DECLARE_187( TYPE_ID_236_101, OF_310_235 );}
}else
{_TAG_133_244_248:

{obj_t STRING_CAST_437_219;
STRING_CAST_437_219=CNST_TABLE_REF( 16 );{obj_t STRING_CAST_438_131;
STRING_CAST_438_131=CNST_TABLE_REF( 17 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_437_219, STRING_CAST_438_131, TYPE_226_219 );}}}}}else
goto _TAG_133_244_248;}else
goto _TAG_133_244_248;else
if( EQP( OBJ1_380_224, CNST_TABLE_REF( 19 ) ))
if( PAIRP( CDR_163_246_90 ))
{obj_t CAR_334_253_135;
CAR_334_253_135=CAR( CDR_163_246_90 );{obj_t AUX_489_63;
AUX_489_63=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( CAR_334_253_135 );if( BBOOL_TO_CBOOL( AUX_489_63 ))
{obj_t OBJ2_389_132;
OBJ2_389_132=BNIL;{obj_t OBJ1_388_18;
OBJ1_388_18=CDR( CDR_163_246_90 );if( EQP( OBJ1_388_18, OBJ2_389_132 ))
{
OF_311_222=CAR_334_253_135;
{
return DECLARE_UNBOUND_ARRAY_FOREIGN_DECLARE_49( TYPE_ID_236_101, OF_311_222 );}
}else
{obj_t CDR_596_254_111;
CDR_596_254_111=CDR( TYPE_USER_EXP_234_237 );{obj_t CAR_601_256_67, CDR_602_255_178;
CAR_601_256_67=CAR( CDR_596_254_111 );CDR_602_255_178=CDR( CDR_596_254_111 );{obj_t AUX_487_216;
AUX_487_216=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( CAR_601_256_67 );if( BBOOL_TO_CBOOL( AUX_487_216 ))
if( PAIRP( CDR_602_255_178 ))
{obj_t CAR_677_258_82, CDR_678_257_155;
CAR_677_258_82=CAR( CDR_602_255_178 );CDR_678_257_155=CDR( CDR_602_255_178 );{if( SYMBOLP( CAR_677_258_82 ))
{_KAP_681_259_14:

if( PAIRP( CDR_678_257_155 ))
{obj_t CAR_717_262_139;
CAR_717_262_139=CAR( CDR_678_257_155 );{if( SYMBOLP( CAR_717_262_139 ))
{_KAP_721_263_194:

{obj_t OBJ2_391_148;
OBJ2_391_148=BNIL;{obj_t OBJ1_390_137;
OBJ1_390_137=CDR( CDR_678_257_155 );if( EQP( OBJ1_390_137, OBJ2_391_148 ))
{
MAX_314_97=CAR_717_262_139;
MIN_313_242=CAR_677_258_82;
OF_312_200=CAR_601_256_67;
{_TAG_129_240_70:

return DECLARE_BOUND_ARRAY_FOREIGN_DECLARE_35( TYPE_ID_236_101, OF_312_200, MIN_313_242, MAX_314_97 );}
}else
{obj_t CDR_733_266_247;
CDR_733_266_247=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}}else
if( INTEGERP( CAR_717_262_139 ))
goto _KAP_721_263_194;else
{obj_t CDR_767_264_69;
CDR_767_264_69=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}else
{obj_t CDR_694_268_179;
CDR_694_268_179=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}else
if( INTEGERP( CAR_677_258_82 ))
goto _KAP_681_259_14;else
{obj_t CDR_801_260_174;
CDR_801_260_174=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}else
{obj_t CDR_654_270_1;
CDR_654_270_1=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}else
{obj_t CDR_618_272_48;
CDR_618_272_48=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}}}}else
{obj_t CDR_353_274_156;
CDR_353_274_156=CDR( TYPE_USER_EXP_234_237 );{obj_t CAR_358_276_243, CDR_359_275_117;
CAR_358_276_243=CAR( CDR_353_274_156 );CDR_359_275_117=CDR( CDR_353_274_156 );{obj_t AUX_488_23;
AUX_488_23=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( CAR_358_276_243 );if( BBOOL_TO_CBOOL( AUX_488_23 ))
if( PAIRP( CDR_359_275_117 ))
{obj_t CAR_434_278_50, CDR_435_277_228;
CAR_434_278_50=CAR( CDR_359_275_117 );CDR_435_277_228=CDR( CDR_359_275_117 );{if( SYMBOLP( CAR_434_278_50 ))
{_KAP_438_279_165:

if( PAIRP( CDR_435_277_228 ))
{obj_t CAR_474_282_133;
CAR_474_282_133=CAR( CDR_435_277_228 );{if( SYMBOLP( CAR_474_282_133 ))
{_KAP_478_283_70:

{obj_t OBJ2_405_28;
OBJ2_405_28=BNIL;{obj_t OBJ1_404_99;
OBJ1_404_99=CDR( CDR_435_277_228 );if( EQP( OBJ1_404_99, OBJ2_405_28 ))
{
MAX_314_97=CAR_474_282_133;
MIN_313_242=CAR_434_278_50;
OF_312_200=CAR_358_276_243;
goto _TAG_129_240_70;
}else
{obj_t CDR_490_286_170;
CDR_490_286_170=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}}else
if( INTEGERP( CAR_474_282_133 ))
goto _KAP_478_283_70;else
{obj_t CDR_524_284_212;
CDR_524_284_212=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}else
{obj_t CDR_451_288_125;
CDR_451_288_125=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}else
if( INTEGERP( CAR_434_278_50 ))
goto _KAP_438_279_165;else
{obj_t CDR_558_280_177;
CDR_558_280_177=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}else
{obj_t CDR_411_290_39;
CDR_411_290_39=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}else
{obj_t CDR_375_292_207;
CDR_375_292_207=CDR( TYPE_USER_EXP_234_237 );goto _TAG_133_244_248;}}}}}}else
goto _TAG_133_244_248;else
{if( EQP( OBJ1_380_224, CNST_TABLE_REF( 20 ) ))
{_KAP_201_296_99:

if( PAIRP( CDR_163_246_90 ))
{obj_t C_CAR_418_114;
C_CAR_418_114=CAR( CDR_163_246_90 );{obj_t C_CDR_419_86;
C_CDR_419_86=CDR( CDR_163_246_90 );{
REST_316_20=C_CDR_419_86;
SLOTS_315_111=C_CAR_418_114;
{
{obj_t NAME_317_207;
if( PAIRP( REST_316_20 ))
{obj_t OBJ_352_132;
OBJ_352_132=CAR( REST_316_20 );if( STRINGP( OBJ_352_132 ))
NAME_317_207=OBJ_352_132;else
{obj_t STRING_CAST_441_238;
STRING_CAST_441_238=CNST_TABLE_REF( 8 );{obj_t STRING_CAST_442_167;
STRING_CAST_442_167=CNST_TABLE_REF( 9 );NAME_317_207=PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_441_238, STRING_CAST_442_167, TYPE_226_219 );}}}else
{obj_t STRING_CAST_443_183;
STRING_CAST_443_183=CNST_TABLE_REF( 10 );NAME_317_207=string_append( STRING_CAST_443_183, TYPE_NAME_235_6 );}{obj_t FIELDS_319_94;
{
FIELDS_319_94=SLOTS_315_111;
{_LOOP_318_115:

if( NULLP( FIELDS_319_94 ))
return DECLARE_STRUCT_UNION_FOREIGN_DECLARE_145( TYPE_ID_236_101, SLOTS_315_111, NAME_317_207 );else
{{obj_t E_994_323_233;
E_994_323_233=CAR( FIELDS_319_94 );if( PAIRP( E_994_323_233 ))
{obj_t CDR_996_324_226;
CDR_996_324_226=CDR( E_994_323_233 );{obj_t C_CAR_355_195;
C_CAR_355_195=CAR( E_994_323_233 );{obj_t AUX_493_46;
AUX_493_46=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( C_CAR_355_195 );if( BBOOL_TO_CBOOL( AUX_493_46 ))
if( PAIRP( CDR_996_324_226 ))
{bool_t OBJ_470_27;
OBJ_470_27=STRINGP( CAR( CDR_996_324_226 ) );if( OBJ_470_27)
{obj_t OBJ2_360_63;
OBJ2_360_63=BNIL;{obj_t OBJ1_359_11;
OBJ1_359_11=CDR( CDR_996_324_226 );if( EQP( OBJ1_359_11, OBJ2_360_63 ))
{
{obj_t C_CDR_354_15;
C_CDR_354_15=CDR( FIELDS_319_94 );{
FIELDS_319_94=C_CDR_354_15;
goto _LOOP_318_115;
}}}else
{obj_t CDR_1016_325_199;
CDR_1016_325_199=CDR( E_994_323_233 );{obj_t OBJ1_361_187;
OBJ1_361_187=CAR( E_994_323_233 );if( EQP( OBJ1_361_187, CNST_TABLE_REF( 13 ) ))
{obj_t CDR_1018_326_53;
CDR_1018_326_53=CDR( CDR_1016_325_199 );{bool_t OBJ_471_233;
OBJ_471_233=INTEGERP( CAR( CDR_1016_325_199 ) );if( OBJ_471_233)
if( PAIRP( CDR_1018_326_53 ))
{obj_t CDR_1020_327_5;
CDR_1020_327_5=CDR( CDR_1018_326_53 );{obj_t C_CAR_364_150;
C_CAR_364_150=CAR( CDR_1018_326_53 );{obj_t AUX_490_156;
AUX_490_156=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( C_CAR_364_150 );if( BBOOL_TO_CBOOL( AUX_490_156 ))
if( PAIRP( CDR_1020_327_5 ))
{bool_t OBJ_474_138;
OBJ_474_138=STRINGP( CAR( CDR_1020_327_5 ) );if( OBJ_474_138)
{obj_t OBJ2_367_184;
OBJ2_367_184=BNIL;{obj_t OBJ1_366_18;
OBJ1_366_18=CDR( CDR_1020_327_5 );if( EQP( OBJ1_366_18, OBJ2_367_184 ))
{_TAG_992_321_124:

{obj_t C_CDR_353_186;
C_CDR_353_186=CDR( FIELDS_319_94 );{
FIELDS_319_94=C_CDR_353_186;
goto _LOOP_318_115;
}}}else
{_TAG_993_322_25:

{obj_t STRING_CAST_444_144;
STRING_CAST_444_144=CNST_TABLE_REF( 11 );{obj_t STRING_CAST_445_172;
STRING_CAST_445_172=CNST_TABLE_REF( 12 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_444_144, STRING_CAST_445_172, TYPE_226_219 );}}}}}else
goto _TAG_993_322_25;}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}else
goto _TAG_993_322_25;}}}}else
{obj_t CDR_1008_328_34;
CDR_1008_328_34=CDR( E_994_323_233 );{obj_t OBJ1_368_247;
OBJ1_368_247=CAR( E_994_323_233 );if( EQP( OBJ1_368_247, CNST_TABLE_REF( 13 ) ))
{obj_t CDR_1010_329_104;
CDR_1010_329_104=CDR( CDR_1008_328_34 );{bool_t OBJ_475_170;
OBJ_475_170=INTEGERP( CAR( CDR_1008_328_34 ) );if( OBJ_475_170)
if( PAIRP( CDR_1010_329_104 ))
{obj_t CDR_1012_330_68;
CDR_1012_330_68=CDR( CDR_1010_329_104 );{obj_t C_CAR_370_26;
C_CAR_370_26=CAR( CDR_1010_329_104 );{obj_t AUX_491_241;
AUX_491_241=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( C_CAR_370_26 );if( BBOOL_TO_CBOOL( AUX_491_241 ))
if( PAIRP( CDR_1012_330_68 ))
{bool_t OBJ_478_97;
OBJ_478_97=STRINGP( CAR( CDR_1012_330_68 ) );if( OBJ_478_97)
{obj_t OBJ2_373_119;
OBJ2_373_119=BNIL;{obj_t OBJ1_372_66;
OBJ1_372_66=CDR( CDR_1012_330_68 );if( EQP( OBJ1_372_66, OBJ2_373_119 ))
goto _TAG_992_321_124;else
goto _TAG_993_322_25;}}else
goto _TAG_993_322_25;}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}else
goto _TAG_993_322_25;}}}else
goto _TAG_993_322_25;else
{obj_t CDR_998_331_179;
CDR_998_331_179=CDR( E_994_323_233 );{obj_t OBJ1_374_86;
OBJ1_374_86=CAR( E_994_323_233 );if( EQP( OBJ1_374_86, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_998_331_179 ))
{obj_t CDR_1000_332_79;
CDR_1000_332_79=CDR( CDR_998_331_179 );{bool_t OBJ_480_36;
OBJ_480_36=INTEGERP( CAR( CDR_998_331_179 ) );if( OBJ_480_36)
if( PAIRP( CDR_1000_332_79 ))
{obj_t CDR_1002_333_15;
CDR_1002_333_15=CDR( CDR_1000_332_79 );{obj_t C_CAR_376_8;
C_CAR_376_8=CAR( CDR_1000_332_79 );{obj_t AUX_492_79;
AUX_492_79=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( C_CAR_376_8 );if( BBOOL_TO_CBOOL( AUX_492_79 ))
if( PAIRP( CDR_1002_333_15 ))
{bool_t OBJ_483_40;
OBJ_483_40=STRINGP( CAR( CDR_1002_333_15 ) );if( OBJ_483_40)
{obj_t OBJ2_379_233;
OBJ2_379_233=BNIL;{obj_t OBJ1_378_254;
OBJ1_378_254=CDR( CDR_1002_333_15 );if( EQP( OBJ1_378_254, OBJ2_379_233 ))
goto _TAG_992_321_124;else
goto _TAG_993_322_25;}}else
goto _TAG_993_322_25;}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}else
goto _TAG_993_322_25;else
goto _TAG_993_322_25;}}}}}else
goto _TAG_993_322_25;}}}
}}}}
}}}else
goto _TAG_133_244_248;}else
if( EQP( OBJ1_380_224, CNST_TABLE_REF( 21 ) ))
goto _KAP_201_296_99;else
if( EQP( OBJ1_380_224, CNST_TABLE_REF( 22 ) ))
if( PAIRP( CDR_163_246_90 ))
{obj_t CAR_264_299_10, CDR_265_298_177;
CAR_264_299_10=CAR( CDR_163_246_90 );CDR_265_298_177=CDR( CDR_163_246_90 );{obj_t AUX_495_198;
AUX_495_198=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( CAR_264_299_10 );if( BBOOL_TO_CBOOL( AUX_495_198 ))
if( PAIRP( CDR_265_298_177 ))
{obj_t CAR_281_300_13;
CAR_281_300_13=CAR( CDR_265_298_177 );{{obj_t OBJ2_423_190;
OBJ2_423_190=BNIL;if( EQP( CAR_281_300_13, OBJ2_423_190 ))
{_KAP_285_301_233:

{obj_t OBJ2_422_104;
OBJ2_422_104=BNIL;{obj_t OBJ1_421_149;
OBJ1_421_149=CDR( CDR_265_298_177 );if( EQP( OBJ1_421_149, OBJ2_422_104 ))
{
__FROMS_335_236=CAR_281_300_13;
TO_334_77=CAR_264_299_10;
{
{obj_t FROMS_337_166;
{
FROMS_337_166=__FROMS_335_236;
{_LOOP_336_89:

if( NULLP( FROMS_337_166 ))
return DECLARE_FUNCTION_FOREIGN_DECLARE_215( TYPE_ID_236_101, TO_334_77, __FROMS_335_236 );else
{obj_t C_CAR_348_161;
C_CAR_348_161=CAR( FROMS_337_166 );{obj_t AUX_494_168;
AUX_494_168=USER_FOREIGN_TYPE__FOREIGN_PARSE_166( C_CAR_348_161 );if( BBOOL_TO_CBOOL( AUX_494_168 ))
{obj_t C_CDR_350_210;
C_CDR_350_210=CDR( FROMS_337_166 );{
FROMS_337_166=C_CDR_350_210;
goto _LOOP_336_89;
}}else
{obj_t STRING_CAST_439_152;
STRING_CAST_439_152=CNST_TABLE_REF( 14 );{obj_t STRING_CAST_440_157;
STRING_CAST_440_157=CNST_TABLE_REF( 15 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_439_152, STRING_CAST_440_157, TYPE_226_219 );}}}}}
}}}
}else
goto _TAG_133_244_248;}}}else
if( PAIRP( CAR_281_300_13 ))
goto _KAP_285_301_233;else
goto _TAG_133_244_248;}}}else
goto _TAG_133_244_248;else
goto _TAG_133_244_248;}}else
goto _TAG_133_244_248;else
if( EQP( OBJ1_380_224, CNST_TABLE_REF( 23 ) ))
if( PAIRP( CDR_163_246_90 ))
{obj_t CAR_241_304_117, CDR_242_303_106;
CAR_241_304_117=CAR( CDR_163_246_90 );CDR_242_303_106=CDR( CDR_163_246_90 );if( SYMBOLP( CAR_241_304_117 ))
if( PAIRP( CDR_242_303_106 ))
{obj_t CAR_247_306_224, CDR_248_305_231;
CAR_247_306_224=CAR( CDR_242_303_106 );CDR_248_305_231=CDR( CDR_242_303_106 );if( SYMBOLP( CAR_247_306_224 ))
if( PAIRP( CDR_248_305_231 ))
{obj_t CAR_252_307_86;
CAR_252_307_86=CAR( CDR_248_305_231 );if( SYMBOLP( CAR_252_307_86 ))
{obj_t OBJ2_426_148;
OBJ2_426_148=BNIL;{obj_t OBJ1_425_52;
OBJ1_425_52=CDR( CDR_248_305_231 );if( EQP( OBJ1_425_52, OBJ2_426_148 ))
{
TO__FROM_340_55=CAR_252_307_86;
FROM__TO_339_156=CAR_247_306_224;
FROM_338_162=CAR_241_304_117;
{
return DECLARE_SUBTYPE_FOREIGN_DECLARE_8( TYPE_ID_236_101, TYPE_NAME_235_6, FROM_338_162, FROM__TO_339_156, TO__FROM_340_55 );}
}else
goto _TAG_133_244_248;}}else
goto _TAG_133_244_248;}else
goto _TAG_133_244_248;else
goto _TAG_133_244_248;}else
goto _TAG_133_244_248;else
goto _TAG_133_244_248;}else
goto _TAG_133_244_248;else
goto _TAG_133_244_248;}}}else
{
A_308_25=TYPE_USER_EXP_234_237;
{
{obj_t AUX_498_176;
AUX_498_176=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( A_308_25, CNST_TABLE_REF( 4 ) );if( BBOOL_TO_CBOOL( AUX_498_176 ))
return DECLARE_INTEGER_FOREIGN_DECLARE_40( TYPE_ID_236_101, TYPE_NAME_235_6, A_308_25 );else
{obj_t AUX_497_254;
AUX_497_254=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( A_308_25, CNST_TABLE_REF( 5 ) );if( BBOOL_TO_CBOOL( AUX_497_254 ))
return DECLARE_CHAR_FOREIGN_DECLARE_177( TYPE_ID_236_101, TYPE_NAME_235_6, A_308_25 );else
{obj_t AUX_496_41;
AUX_496_41=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( A_308_25, CNST_TABLE_REF( 6 ) );if( BBOOL_TO_CBOOL( AUX_496_41 ))
return DECLARE_FLOAT_FOREIGN_DECLARE_1( TYPE_ID_236_101, TYPE_NAME_235_6, A_308_25 );else
if( STRINGP( A_308_25 ))
return DEFINE_TYPE_FOREIGN_TOOLS_21( TYPE_ID_236_101, A_308_25, CNST_TABLE_REF( 7 ), TYPE_ID_236_101 );else
return DECLARE_ALIAS_FOREIGN_DECLARE_101( TYPE_ID_236_101, A_308_25 );}}}}
}}
}}}
}}else
goto _TAG_105_228_46;}}else
goto _TAG_105_228_46;}else
goto _TAG_105_228_46;else
goto _TAG_105_228_46;}}else
goto _TAG_105_228_46;}
}

obj_t
#if defined( __STDC__ )
__PARSE_TYPE_FOREIGN_PARSE_175(obj_t ENV_446_239,obj_t TYPE_226_219)
#else
__PARSE_TYPE_FOREIGN_PARSE_175( ENV_446_239, TYPE_226_219 )
obj_t ENV_446_239, TYPE_226_219;
#endif
{

return PARSE_TYPE_FOREIGN_PARSE_100( TYPE_226_219 );
}

