/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Fuse/cgraph.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
static obj_t REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146(obj_t);
#else
static obj_t REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146();
#endif
#if defined( __STDC__ )
static obj_t LABELS_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_155(obj_t, obj_t, obj_t);
#else
static obj_t LABELS_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_155();
#endif
static obj_t __ROOT__FUSE_CGRAPH_30 = BUNSPEC;
#if defined( __STDC__ )
static obj_t REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213(obj_t);
#else
static obj_t REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213();
#endif
static obj_t __LOCAL_USED__FUSE_CGRAPH_0 = BUNSPEC;
static obj_t __cnst[ 18 ] ;
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t __GLOBAL_FIND_USED__FUSE_CGRAPH_86(obj_t, obj_t, obj_t);
#else
extern obj_t __GLOBAL_FIND_USED__FUSE_CGRAPH_86();
#endif
static obj_t REQUIRE_INITIALISATION__FUSE_CGRAPH_236 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t __FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_244(obj_t);
#else
extern obj_t __FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_244();
#endif
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t GLOBAL_FIND_USED__ENV_FUSE_CGRAPH_83 = BUNSPEC;
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
static obj_t FIND_USED__FUSE_CGRAPH_104(obj_t, obj_t, obj_t);
#else
static obj_t FIND_USED__FUSE_CGRAPH_104();
#endif
obj_t FUSE_CGRAPH_INITIALISATION_ENV_FUSE_CGRAPH_20 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t GLOBAL_FIND_USED__FUSE_CGRAPH_226(obj_t, obj_t);
#else
extern obj_t GLOBAL_FIND_USED__FUSE_CGRAPH_226();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
#if defined( __STDC__ )
static obj_t FIND_USED___FUSE_CGRAPH_76(obj_t, obj_t, obj_t);
#else
static obj_t FIND_USED___FUSE_CGRAPH_76();
#endif


obj_t
#if defined( __STDC__ )
FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86()
#else
FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__FUSE_CGRAPH_236 ))
{
REQUIRE_INITIALISATION__FUSE_CGRAPH_236=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DECLARE_CNST_TABLE( __cnst[ 18 ]  );
{obj_t PORT_874_33;
{obj_t AUX_890_131;
AUX_890_131=c_constant_string_to_string( "DONE FUNCALL APPLY RETURN-FROM BLOCK LABELS LET BEGIN TYPED-CASE CIF SET! FAILURE ASSERT PRAGMA QUOTE LOCAL GLOBAL FUNCTION " );PORT_874_33=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_890_131 );}{obj_t OFFSET_875_152;
{
OFFSET_875_152=BINT( 17 );
{_LOOP_876_101:

if( LT_I( OFFSET_875_152, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_891_152;
AUX_891_152=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_874_33, BEOA );CNST_TABLE_SET( OFFSET_875_152, AUX_891_152 );}
{obj_t OFFSET_892_253;
OFFSET_892_253=OFFSET_875_152;{
OFFSET_875_152=SUB_I( OFFSET_892_253, BINT( 1 ) );
goto _LOOP_876_101;
}}
}}
}}}
{
FUSE_CGRAPH_INITIALISATION_ENV_FUSE_CGRAPH_20=make_fx_procedure( __FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_244, 0, 0 );
GLOBAL_FIND_USED__ENV_FUSE_CGRAPH_83=make_fx_procedure( __GLOBAL_FIND_USED__FUSE_CGRAPH_86, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__LOCAL_USED__FUSE_CGRAPH_0=BNIL;
__ROOT__FUSE_CGRAPH_30=BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_244(obj_t ENV_844_125)
#else
__FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_244( ENV_844_125 )
obj_t ENV_844_125;
#endif
{

return FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86();
}

obj_t
#if defined( __STDC__ )
GLOBAL_FIND_USED__FUSE_CGRAPH_226(obj_t GLOBAL_365_209,obj_t USED_366_135)
#else
GLOBAL_FIND_USED__FUSE_CGRAPH_226( GLOBAL_365_209, USED_366_135 )
obj_t GLOBAL_365_209, USED_366_135;
#endif
{

{
__LOCAL_USED__FUSE_CGRAPH_0=BNIL;
__ROOT__FUSE_CGRAPH_30=GLOBAL_365_209;
{obj_t VALUE_367_160;
VALUE_367_160=STRUCT_SLOT_REF( GLOBAL_365_209, BINT( 6 ) );{if( STRUCTP( VALUE_367_160 ))
if( EQP( STRUCT_KEY( VALUE_367_160 ), CNST_TABLE_REF( 0 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{obj_t USED_368_37;
{obj_t C_STRUCT_REF_619_224;
C_STRUCT_REF_619_224=STRUCT_SLOT_REF( VALUE_367_160, BINT( 4 ) );USED_368_37=FIND_USED__FUSE_CGRAPH_104( GLOBAL_365_209, C_STRUCT_REF_619_224, USED_366_135 );}{
{obj_t C_STRUCT_REF_620_46;
C_STRUCT_REF_620_46=STRUCT_SLOT_REF( VALUE_367_160, BINT( 4 ) );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_STRUCT_REF_620_46 );}
return USED_368_37;
}}_false_10:
return USED_366_135;;
}}
}
}

obj_t
#if defined( __STDC__ )
__GLOBAL_FIND_USED__FUSE_CGRAPH_86(obj_t ENV_843_233,obj_t GLOBAL_365_209,obj_t USED_366_135)
#else
__GLOBAL_FIND_USED__FUSE_CGRAPH_86( ENV_843_233, GLOBAL_365_209, USED_366_135 )
obj_t ENV_843_233, GLOBAL_365_209, USED_366_135;
#endif
{

return GLOBAL_FIND_USED__FUSE_CGRAPH_226( GLOBAL_365_209, USED_366_135 );
}

static obj_t
#if defined( __STDC__ )
FIND_USED__FUSE_CGRAPH_104(obj_t PARENT_369_40,obj_t EXP_370_83,obj_t USED_371_186)
#else
FIND_USED__FUSE_CGRAPH_104( PARENT_369_40, EXP_370_83, USED_371_186 )
obj_t PARENT_369_40, EXP_370_83, USED_371_186;
#endif
{
_FIND_USED__FUSE_CGRAPH_104:

{obj_t VAL_426_43, VAR_431_193, FORMALS_432_100, BODY_433_193, REST_437_122, VAL_438_205, REST_439_55, TEST_440_49, CLAUSES_441_16, BINDINGS_445_107, BODY_446_124, BINDINGS_450_188, BODY_451_37, BODY_455_146, VAL_456_55, REST_457_32;
{obj_t OBJ2_662_133;
OBJ2_662_133=BNIL;if( EQP( EXP_370_83, OBJ2_662_133 ))
{
return USED_371_186;}else
if( PAIRP( EXP_370_83 ))
{obj_t CDR_150_390_84;
CDR_150_390_84=CDR( EXP_370_83 );{obj_t OBJ1_664_115;
OBJ1_664_115=CAR( EXP_370_83 );if( EQP( OBJ1_664_115, CNST_TABLE_REF( 0 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t OBJ1_665_48;
OBJ1_665_48=CDR( CDR_150_390_84 );if( EQP( OBJ1_665_48, OBJ2_662_133 ))
{obj_t C_CAR_667_103;
C_CAR_667_103=CAR( CDR_150_390_84 );{
VAR_431_193=C_CAR_667_103;
{
{if( STRUCTP( VAR_431_193 ))
if( EQP( STRUCT_KEY( VAR_431_193 ), CNST_TABLE_REF( 1 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
return MAKE_PAIR( VAR_431_193, USED_371_186 );_false_1:
{
if( EQP( VAR_431_193, PARENT_369_40 ))
BFALSE;else
{obj_t OBJ2_647_74;
OBJ2_647_74=__LOCAL_USED__FUSE_CGRAPH_0;__LOCAL_USED__FUSE_CGRAPH_0=MAKE_PAIR( VAR_431_193, OBJ2_647_74 );}
return USED_371_186;
};
}}
}}else
{_TAG_117_388_96:

return FIND_USED___FUSE_CGRAPH_76( PARENT_369_40, EXP_370_83, USED_371_186 );}}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 3 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t OBJ1_669_57;
OBJ1_669_57=CDR( CDR_150_390_84 );if( EQP( OBJ1_669_57, OBJ2_662_133 ))
{
return USED_371_186;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 4 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t OBJ1_672_126;
OBJ1_672_126=CDR( CDR_150_390_84 );if( EQP( OBJ1_672_126, OBJ2_662_133 ))
{
return USED_371_186;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 5 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_680_394_89;
CDR_680_394_89=CDR( CDR_150_390_84 );if( PAIRP( CDR_680_394_89 ))
{obj_t CDR_745_395_153;
CDR_745_395_153=CDR( CDR_680_394_89 );if( PAIRP( CDR_745_395_153 ))
{obj_t CDR_803_396_106;
CDR_803_396_106=CDR( CDR_745_395_153 );if( PAIRP( CDR_803_396_106 ))
{obj_t OBJ1_675_239;
OBJ1_675_239=CDR( CDR_803_396_106 );if( EQP( OBJ1_675_239, OBJ2_662_133 ))
{obj_t C_CAR_677_108;
C_CAR_677_108=CAR( CDR_745_395_153 );{obj_t C_CAR_678_242;
C_CAR_678_242=CAR( CDR_803_396_106 );{
BODY_433_193=C_CAR_678_242;
FORMALS_432_100=C_CAR_677_108;
{
{obj_t FORMALS_435_80, NUSED_436_165;
{
NUSED_436_165=USED_371_186;
FORMALS_435_80=FORMALS_432_100;
{_LOOP_434_39:

if( NULLP( FORMALS_435_80 ))
{
USED_371_186=NUSED_436_165;
EXP_370_83=BODY_433_193;
goto _FIND_USED__FUSE_CGRAPH_104;
}else
{obj_t C_CDR_641_153;
C_CDR_641_153=CDR( FORMALS_435_80 );{obj_t C_CAR_642_168;
C_CAR_642_168=CAR( FORMALS_435_80 );{obj_t AUX_881_112;
AUX_881_112=FIND_USED__FUSE_CGRAPH_104( PARENT_369_40, C_CAR_642_168, NUSED_436_165 );{
NUSED_436_165=AUX_881_112;
FORMALS_435_80=C_CDR_641_153;
goto _LOOP_434_39;
}}}}}
}}}
}}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 6 ) ))
{
REST_437_122=CDR_150_390_84;
{
return FIND_USED___FUSE_CGRAPH_76( PARENT_369_40, REST_437_122, USED_371_186 );}
}else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 7 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_530_400_100;
CDR_530_400_100=CDR( CDR_150_390_84 );if( PAIRP( CDR_530_400_100 ))
{obj_t OBJ1_685_26;
OBJ1_685_26=CDR( CDR_530_400_100 );if( EQP( OBJ1_685_26, OBJ2_662_133 ))
{obj_t C_CAR_687_196;
C_CAR_687_196=CAR( CDR_530_400_100 );{
VAL_438_205=C_CAR_687_196;
{
{
EXP_370_83=VAL_438_205;
goto _FIND_USED__FUSE_CGRAPH_104;
}}
}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 8 ) ))
{
REST_439_55=CDR_150_390_84;
{
return FIND_USED___FUSE_CGRAPH_76( PARENT_369_40, REST_439_55, USED_371_186 );}
}else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 9 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_448_404_128;
CDR_448_404_128=CDR( CDR_150_390_84 );if( PAIRP( CDR_448_404_128 ))
{obj_t C_CAR_694_230;
C_CAR_694_230=CAR( CDR_448_404_128 );{obj_t C_CDR_695_114;
C_CDR_695_114=CDR( CDR_448_404_128 );{
CLAUSES_441_16=C_CDR_695_114;
TEST_440_49=C_CAR_694_230;
{
{obj_t USED_443_159, CLAUSES_444_189;
{
CLAUSES_444_189=CLAUSES_441_16;
USED_443_159=FIND_USED__FUSE_CGRAPH_104( PARENT_369_40, TEST_440_49, USED_371_186 );
{_LOOP_442_234:

if( NULLP( CLAUSES_444_189 ))
return USED_443_159;else
{obj_t PAIR_637_152;
PAIR_637_152=CAR( CLAUSES_444_189 );{obj_t PAIR_638_10;
PAIR_638_10=CDR( PAIR_637_152 );{obj_t C_CAR_639_246;
C_CAR_639_246=CAR( PAIR_638_10 );{obj_t C_CDR_640_136;
C_CDR_640_136=CDR( CLAUSES_444_189 );{obj_t AUX_882_21;
AUX_882_21=FIND_USED__FUSE_CGRAPH_104( PARENT_369_40, C_CAR_639_246, USED_443_159 );{
CLAUSES_444_189=C_CDR_640_136;
USED_443_159=AUX_882_21;
goto _LOOP_442_234;
}}}}}}}
}}}
}}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 10 ) ))
{
{obj_t C_CDR_636_31;
C_CDR_636_31=CDR( EXP_370_83 );return FIND_USED___FUSE_CGRAPH_76( PARENT_369_40, C_CDR_636_31, USED_371_186 );}}else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 11 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_373_408_120;
CDR_373_408_120=CDR( CDR_150_390_84 );if( PAIRP( CDR_373_408_120 ))
{obj_t OBJ1_701_107;
OBJ1_701_107=CDR( CDR_373_408_120 );if( EQP( OBJ1_701_107, OBJ2_662_133 ))
{obj_t C_CAR_703_191;
C_CAR_703_191=CAR( CDR_150_390_84 );{obj_t C_CAR_704_137;
C_CAR_704_137=CAR( CDR_373_408_120 );{
BODY_446_124=C_CAR_704_137;
BINDINGS_445_107=C_CAR_703_191;
{
{obj_t HOOK_448_224, USED_449_82;
{
USED_449_82=USED_371_186;
HOOK_448_224=BINDINGS_445_107;
{_LOOP_447_197:

if( NULLP( HOOK_448_224 ))
{
USED_371_186=USED_449_82;
EXP_370_83=BODY_446_124;
goto _FIND_USED__FUSE_CGRAPH_104;
}else
{obj_t C_CDR_632_216;
C_CDR_632_216=CDR( HOOK_448_224 );{obj_t PAIR_633_203;
PAIR_633_203=CAR( HOOK_448_224 );{obj_t PAIR_634_229;
PAIR_634_229=CDR( PAIR_633_203 );{obj_t C_CAR_635_160;
C_CAR_635_160=CAR( PAIR_634_229 );{obj_t AUX_883_98;
AUX_883_98=FIND_USED__FUSE_CGRAPH_104( PARENT_369_40, C_CAR_635_160, USED_449_82 );{
USED_449_82=AUX_883_98;
HOOK_448_224=C_CDR_632_216;
goto _LOOP_447_197;
}}}}}}}
}}}
}}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 12 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_320_412_219;
CDR_320_412_219=CDR( CDR_150_390_84 );if( PAIRP( CDR_320_412_219 ))
{obj_t OBJ1_709_73;
OBJ1_709_73=CDR( CDR_320_412_219 );if( EQP( OBJ1_709_73, OBJ2_662_133 ))
{obj_t C_CAR_711_178;
C_CAR_711_178=CAR( CDR_150_390_84 );{obj_t C_CAR_712_237;
C_CAR_712_237=CAR( CDR_320_412_219 );{
BODY_451_37=C_CAR_712_237;
BINDINGS_450_188=C_CAR_711_178;
{
{obj_t HOOK_453_241, USED_454_207;
{obj_t PAIR_630_209;
PAIR_630_209=CDR( EXP_370_83 );{obj_t C_CAR_631_47;
C_CAR_631_47=CAR( PAIR_630_209 );{
USED_454_207=USED_371_186;
HOOK_453_241=C_CAR_631_47;
{_LOOP_452_36:

if( NULLP( HOOK_453_241 ))
{
USED_371_186=USED_454_207;
EXP_370_83=BODY_451_37;
goto _FIND_USED__FUSE_CGRAPH_104;
}else
{obj_t C_CDR_621_142;
C_CDR_621_142=CDR( HOOK_453_241 );{obj_t PAIR_622_227;
PAIR_622_227=CAR( HOOK_453_241 );{obj_t C_CAR_623_222;
C_CAR_623_222=CAR( PAIR_622_227 );{obj_t PAIR_626_114;
{obj_t PAIR_628_53;
PAIR_628_53=CDR( PAIR_622_227 );PAIR_626_114=CDR( PAIR_628_53 );}{obj_t C_CAR_627_219;
C_CAR_627_219=CAR( PAIR_626_114 );{obj_t AUX_884_225;
AUX_884_225=FIND_USED__FUSE_CGRAPH_104( C_CAR_623_222, C_CAR_627_219, USED_454_207 );{
USED_454_207=AUX_884_225;
HOOK_453_241=C_CDR_621_142;
goto _LOOP_452_36;
}}}}}}}}
}}}}}
}}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_286_416_53;
CDR_286_416_53=CDR( CDR_150_390_84 );if( PAIRP( CDR_286_416_53 ))
{obj_t OBJ1_717_174;
OBJ1_717_174=CDR( CDR_286_416_53 );if( EQP( OBJ1_717_174, OBJ2_662_133 ))
{obj_t C_CAR_719_35;
C_CAR_719_35=CAR( CDR_286_416_53 );{
BODY_455_146=C_CAR_719_35;
{
{
EXP_370_83=BODY_455_146;
goto _FIND_USED__FUSE_CGRAPH_104;
}}
}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 14 ) ))
if( PAIRP( CDR_150_390_84 ))
{obj_t CDR_263_420_254;
CDR_263_420_254=CDR( CDR_150_390_84 );if( PAIRP( CDR_263_420_254 ))
{obj_t OBJ1_724_82;
OBJ1_724_82=CDR( CDR_263_420_254 );if( EQP( OBJ1_724_82, OBJ2_662_133 ))
{obj_t C_CAR_726_161;
C_CAR_726_161=CAR( CDR_263_420_254 );{
VAL_456_55=C_CAR_726_161;
{
{
EXP_370_83=VAL_456_55;
goto _FIND_USED__FUSE_CGRAPH_104;
}}
}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;else
{if( EQP( OBJ1_664_115, CNST_TABLE_REF( 15 ) ))
{_KAP_254_425_110:

if( PAIRP( CDR_150_390_84 ))
{obj_t OBJ1_730_126;
OBJ1_730_126=CDR( CDR_150_390_84 );if( EQP( OBJ1_730_126, OBJ2_662_133 ))
{obj_t C_CAR_732_13;
C_CAR_732_13=CAR( CDR_150_390_84 );{
REST_457_32=C_CAR_732_13;
{
return FIND_USED___FUSE_CGRAPH_76( PARENT_369_40, REST_457_32, USED_371_186 );}
}}else
goto _TAG_117_388_96;}else
goto _TAG_117_388_96;}else
if( EQP( OBJ1_664_115, CNST_TABLE_REF( 16 ) ))
goto _KAP_254_425_110;else
goto _TAG_117_388_96;}}}else
{
VAL_426_43=EXP_370_83;
{
{bool_t __andtest_1002_856_135;
{obj_t AUX_885_207;
if( STRUCTP( VAL_426_43 ))
AUX_885_207=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( VAL_426_43 ), CNST_TABLE_REF( 1 ) ) );else
AUX_885_207=BFALSE;__andtest_1002_856_135=BBOOL_TO_CBOOL( AUX_885_207 );}{if( __andtest_1002_856_135)
{bool_t __andtest_1003_858_182;
{obj_t AUX_886_251;
{obj_t O_649_188;
O_649_188=STRUCT_SLOT_REF( VAL_426_43, BINT( 6 ) );if( STRUCTP( O_649_188 ))
AUX_886_251=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_649_188 ), CNST_TABLE_REF( 0 ) ) );else
AUX_886_251=BFALSE;}__andtest_1003_858_182=BBOOL_TO_CBOOL( AUX_886_251 );}if( __andtest_1003_858_182)
{bool_t OBJ_859_38;
{obj_t AUX_887_151;
{obj_t OBJ2_654_10;
OBJ2_654_10=__ROOT__FUSE_CGRAPH_30;AUX_887_151=CBOOL_TO_BBOOL( EQP( VAL_426_43, OBJ2_654_10 ) );}OBJ_859_38=BBOOL_TO_CBOOL( AUX_887_151 );}if( OBJ_859_38)
goto _false_4;else
goto _true_3;}else
goto _false_4;}else
goto _false_4;_true_3:
return MAKE_PAIR( VAL_426_43, USED_371_186 );_false_4:
{bool_t __andtest_1000_860_103;
{obj_t AUX_888_91;
if( STRUCTP( VAL_426_43 ))
AUX_888_91=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( VAL_426_43 ), CNST_TABLE_REF( 2 ) ) );else
AUX_888_91=BFALSE;__andtest_1000_860_103=BBOOL_TO_CBOOL( AUX_888_91 );}{if( __andtest_1000_860_103)
{bool_t __andtest_1001_862_224;
{obj_t AUX_889_92;
{obj_t O_657_50;
O_657_50=STRUCT_SLOT_REF( VAL_426_43, BINT( 3 ) );if( STRUCTP( O_657_50 ))
AUX_889_92=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_657_50 ), CNST_TABLE_REF( 0 ) ) );else
AUX_889_92=BFALSE;}__andtest_1001_862_224=BBOOL_TO_CBOOL( AUX_889_92 );}if( __andtest_1001_862_224)
if( EQP( VAL_426_43, PARENT_369_40 ))
goto _false_7;else
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
{
{obj_t OBJ2_661_154;
OBJ2_661_154=__LOCAL_USED__FUSE_CGRAPH_0;__LOCAL_USED__FUSE_CGRAPH_0=MAKE_PAIR( VAL_426_43, OBJ2_661_154 );}
return USED_371_186;
}_false_7:
return USED_371_186;;
}};
}}}
}}}
}

static obj_t
#if defined( __STDC__ )
FIND_USED___FUSE_CGRAPH_76(obj_t PARENT_458_50,obj_t EXP__459_147,obj_t USED_460_207)
#else
FIND_USED___FUSE_CGRAPH_76( PARENT_458_50, EXP__459_147, USED_460_207 )
obj_t PARENT_458_50, EXP__459_147, USED_460_207;
#endif
{

{obj_t EXP__462_194, USED_463_251;
{
USED_463_251=USED_460_207;
EXP__462_194=EXP__459_147;
{_LOOP_461_127:

if( NULLP( EXP__462_194 ))
return USED_463_251;else
{obj_t C_CDR_733_96;
C_CDR_733_96=CDR( EXP__462_194 );{obj_t C_CAR_734_84;
C_CAR_734_84=CAR( EXP__462_194 );{obj_t AUX_880_113;
AUX_880_113=FIND_USED__FUSE_CGRAPH_104( PARENT_458_50, C_CAR_734_84, USED_463_251 );{
USED_463_251=AUX_880_113;
EXP__462_194=C_CDR_733_96;
goto _LOOP_461_127;
}}}}}
}}
}

static obj_t
#if defined( __STDC__ )
REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213(obj_t EXP_464_157)
#else
REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( EXP_464_157 )
obj_t EXP_464_157;
#endif
{
_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213:

{obj_t VAR_519_226, FORMALS_520_177, BODY_521_185, REST_524_95, VAL_525_165, REST_526_35, TEST_527_24, CLAUSES_528_207, BINDINGS_531_221, BODY_532_54, BINDINGS_535_116, BODY_536_95, BODY_537_116, VAL_538_202, REST_539_49;
{obj_t OBJ2_746_163;
OBJ2_746_163=BNIL;if( EQP( EXP_464_157, OBJ2_746_163 ))
{
return CNST_TABLE_REF( 17 );}else
if( PAIRP( EXP_464_157 ))
{obj_t CDR_1392_483_212;
CDR_1392_483_212=CDR( EXP_464_157 );{obj_t OBJ1_747_250;
OBJ1_747_250=CAR( EXP_464_157 );if( EQP( OBJ1_747_250, CNST_TABLE_REF( 0 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t OBJ1_748_116;
OBJ1_748_116=CDR( CDR_1392_483_212 );if( EQP( OBJ1_748_116, OBJ2_746_163 ))
{obj_t C_CAR_750_181;
C_CAR_750_181=CAR( CDR_1392_483_212 );{
VAR_519_226=C_CAR_750_181;
{
return CNST_TABLE_REF( 17 );}
}}else
{_TAG_1362_481_92:

return REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( EXP_464_157 );}}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 3 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t OBJ1_752_133;
OBJ1_752_133=CDR( CDR_1392_483_212 );if( EQP( OBJ1_752_133, OBJ2_746_163 ))
{
return CNST_TABLE_REF( 17 );}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 4 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t OBJ1_755_85;
OBJ1_755_85=CDR( CDR_1392_483_212 );if( EQP( OBJ1_755_85, OBJ2_746_163 ))
{
return CNST_TABLE_REF( 17 );}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 5 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1922_487_214;
CDR_1922_487_214=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1922_487_214 ))
{obj_t CDR_1987_488_149;
CDR_1987_488_149=CDR( CDR_1922_487_214 );if( PAIRP( CDR_1987_488_149 ))
{obj_t CDR_2045_489_233;
CDR_2045_489_233=CDR( CDR_1987_488_149 );if( PAIRP( CDR_2045_489_233 ))
{obj_t OBJ1_758_252;
OBJ1_758_252=CDR( CDR_2045_489_233 );if( EQP( OBJ1_758_252, OBJ2_746_163 ))
{obj_t C_CAR_760_115;
C_CAR_760_115=CAR( CDR_1987_488_149 );{obj_t C_CAR_761_48;
C_CAR_761_48=CAR( CDR_2045_489_233 );{
BODY_521_185=C_CAR_761_48;
FORMALS_520_177=C_CAR_760_115;
{
{obj_t FORMALS_523_197;
{
FORMALS_523_197=FORMALS_520_177;
{_LOOP_522_2:

if( NULLP( FORMALS_523_197 ))
{
EXP_464_157=BODY_521_185;
goto _REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213;
}else
{
{obj_t C_CAR_744_238;
C_CAR_744_238=CAR( FORMALS_523_197 );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_CAR_744_238 );}
{obj_t C_CDR_745_88;
C_CDR_745_88=CDR( FORMALS_523_197 );{
FORMALS_523_197=C_CDR_745_88;
goto _LOOP_522_2;
}}
}}
}}}
}}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 6 ) ))
{
REST_524_95=CDR_1392_483_212;
{
return REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( REST_524_95 );}
}else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 7 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1772_493_245;
CDR_1772_493_245=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1772_493_245 ))
{obj_t OBJ1_768_229;
OBJ1_768_229=CDR( CDR_1772_493_245 );if( EQP( OBJ1_768_229, OBJ2_746_163 ))
{obj_t C_CAR_770_54;
C_CAR_770_54=CAR( CDR_1772_493_245 );{
VAL_525_165=C_CAR_770_54;
{
{
EXP_464_157=VAL_525_165;
goto _REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213;
}}
}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 8 ) ))
{
REST_526_35=CDR_1392_483_212;
{
return REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( REST_526_35 );}
}else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 9 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1690_497_148;
CDR_1690_497_148=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1690_497_148 ))
{obj_t C_CAR_777_206;
C_CAR_777_206=CAR( CDR_1690_497_148 );{obj_t C_CDR_778_241;
C_CDR_778_241=CDR( CDR_1690_497_148 );{
CLAUSES_528_207=C_CDR_778_241;
TEST_527_24=C_CAR_777_206;
{
{obj_t CLAUSES_530_168;
{
CLAUSES_530_168=CLAUSES_528_207;
{_LOOP_529_49:

if( NULLP( CLAUSES_530_168 ))
return CNST_TABLE_REF( 17 );else
{
{obj_t PAIR_740_87;
PAIR_740_87=CAR( CLAUSES_530_168 );{obj_t PAIR_741_197;
PAIR_741_197=CDR( PAIR_740_87 );{obj_t C_CAR_742_124;
C_CAR_742_124=CAR( PAIR_741_197 );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_CAR_742_124 );}}}
{obj_t C_CDR_743_85;
C_CDR_743_85=CDR( CLAUSES_530_168 );{
CLAUSES_530_168=C_CDR_743_85;
goto _LOOP_529_49;
}}
}}
}}}
}}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 10 ) ))
{
{obj_t C_CDR_739_162;
C_CDR_739_162=CDR( EXP_464_157 );return REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( C_CDR_739_162 );}}else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 11 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1615_501_33;
CDR_1615_501_33=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1615_501_33 ))
{obj_t OBJ1_784_17;
OBJ1_784_17=CDR( CDR_1615_501_33 );if( EQP( OBJ1_784_17, OBJ2_746_163 ))
{obj_t C_CAR_786_109;
C_CAR_786_109=CAR( CDR_1392_483_212 );{obj_t C_CAR_787_47;
C_CAR_787_47=CAR( CDR_1615_501_33 );{
BODY_532_54=C_CAR_787_47;
BINDINGS_531_221=C_CAR_786_109;
{
{obj_t HOOK_534_225;
{
HOOK_534_225=BINDINGS_531_221;
{_LOOP_533_192:

if( NULLP( HOOK_534_225 ))
{
EXP_464_157=BODY_532_54;
goto _REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213;
}else
{
{obj_t PAIR_735_218;
PAIR_735_218=CAR( HOOK_534_225 );{obj_t PAIR_736_255;
PAIR_736_255=CDR( PAIR_735_218 );{obj_t C_CAR_737_214;
C_CAR_737_214=CAR( PAIR_736_255 );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_CAR_737_214 );}}}
{obj_t C_CDR_738_53;
C_CDR_738_53=CDR( HOOK_534_225 );{
HOOK_534_225=C_CDR_738_53;
goto _LOOP_533_192;
}}
}}
}}}
}}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 12 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1562_505_249;
CDR_1562_505_249=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1562_505_249 ))
{obj_t OBJ1_792_104;
OBJ1_792_104=CDR( CDR_1562_505_249 );if( EQP( OBJ1_792_104, OBJ2_746_163 ))
{obj_t C_CAR_794_28;
C_CAR_794_28=CAR( CDR_1392_483_212 );{obj_t C_CAR_795_210;
C_CAR_795_210=CAR( CDR_1562_505_249 );{
BODY_536_95=C_CAR_795_210;
BINDINGS_535_116=C_CAR_794_28;
{
return LABELS_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_155( EXP_464_157, BINDINGS_535_116, BODY_536_95 );}
}}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1528_509_185;
CDR_1528_509_185=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1528_509_185 ))
{obj_t OBJ1_800_55;
OBJ1_800_55=CDR( CDR_1528_509_185 );if( EQP( OBJ1_800_55, OBJ2_746_163 ))
{obj_t C_CAR_802_207;
C_CAR_802_207=CAR( CDR_1528_509_185 );{
BODY_537_116=C_CAR_802_207;
{
{
EXP_464_157=BODY_537_116;
goto _REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213;
}}
}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 14 ) ))
if( PAIRP( CDR_1392_483_212 ))
{obj_t CDR_1505_513_188;
CDR_1505_513_188=CDR( CDR_1392_483_212 );if( PAIRP( CDR_1505_513_188 ))
{obj_t OBJ1_807_185;
OBJ1_807_185=CDR( CDR_1505_513_188 );if( EQP( OBJ1_807_185, OBJ2_746_163 ))
{obj_t C_CAR_809_6;
C_CAR_809_6=CAR( CDR_1505_513_188 );{
VAL_538_202=C_CAR_809_6;
{
{
EXP_464_157=VAL_538_202;
goto _REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213;
}}
}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;else
{if( EQP( OBJ1_747_250, CNST_TABLE_REF( 15 ) ))
{_KAP_1496_518_55:

if( PAIRP( CDR_1392_483_212 ))
{obj_t OBJ1_813_200;
OBJ1_813_200=CDR( CDR_1392_483_212 );if( EQP( OBJ1_813_200, OBJ2_746_163 ))
{obj_t C_CAR_815_204;
C_CAR_815_204=CAR( CDR_1392_483_212 );{
REST_539_49=C_CAR_815_204;
{
return REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( REST_539_49 );}
}}else
goto _TAG_1362_481_92;}else
goto _TAG_1362_481_92;}else
if( EQP( OBJ1_747_250, CNST_TABLE_REF( 16 ) ))
goto _KAP_1496_518_55;else
goto _TAG_1362_481_92;}}}else
{
return CNST_TABLE_REF( 17 );}}}
}

static obj_t
#if defined( __STDC__ )
REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146(obj_t EXP__540_118)
#else
REMOVE_LOCAL_UNUSED___FUSE_CGRAPH_146( EXP__540_118 )
obj_t EXP__540_118;
#endif
{

{obj_t EXP__542_170;
{
EXP__542_170=EXP__540_118;
{_LOOP_541_139:

if( NULLP( EXP__542_170 ))
return CNST_TABLE_REF( 17 );else
{
{obj_t C_CAR_816_196;
C_CAR_816_196=CAR( EXP__542_170 );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_CAR_816_196 );}
{obj_t C_CDR_817_172;
C_CDR_817_172=CDR( EXP__542_170 );{
EXP__542_170=C_CDR_817_172;
goto _LOOP_541_139;
}}
}}
}}
}

static obj_t
#if defined( __STDC__ )
LABELS_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_155(obj_t EXP_543_69,obj_t BINDINGS_544_137,obj_t BODY_545_142)
#else
LABELS_REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_155( EXP_543_69, BINDINGS_544_137, BODY_545_142 )
obj_t EXP_543_69, BINDINGS_544_137, BODY_545_142;
#endif
{

{
REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( BODY_545_142 );
{obj_t BINDINGS_547_59, USED__548_252;
{
USED__548_252=BFALSE;
BINDINGS_547_59=BINDINGS_544_137;
{_LOOP_546_74:

if( NULLP( BINDINGS_547_59 ))
{
{obj_t PAIR_820_223;
PAIR_820_223=CDR( EXP_543_69 );SET_CAR( PAIR_820_223, BODY_545_142 );}
{obj_t OBJ_824_177;
OBJ_824_177=BNIL;{obj_t PAIR_823_57;
PAIR_823_57=CDR( EXP_543_69 );SET_CDR( PAIR_823_57, OBJ_824_177 );}}
return SET_CAR( EXP_543_69, CNST_TABLE_REF( 10 ) );
}else
if( BBOOL_TO_CBOOL( USED__548_252 ))
{
{obj_t PAIR_825_104;
PAIR_825_104=CDR( EXP_543_69 );SET_CAR( PAIR_825_104, BINDINGS_547_59 );}
{obj_t BINDINGS_550_85, HOOK_551_88;
{
HOOK_551_88=BINDINGS_547_59;
BINDINGS_550_85=BINDINGS_547_59;
{_LOOP_549_11:

if( NULLP( BINDINGS_550_85 ))
return CNST_TABLE_REF( 17 );else
{obj_t PAIR_826_213;
PAIR_826_213=CAR( BINDINGS_550_85 );{obj_t C_CAR_827_35;
C_CAR_827_35=CAR( PAIR_826_213 );{obj_t AUX_878_157;
AUX_878_157=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_827_35, __LOCAL_USED__FUSE_CGRAPH_0 );if( BBOOL_TO_CBOOL( AUX_878_157 ))
{
{obj_t PAIR_828_28;
PAIR_828_28=CAR( BINDINGS_550_85 );{obj_t PAIR_829_210;
{obj_t PAIR_831_140;
PAIR_831_140=CDR( PAIR_828_28 );PAIR_829_210=CDR( PAIR_831_140 );}{obj_t C_CAR_830_130;
C_CAR_830_130=CAR( PAIR_829_210 );REMOVE_LOCAL_UNUSED__FUSE_CGRAPH_213( C_CAR_830_130 );}}}
{obj_t C_CDR_832_181;
C_CDR_832_181=CDR( BINDINGS_550_85 );{obj_t BINDINGS_877_242;
BINDINGS_877_242=BINDINGS_550_85;{
HOOK_551_88=BINDINGS_877_242;
BINDINGS_550_85=C_CDR_832_181;
goto _LOOP_549_11;
}}}
}else
{
{obj_t OBJ_833_65;
OBJ_833_65=CDR( BINDINGS_550_85 );SET_CDR( HOOK_551_88, OBJ_833_65 );}
{obj_t C_CDR_834_78;
C_CDR_834_78=CDR( BINDINGS_550_85 );{
BINDINGS_550_85=C_CDR_834_78;
goto _LOOP_549_11;
}}
}}}}}
}}
}else
{obj_t PAIR_835_125;
PAIR_835_125=CAR( BINDINGS_547_59 );{obj_t C_CAR_836_121;
C_CAR_836_121=CAR( PAIR_835_125 );{obj_t AUX_879_238;
AUX_879_238=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_836_121, __LOCAL_USED__FUSE_CGRAPH_0 );if( BBOOL_TO_CBOOL( AUX_879_238 ))
{
USED__548_252=BTRUE;
goto _LOOP_546_74;
}else
{obj_t C_CDR_837_22;
C_CDR_837_22=CDR( BINDINGS_547_59 );{
BINDINGS_547_59=C_CDR_837_22;
goto _LOOP_546_74;
}}}}}}
}}
}
}

