/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Init/parse-args.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t SUFFIX___UNIX_FILE_231();
extern obj_t __HELLO___ENGINE_PARAM_34;
extern obj_t __PASS__ENGINE_PARAM_158;
extern obj_t __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38;
extern obj_t START_TRACE_ENV_TOOLS_TRACE_235;
extern obj_t WRITE_VERSION_INITIALISATION_WRITE_VERSION_86();
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t __LIB_DIR__ENGINE_PARAM_17;
extern obj_t c_substring();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t __TMP_DEST__ENGINE_PARAM_178;
extern obj_t string_append();
extern obj_t _2____R4_NUMBERS_6_5_143();
#if defined( __STDC__ )
static obj_t __QUERY_INIT_PARSE_ARGS_3(obj_t);
#else
static obj_t __QUERY_INIT_PARSE_ARGS_3();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t LOAD_EXTEND_INIT_EXTEND_178();
static obj_t QUERY_ENV_INIT_PARSE_ARGS_162 = BUNSPEC;
extern obj_t bigloo_exit();
extern obj_t __NIL____EVAL_120;
extern obj_t __BIGLOO_ARGS__ENGINE_PARAM_242;
extern obj_t __INLINING___ENGINE_PARAM_72;
extern obj_t VERSION_ENV_WRITE_VERSION_51;
extern obj_t __GCC__ENGINE_PARAM_152;
static obj_t PARSE_OPTIM_ARGS_ENV_INIT_PARSE_ARGS_226 = BUNSPEC;
extern obj_t __UNSAFE_VERSION__ENGINE_PARAM_178;
extern obj_t VERSION_WRITE_VERSION_13();
extern obj_t __WITH_FILES__ENGINE_PARAM_94;
extern obj_t PRINT___R4_OUTPUT_6_10_3_212();
extern obj_t __REST_ARGS__ENGINE_PARAM_83;
extern obj_t __SHARED_DATA__ENGINE_PARAM_73;
extern obj_t ADD_ACCESS__READ_ACCESS_91();
extern obj_t WRITE_C_STRING_ENV_TOOLS_STRINGS_146;
extern obj_t __BIGLOO_DATE__ENGINE_PARAM_166;
extern obj_t __UNSAFE_ARITY__ENGINE_PARAM_35;
extern obj_t __IMMEDIAT_ERROR__ENGINE_PARAM_186;
extern obj_t __CC__ENGINE_PARAM_217;
extern obj_t __USED_MODULES__ENGINE_PARAM_128;
extern obj_t __INDENT_OPT__ENGINE_PARAM_210;
extern obj_t __BIGLOO_TMP__ENGINE_PARAM_238;
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t __WARNING____ERROR_215;
extern obj_t ADD_TRACE_MASK_TOOLS_TRACE_143();
extern obj_t DEFINE_PRIMOP____EVENV_88();
extern obj_t __ALPHA__ENGINE_PARAM_16;
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
static obj_t QUERY_INIT_PARSE_ARGS_140();
extern obj_t ___EVENV_INITIALISATION___EVENV_87();
extern obj_t DEFINE_PRIMOP_REF____EVENV_25();
extern obj_t __ANSI_CC__ENGINE_PARAM_147;
extern obj_t __EVAL___ENGINE_PARAM_137;
#if defined( __STDC__ )
static obj_t PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169(obj_t, obj_t, obj_t);
#else
static obj_t PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169();
#endif
extern obj_t INIT_EXTEND_INITIALISATION_INIT_EXTEND_207();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t __BIGLOO_USER_LIB__ENGINE_PARAM_144;
extern obj_t __STRIP__ENGINE_PARAM_176;
#if defined( __STDC__ )
extern obj_t __INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_127(obj_t);
#else
extern obj_t __INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_127();
#endif
extern obj_t __HEAP_NAMES__ENGINE_PARAM_198;
extern obj_t __ACCESS_TABLE__ENGINE_PARAM_223;
extern obj_t __CALL_CC___ENGINE_PARAM_225;
extern obj_t __LOAD_PATH____EVAL_245;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
static obj_t CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48(obj_t);
#else
static obj_t CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48();
#endif
extern obj_t __PP_ENV_MODE__ENGINE_PARAM_88;
static obj_t __cnst[ 258 ] ;
extern obj_t __HEAP__STACK___ENGINE_PARAM_121;
extern obj_t __BIGLOO_AUTHOR__ENGINE_PARAM_117;
extern obj_t __BIGLOO_LIB__ENGINE_PARAM_173;
extern obj_t __MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220;
extern obj_t START_TRACE_TOOLS_TRACE_128();
extern obj_t open_input_string();
extern obj_t __ACCESS_FILE__ENGINE_PARAM_128;
extern obj_t __BIGLOO_LEVEL__ENGINE_PARAM_102;
extern obj_t ___EVAL_INITIALISATION___EVAL_167();
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t TRACE_MASK_VALUE_ENV_TOOLS_TRACE_239;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t SHORT_VERSION_WRITE_VERSION_139();
extern obj_t __MAIN__ENGINE_PARAM_206;
extern obj_t UPPER_STRING__SYMBOL_ENV_TOOLS_STRINGS_78;
extern obj_t __DEBUG__ENGINE_PARAM_124;
extern obj_t __OPTIM_CONS__ENGINE_PARAM_11;
extern obj_t __LIB_MODE__ENGINE_PARAM_204;
extern obj_t __INIT_FUNCTIONS__ENGINE_PARAM_79;
extern obj_t READ_ACCESS_FILE_ENV_READ_ACCESS_93;
extern obj_t __RGC_LAST_CHAR____RGC_PARAM_157;
static obj_t CHANGE_BIGLOO_LIB__ENV_INIT_PARSE_ARGS_206 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__INIT_PARSE_ARGS_219 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_123(obj_t, obj_t);
#else
static obj_t __PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_123();
#endif
extern obj_t __INDENT__ENGINE_PARAM_11;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t PARSE_UNSAFE_ARGS_ENV_INIT_PARSE_ARGS_87 = BUNSPEC;
extern obj_t __STARTUP_FILE__ENGINE_PARAM_238;
extern obj_t MASK_ENV_TOOLS_TRACE_8;
extern obj_t c_constant_string_to_string();
extern obj_t __INTERPRETER__ENGINE_PARAM_56;
extern obj_t WHEN_TRACE_ENV_TOOLS_TRACE_45;
extern obj_t __INLINE_LEVEL_MAX__ENGINE_PARAM_37;
extern obj_t STOP_TRACE_TOOLS_TRACE_7;
extern obj_t __SUPERLIFT___ENGINE_PARAM_176;
extern obj_t __UNSAFE_STRUCT__ENGINE_PARAM_114;
extern obj_t TOOLS_STRINGS_INITIALISATION_TOOLS_STRINGS_226();
extern obj_t __UNSAFE_TYPE__ENGINE_PARAM_0;
#if defined( __STDC__ )
static obj_t __HELP_INIT_PARSE_ARGS_30(obj_t);
#else
static obj_t __HELP_INIT_PARSE_ARGS_30();
#endif
extern obj_t __ASSERT__ENGINE_PARAM_193;
extern obj_t __INCLUDE_DIR__ENGINE_PARAM_87;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t __HEAP_APPEND___ENGINE_PARAM_226;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t SHORT_VERSION_ENV_WRITE_VERSION_120;
extern obj_t __BIGLOO_EMAIL__ENGINE_PARAM_152;
extern obj_t SATISFY__ENV_TOOLS_TRACE_229;
#if defined( __STDC__ )
static obj_t __CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_188(obj_t, obj_t);
#else
static obj_t __CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_188();
#endif
extern obj_t ADD_ACCESS__ENV_READ_ACCESS_207;
extern obj_t ASSOC___R4_PAIRS_AND_LISTS_6_3_8();
extern obj_t __ORDER_INIT_MODULES__ENGINE_PARAM_218;
obj_t PARSE_ARGS_ENV_INIT_PARSE_ARGS_102 = BUNSPEC;
extern obj_t INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_177();
extern obj_t make_fx_procedure();
extern obj_t __OPTIM__ENGINE_PARAM_213;
extern obj_t __UNSAFE_RANGE__ENGINE_PARAM_44;
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
extern obj_t __INCLUDE_FOREIGN__ENGINE_PARAM_233;
extern obj_t __AUTO_MODE__ENGINE_PARAM_50;
extern obj_t __RM_C_FILES__ENGINE_PARAM_78;
extern obj_t __C_DEBUG__ENGINE_PARAM_235;
extern obj_t __FULL_TAIL_RECURSION___ENGINE_PARAM_69;
#if defined( __STDC__ )
static obj_t PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146(obj_t);
#else
static obj_t PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146();
#endif
extern obj_t READ_ACCESS_INITIALISATION_READ_ACCESS_130();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t HELP_ENV_INIT_PARSE_ARGS_162 = BUNSPEC;
extern obj_t __GENERICITY__ENGINE_PARAM_247;
extern obj_t __SILENT__ENGINE_PARAM_5;
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t __RGC_COMPACT____RGC_PARAM_175;
extern obj_t __EXTEND_ENTRY__ENGINE_PARAM_58;
#if defined( __STDC__ )
static obj_t PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81(obj_t);
#else
static obj_t PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81();
#endif
extern obj_t __BIGLOO_CMD_NAME__ENGINE_PARAM_32;
extern obj_t __SEPARATEUR__ENGINE_PARAM_50;
#if defined( __STDC__ )
extern obj_t __PARSE_ARGS_INIT_PARSE_ARGS_247(obj_t, obj_t);
#else
extern obj_t __PARSE_ARGS_INIT_PARSE_ARGS_247();
#endif
extern obj_t __O_FILES__ENGINE_PARAM_130;
extern obj_t __DEST__ENGINE_PARAM_232;
extern obj_t __CC_OPTIONS__ENGINE_PARAM_175;
extern obj_t __ERROR_SHAPE__ENGINE_PARAM_65;
extern obj_t __LD_OPTIONS__ENGINE_PARAM_252;
#if defined( __STDC__ )
static obj_t __PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_2(obj_t, obj_t);
#else
static obj_t __PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_2();
#endif
extern bool_t bigloo_strcmp();
extern obj_t __EXTRA_DEBUG__ENGINE_PARAM_233;
obj_t INIT_PARSE_ARGS_INITIALISATION_ENV_INIT_PARSE_ARGS_173 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t PARSE_ARGS_INIT_PARSE_ARGS_165(obj_t);
#else
extern obj_t PARSE_ARGS_INIT_PARSE_ARGS_165();
#endif
extern obj_t ADD_TRACE_MASK_ENV_TOOLS_TRACE_72;
#if defined( __STDC__ )
static obj_t __PARSE_TRACE_ARGS_INIT_PARSE_ARGS_13(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t __PARSE_TRACE_ARGS_INIT_PARSE_ARGS_13();
#endif
extern obj_t __VERBOSE__ENGINE_PARAM_98;
static obj_t HELP_INIT_PARSE_ARGS_140();
static obj_t PARSE_TRACE_ARGS_ENV_INIT_PARSE_ARGS_13 = BUNSPEC;
extern obj_t __C_DEBUG_OPTION__ENGINE_PARAM_31;
extern obj_t INITIALISATION_NAME_ENV_ENGINE_PARAM_37;
extern obj_t EVAL___EVAL_224();
extern obj_t __BIGLOO_NAME__ENGINE_PARAM_173;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_177()
#else
INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_177()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__INIT_PARSE_ARGS_219 ))
{
REQUIRE_INITIALISATION__INIT_PARSE_ARGS_219=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
TOOLS_STRINGS_INITIALISATION_TOOLS_STRINGS_226();
___READER_INITIALISATION___READER_22();
INIT_EXTEND_INITIALISATION_INIT_EXTEND_207();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___EVENV_INITIALISATION___EVENV_87();
WRITE_VERSION_INITIALISATION_WRITE_VERSION_86();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
READ_ACCESS_INITIALISATION_READ_ACCESS_130();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___EVAL_INITIALISATION___EVAL_167();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 258 ]  );
{obj_t PORT_863_232;
{obj_t AUX_883_98;
AUX_883_98=c_constant_string_to_string( "#\"   - BIGLOOHEAP     --  the initial heap size in megabytes (4 Mo by default)\" #\"   - BIGLOOINCLUDE  --  includes' directory\" #\"   - BIGLOOLIB      --  libraries' directory\" #\"   - TMPDIR         --  tmp directory (default \\\"/tmp\\\")\" #\"Shell Variables:\" #\" . : option enabled in -O3 mode\" #\" + : not always available\" #\" * : only available in developing mode\" #\"   -version         --  The current release\" #\"   -extend <name>   --  Extend the compiler\" #\"   -query           --  dump the current configuration\" #\"   -eval <string>   --  Evaluate <string>\" #\"   +heap <name>     --  Add an heap file\" #\"   -heap <name>     --  Specify an heap file\" #\"   -mkdistrib       --  Compile a main file for a distribution\" #\"   +mkheap          --  Append to an heap file\" #\"   -mkheap          --  Build an heap file\" #\"   -mklib           --  Compile a library module\" #\"   -call/cc         --  Enable call/cc function\" #\"       a : assert       S : Stack\" #\"       b : beta         w : effet        0 : 0cfa\" #\"       c : integ        C : cgen         o : other\" #\"       g : lift         G : lift+loop    k : cnst\" #\"       h : hoist        s : remove       t : type\" #\"       r : read         x : eps          l : inline\" #\"       i : init         e : env          E : env (long)\" #\" <-/+>t<trace-flag> --  Generate a trace file (*)\" #\"   -llibrary        --  Link with object library\" #\"   -access <m> <f>  --  Set access between module and file\" #\"   -afile <f>       --  Set name of the access file\" #\" <-/+>rm            --  Don't or force removing C file\" #\"   -kr-c            --  Generate `Kernighan & Ritchie' C code\" #\"   -gcc             --  Generate gcc C code (obsolte)\" #\"   -cc <compiler>   --  Specify the C compiler\" #\"   -finline-cons    --  full inlining of the `cons' primop (.)\" #\"   -fstack          --  Transform heap to stack allocations\" #\"   -fsuperlift      --  Optimization when producing C code\" #\"   -fshared-data    --  Attempt to share constant data\" #\"   -farithmetic     --  Suppress genericity of arithmetic operators\" #\"   -no-inlining     --  Don't inline function\" #\"   -ld <string>     --  Invoke ld with <string>\" #\"   -copt <string>   --  Invoke cc with <string>\" #\"   -w               --  Inhibit all warning messages\" #\"   -nil             --  Evaluate '() as #f in `if' expression\" #\"   -char <7/8>bit   --  The char's size (7 bit or 8 bit)\" #\"   -O[234]          --  Optimization modes\" #\"   -unsafe[atrsv]   --  Don't check [type/arity/range/struct/version] at runtime\" #\"   -ERROR           --  Some debugging tools\" #\" <-/+>ALPHA         --  Don't do or force alpha-conversion\" #\"   -pg              --  Compile files with profiling option (+)\" #\"   -cg              --  Compile C files with debug option\" #\"   -g[23]           --  Produce Bigloo debug informations\" #\"   -[cA]            --  Suppress linking and produce a .o file\" #\"   -C+              --  Produce an indented .c file\" #\"   -C               --  Do not C compile and produce a .c file\" #\"   -C-              --  Stop after the integration stage\" #\"   -B               --  Stop after the beta-reduction stage\" #\"   -R               --  Stop after the cse stage\" #\"   -H               --  Stop after the hoisting stage\" #\"   -S               --  Stop after the stack stage\" #\"   -K               --  Stop after the constant allocation\" #\"   -G               --  Stop after the lambda-lifting stage\" #\"   -GS              --  Stop after the superlift stage\" #\"   -0               --  Stop after the 0cfa stage (+)\" #\"   -AS              --  Stop after the assertions stage\" #\"   -T               --  Stop after the type stage\" #\"   -U               --  Stop after the fuse stage\" #\"   -L               --  Stop after the inlining stage\" #\"   -USER            --  Stop after the user pass\" #\"   -E               --  Stop after the preprocessing stage\" #\"   -i               --  Don't compile but interprete a src-file\" #\"   -v               --  Be verbose\" #\"   -s               --  Be silent\" #\"   -I <name>        --  Add <name> to the load path\" #\"   -q               --  Do not load an rc file\" #\"   -m <name>        --  Set name of current module\" #\"   -o <name>        --  Name the output file <name>\" #\"   src_name         --  The name of the source file\" #\"usage: bigloo [options] [src_name]\" #\"*heap-names*           : \" #\"*include-foreign*      : \" #\"*include-dir*          : \" #\"*lib-dir*              : \" #\"*bigloo-user-includes* : \" #\"*bigloo-user-lib*      : \" #\"*bigloo-lib*           : \" #\"*ld-options*           : \" #\"*cc-options*           : \" #\"*cc*                   : \" #\"setups:\" #\"parse-arg\" #\"Illegal +t option\" #\"Illegal -t option\" EFFECT OTHER LOOP REMOVE EPS INIT EXTRA-LONG LONG ENV SHORT READ NOTHING #\"-O \" #\"Illegal -O option\" #\"parse-arg\" #\"-O2 \" #\"-O2 \" #\"-O2 \" #\"-lbigloo\" #\"-lbigloo_p\" #\"Illegal -unsafe option\" #\"parse-arg\" DONE #\"-lbigloo_u\" #\"incorrect argument\" #\"parse-args\" #\"Incorrect argument\" #\"parse-args\" #\"\" #\"one argument require for -o option\" #\"parse-args\" #\"-extend\" #\"\" #\"one argument require for -o option\" #\"parse-args\" #\"-o\" #\"one argument require for -main option\" #\"parse-args\" #\"-main\" #\"one argument require for -m option\" #\"parse-args\" #\"-m\" #\"two arguements required for -access option\" #\"parse-args\" #\"-access\" #\"one argument required for -afile option\" #\"parse-args\" #\"-afile\" #\"-i\" CC #\"-c\" #\"-A\" CINDENT #\"-C+\" CGEN #\"-C\" INTEG #\"-C-\" BETA #\"-B\" CSE #\"-R\" HOIST #\"-H\" STACK #\"-S\" CNST #\"-K\" LIFT #\"-G\" SUPERLIFT #\"-GS\" 0CFA #\"-0\" ASSERT #\"-AS\" TYPE #\"-T\" USER #\"-USER\" FUSE #\"-U\" INLINE #\"-L\" EXPAND #\"-E\" AND #\"+t\" OR ALL #\"-t\" #\"-O\" #\"-unsafe\" #\"-ERROR\" #\"+ALPHA\" #\"-ALPHA\" #\"-pg \" #\"-lbigloo_p\" #\"-pg\" #\"-cg\" #\"-g3\" #\"-g2\" #\"-g\" #\"+heap option require one argument\" #\"parse-args\" #\"+heap\" #\"-heap option require one argument\" #\"parse-args\" #\"-heap\" DISTRIB #\"-mkdistrib\" #\"-mklib\" #\"-l\" #\"-nil\" #\"illegal argument (see -help)\" #\"parse-args\" #\"7bit\" #\"8bit\" #\"-char option require one argument\" #\"parse-args\" #\"-char\" #\"-call/cc\" #\"+mkheap\" MAKE-HEAP #\"-mkheap\" #\"+rm\" #\"-rm\" #\"-finline-cons\" #\"-fstack\" #\"-fsuperlift\" #\"-fshared-data\" #\"-farithmetic\" #\"-no-inlining\" #\"gcc\" #\"-gcc\" #\" \" #\"-ld option require one argument\" #\"parse-args\" #\"-ld\" #\" \" #\"-c option require one argument\" #\"parse-args\" #\"-copt\" #\"-kr-c\" #\"-cc option require one argument\" #\"parse-args\" #\"-cc\" #\"-w\" #\"-v\" #\"-s\" #\"-I option require one argument\" #\"parse-args\" #\"-I\" #\"-eval option require one argument\" #\"parse-args\" #\"-eval\" #\"-q\" #\"-query\" #\"-version\" #\"-help\" #\"?\" #\"incorrect option (use -help)\" #\"parse-args\" #\"-\" #\"-extend\" " );PORT_863_232=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_883_98 );}{obj_t OFFSET_864_121;
{
OFFSET_864_121=BINT( 257 );
{_LOOP_865_48:

if( LT_I( OFFSET_864_121, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_884_225;
AUX_884_225=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_863_232, BEOA );CNST_TABLE_SET( OFFSET_864_121, AUX_884_225 );}
{obj_t OFFSET_885_246;
OFFSET_885_246=OFFSET_864_121;{
OFFSET_864_121=SUB_I( OFFSET_885_246, BINT( 1 ) );
goto _LOOP_865_48;
}}
}}
}}}
{
INIT_PARSE_ARGS_INITIALISATION_ENV_INIT_PARSE_ARGS_173=make_fx_procedure( __INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_127, 0, 0 );
PARSE_ARGS_ENV_INIT_PARSE_ARGS_102=make_fx_procedure( __PARSE_ARGS_INIT_PARSE_ARGS_247, 1, 0 );
PARSE_UNSAFE_ARGS_ENV_INIT_PARSE_ARGS_87=make_fx_procedure( __PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_2, 1, 0 );
CHANGE_BIGLOO_LIB__ENV_INIT_PARSE_ARGS_206=make_fx_procedure( __CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_188, 1, 0 );
PARSE_OPTIM_ARGS_ENV_INIT_PARSE_ARGS_226=make_fx_procedure( __PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_123, 1, 0 );
PARSE_TRACE_ARGS_ENV_INIT_PARSE_ARGS_13=make_fx_procedure( __PARSE_TRACE_ARGS_INIT_PARSE_ARGS_13, 3, 0 );
QUERY_ENV_INIT_PARSE_ARGS_162=make_fx_procedure( __QUERY_INIT_PARSE_ARGS_3, 0, 0 );
HELP_ENV_INIT_PARSE_ARGS_162=make_fx_procedure( __HELP_INIT_PARSE_ARGS_30, 0, 0 );
{
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-NAME*" ), LOCATION( __BIGLOO_NAME__ENGINE_PARAM_173 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*C-DEBUG-OPTION*" ), LOCATION( __C_DEBUG_OPTION__ENGINE_PARAM_31 ) );
{obj_t A_FUNCTION_473_129;
A_FUNCTION_473_129=HELP_ENV_INIT_PARSE_ARGS_162;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "HELP" ), A_FUNCTION_473_129 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*VERBOSE*" ), LOCATION( __VERBOSE__ENGINE_PARAM_98 ) );
{obj_t A_FUNCTION_474_71;
A_FUNCTION_474_71=PARSE_ARGS_ENV_INIT_PARSE_ARGS_102;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "PARSE-ARGS" ), A_FUNCTION_474_71 );}
{obj_t A_FUNCTION_475_231;
A_FUNCTION_475_231=WRITE_C_STRING_ENV_TOOLS_STRINGS_146;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "WRITE-C-STRING" ), A_FUNCTION_475_231 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EXTRA-DEBUG*" ), LOCATION( __EXTRA_DEBUG__ENGINE_PARAM_233 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LD-OPTIONS*" ), LOCATION( __LD_OPTIONS__ENGINE_PARAM_252 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ERROR-SHAPE*" ), LOCATION( __ERROR_SHAPE__ENGINE_PARAM_65 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CC-OPTIONS*" ), LOCATION( __CC_OPTIONS__ENGINE_PARAM_175 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*DEST*" ), LOCATION( __DEST__ENGINE_PARAM_232 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*O-FILES*" ), LOCATION( __O_FILES__ENGINE_PARAM_130 ) );
{obj_t A_FUNCTION_476_165;
A_FUNCTION_476_165=WHEN_TRACE_ENV_TOOLS_TRACE_45;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "WHEN-TRACE" ), A_FUNCTION_476_165 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SEPARATEUR*" ), LOCATION( __SEPARATEUR__ENGINE_PARAM_50 ) );
{obj_t A_FUNCTION_477_19;
A_FUNCTION_477_19=TRACE_MASK_VALUE_ENV_TOOLS_TRACE_239;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "TRACE-MASK-VALUE" ), A_FUNCTION_477_19 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-CMD-NAME*" ), LOCATION( __BIGLOO_CMD_NAME__ENGINE_PARAM_32 ) );
{obj_t A_FUNCTION_478_244;
A_FUNCTION_478_244=PARSE_OPTIM_ARGS_ENV_INIT_PARSE_ARGS_226;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "PARSE-OPTIM-ARGS" ), A_FUNCTION_478_244 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EXTEND-ENTRY*" ), LOCATION( __EXTEND_ENTRY__ENGINE_PARAM_58 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SILENT*" ), LOCATION( __SILENT__ENGINE_PARAM_5 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*GENERICITY*" ), LOCATION( __GENERICITY__ENGINE_PARAM_247 ) );
{obj_t A_FUNCTION_479_45;
A_FUNCTION_479_45=PARSE_UNSAFE_ARGS_ENV_INIT_PARSE_ARGS_87;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "PARSE-UNSAFE-ARGS" ), A_FUNCTION_479_45 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*FULL-TAIL-RECURSION?*" ), LOCATION( __FULL_TAIL_RECURSION___ENGINE_PARAM_69 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*C-DEBUG*" ), LOCATION( __C_DEBUG__ENGINE_PARAM_235 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*RM-C-FILES*" ), LOCATION( __RM_C_FILES__ENGINE_PARAM_78 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*AUTO-MODE*" ), LOCATION( __AUTO_MODE__ENGINE_PARAM_50 ) );
{obj_t A_FUNCTION_480_42;
A_FUNCTION_480_42=READ_ACCESS_FILE_ENV_READ_ACCESS_93;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "READ-ACCESS-FILE" ), A_FUNCTION_480_42 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INCLUDE-FOREIGN*" ), LOCATION( __INCLUDE_FOREIGN__ENGINE_PARAM_233 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-RANGE*" ), LOCATION( __UNSAFE_RANGE__ENGINE_PARAM_44 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*OPTIM*" ), LOCATION( __OPTIM__ENGINE_PARAM_213 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ORDER-INIT-MODULES*" ), LOCATION( __ORDER_INIT_MODULES__ENGINE_PARAM_218 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-EMAIL*" ), LOCATION( __BIGLOO_EMAIL__ENGINE_PARAM_152 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP-APPEND?*" ), LOCATION( __HEAP_APPEND___ENGINE_PARAM_226 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INCLUDE-DIR*" ), LOCATION( __INCLUDE_DIR__ENGINE_PARAM_87 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ASSERT*" ), LOCATION( __ASSERT__ENGINE_PARAM_193 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-TYPE*" ), LOCATION( __UNSAFE_TYPE__ENGINE_PARAM_0 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-STRUCT*" ), LOCATION( __UNSAFE_STRUCT__ENGINE_PARAM_114 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SUPERLIFT?*" ), LOCATION( __SUPERLIFT___ENGINE_PARAM_176 ) );
{obj_t A_FUNCTION_481_155;
A_FUNCTION_481_155=INITIALISATION_NAME_ENV_ENGINE_PARAM_37;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "INITIALISATION-NAME" ), A_FUNCTION_481_155 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "STOP-TRACE" ), LOCATION( STOP_TRACE_TOOLS_TRACE_7 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INLINE-LEVEL-MAX*" ), LOCATION( __INLINE_LEVEL_MAX__ENGINE_PARAM_37 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INTERPRETER*" ), LOCATION( __INTERPRETER__ENGINE_PARAM_56 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*STARTUP-FILE*" ), LOCATION( __STARTUP_FILE__ENGINE_PARAM_238 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INDENT*" ), LOCATION( __INDENT__ENGINE_PARAM_11 ) );
{obj_t A_FUNCTION_482_159;
A_FUNCTION_482_159=UPPER_STRING__SYMBOL_ENV_TOOLS_STRINGS_78;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "UPPER-STRING->SYMBOL" ), A_FUNCTION_482_159 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INIT-FUNCTIONS*" ), LOCATION( __INIT_FUNCTIONS__ENGINE_PARAM_79 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LIB-MODE*" ), LOCATION( __LIB_MODE__ENGINE_PARAM_204 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*OPTIM-CONS*" ), LOCATION( __OPTIM_CONS__ENGINE_PARAM_11 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*DEBUG*" ), LOCATION( __DEBUG__ENGINE_PARAM_124 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MAIN*" ), LOCATION( __MAIN__ENGINE_PARAM_206 ) );
{obj_t A_FUNCTION_483_93;
A_FUNCTION_483_93=SHORT_VERSION_ENV_WRITE_VERSION_120;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "SHORT-VERSION" ), A_FUNCTION_483_93 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SRC*" ), LOCATION( __SRC__ENGINE_PARAM_53 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MODULE-NAME*" ), LOCATION( __MODULE_NAME__ENGINE_PARAM_191 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-LEVEL*" ), LOCATION( __BIGLOO_LEVEL__ENGINE_PARAM_102 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ACCESS-FILE*" ), LOCATION( __ACCESS_FILE__ENGINE_PARAM_128 ) );
{obj_t A_FUNCTION_484_61;
A_FUNCTION_484_61=START_TRACE_ENV_TOOLS_TRACE_235;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "START-TRACE" ), A_FUNCTION_484_61 );}
{obj_t A_FUNCTION_485_3;
A_FUNCTION_485_3=SATISFY__ENV_TOOLS_TRACE_229;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "SATISFY?" ), A_FUNCTION_485_3 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MAX-STACK-ALLOCATION-SIZE*" ), LOCATION( __MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-LIB*" ), LOCATION( __BIGLOO_LIB__ENGINE_PARAM_173 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-AUTHOR*" ), LOCATION( __BIGLOO_AUTHOR__ENGINE_PARAM_117 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP->STACK?*" ), LOCATION( __HEAP__STACK___ENGINE_PARAM_121 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*PP-ENV-MODE*" ), LOCATION( __PP_ENV_MODE__ENGINE_PARAM_88 ) );
{obj_t A_FUNCTION_486_89;
A_FUNCTION_486_89=CHANGE_BIGLOO_LIB__ENV_INIT_PARSE_ARGS_206;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "CHANGE-BIGLOO-LIB!" ), A_FUNCTION_486_89 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*TRACE-PORT*" ), LOCATION( __TRACE_PORT__TOOLS_TRACE_74 ) );
{obj_t A_FUNCTION_487_9;
A_FUNCTION_487_9=MASK_ENV_TOOLS_TRACE_8;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "MASK" ), A_FUNCTION_487_9 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CALL/CC?*" ), LOCATION( __CALL_CC___ENGINE_PARAM_225 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ACCESS-TABLE*" ), LOCATION( __ACCESS_TABLE__ENGINE_PARAM_223 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP-NAMES*" ), LOCATION( __HEAP_NAMES__ENGINE_PARAM_198 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*STRIP*" ), LOCATION( __STRIP__ENGINE_PARAM_176 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-USER-LIB*" ), LOCATION( __BIGLOO_USER_LIB__ENGINE_PARAM_144 ) );
{obj_t A_FUNCTION_488_82;
A_FUNCTION_488_82=PARSE_TRACE_ARGS_ENV_INIT_PARSE_ARGS_13;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "PARSE-TRACE-ARGS" ), A_FUNCTION_488_82 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EVAL?*" ), LOCATION( __EVAL___ENGINE_PARAM_137 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ANSI-CC*" ), LOCATION( __ANSI_CC__ENGINE_PARAM_147 ) );
{obj_t A_FUNCTION_489_106;
A_FUNCTION_489_106=QUERY_ENV_INIT_PARSE_ARGS_162;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "QUERY" ), A_FUNCTION_489_106 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ALPHA*" ), LOCATION( __ALPHA__ENGINE_PARAM_16 ) );
{obj_t A_FUNCTION_490_9;
A_FUNCTION_490_9=ADD_TRACE_MASK_ENV_TOOLS_TRACE_72;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "ADD-TRACE-MASK" ), A_FUNCTION_490_9 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-TMP*" ), LOCATION( __BIGLOO_TMP__ENGINE_PARAM_238 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INDENT-OPT*" ), LOCATION( __INDENT_OPT__ENGINE_PARAM_210 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*USED-MODULES*" ), LOCATION( __USED_MODULES__ENGINE_PARAM_128 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CC*" ), LOCATION( __CC__ENGINE_PARAM_217 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*IMMEDIAT-ERROR*" ), LOCATION( __IMMEDIAT_ERROR__ENGINE_PARAM_186 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-ARITY*" ), LOCATION( __UNSAFE_ARITY__ENGINE_PARAM_35 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-DATE*" ), LOCATION( __BIGLOO_DATE__ENGINE_PARAM_166 ) );
{obj_t A_FUNCTION_491_89;
A_FUNCTION_491_89=ADD_ACCESS__ENV_READ_ACCESS_207;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "ADD-ACCESS!" ), A_FUNCTION_491_89 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SHARED-DATA*" ), LOCATION( __SHARED_DATA__ENGINE_PARAM_73 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*REST-ARGS*" ), LOCATION( __REST_ARGS__ENGINE_PARAM_83 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*WITH-FILES*" ), LOCATION( __WITH_FILES__ENGINE_PARAM_94 ) );
{obj_t A_FUNCTION_492_3;
A_FUNCTION_492_3=VERSION_ENV_WRITE_VERSION_51;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "VERSION" ), A_FUNCTION_492_3 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-VERSION*" ), LOCATION( __UNSAFE_VERSION__ENGINE_PARAM_178 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*GCC*" ), LOCATION( __GCC__ENGINE_PARAM_152 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INLINING?*" ), LOCATION( __INLINING___ENGINE_PARAM_72 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-ARGS*" ), LOCATION( __BIGLOO_ARGS__ENGINE_PARAM_242 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*TMP-DEST*" ), LOCATION( __TMP_DEST__ENGINE_PARAM_178 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LIB-DIR*" ), LOCATION( __LIB_DIR__ENGINE_PARAM_17 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-USER-INCLUDES*" ), LOCATION( __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*PASS*" ), LOCATION( __PASS__ENGINE_PARAM_158 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HELLO?*" ), LOCATION( __HELLO___ENGINE_PARAM_34 ) );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_127(obj_t ENV_830_227)
#else
__INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_127( ENV_830_227 )
obj_t ENV_830_227;
#endif
{

return INIT_PARSE_ARGS_INITIALISATION_INIT_PARSE_ARGS_177();
}

obj_t
#if defined( __STDC__ )
PARSE_ARGS_INIT_PARSE_ARGS_165(obj_t ARGS_222_225)
#else
PARSE_ARGS_INIT_PARSE_ARGS_165( ARGS_222_225 )
obj_t ARGS_222_225;
#endif
{

{obj_t EXTENDED_DONE__223_156;
EXTENDED_DONE__223_156=BUNSPEC;{
EXTENDED_DONE__223_156=BFALSE;
{
__BIGLOO_CMD_NAME__ENGINE_PARAM_32=CAR( ARGS_222_225 );
__BIGLOO_ARGS__ENGINE_PARAM_242=ARGS_222_225;
{obj_t ARGS_225_98;
{obj_t C_CDR_461_156;
C_CDR_461_156=CDR( ARGS_222_225 );{
ARGS_225_98=C_CDR_461_156;
{_LOOP_224_161:

if( NULLP( ARGS_225_98 ))
if( BBOOL_TO_CBOOL( EXTENDED_DONE__223_156 ))
return BTRUE;else
{obj_t CELL_226_28;
{bool_t OBJ_831_40;
OBJ_831_40=STRINGP( __SRC__ENGINE_PARAM_53 );if( OBJ_831_40)
{obj_t AUX_870_70;
AUX_870_70=SUFFIX___UNIX_FILE_231( __SRC__ENGINE_PARAM_53 );CELL_226_28=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( AUX_870_70, __AUTO_MODE__ENGINE_PARAM_50 );}else
CELL_226_28=BFALSE;}if( BBOOL_TO_CBOOL( CELL_226_28 ))
{obj_t STRING_CAST_493_224;
STRING_CAST_493_224=CNST_TABLE_REF( 0 );{obj_t VA_ARG_494_64;
VA_ARG_494_64=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_495_121;
{obj_t C_CDR_265_30;
C_CDR_265_30=CDR( CELL_226_28 );VA_ARG_495_121=MAKE_PAIR( C_CDR_265_30, VA_ARG_494_64 );}{obj_t AUX_871_103;
AUX_871_103=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRING_CAST_493_224, VA_ARG_495_121 );{
ARGS_225_98=AUX_871_103;
goto _LOOP_224_161;
}}}}}else
return BTRUE;}else
if( PAIRP( ARGS_225_98 ))
{obj_t PR_227_175;
PR_227_175=CAR( ARGS_225_98 );{obj_t STRING_CAST_496_43;
STRING_CAST_496_43=CNST_TABLE_REF( 1 );if( bigloo_strcmp( PR_227_175, STRING_CAST_496_43 ))
FAILURE( CNST_TABLE_REF( 2 ), CNST_TABLE_REF( 3 ), PR_227_175 );else
{bool_t __ortest_1009_833_137;
{obj_t AUX_872_181;
{obj_t STRING_CAST_499_84;
STRING_CAST_499_84=CNST_TABLE_REF( 4 );AUX_872_181=CBOOL_TO_BBOOL( bigloo_strcmp( PR_227_175, STRING_CAST_499_84 ) );}__ortest_1009_833_137=BBOOL_TO_CBOOL( AUX_872_181 );}{if( __ortest_1009_833_137)
goto _true_0;else
{obj_t STRING_CAST_500_251;
STRING_CAST_500_251=CNST_TABLE_REF( 5 );if( bigloo_strcmp( PR_227_175, STRING_CAST_500_251 ))
goto _true_0;else
goto _false_1;}_true_0:
return HELP_INIT_PARSE_ARGS_140();_false_1:
{obj_t STRING_CAST_501_151;
STRING_CAST_501_151=CNST_TABLE_REF( 6 );if( bigloo_strcmp( PR_227_175, STRING_CAST_501_151 ))
{
SHORT_VERSION_WRITE_VERSION_139();
return bigloo_exit( BINT( 0 ) );
}else
{obj_t STRING_CAST_502_225;
STRING_CAST_502_225=CNST_TABLE_REF( 7 );if( bigloo_strcmp( PR_227_175, STRING_CAST_502_225 ))
return QUERY_INIT_PARSE_ARGS_140();else
{obj_t STRING_CAST_503_207;
STRING_CAST_503_207=CNST_TABLE_REF( 8 );if( bigloo_strcmp( PR_227_175, STRING_CAST_503_207 ))
{obj_t C_CDR_273_136;
C_CDR_273_136=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_273_136;
goto _LOOP_224_161;
}}else
{obj_t STRING_CAST_504_21;
STRING_CAST_504_21=CNST_TABLE_REF( 9 );if( bigloo_strcmp( PR_227_175, STRING_CAST_504_21 ))
{obj_t OBJ_274_75;
OBJ_274_75=CDR( ARGS_225_98 );if( NULLP( OBJ_274_75 ))
FAILURE( CNST_TABLE_REF( 10 ), CNST_TABLE_REF( 11 ), ARGS_225_98 );else
{obj_t PORT_229_33;
{obj_t STRING_276_212;
STRING_276_212=CAR( OBJ_274_75 );PORT_229_33=open_input_string( STRING_276_212 );}{obj_t EXP_231_64;
{
EXP_231_64=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_229_33, BEOA );
{_LAAP_230_199:

if( EOF_OBJECTP( EXP_231_64 ))
{obj_t PAIR_281_160;
PAIR_281_160=CDR( ARGS_225_98 );{obj_t C_CDR_282_213;
C_CDR_282_213=CDR( PAIR_281_160 );{
ARGS_225_98=C_CDR_282_213;
goto _LOOP_224_161;
}}}else
{
EVAL___EVAL_224( EXP_231_64 );
{obj_t AUX_873_12;
AUX_873_12=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_229_33, BEOA );{
EXP_231_64=AUX_873_12;
goto _LAAP_230_199;
}}
}}
}}}}else
{obj_t STRING_CAST_507_112;
STRING_CAST_507_112=CNST_TABLE_REF( 12 );if( bigloo_strcmp( PR_227_175, STRING_CAST_507_112 ))
{obj_t OBJ_283_125;
OBJ_283_125=CDR( ARGS_225_98 );if( NULLP( OBJ_283_125 ))
FAILURE( CNST_TABLE_REF( 13 ), CNST_TABLE_REF( 14 ), ARGS_225_98 );else
{
{obj_t OBJ2_287_101;
OBJ2_287_101=__LOAD_PATH____EVAL_245;{obj_t OBJ1_286_30;
OBJ1_286_30=CAR( OBJ_283_125 );__LOAD_PATH____EVAL_245=MAKE_PAIR( OBJ1_286_30, OBJ2_287_101 );}}
{obj_t PAIR_289_96;
PAIR_289_96=CDR( ARGS_225_98 );{obj_t C_CDR_290_171;
C_CDR_290_171=CDR( PAIR_289_96 );{
ARGS_225_98=C_CDR_290_171;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_510_214;
STRING_CAST_510_214=CNST_TABLE_REF( 15 );if( bigloo_strcmp( PR_227_175, STRING_CAST_510_214 ))
{
__SILENT__ENGINE_PARAM_5=BTRUE;
__VERBOSE__ENGINE_PARAM_98=BFALSE;
{obj_t C_CDR_291_5;
C_CDR_291_5=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_291_5;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_511_18;
STRING_CAST_511_18=CNST_TABLE_REF( 16 );if( bigloo_strcmp( PR_227_175, STRING_CAST_511_18 ))
{
__VERBOSE__ENGINE_PARAM_98=BTRUE;
{obj_t C_CDR_292_11;
C_CDR_292_11=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_292_11;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_512_226;
STRING_CAST_512_226=CNST_TABLE_REF( 17 );if( bigloo_strcmp( PR_227_175, STRING_CAST_512_226 ))
{
__WARNING____ERROR_215=BFALSE;
{obj_t C_CDR_293_126;
C_CDR_293_126=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_293_126;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_513_84;
STRING_CAST_513_84=CNST_TABLE_REF( 18 );if( bigloo_strcmp( PR_227_175, STRING_CAST_513_84 ))
{obj_t OBJ_294_52;
OBJ_294_52=CDR( ARGS_225_98 );if( NULLP( OBJ_294_52 ))
FAILURE( CNST_TABLE_REF( 19 ), CNST_TABLE_REF( 20 ), ARGS_225_98 );else
{
__CC__ENGINE_PARAM_217=CAR( OBJ_294_52 );
{obj_t PAIR_296_63;
PAIR_296_63=CDR( ARGS_225_98 );{obj_t C_CDR_297_101;
C_CDR_297_101=CDR( PAIR_296_63 );{
ARGS_225_98=C_CDR_297_101;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_516_187;
STRING_CAST_516_187=CNST_TABLE_REF( 21 );if( bigloo_strcmp( PR_227_175, STRING_CAST_516_187 ))
{
__ANSI_CC__ENGINE_PARAM_147=BFALSE;
{obj_t C_CDR_298_191;
C_CDR_298_191=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_298_191;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_517_199;
STRING_CAST_517_199=CNST_TABLE_REF( 22 );if( bigloo_strcmp( PR_227_175, STRING_CAST_517_199 ))
{bool_t OBJ_837_73;
OBJ_837_73=NULLP( CDR( ARGS_225_98 ) );if( OBJ_837_73)
FAILURE( CNST_TABLE_REF( 23 ), CNST_TABLE_REF( 24 ), ARGS_225_98 );else
{
{obj_t VA_ARG_520_222;
VA_ARG_520_222=MAKE_PAIR( __CC_OPTIONS__ENGINE_PARAM_175, BNIL );{obj_t VA_ARG_521_235;
{obj_t STRING_CAST_523_156;
STRING_CAST_523_156=CNST_TABLE_REF( 25 );VA_ARG_521_235=MAKE_PAIR( STRING_CAST_523_156, VA_ARG_520_222 );}{obj_t VA_ARG_522_163;
{obj_t PAIR_300_22;
PAIR_300_22=CDR( ARGS_225_98 );{obj_t C_CAR_301_38;
C_CAR_301_38=CAR( PAIR_300_22 );VA_ARG_522_163=MAKE_PAIR( C_CAR_301_38, VA_ARG_521_235 );}}__CC_OPTIONS__ENGINE_PARAM_175=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_522_163 );}}}
{obj_t PAIR_302_75;
PAIR_302_75=CDR( ARGS_225_98 );{obj_t C_CDR_303_73;
C_CDR_303_73=CDR( PAIR_302_75 );{
ARGS_225_98=C_CDR_303_73;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_524_254;
STRING_CAST_524_254=CNST_TABLE_REF( 26 );if( bigloo_strcmp( PR_227_175, STRING_CAST_524_254 ))
{bool_t OBJ_838_234;
OBJ_838_234=NULLP( CDR( ARGS_225_98 ) );if( OBJ_838_234)
FAILURE( CNST_TABLE_REF( 27 ), CNST_TABLE_REF( 28 ), ARGS_225_98 );else
{
{obj_t VA_ARG_527_243;
VA_ARG_527_243=MAKE_PAIR( __LD_OPTIONS__ENGINE_PARAM_252, BNIL );{obj_t VA_ARG_528_123;
{obj_t STRING_CAST_530_179;
STRING_CAST_530_179=CNST_TABLE_REF( 29 );VA_ARG_528_123=MAKE_PAIR( STRING_CAST_530_179, VA_ARG_527_243 );}{obj_t VA_ARG_529_229;
{obj_t PAIR_305_181;
PAIR_305_181=CDR( ARGS_225_98 );{obj_t C_CAR_306_216;
C_CAR_306_216=CAR( PAIR_305_181 );VA_ARG_529_229=MAKE_PAIR( C_CAR_306_216, VA_ARG_528_123 );}}__LD_OPTIONS__ENGINE_PARAM_252=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_529_229 );}}}
{obj_t PAIR_307_70;
PAIR_307_70=CDR( ARGS_225_98 );{obj_t C_CDR_308_87;
C_CDR_308_87=CDR( PAIR_307_70 );{
ARGS_225_98=C_CDR_308_87;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_531_62;
STRING_CAST_531_62=CNST_TABLE_REF( 30 );if( bigloo_strcmp( PR_227_175, STRING_CAST_531_62 ))
{
__GCC__ENGINE_PARAM_152=BTRUE;
{obj_t STRING_CAST_532_114;
STRING_CAST_532_114=CNST_TABLE_REF( 31 );__CC__ENGINE_PARAM_217=STRING_CAST_532_114;}
{obj_t C_CDR_309_197;
C_CDR_309_197=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_309_197;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_533_246;
STRING_CAST_533_246=CNST_TABLE_REF( 32 );if( bigloo_strcmp( PR_227_175, STRING_CAST_533_246 ))
{
__INLINING___ENGINE_PARAM_72=BFALSE;
{obj_t C_CDR_310_29;
C_CDR_310_29=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_310_29;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_534_142;
STRING_CAST_534_142=CNST_TABLE_REF( 33 );if( bigloo_strcmp( PR_227_175, STRING_CAST_534_142 ))
{
__GENERICITY__ENGINE_PARAM_247=BFALSE;
{obj_t C_CDR_311_164;
C_CDR_311_164=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_311_164;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_535_230;
STRING_CAST_535_230=CNST_TABLE_REF( 34 );if( bigloo_strcmp( PR_227_175, STRING_CAST_535_230 ))
{
__SHARED_DATA__ENGINE_PARAM_73=BTRUE;
{obj_t C_CDR_312_185;
C_CDR_312_185=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_312_185;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_536_227;
STRING_CAST_536_227=CNST_TABLE_REF( 35 );if( bigloo_strcmp( PR_227_175, STRING_CAST_536_227 ))
{
__SUPERLIFT___ENGINE_PARAM_176=BTRUE;
{obj_t C_CDR_313_194;
C_CDR_313_194=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_313_194;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_537_96;
STRING_CAST_537_96=CNST_TABLE_REF( 36 );if( bigloo_strcmp( PR_227_175, STRING_CAST_537_96 ))
{
__HEAP__STACK___ENGINE_PARAM_121=BTRUE;
{obj_t C_CDR_314_143;
C_CDR_314_143=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_314_143;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_538_180;
STRING_CAST_538_180=CNST_TABLE_REF( 37 );if( bigloo_strcmp( PR_227_175, STRING_CAST_538_180 ))
{
__OPTIM_CONS__ENGINE_PARAM_11=BTRUE;
{obj_t C_CDR_315_55;
C_CDR_315_55=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_315_55;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_539_205;
STRING_CAST_539_205=CNST_TABLE_REF( 38 );if( bigloo_strcmp( PR_227_175, STRING_CAST_539_205 ))
{
__RM_C_FILES__ENGINE_PARAM_78=BFALSE;
{obj_t C_CDR_316_105;
C_CDR_316_105=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_316_105;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_540_229;
STRING_CAST_540_229=CNST_TABLE_REF( 39 );if( bigloo_strcmp( PR_227_175, STRING_CAST_540_229 ))
{
__RM_C_FILES__ENGINE_PARAM_78=BTRUE;
{obj_t C_CDR_317_134;
C_CDR_317_134=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_317_134;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_541_123;
STRING_CAST_541_123=CNST_TABLE_REF( 40 );if( bigloo_strcmp( PR_227_175, STRING_CAST_541_123 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 41 );
{obj_t C_CDR_318_208;
C_CDR_318_208=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_318_208;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_542_131;
STRING_CAST_542_131=CNST_TABLE_REF( 42 );if( bigloo_strcmp( PR_227_175, STRING_CAST_542_131 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 41 );
__HEAP_APPEND___ENGINE_PARAM_226=BTRUE;
{obj_t C_CDR_319_245;
C_CDR_319_245=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_319_245;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_543_152;
STRING_CAST_543_152=CNST_TABLE_REF( 43 );if( bigloo_strcmp( PR_227_175, STRING_CAST_543_152 ))
{
__CALL_CC___ENGINE_PARAM_225=BTRUE;
{obj_t C_CDR_320_80;
C_CDR_320_80=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_320_80;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_544_209;
STRING_CAST_544_209=CNST_TABLE_REF( 44 );if( bigloo_strcmp( PR_227_175, STRING_CAST_544_209 ))
{obj_t OBJ_321_40;
OBJ_321_40=CDR( ARGS_225_98 );if( NULLP( OBJ_321_40 ))
FAILURE( CNST_TABLE_REF( 45 ), CNST_TABLE_REF( 46 ), ARGS_225_98 );else
{obj_t STRING1_322_224;
STRING1_322_224=CAR( OBJ_321_40 );{obj_t STRING_CAST_547_203;
STRING_CAST_547_203=CNST_TABLE_REF( 47 );if( bigloo_strcmp( STRING1_322_224, STRING_CAST_547_203 ))
{
__RGC_LAST_CHAR____RGC_PARAM_157=BINT( 255 );
{obj_t PAIR_324_124;
PAIR_324_124=CDR( ARGS_225_98 );{obj_t C_CDR_325_175;
C_CDR_325_175=CDR( PAIR_324_124 );{
ARGS_225_98=C_CDR_325_175;
goto _LOOP_224_161;
}}}
}else
{obj_t STRING_CAST_548_235;
STRING_CAST_548_235=CNST_TABLE_REF( 48 );if( bigloo_strcmp( STRING1_322_224, STRING_CAST_548_235 ))
{
__RGC_LAST_CHAR____RGC_PARAM_157=BINT( 127 );
{obj_t PAIR_328_12;
PAIR_328_12=CDR( ARGS_225_98 );{obj_t C_CDR_329_26;
C_CDR_329_26=CDR( PAIR_328_12 );{
ARGS_225_98=C_CDR_329_26;
goto _LOOP_224_161;
}}}
}else
FAILURE( CNST_TABLE_REF( 49 ), CNST_TABLE_REF( 50 ), ARGS_225_98 );}}}}else
{obj_t STRING_CAST_551_33;
STRING_CAST_551_33=CNST_TABLE_REF( 51 );if( bigloo_strcmp( PR_227_175, STRING_CAST_551_33 ))
{
__NIL____EVAL_120=BFALSE;
{obj_t C_CDR_330_234;
C_CDR_330_234=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_330_234;
goto _LOOP_224_161;
}}
}else
{bool_t __andtest_1008_840_111;
{obj_t AUX_874_78;
{obj_t N1_333_29;
N1_333_29=STRING_LENGTH( PR_227_175 );AUX_874_78=CBOOL_TO_BBOOL( GT_I( N1_333_29, BINT( 2 ) ) );}__andtest_1008_840_111=BBOOL_TO_CBOOL( AUX_874_78 );}{if( __andtest_1008_840_111)
{obj_t STRING_CAST_552_8;
STRING_CAST_552_8=CNST_TABLE_REF( 52 );if( bigloo_strcmp( c_substring( PR_227_175, BINT( 0 ), BINT( 2 ) ), STRING_CAST_552_8 ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{
{obj_t OBJ2_339_21;
OBJ2_339_21=__BIGLOO_USER_LIB__ENGINE_PARAM_144;__BIGLOO_USER_LIB__ENGINE_PARAM_144=MAKE_PAIR( PR_227_175, OBJ2_339_21 );}
{obj_t C_CDR_340_78;
C_CDR_340_78=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_340_78;
goto _LOOP_224_161;
}}
}_false_4:
{obj_t STRING_CAST_553_189;
STRING_CAST_553_189=CNST_TABLE_REF( 53 );if( bigloo_strcmp( PR_227_175, STRING_CAST_553_189 ))
{
__LIB_MODE__ENGINE_PARAM_204=BTRUE;
{obj_t C_CDR_341_75;
C_CDR_341_75=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_341_75;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_554_26;
STRING_CAST_554_26=CNST_TABLE_REF( 54 );if( bigloo_strcmp( PR_227_175, STRING_CAST_554_26 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 55 );
{obj_t C_CDR_342_58;
C_CDR_342_58=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_342_58;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_555_150;
STRING_CAST_555_150=CNST_TABLE_REF( 56 );if( bigloo_strcmp( PR_227_175, STRING_CAST_555_150 ))
{obj_t OBJ_343_69;
OBJ_343_69=CDR( ARGS_225_98 );if( NULLP( OBJ_343_69 ))
FAILURE( CNST_TABLE_REF( 57 ), CNST_TABLE_REF( 58 ), ARGS_225_98 );else
{
{obj_t L_345_115;
{obj_t C_CAR_347_41;
C_CAR_347_41=CAR( OBJ_343_69 );L_345_115=MAKE_PAIR( C_CAR_347_41, BNIL );}__HEAP_NAMES__ENGINE_PARAM_198=L_345_115;}
{obj_t PAIR_348_104;
PAIR_348_104=CDR( ARGS_225_98 );{obj_t C_CDR_349_172;
C_CDR_349_172=CDR( PAIR_348_104 );{
ARGS_225_98=C_CDR_349_172;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_558_175;
STRING_CAST_558_175=CNST_TABLE_REF( 59 );if( bigloo_strcmp( PR_227_175, STRING_CAST_558_175 ))
{obj_t OBJ_350_97;
OBJ_350_97=CDR( ARGS_225_98 );if( NULLP( OBJ_350_97 ))
FAILURE( CNST_TABLE_REF( 60 ), CNST_TABLE_REF( 61 ), ARGS_225_98 );else
{
{obj_t OBJ2_352_103;
OBJ2_352_103=__HEAP_NAMES__ENGINE_PARAM_198;{obj_t OBJ1_351_139;
OBJ1_351_139=CAR( OBJ_350_97 );__HEAP_NAMES__ENGINE_PARAM_198=MAKE_PAIR( OBJ1_351_139, OBJ2_352_103 );}}
{obj_t PAIR_354_81;
PAIR_354_81=CDR( ARGS_225_98 );{obj_t C_CDR_355_2;
C_CDR_355_2=CDR( PAIR_354_81 );{
ARGS_225_98=C_CDR_355_2;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_561_241;
STRING_CAST_561_241=CNST_TABLE_REF( 62 );if( bigloo_strcmp( PR_227_175, STRING_CAST_561_241 ))
{
__DEBUG__ENGINE_PARAM_124=BTRUE;
{obj_t C_CDR_356_48;
C_CDR_356_48=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_356_48;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_562_79;
STRING_CAST_562_79=CNST_TABLE_REF( 63 );if( bigloo_strcmp( PR_227_175, STRING_CAST_562_79 ))
{
__DEBUG__ENGINE_PARAM_124=BTRUE;
__EXTRA_DEBUG__ENGINE_PARAM_233=BTRUE;
__INLINING___ENGINE_PARAM_72=BFALSE;
{obj_t C_CDR_357_115;
C_CDR_357_115=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_357_115;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_563_46;
STRING_CAST_563_46=CNST_TABLE_REF( 64 );if( bigloo_strcmp( PR_227_175, STRING_CAST_563_46 ))
{
__DEBUG__ENGINE_PARAM_124=BTRUE;
__EXTRA_DEBUG__ENGINE_PARAM_233=BTRUE;
__ASSERT__ENGINE_PARAM_193=BTRUE;
__INLINING___ENGINE_PARAM_72=BFALSE;
{obj_t C_CDR_358_148;
C_CDR_358_148=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_358_148;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_564_168;
STRING_CAST_564_168=CNST_TABLE_REF( 65 );if( bigloo_strcmp( PR_227_175, STRING_CAST_564_168 ))
{
__RM_C_FILES__ENGINE_PARAM_78=BFALSE;
__C_DEBUG__ENGINE_PARAM_235=BTRUE;
{obj_t C_CDR_359_223;
C_CDR_359_223=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_359_223;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_565_198;
STRING_CAST_565_198=CNST_TABLE_REF( 66 );if( bigloo_strcmp( PR_227_175, STRING_CAST_565_198 ))
{
__STRIP__ENGINE_PARAM_176=BFALSE;
{obj_t STRING_CAST_566_41;
STRING_CAST_566_41=CNST_TABLE_REF( 67 );CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48( STRING_CAST_566_41 );}
{obj_t STRING_CAST_567_254;
STRING_CAST_567_254=CNST_TABLE_REF( 68 );__CC_OPTIONS__ENGINE_PARAM_175=string_append( STRING_CAST_567_254, __CC_OPTIONS__ENGINE_PARAM_175 );}
{obj_t C_CDR_360_150;
C_CDR_360_150=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_360_150;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_568_176;
STRING_CAST_568_176=CNST_TABLE_REF( 69 );if( bigloo_strcmp( PR_227_175, STRING_CAST_568_176 ))
{
__ALPHA__ENGINE_PARAM_16=BFALSE;
{obj_t C_CDR_361_26;
C_CDR_361_26=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_361_26;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_569_161;
STRING_CAST_569_161=CNST_TABLE_REF( 70 );if( bigloo_strcmp( PR_227_175, STRING_CAST_569_161 ))
{
__ALPHA__ENGINE_PARAM_16=BTRUE;
{obj_t C_CDR_362_145;
C_CDR_362_145=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_362_145;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_570_38;
STRING_CAST_570_38=CNST_TABLE_REF( 71 );if( bigloo_strcmp( PR_227_175, STRING_CAST_570_38 ))
{
__IMMEDIAT_ERROR__ENGINE_PARAM_186=BTRUE;
__ERROR_SHAPE__ENGINE_PARAM_65=BTRUE;
{obj_t C_CDR_363_16;
C_CDR_363_16=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_363_16;
goto _LOOP_224_161;
}}
}else
{bool_t __andtest_1007_843_220;
{obj_t AUX_875_75;
{obj_t N1_364_8;
N1_364_8=STRING_LENGTH( PR_227_175 );AUX_875_75=CBOOL_TO_BBOOL( GT_I( N1_364_8, BINT( 6 ) ) );}__andtest_1007_843_220=BBOOL_TO_CBOOL( AUX_875_75 );}{if( __andtest_1007_843_220)
{obj_t STRING_CAST_571_44;
STRING_CAST_571_44=CNST_TABLE_REF( 72 );if( bigloo_strcmp( c_substring( PR_227_175, BINT( 0 ), BINT( 7 ) ), STRING_CAST_571_44 ))
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
{
PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146( PR_227_175 );
{obj_t C_CDR_366_189;
C_CDR_366_189=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_366_189;
goto _LOOP_224_161;
}}
}_false_7:
{bool_t __andtest_1006_844_24;
{obj_t AUX_876_58;
{obj_t N1_367_33;
N1_367_33=STRING_LENGTH( PR_227_175 );AUX_876_58=CBOOL_TO_BBOOL( GT_I( N1_367_33, BINT( 1 ) ) );}__andtest_1006_844_24=BBOOL_TO_CBOOL( AUX_876_58 );}{if( __andtest_1006_844_24)
{obj_t STRING_CAST_572_149;
STRING_CAST_572_149=CNST_TABLE_REF( 73 );if( bigloo_strcmp( c_substring( PR_227_175, BINT( 0 ), BINT( 2 ) ), STRING_CAST_572_149 ))
goto _true_9;else
goto _false_10;}else
goto _false_10;_true_9:
{
PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81( PR_227_175 );
{obj_t C_CDR_369_166;
C_CDR_369_166=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_369_166;
goto _LOOP_224_161;
}}
}_false_10:
{bool_t __andtest_1005_845_219;
{obj_t AUX_877_22;
{obj_t N1_370_118;
N1_370_118=STRING_LENGTH( PR_227_175 );AUX_877_22=CBOOL_TO_BBOOL( GT_I( N1_370_118, BINT( 1 ) ) );}__andtest_1005_845_219=BBOOL_TO_CBOOL( AUX_877_22 );}{if( __andtest_1005_845_219)
{obj_t STRING_CAST_573_31;
STRING_CAST_573_31=CNST_TABLE_REF( 74 );if( bigloo_strcmp( c_substring( PR_227_175, BINT( 0 ), BINT( 2 ) ), STRING_CAST_573_31 ))
goto _true_12;else
goto _false_13;}else
goto _false_13;_true_12:
{obj_t LEN_236_62;
LEN_236_62=STRING_LENGTH( PR_227_175 );{
if( EQ_I( LEN_236_62, BINT( 2 ) ))
START_TRACE_TOOLS_TRACE_128( CNST_TABLE_REF( 75 ), CNST_TABLE_REF( 76 ) );else
PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169( CNST_TABLE_REF( 76 ), PR_227_175, LEN_236_62 );
{obj_t C_CDR_374_59;
C_CDR_374_59=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_374_59;
goto _LOOP_224_161;
}}
}}_false_13:
{bool_t __andtest_1004_846_189;
{obj_t AUX_878_157;
{obj_t N1_375_140;
N1_375_140=STRING_LENGTH( PR_227_175 );AUX_878_157=CBOOL_TO_BBOOL( GT_I( N1_375_140, BINT( 1 ) ) );}__andtest_1004_846_189=BBOOL_TO_CBOOL( AUX_878_157 );}{if( __andtest_1004_846_189)
{obj_t STRING_CAST_574_0;
STRING_CAST_574_0=CNST_TABLE_REF( 77 );if( bigloo_strcmp( c_substring( PR_227_175, BINT( 0 ), BINT( 2 ) ), STRING_CAST_574_0 ))
goto _true_15;else
goto _false_16;}else
goto _false_16;_true_15:
{obj_t LEN_238_160;
LEN_238_160=STRING_LENGTH( PR_227_175 );{
if( EQ_I( LEN_238_160, BINT( 2 ) ))
START_TRACE_TOOLS_TRACE_128( CNST_TABLE_REF( 75 ), CNST_TABLE_REF( 78 ) );else
PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169( CNST_TABLE_REF( 78 ), PR_227_175, LEN_238_160 );
{obj_t C_CDR_377_137;
C_CDR_377_137=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_377_137;
goto _LOOP_224_161;
}}
}}_false_16:
{obj_t STRING_CAST_575_135;
STRING_CAST_575_135=CNST_TABLE_REF( 79 );if( bigloo_strcmp( PR_227_175, STRING_CAST_575_135 ))
{
__ALPHA__ENGINE_PARAM_16=BFALSE;
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 80 );
{obj_t C_CDR_378_171;
C_CDR_378_171=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_378_171;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_576_52;
STRING_CAST_576_52=CNST_TABLE_REF( 81 );if( bigloo_strcmp( PR_227_175, STRING_CAST_576_52 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 82 );
{obj_t C_CDR_379_5;
C_CDR_379_5=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_379_5;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_577_216;
STRING_CAST_577_216=CNST_TABLE_REF( 83 );if( bigloo_strcmp( PR_227_175, STRING_CAST_577_216 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 84 );
{obj_t C_CDR_380_59;
C_CDR_380_59=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_380_59;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_578_23;
STRING_CAST_578_23=CNST_TABLE_REF( 85 );if( bigloo_strcmp( PR_227_175, STRING_CAST_578_23 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 86 );
{obj_t C_CDR_381_74;
C_CDR_381_74=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_381_74;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_579_63;
STRING_CAST_579_63=CNST_TABLE_REF( 87 );if( bigloo_strcmp( PR_227_175, STRING_CAST_579_63 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 88 );
{obj_t C_CDR_382_228;
C_CDR_382_228=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_382_228;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_580_242;
STRING_CAST_580_242=CNST_TABLE_REF( 89 );if( bigloo_strcmp( PR_227_175, STRING_CAST_580_242 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 90 );
{obj_t C_CDR_383_137;
C_CDR_383_137=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_383_137;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_581_101;
STRING_CAST_581_101=CNST_TABLE_REF( 91 );if( bigloo_strcmp( PR_227_175, STRING_CAST_581_101 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 92 );
{obj_t C_CDR_384_191;
C_CDR_384_191=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_384_191;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_582_239;
STRING_CAST_582_239=CNST_TABLE_REF( 93 );if( bigloo_strcmp( PR_227_175, STRING_CAST_582_239 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 94 );
{obj_t C_CDR_385_108;
C_CDR_385_108=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_385_108;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_583_193;
STRING_CAST_583_193=CNST_TABLE_REF( 95 );if( bigloo_strcmp( PR_227_175, STRING_CAST_583_193 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 96 );
{obj_t C_CDR_386_139;
C_CDR_386_139=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_386_139;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_584_11;
STRING_CAST_584_11=CNST_TABLE_REF( 97 );if( bigloo_strcmp( PR_227_175, STRING_CAST_584_11 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 98 );
{obj_t C_CDR_387_232;
C_CDR_387_232=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_387_232;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_585_126;
STRING_CAST_585_126=CNST_TABLE_REF( 99 );if( bigloo_strcmp( PR_227_175, STRING_CAST_585_126 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 100 );
{obj_t C_CDR_388_239;
C_CDR_388_239=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_388_239;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_586_171;
STRING_CAST_586_171=CNST_TABLE_REF( 101 );if( bigloo_strcmp( PR_227_175, STRING_CAST_586_171 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 102 );
{obj_t C_CDR_389_193;
C_CDR_389_193=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_389_193;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_587_5;
STRING_CAST_587_5=CNST_TABLE_REF( 103 );if( bigloo_strcmp( PR_227_175, STRING_CAST_587_5 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 104 );
{obj_t C_CDR_390_160;
C_CDR_390_160=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_390_160;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_588_228;
STRING_CAST_588_228=CNST_TABLE_REF( 105 );if( bigloo_strcmp( PR_227_175, STRING_CAST_588_228 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 106 );
{obj_t C_CDR_391_215;
C_CDR_391_215=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_391_215;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_589_137;
STRING_CAST_589_137=CNST_TABLE_REF( 107 );if( bigloo_strcmp( PR_227_175, STRING_CAST_589_137 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 108 );
{obj_t C_CDR_392_162;
C_CDR_392_162=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_392_162;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_590_152;
STRING_CAST_590_152=CNST_TABLE_REF( 109 );if( bigloo_strcmp( PR_227_175, STRING_CAST_590_152 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 110 );
{obj_t C_CDR_393_53;
C_CDR_393_53=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_393_53;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_591_131;
STRING_CAST_591_131=CNST_TABLE_REF( 111 );if( bigloo_strcmp( PR_227_175, STRING_CAST_591_131 ))
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 112 );
{obj_t C_CDR_394_47;
C_CDR_394_47=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_394_47;
goto _LOOP_224_161;
}}
}else
{bool_t __ortest_1003_847_222;
{obj_t AUX_879_238;
{obj_t STRING_CAST_592_123;
STRING_CAST_592_123=CNST_TABLE_REF( 113 );AUX_879_238=CBOOL_TO_BBOOL( bigloo_strcmp( PR_227_175, STRING_CAST_592_123 ) );}__ortest_1003_847_222=BBOOL_TO_CBOOL( AUX_879_238 );}{if( __ortest_1003_847_222)
goto _true_18;else
{obj_t STRING_CAST_593_229;
STRING_CAST_593_229=CNST_TABLE_REF( 114 );if( bigloo_strcmp( PR_227_175, STRING_CAST_593_229 ))
goto _true_18;else
goto _false_19;}_true_18:
{
__PASS__ENGINE_PARAM_158=CNST_TABLE_REF( 115 );
{obj_t C_CDR_395_109;
C_CDR_395_109=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_395_109;
goto _LOOP_224_161;
}}
}_false_19:
{obj_t STRING_CAST_594_203;
STRING_CAST_594_203=CNST_TABLE_REF( 116 );if( bigloo_strcmp( PR_227_175, STRING_CAST_594_203 ))
{
__INTERPRETER__ENGINE_PARAM_56=BTRUE;
{obj_t C_CDR_396_205;
C_CDR_396_205=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_396_205;
goto _LOOP_224_161;
}}
}else
{obj_t STRING_CAST_595_76;
STRING_CAST_595_76=CNST_TABLE_REF( 117 );if( bigloo_strcmp( PR_227_175, STRING_CAST_595_76 ))
{obj_t OBJ_397_50;
OBJ_397_50=CDR( ARGS_225_98 );if( PAIRP( OBJ_397_50 ))
{
__ACCESS_FILE__ENGINE_PARAM_128=CAR( OBJ_397_50 );
{obj_t PAIR_399_123;
PAIR_399_123=CDR( ARGS_225_98 );{obj_t C_CDR_400_18;
C_CDR_400_18=CDR( PAIR_399_123 );{
ARGS_225_98=C_CDR_400_18;
goto _LOOP_224_161;
}}}
}else
FAILURE( CNST_TABLE_REF( 118 ), CNST_TABLE_REF( 119 ), ARGS_225_98 );}else
{obj_t STRING_CAST_598_163;
STRING_CAST_598_163=CNST_TABLE_REF( 120 );if( bigloo_strcmp( PR_227_175, STRING_CAST_598_163 ))
{bool_t __andtest_1002_850_31;
{obj_t AUX_880_113;
{bool_t OBJ_849_233;
OBJ_849_233=PAIRP( CDR( ARGS_225_98 ) );AUX_880_113=CBOOL_TO_BBOOL( OBJ_849_233 );}__andtest_1002_850_31=BBOOL_TO_CBOOL( AUX_880_113 );}{if( __andtest_1002_850_31)
{bool_t OBJ_851_23;
{obj_t AUX_881_112;
{obj_t PAIR_403_40;
PAIR_403_40=CDR( ARGS_225_98 );AUX_881_112=CDR( PAIR_403_40 );}OBJ_851_23=PAIRP( AUX_881_112 );}if( OBJ_851_23)
goto _true_21;else
goto _false_22;}else
goto _false_22;_true_21:
{
{obj_t S_405_185;
{obj_t PAIR_408_56;
PAIR_408_56=CDR( ARGS_225_98 );S_405_185=CAR( PAIR_408_56 );}{obj_t STRING_407_248;
STRING_407_248=STRING_UPCASE___R4_STRINGS_6_7_251( S_405_185 );{obj_t PAIR_410_189;
{obj_t PAIR_412_33;
PAIR_412_33=CDR( ARGS_225_98 );PAIR_410_189=CDR( PAIR_412_33 );}{obj_t C_CAR_411_47;
C_CAR_411_47=CAR( PAIR_410_189 );ADD_ACCESS__READ_ACCESS_91( c_string_to_symbol( BSTRING_TO_CSTRING( STRING_407_248 ) ), C_CAR_411_47 );}}}}
{obj_t PAIR_414_145;
{obj_t PAIR_416_150;
PAIR_416_150=CDR( ARGS_225_98 );PAIR_414_145=CDR( PAIR_416_150 );}{obj_t C_CDR_415_254;
C_CDR_415_254=CDR( PAIR_414_145 );{
ARGS_225_98=C_CDR_415_254;
goto _LOOP_224_161;
}}}
}_false_22:
FAILURE( CNST_TABLE_REF( 121 ), CNST_TABLE_REF( 122 ), ARGS_225_98 );;
}}else
{obj_t STRING_CAST_601_20;
STRING_CAST_601_20=CNST_TABLE_REF( 123 );if( bigloo_strcmp( PR_227_175, STRING_CAST_601_20 ))
{obj_t OBJ_417_224;
OBJ_417_224=CDR( ARGS_225_98 );if( PAIRP( OBJ_417_224 ))
{
{obj_t S_418_209;
S_418_209=CAR( OBJ_417_224 );{obj_t STRING_419_126;
STRING_419_126=STRING_UPCASE___R4_STRINGS_6_7_251( S_418_209 );__MODULE_NAME__ENGINE_PARAM_191=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_419_126 ) );}}
{obj_t PAIR_421_249;
PAIR_421_249=CDR( ARGS_225_98 );{obj_t C_CDR_422_31;
C_CDR_422_31=CDR( PAIR_421_249 );{
ARGS_225_98=C_CDR_422_31;
goto _LOOP_224_161;
}}}
}else
FAILURE( CNST_TABLE_REF( 124 ), CNST_TABLE_REF( 125 ), ARGS_225_98 );}else
{obj_t STRING_CAST_604_91;
STRING_CAST_604_91=CNST_TABLE_REF( 126 );if( bigloo_strcmp( PR_227_175, STRING_CAST_604_91 ))
{obj_t OBJ_423_101;
OBJ_423_101=CDR( ARGS_225_98 );if( PAIRP( OBJ_423_101 ))
{
{obj_t S_424_234;
S_424_234=CAR( OBJ_423_101 );{obj_t STRING_425_133;
STRING_425_133=STRING_UPCASE___R4_STRINGS_6_7_251( S_424_234 );__MAIN__ENGINE_PARAM_206=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_425_133 ) );}}
{obj_t PAIR_427_153;
PAIR_427_153=CDR( ARGS_225_98 );{obj_t C_CDR_428_63;
C_CDR_428_63=CDR( PAIR_427_153 );{
ARGS_225_98=C_CDR_428_63;
goto _LOOP_224_161;
}}}
}else
FAILURE( CNST_TABLE_REF( 127 ), CNST_TABLE_REF( 128 ), ARGS_225_98 );}else
{obj_t STRING_CAST_607_17;
STRING_CAST_607_17=CNST_TABLE_REF( 129 );if( bigloo_strcmp( PR_227_175, STRING_CAST_607_17 ))
{obj_t OBJ_429_74;
OBJ_429_74=CDR( ARGS_225_98 );if( NULLP( OBJ_429_74 ))
FAILURE( CNST_TABLE_REF( 130 ), CNST_TABLE_REF( 131 ), CNST_TABLE_REF( 132 ) );else
{
__DEST__ENGINE_PARAM_232=CAR( OBJ_429_74 );
{obj_t PAIR_431_98;
PAIR_431_98=CDR( ARGS_225_98 );{obj_t C_CDR_432_136;
C_CDR_432_136=CDR( PAIR_431_98 );{
ARGS_225_98=C_CDR_432_136;
goto _LOOP_224_161;
}}}
}}else
{obj_t STRING_CAST_611_55;
STRING_CAST_611_55=CNST_TABLE_REF( 133 );if( bigloo_strcmp( PR_227_175, STRING_CAST_611_55 ))
{
EXTENDED_DONE__223_156=BTRUE;
{obj_t OBJ_433_72;
OBJ_433_72=CDR( ARGS_225_98 );if( NULLP( OBJ_433_72 ))
FAILURE( CNST_TABLE_REF( 134 ), CNST_TABLE_REF( 135 ), CNST_TABLE_REF( 136 ) );else
{
{obj_t C_CAR_435_136;
C_CAR_435_136=CAR( OBJ_433_72 );LOAD_EXTEND_INIT_EXTEND_178( C_CAR_435_136 );}
{obj_t OBJ_437_122;
OBJ_437_122=__EXTEND_ENTRY__ENGINE_PARAM_58;if( PROCEDUREP( OBJ_437_122 ))
{obj_t PAIR_438_127;
PAIR_438_127=CDR( ARGS_225_98 );{obj_t C_CDR_439_19;
C_CDR_439_19=CDR( PAIR_438_127 );{obj_t AUX_882_21;
AUX_882_21=PROCEDURE_ENTRY( __EXTEND_ENTRY__ENGINE_PARAM_58 )( __EXTEND_ENTRY__ENGINE_PARAM_58, C_CDR_439_19, BEOA );{
ARGS_225_98=AUX_882_21;
goto _LOOP_224_161;
}}}}else
{obj_t PAIR_440_231;
PAIR_440_231=CDR( ARGS_225_98 );{obj_t C_CDR_441_4;
C_CDR_441_4=CDR( PAIR_440_231 );{
ARGS_225_98=C_CDR_441_4;
goto _LOOP_224_161;
}}}}
}}
}else
if( EQP( BCHAR( STRING_REF( PR_227_175, 0 ) ), BCHAR( '-' ) ))
FAILURE( CNST_TABLE_REF( 137 ), CNST_TABLE_REF( 138 ), PR_227_175 );else
{obj_t LEN_241_124;
LEN_241_124=STRING_LENGTH( PR_227_175 );{if( GT_I( LEN_241_124, BINT( 2 ) ))
if( EQP( BCHAR( STRING_REF( PR_227_175, CINT( SUB_I_PTAG( LEN_241_124, PSUB_TAG( 2 ) ) ) ) ), BCHAR( '.' ) ))
if( EQP( BCHAR( STRING_REF( PR_227_175, CINT( SUB_I_PTAG( LEN_241_124, PSUB_TAG( 1 ) ) ) ) ), BCHAR( 'o' ) ))
goto _true_24;else
goto _false_25;else
goto _false_25;else
goto _false_25;_true_24:
{
{obj_t OBJ2_455_234;
OBJ2_455_234=__O_FILES__ENGINE_PARAM_130;__O_FILES__ENGINE_PARAM_130=MAKE_PAIR( PR_227_175, OBJ2_455_234 );}
{obj_t C_CDR_456_8;
C_CDR_456_8=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_456_8;
goto _LOOP_224_161;
}}
}_false_25:
if( BBOOL_TO_CBOOL( __SRC__ENGINE_PARAM_53 ))
if( BBOOL_TO_CBOOL( __INTERPRETER__ENGINE_PARAM_56 ))
{obj_t C_CDR_457_189;
C_CDR_457_189=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_457_189;
goto _LOOP_224_161;
}}else
{obj_t OBJ2_459_30;
OBJ2_459_30=__REST_ARGS__ENGINE_PARAM_83;{obj_t OBJ1_458_46;
OBJ1_458_46=CAR( ARGS_225_98 );__REST_ARGS__ENGINE_PARAM_83=MAKE_PAIR( OBJ1_458_46, OBJ2_459_30 );}}else
{
__SRC__ENGINE_PARAM_53=PR_227_175;
{obj_t C_CDR_460_241;
C_CDR_460_241=CDR( ARGS_225_98 );{
ARGS_225_98=C_CDR_460_241;
goto _LOOP_224_161;
}}
};
}}}}}}}}};
}}}}}}}}}}}}}}}}}}};
}};
}};
}};
}}}}}}}}}}}}}};
}}}}}}}}}}}}}}}}}}}}}}}}}}}};
}}}}else
FAILURE( CNST_TABLE_REF( 139 ), CNST_TABLE_REF( 140 ), ARGS_225_98 );}
}}}
}
}}
}

obj_t
#if defined( __STDC__ )
__PARSE_ARGS_INIT_PARSE_ARGS_247(obj_t ENV_829_206,obj_t ARGS_222_225)
#else
__PARSE_ARGS_INIT_PARSE_ARGS_247( ENV_829_206, ARGS_222_225 )
obj_t ENV_829_206, ARGS_222_225;
#endif
{

return PARSE_ARGS_INIT_PARSE_ARGS_165( ARGS_222_225 );
}

static obj_t
#if defined( __STDC__ )
PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146(obj_t STRING_244_171)
#else
PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146( STRING_244_171 )
obj_t STRING_244_171;
#endif
{

{obj_t LEN_245_183;
LEN_245_183=STRING_LENGTH( STRING_244_171 );if( EQ_I( LEN_245_183, BINT( 7 ) ))
{
{obj_t STRING_CAST_619_64;
STRING_CAST_619_64=CNST_TABLE_REF( 141 );CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48( STRING_CAST_619_64 );}
__STRIP__ENGINE_PARAM_176=BTRUE;
__UNSAFE_ARITY__ENGINE_PARAM_35=BTRUE;
__UNSAFE_TYPE__ENGINE_PARAM_0=BTRUE;
__UNSAFE_STRUCT__ENGINE_PARAM_114=BTRUE;
__UNSAFE_RANGE__ENGINE_PARAM_44=BTRUE;
__UNSAFE_VERSION__ENGINE_PARAM_178=BTRUE;
}else
{obj_t I_247_88;
{
I_247_88=BINT( 7 );
{_LIIP_246_0:

if( EQ_I( I_247_88, LEN_245_183 ))
return CNST_TABLE_REF( 142 );else
{
switch( (char)STRING_REF( STRING_244_171, CINT( I_247_88 ) )){case 'r' : 
__UNSAFE_RANGE__ENGINE_PARAM_44=BTRUE;break;case 'a' : 
__UNSAFE_ARITY__ENGINE_PARAM_35=BTRUE;break;case 't' : 
__UNSAFE_TYPE__ENGINE_PARAM_0=BTRUE;break;case 's' : 
__UNSAFE_STRUCT__ENGINE_PARAM_114=BTRUE;break;case 'v' : 
__UNSAFE_VERSION__ENGINE_PARAM_178=BTRUE;break;default: 
FAILURE( CNST_TABLE_REF( 143 ), CNST_TABLE_REF( 144 ), STRING_244_171 );}
{obj_t I_869_83;
I_869_83=I_247_88;{
I_247_88=ADD_I_PTAG( I_869_83, PSUB_TAG( 1 ) );
goto _LIIP_246_0;
}}
}}
}}}
}

static obj_t
#if defined( __STDC__ )
__PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_2(obj_t ENV_828_35,obj_t STRING_244_171)
#else
__PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_2( ENV_828_35, STRING_244_171 )
obj_t ENV_828_35, STRING_244_171;
#endif
{

return PARSE_UNSAFE_ARGS_INIT_PARSE_ARGS_146( STRING_244_171 );
}

static obj_t
#if defined( __STDC__ )
CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48(obj_t FOR_249_233)
#else
CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48( FOR_249_233 )
obj_t FOR_249_233;
#endif
{

{obj_t LIB_251_87;
{
LIB_251_87=__BIGLOO_LIB__ENGINE_PARAM_173;
{_LOOP_250_169:

if( NULLP( LIB_251_87 ))
return CNST_TABLE_REF( 142 );else
{obj_t STRING1_465_127;
STRING1_465_127=CAR( LIB_251_87 );{obj_t STRING_CAST_622_169;
STRING_CAST_622_169=CNST_TABLE_REF( 145 );if( bigloo_strcmp( STRING1_465_127, STRING_CAST_622_169 ))
return CNST_TABLE_REF( 142 );else
{obj_t STRING_CAST_623_234;
STRING_CAST_623_234=CNST_TABLE_REF( 146 );if( bigloo_strcmp( STRING1_465_127, STRING_CAST_623_234 ))
{
SET_CAR( LIB_251_87, FOR_249_233 );
return CNST_TABLE_REF( 142 );
}else
{obj_t C_CDR_469_176;
C_CDR_469_176=CDR( LIB_251_87 );{
LIB_251_87=C_CDR_469_176;
goto _LOOP_250_169;
}}}}}}
}}
}

static obj_t
#if defined( __STDC__ )
__CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_188(obj_t ENV_827_88,obj_t FOR_249_233)
#else
__CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_188( ENV_827_88, FOR_249_233 )
obj_t ENV_827_88, FOR_249_233;
#endif
{

return CHANGE_BIGLOO_LIB__INIT_PARSE_ARGS_48( FOR_249_233 );
}

static obj_t
#if defined( __STDC__ )
PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81(obj_t STRING_252_77)
#else
PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81( STRING_252_77 )
obj_t STRING_252_77;
#endif
{

{
__OPTIM__ENGINE_PARAM_213=BINT( 1 );
__RGC_COMPACT____RGC_PARAM_175=BINT( 25 );
{obj_t AUX_867_125;
{obj_t AUX_868_174;
AUX_868_174=STRING_LENGTH( STRING_252_77 );AUX_867_125=_2____R4_NUMBERS_6_5_143( AUX_868_174, BINT( 2 ) );}if( BBOOL_TO_CBOOL( AUX_867_125 ))
switch( (char)STRING_REF( STRING_252_77, 2 )){case '2' : 
{
if( BBOOL_TO_CBOOL( __C_DEBUG__ENGINE_PARAM_235 ))
BFALSE;else
{obj_t STRING_CAST_624_107;
STRING_CAST_624_107=CNST_TABLE_REF( 147 );__CC_OPTIONS__ENGINE_PARAM_175=string_append( STRING_CAST_624_107, __CC_OPTIONS__ENGINE_PARAM_175 );}
__RGC_COMPACT____RGC_PARAM_175=BINT( 0 );
__OPTIM__ENGINE_PARAM_213=BINT( 2 );
}break;case '3' : 
{
if( BBOOL_TO_CBOOL( __C_DEBUG__ENGINE_PARAM_235 ))
BFALSE;else
{obj_t STRING_CAST_625_177;
STRING_CAST_625_177=CNST_TABLE_REF( 148 );__CC_OPTIONS__ENGINE_PARAM_175=string_append( STRING_CAST_625_177, __CC_OPTIONS__ENGINE_PARAM_175 );}
__OPTIM__ENGINE_PARAM_213=BINT( 3 );
}break;case '4' : 
{
if( BBOOL_TO_CBOOL( __C_DEBUG__ENGINE_PARAM_235 ))
BFALSE;else
{obj_t STRING_CAST_626_197;
STRING_CAST_626_197=CNST_TABLE_REF( 149 );__CC_OPTIONS__ENGINE_PARAM_175=string_append( STRING_CAST_626_197, __CC_OPTIONS__ENGINE_PARAM_175 );}
__OPTIM_CONS__ENGINE_PARAM_11=BTRUE;
__OPTIM__ENGINE_PARAM_213=BINT( 4 );
}break;default: 
FAILURE( CNST_TABLE_REF( 150 ), CNST_TABLE_REF( 151 ), STRING_252_77 );}else
if( BBOOL_TO_CBOOL( __C_DEBUG__ENGINE_PARAM_235 ))
return BFALSE;else
{obj_t STRING_CAST_629_36;
STRING_CAST_629_36=CNST_TABLE_REF( 152 );__CC_OPTIONS__ENGINE_PARAM_175=string_append( STRING_CAST_629_36, __CC_OPTIONS__ENGINE_PARAM_175 );}}
}
}

static obj_t
#if defined( __STDC__ )
__PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_123(obj_t ENV_826_133,obj_t STRING_252_77)
#else
__PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_123( ENV_826_133, STRING_252_77 )
obj_t ENV_826_133, STRING_252_77;
#endif
{

return PARSE_OPTIM_ARGS_INIT_PARSE_ARGS_81( STRING_252_77 );
}

static obj_t
#if defined( __STDC__ )
PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169(obj_t MODE_254_230,obj_t STRING_255_245,obj_t LEN_256_56)
#else
PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169( MODE_254_230, STRING_255_245, LEN_256_56 )
obj_t MODE_254_230, STRING_255_245, LEN_256_56;
#endif
{

{
START_TRACE_TOOLS_TRACE_128( CNST_TABLE_REF( 153 ), MODE_254_230 );
{obj_t I_258_215;
{
I_258_215=BINT( 2 );
{_LIIP_257_140:

if( EQ_I( I_258_215, LEN_256_56 ))
return CNST_TABLE_REF( 142 );else
{
switch( (char)STRING_REF( STRING_255_245, CINT( I_258_215 ) )){case 'r' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 154 ) );break;case 'e' : 
{
__PP_ENV_MODE__ENGINE_PARAM_88=CNST_TABLE_REF( 155 );
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 156 ) );
}break;case 'E' : 
{
{obj_t OBJ1_470_103;
OBJ1_470_103=__PP_ENV_MODE__ENGINE_PARAM_88;if( EQP( OBJ1_470_103, CNST_TABLE_REF( 157 ) ))
__PP_ENV_MODE__ENGINE_PARAM_88=CNST_TABLE_REF( 158 );else
__PP_ENV_MODE__ENGINE_PARAM_88=CNST_TABLE_REF( 157 );}
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 156 ) );
}break;case 'i' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 159 ) );break;case 'x' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 160 ) );break;case 'l' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 82 ) );break;case 'h' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 102 ) );break;case 's' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 161 ) );break;case 't' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 88 ) );break;case 'g' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 96 ) );break;case 'G' : 
{
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 96 ) );
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 162 ) );
}break;case 'k' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 98 ) );break;case 'c' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 108 ) );break;case 'C' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 110 ) );break;case 'o' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 163 ) );break;case 'b' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 106 ) );break;case 'w' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 164 ) );break;case '0' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 92 ) );break;case 'a' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 90 ) );break;case 'S' : 
ADD_TRACE_MASK_TOOLS_TRACE_143( CNST_TABLE_REF( 100 ) );break;default: 
{obj_t MESSAGE_471_224;
if( EQP( MODE_254_230, CNST_TABLE_REF( 76 ) ))
MESSAGE_471_224=CNST_TABLE_REF( 165 );else
MESSAGE_471_224=CNST_TABLE_REF( 166 );FAILURE( CNST_TABLE_REF( 167 ), MESSAGE_471_224, STRING_255_245 );}}
{obj_t I_866_156;
I_866_156=I_258_215;{
I_258_215=ADD_I_PTAG( I_866_156, PSUB_TAG( 1 ) );
goto _LIIP_257_140;
}}
}}
}}
}
}

static obj_t
#if defined( __STDC__ )
__PARSE_TRACE_ARGS_INIT_PARSE_ARGS_13(obj_t ENV_825_154,obj_t MODE_254_230,obj_t STRING_255_245,obj_t LEN_256_56)
#else
__PARSE_TRACE_ARGS_INIT_PARSE_ARGS_13( ENV_825_154, MODE_254_230, STRING_255_245, LEN_256_56 )
obj_t ENV_825_154, MODE_254_230, STRING_255_245, LEN_256_56;
#endif
{

return PARSE_TRACE_ARGS_INIT_PARSE_ARGS_169( MODE_254_230, STRING_255_245, LEN_256_56 );
}

static obj_t
#if defined( __STDC__ )
QUERY_INIT_PARSE_ARGS_140()
#else
QUERY_INIT_PARSE_ARGS_140()
#endif
{

{
VERSION_WRITE_VERSION_13();
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
{obj_t VA_ARG_633_33;
{obj_t STRING_CAST_634_161;
STRING_CAST_634_161=CNST_TABLE_REF( 168 );VA_ARG_633_33=MAKE_PAIR( STRING_CAST_634_161, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_633_33 );}
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
{obj_t VA_ARG_635_145;
VA_ARG_635_145=MAKE_PAIR( __CC__ENGINE_PARAM_217, BNIL );{obj_t VA_ARG_636_26;
{obj_t STRING_CAST_637_141;
STRING_CAST_637_141=CNST_TABLE_REF( 169 );VA_ARG_636_26=MAKE_PAIR( STRING_CAST_637_141, VA_ARG_635_145 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_636_26 );}}
{obj_t VA_ARG_638_100;
VA_ARG_638_100=MAKE_PAIR( __CC_OPTIONS__ENGINE_PARAM_175, BNIL );{obj_t VA_ARG_639_99;
{obj_t STRING_CAST_640_169;
STRING_CAST_640_169=CNST_TABLE_REF( 170 );VA_ARG_639_99=MAKE_PAIR( STRING_CAST_640_169, VA_ARG_638_100 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_639_99 );}}
{obj_t VA_ARG_641_147;
VA_ARG_641_147=MAKE_PAIR( __LD_OPTIONS__ENGINE_PARAM_252, BNIL );{obj_t VA_ARG_642_172;
{obj_t STRING_CAST_643_56;
STRING_CAST_643_56=CNST_TABLE_REF( 171 );VA_ARG_642_172=MAKE_PAIR( STRING_CAST_643_56, VA_ARG_641_147 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_642_172 );}}
{obj_t VA_ARG_644_183;
VA_ARG_644_183=MAKE_PAIR( __BIGLOO_LIB__ENGINE_PARAM_173, BNIL );{obj_t VA_ARG_645_167;
{obj_t STRING_CAST_646_107;
STRING_CAST_646_107=CNST_TABLE_REF( 172 );VA_ARG_645_167=MAKE_PAIR( STRING_CAST_646_107, VA_ARG_644_183 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_645_167 );}}
{obj_t VA_ARG_647_157;
VA_ARG_647_157=MAKE_PAIR( __BIGLOO_USER_LIB__ENGINE_PARAM_144, BNIL );{obj_t VA_ARG_648_22;
{obj_t STRING_CAST_649_188;
STRING_CAST_649_188=CNST_TABLE_REF( 173 );VA_ARG_648_22=MAKE_PAIR( STRING_CAST_649_188, VA_ARG_647_157 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_648_22 );}}
{obj_t VA_ARG_650_245;
VA_ARG_650_245=MAKE_PAIR( __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38, BNIL );{obj_t VA_ARG_651_208;
{obj_t STRING_CAST_652_99;
STRING_CAST_652_99=CNST_TABLE_REF( 174 );VA_ARG_651_208=MAKE_PAIR( STRING_CAST_652_99, VA_ARG_650_245 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_651_208 );}}
{obj_t VA_ARG_653_130;
VA_ARG_653_130=MAKE_PAIR( __LIB_DIR__ENGINE_PARAM_17, BNIL );{obj_t VA_ARG_654_64;
{obj_t STRING_CAST_655_166;
STRING_CAST_655_166=CNST_TABLE_REF( 175 );VA_ARG_654_64=MAKE_PAIR( STRING_CAST_655_166, VA_ARG_653_130 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_654_64 );}}
{obj_t VA_ARG_656_72;
VA_ARG_656_72=MAKE_PAIR( __INCLUDE_DIR__ENGINE_PARAM_87, BNIL );{obj_t VA_ARG_657_77;
{obj_t STRING_CAST_658_33;
STRING_CAST_658_33=CNST_TABLE_REF( 176 );VA_ARG_657_77=MAKE_PAIR( STRING_CAST_658_33, VA_ARG_656_72 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_657_77 );}}
{obj_t VA_ARG_659_29;
VA_ARG_659_29=MAKE_PAIR( __INCLUDE_FOREIGN__ENGINE_PARAM_233, BNIL );{obj_t VA_ARG_660_88;
{obj_t STRING_CAST_661_140;
STRING_CAST_661_140=CNST_TABLE_REF( 177 );VA_ARG_660_88=MAKE_PAIR( STRING_CAST_661_140, VA_ARG_659_29 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_660_88 );}}
{obj_t VA_ARG_662_154;
VA_ARG_662_154=MAKE_PAIR( __HEAP_NAMES__ENGINE_PARAM_198, BNIL );{obj_t VA_ARG_663_250;
{obj_t STRING_CAST_664_118;
STRING_CAST_664_118=CNST_TABLE_REF( 178 );VA_ARG_663_250=MAKE_PAIR( STRING_CAST_664_118, VA_ARG_662_154 );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_663_250 );}}
return bigloo_exit( BINT( 0 ) );
}
}

static obj_t
#if defined( __STDC__ )
__QUERY_INIT_PARSE_ARGS_3(obj_t ENV_824_250)
#else
__QUERY_INIT_PARSE_ARGS_3( ENV_824_250 )
obj_t ENV_824_250;
#endif
{

return QUERY_INIT_PARSE_ARGS_140();
}

static obj_t
#if defined( __STDC__ )
HELP_INIT_PARSE_ARGS_140()
#else
HELP_INIT_PARSE_ARGS_140()
#endif
{

{
VERSION_WRITE_VERSION_13();
{obj_t VA_ARG_665_253;
{obj_t STRING_CAST_666_170;
STRING_CAST_666_170=CNST_TABLE_REF( 179 );VA_ARG_665_253=MAKE_PAIR( STRING_CAST_666_170, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_665_253 );}
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
{obj_t VA_ARG_667_178;
{obj_t STRING_CAST_668_119;
STRING_CAST_668_119=CNST_TABLE_REF( 180 );VA_ARG_667_178=MAKE_PAIR( STRING_CAST_668_119, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_667_178 );}
{obj_t VA_ARG_669_54;
{obj_t STRING_CAST_670_223;
STRING_CAST_670_223=CNST_TABLE_REF( 181 );VA_ARG_669_54=MAKE_PAIR( STRING_CAST_670_223, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_669_54 );}
{obj_t VA_ARG_671_99;
{obj_t STRING_CAST_672_211;
STRING_CAST_672_211=CNST_TABLE_REF( 182 );VA_ARG_671_99=MAKE_PAIR( STRING_CAST_672_211, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_671_99 );}
{obj_t VA_ARG_673_195;
{obj_t STRING_CAST_674_190;
STRING_CAST_674_190=CNST_TABLE_REF( 183 );VA_ARG_673_195=MAKE_PAIR( STRING_CAST_674_190, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_673_195 );}
{obj_t VA_ARG_675_34;
{obj_t STRING_CAST_676_213;
STRING_CAST_676_213=CNST_TABLE_REF( 184 );VA_ARG_675_34=MAKE_PAIR( STRING_CAST_676_213, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_675_34 );}
{obj_t VA_ARG_677_80;
{obj_t STRING_CAST_678_28;
STRING_CAST_678_28=CNST_TABLE_REF( 185 );VA_ARG_677_80=MAKE_PAIR( STRING_CAST_678_28, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_677_80 );}
{obj_t VA_ARG_679_189;
{obj_t STRING_CAST_680_63;
STRING_CAST_680_63=CNST_TABLE_REF( 186 );VA_ARG_679_189=MAKE_PAIR( STRING_CAST_680_63, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_679_189 );}
{obj_t VA_ARG_681_198;
{obj_t STRING_CAST_682_37;
STRING_CAST_682_37=CNST_TABLE_REF( 187 );VA_ARG_681_198=MAKE_PAIR( STRING_CAST_682_37, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_681_198 );}
{obj_t VA_ARG_683_254;
{obj_t STRING_CAST_684_39;
STRING_CAST_684_39=CNST_TABLE_REF( 188 );VA_ARG_683_254=MAKE_PAIR( STRING_CAST_684_39, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_683_254 );}
{obj_t VA_ARG_685_241;
{obj_t STRING_CAST_686_146;
STRING_CAST_686_146=CNST_TABLE_REF( 189 );VA_ARG_685_241=MAKE_PAIR( STRING_CAST_686_146, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_685_241 );}
{obj_t VA_ARG_687_46;
{obj_t STRING_CAST_688_44;
STRING_CAST_688_44=CNST_TABLE_REF( 190 );VA_ARG_687_46=MAKE_PAIR( STRING_CAST_688_44, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_687_46 );}
{obj_t VA_ARG_689_66;
{obj_t STRING_CAST_690_97;
STRING_CAST_690_97=CNST_TABLE_REF( 191 );VA_ARG_689_66=MAKE_PAIR( STRING_CAST_690_97, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_689_66 );}
{obj_t VA_ARG_691_81;
{obj_t STRING_CAST_692_132;
STRING_CAST_692_132=CNST_TABLE_REF( 192 );VA_ARG_691_81=MAKE_PAIR( STRING_CAST_692_132, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_691_81 );}
{obj_t VA_ARG_693_6;
{obj_t STRING_CAST_694_1;
STRING_CAST_694_1=CNST_TABLE_REF( 193 );VA_ARG_693_6=MAKE_PAIR( STRING_CAST_694_1, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_693_6 );}
{obj_t VA_ARG_695_91;
{obj_t STRING_CAST_696_110;
STRING_CAST_696_110=CNST_TABLE_REF( 194 );VA_ARG_695_91=MAKE_PAIR( STRING_CAST_696_110, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_695_91 );}
{obj_t VA_ARG_697_127;
{obj_t STRING_CAST_698_27;
STRING_CAST_698_27=CNST_TABLE_REF( 195 );VA_ARG_697_127=MAKE_PAIR( STRING_CAST_698_27, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_697_127 );}
{obj_t VA_ARG_699_225;
{obj_t STRING_CAST_700_52;
STRING_CAST_700_52=CNST_TABLE_REF( 196 );VA_ARG_699_225=MAKE_PAIR( STRING_CAST_700_52, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_699_225 );}
{obj_t VA_ARG_701_248;
{obj_t STRING_CAST_702_0;
STRING_CAST_702_0=CNST_TABLE_REF( 197 );VA_ARG_701_248=MAKE_PAIR( STRING_CAST_702_0, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_701_248 );}
{obj_t VA_ARG_703_219;
{obj_t STRING_CAST_704_149;
STRING_CAST_704_149=CNST_TABLE_REF( 198 );VA_ARG_703_219=MAKE_PAIR( STRING_CAST_704_149, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_703_219 );}
{obj_t VA_ARG_705_163;
{obj_t STRING_CAST_706_38;
STRING_CAST_706_38=CNST_TABLE_REF( 199 );VA_ARG_705_163=MAKE_PAIR( STRING_CAST_706_38, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_705_163 );}
{obj_t VA_ARG_707_222;
{obj_t STRING_CAST_708_184;
STRING_CAST_708_184=CNST_TABLE_REF( 200 );VA_ARG_707_222=MAKE_PAIR( STRING_CAST_708_184, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_707_222 );}
{obj_t VA_ARG_709_203;
{obj_t STRING_CAST_710_193;
STRING_CAST_710_193=CNST_TABLE_REF( 201 );VA_ARG_709_203=MAKE_PAIR( STRING_CAST_710_193, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_709_203 );}
{obj_t VA_ARG_711_158;
{obj_t STRING_CAST_712_101;
STRING_CAST_712_101=CNST_TABLE_REF( 202 );VA_ARG_711_158=MAKE_PAIR( STRING_CAST_712_101, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_711_158 );}
{obj_t VA_ARG_713_82;
{obj_t STRING_CAST_714_5;
STRING_CAST_714_5=CNST_TABLE_REF( 203 );VA_ARG_713_82=MAKE_PAIR( STRING_CAST_714_5, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_713_82 );}
{obj_t VA_ARG_715_255;
{obj_t STRING_CAST_716_126;
STRING_CAST_716_126=CNST_TABLE_REF( 204 );VA_ARG_715_255=MAKE_PAIR( STRING_CAST_716_126, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_715_255 );}
{obj_t VA_ARG_717_102;
{obj_t STRING_CAST_718_74;
STRING_CAST_718_74=CNST_TABLE_REF( 205 );VA_ARG_717_102=MAKE_PAIR( STRING_CAST_718_74, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_717_102 );}
{obj_t VA_ARG_719_159;
{obj_t STRING_CAST_720_174;
STRING_CAST_720_174=CNST_TABLE_REF( 206 );VA_ARG_719_159=MAKE_PAIR( STRING_CAST_720_174, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_719_159 );}
{obj_t VA_ARG_721_95;
{obj_t STRING_CAST_722_119;
STRING_CAST_722_119=CNST_TABLE_REF( 207 );VA_ARG_721_95=MAKE_PAIR( STRING_CAST_722_119, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_721_95 );}
{obj_t VA_ARG_723_35;
{obj_t STRING_CAST_724_14;
STRING_CAST_724_14=CNST_TABLE_REF( 208 );VA_ARG_723_35=MAKE_PAIR( STRING_CAST_724_14, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_723_35 );}
{obj_t VA_ARG_725_54;
{obj_t STRING_CAST_726_25;
STRING_CAST_726_25=CNST_TABLE_REF( 209 );VA_ARG_725_54=MAKE_PAIR( STRING_CAST_726_25, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_725_54 );}
{obj_t VA_ARG_727_252;
{obj_t STRING_CAST_728_233;
STRING_CAST_728_233=CNST_TABLE_REF( 210 );VA_ARG_727_252=MAKE_PAIR( STRING_CAST_728_233, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_727_252 );}
{obj_t VA_ARG_729_253;
{obj_t STRING_CAST_730_101;
STRING_CAST_730_101=CNST_TABLE_REF( 211 );VA_ARG_729_253=MAKE_PAIR( STRING_CAST_730_101, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_729_253 );}
{obj_t VA_ARG_731_121;
{obj_t STRING_CAST_732_193;
STRING_CAST_732_193=CNST_TABLE_REF( 212 );VA_ARG_731_121=MAKE_PAIR( STRING_CAST_732_193, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_731_121 );}
{obj_t VA_ARG_733_77;
{obj_t STRING_CAST_734_126;
STRING_CAST_734_126=CNST_TABLE_REF( 213 );VA_ARG_733_77=MAKE_PAIR( STRING_CAST_734_126, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_733_77 );}
{obj_t VA_ARG_735_208;
{obj_t STRING_CAST_736_5;
STRING_CAST_736_5=CNST_TABLE_REF( 214 );VA_ARG_735_208=MAKE_PAIR( STRING_CAST_736_5, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_735_208 );}
{obj_t VA_ARG_737_130;
{obj_t STRING_CAST_738_137;
STRING_CAST_738_137=CNST_TABLE_REF( 215 );VA_ARG_737_130=MAKE_PAIR( STRING_CAST_738_137, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_737_130 );}
{obj_t VA_ARG_739_143;
{obj_t STRING_CAST_740_192;
STRING_CAST_740_192=CNST_TABLE_REF( 216 );VA_ARG_739_143=MAKE_PAIR( STRING_CAST_740_192, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_739_143 );}
{obj_t VA_ARG_741_74;
{obj_t STRING_CAST_742_221;
STRING_CAST_742_221=CNST_TABLE_REF( 217 );VA_ARG_741_74=MAKE_PAIR( STRING_CAST_742_221, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_741_74 );}
{obj_t VA_ARG_743_137;
{obj_t STRING_CAST_744_206;
STRING_CAST_744_206=CNST_TABLE_REF( 218 );VA_ARG_743_137=MAKE_PAIR( STRING_CAST_744_206, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_743_137 );}
{obj_t VA_ARG_745_108;
{obj_t STRING_CAST_746_116;
STRING_CAST_746_116=CNST_TABLE_REF( 219 );VA_ARG_745_108=MAKE_PAIR( STRING_CAST_746_116, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_745_108 );}
{obj_t VA_ARG_747_232;
{obj_t STRING_CAST_748_154;
STRING_CAST_748_154=CNST_TABLE_REF( 220 );VA_ARG_747_232=MAKE_PAIR( STRING_CAST_748_154, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_747_232 );}
{obj_t VA_ARG_749_193;
{obj_t STRING_CAST_750_65;
STRING_CAST_750_65=CNST_TABLE_REF( 221 );VA_ARG_749_193=MAKE_PAIR( STRING_CAST_750_65, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_749_193 );}
{obj_t VA_ARG_751_215;
{obj_t STRING_CAST_752_40;
STRING_CAST_752_40=CNST_TABLE_REF( 222 );VA_ARG_751_215=MAKE_PAIR( STRING_CAST_752_40, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_751_215 );}
{obj_t VA_ARG_753_53;
{obj_t STRING_CAST_754_73;
STRING_CAST_754_73=CNST_TABLE_REF( 223 );VA_ARG_753_53=MAKE_PAIR( STRING_CAST_754_73, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_753_53 );}
{obj_t VA_ARG_755_109;
{obj_t STRING_CAST_756_7;
STRING_CAST_756_7=CNST_TABLE_REF( 224 );VA_ARG_755_109=MAKE_PAIR( STRING_CAST_756_7, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_755_109 );}
{obj_t VA_ARG_757_180;
{obj_t STRING_CAST_758_68;
STRING_CAST_758_68=CNST_TABLE_REF( 225 );VA_ARG_757_180=MAKE_PAIR( STRING_CAST_758_68, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_757_180 );}
{obj_t VA_ARG_759_227;
{obj_t STRING_CAST_760_208;
STRING_CAST_760_208=CNST_TABLE_REF( 226 );VA_ARG_759_227=MAKE_PAIR( STRING_CAST_760_208, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_759_227 );}
{obj_t VA_ARG_761_195;
{obj_t STRING_CAST_762_130;
STRING_CAST_762_130=CNST_TABLE_REF( 227 );VA_ARG_761_195=MAKE_PAIR( STRING_CAST_762_130, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_761_195 );}
{obj_t VA_ARG_763_99;
{obj_t STRING_CAST_764_121;
STRING_CAST_764_121=CNST_TABLE_REF( 228 );VA_ARG_763_99=MAKE_PAIR( STRING_CAST_764_121, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_763_99 );}
{obj_t VA_ARG_765_80;
{obj_t STRING_CAST_766_77;
STRING_CAST_766_77=CNST_TABLE_REF( 229 );VA_ARG_765_80=MAKE_PAIR( STRING_CAST_766_77, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_765_80 );}
{obj_t VA_ARG_767_34;
{obj_t STRING_CAST_768_29;
STRING_CAST_768_29=CNST_TABLE_REF( 230 );VA_ARG_767_34=MAKE_PAIR( STRING_CAST_768_29, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_767_34 );}
{obj_t VA_ARG_769_33;
{obj_t STRING_CAST_770_76;
STRING_CAST_770_76=CNST_TABLE_REF( 231 );VA_ARG_769_33=MAKE_PAIR( STRING_CAST_770_76, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_769_33 );}
{obj_t VA_ARG_771_170;
{obj_t STRING_CAST_772_209;
STRING_CAST_772_209=CNST_TABLE_REF( 232 );VA_ARG_771_170=MAKE_PAIR( STRING_CAST_772_209, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_771_170 );}
{obj_t VA_ARG_773_118;
{obj_t STRING_CAST_774_131;
STRING_CAST_774_131=CNST_TABLE_REF( 233 );VA_ARG_773_118=MAKE_PAIR( STRING_CAST_774_131, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_773_118 );}
{obj_t VA_ARG_775_233;
{obj_t STRING_CAST_776_229;
STRING_CAST_776_229=CNST_TABLE_REF( 234 );VA_ARG_775_233=MAKE_PAIR( STRING_CAST_776_229, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_775_233 );}
{obj_t VA_ARG_777_51;
{obj_t STRING_CAST_778_243;
STRING_CAST_778_243=CNST_TABLE_REF( 235 );VA_ARG_777_51=MAKE_PAIR( STRING_CAST_778_243, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_777_51 );}
{obj_t VA_ARG_779_14;
{obj_t STRING_CAST_780_227;
STRING_CAST_780_227=CNST_TABLE_REF( 236 );VA_ARG_779_14=MAKE_PAIR( STRING_CAST_780_227, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_779_14 );}
{obj_t VA_ARG_781_75;
{obj_t STRING_CAST_782_142;
STRING_CAST_782_142=CNST_TABLE_REF( 237 );VA_ARG_781_75=MAKE_PAIR( STRING_CAST_782_142, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_781_75 );}
{obj_t VA_ARG_783_22;
{obj_t STRING_CAST_784_114;
STRING_CAST_784_114=CNST_TABLE_REF( 238 );VA_ARG_783_22=MAKE_PAIR( STRING_CAST_784_114, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_783_22 );}
{obj_t VA_ARG_785_103;
{obj_t STRING_CAST_786_179;
STRING_CAST_786_179=CNST_TABLE_REF( 239 );VA_ARG_785_103=MAKE_PAIR( STRING_CAST_786_179, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_785_103 );}
{obj_t VA_ARG_787_12;
{obj_t STRING_CAST_788_215;
STRING_CAST_788_215=CNST_TABLE_REF( 240 );VA_ARG_787_12=MAKE_PAIR( STRING_CAST_788_215, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_787_12 );}
{obj_t VA_ARG_789_172;
{obj_t STRING_CAST_790_178;
STRING_CAST_790_178=CNST_TABLE_REF( 241 );VA_ARG_789_172=MAKE_PAIR( STRING_CAST_790_178, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_789_172 );}
{obj_t VA_ARG_791_28;
{obj_t STRING_CAST_792_253;
STRING_CAST_792_253=CNST_TABLE_REF( 242 );VA_ARG_791_28=MAKE_PAIR( STRING_CAST_792_253, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_791_28 );}
{obj_t VA_ARG_793_186;
{obj_t STRING_CAST_794_250;
STRING_CAST_794_250=CNST_TABLE_REF( 243 );VA_ARG_793_186=MAKE_PAIR( STRING_CAST_794_250, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_793_186 );}
{obj_t VA_ARG_795_2;
{obj_t STRING_CAST_796_133;
STRING_CAST_796_133=CNST_TABLE_REF( 244 );VA_ARG_795_2=MAKE_PAIR( STRING_CAST_796_133, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_795_2 );}
{obj_t VA_ARG_797_115;
{obj_t STRING_CAST_798_35;
STRING_CAST_798_35=CNST_TABLE_REF( 245 );VA_ARG_797_115=MAKE_PAIR( STRING_CAST_798_35, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_797_115 );}
{obj_t VA_ARG_799_223;
{obj_t STRING_CAST_800_179;
STRING_CAST_800_179=CNST_TABLE_REF( 246 );VA_ARG_799_223=MAKE_PAIR( STRING_CAST_800_179, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_799_223 );}
{obj_t VA_ARG_801_221;
{obj_t STRING_CAST_802_114;
STRING_CAST_802_114=CNST_TABLE_REF( 247 );VA_ARG_801_221=MAKE_PAIR( STRING_CAST_802_114, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_801_221 );}
{obj_t VA_ARG_803_192;
{obj_t STRING_CAST_804_142;
STRING_CAST_804_142=CNST_TABLE_REF( 248 );VA_ARG_803_192=MAKE_PAIR( STRING_CAST_804_142, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_803_192 );}
{obj_t VA_ARG_805_116;
{obj_t STRING_CAST_806_227;
STRING_CAST_806_227=CNST_TABLE_REF( 249 );VA_ARG_805_116=MAKE_PAIR( STRING_CAST_806_227, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_805_116 );}
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
{obj_t VA_ARG_807_206;
{obj_t STRING_CAST_808_180;
STRING_CAST_808_180=CNST_TABLE_REF( 250 );VA_ARG_807_206=MAKE_PAIR( STRING_CAST_808_180, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_807_206 );}
{obj_t VA_ARG_809_88;
{obj_t STRING_CAST_810_46;
STRING_CAST_810_46=CNST_TABLE_REF( 251 );VA_ARG_809_88=MAKE_PAIR( STRING_CAST_810_46, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_809_88 );}
{obj_t VA_ARG_811_48;
{obj_t STRING_CAST_812_241;
STRING_CAST_812_241=CNST_TABLE_REF( 252 );VA_ARG_811_48=MAKE_PAIR( STRING_CAST_812_241, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_811_48 );}
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
NEWLINE___R4_OUTPUT_6_10_3_64( BNIL );
{obj_t VA_ARG_813_15;
{obj_t STRING_CAST_814_254;
STRING_CAST_814_254=CNST_TABLE_REF( 253 );VA_ARG_813_15=MAKE_PAIR( STRING_CAST_814_254, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_813_15 );}
{obj_t VA_ARG_815_67;
{obj_t STRING_CAST_816_198;
STRING_CAST_816_198=CNST_TABLE_REF( 254 );VA_ARG_815_67=MAKE_PAIR( STRING_CAST_816_198, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_815_67 );}
{obj_t VA_ARG_817_210;
{obj_t STRING_CAST_818_86;
STRING_CAST_818_86=CNST_TABLE_REF( 255 );VA_ARG_817_210=MAKE_PAIR( STRING_CAST_818_86, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_817_210 );}
{obj_t VA_ARG_819_49;
{obj_t STRING_CAST_820_214;
STRING_CAST_820_214=CNST_TABLE_REF( 256 );VA_ARG_819_49=MAKE_PAIR( STRING_CAST_820_214, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_819_49 );}
{obj_t VA_ARG_821_12;
{obj_t STRING_CAST_822_226;
STRING_CAST_822_226=CNST_TABLE_REF( 257 );VA_ARG_821_12=MAKE_PAIR( STRING_CAST_822_226, BNIL );}PRINT___R4_OUTPUT_6_10_3_212( VA_ARG_821_12 );}
return bigloo_exit( BINT( 0 ) );
}
}

static obj_t
#if defined( __STDC__ )
__HELP_INIT_PARSE_ARGS_30(obj_t ENV_823_237)
#else
__HELP_INIT_PARSE_ARGS_30( ENV_823_237 )
obj_t ENV_823_237;
#endif
{

return HELP_INIT_PARSE_ARGS_140();
}

