/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Init/signals.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>
#include <signal.h>

extern obj_t bigloo_exit();
extern obj_t INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53();
obj_t INIT_SIGNALS_INITIALISATION_ENV_INIT_SIGNALS_122 = BUNSPEC;
extern obj_t INIT_COMPILER_SIGNALS__INIT_SIGNALS_1();
static obj_t __cnst[ 2 ] ;
extern obj_t READ___READER_198;
static obj_t PROCEDURE_0_INIT_SIGNALS_253 = BUNSPEC;
obj_t INIT_COMPILER_SIGNALS__ENV_INIT_SIGNALS_204 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__INIT_SIGNALS_107 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
#if defined( __STDC__ )
extern obj_t __INIT_COMPILER_SIGNALS__INIT_SIGNALS_109(obj_t);
#else
extern obj_t __INIT_COMPILER_SIGNALS__INIT_SIGNALS_109();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t SIGNAL___SYSTEM_12();
extern obj_t make_fx_procedure();
extern obj_t NOTIFY_ERROR___ERROR_187();
#if defined( __STDC__ )
extern obj_t __INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_212(obj_t);
#else
extern obj_t __INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_212();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();

static obj_t KILL_MY_SELF_222_165();

obj_t
#if defined( __STDC__ )
INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53()
#else
INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__INIT_SIGNALS_107 ))
{
REQUIRE_INITIALISATION__INIT_SIGNALS_107=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___SYSTEM_INITIALISATION___SYSTEM_109();
DECLARE_CNST_TABLE( __cnst[ 2 ]  );
{obj_t PORT_236_140;
{obj_t AUX_239_39;
AUX_239_39=c_constant_string_to_string( "#\"Illegal signal trapped\" #\"signals handler\" " );PORT_236_140=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_239_39 );}{obj_t OFFSET_237_240;
{
OFFSET_237_240=BINT( 1 );
{_LOOP_238_65:

if( LT_I( OFFSET_237_240, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_240_127;
AUX_240_127=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_236_140, BEOA );CNST_TABLE_SET( OFFSET_237_240, AUX_240_127 );}
{obj_t OFFSET_241_197;
OFFSET_241_197=OFFSET_237_240;{
OFFSET_237_240=SUB_I( OFFSET_241_197, BINT( 1 ) );
goto _LOOP_238_65;
}}
}}
}}}
PROCEDURE_0_INIT_SIGNALS_253=make_fx_procedure( KILL_MY_SELF_222_165, 1, 0 );
{
INIT_SIGNALS_INITIALISATION_ENV_INIT_SIGNALS_122=make_fx_procedure( __INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_212, 0, 0 );
INIT_COMPILER_SIGNALS__ENV_INIT_SIGNALS_204=make_fx_procedure( __INIT_COMPILER_SIGNALS__INIT_SIGNALS_109, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_212(obj_t ENV_235_203)
#else
__INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_212( ENV_235_203 )
obj_t ENV_235_203;
#endif
{

return INIT_SIGNALS_INITIALISATION_INIT_SIGNALS_53();
}

obj_t
#if defined( __STDC__ )
INIT_COMPILER_SIGNALS__INIT_SIGNALS_1()
#else
INIT_COMPILER_SIGNALS__INIT_SIGNALS_1()
#endif
{

{obj_t KILL_MY_SELF_ENV_232_37;
KILL_MY_SELF_ENV_232_37=PROCEDURE_0_INIT_SIGNALS_253;{
{obj_t A_FUNCTION_228_118;
A_FUNCTION_228_118=KILL_MY_SELF_ENV_232_37;SIGNAL___SYSTEM_12( BINT( SIGFPE ), A_FUNCTION_228_118 );}
{obj_t A_FUNCTION_229_125;
A_FUNCTION_229_125=KILL_MY_SELF_ENV_232_37;SIGNAL___SYSTEM_12( BINT( SIGILL ), A_FUNCTION_229_125 );}
{obj_t A_FUNCTION_230_247;
A_FUNCTION_230_247=KILL_MY_SELF_ENV_232_37;SIGNAL___SYSTEM_12( BINT( SIGBUS ), A_FUNCTION_230_247 );}
{obj_t A_FUNCTION_231_204;
A_FUNCTION_231_204=KILL_MY_SELF_ENV_232_37;return SIGNAL___SYSTEM_12( BINT( SIGSEGV ), A_FUNCTION_231_204 );}
}}
}

obj_t
#if defined( __STDC__ )
__INIT_COMPILER_SIGNALS__INIT_SIGNALS_109(obj_t ENV_234_76)
#else
__INIT_COMPILER_SIGNALS__INIT_SIGNALS_109( ENV_234_76 )
obj_t ENV_234_76;
#endif
{

return INIT_COMPILER_SIGNALS__INIT_SIGNALS_1();
}

static obj_t
#if defined( __STDC__ )
KILL_MY_SELF_222_165(obj_t KILL_MY_SELF_ENV_233_69,obj_t N_224_41)
#else
KILL_MY_SELF_222_165( KILL_MY_SELF_ENV_233_69, N_224_41 )
obj_t KILL_MY_SELF_ENV_233_69, N_224_41;
#endif
{

{
{obj_t STRING_CAST_226_213;
STRING_CAST_226_213=CNST_TABLE_REF( 0 );{obj_t STRING_CAST_227_49;
STRING_CAST_227_49=CNST_TABLE_REF( 1 );NOTIFY_ERROR___ERROR_187( STRING_CAST_226_213, STRING_CAST_227_49, N_224_41 );}}
return bigloo_exit( BINT( -1 ) );
}
}

