/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/foreign.c                                                   */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t MAP_ON_ARGS__TOOLS_ARGS_20();
#if defined( __STDC__ )
static obj_t FOREIGN_PARSER_PARSE_FOREIGN_144(obj_t, obj_t);
#else
static obj_t FOREIGN_PARSER_PARSE_FOREIGN_144();
#endif
extern obj_t PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
extern obj_t FOREIGN_EXPORT_INITIALISATION_FOREIGN_EXPORT_245();
extern obj_t LIST____R4_PAIRS_AND_LISTS_6_3_14();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121();
extern obj_t PARSE_TYPE_FOREIGN_PARSE_100();
#if defined( __STDC__ )
extern obj_t PARSE_FOREIGN_PARSE_FOREIGN_99(obj_t, obj_t);
#else
extern obj_t PARSE_FOREIGN_PARSE_FOREIGN_99();
#endif
static obj_t __cnst[ 21 ] ;
extern obj_t GET_TYPE_ENV_FOREIGN_TOOLS_166;
#if defined( __STDC__ )
extern obj_t __PARSE_FOREIGN_PARSE_FOREIGN_28(obj_t, obj_t, obj_t);
#else
extern obj_t __PARSE_FOREIGN_PARSE_FOREIGN_28();
#endif
extern obj_t REMEMBER_EXPORTED_BIGLOO_FUNCTION__FOREIGN_EXPORT_128();
extern obj_t GET_TYPE_FOREIGN_TOOLS_48();
extern obj_t READ___READER_198;
extern obj_t DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60();
obj_t PARSE_FOREIGN_ENV_PARSE_FOREIGN_78 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__PARSE_FOREIGN_248 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t PARSE_FOREIGN_INITIALISATION_ENV_PARSE_FOREIGN_151 = BUNSPEC;
extern obj_t c_constant_string_to_string();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t __INCLUDE_FOREIGN__ENGINE_PARAM_233;
extern obj_t TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t REMEMBER_EXPORTED_BIGLOO_VARIABLE__FOREIGN_EXPORT_233();
extern obj_t MEMBER___R4_PAIRS_AND_LISTS_6_3_147();
extern obj_t MAKE_GET_FUNCTION_TYPE__FOREIGN_TOOLS_9();
#if defined( __STDC__ )
extern obj_t __PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_129(obj_t);
#else
extern obj_t __PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_129();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221()
#else
PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_FOREIGN_248 ))
{
REQUIRE_INITIALISATION__PARSE_FOREIGN_248=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
FOREIGN_PARSE_INITIALISATION_FOREIGN_PARSE_121();
FOREIGN_EXPORT_INITIALISATION_FOREIGN_EXPORT_245();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 21 ]  );
{obj_t PORT_693_203;
{obj_t AUX_699_28;
AUX_699_28=c_constant_string_to_string( "EXPORT DEFINE TYPE INCLUDE #\"Illegal foreign form\" #\"foreign-parser\" #\"Illegal foreign variable form\" #\"foreign-parser\" VARIABLE #\"Illegal foreign function form\" #\"foreign-parser\" FUNCTION #\"Illegal `define' form\" #\"foreign-parser\" MACRO-CNST #\"Illegal `define' form\" #\"foreign-parser\" MACRO-FUNCTION #\"Illegal `#include' form\" #\"foreign-parser\" DONE " );PORT_693_203=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_699_28 );}{obj_t OFFSET_694_10;
{
OFFSET_694_10=BINT( 20 );
{_LOOP_695_254:

if( LT_I( OFFSET_694_10, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_700_201;
AUX_700_201=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_693_203, BEOA );CNST_TABLE_SET( OFFSET_694_10, AUX_700_201 );}
{obj_t OFFSET_701_62;
OFFSET_701_62=OFFSET_694_10;{
OFFSET_694_10=SUB_I( OFFSET_701_62, BINT( 1 ) );
goto _LOOP_695_254;
}}
}}
}}}
{
PARSE_FOREIGN_INITIALISATION_ENV_PARSE_FOREIGN_151=make_fx_procedure( __PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_129, 0, 0 );
PARSE_FOREIGN_ENV_PARSE_FOREIGN_78=make_fx_procedure( __PARSE_FOREIGN_PARSE_FOREIGN_28, 2, 0 );
{
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_129(obj_t ENV_665_76)
#else
__PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_129( ENV_665_76 )
obj_t ENV_665_76;
#endif
{

return PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
}

obj_t
#if defined( __STDC__ )
PARSE_FOREIGN_PARSE_FOREIGN_99(obj_t FOREIGNS_284_218,obj_t IMPORT_EXPORT_285_49)
#else
PARSE_FOREIGN_PARSE_FOREIGN_99( FOREIGNS_284_218, IMPORT_EXPORT_285_49 )
obj_t FOREIGNS_284_218, IMPORT_EXPORT_285_49;
#endif
{

{obj_t FOREIGNS_287_255;
{
FOREIGNS_287_255=FOREIGNS_284_218;
{_LOOP_286_110:

if( NULLP( FOREIGNS_287_255 ))
return CNST_TABLE_REF( 0 );else
{
{obj_t C_CAR_476_147;
C_CAR_476_147=CAR( FOREIGNS_287_255 );FOREIGN_PARSER_PARSE_FOREIGN_144( C_CAR_476_147, IMPORT_EXPORT_285_49 );}
{obj_t C_CDR_477_99;
C_CDR_477_99=CDR( FOREIGNS_287_255 );{
FOREIGNS_287_255=C_CDR_477_99;
goto _LOOP_286_110;
}}
}}
}}
}

obj_t
#if defined( __STDC__ )
__PARSE_FOREIGN_PARSE_FOREIGN_28(obj_t ENV_664_203,obj_t FOREIGNS_284_218,obj_t IMPORT_EXPORT_285_49)
#else
__PARSE_FOREIGN_PARSE_FOREIGN_28( ENV_664_203, FOREIGNS_284_218, IMPORT_EXPORT_285_49 )
obj_t ENV_664_203, FOREIGNS_284_218, IMPORT_EXPORT_285_49;
#endif
{

return PARSE_FOREIGN_PARSE_FOREIGN_99( FOREIGNS_284_218, IMPORT_EXPORT_285_49 );
}

static obj_t
#if defined( __STDC__ )
FOREIGN_PARSER_PARSE_FOREIGN_144(obj_t FOREIGN_288_29,obj_t IMPORT_EXPORT_289_67)
#else
FOREIGN_PARSER_PARSE_FOREIGN_144( FOREIGN_288_29, IMPORT_EXPORT_289_67 )
obj_t FOREIGN_288_29, IMPORT_EXPORT_289_67;
#endif
{

{obj_t STRING_402_200, TYPE_403_73, L_NAME_404_183, PROTO_405_90, C_NAME_406_176, TYPE_412_185, L_NAME_413_130, C_NAME_414_241, TYPE_RES_417_28, B_NAME_418_251, ARGS_419_124, C_NAME_420_137, TYPE_RES_421_102, B_NAME_422_41, C_NAME_423_59, TYPE_424_195, L_NAME_425_253, PROTO_426_1, C_NAME_427_191, TYPE_433_68, L_NAME_434_50, C_NAME_435_43;
if( PAIRP( FOREIGN_288_29 ))
{obj_t CDR_183_300_120;
CDR_183_300_120=CDR( FOREIGN_288_29 );{obj_t OBJ1_486_51;
OBJ1_486_51=CAR( FOREIGN_288_29 );if( EQP( OBJ1_486_51, CNST_TABLE_REF( 17 ) ))
if( PAIRP( CDR_183_300_120 ))
{obj_t OBJ2_488_232;
OBJ2_488_232=BNIL;{obj_t OBJ1_487_140;
OBJ1_487_140=CDR( CDR_183_300_120 );if( EQP( OBJ1_487_140, OBJ2_488_232 ))
{obj_t C_CAR_489_34;
C_CAR_489_34=CAR( CDR_183_300_120 );{
STRING_402_200=C_CAR_489_34;
{
if( STRINGP( STRING_402_200 ))
{obj_t AUX_696_49;
AUX_696_49=MEMBER___R4_PAIRS_AND_LISTS_6_3_147( STRING_402_200, __INCLUDE_FOREIGN__ENGINE_PARAM_233 );if( BBOOL_TO_CBOOL( AUX_696_49 ))
return BFALSE;else
{obj_t OBJ2_484_101;
OBJ2_484_101=__INCLUDE_FOREIGN__ENGINE_PARAM_233;__INCLUDE_FOREIGN__ENGINE_PARAM_233=MAKE_PAIR( STRING_402_200, OBJ2_484_101 );}}else
FAILURE( CNST_TABLE_REF( 1 ), CNST_TABLE_REF( 2 ), FOREIGN_288_29 );}
}}else
if( PAIRP( OBJ1_487_140 ))
{obj_t CDR_1838_303_196;
CDR_1838_303_196=CDR( OBJ1_487_140 );if( PAIRP( CDR_1838_303_196 ))
{obj_t OBJ1_490_149;
OBJ1_490_149=CDR( CDR_1838_303_196 );if( EQP( OBJ1_490_149, OBJ2_488_232 ))
{obj_t C_CAR_493_138;
C_CAR_493_138=CAR( CDR_183_300_120 );{obj_t C_CAR_494_51;
C_CAR_494_51=CAR( OBJ1_487_140 );{obj_t C_CAR_495_140;
C_CAR_495_140=CAR( CDR_1838_303_196 );{
C_NAME_427_191=C_CAR_495_140;
PROTO_426_1=C_CAR_494_51;
L_NAME_425_253=C_CAR_493_138;
TYPE_424_195=OBJ1_486_51;
{_TAG_107_296_13:

{if( STRINGP( C_NAME_427_191 ))
if( SYMBOLP( TYPE_424_195 ))
if( SYMBOLP( L_NAME_425_253 ))
goto _true_0;else
goto _false_1;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t OF_430_255;
OF_430_255=GET_TYPE_FOREIGN_TOOLS_48( TYPE_424_195 );{obj_t FROM_431_67;
{obj_t A_FUNCTION_654_195;
A_FUNCTION_654_195=GET_TYPE_ENV_FOREIGN_TOOLS_166;FROM_431_67=MAP_ON_ARGS__TOOLS_ARGS_20( A_FUNCTION_654_195, PROTO_426_1 );}{obj_t TYPE_432_56;
TYPE_432_56=MAKE_GET_FUNCTION_TYPE__FOREIGN_TOOLS_9( OF_430_255, FROM_431_67 );return DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( L_NAME_425_253, C_NAME_427_191, TYPE_432_56, CNST_TABLE_REF( 9 ) );}}}_false_1:
FAILURE( CNST_TABLE_REF( 10 ), CNST_TABLE_REF( 11 ), FOREIGN_288_29 );;
}}
}}}}else
{_TAG_109_298_78:

FAILURE( CNST_TABLE_REF( 15 ), CNST_TABLE_REF( 16 ), FOREIGN_288_29 );}}else
if( EQP( CDR_1838_303_196, OBJ2_488_232 ))
{obj_t C_CAR_499_110;
C_CAR_499_110=CAR( CDR_183_300_120 );{obj_t C_CAR_500_97;
C_CAR_500_97=CAR( OBJ1_487_140 );{
C_NAME_435_43=C_CAR_500_97;
L_NAME_434_50=C_CAR_499_110;
TYPE_433_68=OBJ1_486_51;
{_TAG_108_297_130:

{if( STRINGP( C_NAME_435_43 ))
if( SYMBOLP( L_NAME_434_50 ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t TYPE_437_107;
TYPE_437_107=GET_TYPE_FOREIGN_TOOLS_48( TYPE_433_68 );{obj_t OBJ1_480_170;
OBJ1_480_170=STRUCT_SLOT_REF( TYPE_437_107, BINT( 2 ) );if( EQP( OBJ1_480_170, CNST_TABLE_REF( 9 ) ))
return DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( L_NAME_434_50, C_NAME_435_43, TYPE_437_107, CNST_TABLE_REF( 9 ) );else
return DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( L_NAME_434_50, C_NAME_435_43, TYPE_437_107, CNST_TABLE_REF( 12 ) );}}_false_4:
FAILURE( CNST_TABLE_REF( 13 ), CNST_TABLE_REF( 14 ), FOREIGN_288_29 );;
}}
}}}else
goto _TAG_109_298_78;}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;else
if( EQP( OBJ1_486_51, CNST_TABLE_REF( 18 ) ))
{
return PARSE_TYPE_FOREIGN_PARSE_100( FOREIGN_288_29 );}else
if( EQP( OBJ1_486_51, CNST_TABLE_REF( 19 ) ))
if( PAIRP( CDR_183_300_120 ))
{obj_t CDR_1435_307_82;
CDR_1435_307_82=CDR( CDR_183_300_120 );if( PAIRP( CDR_1435_307_82 ))
{obj_t CDR_1488_308_241;
CDR_1488_308_241=CDR( CDR_1435_307_82 );if( PAIRP( CDR_1488_308_241 ))
{obj_t CDR_1560_309_210;
CDR_1560_309_210=CDR( CDR_1488_308_241 );if( PAIRP( CDR_1560_309_210 ))
{obj_t OBJ2_504_169;
OBJ2_504_169=BNIL;{obj_t OBJ1_503_67;
OBJ1_503_67=CDR( CDR_1560_309_210 );if( EQP( OBJ1_503_67, OBJ2_504_169 ))
{obj_t C_CAR_505_14;
C_CAR_505_14=CAR( CDR_183_300_120 );{obj_t C_CAR_506_110;
C_CAR_506_110=CAR( CDR_1435_307_82 );{obj_t C_CAR_507_25;
C_CAR_507_25=CAR( CDR_1488_308_241 );{obj_t C_CAR_508_27;
C_CAR_508_27=CAR( CDR_1560_309_210 );{
C_NAME_406_176=C_CAR_508_27;
PROTO_405_90=C_CAR_507_25;
L_NAME_404_183=C_CAR_506_110;
TYPE_403_73=C_CAR_505_14;
{
{if( STRINGP( C_NAME_406_176 ))
if( SYMBOLP( TYPE_403_73 ))
if( SYMBOLP( L_NAME_404_183 ))
goto _true_6;else
goto _false_7;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t OF_409_163;
OF_409_163=GET_TYPE_FOREIGN_TOOLS_48( TYPE_403_73 );{obj_t FROM_410_55;
{obj_t A_FUNCTION_659_26;
A_FUNCTION_659_26=GET_TYPE_ENV_FOREIGN_TOOLS_166;FROM_410_55=MAP_ON_ARGS__TOOLS_ARGS_20( A_FUNCTION_659_26, PROTO_405_90 );}{obj_t TYPE_411_164;
TYPE_411_164=MAKE_GET_FUNCTION_TYPE__FOREIGN_TOOLS_9( OF_409_163, FROM_410_55 );return DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( L_NAME_404_183, C_NAME_406_176, TYPE_411_164, CNST_TABLE_REF( 3 ) );}}}_false_7:
FAILURE( CNST_TABLE_REF( 4 ), CNST_TABLE_REF( 5 ), FOREIGN_288_29 );;
}}
}}}}}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_510_22;
OBJ2_510_22=BNIL;if( EQP( CDR_1560_309_210, OBJ2_510_22 ))
{obj_t C_CAR_511_23;
C_CAR_511_23=CAR( CDR_183_300_120 );{obj_t C_CAR_512_37;
C_CAR_512_37=CAR( CDR_1435_307_82 );{obj_t C_CAR_513_69;
C_CAR_513_69=CAR( CDR_1488_308_241 );{
C_NAME_414_241=C_CAR_513_69;
L_NAME_413_130=C_CAR_512_37;
TYPE_412_185=C_CAR_511_23;
{
{if( STRINGP( C_NAME_414_241 ))
if( SYMBOLP( TYPE_412_185 ))
if( SYMBOLP( L_NAME_413_130 ))
goto _true_9;else
goto _false_10;else
goto _false_10;else
goto _false_10;_true_9:
{obj_t AUX_697_213;
AUX_697_213=GET_TYPE_FOREIGN_TOOLS_48( TYPE_412_185 );return DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( L_NAME_413_130, C_NAME_414_241, AUX_697_213, CNST_TABLE_REF( 6 ) );}_false_10:
FAILURE( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), FOREIGN_288_29 );;
}}
}}}}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_515_181;
OBJ2_515_181=BNIL;if( EQP( CDR_1488_308_241, OBJ2_515_181 ))
{obj_t C_CAR_517_184;
C_CAR_517_184=CAR( CDR_183_300_120 );{obj_t C_CAR_518_44;
C_CAR_518_44=CAR( CDR_1435_307_82 );{
C_NAME_435_43=C_CAR_518_44;
L_NAME_434_50=C_CAR_517_184;
TYPE_433_68=OBJ1_486_51;
goto _TAG_108_297_130;
}}}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;}else
goto _TAG_109_298_78;else
if( EQP( OBJ1_486_51, CNST_TABLE_REF( 20 ) ))
if( PAIRP( CDR_183_300_120 ))
{obj_t CAR_342_317_197, CDR_343_316_106;
CAR_342_317_197=CAR( CDR_183_300_120 );CDR_343_316_106=CDR( CDR_183_300_120 );if( SYMBOLP( CAR_342_317_197 ))
if( PAIRP( CDR_343_316_106 ))
{obj_t CAR_641_319_215, CDR_642_318_148;
CAR_641_319_215=CAR( CDR_343_316_106 );CDR_642_318_148=CDR( CDR_343_316_106 );if( SYMBOLP( CAR_641_319_215 ))
if( PAIRP( CDR_642_318_148 ))
{obj_t CAR_939_321_119, CDR_940_320_172;
CAR_939_321_119=CAR( CDR_642_318_148 );CDR_940_320_172=CDR( CDR_642_318_148 );{obj_t AUX_698_210;
AUX_698_210=LIST____R4_PAIRS_AND_LISTS_6_3_14( CAR_939_321_119 );if( BBOOL_TO_CBOOL( AUX_698_210 ))
if( PAIRP( CDR_940_320_172 ))
{obj_t CAR_1319_322_73;
CAR_1319_322_73=CAR( CDR_940_320_172 );if( STRINGP( CAR_1319_322_73 ))
{obj_t OBJ2_521_29;
OBJ2_521_29=BNIL;{obj_t OBJ1_520_188;
OBJ1_520_188=CDR( CDR_940_320_172 );if( EQP( OBJ1_520_188, OBJ2_521_29 ))
{
C_NAME_420_137=CAR_1319_322_73;
ARGS_419_124=CAR_939_321_119;
B_NAME_418_251=CAR_641_319_215;
TYPE_RES_417_28=CAR_342_317_197;
{
return REMEMBER_EXPORTED_BIGLOO_FUNCTION__FOREIGN_EXPORT_128( TYPE_RES_417_28, B_NAME_418_251, ARGS_419_124, C_NAME_420_137, IMPORT_EXPORT_289_67 );}
}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;}else
{obj_t CDR_1135_323_137;
CDR_1135_323_137=CDR( FOREIGN_288_29 );{obj_t CAR_1142_325_55, CDR_1143_324_34;
CAR_1142_325_55=CAR( CDR_1135_323_137 );CDR_1143_324_34=CDR( CDR_1135_323_137 );if( SYMBOLP( CAR_1142_325_55 ))
{obj_t CAR_1197_327_65, CDR_1198_326_209;
CAR_1197_327_65=CAR( CDR_1143_324_34 );CDR_1198_326_209=CDR( CDR_1143_324_34 );if( SYMBOLP( CAR_1197_327_65 ))
{obj_t CAR_1250_328_207;
CAR_1250_328_207=CAR( CDR_1198_326_209 );if( STRINGP( CAR_1250_328_207 ))
{obj_t OBJ2_523_185;
OBJ2_523_185=BNIL;{obj_t OBJ1_522_36;
OBJ1_522_36=CDR( CDR_1198_326_209 );if( EQP( OBJ1_522_36, OBJ2_523_185 ))
{
C_NAME_423_59=CAR_1250_328_207;
B_NAME_422_41=CAR_1197_327_65;
TYPE_RES_421_102=CAR_1142_325_55;
{_TAG_106_295_19:

return REMEMBER_EXPORTED_BIGLOO_VARIABLE__FOREIGN_EXPORT_233( TYPE_RES_421_102, B_NAME_422_41, C_NAME_423_59, IMPORT_EXPORT_289_67 );}
}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_525_143;
OBJ2_525_143=BNIL;{obj_t OBJ1_524_30;
OBJ1_524_30=CDR( CDR_1198_326_209 );if( EQP( OBJ1_524_30, OBJ2_525_143 ))
{obj_t C_CAR_526_75;
C_CAR_526_75=CAR( FOREIGN_288_29 );{
C_NAME_427_191=CAR_1250_328_207;
PROTO_426_1=CAR_1197_327_65;
L_NAME_425_253=CAR_1142_325_55;
TYPE_424_195=C_CAR_526_75;
goto _TAG_107_296_13;
}}else
goto _TAG_109_298_78;}}}else
{obj_t OBJ2_531_167;
OBJ2_531_167=BNIL;{obj_t OBJ1_530_56;
OBJ1_530_56=CDR( CDR_1198_326_209 );if( EQP( OBJ1_530_56, OBJ2_531_167 ))
{obj_t C_CAR_532_187;
C_CAR_532_187=CAR( FOREIGN_288_29 );{obj_t C_CAR_535_18;
C_CAR_535_18=CAR( CDR_1198_326_209 );{
C_NAME_427_191=C_CAR_535_18;
PROTO_426_1=CAR_1197_327_65;
L_NAME_425_253=CAR_1142_325_55;
TYPE_424_195=C_CAR_532_187;
goto _TAG_107_296_13;
}}}else
goto _TAG_109_298_78;}}}else
{obj_t CDR_1176_337_49;
CDR_1176_337_49=CDR( CDR_1143_324_34 );{obj_t OBJ2_537_144;
OBJ2_537_144=BNIL;{obj_t OBJ1_536_87;
OBJ1_536_87=CDR( CDR_1176_337_49 );if( EQP( OBJ1_536_87, OBJ2_537_144 ))
{obj_t C_CAR_538_43;
C_CAR_538_43=CAR( FOREIGN_288_29 );{obj_t C_CAR_540_17;
C_CAR_540_17=CAR( CDR_1143_324_34 );{obj_t C_CAR_541_127;
C_CAR_541_127=CAR( CDR_1176_337_49 );{
C_NAME_427_191=C_CAR_541_127;
PROTO_426_1=C_CAR_540_17;
L_NAME_425_253=CAR_1142_325_55;
TYPE_424_195=C_CAR_538_43;
goto _TAG_107_296_13;
}}}}else
goto _TAG_109_298_78;}}}}}else
{obj_t CDR_955_338_98;
CDR_955_338_98=CDR( FOREIGN_288_29 );{obj_t CAR_961_340_7, CDR_962_339_100;
CAR_961_340_7=CAR( CDR_955_338_98 );CDR_962_339_100=CDR( CDR_955_338_98 );if( SYMBOLP( CAR_961_340_7 ))
{obj_t CAR_1010_342_75, CDR_1011_341_228;
CAR_1010_342_75=CAR( CDR_962_339_100 );CDR_1011_341_228=CDR( CDR_962_339_100 );if( SYMBOLP( CAR_1010_342_75 ))
{obj_t CAR_1057_343_65;
CAR_1057_343_65=CAR( CDR_1011_341_228 );if( STRINGP( CAR_1057_343_65 ))
{obj_t OBJ2_543_17;
OBJ2_543_17=BNIL;{obj_t OBJ1_542_37;
OBJ1_542_37=CDR( CDR_1011_341_228 );if( EQP( OBJ1_542_37, OBJ2_543_17 ))
{
C_NAME_423_59=CAR_1057_343_65;
B_NAME_422_41=CAR_1010_342_75;
TYPE_RES_421_102=CAR_961_340_7;
goto _TAG_106_295_19;
}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_545_20;
OBJ2_545_20=BNIL;{obj_t OBJ1_544_39;
OBJ1_544_39=CDR( CDR_1011_341_228 );if( EQP( OBJ1_544_39, OBJ2_545_20 ))
{obj_t C_CAR_546_20;
C_CAR_546_20=CAR( FOREIGN_288_29 );{
C_NAME_427_191=CAR_1057_343_65;
PROTO_426_1=CAR_1010_342_75;
L_NAME_425_253=CAR_961_340_7;
TYPE_424_195=C_CAR_546_20;
goto _TAG_107_296_13;
}}else
goto _TAG_109_298_78;}}}else
{obj_t OBJ2_551_2;
OBJ2_551_2=BNIL;{obj_t OBJ1_550_97;
OBJ1_550_97=CDR( CDR_1011_341_228 );if( EQP( OBJ1_550_97, OBJ2_551_2 ))
{obj_t C_CAR_552_186;
C_CAR_552_186=CAR( FOREIGN_288_29 );{obj_t C_CAR_555_15;
C_CAR_555_15=CAR( CDR_1011_341_228 );{
C_NAME_427_191=C_CAR_555_15;
PROTO_426_1=CAR_1010_342_75;
L_NAME_425_253=CAR_961_340_7;
TYPE_424_195=C_CAR_552_186;
goto _TAG_107_296_13;
}}}else
goto _TAG_109_298_78;}}}else
{obj_t CDR_992_352_45;
CDR_992_352_45=CDR( CDR_962_339_100 );{obj_t OBJ2_557_186;
OBJ2_557_186=BNIL;{obj_t OBJ1_556_110;
OBJ1_556_110=CDR( CDR_992_352_45 );if( EQP( OBJ1_556_110, OBJ2_557_186 ))
{obj_t C_CAR_558_223;
C_CAR_558_223=CAR( FOREIGN_288_29 );{obj_t C_CAR_560_56;
C_CAR_560_56=CAR( CDR_962_339_100 );{obj_t C_CAR_561_68;
C_CAR_561_68=CAR( CDR_992_352_45 );{
C_NAME_427_191=C_CAR_561_68;
PROTO_426_1=C_CAR_560_56;
L_NAME_425_253=CAR_961_340_7;
TYPE_424_195=C_CAR_558_223;
goto _TAG_107_296_13;
}}}}else
goto _TAG_109_298_78;}}}}}}}else
{obj_t OBJ2_563_81;
OBJ2_563_81=BNIL;if( EQP( CDR_642_318_148, OBJ2_563_81 ))
{
C_NAME_435_43=CAR_641_319_215;
L_NAME_434_50=CAR_342_317_197;
TYPE_433_68=OBJ1_486_51;
goto _TAG_108_297_130;
}else
goto _TAG_109_298_78;}else
if( PAIRP( CDR_642_318_148 ))
{obj_t OBJ2_581_222;
OBJ2_581_222=BNIL;{obj_t OBJ1_580_169;
OBJ1_580_169=CDR( CDR_642_318_148 );if( EQP( OBJ1_580_169, OBJ2_581_222 ))
{obj_t C_CAR_585_164;
C_CAR_585_164=CAR( CDR_642_318_148 );{
C_NAME_427_191=C_CAR_585_164;
PROTO_426_1=CAR_641_319_215;
L_NAME_425_253=CAR_342_317_197;
TYPE_424_195=OBJ1_486_51;
goto _TAG_107_296_13;
}}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_587_248;
OBJ2_587_248=BNIL;if( EQP( CDR_642_318_148, OBJ2_587_248 ))
{
C_NAME_435_43=CAR_641_319_215;
L_NAME_434_50=CAR_342_317_197;
TYPE_433_68=OBJ1_486_51;
goto _TAG_108_297_130;
}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;else
if( PAIRP( CDR_343_316_106 ))
{obj_t CDR_391_394_54;
CDR_391_394_54=CDR( CDR_343_316_106 );if( PAIRP( CDR_391_394_54 ))
{obj_t OBJ2_627_174;
OBJ2_627_174=BNIL;{obj_t OBJ1_626_220;
OBJ1_626_220=CDR( CDR_391_394_54 );if( EQP( OBJ1_626_220, OBJ2_627_174 ))
{obj_t C_CAR_630_109;
C_CAR_630_109=CAR( CDR_343_316_106 );{obj_t C_CAR_631_47;
C_CAR_631_47=CAR( CDR_391_394_54 );{
C_NAME_427_191=C_CAR_631_47;
PROTO_426_1=C_CAR_630_109;
L_NAME_425_253=CAR_342_317_197;
TYPE_424_195=OBJ1_486_51;
goto _TAG_107_296_13;
}}}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_633_197;
OBJ2_633_197=BNIL;if( EQP( CDR_391_394_54, OBJ2_633_197 ))
{obj_t C_CAR_636_53;
C_CAR_636_53=CAR( CDR_343_316_106 );{
C_NAME_435_43=C_CAR_636_53;
L_NAME_434_50=CAR_342_317_197;
TYPE_433_68=OBJ1_486_51;
goto _TAG_108_297_130;
}}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;}else
goto _TAG_109_298_78;else
if( PAIRP( CDR_183_300_120 ))
{obj_t CDR_260_398_35;
CDR_260_398_35=CDR( CDR_183_300_120 );if( PAIRP( CDR_260_398_35 ))
{obj_t CDR_273_399_88;
CDR_273_399_88=CDR( CDR_260_398_35 );if( PAIRP( CDR_273_399_88 ))
{obj_t OBJ2_638_173;
OBJ2_638_173=BNIL;{obj_t OBJ1_637_1;
OBJ1_637_1=CDR( CDR_273_399_88 );if( EQP( OBJ1_637_1, OBJ2_638_173 ))
{obj_t C_CAR_640_41;
C_CAR_640_41=CAR( CDR_183_300_120 );{obj_t C_CAR_641_254;
C_CAR_641_254=CAR( CDR_260_398_35 );{obj_t C_CAR_642_168;
C_CAR_642_168=CAR( CDR_273_399_88 );{
C_NAME_427_191=C_CAR_642_168;
PROTO_426_1=C_CAR_641_254;
L_NAME_425_253=C_CAR_640_41;
TYPE_424_195=OBJ1_486_51;
goto _TAG_107_296_13;
}}}}else
goto _TAG_109_298_78;}}else
{obj_t OBJ2_644_228;
OBJ2_644_228=BNIL;if( EQP( CDR_273_399_88, OBJ2_644_228 ))
{obj_t C_CAR_646_156;
C_CAR_646_156=CAR( CDR_183_300_120 );{obj_t C_CAR_647_241;
C_CAR_647_241=CAR( CDR_260_398_35 );{
C_NAME_435_43=C_CAR_647_241;
L_NAME_434_50=C_CAR_646_156;
TYPE_433_68=OBJ1_486_51;
goto _TAG_108_297_130;
}}}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;}else
goto _TAG_109_298_78;}}else
goto _TAG_109_298_78;}
}

