/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/load.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __PARSE_LOAD_INITIALISATION_PARSE_LOAD_52(obj_t);
#else
extern obj_t __PARSE_LOAD_INITIALISATION_PARSE_LOAD_52();
#endif
extern obj_t __HELLO___ENGINE_PARAM_34;
extern obj_t __PASS__ENGINE_PARAM_158;
extern obj_t __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38;
extern obj_t __LIB_DIR__ENGINE_PARAM_17;
extern obj_t __TMP_DEST__ENGINE_PARAM_178;
obj_t PARSE_LOAD_ENV_PARSE_LOAD_229 = BUNSPEC;
extern obj_t string_append();
extern obj_t bigloo_exit();
extern obj_t __BIGLOO_ARGS__ENGINE_PARAM_242;
extern obj_t __INLINING___ENGINE_PARAM_72;
extern obj_t __GCC__ENGINE_PARAM_152;
extern obj_t __UNSAFE_VERSION__ENGINE_PARAM_178;
extern obj_t __WITH_FILES__ENGINE_PARAM_94;
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
extern obj_t __REST_ARGS__ENGINE_PARAM_83;
extern obj_t __SHARED_DATA__ENGINE_PARAM_73;
extern obj_t __BIGLOO_DATE__ENGINE_PARAM_166;
extern obj_t __UNSAFE_ARITY__ENGINE_PARAM_35;
extern obj_t __IMMEDIAT_ERROR__ENGINE_PARAM_186;
extern obj_t __CC__ENGINE_PARAM_217;
extern obj_t __USED_MODULES__ENGINE_PARAM_128;
extern obj_t __INDENT_OPT__ENGINE_PARAM_210;
extern obj_t __BIGLOO_TMP__ENGINE_PARAM_238;
extern obj_t input_port_display_error();
extern obj_t DEFINE_PRIMOP____EVENV_88();
#if defined( __STDC__ )
static obj_t DO_LOAD_LOAD_PARSE_LOAD_244(obj_t, obj_t);
#else
static obj_t DO_LOAD_LOAD_PARSE_LOAD_244();
#endif
extern obj_t __ALPHA__ENGINE_PARAM_16;
extern obj_t ___EVENV_INITIALISATION___EVENV_87();
extern obj_t DEFINE_PRIMOP_REF____EVENV_25();
extern obj_t __ANSI_CC__ENGINE_PARAM_147;
extern obj_t __EVAL___ENGINE_PARAM_137;
#if defined( __STDC__ )
static obj_t __DO_LOAD_LOAD_PARSE_LOAD_166(obj_t, obj_t, obj_t);
#else
static obj_t __DO_LOAD_LOAD_PARSE_LOAD_166();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t __BIGLOO_USER_LIB__ENGINE_PARAM_144;
extern obj_t current_error_port;
extern obj_t __STRIP__ENGINE_PARAM_176;
static obj_t DO_LOAD_LOAD_ENV_PARSE_LOAD_203 = BUNSPEC;
extern obj_t __HEAP_NAMES__ENGINE_PARAM_198;
extern obj_t __ACCESS_TABLE__ENGINE_PARAM_223;
extern obj_t __CALL_CC___ENGINE_PARAM_225;
extern obj_t LOADQ___EVAL_117();
#if defined( __STDC__ )
extern obj_t __PARSE_LOAD_PARSE_LOAD_248(obj_t, obj_t);
#else
extern obj_t __PARSE_LOAD_PARSE_LOAD_248();
#endif
extern obj_t __PP_ENV_MODE__ENGINE_PARAM_88;
static obj_t __cnst[ 17 ] ;
extern obj_t __HEAP__STACK___ENGINE_PARAM_121;
extern obj_t __BIGLOO_AUTHOR__ENGINE_PARAM_117;
extern obj_t __BIGLOO_LIB__ENGINE_PARAM_173;
extern obj_t __MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220;
extern obj_t WARNING___ERROR_212();
extern obj_t __ACCESS_FILE__ENGINE_PARAM_128;
extern obj_t __BIGLOO_LEVEL__ENGINE_PARAM_102;
extern obj_t ___EVAL_INITIALISATION___EVAL_167();
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
extern obj_t READ___READER_198;
extern obj_t __MAIN__ENGINE_PARAM_206;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
extern obj_t __DEBUG__ENGINE_PARAM_124;
extern obj_t __OPTIM_CONS__ENGINE_PARAM_11;
extern obj_t __LIB_MODE__ENGINE_PARAM_204;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
extern obj_t __INIT_FUNCTIONS__ENGINE_PARAM_79;
#if defined( __STDC__ )
extern obj_t PARSE_LOAD_PARSE_LOAD_44(obj_t);
#else
extern obj_t PARSE_LOAD_PARSE_LOAD_44();
#endif
static obj_t REQUIRE_INITIALISATION__PARSE_LOAD_15 = BUNSPEC;
extern obj_t __INDENT__ENGINE_PARAM_11;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t __STARTUP_FILE__ENGINE_PARAM_238;
extern obj_t c_constant_string_to_string();
extern obj_t __INTERPRETER__ENGINE_PARAM_56;
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t __INLINE_LEVEL_MAX__ENGINE_PARAM_37;
extern obj_t __SUPERLIFT___ENGINE_PARAM_176;
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t __UNSAFE_STRUCT__ENGINE_PARAM_114;
extern obj_t __UNSAFE_TYPE__ENGINE_PARAM_0;
extern obj_t __ASSERT__ENGINE_PARAM_193;
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
extern obj_t __INCLUDE_DIR__ENGINE_PARAM_87;
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t __HEAP_APPEND___ENGINE_PARAM_226;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t __BIGLOO_EMAIL__ENGINE_PARAM_152;
extern obj_t __ORDER_INIT_MODULES__ENGINE_PARAM_218;
extern obj_t make_fx_procedure();
extern obj_t __OPTIM__ENGINE_PARAM_213;
extern obj_t __UNSAFE_RANGE__ENGINE_PARAM_44;
extern obj_t __INCLUDE_FOREIGN__ENGINE_PARAM_233;
extern obj_t __AUTO_MODE__ENGINE_PARAM_50;
extern obj_t PARSE_LOAD_INITIALISATION_PARSE_LOAD_120();
extern obj_t __RM_C_FILES__ENGINE_PARAM_78;
extern obj_t __C_DEBUG__ENGINE_PARAM_235;
extern obj_t __FULL_TAIL_RECURSION___ENGINE_PARAM_69;
extern obj_t NOTIFY_ERROR___ERROR_187();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t __GENERICITY__ENGINE_PARAM_247;
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
obj_t PARSE_LOAD_INITIALISATION_ENV_PARSE_LOAD_0 = BUNSPEC;
extern obj_t __SILENT__ENGINE_PARAM_5;
extern obj_t __EXTEND_ENTRY__ENGINE_PARAM_58;
extern obj_t __BIGLOO_CMD_NAME__ENGINE_PARAM_32;
extern obj_t __SEPARATEUR__ENGINE_PARAM_50;
extern obj_t __O_FILES__ENGINE_PARAM_130;
extern obj_t __DEST__ENGINE_PARAM_232;
extern obj_t __CC_OPTIONS__ENGINE_PARAM_175;
extern obj_t __ERROR_SHAPE__ENGINE_PARAM_65;
extern obj_t __LD_OPTIONS__ENGINE_PARAM_252;
extern obj_t __EXTRA_DEBUG__ENGINE_PARAM_233;
extern obj_t __VERBOSE__ENGINE_PARAM_98;
extern obj_t __C_DEBUG_OPTION__ENGINE_PARAM_31;
extern obj_t INITIALISATION_NAME_ENV_ENGINE_PARAM_37;
extern obj_t __BIGLOO_NAME__ENGINE_PARAM_173;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t TAG_101_225_90();
static obj_t TAG_102_226_108();
static obj_t HANDLER_236_107();
static obj_t ESCAPE_241_231();
static obj_t ESCAPE_311_153();

obj_t
#if defined( __STDC__ )
PARSE_LOAD_INITIALISATION_PARSE_LOAD_120()
#else
PARSE_LOAD_INITIALISATION_PARSE_LOAD_120()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_LOAD_15 ))
{
REQUIRE_INITIALISATION__PARSE_LOAD_15=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
___EVENV_INITIALISATION___EVENV_87();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
___EVAL_INITIALISATION___EVAL_167();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 17 ]  );
{obj_t PORT_332_133;
{obj_t AUX_338_183;
AUX_338_183=c_constant_string_to_string( "#\"Illegal module declaration\" #\"do-load-load\" #\"module-declaration\" #\"conflict in module's name -- \" #\" vs \" MODULE #\"(file \" #\")\" #\"Can't open such file\" #\"do-load-load\" #\"      [reading loaded module \" #\"]\" #\"Can't load module\" #\"parse-load\" #\"Illegal clause\" #\"parse-load\" DONE " );PORT_332_133=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_338_183 );}{obj_t OFFSET_333_203;
{
OFFSET_333_203=BINT( 16 );
{_LOOP_334_61:

if( LT_I( OFFSET_333_203, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_339_167;
AUX_339_167=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_332_133, BEOA );CNST_TABLE_SET( OFFSET_333_203, AUX_339_167 );}
{obj_t OFFSET_340_211;
OFFSET_340_211=OFFSET_333_203;{
OFFSET_333_203=SUB_I( OFFSET_340_211, BINT( 1 ) );
goto _LOOP_334_61;
}}
}}
}}}
{
PARSE_LOAD_INITIALISATION_ENV_PARSE_LOAD_0=make_fx_procedure( __PARSE_LOAD_INITIALISATION_PARSE_LOAD_52, 0, 0 );
PARSE_LOAD_ENV_PARSE_LOAD_229=make_fx_procedure( __PARSE_LOAD_PARSE_LOAD_248, 1, 0 );
DO_LOAD_LOAD_ENV_PARSE_LOAD_203=make_fx_procedure( __DO_LOAD_LOAD_PARSE_LOAD_166, 2, 0 );
{
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-NAME*" ), LOCATION( __BIGLOO_NAME__ENGINE_PARAM_173 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*C-DEBUG-OPTION*" ), LOCATION( __C_DEBUG_OPTION__ENGINE_PARAM_31 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*VERBOSE*" ), LOCATION( __VERBOSE__ENGINE_PARAM_98 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EXTRA-DEBUG*" ), LOCATION( __EXTRA_DEBUG__ENGINE_PARAM_233 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LD-OPTIONS*" ), LOCATION( __LD_OPTIONS__ENGINE_PARAM_252 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ERROR-SHAPE*" ), LOCATION( __ERROR_SHAPE__ENGINE_PARAM_65 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CC-OPTIONS*" ), LOCATION( __CC_OPTIONS__ENGINE_PARAM_175 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*DEST*" ), LOCATION( __DEST__ENGINE_PARAM_232 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*O-FILES*" ), LOCATION( __O_FILES__ENGINE_PARAM_130 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SEPARATEUR*" ), LOCATION( __SEPARATEUR__ENGINE_PARAM_50 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-CMD-NAME*" ), LOCATION( __BIGLOO_CMD_NAME__ENGINE_PARAM_32 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EXTEND-ENTRY*" ), LOCATION( __EXTEND_ENTRY__ENGINE_PARAM_58 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SILENT*" ), LOCATION( __SILENT__ENGINE_PARAM_5 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*GENERICITY*" ), LOCATION( __GENERICITY__ENGINE_PARAM_247 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*FULL-TAIL-RECURSION?*" ), LOCATION( __FULL_TAIL_RECURSION___ENGINE_PARAM_69 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*C-DEBUG*" ), LOCATION( __C_DEBUG__ENGINE_PARAM_235 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*RM-C-FILES*" ), LOCATION( __RM_C_FILES__ENGINE_PARAM_78 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*AUTO-MODE*" ), LOCATION( __AUTO_MODE__ENGINE_PARAM_50 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INCLUDE-FOREIGN*" ), LOCATION( __INCLUDE_FOREIGN__ENGINE_PARAM_233 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-RANGE*" ), LOCATION( __UNSAFE_RANGE__ENGINE_PARAM_44 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*OPTIM*" ), LOCATION( __OPTIM__ENGINE_PARAM_213 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ORDER-INIT-MODULES*" ), LOCATION( __ORDER_INIT_MODULES__ENGINE_PARAM_218 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-EMAIL*" ), LOCATION( __BIGLOO_EMAIL__ENGINE_PARAM_152 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP-APPEND?*" ), LOCATION( __HEAP_APPEND___ENGINE_PARAM_226 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INCLUDE-DIR*" ), LOCATION( __INCLUDE_DIR__ENGINE_PARAM_87 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ASSERT*" ), LOCATION( __ASSERT__ENGINE_PARAM_193 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-TYPE*" ), LOCATION( __UNSAFE_TYPE__ENGINE_PARAM_0 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-STRUCT*" ), LOCATION( __UNSAFE_STRUCT__ENGINE_PARAM_114 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SUPERLIFT?*" ), LOCATION( __SUPERLIFT___ENGINE_PARAM_176 ) );
{obj_t A_FUNCTION_283_191;
A_FUNCTION_283_191=INITIALISATION_NAME_ENV_ENGINE_PARAM_37;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "INITIALISATION-NAME" ), A_FUNCTION_283_191 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INLINE-LEVEL-MAX*" ), LOCATION( __INLINE_LEVEL_MAX__ENGINE_PARAM_37 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INTERPRETER*" ), LOCATION( __INTERPRETER__ENGINE_PARAM_56 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*STARTUP-FILE*" ), LOCATION( __STARTUP_FILE__ENGINE_PARAM_238 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INDENT*" ), LOCATION( __INDENT__ENGINE_PARAM_11 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INIT-FUNCTIONS*" ), LOCATION( __INIT_FUNCTIONS__ENGINE_PARAM_79 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LIB-MODE*" ), LOCATION( __LIB_MODE__ENGINE_PARAM_204 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*OPTIM-CONS*" ), LOCATION( __OPTIM_CONS__ENGINE_PARAM_11 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*DEBUG*" ), LOCATION( __DEBUG__ENGINE_PARAM_124 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MAIN*" ), LOCATION( __MAIN__ENGINE_PARAM_206 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SRC*" ), LOCATION( __SRC__ENGINE_PARAM_53 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MODULE-NAME*" ), LOCATION( __MODULE_NAME__ENGINE_PARAM_191 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-LEVEL*" ), LOCATION( __BIGLOO_LEVEL__ENGINE_PARAM_102 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ACCESS-FILE*" ), LOCATION( __ACCESS_FILE__ENGINE_PARAM_128 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*MAX-STACK-ALLOCATION-SIZE*" ), LOCATION( __MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-LIB*" ), LOCATION( __BIGLOO_LIB__ENGINE_PARAM_173 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-AUTHOR*" ), LOCATION( __BIGLOO_AUTHOR__ENGINE_PARAM_117 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP->STACK?*" ), LOCATION( __HEAP__STACK___ENGINE_PARAM_121 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*PP-ENV-MODE*" ), LOCATION( __PP_ENV_MODE__ENGINE_PARAM_88 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CALL/CC?*" ), LOCATION( __CALL_CC___ENGINE_PARAM_225 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ACCESS-TABLE*" ), LOCATION( __ACCESS_TABLE__ENGINE_PARAM_223 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HEAP-NAMES*" ), LOCATION( __HEAP_NAMES__ENGINE_PARAM_198 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*STRIP*" ), LOCATION( __STRIP__ENGINE_PARAM_176 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-USER-LIB*" ), LOCATION( __BIGLOO_USER_LIB__ENGINE_PARAM_144 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*EVAL?*" ), LOCATION( __EVAL___ENGINE_PARAM_137 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ANSI-CC*" ), LOCATION( __ANSI_CC__ENGINE_PARAM_147 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*ALPHA*" ), LOCATION( __ALPHA__ENGINE_PARAM_16 ) );
{obj_t A_FUNCTION_284_137;
A_FUNCTION_284_137=DO_LOAD_LOAD_ENV_PARSE_LOAD_203;DEFINE_PRIMOP____EVENV_88( c_string_to_symbol( "DO-LOAD-LOAD" ), A_FUNCTION_284_137 );}
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-TMP*" ), LOCATION( __BIGLOO_TMP__ENGINE_PARAM_238 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INDENT-OPT*" ), LOCATION( __INDENT_OPT__ENGINE_PARAM_210 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*USED-MODULES*" ), LOCATION( __USED_MODULES__ENGINE_PARAM_128 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*CC*" ), LOCATION( __CC__ENGINE_PARAM_217 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*IMMEDIAT-ERROR*" ), LOCATION( __IMMEDIAT_ERROR__ENGINE_PARAM_186 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-ARITY*" ), LOCATION( __UNSAFE_ARITY__ENGINE_PARAM_35 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-DATE*" ), LOCATION( __BIGLOO_DATE__ENGINE_PARAM_166 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*SHARED-DATA*" ), LOCATION( __SHARED_DATA__ENGINE_PARAM_73 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*REST-ARGS*" ), LOCATION( __REST_ARGS__ENGINE_PARAM_83 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*WITH-FILES*" ), LOCATION( __WITH_FILES__ENGINE_PARAM_94 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*UNSAFE-VERSION*" ), LOCATION( __UNSAFE_VERSION__ENGINE_PARAM_178 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*GCC*" ), LOCATION( __GCC__ENGINE_PARAM_152 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*INLINING?*" ), LOCATION( __INLINING___ENGINE_PARAM_72 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-ARGS*" ), LOCATION( __BIGLOO_ARGS__ENGINE_PARAM_242 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*TMP-DEST*" ), LOCATION( __TMP_DEST__ENGINE_PARAM_178 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*LIB-DIR*" ), LOCATION( __LIB_DIR__ENGINE_PARAM_17 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*BIGLOO-USER-INCLUDES*" ), LOCATION( __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*PASS*" ), LOCATION( __PASS__ENGINE_PARAM_158 ) );
DEFINE_PRIMOP_REF____EVENV_25( c_string_to_symbol( "*HELLO?*" ), LOCATION( __HELLO___ENGINE_PARAM_34 ) );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_LOAD_INITIALISATION_PARSE_LOAD_52(obj_t ENV_326_230)
#else
__PARSE_LOAD_INITIALISATION_PARSE_LOAD_52( ENV_326_230 )
obj_t ENV_326_230;
#endif
{

return PARSE_LOAD_INITIALISATION_PARSE_LOAD_120();
}

obj_t
#if defined( __STDC__ )
PARSE_LOAD_PARSE_LOAD_44(obj_t CLAUSE_222_227)
#else
PARSE_LOAD_PARSE_LOAD_44( CLAUSE_222_227 )
obj_t CLAUSE_222_227;
#endif
{

{obj_t L_224_149;
{obj_t C_CDR_268_169;
C_CDR_268_169=CDR( CLAUSE_222_227 );{
L_224_149=C_CDR_268_169;
{_LOOP_223_128:

if( NULLP( L_224_149 ))
return CNST_TABLE_REF( 0 );else
{
{obj_t E_103_227_125;
E_103_227_125=CAR( L_224_149 );if( PAIRP( E_103_227_125 ))
{obj_t CDR_111_228_104;
CDR_111_228_104=CDR( E_103_227_125 );if( PAIRP( CDR_111_228_104 ))
{obj_t OBJ2_264_249;
OBJ2_264_249=BNIL;{obj_t OBJ1_263_80;
OBJ1_263_80=CDR( CDR_111_228_104 );if( EQP( OBJ1_263_80, OBJ2_264_249 ))
{obj_t C_CAR_265_230;
C_CAR_265_230=CAR( E_103_227_125 );{obj_t C_CAR_266_227;
C_CAR_266_227=CAR( CDR_111_228_104 );TAG_101_225_90( L_224_149, C_CAR_265_230, C_CAR_266_227 );}}else
TAG_102_226_108( E_103_227_125 );}}else
TAG_102_226_108( E_103_227_125 );}else
TAG_102_226_108( E_103_227_125 );}
{obj_t C_CDR_267_173;
C_CDR_267_173=CDR( L_224_149 );{
L_224_149=C_CDR_267_173;
goto _LOOP_223_128;
}}
}}
}}}
}

static obj_t
#if defined( __STDC__ )
TAG_101_225_90(obj_t L_224_149,obj_t MODULE_229_120,obj_t FILE_230_2)
#else
TAG_101_225_90( L_224_149, MODULE_229_120, FILE_230_2 )
obj_t L_224_149, MODULE_229_120, FILE_230_2;
#endif
{

if( STRINGP( FILE_230_2 ))
return DO_LOAD_LOAD_PARSE_LOAD_244( MODULE_229_120, FILE_230_2 );else
{obj_t OBJECT_258_196;
OBJECT_258_196=CAR( L_224_149 );FAILURE( CNST_TABLE_REF( 1 ), CNST_TABLE_REF( 2 ), OBJECT_258_196 );}
}

static obj_t
#if defined( __STDC__ )
TAG_102_226_108(obj_t MODULE_231_105)
#else
TAG_102_226_108( MODULE_231_105 )
obj_t MODULE_231_105;
#endif
{

{obj_t B_232_245;
B_232_245=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( MODULE_231_105, __ACCESS_TABLE__ENGINE_PARAM_223 );if( BBOOL_TO_CBOOL( B_232_245 ))
{obj_t C_CDR_253_109;
C_CDR_253_109=CDR( B_232_245 );return DO_LOAD_LOAD_PARSE_LOAD_244( MODULE_231_105, C_CDR_253_109 );}else
FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), MODULE_231_105 );}
}

obj_t
#if defined( __STDC__ )
__PARSE_LOAD_PARSE_LOAD_248(obj_t ENV_325_227,obj_t CLAUSE_222_227)
#else
__PARSE_LOAD_PARSE_LOAD_248( ENV_325_227, CLAUSE_222_227 )
obj_t ENV_325_227, CLAUSE_222_227;
#endif
{

return PARSE_LOAD_PARSE_LOAD_44( CLAUSE_222_227 );
}

static obj_t
#if defined( __STDC__ )
DO_LOAD_LOAD_PARSE_LOAD_244(obj_t MODULE_233_143,obj_t FILE_234_28)
#else
DO_LOAD_LOAD_PARSE_LOAD_244( MODULE_233_143, FILE_234_28 )
obj_t MODULE_233_143, FILE_234_28;
#endif
{

{
{obj_t VA_ARG_289_85;
VA_ARG_289_85=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_290_185;
{obj_t STRING_CAST_294_2;
STRING_CAST_294_2=CNST_TABLE_REF( 5 );VA_ARG_290_185=MAKE_PAIR( STRING_CAST_294_2, VA_ARG_289_85 );}{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( MODULE_233_143, VA_ARG_290_185 );{obj_t VA_ARG_292_29;
{obj_t STRING_CAST_293_67;
STRING_CAST_293_67=CNST_TABLE_REF( 6 );VA_ARG_292_29=MAKE_PAIR( STRING_CAST_293_67, VA_ARG_291_194 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_292_29 );}}}}
{obj_t PORT_235_233;
PORT_235_233=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( FILE_234_28, BNIL );if( INPUT_PORTP( PORT_235_233 ))
{obj_t HANDLER_ENV_322_13;
HANDLER_ENV_322_13=make_fx_procedure( HANDLER_236_107, 4, 2 );{
PROCEDURE_ENV_SET( HANDLER_ENV_322_13, 1, PORT_235_233 );
PROCEDURE_ENV_SET( HANDLER_ENV_322_13, 0, FILE_234_28 );
{
{obj_t HANDLER_237_177;
HANDLER_237_177=HANDLER_ENV_322_13;{obj_t LAMBDA_STACK_239_169;
LAMBDA_STACK_239_169=GET_LAMBDA_STACK();{obj_t RES_240_149;
RES_240_149=ESCAPE_241_231( HANDLER_237_177, FILE_234_28, MODULE_233_143, PORT_235_233 );{
SET_LAMBDA_STACK( LAMBDA_STACK_239_169 );
RES_240_149;
}}}}
return close_input_port( PORT_235_233 );
}
}}else
FAILURE( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), FILE_234_28 );}
}
}

static obj_t
#if defined( __STDC__ )
__DO_LOAD_LOAD_PARSE_LOAD_166(obj_t ENV_324_96,obj_t MODULE_233_143,obj_t FILE_234_28)
#else
__DO_LOAD_LOAD_PARSE_LOAD_166( ENV_324_96, MODULE_233_143, FILE_234_28 )
obj_t ENV_324_96, MODULE_233_143, FILE_234_28;
#endif
{

return DO_LOAD_LOAD_PARSE_LOAD_244( MODULE_233_143, FILE_234_28 );
}

static obj_t
#if defined( __STDC__ )
HANDLER_236_107(obj_t HANDLER_ENV_323_32,obj_t ESCAPE_247_129,obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
HANDLER_236_107( HANDLER_ENV_323_32, ESCAPE_247_129, PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t HANDLER_ENV_323_32, ESCAPE_247_129, PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

{obj_t FILE_234_28, PORT_235_233;
FILE_234_28=PROCEDURE_ENV_REF( HANDLER_ENV_323_32, 0 );PORT_235_233=PROCEDURE_ENV_REF( HANDLER_ENV_323_32, 1 );{
NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 );
{obj_t OP_272_248;
OP_272_248=current_error_port;input_port_display_error( PORT_235_233, OP_272_248 );}
{obj_t VA_ARG_295_134;
{obj_t STRING_CAST_299_148;
STRING_CAST_299_148=CNST_TABLE_REF( 9 );VA_ARG_295_134=MAKE_PAIR( STRING_CAST_299_148, BNIL );}{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( FILE_234_28, VA_ARG_295_134 );{obj_t VA_ARG_297_55;
{obj_t STRING_CAST_298_223;
STRING_CAST_298_223=CNST_TABLE_REF( 10 );VA_ARG_297_55=MAKE_PAIR( STRING_CAST_298_223, VA_ARG_296_143 );}FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_297_55 );}}}
close_input_port( PORT_235_233 );
return bigloo_exit( BINT( -5 ) );
}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_241_231(obj_t HANDLER_318_180,obj_t FILE_319_98,obj_t MODULE_320_60,obj_t PORT_321_253)
#else
ESCAPE_241_231( HANDLER_318_180, FILE_319_98, MODULE_320_60, PORT_321_253 )
obj_t HANDLER_318_180, FILE_319_98, MODULE_320_60, PORT_321_253;
#endif
{

{obj_t ESCAPE_CONT_315_138;
jmp_buf JMP_BUF_335_197;{if( SETJMP( (JMP_BUF *)JMP_BUF_335_197 ) )return __ContinueValue;
else
ESCAPE_CONT_315_138=((obj_t)JMP_BUF_335_197);}{{obj_t ESCAPE_ENV_316_219;
ESCAPE_ENV_316_219=make_fx_procedure( ESCAPE_311_153, 1, 5 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 4, HANDLER_318_180 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 3, FILE_319_98 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 2, MODULE_320_60 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 1, PORT_321_253 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 0, ESCAPE_CONT_315_138 );
{
{obj_t A_FUNCTION_312_154;
A_FUNCTION_312_154=ESCAPE_ENV_316_219;ADD_ERROR_HANDLER____ERROR_27( HANDLER_318_180, A_FUNCTION_312_154 );}
{obj_t RES_242_38;
{
{obj_t DECL_244_198;
DECL_244_198=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_321_253, BEOA );{
{if( PAIRP( DECL_244_198 ))
{obj_t OBJ1_275_170;
OBJ1_275_170=CAR( DECL_244_198 );if( EQP( OBJ1_275_170, CNST_TABLE_REF( 11 ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t OBJ1_276_125;
{obj_t PAIR_278_235;
PAIR_278_235=CDR( DECL_244_198 );OBJ1_276_125=CAR( PAIR_278_235 );}if( EQP( OBJ1_276_125, MODULE_320_60 ))
{BFALSE;
goto _endif_2;}else
{obj_t VA_ARG_301_89;
{obj_t PAIR_280_215;
PAIR_280_215=CDR( DECL_244_198 );{obj_t C_CAR_281_45;
C_CAR_281_45=CAR( PAIR_280_215 );VA_ARG_301_89=MAKE_PAIR( C_CAR_281_45, BNIL );}}{obj_t VA_ARG_302_3;
{obj_t STRING_CAST_307_53;
STRING_CAST_307_53=CNST_TABLE_REF( 12 );{obj_t AUX_336_75;
{obj_t AUX_337_78;
AUX_337_78=SYMBOL_TO_STRING( MODULE_320_60 );AUX_336_75=string_append( AUX_337_78, STRING_CAST_307_53 );}VA_ARG_302_3=MAKE_PAIR( AUX_336_75, VA_ARG_301_89 );}}{obj_t VA_ARG_303_61;
{obj_t STRING_CAST_306_162;
STRING_CAST_306_162=CNST_TABLE_REF( 13 );VA_ARG_303_61=MAKE_PAIR( STRING_CAST_306_162, VA_ARG_302_3 );}{obj_t VA_ARG_304_93;
{obj_t STRING_CAST_305_215;
STRING_CAST_305_215=CNST_TABLE_REF( 14 );VA_ARG_304_93=MAKE_PAIR( STRING_CAST_305_215, VA_ARG_303_61 );}{WARNING___ERROR_212( VA_ARG_304_93 );
goto _endif_2;}}}}}}_false_1:
FAILURE( CNST_TABLE_REF( 15 ), CNST_TABLE_REF( 16 ), DECL_244_198 );_endif_2:
;
}
RES_242_38=LOADQ___EVAL_117( FILE_319_98 );
}}}{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_242_38;
}}
}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_311_153(obj_t ESCAPE_ENV_317_10,obj_t VAL_310_80)
#else
ESCAPE_311_153( ESCAPE_ENV_317_10, VAL_310_80 )
obj_t ESCAPE_ENV_317_10, VAL_310_80;
#endif
{

{obj_t PORT_235_233, MODULE_233_143, FILE_234_28, HANDLER_237_177;
PORT_235_233=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 1 );MODULE_233_143=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 2 );FILE_234_28=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 3 );HANDLER_237_177=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 4 );{__ContinueValue = VAL_310_80;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 0 ), (JMP_VAL)1 );}}
}

