/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/module.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t __PASS__ENGINE_PARAM_158;
extern obj_t __BIGLOO_USER_INCLUDES__ENGINE_PARAM_38;
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t bigloo_exit();
extern obj_t PARSE_EXPORT_PARSE_STATEXP_124();
extern obj_t HELLO_WORLD_ENGINE_ENGINE_251();
obj_t PARSE_MODULE_INITIALISATION_ENV_PARSE_MODULE_47 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t PARSE_INCLUDE_PARSE_INCLUDE_157();
extern obj_t PARSE_STATEXP_INITIALISATION_PARSE_STATEXP_63();
extern obj_t __BIGLOO_INTERPRETER____READER_217;
extern obj_t HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35();
extern obj_t PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
extern obj_t __USED_MODULES__ENGINE_PARAM_128;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t __HEAP_NAMES__ENGINE_PARAM_198;
extern obj_t PARSE_STATIC_PARSE_STATEXP_112();
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
extern obj_t PARSE_MODULE_PARSE_MODULE_80(obj_t);
#else
extern obj_t PARSE_MODULE_PARSE_MODULE_80();
#endif
extern obj_t PARSE_FOREIGN_PARSE_FOREIGN_99();
static obj_t __cnst[ 36 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t PUT_PRAGMA__VAR_PRAGMA_89();
#if defined( __STDC__ )
extern obj_t __PARSE_MODULE_INITIALISATION_PARSE_MODULE_60(obj_t);
#else
extern obj_t __PARSE_MODULE_INITIALISATION_PARSE_MODULE_60();
#endif
extern obj_t PARSE_MODULE_INITIALISATION_PARSE_MODULE_211();
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t PARSE_WITH_INITIALISATION_PARSE_WITH_222();
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t __MAIN__ENGINE_PARAM_206;
extern obj_t PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192();
extern obj_t PARSE_WITH_PARSE_WITH_174();
extern obj_t PARSE_LOAD_PARSE_LOAD_44();
static obj_t REQUIRE_INITIALISATION__PARSE_MODULE_5 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t __INTERPRETER__ENGINE_PARAM_56;
extern obj_t PARSE_MAIN_PARSE_STATEXP_24();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t __PARSE_MODULE_PARSE_MODULE_193(obj_t, obj_t);
#else
extern obj_t __PARSE_MODULE_PARSE_MODULE_193();
#endif
extern obj_t __ORDER_INIT_MODULES__ENGINE_PARAM_218;
extern obj_t make_fx_procedure();
extern obj_t PARSE_LOAD_INITIALISATION_PARSE_LOAD_120();
obj_t PARSE_MODULE_ENV_PARSE_MODULE_192 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78();
extern obj_t ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
extern obj_t RESTORE_HEAP_HEAP_RESTORE_23();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59();
extern obj_t PARSE_IMPORT_PARSE_IMPORT_87();
extern obj_t PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
extern obj_t BIGLOO_ENGINE_ENGINE_139();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();


obj_t
#if defined( __STDC__ )
PARSE_MODULE_INITIALISATION_PARSE_MODULE_211()
#else
PARSE_MODULE_INITIALISATION_PARSE_MODULE_211()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_MODULE_5 ))
{
REQUIRE_INITIALISATION__PARSE_MODULE_5=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
PARSE_WITH_INITIALISATION_PARSE_WITH_222();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
PARSE_STATEXP_INITIALISATION_PARSE_STATEXP_63();
PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35();
PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78();
PARSE_LOAD_INITIALISATION_PARSE_LOAD_120();
DECLARE_CNST_TABLE( __cnst[ 36 ]  );
{obj_t PORT_403_99;
{obj_t AUX_428_202;
AUX_428_202=c_constant_string_to_string( "#\"incorrect module declaration\" #\"parse-module\" #\"illegal module clause\" #\"parse-module\" #\"Illegal module clause\" #\"parse-module\" TOP-LEVEL PRAGMA INCLUDE WITH FOREIGN STATIC FORCE USE LOAD IMPORT #\"Illegal main clause\" #\"parse-module-and-declaration\" MAIN EXPORT #\"[stdin]\" #\"top-level: \" #\"pragma   : \" #\"include  : \" #\"foreign  : \" #\"static   : \" #\"export   : \" #\"import   : \" #\"-------------------------------------------------\" #\"heap-names : \" #\"src        : \" #\"module     : \" #\"-------------------------------------------------\" INIT MAKE-HEAP MODULE " );PORT_403_99=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_428_202 );}{obj_t OFFSET_404_177;
{
OFFSET_404_177=BINT( 35 );
{_LOOP_405_58:

if( LT_I( OFFSET_404_177, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_429_217;
AUX_429_217=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_403_99, BEOA );CNST_TABLE_SET( OFFSET_404_177, AUX_429_217 );}
{obj_t OFFSET_430_28;
OFFSET_430_28=OFFSET_404_177;{
OFFSET_404_177=SUB_I( OFFSET_430_28, BINT( 1 ) );
goto _LOOP_405_58;
}}
}}
}}}
{
PARSE_MODULE_INITIALISATION_ENV_PARSE_MODULE_47=make_fx_procedure( __PARSE_MODULE_INITIALISATION_PARSE_MODULE_60, 0, 0 );
PARSE_MODULE_ENV_PARSE_MODULE_192=make_fx_procedure( __PARSE_MODULE_PARSE_MODULE_193, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_MODULE_INITIALISATION_PARSE_MODULE_60(obj_t ENV_389_59)
#else
__PARSE_MODULE_INITIALISATION_PARSE_MODULE_60( ENV_389_59 )
obj_t ENV_389_59;
#endif
{

return PARSE_MODULE_INITIALISATION_PARSE_MODULE_211();
}

obj_t
#if defined( __STDC__ )
PARSE_MODULE_PARSE_MODULE_80(obj_t MODULE_EXP_222_78)
#else
PARSE_MODULE_PARSE_MODULE_80( MODULE_EXP_222_78 )
obj_t MODULE_EXP_222_78;
#endif
{

{if( PAIRP( MODULE_EXP_222_78 ))
{bool_t __andtest_1007_391_220;
{obj_t AUX_406_124;
{obj_t OBJ1_256_13;
OBJ1_256_13=CAR( MODULE_EXP_222_78 );AUX_406_124=CBOOL_TO_BBOOL( EQP( OBJ1_256_13, CNST_TABLE_REF( 0 ) ) );}__andtest_1007_391_220=BBOOL_TO_CBOOL( AUX_406_124 );}if( __andtest_1007_391_220)
{bool_t __andtest_1008_393_22;
{obj_t AUX_407_147;
{bool_t OBJ_392_99;
OBJ_392_99=PAIRP( CDR( MODULE_EXP_222_78 ) );AUX_407_147=CBOOL_TO_BBOOL( OBJ_392_99 );}__andtest_1008_393_22=BBOOL_TO_CBOOL( AUX_407_147 );}if( __andtest_1008_393_22)
{bool_t OBJ_394_80;
{obj_t AUX_408_103;
{obj_t PAIR_263_189;
PAIR_263_189=CDR( MODULE_EXP_222_78 );AUX_408_103=CAR( PAIR_263_189 );}OBJ_394_80=SYMBOLP( AUX_408_103 );}if( OBJ_394_80)
goto _true_0;else
goto _false_1;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
{
HELLO_WORLD_ENGINE_ENGINE_251();
{obj_t OBJ1_264_100;
OBJ1_264_100=__PASS__ENGINE_PARAM_158;if( EQP( OBJ1_264_100, CNST_TABLE_REF( 1 ) ))
BFALSE;else
RESTORE_HEAP_HEAP_RESTORE_23();}
if( BBOOL_TO_CBOOL( __MODULE_NAME__ENGINE_PARAM_191 ))
BFALSE;else
{obj_t PAIR_265_150;
PAIR_265_150=CDR( MODULE_EXP_222_78 );__MODULE_NAME__ENGINE_PARAM_191=CAR( PAIR_265_150 );}
{obj_t MODULE_CLAUSES_227_141, IMPORT_228_12, EXPORT_229_68, STATIC_230_234, FOREIGN_231_136, INCLUDE_232_51, WITH_233_95, PRAGMA_234_135, TOP_LEVEL_235_130;
{obj_t PAIR_362_104;
PAIR_362_104=CDR( MODULE_EXP_222_78 );{obj_t C_CDR_363_16;
C_CDR_363_16=CDR( PAIR_362_104 );{
TOP_LEVEL_235_130=BNIL;
PRAGMA_234_135=BNIL;
WITH_233_95=BNIL;
INCLUDE_232_51=__BIGLOO_USER_INCLUDES__ENGINE_PARAM_38;
FOREIGN_231_136=BNIL;
STATIC_230_234=BNIL;
EXPORT_229_68=BNIL;
IMPORT_228_12=BNIL;
MODULE_CLAUSES_227_141=C_CDR_363_16;
{_LOOP_226_86:

if( NULLP( MODULE_CLAUSES_227_141 ))
{
{obj_t AUX_410_69;
{obj_t AUX_411_37;
AUX_411_37=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 2 ) );AUX_410_69=SATISFY__TOOLS_TRACE_72( AUX_411_37 );}if( BBOOL_TO_CBOOL( AUX_410_69 ))
{
{obj_t g1004_237_113;
{obj_t L_269_250;
{obj_t STRING_CAST_367_46;
STRING_CAST_367_46=CNST_TABLE_REF( 3 );{obj_t C_CONS_305_223;
{obj_t C_CONS_304_148;
{obj_t STRING_CAST_368_60;
STRING_CAST_368_60=CNST_TABLE_REF( 4 );{obj_t C_CONS_303_213;
{obj_t C_CONS_302_49;
{obj_t C_CONS_301_190;
{obj_t STRING_CAST_369_66;
STRING_CAST_369_66=CNST_TABLE_REF( 5 );{obj_t C_CONS_300_104;
{bool_t OBJ_395_166;
OBJ_395_166=STRINGP( __SRC__ENGINE_PARAM_53 );{obj_t C_CONS_299_93;
{obj_t C_CONS_298_159;
{obj_t STRING_CAST_371_81;
STRING_CAST_371_81=CNST_TABLE_REF( 6 );{obj_t C_CONS_297_218;
{obj_t C_CONS_296_102;
{obj_t C_CONS_295_240;
{obj_t STRING_CAST_372_24;
STRING_CAST_372_24=CNST_TABLE_REF( 7 );{obj_t C_CONS_294_255;
{obj_t C_CONS_293_106;
{obj_t STRING_CAST_373_6;
STRING_CAST_373_6=CNST_TABLE_REF( 8 );{obj_t C_CONS_292_82;
{obj_t C_CONS_291_201;
{obj_t C_CONS_290_158;
{obj_t STRING_CAST_374_92;
STRING_CAST_374_92=CNST_TABLE_REF( 9 );{obj_t C_CONS_289_199;
{obj_t C_CONS_288_187;
{obj_t C_CONS_287_224;
{obj_t STRING_CAST_375_91;
STRING_CAST_375_91=CNST_TABLE_REF( 10 );{obj_t C_CONS_286_212;
{obj_t C_CONS_285_94;
{obj_t C_CONS_284_220;
{obj_t STRING_CAST_376_17;
STRING_CAST_376_17=CNST_TABLE_REF( 11 );{obj_t C_CONS_283_196;
{obj_t C_CONS_282_43;
{obj_t C_CONS_281_247;
{obj_t STRING_CAST_377_127;
STRING_CAST_377_127=CNST_TABLE_REF( 12 );{obj_t C_CONS_280_204;
{obj_t C_CONS_279_209;
{obj_t C_CONS_278_120;
{obj_t STRING_CAST_378_207;
STRING_CAST_378_207=CNST_TABLE_REF( 13 );{obj_t C_CONS_277_200;
{obj_t C_CONS_276_163;
{obj_t C_CONS_275_235;
{obj_t STRING_CAST_379_225;
STRING_CAST_379_225=CNST_TABLE_REF( 14 );{obj_t C_CONS_274_222;
{obj_t C_CONS_273_243;
{obj_t C_CONS_272_248;
C_CONS_272_248=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_273_243=MAKE_PAIR( BCHAR( '\n' ), C_CONS_272_248 );}C_CONS_274_222=MAKE_PAIR( TOP_LEVEL_235_130, C_CONS_273_243 );}C_CONS_275_235=MAKE_PAIR( STRING_CAST_379_225, C_CONS_274_222 );}}C_CONS_276_163=MAKE_PAIR( BCHAR( '\n' ), C_CONS_275_235 );}C_CONS_277_200=MAKE_PAIR( PRAGMA_234_135, C_CONS_276_163 );}C_CONS_278_120=MAKE_PAIR( STRING_CAST_378_207, C_CONS_277_200 );}}C_CONS_279_209=MAKE_PAIR( BCHAR( '\n' ), C_CONS_278_120 );}C_CONS_280_204=MAKE_PAIR( INCLUDE_232_51, C_CONS_279_209 );}C_CONS_281_247=MAKE_PAIR( STRING_CAST_377_127, C_CONS_280_204 );}}C_CONS_282_43=MAKE_PAIR( BCHAR( '\n' ), C_CONS_281_247 );}C_CONS_283_196=MAKE_PAIR( FOREIGN_231_136, C_CONS_282_43 );}C_CONS_284_220=MAKE_PAIR( STRING_CAST_376_17, C_CONS_283_196 );}}C_CONS_285_94=MAKE_PAIR( BCHAR( '\n' ), C_CONS_284_220 );}C_CONS_286_212=MAKE_PAIR( STATIC_230_234, C_CONS_285_94 );}C_CONS_287_224=MAKE_PAIR( STRING_CAST_375_91, C_CONS_286_212 );}}C_CONS_288_187=MAKE_PAIR( BCHAR( '\n' ), C_CONS_287_224 );}C_CONS_289_199=MAKE_PAIR( EXPORT_229_68, C_CONS_288_187 );}C_CONS_290_158=MAKE_PAIR( STRING_CAST_374_92, C_CONS_289_199 );}}C_CONS_291_201=MAKE_PAIR( BCHAR( '\n' ), C_CONS_290_158 );}C_CONS_292_82=MAKE_PAIR( IMPORT_228_12, C_CONS_291_201 );}C_CONS_293_106=MAKE_PAIR( STRING_CAST_373_6, C_CONS_292_82 );}}C_CONS_294_255=MAKE_PAIR( BCHAR( '\n' ), C_CONS_293_106 );}C_CONS_295_240=MAKE_PAIR( STRING_CAST_372_24, C_CONS_294_255 );}}C_CONS_296_102=MAKE_PAIR( BCHAR( '\n' ), C_CONS_295_240 );}C_CONS_297_218=MAKE_PAIR( __HEAP_NAMES__ENGINE_PARAM_198, C_CONS_296_102 );}C_CONS_298_159=MAKE_PAIR( STRING_CAST_371_81, C_CONS_297_218 );}}C_CONS_299_93=MAKE_PAIR( BCHAR( '\n' ), C_CONS_298_159 );}{obj_t AUX_409_70;
if( OBJ_395_166)
AUX_409_70=__SRC__ENGINE_PARAM_53;else
AUX_409_70=CNST_TABLE_REF( 15 );C_CONS_300_104=MAKE_PAIR( AUX_409_70, C_CONS_299_93 );}}}C_CONS_301_190=MAKE_PAIR( STRING_CAST_369_66, C_CONS_300_104 );}}C_CONS_302_49=MAKE_PAIR( BCHAR( '\n' ), C_CONS_301_190 );}C_CONS_303_213=MAKE_PAIR( __MODULE_NAME__ENGINE_PARAM_191, C_CONS_302_49 );}C_CONS_304_148=MAKE_PAIR( STRING_CAST_368_60, C_CONS_303_213 );}}C_CONS_305_223=MAKE_PAIR( BCHAR( '\n' ), C_CONS_304_148 );}L_269_250=MAKE_PAIR( STRING_CAST_367_46, C_CONS_305_223 );}}{
g1004_237_113=L_269_250;
{_g1005_236_168:

if( PAIRP( g1004_237_113 ))
{
{obj_t A_238_233;
A_238_233=CAR( g1004_237_113 );{obj_t VA_ARG_366_12;
VA_ARG_366_12=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_238_233, VA_ARG_366_12 );}}
{obj_t C_CDR_267_173;
C_CDR_267_173=CDR( g1004_237_113 );{
g1004_237_113=C_CDR_267_173;
goto _g1005_236_168;
}}
}else
BTRUE;}
}}}
{obj_t PORT_307_248;
PORT_307_248=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_307_248 );}
}else
BFALSE;}
{obj_t READ_INCLUDE_239_113;
{obj_t AUX_412_23;
AUX_412_23=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( INCLUDE_232_51 );READ_INCLUDE_239_113=PARSE_INCLUDE_PARSE_INCLUDE_157( AUX_412_23 );}{
{obj_t C_CAR_308_63;
C_CAR_308_63=CAR( READ_INCLUDE_239_113 );{obj_t AUX_413_63;
{obj_t AUX_414_184;
AUX_414_184=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( IMPORT_228_12, C_CAR_308_63 );AUX_413_63=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( AUX_414_184 );}PARSE_IMPORT_PARSE_IMPORT_87( AUX_413_63 );}}
{obj_t PAIR_310_197;
{obj_t PAIR_312_107;
{obj_t PAIR_313_177;
PAIR_313_177=CDR( READ_INCLUDE_239_113 );PAIR_312_107=CDR( PAIR_313_177 );}PAIR_310_197=CDR( PAIR_312_107 );}{obj_t C_CAR_311_111;
C_CAR_311_111=CAR( PAIR_310_197 );{obj_t AUX_415_146;
AUX_415_146=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_311_111, EXPORT_229_68 );PARSE_EXPORT_PARSE_STATEXP_124( AUX_415_146 );}}}
PARSE_STATIC_PARSE_STATEXP_112( STATIC_230_234 );
PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192( TOP_LEVEL_235_130 );
{obj_t PAIR_314_169;
PAIR_314_169=CDR( READ_INCLUDE_239_113 );{obj_t C_CAR_315_249;
C_CAR_315_249=CAR( PAIR_314_169 );{obj_t AUX_416_117;
AUX_416_117=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_315_249, FOREIGN_231_136 );PARSE_FOREIGN_PARSE_FOREIGN_99( AUX_416_117, CNST_TABLE_REF( 16 ) );}}}
PARSE_WITH_PARSE_WITH_174( WITH_233_95 );
PARSE_MAIN_PARSE_STATEXP_24( __MAIN__ENGINE_PARAM_206 );
PUT_PRAGMA__VAR_PRAGMA_89( PRAGMA_234_135 );
{obj_t PAIR_317_56;
{obj_t PAIR_319_30;
PAIR_319_30=CDR( READ_INCLUDE_239_113 );PAIR_317_56=CDR( PAIR_319_30 );}{obj_t C_CAR_318_165;
C_CAR_318_165=CAR( PAIR_317_56 );return REVERSE___R4_PAIRS_AND_LISTS_6_3_37( C_CAR_318_165 );}}
}}
}else
{obj_t CLAUSE_240_211;
CLAUSE_240_211=CAR( MODULE_CLAUSES_227_141 );if( PAIRP( CLAUSE_240_211 ))
{obj_t CASE_VALUE_241_241;
CASE_VALUE_241_241=CAR( CLAUSE_240_211 );if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 17 ) ))
{
{obj_t OBJ_320_188;
OBJ_320_188=CDR( CLAUSE_240_211 );if( NULLP( OBJ_320_188 ))
FAILURE( CNST_TABLE_REF( 18 ), CNST_TABLE_REF( 19 ), CLAUSE_240_211 );else
{bool_t OBJ_398_33;
OBJ_398_33=STRINGP( __MAIN__ENGINE_PARAM_206 );if( OBJ_398_33)
BFALSE;else
__MAIN__ENGINE_PARAM_206=CAR( OBJ_320_188 );}}
{obj_t C_CDR_326_99;
C_CDR_326_99=CDR( MODULE_CLAUSES_227_141 );{
MODULE_CLAUSES_227_141=C_CDR_326_99;
goto _LOOP_226_86;
}}
}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 20 ) ))
{obj_t C_CDR_327_100;
C_CDR_327_100=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_328_150;
C_CDR_328_150=CDR( CLAUSE_240_211 );{obj_t AUX_417_39;
AUX_417_39=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_328_150, IMPORT_228_12 );{
IMPORT_228_12=AUX_417_39;
MODULE_CLAUSES_227_141=C_CDR_327_100;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 21 ) ))
{
PARSE_LOAD_PARSE_LOAD_44( CLAUSE_240_211 );
{obj_t C_CDR_329_26;
C_CDR_329_26=CDR( MODULE_CLAUSES_227_141 );{
MODULE_CLAUSES_227_141=C_CDR_329_26;
goto _LOOP_226_86;
}}
}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 22 ) ))
{
{obj_t g1002_243_249;
{obj_t C_CDR_335_197;
C_CDR_335_197=CDR( CLAUSE_240_211 );{
g1002_243_249=C_CDR_335_197;
{_g1003_242_178:

if( PAIRP( g1002_243_249 ))
{
{obj_t U_244_218;
U_244_218=CAR( g1002_243_249 );{obj_t OBJ2_333_91;
OBJ2_333_91=__USED_MODULES__ENGINE_PARAM_128;{obj_t OBJ1_332_2;
if( PAIRP( U_244_218 ))
OBJ1_332_2=CAR( U_244_218 );else
OBJ1_332_2=U_244_218;__USED_MODULES__ENGINE_PARAM_128=MAKE_PAIR( OBJ1_332_2, OBJ2_333_91 );}}}
{obj_t C_CDR_334_87;
C_CDR_334_87=CDR( g1002_243_249 );{
g1002_243_249=C_CDR_334_87;
goto _g1003_242_178;
}}
}else
BTRUE;}
}}}
{obj_t C_CDR_336_177;
C_CDR_336_177=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_337_107;
C_CDR_337_107=CDR( CLAUSE_240_211 );{obj_t AUX_418_149;
AUX_418_149=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_337_107, IMPORT_228_12 );{
IMPORT_228_12=AUX_418_149;
MODULE_CLAUSES_227_141=C_CDR_336_177;
goto _LOOP_226_86;
}}}}
}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 23 ) ))
{
{obj_t g1000_245_170;
g1000_245_170=CDR( CLAUSE_240_211 );{obj_t AUX_419_31;
if( NULLP( g1000_245_170 ))
AUX_419_31=BNIL;else
{obj_t HEAD_246_169;
{obj_t OBJ2_339_21;
OBJ2_339_21=BNIL;{obj_t OBJ1_338_213;
{obj_t X_252_67;
X_252_67=CAR( g1000_245_170 );if( PAIRP( X_252_67 ))
OBJ1_338_213=CAR( X_252_67 );else
OBJ1_338_213=X_252_67;}HEAD_246_169=MAKE_PAIR( OBJ1_338_213, OBJ2_339_21 );}}{obj_t g1000_248_97, TAIL_249_190;
{obj_t C_CDR_345_103;
C_CDR_345_103=CDR( g1000_245_170 );{
TAIL_249_190=HEAD_246_169;
g1000_248_97=C_CDR_345_103;
{_g1001_247_54:

if( NULLP( g1000_248_97 ))
AUX_419_31=HEAD_246_169;else
{obj_t NEW_TAIL_250_194;
{obj_t OBJ2_341_13;
OBJ2_341_13=BNIL;{obj_t OBJ1_340_85;
{obj_t X_251_28;
X_251_28=CAR( g1000_248_97 );if( PAIRP( X_251_28 ))
OBJ1_340_85=CAR( X_251_28 );else
OBJ1_340_85=X_251_28;}NEW_TAIL_250_194=MAKE_PAIR( OBJ1_340_85, OBJ2_341_13 );}}{
SET_CDR( TAIL_249_190, NEW_TAIL_250_194 );
{obj_t C_CDR_344_70;
C_CDR_344_70=CDR( g1000_248_97 );{
TAIL_249_190=NEW_TAIL_250_194;
g1000_248_97=C_CDR_344_70;
goto _g1001_247_54;
}}
}}}
}}}}__ORDER_INIT_MODULES__ENGINE_PARAM_218=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( __ORDER_INIT_MODULES__ENGINE_PARAM_218, AUX_419_31 );}}
{obj_t C_CDR_346_181;
C_CDR_346_181=CDR( MODULE_CLAUSES_227_141 );{
MODULE_CLAUSES_227_141=C_CDR_346_181;
goto _LOOP_226_86;
}}
}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 16 ) ))
{obj_t C_CDR_347_12;
C_CDR_347_12=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_348_144;
C_CDR_348_144=CDR( CLAUSE_240_211 );{obj_t AUX_420_244;
AUX_420_244=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_348_144, EXPORT_229_68 );{
EXPORT_229_68=AUX_420_244;
MODULE_CLAUSES_227_141=C_CDR_347_12;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 24 ) ))
{obj_t C_CDR_349_172;
C_CDR_349_172=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_350_210;
C_CDR_350_210=CDR( CLAUSE_240_211 );{obj_t AUX_421_45;
AUX_421_45=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_350_210, STATIC_230_234 );{
STATIC_230_234=AUX_421_45;
MODULE_CLAUSES_227_141=C_CDR_349_172;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 25 ) ))
{obj_t C_CDR_351_28;
C_CDR_351_28=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_352_67;
C_CDR_352_67=CDR( CLAUSE_240_211 );{obj_t AUX_422_236;
AUX_422_236=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_352_67, FOREIGN_231_136 );{
FOREIGN_231_136=AUX_422_236;
MODULE_CLAUSES_227_141=C_CDR_351_28;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 26 ) ))
{obj_t C_CDR_353_186;
C_CDR_353_186=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_354_15;
C_CDR_354_15=CDR( CLAUSE_240_211 );{obj_t AUX_423_249;
AUX_423_249=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_354_15, WITH_233_95 );{
WITH_233_95=AUX_423_249;
MODULE_CLAUSES_227_141=C_CDR_353_186;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 27 ) ))
{obj_t C_CDR_355_2;
C_CDR_355_2=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_356_48;
C_CDR_356_48=CDR( CLAUSE_240_211 );{obj_t AUX_424_136;
{obj_t AUX_425_153;
AUX_425_153=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( C_CDR_356_48 );AUX_424_136=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_425_153, INCLUDE_232_51 );}{
INCLUDE_232_51=AUX_424_136;
MODULE_CLAUSES_227_141=C_CDR_355_2;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 28 ) ))
{obj_t C_CDR_357_115;
C_CDR_357_115=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_358_148;
C_CDR_358_148=CDR( CLAUSE_240_211 );{obj_t AUX_426_182;
AUX_426_182=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_358_148, PRAGMA_234_135 );{
PRAGMA_234_135=AUX_426_182;
MODULE_CLAUSES_227_141=C_CDR_357_115;
goto _LOOP_226_86;
}}}}else
if( EQP( CASE_VALUE_241_241, CNST_TABLE_REF( 29 ) ))
{obj_t C_CDR_359_223;
C_CDR_359_223=CDR( MODULE_CLAUSES_227_141 );{obj_t C_CDR_360_150;
C_CDR_360_150=CDR( CLAUSE_240_211 );{obj_t AUX_427_111;
AUX_427_111=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_360_150, TOP_LEVEL_235_130 );{
TOP_LEVEL_235_130=AUX_427_111;
MODULE_CLAUSES_227_141=C_CDR_359_223;
goto _LOOP_226_86;
}}}}else
FAILURE( CNST_TABLE_REF( 30 ), CNST_TABLE_REF( 31 ), CLAUSE_240_211 );}else
FAILURE( CNST_TABLE_REF( 32 ), CNST_TABLE_REF( 33 ), CLAUSE_240_211 );}}
}}}}
}_false_1:
if( BBOOL_TO_CBOOL( __BIGLOO_INTERPRETER____READER_217 ))
{
__INTERPRETER__ENGINE_PARAM_56=BTRUE;
{obj_t N_365_215;
N_365_215=BIGLOO_ENGINE_ENGINE_139();return bigloo_exit( N_365_215 );}
}else
{
HELLO_WORLD_ENGINE_ENGINE_251();
FAILURE( CNST_TABLE_REF( 34 ), CNST_TABLE_REF( 35 ), MODULE_EXP_222_78 );
};
}
}

obj_t
#if defined( __STDC__ )
__PARSE_MODULE_PARSE_MODULE_193(obj_t ENV_388_74,obj_t MODULE_EXP_222_78)
#else
__PARSE_MODULE_PARSE_MODULE_193( ENV_388_74, MODULE_EXP_222_78 )
obj_t ENV_388_74, MODULE_EXP_222_78;
#endif
{

return PARSE_MODULE_PARSE_MODULE_80( MODULE_EXP_222_78 );
}

