/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/with.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t string_append();
#if defined( __STDC__ )
extern obj_t __PARSE_WITH_INITIALISATION_PARSE_WITH_216(obj_t);
#else
extern obj_t __PARSE_WITH_INITIALISATION_PARSE_WITH_216();
#endif
extern obj_t __WITH_FILES__ENGINE_PARAM_94;
extern obj_t ADD_ACCESS__READ_ACCESS_91();
obj_t PARSE_WITH_INITIALISATION_ENV_PARSE_WITH_103 = BUNSPEC;
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t __ACCESS_TABLE__ENGINE_PARAM_223;
static obj_t __cnst[ 4 ] ;
extern obj_t PARSE_WITH_INITIALISATION_PARSE_WITH_222();
extern obj_t READ___READER_198;
obj_t PARSE_WITH_ENV_PARSE_WITH_20 = BUNSPEC;
extern obj_t REMOVE_EXTANSION_TOOLS_FILE_246();
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
#if defined( __STDC__ )
extern obj_t PARSE_WITH_PARSE_WITH_174(obj_t);
#else
extern obj_t PARSE_WITH_PARSE_WITH_174();
#endif
extern obj_t __INIT_FUNCTIONS__ENGINE_PARAM_79;
static obj_t REQUIRE_INITIALISATION__PARSE_WITH_78 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __PARSE_WITH_PARSE_WITH_132(obj_t, obj_t);
#else
extern obj_t __PARSE_WITH_PARSE_WITH_132();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t TOOLS_FILE_INITIALISATION_TOOLS_FILE_200();
extern obj_t READ_ACCESS_INITIALISATION_READ_ACCESS_130();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
PARSE_WITH_INITIALISATION_PARSE_WITH_222()
#else
PARSE_WITH_INITIALISATION_PARSE_WITH_222()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_WITH_78 ))
{
REQUIRE_INITIALISATION__PARSE_WITH_78=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_FILE_INITIALISATION_TOOLS_FILE_200();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
READ_ACCESS_INITIALISATION_READ_ACCESS_130();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 4 ]  );
{obj_t PORT_273_77;
{obj_t AUX_278_69;
AUX_278_69=c_constant_string_to_string( "#\"can't access module\" #\"parse-with\" #\".o\" DONE " );PORT_273_77=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_278_69 );}{obj_t OFFSET_274_235;
{
OFFSET_274_235=BINT( 3 );
{_LOOP_275_125:

if( LT_I( OFFSET_274_235, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_279_37;
AUX_279_37=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_273_77, BEOA );CNST_TABLE_SET( OFFSET_274_235, AUX_279_37 );}
{obj_t OFFSET_280_135;
OFFSET_280_135=OFFSET_274_235;{
OFFSET_274_235=SUB_I( OFFSET_280_135, BINT( 1 ) );
goto _LOOP_275_125;
}}
}}
}}}
{
PARSE_WITH_INITIALISATION_ENV_PARSE_WITH_103=make_fx_procedure( __PARSE_WITH_INITIALISATION_PARSE_WITH_216, 0, 0 );
PARSE_WITH_ENV_PARSE_WITH_20=make_fx_procedure( __PARSE_WITH_PARSE_WITH_132, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_WITH_INITIALISATION_PARSE_WITH_216(obj_t ENV_269_153)
#else
__PARSE_WITH_INITIALISATION_PARSE_WITH_216( ENV_269_153 )
obj_t ENV_269_153;
#endif
{

return PARSE_WITH_INITIALISATION_PARSE_WITH_222();
}

obj_t
#if defined( __STDC__ )
PARSE_WITH_PARSE_WITH_174(obj_t WITH_222_199)
#else
PARSE_WITH_PARSE_WITH_174( WITH_222_199 )
obj_t WITH_222_199;
#endif
{

{obj_t WITH_224_18;
{
WITH_224_18=WITH_222_199;
{_LOOP_223_128:

if( NULLP( WITH_224_18 ))
return CNST_TABLE_REF( 0 );else
{obj_t NAME_229_118, FILE_230_2;
{obj_t E_103_227_125;
E_103_227_125=CAR( WITH_224_18 );if( PAIRP( E_103_227_125 ))
{obj_t CDR_109_228_194;
CDR_109_228_194=CDR( E_103_227_125 );if( PAIRP( CDR_109_228_194 ))
{obj_t OBJ2_262_153;
OBJ2_262_153=BNIL;{obj_t OBJ1_261_34;
OBJ1_261_34=CDR( CDR_109_228_194 );if( EQP( OBJ1_261_34, OBJ2_262_153 ))
{obj_t C_CAR_263_246;
C_CAR_263_246=CAR( E_103_227_125 );{obj_t C_CAR_264_142;
C_CAR_264_142=CAR( CDR_109_228_194 );{
FILE_230_2=C_CAR_264_142;
NAME_229_118=C_CAR_263_246;
{
{
{obj_t PAIR_249_63;
PAIR_249_63=CAR( WITH_224_18 );{obj_t C_CAR_250_251;
C_CAR_250_251=CAR( PAIR_249_63 );{obj_t PAIR_253_46;
PAIR_253_46=CDR( PAIR_249_63 );{obj_t C_CAR_254_21;
C_CAR_254_21=CAR( PAIR_253_46 );ADD_ACCESS__READ_ACCESS_91( C_CAR_250_251, C_CAR_254_21 );}}}}
{obj_t OBJ2_255_19;
OBJ2_255_19=__WITH_FILES__ENGINE_PARAM_94;__WITH_FILES__ENGINE_PARAM_94=MAKE_PAIR( FILE_230_2, OBJ2_255_19 );}
{obj_t OBJ2_256_71;
OBJ2_256_71=__INIT_FUNCTIONS__ENGINE_PARAM_79;__INIT_FUNCTIONS__ENGINE_PARAM_79=MAKE_PAIR( NAME_229_118, OBJ2_256_71 );}
{obj_t C_CDR_257_215;
C_CDR_257_215=CDR( WITH_224_18 );{
WITH_224_18=C_CDR_257_215;
goto _LOOP_223_128;
}}
}}
}}}else
{_TAG_102_226_108:

{obj_t B_231_130;
{obj_t C_CAR_234_168;
C_CAR_234_168=CAR( WITH_224_18 );B_231_130=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( C_CAR_234_168, __ACCESS_TABLE__ENGINE_PARAM_223 );}if( BBOOL_TO_CBOOL( B_231_130 ))
{
{obj_t OBJ2_238_24;
OBJ2_238_24=__WITH_FILES__ENGINE_PARAM_94;{obj_t OBJ1_237_122;
{obj_t C_CDR_240_90;
C_CDR_240_90=CDR( B_231_130 );{obj_t STRING_CAST_265_176;
STRING_CAST_265_176=CNST_TABLE_REF( 1 );{obj_t AUX_276_0;
AUX_276_0=REMOVE_EXTANSION_TOOLS_FILE_246( C_CDR_240_90 );OBJ1_237_122=string_append( AUX_276_0, STRING_CAST_265_176 );}}}__WITH_FILES__ENGINE_PARAM_94=MAKE_PAIR( OBJ1_237_122, OBJ2_238_24 );}}
{obj_t C_CAR_241_18;
C_CAR_241_18=CAR( WITH_224_18 );{obj_t AUX_277_135;
AUX_277_135=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_241_18, __INIT_FUNCTIONS__ENGINE_PARAM_79 );if( BBOOL_TO_CBOOL( AUX_277_135 ))
BFALSE;else
{obj_t OBJ2_243_109;
OBJ2_243_109=__INIT_FUNCTIONS__ENGINE_PARAM_79;{obj_t OBJ1_242_218;
OBJ1_242_218=CAR( WITH_224_18 );__INIT_FUNCTIONS__ENGINE_PARAM_79=MAKE_PAIR( OBJ1_242_218, OBJ2_243_109 );}}}}
{obj_t C_CDR_244_165;
C_CDR_244_165=CDR( WITH_224_18 );{
WITH_224_18=C_CDR_244_165;
goto _LOOP_223_128;
}}
}else
{obj_t OBJECT_248_85;
OBJECT_248_85=CAR( WITH_224_18 );FAILURE( CNST_TABLE_REF( 2 ), CNST_TABLE_REF( 3 ), OBJECT_248_85 );}}}}}else
goto _TAG_102_226_108;}else
goto _TAG_102_226_108;}}}
}}
}

obj_t
#if defined( __STDC__ )
__PARSE_WITH_PARSE_WITH_132(obj_t ENV_268_136,obj_t WITH_222_199)
#else
__PARSE_WITH_PARSE_WITH_132( ENV_268_136, WITH_222_199 )
obj_t ENV_268_136, WITH_222_199;
#endif
{

return PARSE_WITH_PARSE_WITH_174( WITH_222_199 );
}

