/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Read/import.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t READ_IMPORT_INITIALISATION_ENV_READ_IMPORT_47 = BUNSPEC;
extern obj_t string_append();
extern obj_t bigloo_exit();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
extern obj_t PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
extern obj_t input_port_display_error();
#if defined( __STDC__ )
static obj_t IMPORT_WANTED_READ_IMPORT_26(obj_t, obj_t, obj_t);
#else
static obj_t IMPORT_WANTED_READ_IMPORT_26();
#endif
extern obj_t VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
extern obj_t READ_INLINE_INITIALISATION_READ_INLINE_79();
extern obj_t PARSE_IMPORTED_PARSE_IMPORT_151();
#if defined( __STDC__ )
extern obj_t READ_ALL_IMPORTED_MODULE_READ_IMPORT_250(obj_t);
#else
extern obj_t READ_ALL_IMPORTED_MODULE_READ_IMPORT_250();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t current_error_port;
extern obj_t LOOK_FOR_INLINE_READ_INLINE_140();
#if defined( __STDC__ )
static obj_t GET_EXPORTED_CLAUSES_READ_IMPORT_50(obj_t);
#else
static obj_t GET_EXPORTED_CLAUSES_READ_IMPORT_50();
#endif
extern obj_t __ACCESS_TABLE__ENGINE_PARAM_223;
extern obj_t PARSE_FOREIGN_PARSE_FOREIGN_99();
static obj_t __cnst[ 37 ] ;
extern obj_t PUT_PRAGMA__VAR_PRAGMA_89();
extern obj_t WARNING___ERROR_212();
#if defined( __STDC__ )
static obj_t SEARCH_EXPORTED_READ_IMPORT_100(obj_t, obj_t, obj_t);
#else
static obj_t SEARCH_EXPORTED_READ_IMPORT_100();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
extern obj_t READ___READER_198;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
extern obj_t VERBOSE_TOOLS_SPEEK_191();
#if defined( __STDC__ )
static obj_t READ_IMPORTED_MODULE_READ_IMPORT_144(obj_t);
#else
static obj_t READ_IMPORTED_MODULE_READ_IMPORT_144();
#endif
static obj_t REQUIRE_INITIALISATION__READ_IMPORT_164 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
#if defined( __STDC__ )
extern obj_t __READ_IMPORT_INITIALISATION_READ_IMPORT_249(obj_t);
#else
extern obj_t __READ_IMPORT_INITIALISATION_READ_IMPORT_249();
#endif
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
#if defined( __STDC__ )
extern obj_t __READ_ALL_IMPORTED_MODULE_READ_IMPORT_44(obj_t, obj_t);
#else
extern obj_t __READ_ALL_IMPORTED_MODULE_READ_IMPORT_44();
#endif
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57();
extern obj_t make_fx_procedure();
extern obj_t TOOLS_MODULE_INITIALISATION_TOOLS_MODULE_245();
obj_t READ_ALL_IMPORTED_MODULE_ENV_READ_IMPORT_182 = BUNSPEC;
extern obj_t NOTIFY_ERROR___ERROR_187();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t create_vector();
extern obj_t READ_IMPORT_INITIALISATION_READ_IMPORT_3();
extern obj_t MODULE_INIT_NAME_TOOLS_MODULE_95();
extern obj_t PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t HANDLER_230_169();
static obj_t ESCAPE_235_221();
static obj_t ESCAPE_411_107();

obj_t
#if defined( __STDC__ )
READ_IMPORT_INITIALISATION_READ_IMPORT_3()
#else
READ_IMPORT_INITIALISATION_READ_IMPORT_3()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__READ_IMPORT_164 ))
{
REQUIRE_INITIALISATION__READ_IMPORT_164=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_MODULE_INITIALISATION_TOOLS_MODULE_245();
READ_INLINE_INITIALISATION_READ_INLINE_79();
PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 37 ]  );
{obj_t PORT_460_243;
{obj_t AUX_489_63;
AUX_489_63=c_constant_string_to_string( "INLINE #\"Illegal module clause\" #\"get-exported-clause\" EXPORT ARGV MAIN FOREIGN PRAGMA (USE IMPORT STATIC WITH INCLUDE LOAD FORCE ) #\"Illegal clause\" #\"get-export-clause\" #\"Can't find such variable\" #\"import-wanted\" #\"@\" #\"module-declaration\" #\"This function is not exported -- \" #\"@\" #\"This function is not exported\" #\"import-wanted\" #\"@\" #\"Illegal module declaration\" #\"read-imported-module\" IMPORT #\"module-declaration\" #\"conflict in module's name -- \" #\" vs \" MODULE #\"(file \" #\")\" #\"Can't find such module\" #\"read-imported-module\" #\"Can't open such file\" #\"read-imported-module\" _NO_EVAL_VALUE_ #\"      [reading imported module \" #\"]\" DONE " );PORT_460_243=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_489_63 );}{obj_t OFFSET_461_174;
{
OFFSET_461_174=BINT( 36 );
{_LOOP_462_92:

if( LT_I( OFFSET_461_174, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_490_156;
AUX_490_156=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_460_243, BEOA );CNST_TABLE_SET( OFFSET_461_174, AUX_490_156 );}
{obj_t OFFSET_491_140;
OFFSET_491_140=OFFSET_461_174;{
OFFSET_461_174=SUB_I( OFFSET_491_140, BINT( 1 ) );
goto _LOOP_462_92;
}}
}}
}}}
{
READ_IMPORT_INITIALISATION_ENV_READ_IMPORT_47=make_fx_procedure( __READ_IMPORT_INITIALISATION_READ_IMPORT_249, 0, 0 );
READ_ALL_IMPORTED_MODULE_ENV_READ_IMPORT_182=make_fx_procedure( __READ_ALL_IMPORTED_MODULE_READ_IMPORT_44, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__READ_IMPORT_INITIALISATION_READ_IMPORT_249(obj_t ENV_447_193)
#else
__READ_IMPORT_INITIALISATION_READ_IMPORT_249( ENV_447_193 )
obj_t ENV_447_193;
#endif
{

return READ_IMPORT_INITIALISATION_READ_IMPORT_3();
}

obj_t
#if defined( __STDC__ )
READ_ALL_IMPORTED_MODULE_READ_IMPORT_250(obj_t IMPORTS_222_254)
#else
READ_ALL_IMPORTED_MODULE_READ_IMPORT_250( IMPORTS_222_254 )
obj_t IMPORTS_222_254;
#endif
{

{obj_t IMPORTS_224_241;
{
IMPORTS_224_241=IMPORTS_222_254;
{_LOOP_223_128:

if( NULLP( IMPORTS_224_241 ))
return CNST_TABLE_REF( 0 );else
{
{obj_t C_CAR_291_90;
C_CAR_291_90=CAR( IMPORTS_224_241 );READ_IMPORTED_MODULE_READ_IMPORT_144( C_CAR_291_90 );}
{obj_t C_CDR_293_126;
C_CDR_293_126=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_293_126;
goto _LOOP_223_128;
}}
}}
}}
}

obj_t
#if defined( __STDC__ )
__READ_ALL_IMPORTED_MODULE_READ_IMPORT_44(obj_t ENV_446_239,obj_t IMPORTS_222_254)
#else
__READ_ALL_IMPORTED_MODULE_READ_IMPORT_44( ENV_446_239, IMPORTS_222_254 )
obj_t ENV_446_239, IMPORTS_222_254;
#endif
{

return READ_ALL_IMPORTED_MODULE_READ_IMPORT_250( IMPORTS_222_254 );
}

static obj_t
#if defined( __STDC__ )
READ_IMPORTED_MODULE_READ_IMPORT_144(obj_t MODULE_REQUIRE_225_54)
#else
READ_IMPORTED_MODULE_READ_IMPORT_144( MODULE_REQUIRE_225_54 )
obj_t MODULE_REQUIRE_225_54;
#endif
{

{obj_t MODULE_226_200;
MODULE_226_200=CAR( MODULE_REQUIRE_225_54 );{obj_t WANTED_227_164;
WANTED_227_164=CDR( MODULE_REQUIRE_225_54 );{obj_t B_228_139;
B_228_139=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( MODULE_226_200, __ACCESS_TABLE__ENGINE_PARAM_223 );{
{obj_t VA_ARG_389_156;
VA_ARG_389_156=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_390_176;
{obj_t STRING_CAST_394_50;
STRING_CAST_394_50=CNST_TABLE_REF( 1 );VA_ARG_390_176=MAKE_PAIR( STRING_CAST_394_50, VA_ARG_389_156 );}{obj_t VA_ARG_391_161;
VA_ARG_391_161=MAKE_PAIR( MODULE_226_200, VA_ARG_390_176 );{obj_t VA_ARG_392_141;
{obj_t STRING_CAST_393_195;
STRING_CAST_393_195=CNST_TABLE_REF( 2 );VA_ARG_392_141=MAKE_PAIR( STRING_CAST_393_195, VA_ARG_391_161 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_392_141 );}}}}
if( BBOOL_TO_CBOOL( B_228_139 ))
{obj_t PORT_229_33;
{obj_t C_CDR_294_239;
C_CDR_294_239=CDR( B_228_139 );PORT_229_33=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( C_CDR_294_239, BNIL );}if( INPUT_PORTP( PORT_229_33 ))
{obj_t HANDLER_ENV_444_15;
HANDLER_ENV_444_15=make_fx_procedure( HANDLER_230_169, 4, 2 );{
PROCEDURE_ENV_SET( HANDLER_ENV_444_15, 1, PORT_229_33 );
PROCEDURE_ENV_SET( HANDLER_ENV_444_15, 0, B_228_139 );
{
{obj_t L_305_78;
{obj_t AUX_487_216;
AUX_487_216=MODULE_INIT_NAME_TOOLS_MODULE_95( MODULE_226_200 );L_305_78=MAKE_PAIR( AUX_487_216, BNIL );}PARSE_IMPORTED_PARSE_IMPORT_151( L_305_78, MODULE_226_200 );}
{obj_t L_306_22;
{obj_t L_307_58;
{obj_t C_CONS_308_15;
C_CONS_308_15=MAKE_PAIR( CNST_TABLE_REF( 3 ), BNIL );{obj_t AUX_488_23;
AUX_488_23=MODULE_INIT_NAME_TOOLS_MODULE_95( MODULE_226_200 );L_307_58=MAKE_PAIR( AUX_488_23, C_CONS_308_15 );}}L_306_22=MAKE_PAIR( L_307_58, BNIL );}PUT_PRAGMA__VAR_PRAGMA_89( L_306_22 );}
{obj_t HANDLER_231_234;
HANDLER_231_234=HANDLER_ENV_444_15;{obj_t LAMBDA_STACK_233_65;
LAMBDA_STACK_233_65=GET_LAMBDA_STACK();{obj_t RES_234_252;
RES_234_252=ESCAPE_235_221( HANDLER_231_234, MODULE_226_200, PORT_229_33, WANTED_227_164 );{
SET_LAMBDA_STACK( LAMBDA_STACK_233_65 );
return RES_234_252;
}}}}
}
}}else
{obj_t OBJECT_341_165;
OBJECT_341_165=CDR( B_228_139 );FAILURE( CNST_TABLE_REF( 4 ), CNST_TABLE_REF( 5 ), OBJECT_341_165 );}}else
FAILURE( CNST_TABLE_REF( 6 ), CNST_TABLE_REF( 7 ), MODULE_226_200 );
}}}}
}

static obj_t
#if defined( __STDC__ )
HANDLER_230_169(obj_t HANDLER_ENV_445_2,obj_t ESCAPE_242_165,obj_t PROC_243_221,obj_t MES_244_124,obj_t OBJ_245_174)
#else
HANDLER_230_169( HANDLER_ENV_445_2, ESCAPE_242_165, PROC_243_221, MES_244_124, OBJ_245_174 )
obj_t HANDLER_ENV_445_2, ESCAPE_242_165, PROC_243_221, MES_244_124, OBJ_245_174;
#endif
{

{obj_t B_228_139, PORT_229_33;
B_228_139=PROCEDURE_ENV_REF( HANDLER_ENV_445_2, 0 );PORT_229_33=PROCEDURE_ENV_REF( HANDLER_ENV_445_2, 1 );{
NOTIFY_ERROR___ERROR_187( PROC_243_221, MES_244_124, OBJ_245_174 );
{obj_t PORT_297_134;
PORT_297_134=current_error_port;FLUSH_OUTPUT_PORT( PORT_297_134 );}
{obj_t OP_300_104;
OP_300_104=current_error_port;input_port_display_error( PORT_229_33, OP_300_104 );}
{obj_t VA_ARG_395_66;
{obj_t STRING_CAST_399_189;
STRING_CAST_399_189=CNST_TABLE_REF( 8 );VA_ARG_395_66=MAKE_PAIR( STRING_CAST_399_189, BNIL );}{obj_t VA_ARG_396_128;
{obj_t C_CDR_301_7;
C_CDR_301_7=CDR( B_228_139 );VA_ARG_396_128=MAKE_PAIR( C_CDR_301_7, VA_ARG_395_66 );}{obj_t VA_ARG_397_83;
{obj_t STRING_CAST_398_8;
STRING_CAST_398_8=CNST_TABLE_REF( 9 );VA_ARG_397_83=MAKE_PAIR( STRING_CAST_398_8, VA_ARG_396_128 );}FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_397_83 );}}}
close_input_port( PORT_229_33 );
return bigloo_exit( BINT( -4 ) );
}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_235_221(obj_t HANDLER_440_184,obj_t MODULE_441_163,obj_t PORT_442_206,obj_t WANTED_443_0)
#else
ESCAPE_235_221( HANDLER_440_184, MODULE_441_163, PORT_442_206, WANTED_443_0 )
obj_t HANDLER_440_184, MODULE_441_163, PORT_442_206, WANTED_443_0;
#endif
{

{obj_t ESCAPE_CONT_437_19;
jmp_buf JMP_BUF_482_134;{if( SETJMP( (JMP_BUF *)JMP_BUF_482_134 ) )return __ContinueValue;
else
ESCAPE_CONT_437_19=((obj_t)JMP_BUF_482_134);}{{obj_t ESCAPE_ENV_438_79;
ESCAPE_ENV_438_79=make_fx_procedure( ESCAPE_411_107, 1, 5 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_438_79, 4, HANDLER_440_184 );
PROCEDURE_ENV_SET( ESCAPE_ENV_438_79, 3, MODULE_441_163 );
PROCEDURE_ENV_SET( ESCAPE_ENV_438_79, 2, PORT_442_206 );
PROCEDURE_ENV_SET( ESCAPE_ENV_438_79, 1, WANTED_443_0 );
PROCEDURE_ENV_SET( ESCAPE_ENV_438_79, 0, ESCAPE_CONT_437_19 );
{
{obj_t A_FUNCTION_412_86;
A_FUNCTION_412_86=ESCAPE_ENV_438_79;ADD_ERROR_HANDLER____ERROR_27( HANDLER_440_184, A_FUNCTION_412_86 );}
{obj_t RES_236_54;
{
{obj_t DECL_238_141;
DECL_238_141=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_442_206, BEOA );{if( PAIRP( DECL_238_141 ))
{obj_t OBJ1_312_124;
OBJ1_312_124=CAR( DECL_238_141 );if( EQP( OBJ1_312_124, CNST_TABLE_REF( 10 ) ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{obj_t PROVIDED_240_178;
{obj_t PAIR_314_169;
PAIR_314_169=CDR( DECL_238_141 );{obj_t C_CDR_315_55;
C_CDR_315_55=CDR( PAIR_314_169 );PROVIDED_240_178=GET_EXPORTED_CLAUSES_READ_IMPORT_50( C_CDR_315_55 );}}{
{obj_t OBJ1_316_183;
{obj_t PAIR_318_7;
PAIR_318_7=CDR( DECL_238_141 );OBJ1_316_183=CAR( PAIR_318_7 );}if( EQP( OBJ1_316_183, MODULE_441_163 ))
BFALSE;else
{obj_t VA_ARG_401_130;
{obj_t PAIR_320_183;
PAIR_320_183=CDR( DECL_238_141 );{obj_t C_CAR_321_214;
C_CAR_321_214=CAR( PAIR_320_183 );VA_ARG_401_130=MAKE_PAIR( C_CAR_321_214, BNIL );}}{obj_t VA_ARG_402_245;
{obj_t STRING_CAST_407_182;
STRING_CAST_407_182=CNST_TABLE_REF( 11 );{obj_t AUX_483_31;
{obj_t AUX_484_0;
AUX_484_0=SYMBOL_TO_STRING( MODULE_441_163 );AUX_483_31=string_append( AUX_484_0, STRING_CAST_407_182 );}VA_ARG_402_245=MAKE_PAIR( AUX_483_31, VA_ARG_401_130 );}}{obj_t VA_ARG_403_208;
{obj_t STRING_CAST_406_111;
STRING_CAST_406_111=CNST_TABLE_REF( 12 );VA_ARG_403_208=MAKE_PAIR( STRING_CAST_406_111, VA_ARG_402_245 );}{obj_t VA_ARG_404_72;
{obj_t STRING_CAST_405_136;
STRING_CAST_405_136=CNST_TABLE_REF( 13 );VA_ARG_404_72=MAKE_PAIR( STRING_CAST_405_136, VA_ARG_403_208 );}WARNING___ERROR_212( VA_ARG_404_72 );}}}}}
{obj_t C_VECTOR_REF_324_79;
C_VECTOR_REF_324_79=VECTOR_REF( PROVIDED_240_178, BINT( 1 ) );PARSE_FOREIGN_PARSE_FOREIGN_99( C_VECTOR_REF_324_79, CNST_TABLE_REF( 14 ) );}
{obj_t AUX_485_135;
if( NULLP( WANTED_443_0 ))
{obj_t PROVIDED_325_45;
PROVIDED_325_45=VECTOR_REF( PROVIDED_240_178, BINT( 0 ) );{obj_t PROVIDED_327_249, INLINE_328_138;
{
INLINE_328_138=BNIL;
PROVIDED_327_249=PROVIDED_325_45;
{_LOOP_326_155:

if( NULLP( PROVIDED_327_249 ))
AUX_485_135=INLINE_328_138;else
{obj_t S_329_163;
{obj_t C_CAR_330_79;
C_CAR_330_79=CAR( PROVIDED_327_249 );S_329_163=PARSE_IMPORTED_PARSE_IMPORT_151( C_CAR_330_79, MODULE_441_163 );}{obj_t C_CDR_331_169;
C_CDR_331_169=CDR( PROVIDED_327_249 );{obj_t AUX_486_52;
if( BBOOL_TO_CBOOL( S_329_163 ))
AUX_486_52=MAKE_PAIR( S_329_163, INLINE_328_138 );else
AUX_486_52=INLINE_328_138;{
INLINE_328_138=AUX_486_52;
PROVIDED_327_249=C_CDR_331_169;
goto _LOOP_326_155;
}}}}}
}}}else
{obj_t C_VECTOR_REF_335_172;
C_VECTOR_REF_335_172=VECTOR_REF( PROVIDED_240_178, BINT( 0 ) );AUX_485_135=IMPORT_WANTED_READ_IMPORT_26( C_VECTOR_REF_335_172, WANTED_443_0, MODULE_441_163 );}LOOK_FOR_INLINE_READ_INLINE_140( AUX_485_135, PORT_442_206, MODULE_441_163 );}
{obj_t C_VECTOR_REF_336_147;
C_VECTOR_REF_336_147=VECTOR_REF( PROVIDED_240_178, BINT( 2 ) );PUT_PRAGMA__VAR_PRAGMA_89( C_VECTOR_REF_336_147 );}
{RES_236_54=close_input_port( PORT_442_206 );
goto _endif_5;}
}}_false_4:
FAILURE( CNST_TABLE_REF( 15 ), CNST_TABLE_REF( 16 ), DECL_238_141 );_endif_5:
;
}}}{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_236_54;
}}
}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_411_107(obj_t ESCAPE_ENV_439_46,obj_t VAL_410_118)
#else
ESCAPE_411_107( ESCAPE_ENV_439_46, VAL_410_118 )
obj_t ESCAPE_ENV_439_46, VAL_410_118;
#endif
{

{obj_t WANTED_227_164, PORT_229_33, MODULE_226_200, HANDLER_231_234;
WANTED_227_164=PROCEDURE_ENV_REF( ESCAPE_ENV_439_46, 1 );PORT_229_33=PROCEDURE_ENV_REF( ESCAPE_ENV_439_46, 2 );MODULE_226_200=PROCEDURE_ENV_REF( ESCAPE_ENV_439_46, 3 );HANDLER_231_234=PROCEDURE_ENV_REF( ESCAPE_ENV_439_46, 4 );{__ContinueValue = VAL_410_118;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_439_46, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
IMPORT_WANTED_READ_IMPORT_26(obj_t PROVIDED_252_142,obj_t WANTED_253_124,obj_t MODULE_254_31)
#else
IMPORT_WANTED_READ_IMPORT_26( PROVIDED_252_142, WANTED_253_124, MODULE_254_31 )
obj_t PROVIDED_252_142, WANTED_253_124, MODULE_254_31;
#endif
{

{obj_t PROVIDED_256_179, INLINE_257_190, WANTED_258_78;
{
WANTED_258_78=WANTED_253_124;
INLINE_257_190=BNIL;
PROVIDED_256_179=PROVIDED_252_142;
{_LOOP_255_87:

if( NULLP( WANTED_258_78 ))
return INLINE_257_190;else
if( NULLP( PROVIDED_256_179 ))
{obj_t WANTED_260_86;
{
WANTED_260_86=WANTED_258_78;
{_LOOP_259_188:

{bool_t OBJ_452_18;
OBJ_452_18=NULLP( CDR( WANTED_260_86 ) );if( OBJ_452_18)
{obj_t OBJECT_346_217;
{obj_t SYMBOL_347_52;
SYMBOL_347_52=CAR( WANTED_260_86 );{obj_t STRING_CAST_417_253;
STRING_CAST_417_253=CNST_TABLE_REF( 17 );{obj_t AUX_472_239, AUX_470_242;
AUX_472_239=SYMBOL_TO_STRING( MODULE_254_31 );{obj_t AUX_471_101;
AUX_471_101=SYMBOL_TO_STRING( SYMBOL_347_52 );AUX_470_242=string_append( AUX_471_101, STRING_CAST_417_253 );}OBJECT_346_217=string_append( AUX_470_242, AUX_472_239 );}}}FAILURE( CNST_TABLE_REF( 18 ), CNST_TABLE_REF( 19 ), OBJECT_346_217 );}else
{
{obj_t VA_ARG_420_47;
{obj_t SYMBOL_348_63;
SYMBOL_348_63=CAR( WANTED_260_86 );{obj_t STRING_CAST_425_160;
STRING_CAST_425_160=CNST_TABLE_REF( 20 );{obj_t AUX_473_193;
{obj_t AUX_476_171, AUX_474_11;
AUX_476_171=SYMBOL_TO_STRING( MODULE_254_31 );{obj_t AUX_475_126;
AUX_475_126=SYMBOL_TO_STRING( SYMBOL_348_63 );AUX_474_11=string_append( AUX_475_126, STRING_CAST_425_160 );}AUX_473_193=string_append( AUX_474_11, AUX_476_171 );}VA_ARG_420_47=MAKE_PAIR( AUX_473_193, BNIL );}}}{obj_t VA_ARG_421_109;
{obj_t STRING_CAST_424_215;
STRING_CAST_424_215=CNST_TABLE_REF( 21 );VA_ARG_421_109=MAKE_PAIR( STRING_CAST_424_215, VA_ARG_420_47 );}{obj_t VA_ARG_422_205;
{obj_t STRING_CAST_423_205;
STRING_CAST_423_205=CNST_TABLE_REF( 22 );VA_ARG_422_205=MAKE_PAIR( STRING_CAST_423_205, VA_ARG_421_109 );}WARNING___ERROR_212( VA_ARG_422_205 );}}}
{obj_t C_CDR_349_172;
C_CDR_349_172=CDR( WANTED_260_86 );{
WANTED_260_86=C_CDR_349_172;
goto _LOOP_259_188;
}}
}}}
}}else
{obj_t I_261_114;
{obj_t C_CAR_350_166;
C_CAR_350_166=CAR( WANTED_258_78 );I_261_114=SEARCH_EXPORTED_READ_IMPORT_100( C_CAR_350_166, PROVIDED_256_179, MODULE_254_31 );}if( BBOOL_TO_CBOOL( I_261_114 ))
{obj_t AUX_478_228;
AUX_478_228=PARSE_IMPORTED_PARSE_IMPORT_151( I_261_114, MODULE_254_31 );if( BBOOL_TO_CBOOL( AUX_478_228 ))
{obj_t OBJ1_351_139;
OBJ1_351_139=CAR( WANTED_258_78 );{obj_t C_CONS_352_177;
C_CONS_352_177=MAKE_PAIR( OBJ1_351_139, INLINE_257_190 );{obj_t C_CDR_353_186;
C_CDR_353_186=CDR( WANTED_258_78 );{obj_t AUX_477_5;
AUX_477_5=REMQ____R4_PAIRS_AND_LISTS_6_3_57( I_261_114, PROVIDED_256_179 );{
WANTED_258_78=C_CDR_353_186;
INLINE_257_190=C_CONS_352_177;
PROVIDED_256_179=AUX_477_5;
goto _LOOP_255_87;
}}}}}else
{obj_t C_CDR_354_15;
C_CDR_354_15=CDR( WANTED_258_78 );{
WANTED_258_78=C_CDR_354_15;
goto _LOOP_255_87;
}}}else
{obj_t OBJECT_355_243;
{obj_t SYMBOL_356_244;
SYMBOL_356_244=CAR( WANTED_258_78 );{obj_t STRING_CAST_426_53;
STRING_CAST_426_53=CNST_TABLE_REF( 23 );{obj_t AUX_481_44, AUX_479_137;
AUX_481_44=SYMBOL_TO_STRING( MODULE_254_31 );{obj_t AUX_480_38;
AUX_480_38=SYMBOL_TO_STRING( SYMBOL_356_244 );AUX_479_137=string_append( AUX_480_38, STRING_CAST_426_53 );}OBJECT_355_243=string_append( AUX_479_137, AUX_481_44 );}}}FAILURE( CNST_TABLE_REF( 24 ), CNST_TABLE_REF( 25 ), OBJECT_355_243 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
GET_EXPORTED_CLAUSES_READ_IMPORT_50(obj_t CLAUSES_262_28)
#else
GET_EXPORTED_CLAUSES_READ_IMPORT_50( CLAUSES_262_28 )
obj_t CLAUSES_262_28;
#endif
{

{obj_t CLAUSES_264_115, EXPORT_265_202, FOREIGN_266_179, PRAGMA_267_99;
{
PRAGMA_267_99=BNIL;
FOREIGN_266_179=BNIL;
EXPORT_265_202=BNIL;
CLAUSES_264_115=CLAUSES_262_28;
{_LOOP_263_57:

if( NULLP( CLAUSES_264_115 ))
{obj_t V_268_44;
V_268_44=create_vector( BINT( 3 ) );{
VECTOR_SET( V_268_44, BINT( 2 ), PRAGMA_267_99 );
VECTOR_SET( V_268_44, BINT( 1 ), FOREIGN_266_179 );
VECTOR_SET( V_268_44, BINT( 0 ), EXPORT_265_202 );
return V_268_44;
}}else
{bool_t __ortest_1001_455_180;
{obj_t AUX_464_203;
if( PAIRP( CLAUSES_264_115 ))
AUX_464_203=BFALSE;else
AUX_464_203=BTRUE;__ortest_1001_455_180=BBOOL_TO_CBOOL( AUX_464_203 );}{if( __ortest_1001_455_180)
goto _true_0;else
{bool_t OBJ_457_32;
{obj_t AUX_465_76;
{bool_t OBJ_456_13;
OBJ_456_13=PAIRP( CAR( CLAUSES_264_115 ) );AUX_465_76=CBOOL_TO_BBOOL( OBJ_456_13 );}OBJ_457_32=BBOOL_TO_CBOOL( AUX_465_76 );}if( OBJ_457_32)
goto _false_1;else
goto _true_0;}_true_0:
FAILURE( CNST_TABLE_REF( 26 ), CNST_TABLE_REF( 27 ), CLAUSES_264_115 );_false_1:
{obj_t CASE_VALUE_270_4;
{obj_t PAIR_364_57;
PAIR_364_57=CAR( CLAUSES_264_115 );CASE_VALUE_270_4=CAR( PAIR_364_57 );}{obj_t AUX_469_200;
AUX_469_200=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_270_4, CNST_TABLE_REF( 28 ) );if( BBOOL_TO_CBOOL( AUX_469_200 ))
{obj_t C_CDR_365_4;
C_CDR_365_4=CDR( CLAUSES_264_115 );{
CLAUSES_264_115=C_CDR_365_4;
goto _LOOP_263_57;
}}else
if( EQP( CASE_VALUE_270_4, CNST_TABLE_REF( 29 ) ))
{obj_t C_CDR_366_189;
C_CDR_366_189=CDR( CLAUSES_264_115 );{obj_t PAIR_367_223;
PAIR_367_223=CAR( CLAUSES_264_115 );{obj_t C_CDR_368_80;
C_CDR_368_80=CDR( PAIR_367_223 );{obj_t AUX_466_120;
AUX_466_120=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_368_80, PRAGMA_267_99 );{
PRAGMA_267_99=AUX_466_120;
CLAUSES_264_115=C_CDR_366_189;
goto _LOOP_263_57;
}}}}}else
if( EQP( CASE_VALUE_270_4, CNST_TABLE_REF( 30 ) ))
{obj_t C_CDR_369_166;
C_CDR_369_166=CDR( CLAUSES_264_115 );{obj_t PAIR_370_24;
PAIR_370_24=CAR( CLAUSES_264_115 );{obj_t C_CDR_371_108;
C_CDR_371_108=CDR( PAIR_370_24 );{obj_t AUX_467_209;
AUX_467_209=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_371_108, FOREIGN_266_179 );{
FOREIGN_266_179=AUX_467_209;
CLAUSES_264_115=C_CDR_369_166;
goto _LOOP_263_57;
}}}}}else
if( EQP( CASE_VALUE_270_4, CNST_TABLE_REF( 31 ) ))
{obj_t C_CDR_372_139;
C_CDR_372_139=CDR( CLAUSES_264_115 );{obj_t OBJ1_373_60;
{obj_t PAIR_375_127;
PAIR_375_127=CAR( CLAUSES_264_115 );{obj_t PAIR_376_92;
PAIR_376_92=CDR( PAIR_375_127 );{obj_t C_CAR_377_189;
C_CAR_377_189=CAR( PAIR_376_92 );{obj_t VA_ARG_431_21;
VA_ARG_431_21=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_432_112;
VA_ARG_432_112=MAKE_PAIR( CNST_TABLE_REF( 32 ), VA_ARG_431_21 );OBJ1_373_60=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_377_189, VA_ARG_432_112 );}}}}}{obj_t C_CONS_374_194;
C_CONS_374_194=MAKE_PAIR( OBJ1_373_60, EXPORT_265_202 );{
EXPORT_265_202=C_CONS_374_194;
CLAUSES_264_115=C_CDR_372_139;
goto _LOOP_263_57;
}}}}else
if( EQP( CASE_VALUE_270_4, CNST_TABLE_REF( 33 ) ))
{obj_t C_CDR_378_171;
C_CDR_378_171=CDR( CLAUSES_264_115 );{obj_t PAIR_379_251;
PAIR_379_251=CAR( CLAUSES_264_115 );{obj_t C_CDR_380_59;
C_CDR_380_59=CDR( PAIR_379_251 );{obj_t AUX_468_163;
AUX_468_163=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_380_59, EXPORT_265_202 );{
EXPORT_265_202=AUX_468_163;
CLAUSES_264_115=C_CDR_378_171;
goto _LOOP_263_57;
}}}}}else
FAILURE( CNST_TABLE_REF( 34 ), CNST_TABLE_REF( 35 ), CLAUSES_264_115 );}};
}}}
}}
}

static obj_t
#if defined( __STDC__ )
SEARCH_EXPORTED_READ_IMPORT_100(obj_t WANTED_271_14,obj_t PROVIDED_272_247,obj_t MODULE_273_142)
#else
SEARCH_EXPORTED_READ_IMPORT_100( WANTED_271_14, PROVIDED_272_247, MODULE_273_142 )
obj_t WANTED_271_14, PROVIDED_272_247, MODULE_273_142;
#endif
{

{obj_t PROVIDED_275_212;
{
PROVIDED_275_212=PROVIDED_272_247;
{_LOOP_274_118:

if( NULLP( PROVIDED_275_212 ))
return BFALSE;else
{obj_t PR_276_66;
PR_276_66=CAR( PROVIDED_275_212 );{obj_t NAME_277_250;
{obj_t NAME_284_210, ARGS_285_69, NAME_286_67, ARGS_287_23, NAME_288_104;
if( PAIRP( PR_276_66 ))
{obj_t CDR_119_283_211;
CDR_119_283_211=CDR( PR_276_66 );{obj_t OBJ1_381_212;
OBJ1_381_212=CAR( PR_276_66 );if( EQP( OBJ1_381_212, CNST_TABLE_REF( 36 ) ))
if( PAIRP( CDR_119_283_211 ))
{
ARGS_285_69=CDR( CDR_119_283_211 );
NAME_284_210=CAR( CDR_119_283_211 );
{
NAME_277_250=NAME_284_210;}
}else
{
ARGS_287_23=CDR_119_283_211;
NAME_286_67=OBJ1_381_212;
{_TAG_102_279_104:

NAME_277_250=NAME_286_67;}
}else
{
ARGS_287_23=CDR_119_283_211;
NAME_286_67=OBJ1_381_212;
goto _TAG_102_279_104;
}}}else
{
NAME_288_104=PR_276_66;
{
NAME_277_250=NAME_288_104;}
}}if( EQP( NAME_277_250, WANTED_271_14 ))
return PR_276_66;else
{obj_t PROVIDED_463_217;
PROVIDED_463_217=PROVIDED_275_212;{
PROVIDED_275_212=CDR( PROVIDED_463_217 );
goto _LOOP_274_118;
}}}}}
}}
}

