/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Scan/tree.c                                                       */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t MAKE_LABELS_TREE_SCAN_LABELS_202();
extern obj_t ABSTRACT_EVAL_HEAP_ABSTRACT_17();
extern obj_t MAKE_APPLICATION_TREE_SCAN_APPLICATION_173();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t SCAN_LET_INITIALISATION_SCAN_LET_38();
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t __GENV__VAR_ENV_215;
extern obj_t ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t SCAN_BIND_EXIT_INITIALISATION_SCAN_BIND_EXIT_26();
extern obj_t FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13();
extern obj_t MAKE_BIND_EXIT_TREE_SCAN_BIND_EXIT_221();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
obj_t GET_NEW_LAMBDA_NAME_SCAN_TREE_150 = BUNSPEC;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t USE_LOCAL__ENV_SCAN_TREE_231 = BUNSPEC;
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
#if defined( __STDC__ )
extern obj_t MAKE_VALUE_TREE_SCAN_TREE_91(obj_t, obj_t);
#else
extern obj_t MAKE_VALUE_TREE_SCAN_TREE_91();
#endif
extern obj_t __EVAL___ENGINE_PARAM_137;
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
extern obj_t SHAPE_TOOLS_SHAPE_229();
#if defined( __STDC__ )
extern obj_t MAKE_FUNCTION_TREE_SCAN_TREE_91(obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_FUNCTION_TREE_SCAN_TREE_91();
#endif
#if defined( __STDC__ )
extern obj_t __MAKE_FUNCTION_TREE_SCAN_TREE_47(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_FUNCTION_TREE_SCAN_TREE_47();
#endif
extern obj_t CREATE_TEMPORARY_SCAN_TEMPORARY_12();
extern obj_t LOOKUP__SCAN_LEXICAL_70();
obj_t SCAN_TREE_INITIALISATION_ENV_SCAN_TREE_251 = BUNSPEC;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
obj_t MAKE_EXPRESSION_TREE_ENV_SCAN_TREE_176 = BUNSPEC;
static obj_t __cnst[ 49 ] ;
extern obj_t ARITY_TOOLS_ARGS_236();
extern obj_t SATISFY__TOOLS_TRACE_72();
#if defined( __STDC__ )
extern obj_t __MAKE_VALUE_TREE_SCAN_TREE_140(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_VALUE_TREE_SCAN_TREE_140();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
#if defined( __STDC__ )
static obj_t USE_GLOBAL__SCAN_TREE_177(obj_t, obj_t);
#else
static obj_t USE_GLOBAL__SCAN_TREE_177();
#endif
static obj_t REQUIRE_INITIALISATION__SCAN_TREE_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SCAN_TREE_INITIALISATION_SCAN_TREE_96(obj_t);
#else
extern obj_t __SCAN_TREE_INITIALISATION_SCAN_TREE_96();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t MAKE_LET_TREE_SCAN_LET_216();
#if defined( __STDC__ )
extern obj_t MAKE_EXPRESSION_TREE_SCAN_TREE_11(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_EXPRESSION_TREE_SCAN_TREE_11();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t SCAN_LABELS_INITIALISATION_SCAN_LABELS_125();
extern obj_t USE_TEMPORARY__SCAN_TEMPORARY_94();
extern obj_t make_fx_procedure();
extern obj_t SCAN_TEMPORARY_INITIALISATION_SCAN_TEMPORARY_219();
extern obj_t SCAN_APPLICATION_INITIALISATION_SCAN_APPLICATION_34();
extern obj_t SCAN_TREE_INITIALISATION_SCAN_TREE_22();
extern obj_t TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
extern obj_t WRITTEN__SCAN_ALIAS_250();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
#if defined( __STDC__ )
extern obj_t __MAKE_EXPRESSION_TREE_SCAN_TREE_88(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_EXPRESSION_TREE_SCAN_TREE_88();
#endif
obj_t MAKE_FUNCTION_TREE_ENV_SCAN_TREE_111 = BUNSPEC;
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
obj_t MAKE_VALUE_TREE_ENV_SCAN_TREE_111 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
extern obj_t __USE_LOCAL__SCAN_TREE_16(obj_t, obj_t, obj_t);
#else
extern obj_t __USE_LOCAL__SCAN_TREE_16();
#endif
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t SCAN_ALIAS_INITIALISATION_SCAN_ALIAS_214();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t RE_LOOKUP_VALUE_SCAN_LEXICAL_77();
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
extern obj_t ABSTRACT_EVAL__HEAP_ABSTRACT_230();
#if defined( __STDC__ )
extern obj_t USE_LOCAL__SCAN_TREE_120(obj_t, obj_t);
#else
extern obj_t USE_LOCAL__SCAN_TREE_120();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_1_0_746_160();
static obj_t COPY_TREE_701_136();

obj_t
#if defined( __STDC__ )
SCAN_TREE_INITIALISATION_SCAN_TREE_22()
#else
SCAN_TREE_INITIALISATION_SCAN_TREE_22()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__SCAN_TREE_156 ))
{
REQUIRE_INITIALISATION__SCAN_TREE_156=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
SCAN_LABELS_INITIALISATION_SCAN_LABELS_125();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
SCAN_APPLICATION_INITIALISATION_SCAN_APPLICATION_34();
SCAN_LET_INITIALISATION_SCAN_LET_38();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
VAR_ENV_INITIALISATION_VAR_ENV_78();
SCAN_TEMPORARY_INITIALISATION_SCAN_TEMPORARY_219();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
SCAN_ALIAS_INITIALISATION_SCAN_ALIAS_214();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
SCAN_BIND_EXIT_INITIALISATION_SCAN_BIND_EXIT_26();
DECLARE_CNST_TABLE( __cnst[ 49 ]  );
{obj_t PORT_1640_56;
{obj_t AUX_1681_187;
AUX_1681_187=c_constant_string_to_string( "#\"A function can't be written\" #\"use-local!\" #\"   class: \" #\"  \" #\"use-local!: \" #\"A function can't be written\" #\"use-global!\" OK FUNCTION APPLICATION BIND-EXIT LETREC TYPED-CASE FAILURE BEGIN ASSERT PRAGMA LET NOT IF APPLY LABELS WRITE READ QUOTE #\"assertion badly placed\" #\"scan-tree\" DONE #\"assertion badly placed\" #\"scan-tree\" LOCAL EXITING ENTERING TOP-LEVEL TEMPORARY GLOBAL INTEGER->CNST #\"   entering: \" #\"   env     : \" #\"   site    : \" #\"   exp     : \" #\"make-expression-tree: \" INIT SET! DEFINE LAMBDA VALUE #\"lambda_\" #\"_\" " );PORT_1640_56=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1681_187 );}{obj_t OFFSET_1641_184;
{
OFFSET_1641_184=BINT( 48 );
{_LOOP_1642_66:

if( LT_I( OFFSET_1641_184, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1682_13;
AUX_1682_13=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1640_56, BEOA );CNST_TABLE_SET( OFFSET_1641_184, AUX_1682_13 );}
{obj_t OFFSET_1683_46;
OFFSET_1683_46=OFFSET_1641_184;{
OFFSET_1641_184=SUB_I( OFFSET_1683_46, BINT( 1 ) );
goto _LOOP_1642_66;
}}
}}
}}}
{
SCAN_TREE_INITIALISATION_ENV_SCAN_TREE_251=make_fx_procedure( __SCAN_TREE_INITIALISATION_SCAN_TREE_96, 0, 0 );
MAKE_FUNCTION_TREE_ENV_SCAN_TREE_111=make_fx_procedure( __MAKE_FUNCTION_TREE_SCAN_TREE_47, 3, 0 );
MAKE_VALUE_TREE_ENV_SCAN_TREE_111=make_fx_procedure( __MAKE_VALUE_TREE_SCAN_TREE_140, 2, 0 );
MAKE_EXPRESSION_TREE_ENV_SCAN_TREE_176=make_fx_procedure( __MAKE_EXPRESSION_TREE_SCAN_TREE_88, 4, 0 );
USE_LOCAL__ENV_SCAN_TREE_231=make_fx_procedure( __USE_LOCAL__SCAN_TREE_16, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
{obj_t KEY_745_134;
KEY_745_134=MAKE_CELL( BINT( -1 ) );{obj_t LAMBDA_1_0_ENV_1548_223;
LAMBDA_1_0_ENV_1548_223=make_fx_procedure( LAMBDA_1_0_746_160, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_1548_223, 0, KEY_745_134 );
{obj_t A_FUNCTION_1500_74;
A_FUNCTION_1500_74=LAMBDA_1_0_ENV_1548_223;GET_NEW_LAMBDA_NAME_SCAN_TREE_150=A_FUNCTION_1500_74;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__SCAN_TREE_INITIALISATION_SCAN_TREE_96(obj_t ENV_1550_75)
#else
__SCAN_TREE_INITIALISATION_SCAN_TREE_96( ENV_1550_75 )
obj_t ENV_1550_75;
#endif
{

return SCAN_TREE_INITIALISATION_SCAN_TREE_22();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_746_160(obj_t LAMBDA_1_0_ENV_1549_148,obj_t ARITY_747_0)
#else
LAMBDA_1_0_746_160( LAMBDA_1_0_ENV_1549_148, ARITY_747_0 )
obj_t LAMBDA_1_0_ENV_1549_148, ARITY_747_0;
#endif
{

{obj_t KEY_745_134;
KEY_745_134=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_1549_148, 0 );{
{obj_t L_762_182;
L_762_182=CELL_REF( KEY_745_134 );CELL_SET( KEY_745_134, ADD_I_PTAG( L_762_182, PSUB_TAG( 1 ) ) );}
{obj_t S_765_49;
{obj_t VA_ARG_1494_97;
{obj_t AUX_1678_101;
{obj_t AUX_1679_242;
AUX_1679_242=CELL_REF( KEY_745_134 );AUX_1678_101=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_1679_242, BNIL );}VA_ARG_1494_97=MAKE_PAIR( AUX_1678_101, BNIL );}{obj_t VA_ARG_1495_174;
{obj_t STRING_CAST_1499_215;
STRING_CAST_1499_215=CNST_TABLE_REF( 0 );VA_ARG_1495_174=MAKE_PAIR( STRING_CAST_1499_215, VA_ARG_1494_97 );}{obj_t VA_ARG_1496_132;
{obj_t AUX_1680_199;
AUX_1680_199=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( ARITY_747_0, BNIL );VA_ARG_1496_132=MAKE_PAIR( AUX_1680_199, VA_ARG_1495_174 );}{obj_t VA_ARG_1497_119;
{obj_t STRING_CAST_1498_160;
STRING_CAST_1498_160=CNST_TABLE_REF( 1 );VA_ARG_1497_119=MAKE_PAIR( STRING_CAST_1498_160, VA_ARG_1496_132 );}S_765_49=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_1497_119 );}}}}{obj_t STRING_767_191;
STRING_767_191=STRING_UPCASE___R4_STRINGS_6_7_251( S_765_49 );return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_767_191 ) );}}
}}
}

obj_t
#if defined( __STDC__ )
MAKE_FUNCTION_TREE_SCAN_TREE_91(obj_t PARENT_384_240,obj_t ARGS_385_107,obj_t BODY_386_46)
#else
MAKE_FUNCTION_TREE_SCAN_TREE_91( PARENT_384_240, ARGS_385_107, BODY_386_46 )
obj_t PARENT_384_240, ARGS_385_107, BODY_386_46;
#endif
{

{obj_t FRAME_387_145;
FRAME_387_145=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( ARGS_385_107 );{obj_t BODY_388_66;
BODY_388_66=MAKE_EXPRESSION_TREE_SCAN_TREE_11( BODY_386_46, CNST_TABLE_REF( 2 ), FRAME_387_145, PARENT_384_240 );{obj_t RES_389_89;
{obj_t VA_ARG_1507_90;
VA_ARG_1507_90=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1508_153;
{obj_t VA_ARG_1510_7;
VA_ARG_1510_7=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1511_30;
VA_ARG_1511_30=MAKE_PAIR( BODY_388_66, VA_ARG_1510_7 );{obj_t VA_ARG_1512_73;
{obj_t AUX_1676_108;
if( NULLP( FRAME_387_145 ))
AUX_1676_108=BNIL;else
{obj_t HEAD_397_187;
{obj_t OBJ2_843_63;
OBJ2_843_63=BNIL;{obj_t OBJ1_842_116;
{obj_t PAIR_844_29;
PAIR_844_29=CAR( FRAME_387_145 );OBJ1_842_116=CDR( PAIR_844_29 );}HEAD_397_187=MAKE_PAIR( OBJ1_842_116, OBJ2_843_63 );}}{obj_t g1002_399_71, TAIL_400_72;
{obj_t C_CDR_851_42;
C_CDR_851_42=CDR( FRAME_387_145 );{
TAIL_400_72=HEAD_397_187;
g1002_399_71=C_CDR_851_42;
{_g1003_398_160:

if( NULLP( g1002_399_71 ))
AUX_1676_108=HEAD_397_187;else
{obj_t NEW_TAIL_401_29;
{obj_t OBJ2_846_117;
OBJ2_846_117=BNIL;{obj_t OBJ1_845_252;
{obj_t PAIR_847_194;
PAIR_847_194=CAR( g1002_399_71 );OBJ1_845_252=CDR( PAIR_847_194 );}NEW_TAIL_401_29=MAKE_PAIR( OBJ1_845_252, OBJ2_846_117 );}}{
SET_CDR( TAIL_400_72, NEW_TAIL_401_29 );
{obj_t C_CDR_850_155;
C_CDR_850_155=CDR( g1002_399_71 );{
TAIL_400_72=NEW_TAIL_401_29;
g1002_399_71=C_CDR_850_155;
goto _g1003_398_160;
}}
}}}
}}}}VA_ARG_1512_73=MAKE_PAIR( AUX_1676_108, VA_ARG_1511_30 );}{obj_t AUX_1677_191;
AUX_1677_191=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 3 ), VA_ARG_1512_73 );VA_ARG_1508_153=MAKE_PAIR( AUX_1677_191, VA_ARG_1507_90 );}}}}{obj_t VA_ARG_1509_136;
VA_ARG_1509_136=MAKE_PAIR( PARENT_384_240, VA_ARG_1508_153 );RES_389_89=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 4 ), VA_ARG_1509_136 );}}}{
{obj_t S_852_9;
S_852_9=STRUCT_SLOT_REF( PARENT_384_240, BINT( 6 ) );STRUCT_SLOT_SET( S_852_9, BINT( 4 ), BODY_388_66 );}
{obj_t V_855_48;
if( NULLP( FRAME_387_145 ))
V_855_48=BNIL;else
{obj_t HEAD_391_214;
{obj_t OBJ2_858_103;
OBJ2_858_103=BNIL;{obj_t OBJ1_857_226;
{obj_t PAIR_859_207;
PAIR_859_207=CAR( FRAME_387_145 );OBJ1_857_226=CDR( PAIR_859_207 );}HEAD_391_214=MAKE_PAIR( OBJ1_857_226, OBJ2_858_103 );}}{obj_t g1000_393_112, TAIL_394_37;
{obj_t C_CDR_864_36;
C_CDR_864_36=CDR( FRAME_387_145 );{
TAIL_394_37=HEAD_391_214;
g1000_393_112=C_CDR_864_36;
{_g1001_392_201:

if( NULLP( g1000_393_112 ))
V_855_48=HEAD_391_214;else
{obj_t NEW_TAIL_395_135;
{obj_t OBJ2_861_90;
OBJ2_861_90=BNIL;{obj_t OBJ1_860_43;
{obj_t PAIR_862_83;
PAIR_862_83=CAR( g1000_393_112 );OBJ1_860_43=CDR( PAIR_862_83 );}NEW_TAIL_395_135=MAKE_PAIR( OBJ1_860_43, OBJ2_861_90 );}}{
SET_CDR( TAIL_394_37, NEW_TAIL_395_135 );
{obj_t C_CDR_863_7;
C_CDR_863_7=CDR( g1000_393_112 );{
TAIL_394_37=NEW_TAIL_395_135;
g1000_393_112=C_CDR_863_7;
goto _g1001_392_201;
}}
}}}
}}}}{obj_t S_854_155;
S_854_155=STRUCT_SLOT_REF( PARENT_384_240, BINT( 6 ) );STRUCT_SLOT_SET( S_854_155, BINT( 3 ), V_855_48 );}}
return RES_389_89;
}}}}
}

obj_t
#if defined( __STDC__ )
__MAKE_FUNCTION_TREE_SCAN_TREE_47(obj_t ENV_1547_28,obj_t PARENT_384_240,obj_t ARGS_385_107,obj_t BODY_386_46)
#else
__MAKE_FUNCTION_TREE_SCAN_TREE_47( ENV_1547_28, PARENT_384_240, ARGS_385_107, BODY_386_46 )
obj_t ENV_1547_28, PARENT_384_240, ARGS_385_107, BODY_386_46;
#endif
{

return MAKE_FUNCTION_TREE_SCAN_TREE_91( PARENT_384_240, ARGS_385_107, BODY_386_46 );
}

obj_t
#if defined( __STDC__ )
MAKE_VALUE_TREE_SCAN_TREE_91(obj_t PARENT_402_164,obj_t VALUE_403_114)
#else
MAKE_VALUE_TREE_SCAN_TREE_91( PARENT_402_164, VALUE_403_114 )
obj_t PARENT_402_164, VALUE_403_114;
#endif
{

{obj_t VA_ARG_1513_173;
VA_ARG_1513_173=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1514_40;
{obj_t AUX_1675_139;
AUX_1675_139=MAKE_EXPRESSION_TREE_SCAN_TREE_11( VALUE_403_114, CNST_TABLE_REF( 2 ), BNIL, BNIL );VA_ARG_1514_40=MAKE_PAIR( AUX_1675_139, VA_ARG_1513_173 );}{obj_t VA_ARG_1515_188;
VA_ARG_1515_188=MAKE_PAIR( PARENT_402_164, VA_ARG_1514_40 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 5 ), VA_ARG_1515_188 );}}}
}

obj_t
#if defined( __STDC__ )
__MAKE_VALUE_TREE_SCAN_TREE_140(obj_t ENV_1546_210,obj_t PARENT_402_164,obj_t VALUE_403_114)
#else
__MAKE_VALUE_TREE_SCAN_TREE_140( ENV_1546_210, PARENT_402_164, VALUE_403_114 )
obj_t ENV_1546_210, PARENT_402_164, VALUE_403_114;
#endif
{

return MAKE_VALUE_TREE_SCAN_TREE_91( PARENT_402_164, VALUE_403_114 );
}

obj_t
#if defined( __STDC__ )
MAKE_EXPRESSION_TREE_SCAN_TREE_11(obj_t EXP_404_99,obj_t SITE_405_176,obj_t ENV_406_17,obj_t ENTERING_407_143)
#else
MAKE_EXPRESSION_TREE_SCAN_TREE_11( EXP_404_99, SITE_405_176, ENV_406_17, ENTERING_407_143 )
obj_t EXP_404_99, SITE_405_176, ENV_406_17, ENTERING_407_143;
#endif
{
_MAKE_EXPRESSION_TREE_SCAN_TREE_11:

{
{obj_t AUX_1652_60;
{obj_t AUX_1653_66;
AUX_1653_66=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 6 ) );AUX_1652_60=SATISFY__TOOLS_TRACE_72( AUX_1653_66 );}if( BBOOL_TO_CBOOL( AUX_1652_60 ))
{
{obj_t g1004_409_190;
{obj_t L_868_59;
{obj_t STRING_CAST_1517_19;
STRING_CAST_1517_19=CNST_TABLE_REF( 7 );{obj_t C_CONS_882_54;
{obj_t C_CONS_881_192;
{obj_t STRING_CAST_1518_244;
STRING_CAST_1518_244=CNST_TABLE_REF( 8 );{obj_t C_CONS_880_252;
{obj_t C_CONS_879_202;
{obj_t C_CONS_878_217;
{obj_t STRING_CAST_1519_45;
STRING_CAST_1519_45=CNST_TABLE_REF( 9 );{obj_t C_CONS_877_182;
{obj_t C_CONS_876_111;
{obj_t C_CONS_875_136;
{obj_t STRING_CAST_1520_209;
STRING_CAST_1520_209=CNST_TABLE_REF( 10 );{obj_t C_CONS_874_153;
{obj_t C_CONS_873_236;
{obj_t C_CONS_872_249;
{obj_t STRING_CAST_1521_120;
STRING_CAST_1521_120=CNST_TABLE_REF( 11 );{obj_t C_CONS_871_244;
{obj_t C_CONS_870_45;
{obj_t C_CONS_869_252;
C_CONS_869_252=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_870_45=MAKE_PAIR( BCHAR( '\n' ), C_CONS_869_252 );}{obj_t AUX_1649_60;
AUX_1649_60=SHAPE_TOOLS_SHAPE_229( ENTERING_407_143 );C_CONS_871_244=MAKE_PAIR( AUX_1649_60, C_CONS_870_45 );}}C_CONS_872_249=MAKE_PAIR( STRING_CAST_1521_120, C_CONS_871_244 );}}C_CONS_873_236=MAKE_PAIR( BCHAR( '\n' ), C_CONS_872_249 );}{obj_t AUX_1650_128;
AUX_1650_128=SHAPE_TOOLS_SHAPE_229( ENV_406_17 );C_CONS_874_153=MAKE_PAIR( AUX_1650_128, C_CONS_873_236 );}}C_CONS_875_136=MAKE_PAIR( STRING_CAST_1520_209, C_CONS_874_153 );}}C_CONS_876_111=MAKE_PAIR( BCHAR( '\n' ), C_CONS_875_136 );}C_CONS_877_182=MAKE_PAIR( SITE_405_176, C_CONS_876_111 );}C_CONS_878_217=MAKE_PAIR( STRING_CAST_1519_45, C_CONS_877_182 );}}C_CONS_879_202=MAKE_PAIR( BCHAR( '\n' ), C_CONS_878_217 );}{obj_t AUX_1651_83;
AUX_1651_83=SHAPE_TOOLS_SHAPE_229( EXP_404_99 );C_CONS_880_252=MAKE_PAIR( AUX_1651_83, C_CONS_879_202 );}}C_CONS_881_192=MAKE_PAIR( STRING_CAST_1518_244, C_CONS_880_252 );}}C_CONS_882_54=MAKE_PAIR( BCHAR( '\n' ), C_CONS_881_192 );}L_868_59=MAKE_PAIR( STRING_CAST_1517_19, C_CONS_882_54 );}}{
g1004_409_190=L_868_59;
{_g1005_408_27:

if( PAIRP( g1004_409_190 ))
{
{obj_t A_410_241;
A_410_241=CAR( g1004_409_190 );{obj_t VA_ARG_1516_65;
VA_ARG_1516_65=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_410_241, VA_ARG_1516_65 );}}
{obj_t C_CDR_866_188;
C_CDR_866_188=CDR( g1004_409_190 );{
g1004_409_190=C_CDR_866_188;
goto _g1005_408_27;
}}
}else
BTRUE;}
}}}
{obj_t PORT_884_47;
PORT_884_47=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_884_47 );}
}else
BFALSE;}
{obj_t ATOM_690_125, SCOPE_696_145, FORMALS_697_45, BODY_698_201, BODY_706_19, BODY_707_165, VAR_713_1, VAL_714_34, BODY_715_112, ARGS_716_249, BODY_718_81, ARGS_719_71, ARGS_721_77, BODY_722_32, PROC_724_249, MSG_725_16, OBJ_726_17, PROC_727_244, ARG_728_105, TYPE_729_56, TEST_730_149, CLAUSES_731_48, SI_734_3, ALORS_735_61, SINON_736_197;
if( PAIRP( EXP_404_99 ))
{obj_t CDR_159_430_59;
CDR_159_430_59=CDR( EXP_404_99 );{obj_t OBJ1_1013_2;
OBJ1_1013_2=CAR( EXP_404_99 );if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 24 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t OBJ2_1015_134;
OBJ2_1015_134=BNIL;{obj_t OBJ1_1014_67;
OBJ1_1014_67=CDR( CDR_159_430_59 );if( EQP( OBJ1_1014_67, OBJ2_1015_134 ))
{
return EXP_404_99;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_22813_433_231;
CDR_22813_433_231=CDR( OBJ1_1013_2 );{obj_t OBJ1_1049_128;
OBJ1_1049_128=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1049_128, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_22813_433_231 ))
{obj_t CDR_23181_434_210;
CDR_23181_434_210=CDR( CDR_22813_433_231 );if( PAIRP( CDR_23181_434_210 ))
{obj_t OBJ1_1050_213;
OBJ1_1050_213=CDR( CDR_23181_434_210 );if( EQP( OBJ1_1050_213, OBJ2_1015_134 ))
{obj_t C_CAR_1052_236;
C_CAR_1052_236=CAR( CDR_23181_434_210 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1052_236;
{_TAG_109_419_132:

{obj_t LET_PART_717_154;
LET_PART_717_154=CAR( EXP_404_99 );{
{obj_t OBJ_948_142;
{obj_t VA_ARG_1530_74;
{obj_t AUX_1654_141;
{obj_t AUX_1655_86;
AUX_1655_86=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_1654_141=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( ARGS_716_249, AUX_1655_86 );}VA_ARG_1530_74=MAKE_PAIR( AUX_1654_141, BNIL );}OBJ_948_142=CONS____R4_PAIRS_AND_LISTS_6_3_28( BODY_715_112, VA_ARG_1530_74 );}{obj_t PAIR_947_228;
{obj_t PAIR_949_171;
PAIR_949_171=CDR( LET_PART_717_154 );PAIR_947_228=CDR( PAIR_949_171 );}SET_CAR( PAIR_947_228, OBJ_948_142 );}}
return MAKE_LET_TREE_SCAN_LET_216( LET_PART_717_154, CNST_TABLE_REF( 25 ), ENV_406_17 );
}}}
}}else
{_TAG_118_428_221:

return MAKE_APPLICATION_TREE_SCAN_APPLICATION_173( EXP_404_99, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1049_128, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_22813_433_231 ))
{obj_t CDR_22967_437_117;
CDR_22967_437_117=CDR( CDR_22813_433_231 );if( PAIRP( CDR_22967_437_117 ))
{obj_t OBJ1_1055_57;
OBJ1_1055_57=CDR( CDR_22967_437_117 );if( EQP( OBJ1_1055_57, OBJ2_1015_134 ))
{obj_t C_CAR_1057_111;
C_CAR_1057_111=CAR( CDR_22967_437_117 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1057_111;
{_TAG_111_421_199:

{obj_t LABELS_PART_720_77;
LABELS_PART_720_77=CAR( EXP_404_99 );{
{obj_t OBJ_945_205;
{obj_t VA_ARG_1529_209;
{obj_t AUX_1656_176;
{obj_t AUX_1657_161;
AUX_1657_161=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_1656_176=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( ARGS_719_71, AUX_1657_161 );}VA_ARG_1529_209=MAKE_PAIR( AUX_1656_176, BNIL );}OBJ_945_205=CONS____R4_PAIRS_AND_LISTS_6_3_28( BODY_718_81, VA_ARG_1529_209 );}{obj_t PAIR_944_74;
{obj_t PAIR_946_137;
PAIR_946_137=CDR( LABELS_PART_720_77 );PAIR_944_74=CDR( PAIR_946_137 );}SET_CAR( PAIR_944_74, OBJ_945_205 );}}
return MAKE_LABELS_TREE_SCAN_LABELS_202( LABELS_PART_720_77, CNST_TABLE_REF( 25 ), ENV_406_17 );
}}}
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_20002_461_149;
CDR_20002_461_149=CDR( OBJ1_1013_2 );{obj_t OBJ1_1064_93;
OBJ1_1064_93=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1064_93, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_20002_461_149 ))
{obj_t CDR_20370_462_239;
CDR_20370_462_239=CDR( CDR_20002_461_149 );if( PAIRP( CDR_20370_462_239 ))
{obj_t OBJ2_1066_51;
OBJ2_1066_51=BNIL;{obj_t OBJ1_1065_159;
OBJ1_1065_159=CDR( CDR_20370_462_239 );if( EQP( OBJ1_1065_159, OBJ2_1066_51 ))
{obj_t C_CAR_1067_39;
C_CAR_1067_39=CAR( CDR_20370_462_239 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1067_39;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1064_93, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_20002_461_149 ))
{obj_t CDR_20156_465_151;
CDR_20156_465_151=CDR( CDR_20002_461_149 );if( PAIRP( CDR_20156_465_151 ))
{obj_t OBJ2_1071_31;
OBJ2_1071_31=BNIL;{obj_t OBJ1_1070_42;
OBJ1_1070_42=CDR( CDR_20156_465_151 );if( EQP( OBJ1_1070_42, OBJ2_1071_31 ))
{obj_t C_CAR_1072_183;
C_CAR_1072_183=CAR( CDR_20156_465_151 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1072_183;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 32 ) ))
if( PAIRP( CDR_159_430_59 ))
{bool_t OBJ_1558_155;
OBJ_1558_155=STRINGP( CAR( CDR_159_430_59 ) );if( OBJ_1558_155)
{obj_t OBJ2_1083_124;
OBJ2_1083_124=BNIL;{obj_t OBJ1_1082_90;
OBJ1_1082_90=CDR( CDR_159_430_59 );if( EQP( OBJ1_1082_90, OBJ2_1083_124 ))
{
return EXP_404_99;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_19006_472_224;
CDR_19006_472_224=CDR( OBJ1_1013_2 );{obj_t OBJ1_1117_143;
OBJ1_1117_143=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1117_143, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_19006_472_224 ))
{obj_t CDR_19374_473_226;
CDR_19374_473_226=CDR( CDR_19006_472_224 );if( PAIRP( CDR_19374_473_226 ))
{obj_t OBJ1_1118_122;
OBJ1_1118_122=CDR( CDR_19374_473_226 );if( EQP( OBJ1_1118_122, OBJ2_1083_124 ))
{obj_t C_CAR_1120_114;
C_CAR_1120_114=CAR( CDR_19374_473_226 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1120_114;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1117_143, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_19006_472_224 ))
{obj_t CDR_19160_476_56;
CDR_19160_476_56=CDR( CDR_19006_472_224 );if( PAIRP( CDR_19160_476_56 ))
{obj_t OBJ1_1123_215;
OBJ1_1123_215=CDR( CDR_19160_476_56 );if( EQP( OBJ1_1123_215, OBJ2_1083_124 ))
{obj_t C_CAR_1125_96;
C_CAR_1125_96=CAR( CDR_19160_476_56 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1125_96;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_16213_501_226;
CDR_16213_501_226=CDR( OBJ1_1013_2 );{obj_t OBJ1_1165_247;
OBJ1_1165_247=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1165_247, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_16213_501_226 ))
{obj_t CDR_16581_502_63;
CDR_16581_502_63=CDR( CDR_16213_501_226 );if( PAIRP( CDR_16581_502_63 ))
{obj_t OBJ2_1167_73;
OBJ2_1167_73=BNIL;{obj_t OBJ1_1166_43;
OBJ1_1166_43=CDR( CDR_16581_502_63 );if( EQP( OBJ1_1166_43, OBJ2_1167_73 ))
{obj_t C_CAR_1168_38;
C_CAR_1168_38=CAR( CDR_16581_502_63 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1168_38;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1165_247, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_16213_501_226 ))
{obj_t CDR_16367_505_46;
CDR_16367_505_46=CDR( CDR_16213_501_226 );if( PAIRP( CDR_16367_505_46 ))
{obj_t OBJ2_1172_234;
OBJ2_1172_234=BNIL;{obj_t OBJ1_1171_179;
OBJ1_1171_179=CDR( CDR_16367_505_46 );if( EQP( OBJ1_1171_179, OBJ2_1172_234 ))
{obj_t C_CAR_1173_131;
C_CAR_1173_131=CAR( CDR_16367_505_46 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1173_131;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_13418_529_239;
CDR_13418_529_239=CDR( OBJ1_1013_2 );{obj_t OBJ1_1180_58;
OBJ1_1180_58=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1180_58, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_13418_529_239 ))
{obj_t CDR_13786_530_204;
CDR_13786_530_204=CDR( CDR_13418_529_239 );if( PAIRP( CDR_13786_530_204 ))
{obj_t OBJ2_1182_6;
OBJ2_1182_6=BNIL;{obj_t OBJ1_1181_22;
OBJ1_1181_22=CDR( CDR_13786_530_204 );if( EQP( OBJ1_1181_22, OBJ2_1182_6 ))
{obj_t C_CAR_1183_252;
C_CAR_1183_252=CAR( CDR_13786_530_204 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1183_252;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1180_58, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_13418_529_239 ))
{obj_t CDR_13572_533_72;
CDR_13572_533_72=CDR( CDR_13418_529_239 );if( PAIRP( CDR_13572_533_72 ))
{obj_t OBJ2_1187_17;
OBJ2_1187_17=BNIL;{obj_t OBJ1_1186_70;
OBJ1_1186_70=CDR( CDR_13572_533_72 );if( EQP( OBJ1_1186_70, OBJ2_1187_17 ))
{obj_t C_CAR_1188_88;
C_CAR_1188_88=CAR( CDR_13572_533_72 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1188_88;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 33 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_8219_538_34;
CDR_8219_538_34=CDR( CDR_159_430_59 );if( PAIRP( CDR_8219_538_34 ))
{obj_t CDR_9185_539_32;
CDR_9185_539_32=CDR( CDR_8219_538_34 );if( PAIRP( CDR_9185_539_32 ))
{obj_t OBJ2_1197_194;
OBJ2_1197_194=BNIL;{obj_t OBJ1_1196_191;
OBJ1_1196_191=CDR( CDR_9185_539_32 );if( EQP( OBJ1_1196_191, OBJ2_1197_194 ))
{obj_t C_CAR_1198_185;
C_CAR_1198_185=CAR( CDR_159_430_59 );{obj_t C_CAR_1199_194;
C_CAR_1199_194=CAR( CDR_8219_538_34 );{obj_t C_CAR_1200_66;
C_CAR_1200_66=CAR( CDR_9185_539_32 );{
BODY_698_201=C_CAR_1200_66;
FORMALS_697_45=C_CAR_1199_194;
SCOPE_696_145=C_CAR_1198_185;
{
{bool_t __andtest_1008_1624_79;
{obj_t AUX_1658_41;
if( EQP( SCOPE_696_145, CNST_TABLE_REF( 16 ) ))
AUX_1658_41=CBOOL_TO_BBOOL( EQP( SCOPE_696_145, CNST_TABLE_REF( 16 ) ) );else
AUX_1658_41=CBOOL_TO_BBOOL( EQP( SCOPE_696_145, CNST_TABLE_REF( 17 ) ) );__andtest_1008_1624_79=BBOOL_TO_CBOOL( AUX_1658_41 );}{if( __andtest_1008_1624_79)
{bool_t OBJ_1625_76;
{obj_t AUX_1659_254;
{obj_t OBJ2_981_80;
{if( STRUCTP( ENTERING_407_143 ))
if( EQP( STRUCT_KEY( ENTERING_407_143 ), CNST_TABLE_REF( 18 ) ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
{OBJ2_981_80=STRUCT_SLOT_REF( ENTERING_407_143, BINT( 0 ) );
goto _endif_14;}_false_13:
{if( STRUCTP( ENTERING_407_143 ))
if( EQP( STRUCT_KEY( ENTERING_407_143 ), CNST_TABLE_REF( 13 ) ))
goto _true_15;else
goto _false_16;else
goto _false_16;_true_15:
{OBJ2_981_80=STRUCT_SLOT_REF( ENTERING_407_143, BINT( 0 ) );
goto _endif_17;}_false_16:
OBJ2_981_80=BNIL;_endif_17:
;
}_endif_14:
;
}{obj_t OBJ1_980_77;
OBJ1_980_77=CAR( FORMALS_697_45 );AUX_1659_254=CBOOL_TO_BBOOL( EQP( OBJ1_980_77, OBJ2_981_80 ) );}}OBJ_1625_76=BBOOL_TO_CBOOL( AUX_1659_254 );}if( OBJ_1625_76)
goto _false_10;else
goto _true_9;}else
goto _false_10;_true_9:
{obj_t STRING_CAST_1533_96;
STRING_CAST_1533_96=CNST_TABLE_REF( 19 );{obj_t STRING_CAST_1534_179;
STRING_CAST_1534_179=CNST_TABLE_REF( 20 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_1533_96, STRING_CAST_1534_179, EXP_404_99 );}}_false_10:
{obj_t OLD_EXP_702_56;
OLD_EXP_702_56=COPY_TREE_701_136( EXP_404_99 );{
{obj_t FORMALS_704_15;
{
FORMALS_704_15=FORMALS_697_45;
{_LOOP_703_87:

if( NULLP( FORMALS_704_15 ))
CNST_TABLE_REF( 21 );else
{
{obj_t OBJ_991_12;
{obj_t C_CAR_992_188;
C_CAR_992_188=CAR( FORMALS_704_15 );OBJ_991_12=MAKE_EXPRESSION_TREE_SCAN_TREE_11( C_CAR_992_188, CNST_TABLE_REF( 2 ), ENV_406_17, BNIL );}SET_CAR( FORMALS_704_15, OBJ_991_12 );}
{obj_t C_CDR_993_155;
C_CDR_993_155=CDR( FORMALS_704_15 );{
FORMALS_704_15=C_CDR_993_155;
goto _LOOP_703_87;
}}
}}
}}
{obj_t OBJ_995_22;
OBJ_995_22=MAKE_EXPRESSION_TREE_SCAN_TREE_11( BODY_698_201, CNST_TABLE_REF( 2 ), ENV_406_17, BNIL );{obj_t PAIR_994_50;
{obj_t PAIR_996_166;
{obj_t PAIR_997_80;
PAIR_997_80=CDR( EXP_404_99 );PAIR_996_166=CDR( PAIR_997_80 );}PAIR_994_50=CDR( PAIR_996_166 );}SET_CAR( PAIR_994_50, OBJ_995_22 );}}
{obj_t OBJ_999_183;
{obj_t OBJ2_1000_35;
{obj_t PAIR_1001_170;
PAIR_1001_170=CDR( EXP_404_99 );OBJ2_1000_35=CDR( PAIR_1001_170 );}OBJ_999_183=MAKE_PAIR( OLD_EXP_702_56, OBJ2_1000_35 );}{obj_t PAIR_998_8;
PAIR_998_8=CDR( EXP_404_99 );SET_CDR( PAIR_998_8, OBJ_999_183 );}}
return EXP_404_99;
}};
}}}
}}}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_12438_541_88;
CDR_12438_541_88=CDR( OBJ1_1013_2 );{obj_t OBJ1_1201_211;
OBJ1_1201_211=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1201_211, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_12438_541_88 ))
{obj_t CDR_12806_542_192;
CDR_12806_542_192=CDR( CDR_12438_541_88 );if( PAIRP( CDR_12806_542_192 ))
{obj_t OBJ1_1202_148;
OBJ1_1202_148=CDR( CDR_12806_542_192 );if( EQP( OBJ1_1202_148, OBJ2_1197_194 ))
{obj_t C_CAR_1204_161;
C_CAR_1204_161=CAR( CDR_12806_542_192 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1204_161;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1201_211, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_12438_541_88 ))
{obj_t CDR_12592_545_65;
CDR_12592_545_65=CDR( CDR_12438_541_88 );if( PAIRP( CDR_12592_545_65 ))
{obj_t OBJ1_1207_190;
OBJ1_1207_190=CDR( CDR_12592_545_65 );if( EQP( OBJ1_1207_190, OBJ2_1197_194 ))
{obj_t C_CAR_1209_168;
C_CAR_1209_168=CAR( CDR_12592_545_65 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1209_168;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}else
{obj_t CAR_9208_551_3;
CAR_9208_551_3=CAR( CDR_159_430_59 );{if( EQP( CAR_9208_551_3, CNST_TABLE_REF( 16 ) ))
{_KAP_9210_552_22:

{obj_t OBJ2_1217_192;
OBJ2_1217_192=BNIL;if( EQP( CDR_9185_539_32, OBJ2_1217_192 ))
{obj_t C_CAR_1218_65;
C_CAR_1218_65=CAR( CDR_8219_538_34 );{
BODY_706_19=C_CAR_1218_65;
{
if( NULLP( ENTERING_407_143 ))
{obj_t STRING_CAST_1531_230;
STRING_CAST_1531_230=CNST_TABLE_REF( 22 );{obj_t STRING_CAST_1532_227;
STRING_CAST_1532_227=CNST_TABLE_REF( 23 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_1531_230, STRING_CAST_1532_227, EXP_404_99 );}}else
{
{obj_t OBJ_971_204;
{obj_t L_973_0;
{obj_t AUX_1660_224;
{if( STRUCTP( ENTERING_407_143 ))
if( EQP( STRUCT_KEY( ENTERING_407_143 ), CNST_TABLE_REF( 18 ) ))
goto _true_18;else
goto _false_19;else
goto _false_19;_true_18:
{AUX_1660_224=STRUCT_SLOT_REF( ENTERING_407_143, BINT( 0 ) );
goto _endif_20;}_false_19:
{if( STRUCTP( ENTERING_407_143 ))
if( EQP( STRUCT_KEY( ENTERING_407_143 ), CNST_TABLE_REF( 13 ) ))
goto _true_21;else
goto _false_22;else
goto _false_22;_true_21:
{AUX_1660_224=STRUCT_SLOT_REF( ENTERING_407_143, BINT( 0 ) );
goto _endif_23;}_false_22:
AUX_1660_224=BNIL;_endif_23:
;
}_endif_20:
;
}L_973_0=MAKE_PAIR( AUX_1660_224, BNIL );}{obj_t C_CONS_978_78;
C_CONS_978_78=MAKE_PAIR( BODY_706_19, BNIL );OBJ_971_204=MAKE_PAIR( L_973_0, C_CONS_978_78 );}}{obj_t PAIR_970_20;
PAIR_970_20=CDR( EXP_404_99 );SET_CDR( PAIR_970_20, OBJ_971_204 );}}
goto _MAKE_EXPRESSION_TREE_SCAN_TREE_11;
}}
}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_9617_573_111;
CDR_9617_573_111=CDR( OBJ1_1013_2 );{obj_t OBJ1_1219_61;
OBJ1_1219_61=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1219_61, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_9617_573_111 ))
{obj_t CDR_9985_574_42;
CDR_9985_574_42=CDR( CDR_9617_573_111 );if( PAIRP( CDR_9985_574_42 ))
{obj_t OBJ1_1220_48;
OBJ1_1220_48=CDR( CDR_9985_574_42 );if( EQP( OBJ1_1220_48, OBJ2_1217_192 ))
{obj_t C_CAR_1222_105;
C_CAR_1222_105=CAR( CDR_9985_574_42 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1222_105;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1219_61, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_9617_573_111 ))
{obj_t CDR_9771_577_114;
CDR_9771_577_114=CDR( CDR_9617_573_111 );if( PAIRP( CDR_9771_577_114 ))
{obj_t OBJ1_1225_186;
OBJ1_1225_186=CDR( CDR_9771_577_114 );if( EQP( OBJ1_1225_186, OBJ2_1217_192 ))
{obj_t C_CAR_1227_194;
C_CAR_1227_194=CAR( CDR_9771_577_114 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1227_194;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}else
if( EQP( CAR_9208_551_3, CNST_TABLE_REF( 17 ) ))
goto _KAP_9210_552_22;else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_11473_555_33;
CDR_11473_555_33=CDR( OBJ1_1013_2 );{obj_t OBJ1_1253_61;
OBJ1_1253_61=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1253_61, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_11473_555_33 ))
{obj_t CDR_11841_556_13;
CDR_11841_556_13=CDR( CDR_11473_555_33 );if( PAIRP( CDR_11841_556_13 ))
{obj_t OBJ2_1255_184;
OBJ2_1255_184=BNIL;{obj_t OBJ1_1254_93;
OBJ1_1254_93=CDR( CDR_11841_556_13 );if( EQP( OBJ1_1254_93, OBJ2_1255_184 ))
{obj_t C_CAR_1256_170;
C_CAR_1256_170=CAR( CDR_11841_556_13 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1256_170;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1253_61, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_11473_555_33 ))
{obj_t CDR_11627_559_185;
CDR_11627_559_185=CDR( CDR_11473_555_33 );if( PAIRP( CDR_11627_559_185 ))
{obj_t OBJ2_1260_71;
OBJ2_1260_71=BNIL;{obj_t OBJ1_1259_255;
OBJ1_1259_255=CDR( CDR_11627_559_185 );if( EQP( OBJ1_1259_255, OBJ2_1260_71 ))
{obj_t C_CAR_1261_175;
C_CAR_1261_175=CAR( CDR_11627_559_185 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1261_175;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_8638_582_23;
CDR_8638_582_23=CDR( OBJ1_1013_2 );{obj_t OBJ1_1268_115;
OBJ1_1268_115=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1268_115, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_8638_582_23 ))
{obj_t CDR_9006_583_17;
CDR_9006_583_17=CDR( CDR_8638_582_23 );if( PAIRP( CDR_9006_583_17 ))
{obj_t OBJ2_1270_249;
OBJ2_1270_249=BNIL;{obj_t OBJ1_1269_48;
OBJ1_1269_48=CDR( CDR_9006_583_17 );if( EQP( OBJ1_1269_48, OBJ2_1270_249 ))
{obj_t C_CAR_1271_234;
C_CAR_1271_234=CAR( CDR_9006_583_17 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1271_234;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1268_115, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_8638_582_23 ))
{obj_t CDR_8792_586_94;
CDR_8792_586_94=CDR( CDR_8638_582_23 );if( PAIRP( CDR_8792_586_94 ))
{obj_t OBJ2_1275_182;
OBJ2_1275_182=BNIL;{obj_t OBJ1_1274_46;
OBJ1_1274_46=CDR( CDR_8792_586_94 );if( EQP( OBJ1_1274_46, OBJ2_1275_182 ))
{obj_t C_CAR_1276_107;
C_CAR_1276_107=CAR( CDR_8792_586_94 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1276_107;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_7672_591_137;
CDR_7672_591_137=CDR( OBJ1_1013_2 );{obj_t OBJ1_1283_203;
OBJ1_1283_203=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1283_203, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_7672_591_137 ))
{obj_t CDR_8040_592_73;
CDR_8040_592_73=CDR( CDR_7672_591_137 );if( PAIRP( CDR_8040_592_73 ))
{obj_t OBJ2_1285_65;
OBJ2_1285_65=BNIL;{obj_t OBJ1_1284_229;
OBJ1_1284_229=CDR( CDR_8040_592_73 );if( EQP( OBJ1_1284_229, OBJ2_1285_65 ))
{obj_t C_CAR_1286_75;
C_CAR_1286_75=CAR( CDR_8040_592_73 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1286_75;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1283_203, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_7672_591_137 ))
{obj_t CDR_7826_595_238;
CDR_7826_595_238=CDR( CDR_7672_591_137 );if( PAIRP( CDR_7826_595_238 ))
{obj_t OBJ2_1290_207;
OBJ2_1290_207=BNIL;{obj_t OBJ1_1289_219;
OBJ1_1289_219=CDR( CDR_7826_595_238 );if( EQP( OBJ1_1289_219, OBJ2_1290_207 ))
{obj_t C_CAR_1291_13;
C_CAR_1291_13=CAR( CDR_7826_595_238 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1291_13;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 34 ) ))
{
BODY_707_165=CDR_159_430_59;
{
{obj_t HOOK_709_164, OLD_710_102;
{
OLD_710_102=EXP_404_99;
HOOK_709_164=BODY_707_165;
{_LOOP_708_73:

if( NULLP( HOOK_709_164 ))
return EXP_404_99;else
{bool_t __andtest_1006_1628_30;
{obj_t AUX_1661_212;
{bool_t OBJ_1627_209;
{obj_t AUX_1662_94;
{bool_t OBJ_1626_120;
OBJ_1626_120=NULLP( CDR( HOOK_709_164 ) );AUX_1662_94=CBOOL_TO_BBOOL( OBJ_1626_120 );}OBJ_1627_209=BBOOL_TO_CBOOL( AUX_1662_94 );}if( OBJ_1627_209)
AUX_1661_212=BFALSE;else
AUX_1661_212=BTRUE;}__andtest_1006_1628_30=BBOOL_TO_CBOOL( AUX_1661_212 );}{if( __andtest_1006_1628_30)
{bool_t __ortest_1007_1631_133;
{obj_t AUX_1663_220;
{bool_t OBJ_1630_242;
{obj_t AUX_1664_196;
{bool_t OBJ_1629_200;
OBJ_1629_200=PAIRP( CAR( HOOK_709_164 ) );AUX_1664_196=CBOOL_TO_BBOOL( OBJ_1629_200 );}OBJ_1630_242=BBOOL_TO_CBOOL( AUX_1664_196 );}if( OBJ_1630_242)
AUX_1663_220=BFALSE;else
AUX_1663_220=BTRUE;}__ortest_1007_1631_133=BBOOL_TO_CBOOL( AUX_1663_220 );}if( __ortest_1007_1631_133)
goto _true_24;else
{obj_t OBJ1_963_174;
{obj_t PAIR_964_156;
PAIR_964_156=CAR( HOOK_709_164 );OBJ1_963_174=CAR( PAIR_964_156 );}if( EQP( OBJ1_963_174, CNST_TABLE_REF( 24 ) ))
goto _true_24;else
goto _false_25;}}else
goto _false_25;_true_24:
{
{obj_t OBJ_965_132;
OBJ_965_132=CDR( HOOK_709_164 );SET_CDR( OLD_710_102, OBJ_965_132 );}
{obj_t C_CDR_966_56;
C_CDR_966_56=CDR( HOOK_709_164 );{
HOOK_709_164=C_CDR_966_56;
goto _LOOP_708_73;
}}
}_false_25:
{
{obj_t OBJ_967_97;
{obj_t C_CAR_968_97;
C_CAR_968_97=CAR( HOOK_709_164 );OBJ_967_97=MAKE_EXPRESSION_TREE_SCAN_TREE_11( C_CAR_968_97, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );}SET_CAR( HOOK_709_164, OBJ_967_97 );}
{obj_t C_CDR_969_7;
C_CDR_969_7=CDR( HOOK_709_164 );{obj_t HOOK_1665_134;
HOOK_1665_134=HOOK_709_164;{
OLD_710_102=HOOK_1665_134;
HOOK_709_164=C_CDR_969_7;
goto _LOOP_708_73;
}}}
};
}}}
}}}
}else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 5 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_5417_600_8;
CDR_5417_600_8=CDR( CDR_159_430_59 );if( PAIRP( CDR_5417_600_8 ))
{obj_t OBJ2_1302_253;
OBJ2_1302_253=BNIL;{obj_t OBJ1_1301_59;
OBJ1_1301_59=CDR( CDR_5417_600_8 );if( EQP( OBJ1_1301_59, OBJ2_1302_253 ))
{obj_t C_CAR_1303_32;
C_CAR_1303_32=CAR( CDR_159_430_59 );{obj_t C_CAR_1304_84;
C_CAR_1304_84=CAR( CDR_5417_600_8 );{
VAL_714_34=C_CAR_1304_84;
VAR_713_1=C_CAR_1303_32;
{
{
{obj_t OBJ_951_15;
OBJ_951_15=MAKE_EXPRESSION_TREE_SCAN_TREE_11( VAR_713_1, CNST_TABLE_REF( 26 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_950_6;
PAIR_950_6=CDR( EXP_404_99 );SET_CAR( PAIR_950_6, OBJ_951_15 );}}
{obj_t OBJ_953_48;
OBJ_953_48=MAKE_EXPRESSION_TREE_SCAN_TREE_11( VAL_714_34, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_952_81;
{obj_t PAIR_954_127;
PAIR_954_127=CDR( EXP_404_99 );PAIR_952_81=CDR( PAIR_954_127 );}SET_CAR( PAIR_952_81, OBJ_953_48 );}}
{obj_t O_955_20;
{obj_t PAIR_957_92;
PAIR_957_92=CDR( EXP_404_99 );O_955_20=CAR( PAIR_957_92 );}{if( STRUCTP( O_955_20 ))
if( EQP( STRUCT_KEY( O_955_20 ), CNST_TABLE_REF( 13 ) ))
goto _true_27;else
goto _false_28;else
goto _false_28;_true_27:
{WRITTEN__SCAN_ALIAS_250( VAR_713_1 );
goto _endif_29;}_false_28:
BFALSE;_endif_29:
;
}}
return EXP_404_99;
}}
}}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_6707_602_169;
CDR_6707_602_169=CDR( OBJ1_1013_2 );{obj_t OBJ1_1305_191;
OBJ1_1305_191=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1305_191, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_6707_602_169 ))
{obj_t CDR_7075_603_183;
CDR_7075_603_183=CDR( CDR_6707_602_169 );if( PAIRP( CDR_7075_603_183 ))
{obj_t OBJ1_1306_232;
OBJ1_1306_232=CDR( CDR_7075_603_183 );if( EQP( OBJ1_1306_232, OBJ2_1302_253 ))
{obj_t C_CAR_1308_247;
C_CAR_1308_247=CAR( CDR_7075_603_183 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1308_247;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1305_191, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_6707_602_169 ))
{obj_t CDR_6861_606_151;
CDR_6861_606_151=CDR( CDR_6707_602_169 );if( PAIRP( CDR_6861_606_151 ))
{obj_t OBJ1_1311_10;
OBJ1_1311_10=CDR( CDR_6861_606_151 );if( EQP( OBJ1_1311_10, OBJ2_1302_253 ))
{obj_t C_CAR_1313_60;
C_CAR_1313_60=CAR( CDR_6861_606_151 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1313_60;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_5789_611_167;
CDR_5789_611_167=CDR( OBJ1_1013_2 );{obj_t OBJ1_1320_7;
OBJ1_1320_7=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1320_7, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_5789_611_167 ))
{obj_t CDR_6157_612_135;
CDR_6157_612_135=CDR( CDR_5789_611_167 );if( PAIRP( CDR_6157_612_135 ))
{obj_t OBJ2_1322_62;
OBJ2_1322_62=BNIL;{obj_t OBJ1_1321_30;
OBJ1_1321_30=CDR( CDR_6157_612_135 );if( EQP( OBJ1_1321_30, OBJ2_1322_62 ))
{obj_t C_CAR_1323_253;
C_CAR_1323_253=CAR( CDR_6157_612_135 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1323_253;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1320_7, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_5789_611_167 ))
{obj_t CDR_5943_615_251;
CDR_5943_615_251=CDR( CDR_5789_611_167 );if( PAIRP( CDR_5943_615_251 ))
{obj_t OBJ2_1327_142;
OBJ2_1327_142=BNIL;{obj_t OBJ1_1326_65;
OBJ1_1326_65=CDR( CDR_5943_615_251 );if( EQP( OBJ1_1326_65, OBJ2_1327_142 ))
{obj_t C_CAR_1328_206;
C_CAR_1328_206=CAR( CDR_5943_615_251 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1328_206;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_4870_620_243;
CDR_4870_620_243=CDR( OBJ1_1013_2 );{obj_t OBJ1_1335_202;
OBJ1_1335_202=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1335_202, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_4870_620_243 ))
{obj_t CDR_5238_621_15;
CDR_5238_621_15=CDR( CDR_4870_620_243 );if( PAIRP( CDR_5238_621_15 ))
{obj_t OBJ2_1337_220;
OBJ2_1337_220=BNIL;{obj_t OBJ1_1336_129;
OBJ1_1336_129=CDR( CDR_5238_621_15 );if( EQP( OBJ1_1336_129, OBJ2_1337_220 ))
{obj_t C_CAR_1338_126;
C_CAR_1338_126=CAR( CDR_5238_621_15 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1338_126;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1335_202, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_4870_620_243 ))
{obj_t CDR_5024_624_32;
CDR_5024_624_32=CDR( CDR_4870_620_243 );if( PAIRP( CDR_5024_624_32 ))
{obj_t OBJ2_1342_111;
OBJ2_1342_111=BNIL;{obj_t OBJ1_1341_98;
OBJ1_1341_98=CDR( CDR_5024_624_32 );if( EQP( OBJ1_1341_98, OBJ2_1342_111 ))
{obj_t C_CAR_1343_192;
C_CAR_1343_192=CAR( CDR_5024_624_32 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1343_192;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;else
{if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 31 ) ))
{_KAP_263_630_134:

if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_915_663_103;
CDR_915_663_103=CDR( CDR_159_430_59 );if( PAIRP( CDR_915_663_103 ))
{obj_t OBJ2_1351_86;
OBJ2_1351_86=BNIL;{obj_t OBJ1_1350_236;
OBJ1_1350_236=CDR( CDR_915_663_103 );if( EQP( OBJ1_1350_236, OBJ2_1351_86 ))
{
return MAKE_LET_TREE_SCAN_LET_216( EXP_404_99, CNST_TABLE_REF( 25 ), ENV_406_17 );}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_1786_665_14;
CDR_1786_665_14=CDR( OBJ1_1013_2 );{obj_t OBJ1_1352_244;
OBJ1_1352_244=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1352_244, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_1786_665_14 ))
{obj_t CDR_2154_666_7;
CDR_2154_666_7=CDR( CDR_1786_665_14 );if( PAIRP( CDR_2154_666_7 ))
{obj_t OBJ1_1353_45;
OBJ1_1353_45=CDR( CDR_2154_666_7 );if( EQP( OBJ1_1353_45, OBJ2_1351_86 ))
{obj_t C_CAR_1355_67;
C_CAR_1355_67=CAR( CDR_2154_666_7 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1355_67;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1352_244, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_1786_665_14 ))
{obj_t CDR_1940_669_181;
CDR_1940_669_181=CDR( CDR_1786_665_14 );if( PAIRP( CDR_1940_669_181 ))
{obj_t OBJ1_1358_90;
OBJ1_1358_90=CDR( CDR_1940_669_181 );if( EQP( OBJ1_1358_90, OBJ2_1351_86 ))
{obj_t C_CAR_1360_181;
C_CAR_1360_181=CAR( CDR_1940_669_181 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1360_181;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 35 ) ))
if( PAIRP( OBJ1_1350_236 ))
{obj_t OBJ1_1363_4;
OBJ1_1363_4=CDR( OBJ1_1350_236 );if( EQP( OBJ1_1363_4, OBJ2_1351_86 ))
{obj_t C_CAR_1365_22;
C_CAR_1365_22=CAR( CDR_159_430_59 );{obj_t C_CAR_1366_78;
C_CAR_1366_78=CAR( CDR_915_663_103 );{obj_t C_CAR_1367_75;
C_CAR_1367_75=CAR( OBJ1_1350_236 );{
OBJ_726_17=C_CAR_1367_75;
MSG_725_16=C_CAR_1366_78;
PROC_724_249=C_CAR_1365_22;
{_TAG_113_423_115:

{
{obj_t OBJ_936_46;
OBJ_936_46=MAKE_EXPRESSION_TREE_SCAN_TREE_11( PROC_724_249, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_935_101;
PAIR_935_101=CDR( EXP_404_99 );SET_CAR( PAIR_935_101, OBJ_936_46 );}}
{obj_t OBJ_938_66;
OBJ_938_66=MAKE_EXPRESSION_TREE_SCAN_TREE_11( MSG_725_16, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_937_193;
{obj_t PAIR_939_232;
PAIR_939_232=CDR( EXP_404_99 );PAIR_937_193=CDR( PAIR_939_232 );}SET_CAR( PAIR_937_193, OBJ_938_66 );}}
{obj_t OBJ_941_162;
OBJ_941_162=MAKE_EXPRESSION_TREE_SCAN_TREE_11( OBJ_726_17, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_940_108;
{obj_t PAIR_942_232;
{obj_t PAIR_943_139;
PAIR_943_139=CDR( EXP_404_99 );PAIR_942_232=CDR( PAIR_943_139 );}PAIR_940_108=CDR( PAIR_942_232 );}SET_CAR( PAIR_940_108, OBJ_941_162 );}}
return EXP_404_99;
}}
}}}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 36 ) ))
{obj_t C_CAR_1369_183;
C_CAR_1369_183=CAR( CDR_159_430_59 );{obj_t C_CAR_1370_172;
C_CAR_1370_172=CAR( CDR_915_663_103 );{
CLAUSES_731_48=OBJ1_1350_236;
TEST_730_149=C_CAR_1370_172;
TYPE_729_56=C_CAR_1369_183;
{_TAG_116_426_155:

{
{obj_t OBJ_920_128;
OBJ_920_128=MAKE_EXPRESSION_TREE_SCAN_TREE_11( TEST_730_149, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_919_127;
{obj_t PAIR_921_130;
PAIR_921_130=CDR( EXP_404_99 );PAIR_919_127=CDR( PAIR_921_130 );}SET_CAR( PAIR_919_127, OBJ_920_128 );}}
{obj_t HOOK_733_188;
{
HOOK_733_188=CLAUSES_731_48;
{_LOOP_732_128:

if( NULLP( HOOK_733_188 ))
return EXP_404_99;else
{
{obj_t OBJ_923_66;
{obj_t PAIR_926_64;
PAIR_926_64=CAR( HOOK_733_188 );{obj_t PAIR_927_121;
PAIR_927_121=CDR( PAIR_926_64 );{obj_t C_CAR_928_143;
C_CAR_928_143=CAR( PAIR_927_121 );OBJ_923_66=MAKE_EXPRESSION_TREE_SCAN_TREE_11( C_CAR_928_143, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );}}}{obj_t PAIR_922_245;
{obj_t PAIR_924_72;
PAIR_924_72=CAR( HOOK_733_188 );PAIR_922_245=CDR( PAIR_924_72 );}SET_CAR( PAIR_922_245, OBJ_923_66 );}}
{obj_t C_CDR_929_184;
C_CDR_929_184=CDR( HOOK_733_188 );{
HOOK_733_188=C_CDR_929_184;
goto _LOOP_732_128;
}}
}}
}}
}}
}}}else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 29 ) ))
if( PAIRP( OBJ1_1350_236 ))
{obj_t OBJ1_1373_40;
OBJ1_1373_40=CDR( OBJ1_1350_236 );if( EQP( OBJ1_1373_40, OBJ2_1351_86 ))
{obj_t C_CAR_1375_157;
C_CAR_1375_157=CAR( CDR_159_430_59 );{obj_t C_CAR_1376_183;
C_CAR_1376_183=CAR( CDR_915_663_103 );{obj_t C_CAR_1377_167;
C_CAR_1377_167=CAR( OBJ1_1350_236 );{
SINON_736_197=C_CAR_1377_167;
ALORS_735_61=C_CAR_1376_183;
SI_734_3=C_CAR_1375_157;
{_TAG_117_427_214:

{
{obj_t SI_744_170;
if( PAIRP( SI_734_3 ))
{obj_t CDR_23368_740_182;
CDR_23368_740_182=CDR( SI_734_3 );{obj_t OBJ1_907_234;
OBJ1_907_234=CAR( SI_734_3 );if( EQP( OBJ1_907_234, CNST_TABLE_REF( 29 ) ))
if( PAIRP( CDR_23368_740_182 ))
{obj_t CDR_23379_741_59;
CDR_23379_741_59=CDR( CDR_23368_740_182 );if( PAIRP( CDR_23379_741_59 ))
{obj_t CDR_23383_742_148;
CDR_23383_742_148=CDR( CDR_23379_741_59 );{obj_t OBJ2_909_140;
OBJ2_909_140=CBOOL_TO_BBOOL( ((bool_t)0) );{obj_t OBJ1_908_73;
OBJ1_908_73=CAR( CDR_23379_741_59 );if( EQP( OBJ1_908_73, OBJ2_909_140 ))
if( PAIRP( CDR_23383_742_148 ))
{obj_t OBJ2_911_196;
OBJ2_911_196=CBOOL_TO_BBOOL( ((bool_t)1) );{obj_t OBJ1_910_120;
OBJ1_910_120=CAR( CDR_23383_742_148 );if( EQP( OBJ1_910_120, OBJ2_911_196 ))
{obj_t OBJ2_913_247;
OBJ2_913_247=BNIL;{obj_t OBJ1_912_203;
OBJ1_912_203=CDR( CDR_23383_742_148 );if( EQP( OBJ1_912_203, OBJ2_913_247 ))
{obj_t C_CAR_914_255;
C_CAR_914_255=CAR( CDR_23368_740_182 );{
SI_744_170=C_CAR_914_255;
{_TAG_23359_737_216:

{
{obj_t OBJ_899_188;
OBJ_899_188=MAKE_EXPRESSION_TREE_SCAN_TREE_11( SI_744_170, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_898_223;
PAIR_898_223=CDR( EXP_404_99 );SET_CAR( PAIR_898_223, OBJ_899_188 );}}
{obj_t OBJ_901_228;
OBJ_901_228=MAKE_EXPRESSION_TREE_SCAN_TREE_11( ALORS_735_61, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_900_47;
{obj_t PAIR_902_205;
{obj_t PAIR_903_180;
PAIR_903_180=CDR( EXP_404_99 );PAIR_902_205=CDR( PAIR_903_180 );}PAIR_900_47=CDR( PAIR_902_205 );}SET_CAR( PAIR_900_47, OBJ_901_228 );}}
{obj_t OBJ_905_139;
OBJ_905_139=MAKE_EXPRESSION_TREE_SCAN_TREE_11( SINON_736_197, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_904_160;
{obj_t PAIR_906_162;
PAIR_906_162=CDR( EXP_404_99 );PAIR_904_160=CDR( PAIR_906_162 );}SET_CAR( PAIR_904_160, OBJ_905_139 );}}
}}
}}else
{_TAG_23360_738_1:

{
{obj_t OBJ_888_33;
OBJ_888_33=MAKE_EXPRESSION_TREE_SCAN_TREE_11( SI_734_3, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_887_81;
PAIR_887_81=CDR( EXP_404_99 );SET_CAR( PAIR_887_81, OBJ_888_33 );}}
{obj_t OBJ_890_169;
OBJ_890_169=MAKE_EXPRESSION_TREE_SCAN_TREE_11( ALORS_735_61, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_889_21;
{obj_t PAIR_892_186;
PAIR_892_186=CDR( EXP_404_99 );PAIR_889_21=CDR( PAIR_892_186 );}SET_CAR( PAIR_889_21, OBJ_890_169 );}}
{obj_t OBJ_894_197;
OBJ_894_197=MAKE_EXPRESSION_TREE_SCAN_TREE_11( SINON_736_197, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_893_67;
{obj_t PAIR_896_115;
{obj_t PAIR_897_48;
PAIR_897_48=CDR( EXP_404_99 );PAIR_896_115=CDR( PAIR_897_48 );}PAIR_893_67=CDR( PAIR_896_115 );}SET_CAR( PAIR_893_67, OBJ_894_197 );}}
}}}}else
goto _TAG_23360_738_1;}}else
goto _TAG_23360_738_1;else
goto _TAG_23360_738_1;}}}else
goto _TAG_23360_738_1;}else
goto _TAG_23360_738_1;else
if( EQP( OBJ1_907_234, CNST_TABLE_REF( 30 ) ))
if( PAIRP( CDR_23368_740_182 ))
{obj_t OBJ2_917_94;
OBJ2_917_94=BNIL;{obj_t OBJ1_916_152;
OBJ1_916_152=CDR( CDR_23368_740_182 );if( EQP( OBJ1_916_152, OBJ2_917_94 ))
{obj_t C_CAR_918_159;
C_CAR_918_159=CAR( CDR_23368_740_182 );{
SI_744_170=C_CAR_918_159;
goto _TAG_23359_737_216;
}}else
goto _TAG_23360_738_1;}}else
goto _TAG_23360_738_1;else
goto _TAG_23360_738_1;}}else
goto _TAG_23360_738_1;}
return EXP_404_99;
}}
}}}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_1020_679_51;
CDR_1020_679_51=CDR( OBJ1_1013_2 );{obj_t OBJ1_1378_56;
OBJ1_1378_56=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1378_56, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_1020_679_51 ))
{obj_t CDR_1388_680_204;
CDR_1388_680_204=CDR( CDR_1020_679_51 );if( PAIRP( CDR_1388_680_204 ))
{obj_t OBJ2_1380_193;
OBJ2_1380_193=BNIL;{obj_t OBJ1_1379_68;
OBJ1_1379_68=CDR( CDR_1388_680_204 );if( EQP( OBJ1_1379_68, OBJ2_1380_193 ))
{obj_t C_CAR_1381_204;
C_CAR_1381_204=CAR( CDR_1388_680_204 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1381_204;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1378_56, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_1020_679_51 ))
{obj_t CDR_1174_683_108;
CDR_1174_683_108=CDR( CDR_1020_679_51 );if( PAIRP( CDR_1174_683_108 ))
{obj_t OBJ2_1385_171;
OBJ2_1385_171=BNIL;{obj_t OBJ1_1384_138;
OBJ1_1384_138=CDR( CDR_1174_683_108 );if( EQP( OBJ1_1384_138, OBJ2_1385_171 ))
{obj_t C_CAR_1386_224;
C_CAR_1386_224=CAR( CDR_1174_683_108 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1386_224;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_368_685_161;
CDR_368_685_161=CDR( OBJ1_1013_2 );{obj_t OBJ1_1388_97;
OBJ1_1388_97=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1388_97, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_368_685_161 ))
{obj_t CDR_736_686_144;
CDR_736_686_144=CDR( CDR_368_685_161 );if( PAIRP( CDR_736_686_144 ))
{obj_t OBJ2_1390_52;
OBJ2_1390_52=BNIL;{obj_t OBJ1_1389_174;
OBJ1_1389_174=CDR( CDR_736_686_144 );if( EQP( OBJ1_1389_174, OBJ2_1390_52 ))
{obj_t C_CAR_1391_110;
C_CAR_1391_110=CAR( CDR_736_686_144 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1391_110;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1388_97, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_368_685_161 ))
{obj_t CDR_522_689_71;
CDR_522_689_71=CDR( CDR_368_685_161 );if( PAIRP( CDR_522_689_71 ))
{obj_t OBJ2_1395_31;
OBJ2_1395_31=BNIL;{obj_t OBJ1_1394_100;
OBJ1_1394_100=CDR( CDR_522_689_71 );if( EQP( OBJ1_1394_100, OBJ2_1395_31 ))
{obj_t C_CAR_1396_174;
C_CAR_1396_174=CAR( CDR_522_689_71 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1396_174;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 37 ) ))
goto _KAP_263_630_134;else
if( PAIRP( OBJ1_1013_2 ))
{obj_t CDR_3953_632_67;
CDR_3953_632_67=CDR( OBJ1_1013_2 );{obj_t OBJ1_1398_16;
OBJ1_1398_16=CAR( OBJ1_1013_2 );if( EQP( OBJ1_1398_16, CNST_TABLE_REF( 31 ) ))
if( PAIRP( CDR_3953_632_67 ))
{obj_t CDR_4321_633_165;
CDR_4321_633_165=CDR( CDR_3953_632_67 );if( PAIRP( CDR_4321_633_165 ))
{obj_t OBJ2_1400_20;
OBJ2_1400_20=BNIL;{obj_t OBJ1_1399_145;
OBJ1_1399_145=CDR( CDR_4321_633_165 );if( EQP( OBJ1_1399_145, OBJ2_1400_20 ))
{obj_t C_CAR_1401_241;
C_CAR_1401_241=CAR( CDR_4321_633_165 );{
ARGS_716_249=CDR_159_430_59;
BODY_715_112=C_CAR_1401_241;
goto _TAG_109_419_132;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1398_16, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_3953_632_67 ))
{obj_t CDR_4107_636_162;
CDR_4107_636_162=CDR( CDR_3953_632_67 );if( PAIRP( CDR_4107_636_162 ))
{obj_t OBJ2_1405_91;
OBJ2_1405_91=BNIL;{obj_t OBJ1_1404_133;
OBJ1_1404_133=CDR( CDR_4107_636_162 );if( EQP( OBJ1_1404_133, OBJ2_1405_91 ))
{obj_t C_CAR_1406_41;
C_CAR_1406_41=CAR( CDR_4107_636_162 );{
ARGS_719_71=CDR_159_430_59;
BODY_718_81=C_CAR_1406_41;
goto _TAG_111_421_199;
}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 27 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_3295_638_45;
CDR_3295_638_45=CDR( CDR_159_430_59 );if( PAIRP( CDR_3295_638_45 ))
{obj_t OBJ2_1410_168;
OBJ2_1410_168=BNIL;{obj_t OBJ1_1409_116;
OBJ1_1409_116=CDR( CDR_3295_638_45 );if( EQP( OBJ1_1409_116, OBJ2_1410_168 ))
{
return MAKE_LABELS_TREE_SCAN_LABELS_202( EXP_404_99, CNST_TABLE_REF( 25 ), ENV_406_17 );}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 3 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_2869_649_201;
CDR_2869_649_201=CDR( CDR_159_430_59 );if( PAIRP( CDR_2869_649_201 ))
{obj_t OBJ2_1428_251;
OBJ2_1428_251=BNIL;{obj_t OBJ1_1427_83;
OBJ1_1427_83=CDR( CDR_2869_649_201 );if( EQP( OBJ1_1427_83, OBJ2_1428_251 ))
{obj_t C_CAR_1429_222;
C_CAR_1429_222=CAR( CDR_159_430_59 );{obj_t C_CAR_1430_4;
C_CAR_1430_4=CAR( CDR_2869_649_201 );{
BODY_722_32=C_CAR_1430_4;
ARGS_721_77=C_CAR_1429_222;
{
{obj_t NAME_723_67;
{obj_t AUX_1666_247;
AUX_1666_247=ARITY_TOOLS_ARGS_236( ARGS_721_77 );NAME_723_67=PROCEDURE_ENTRY( GET_NEW_LAMBDA_NAME_SCAN_TREE_150 )( GET_NEW_LAMBDA_NAME_SCAN_TREE_150, AUX_1666_247, BEOA );}{obj_t VA_ARG_1522_248;
VA_ARG_1522_248=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1523_243;
VA_ARG_1523_243=MAKE_PAIR( NAME_723_67, VA_ARG_1522_248 );{obj_t VA_ARG_1524_222;
{obj_t VA_ARG_1525_235;
VA_ARG_1525_235=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1526_163;
VA_ARG_1526_163=MAKE_PAIR( BODY_722_32, VA_ARG_1525_235 );{obj_t VA_ARG_1527_200;
VA_ARG_1527_200=MAKE_PAIR( ARGS_721_77, VA_ARG_1526_163 );{obj_t VA_ARG_1528_120;
VA_ARG_1528_120=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1667_204;
{obj_t AUX_1668_18;
AUX_1668_18=CONS____R4_PAIRS_AND_LISTS_6_3_28( NAME_723_67, VA_ARG_1527_200 );AUX_1667_204=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1668_18, VA_ARG_1528_120 );}VA_ARG_1524_222=MAKE_PAIR( AUX_1667_204, VA_ARG_1523_243 );}}}}}{obj_t AUX_1669_214;
AUX_1669_214=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 27 ), VA_ARG_1524_222 );return MAKE_LABELS_TREE_SCAN_LABELS_202( AUX_1669_214, CNST_TABLE_REF( 25 ), ENV_406_17 );}}}}}}
}}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 35 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_2710_651_77;
CDR_2710_651_77=CDR( CDR_159_430_59 );if( PAIRP( CDR_2710_651_77 ))
{obj_t CDR_2748_652_81;
CDR_2748_652_81=CDR( CDR_2710_651_77 );if( PAIRP( CDR_2748_652_81 ))
{obj_t OBJ2_1433_139;
OBJ2_1433_139=BNIL;{obj_t OBJ1_1432_86;
OBJ1_1432_86=CDR( CDR_2748_652_81 );if( EQP( OBJ1_1432_86, OBJ2_1433_139 ))
{obj_t C_CAR_1434_26;
C_CAR_1434_26=CAR( CDR_159_430_59 );{obj_t C_CAR_1435_150;
C_CAR_1435_150=CAR( CDR_2710_651_77 );{obj_t C_CAR_1436_16;
C_CAR_1436_16=CAR( CDR_2748_652_81 );{
OBJ_726_17=C_CAR_1436_16;
MSG_725_16=C_CAR_1435_150;
PROC_724_249=C_CAR_1434_26;
goto _TAG_113_423_115;
}}}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 38 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CAR_2567_655_162, CDR_2568_654_154;
CAR_2567_655_162=CAR( CDR_159_430_59 );CDR_2568_654_154=CDR( CDR_159_430_59 );if( PAIRP( CAR_2567_655_162 ))
{obj_t OBJ2_1439_171;
OBJ2_1439_171=BNIL;{obj_t OBJ1_1438_241;
OBJ1_1438_241=CDR( CAR_2567_655_162 );if( EQP( OBJ1_1438_241, OBJ2_1439_171 ))
if( PAIRP( CDR_2568_654_154 ))
{obj_t OBJ1_1440_92;
OBJ1_1440_92=CDR( CDR_2568_654_154 );if( EQP( OBJ1_1440_92, OBJ2_1439_171 ))
{
return MAKE_BIND_EXIT_TREE_SCAN_BIND_EXIT_221( EXP_404_99, CNST_TABLE_REF( 25 ), ENV_406_17 );}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 28 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_2506_657_178;
CDR_2506_657_178=CDR( CDR_159_430_59 );if( PAIRP( CDR_2506_657_178 ))
{obj_t OBJ2_1444_242;
OBJ2_1444_242=BNIL;{obj_t OBJ1_1443_127;
OBJ1_1443_127=CDR( CDR_2506_657_178 );if( EQP( OBJ1_1443_127, OBJ2_1444_242 ))
{obj_t C_CAR_1445_41;
C_CAR_1445_41=CAR( CDR_159_430_59 );{obj_t C_CAR_1446_198;
C_CAR_1446_198=CAR( CDR_2506_657_178 );{
ARG_728_105=C_CAR_1446_198;
PROC_727_244=C_CAR_1445_41;
{
{
{obj_t OBJ_931_168;
OBJ_931_168=MAKE_EXPRESSION_TREE_SCAN_TREE_11( PROC_727_244, CNST_TABLE_REF( 28 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_930_11;
PAIR_930_11=CDR( EXP_404_99 );SET_CAR( PAIR_930_11, OBJ_931_168 );}}
{obj_t OBJ_933_41;
OBJ_933_41=MAKE_EXPRESSION_TREE_SCAN_TREE_11( ARG_728_105, CNST_TABLE_REF( 25 ), ENV_406_17, ENTERING_407_143 );{obj_t PAIR_932_171;
{obj_t PAIR_934_242;
PAIR_934_242=CDR( EXP_404_99 );PAIR_932_171=CDR( PAIR_934_242 );}SET_CAR( PAIR_932_171, OBJ_933_41 );}}
return EXP_404_99;
}}
}}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 36 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_2474_659_88;
CDR_2474_659_88=CDR( CDR_159_430_59 );if( PAIRP( CDR_2474_659_88 ))
{obj_t C_CAR_1448_86;
C_CAR_1448_86=CAR( CDR_159_430_59 );{obj_t C_CAR_1449_141;
C_CAR_1449_141=CAR( CDR_2474_659_88 );{obj_t C_CDR_1450_200;
C_CDR_1450_200=CDR( CDR_2474_659_88 );{
CLAUSES_731_48=C_CDR_1450_200;
TEST_730_149=C_CAR_1449_141;
TYPE_729_56=C_CAR_1448_86;
goto _TAG_116_426_155;
}}}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
if( EQP( OBJ1_1013_2, CNST_TABLE_REF( 29 ) ))
if( PAIRP( CDR_159_430_59 ))
{obj_t CDR_2453_661_199;
CDR_2453_661_199=CDR( CDR_159_430_59 );if( PAIRP( CDR_2453_661_199 ))
{obj_t CDR_2458_662_28;
CDR_2458_662_28=CDR( CDR_2453_661_199 );if( PAIRP( CDR_2458_662_28 ))
{obj_t OBJ2_1453_208;
OBJ2_1453_208=BNIL;{obj_t OBJ1_1452_90;
OBJ1_1452_90=CDR( CDR_2458_662_28 );if( EQP( OBJ1_1452_90, OBJ2_1453_208 ))
{obj_t C_CAR_1454_142;
C_CAR_1454_142=CAR( CDR_159_430_59 );{obj_t C_CAR_1455_230;
C_CAR_1455_230=CAR( CDR_2453_661_199 );{obj_t C_CAR_1456_227;
C_CAR_1456_227=CAR( CDR_2458_662_28 );{
SINON_736_197=C_CAR_1456_227;
ALORS_735_61=C_CAR_1455_230;
SI_734_3=C_CAR_1454_142;
goto _TAG_117_427_214;
}}}}else
goto _TAG_118_428_221;}}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;}else
goto _TAG_118_428_221;else
goto _TAG_118_428_221;}}}else
{
ATOM_690_125=EXP_404_99;
{
if( CNSTP( ATOM_690_125 ))
{bool_t __ortest_1010_1618_81;
{obj_t AUX_1670_137;
{obj_t OBJ2_1003_116;
OBJ2_1003_116=BNIL;AUX_1670_137=CBOOL_TO_BBOOL( EQP( ATOM_690_125, OBJ2_1003_116 ) );}__ortest_1010_1618_81=BBOOL_TO_CBOOL( AUX_1670_137 );}{if( __ortest_1010_1618_81)
goto _true_30;else
if( EQP( ATOM_690_125, BTRUE ))
goto _true_30;else
if( EQP( ATOM_690_125, BFALSE ))
goto _true_30;else
if( CHARP( ATOM_690_125 ))
goto _true_30;else
goto _false_31;_true_30:
return ATOM_690_125;_false_31:
{obj_t VA_ARG_1535_191;
{obj_t AUX_1671_228;
{long AUX_1672_74;
AUX_1672_74=CCNST( ATOM_690_125 );AUX_1671_228=BINT( AUX_1672_74 );}VA_ARG_1535_191=MAKE_PAIR( AUX_1671_228, BNIL );}{obj_t AUX_1673_59;
AUX_1673_59=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 12 ), VA_ARG_1535_191 );{
EXP_404_99=AUX_1673_59;
goto _MAKE_EXPRESSION_TREE_SCAN_TREE_11;
}}};
}}else
if( SYMBOLP( ATOM_690_125 ))
{obj_t AUX_1674_232;
AUX_1674_232=LOOKUP__SCAN_LEXICAL_70( ATOM_690_125, ENV_406_17 );if( BBOOL_TO_CBOOL( AUX_1674_232 ))
{obj_t LOCAL_694_127;
LOCAL_694_127=RE_LOOKUP_VALUE_SCAN_LEXICAL_77();{
USE_LOCAL__SCAN_TREE_120( LOCAL_694_127, SITE_405_176 );
return LOCAL_694_127;
}}else
{obj_t GLOBAL_695_184;
GLOBAL_695_184=FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13( ATOM_690_125, __GENV__VAR_ENV_215 );{if( STRUCTP( GLOBAL_695_184 ))
if( EQP( STRUCT_KEY( GLOBAL_695_184 ), CNST_TABLE_REF( 13 ) ))
goto _true_33;else
goto _false_34;else
goto _false_34;_true_33:
{obj_t O_1007_35;
O_1007_35=STRUCT_SLOT_REF( GLOBAL_695_184, BINT( 8 ) );{if( STRUCTP( O_1007_35 ))
if( EQP( STRUCT_KEY( O_1007_35 ), CNST_TABLE_REF( 14 ) ))
goto _true_36;else
goto _false_37;else
goto _false_37;_true_36:
{
{obj_t C_STRUCT_REF_1010_139;
C_STRUCT_REF_1010_139=STRUCT_SLOT_REF( GLOBAL_695_184, BINT( 8 ) );USE_TEMPORARY__SCAN_TEMPORARY_94( C_STRUCT_REF_1010_139, SITE_405_176 );}
return GLOBAL_695_184;
}_false_37:
{obj_t OBJ1_1011_115;
OBJ1_1011_115=STRUCT_SLOT_REF( GLOBAL_695_184, BINT( 3 ) );if( EQP( OBJ1_1011_115, CNST_TABLE_REF( 15 ) ))
{
__EVAL___ENGINE_PARAM_137=BTRUE;
return ABSTRACT_EVAL_HEAP_ABSTRACT_17( GLOBAL_695_184 );
}else
{
USE_GLOBAL__SCAN_TREE_177( GLOBAL_695_184, SITE_405_176 );
return GLOBAL_695_184;
}};
}}_false_34:
return CREATE_TEMPORARY_SCAN_TEMPORARY_12( ATOM_690_125, BNIL, SITE_405_176 );;
}}}else
return ATOM_690_125;}
}}
}
}

static obj_t
#if defined( __STDC__ )
COPY_TREE_701_136(obj_t TREE_705_127)
#else
COPY_TREE_701_136( TREE_705_127 )
obj_t TREE_705_127;
#endif
{

if( PAIRP( TREE_705_127 ))
{obj_t OBJ2_987_99;
{obj_t C_CDR_990_159;
C_CDR_990_159=CDR( TREE_705_127 );OBJ2_987_99=COPY_TREE_701_136( C_CDR_990_159 );}{obj_t OBJ1_986_208;
{obj_t C_CAR_989_100;
C_CAR_989_100=CAR( TREE_705_127 );OBJ1_986_208=COPY_TREE_701_136( C_CAR_989_100 );}return MAKE_PAIR( OBJ1_986_208, OBJ2_987_99 );}}else
return TREE_705_127;
}

obj_t
#if defined( __STDC__ )
__MAKE_EXPRESSION_TREE_SCAN_TREE_88(obj_t ENV_1545_186,obj_t EXP_404_99,obj_t SITE_405_176,obj_t ENV_406_17,obj_t ENTERING_407_143)
#else
__MAKE_EXPRESSION_TREE_SCAN_TREE_88( ENV_1545_186, EXP_404_99, SITE_405_176, ENV_406_17, ENTERING_407_143 )
obj_t ENV_1545_186, EXP_404_99, SITE_405_176, ENV_406_17, ENTERING_407_143;
#endif
{

return MAKE_EXPRESSION_TREE_SCAN_TREE_11( EXP_404_99, SITE_405_176, ENV_406_17, ENTERING_407_143 );
}

static obj_t
#if defined( __STDC__ )
USE_GLOBAL__SCAN_TREE_177(obj_t GLOBAL_748_160,obj_t SITE_749_94)
#else
USE_GLOBAL__SCAN_TREE_177( GLOBAL_748_160, SITE_749_94 )
obj_t GLOBAL_748_160, SITE_749_94;
#endif
{

{
{obj_t AUX_1647_79;
AUX_1647_79=ABSTRACT_EVAL__HEAP_ABSTRACT_230( GLOBAL_748_160 );if( BBOOL_TO_CBOOL( AUX_1647_79 ))
__EVAL___ENGINE_PARAM_137=BTRUE;else
BFALSE;}
{if( EQP( SITE_749_94, CNST_TABLE_REF( 39 ) ))
goto _true_3;else
if( EQP( SITE_749_94, CNST_TABLE_REF( 28 ) ))
goto _true_3;else
goto _false_4;_true_3:
{
{obj_t OBJ1_1457_19;
OBJ1_1457_19=STRUCT_SLOT_REF( GLOBAL_748_160, BINT( 4 ) );if( EQP( OBJ1_1457_19, CNST_TABLE_REF( 40 ) ))
{obj_t VALUE_751_65;
VALUE_751_65=STRUCT_SLOT_REF( GLOBAL_748_160, BINT( 6 ) );{obj_t V_1460_80;
{obj_t R_1463_166;
R_1463_166=STRUCT_SLOT_REF( VALUE_751_65, BINT( 9 ) );V_1460_80=ADD_I_PTAG( PSUB_TAG( 1 ), R_1463_166 );}STRUCT_SLOT_SET( VALUE_751_65, BINT( 9 ), V_1460_80 );}}else
BFALSE;}
return CNST_TABLE_REF( 41 );
}_false_4:
{if( EQP( SITE_749_94, CNST_TABLE_REF( 26 ) ))
{obj_t OBJ1_1466_131;
OBJ1_1466_131=STRUCT_SLOT_REF( GLOBAL_748_160, BINT( 4 ) );if( EQP( OBJ1_1466_131, CNST_TABLE_REF( 40 ) ))
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
{obj_t STRING_CAST_1536_114;
STRING_CAST_1536_114=CNST_TABLE_REF( 42 );{obj_t STRING_CAST_1537_246;
STRING_CAST_1537_246=CNST_TABLE_REF( 43 );{obj_t AUX_1648_66;
AUX_1648_66=SHAPE_TOOLS_SHAPE_229( GLOBAL_748_160 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_1536_114, STRING_CAST_1537_246, AUX_1648_66 );}}}_false_7:
return CNST_TABLE_REF( 41 );;
};
}
}
}

obj_t
#if defined( __STDC__ )
USE_LOCAL__SCAN_TREE_120(obj_t LOCAL_753_55,obj_t SITE_754_159)
#else
USE_LOCAL__SCAN_TREE_120( LOCAL_753_55, SITE_754_159 )
obj_t LOCAL_753_55, SITE_754_159;
#endif
{

{
{obj_t AUX_1644_241;
{obj_t AUX_1645_156;
AUX_1645_156=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 6 ) );AUX_1644_241=SATISFY__TOOLS_TRACE_72( AUX_1645_156 );}if( BBOOL_TO_CBOOL( AUX_1644_241 ))
{
{obj_t g1015_756_163;
{obj_t L_1469_97;
{obj_t STRING_CAST_1539_162;
STRING_CAST_1539_162=CNST_TABLE_REF( 44 );{obj_t C_CONS_1476_255;
{obj_t C_CONS_1475_218;
{obj_t STRING_CAST_1540_253;
STRING_CAST_1540_253=CNST_TABLE_REF( 45 );{obj_t C_CONS_1474_102;
{obj_t C_CONS_1473_201;
{obj_t STRING_CAST_1541_237;
STRING_CAST_1541_237=CNST_TABLE_REF( 46 );{obj_t C_CONS_1472_158;
{obj_t C_STRUCT_REF_1470_222;
C_STRUCT_REF_1470_222=STRUCT_SLOT_REF( LOCAL_753_55, BINT( 2 ) );{obj_t C_CONS_1471_106;
C_CONS_1471_106=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_1472_158=MAKE_PAIR( C_STRUCT_REF_1470_222, C_CONS_1471_106 );}}C_CONS_1473_201=MAKE_PAIR( STRING_CAST_1541_237, C_CONS_1472_158 );}}C_CONS_1474_102=MAKE_PAIR( SITE_754_159, C_CONS_1473_201 );}C_CONS_1475_218=MAKE_PAIR( STRING_CAST_1540_253, C_CONS_1474_102 );}}{obj_t AUX_1643_41;
AUX_1643_41=SHAPE_TOOLS_SHAPE_229( LOCAL_753_55 );C_CONS_1476_255=MAKE_PAIR( AUX_1643_41, C_CONS_1475_218 );}}L_1469_97=MAKE_PAIR( STRING_CAST_1539_162, C_CONS_1476_255 );}}{
g1015_756_163=L_1469_97;
{_g1016_755_99:

if( PAIRP( g1015_756_163 ))
{
{obj_t A_757_5;
A_757_5=CAR( g1015_756_163 );{obj_t VA_ARG_1538_193;
VA_ARG_1538_193=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_757_5, VA_ARG_1538_193 );}}
{obj_t C_CDR_1468_217;
C_CDR_1468_217=CDR( g1015_756_163 );{
g1015_756_163=C_CDR_1468_217;
goto _g1016_755_99;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1477_1;
PORT_1477_1=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1477_1 );}
}else
BFALSE;}
{if( EQP( SITE_754_159, CNST_TABLE_REF( 39 ) ))
goto _true_0;else
if( EQP( SITE_754_159, CNST_TABLE_REF( 28 ) ))
goto _true_0;else
goto _false_1;_true_0:
{
{obj_t OBJ1_1478_53;
OBJ1_1478_53=STRUCT_SLOT_REF( LOCAL_753_55, BINT( 2 ) );if( EQP( OBJ1_1478_53, CNST_TABLE_REF( 40 ) ))
{obj_t VALUE_759_68;
VALUE_759_68=STRUCT_SLOT_REF( LOCAL_753_55, BINT( 3 ) );{obj_t V_1481_248;
{obj_t R_1482_95;
R_1482_95=STRUCT_SLOT_REF( VALUE_759_68, BINT( 9 ) );V_1481_248=ADD_I_PTAG( PSUB_TAG( 1 ), R_1482_95 );}STRUCT_SLOT_SET( VALUE_759_68, BINT( 9 ), V_1481_248 );}}else
{bool_t OBJ_1639_137;
OBJ_1639_137=INTEGERP( STRUCT_SLOT_REF( LOCAL_753_55, BINT( 4 ) ) );if( OBJ_1639_137)
{obj_t V_1488_76;
{obj_t R_1489_85;
R_1489_85=STRUCT_SLOT_REF( LOCAL_753_55, BINT( 4 ) );V_1488_76=ADD_I_PTAG( PSUB_TAG( 1 ), R_1489_85 );}STRUCT_SLOT_SET( LOCAL_753_55, BINT( 4 ), V_1488_76 );}else
STRUCT_SLOT_SET( LOCAL_753_55, BINT( 4 ), BINT( 1 ) );}}
return CNST_TABLE_REF( 41 );
}_false_1:
if( EQP( SITE_754_159, CNST_TABLE_REF( 26 ) ))
{obj_t OBJ1_1492_198;
OBJ1_1492_198=STRUCT_SLOT_REF( LOCAL_753_55, BINT( 2 ) );if( EQP( OBJ1_1492_198, CNST_TABLE_REF( 40 ) ))
{obj_t STRING_CAST_1542_178;
STRING_CAST_1542_178=CNST_TABLE_REF( 47 );{obj_t STRING_CAST_1543_85;
STRING_CAST_1543_85=CNST_TABLE_REF( 48 );{obj_t AUX_1646_46;
AUX_1646_46=SHAPE_TOOLS_SHAPE_229( LOCAL_753_55 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_1542_178, STRING_CAST_1543_85, AUX_1646_46 );}}}else
return STRUCT_SLOT_SET( LOCAL_753_55, BINT( 5 ), CNST_TABLE_REF( 26 ) );}else
return BFALSE;;
}
}
}

obj_t
#if defined( __STDC__ )
__USE_LOCAL__SCAN_TREE_16(obj_t ENV_1544_67,obj_t LOCAL_753_55,obj_t SITE_754_159)
#else
__USE_LOCAL__SCAN_TREE_16( ENV_1544_67, LOCAL_753_55, SITE_754_159 )
obj_t ENV_1544_67, LOCAL_753_55, SITE_754_159;
#endif
{

return USE_LOCAL__SCAN_TREE_120( LOCAL_753_55, SITE_754_159 );
}

