/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Scan/walk.c                                                       */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_SCAN_WALK_234 = BUNSPEC;
extern obj_t SCAN_DEFINITION_INITIALISATION_SCAN_DEFINITION_90();
extern obj_t __PASS__ENGINE_PARAM_158;
extern obj_t SCAN_ATOM_DEFINITION_SCAN_DEFINITION_50();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t SCAN_EVAL_INITIALISATION_SCAN_EVAL_186();
extern obj_t __GENV__VAR_ENV_215;
#if defined( __STDC__ )
extern obj_t __SCAN_WALK_INITIALISATION_SCAN_WALK_142(obj_t);
#else
extern obj_t __SCAN_WALK_INITIALISATION_SCAN_WALK_142();
#endif
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
#if defined( __STDC__ )
static obj_t DEFINE__SET__SCAN_WALK_177(obj_t, obj_t);
#else
static obj_t DEFINE__SET__SCAN_WALK_177();
#endif
extern obj_t __UNSAFE_VERSION__ENGINE_PARAM_178;
extern obj_t REMOVE_FROM_REMEMBER_LIST__VAR_DECLARE_82();
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
extern obj_t GET_NEW_LAMBDA_NAME_SCAN_TREE_150;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
#if defined( __STDC__ )
static obj_t MAKE_FINAL_CODE_SCAN_WALK_101(obj_t, obj_t);
#else
static obj_t MAKE_FINAL_CODE_SCAN_WALK_101();
#endif
extern obj_t SCAN_VALUE_DEFINITION_SCAN_DEFINITION_220();
#if defined( __STDC__ )
extern obj_t SCAN_WALK_SCAN_WALK_44(obj_t);
#else
extern obj_t SCAN_WALK_SCAN_WALK_44();
#endif
extern obj_t VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t MAKE_LOCAL_TREE_SCAN_LABELS_246();
#if defined( __STDC__ )
extern obj_t __SCAN_WALK_SCAN_WALK_12(obj_t, obj_t);
#else
extern obj_t __SCAN_WALK_SCAN_WALK_12();
#endif
extern obj_t DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53();
extern obj_t EVAL_INITIALISATION_SCAN_EVAL_203();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
static obj_t FIXE_IMPORTED__SCAN_WALK_239();
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
obj_t SCAN_WALK_INITIALISATION_ENV_SCAN_WALK_193 = BUNSPEC;
static obj_t __cnst[ 27 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
extern obj_t __BIGLOO_LEVEL__ENGINE_PARAM_102;
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97();
extern obj_t SCAN_FUNCTION_DEFINITION_SCAN_DEFINITION_67();
extern obj_t READ___READER_198;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t PROCEDURE_0_SCAN_WALK_248 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__SCAN_WALK_78 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t MAKE_EXPRESSION_TREE_SCAN_TREE_11();
extern obj_t SCAN_WALK_INITIALISATION_SCAN_WALK_125();
extern obj_t c_constant_string_to_string();
extern obj_t PP_GLOBAL_ENVIRONMENT_VAR_ENV_198();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t INITIALISATION_NAME_ENGINE_PARAM_164();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t ADD_PRAGMA__VAR_PRAGMA_239();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t SCAN_LABELS_INITIALISATION_SCAN_LABELS_125();
extern obj_t make_fx_procedure();
extern obj_t SCAN_TEMPORARY_INITIALISATION_SCAN_TEMPORARY_219();
extern obj_t SCAN_TREE_INITIALISATION_SCAN_TREE_22();
extern obj_t TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t NORMALIZE_PROGN_TOOLS_PROGN_6();
extern obj_t FIXE_ALIASES__SCAN_ALIAS_48();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t SCAN_ALIAS_INITIALISATION_SCAN_ALIAS_214();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
obj_t SCAN_WALK_ENV_SCAN_WALK_213 = BUNSPEC;
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t MAKE_N_PROTO_TOOLS_ARGS_65();
extern obj_t FIXE_TEMPORARY__SCAN_TEMPORARY_45();
extern obj_t WHEN_TRACE_TOOLS_TRACE_59();
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175();
extern obj_t GET_REMEMBER_LIST_VAR_DECLARE_154();
extern obj_t __BIGLOO_NAME__ENGINE_PARAM_173;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_0_0_403_126();
static obj_t LAMBDA_0_1_404_91();
static obj_t WALK_ON_BUCKET_430_13();

obj_t
#if defined( __STDC__ )
SCAN_WALK_INITIALISATION_SCAN_WALK_125()
#else
SCAN_WALK_INITIALISATION_SCAN_WALK_125()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__SCAN_WALK_78 ))
{
REQUIRE_INITIALISATION__SCAN_WALK_78=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
___READER_INITIALISATION___READER_22();
TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
SCAN_LABELS_INITIALISATION_SCAN_LABELS_125();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
SCAN_TREE_INITIALISATION_SCAN_TREE_22();
SCAN_DEFINITION_INITIALISATION_SCAN_DEFINITION_90();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
VAR_ENV_INITIALISATION_VAR_ENV_78();
SCAN_TEMPORARY_INITIALISATION_SCAN_TEMPORARY_219();
SCAN_EVAL_INITIALISATION_SCAN_EVAL_186();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
SCAN_ALIAS_INITIALISATION_SCAN_ALIAS_214();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 27 ]  );
{obj_t PORT_731_32;
{obj_t AUX_757_232;
AUX_757_232=c_constant_string_to_string( "#\" --> \" IMPORT DONE GENV #\"Dans fixe-imported!\" SET! LABELS #\"_________________________________\" #\"==> Tree: \" #\"==> Genv (scan): \" LAMBDA FUNCTION INIT (ENV INIT ) #\"some declared variable aren't defined\" #\"scan\" CHECK-FOR-VERSION-SOUNDNESS! QUOTE MAKE-HEAP DEFINE DEFINE-INLINE BEGIN READ _NO_EVAL_VALUE_ EXPORT #\"Scan\" #\"   . Scan\" " );PORT_731_32=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_757_232 );}{obj_t OFFSET_732_225;
{
OFFSET_732_225=BINT( 26 );
{_LOOP_733_83:

if( LT_I( OFFSET_732_225, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_758_239;
AUX_758_239=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_731_32, BEOA );CNST_TABLE_SET( OFFSET_732_225, AUX_758_239 );}
{obj_t OFFSET_759_161;
OFFSET_759_161=OFFSET_732_225;{
OFFSET_732_225=SUB_I( OFFSET_759_161, BINT( 1 ) );
goto _LOOP_733_83;
}}
}}
}}}
PROCEDURE_1_SCAN_WALK_234=make_fx_procedure( WALK_ON_BUCKET_430_13, 1, 0 );
PROCEDURE_0_SCAN_WALK_248=make_fx_procedure( LAMBDA_0_0_403_126, 0, 0 );
{
SCAN_WALK_INITIALISATION_ENV_SCAN_WALK_193=make_fx_procedure( __SCAN_WALK_INITIALISATION_SCAN_WALK_142, 0, 0 );
SCAN_WALK_ENV_SCAN_WALK_213=make_fx_procedure( __SCAN_WALK_SCAN_WALK_12, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__SCAN_WALK_INITIALISATION_SCAN_WALK_142(obj_t ENV_708_196)
#else
__SCAN_WALK_INITIALISATION_SCAN_WALK_142( ENV_708_196 )
obj_t ENV_708_196;
#endif
{

return SCAN_WALK_INITIALISATION_SCAN_WALK_125();
}

obj_t
#if defined( __STDC__ )
SCAN_WALK_SCAN_WALK_44(obj_t CODE_365_33)
#else
SCAN_WALK_SCAN_WALK_44( CODE_365_33 )
obj_t CODE_365_33;
#endif
{

{
{obj_t VA_ARG_660_88;
VA_ARG_660_88=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_661_133;
{obj_t STRING_CAST_662_233;
STRING_CAST_662_233=CNST_TABLE_REF( 0 );VA_ARG_661_133=MAKE_PAIR( STRING_CAST_662_233, VA_ARG_660_88 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_661_133 );}}
{obj_t STRING_CAST_663_27;
STRING_CAST_663_27=CNST_TABLE_REF( 1 );START_PARTIAL_ERROR_TOOLS_ERROR_175( STRING_CAST_663_27 );}
{obj_t __TOP_LEVEL__366_82;
{obj_t AUX_753_137;
AUX_753_137=INITIALISATION_NAME_ENGINE_PARAM_164();__TOP_LEVEL__366_82=DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( AUX_753_137, BNIL, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 2 ) );}{
ADD_PRAGMA__VAR_PRAGMA_239( __TOP_LEVEL__366_82, CNST_TABLE_REF( 3 ) );
{obj_t CODE_369_80, DEFINITIONS_370_59;
{bool_t __ortest_1000_709_227;
{obj_t AUX_754_191;
{obj_t OBJ1_553_119;
OBJ1_553_119=__PASS__ENGINE_PARAM_158;AUX_754_191=CBOOL_TO_BBOOL( EQP( OBJ1_553_119, CNST_TABLE_REF( 8 ) ) );}__ortest_1000_709_227=BBOOL_TO_CBOOL( AUX_754_191 );}{
DEFINITIONS_370_59=BNIL;
{if( __ortest_1000_709_227)
goto _true_3;else
if( BBOOL_TO_CBOOL( __UNSAFE_VERSION__ENGINE_PARAM_178 ))
goto _true_3;else
goto _false_4;_true_3:
{CODE_369_80=CODE_365_33;
goto _endif_5;}_false_4:
{obj_t OBJ1_554_1;
{obj_t VA_ARG_664_237;
VA_ARG_664_237=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_665_253;
VA_ARG_665_253=MAKE_PAIR( __BIGLOO_LEVEL__ENGINE_PARAM_102, VA_ARG_664_237 );{obj_t VA_ARG_666_85;
VA_ARG_666_85=MAKE_PAIR( __BIGLOO_NAME__ENGINE_PARAM_173, VA_ARG_665_253 );{obj_t VA_ARG_667_178;
{obj_t VA_ARG_668_221;
VA_ARG_668_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_669_54;
VA_ARG_669_54=MAKE_PAIR( __MODULE_NAME__ENGINE_PARAM_191, VA_ARG_668_221 );{obj_t AUX_756_139;
AUX_756_139=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_669_54 );VA_ARG_667_178=MAKE_PAIR( AUX_756_139, VA_ARG_666_85 );}}}OBJ1_554_1=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 10 ), VA_ARG_667_178 );}}}}CODE_369_80=MAKE_PAIR( OBJ1_554_1, CODE_365_33 );}_endif_5:
;
}
{_LOOP_367_158:

if( NULLP( CODE_369_80 ))
{obj_t C_CONS_513_112;
C_CONS_513_112=MAKE_PAIR( BINT( 0 ), DEFINITIONS_370_59 );return MAKE_FINAL_CODE_SCAN_WALK_101( __TOP_LEVEL__366_82, C_CONS_513_112 );}else
{obj_t BODY_389_60, EXP_390_137, NAME_391_64, VAR_392_221, VAL_393_99, VAR_394_206, VAL_395_80;
{obj_t E_107_377_213;
E_107_377_213=CAR( CODE_369_80 );if( PAIRP( E_107_377_213 ))
{obj_t OBJ1_536_87;
OBJ1_536_87=CAR( E_107_377_213 );if( EQP( OBJ1_536_87, CNST_TABLE_REF( 5 ) ))
{obj_t C_CDR_537_202;
C_CDR_537_202=CDR( E_107_377_213 );{
BODY_389_60=C_CDR_537_202;
{
{obj_t C_CDR_534_129;
C_CDR_534_129=CDR( CODE_369_80 );{obj_t AUX_755_108;
AUX_755_108=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( BODY_389_60, C_CDR_534_129 );{
CODE_369_80=AUX_755_108;
goto _LOOP_367_158;
}}}}
}}else
{obj_t CDR_147_378_246;
CDR_147_378_246=CDR( E_107_377_213 );if( EQP( OBJ1_536_87, CNST_TABLE_REF( 6 ) ))
if( PAIRP( CDR_147_378_246 ))
{obj_t CAR_250_380_253, CDR_251_379_118;
CAR_250_380_253=CAR( CDR_147_378_246 );CDR_251_379_118=CDR( CDR_147_378_246 );if( PAIRP( CAR_250_380_253 ))
if( PAIRP( CDR_251_379_118 ))
{obj_t OBJ2_540_91;
OBJ2_540_91=BNIL;{obj_t OBJ1_539_65;
OBJ1_539_65=CDR( CDR_251_379_118 );if( EQP( OBJ1_539_65, OBJ2_540_91 ))
{obj_t C_CAR_541_127;
C_CAR_541_127=CAR( CAR_250_380_253 );{
NAME_391_64=C_CAR_541_127;
{_TAG_103_373_212:

{obj_t C_CDR_526_219;
C_CDR_526_219=CDR( CODE_369_80 );{obj_t OBJ1_527_73;
{obj_t C_CAR_529_167;
C_CAR_529_167=CAR( CODE_369_80 );OBJ1_527_73=SCAN_FUNCTION_DEFINITION_SCAN_DEFINITION_67( C_CAR_529_167 );}{obj_t C_CONS_528_56;
C_CONS_528_56=MAKE_PAIR( OBJ1_527_73, DEFINITIONS_370_59 );{
DEFINITIONS_370_59=C_CONS_528_56;
CODE_369_80=C_CDR_526_219;
goto _LOOP_367_158;
}}}}}
}}else
{_TAG_106_376_38:

{obj_t C_CDR_514_110;
C_CDR_514_110=CDR( CODE_369_80 );{obj_t OBJ1_515_6;
{obj_t C_CAR_517_184;
C_CAR_517_184=CAR( CODE_369_80 );OBJ1_515_6=MAKE_EXPRESSION_TREE_SCAN_TREE_11( C_CAR_517_184, CNST_TABLE_REF( 4 ), BNIL, BNIL );}{obj_t C_CONS_516_225;
C_CONS_516_225=MAKE_PAIR( OBJ1_515_6, DEFINITIONS_370_59 );{
DEFINITIONS_370_59=C_CONS_516_225;
CODE_369_80=C_CDR_514_110;
goto _LOOP_367_158;
}}}}}}}else
goto _TAG_106_376_38;else
goto _TAG_106_376_38;}else
goto _TAG_106_376_38;else
if( EQP( OBJ1_536_87, CNST_TABLE_REF( 7 ) ))
if( PAIRP( CDR_147_378_246 ))
{obj_t CAR_168_383_225, CDR_169_382_209;
CAR_168_383_225=CAR( CDR_147_378_246 );CDR_169_382_209=CDR( CDR_147_378_246 );if( PAIRP( CAR_168_383_225 ))
if( PAIRP( CDR_169_382_209 ))
{obj_t OBJ2_544_81;
OBJ2_544_81=BNIL;{obj_t OBJ1_543_69;
OBJ1_543_69=CDR( CDR_169_382_209 );if( EQP( OBJ1_543_69, OBJ2_544_81 ))
{obj_t C_CAR_545_6;
C_CAR_545_6=CAR( CAR_168_383_225 );{
NAME_391_64=C_CAR_545_6;
goto _TAG_103_373_212;
}}else
goto _TAG_106_376_38;}}else
goto _TAG_106_376_38;else
if( PAIRP( CDR_169_382_209 ))
{obj_t CAR_188_386_137;
CAR_188_386_137=CAR( CDR_169_382_209 );if( PAIRP( CAR_188_386_137 ))
{obj_t OBJ2_547_24;
OBJ2_547_24=BNIL;{obj_t OBJ1_546_146;
OBJ1_546_146=CDR( CDR_169_382_209 );if( EQP( OBJ1_546_146, OBJ2_547_24 ))
{
VAL_395_80=CAR_188_386_137;
VAR_394_206=CAR_168_383_225;
{
{obj_t C_CDR_518_140;
C_CDR_518_140=CDR( CODE_369_80 );{obj_t OBJ1_519_21;
{obj_t C_CAR_521_181;
C_CAR_521_181=CAR( CODE_369_80 );OBJ1_519_21=SCAN_VALUE_DEFINITION_SCAN_DEFINITION_220( C_CAR_521_181 );}{obj_t C_CONS_520_36;
C_CONS_520_36=MAKE_PAIR( OBJ1_519_21, DEFINITIONS_370_59 );{
DEFINITIONS_370_59=C_CONS_520_36;
CODE_369_80=C_CDR_518_140;
goto _LOOP_367_158;
}}}}}
}else
goto _TAG_106_376_38;}}else
{obj_t OBJ2_551_2;
OBJ2_551_2=BNIL;{obj_t OBJ1_550_97;
OBJ1_550_97=CDR( CDR_169_382_209 );if( EQP( OBJ1_550_97, OBJ2_551_2 ))
{
VAL_393_99=CAR_188_386_137;
VAR_392_221=CAR_168_383_225;
{
{obj_t C_CDR_522_222;
C_CDR_522_222=CDR( CODE_369_80 );{obj_t OBJ1_523_65;
{obj_t C_CAR_525_58;
C_CAR_525_58=CAR( CODE_369_80 );OBJ1_523_65=SCAN_ATOM_DEFINITION_SCAN_DEFINITION_50( C_CAR_525_58 );}{obj_t C_CONS_524_173;
C_CONS_524_173=MAKE_PAIR( OBJ1_523_65, DEFINITIONS_370_59 );{
DEFINITIONS_370_59=C_CONS_524_173;
CODE_369_80=C_CDR_522_222;
goto _LOOP_367_158;
}}}}}
}else
goto _TAG_106_376_38;}}}else
goto _TAG_106_376_38;}else
goto _TAG_106_376_38;else
goto _TAG_106_376_38;}}else
{
EXP_390_137=E_107_377_213;
{
{obj_t C_CDR_530_19;
C_CDR_530_19=CDR( CODE_369_80 );{obj_t OBJ1_531_68;
{obj_t C_CAR_533_199;
C_CAR_533_199=CAR( CODE_369_80 );OBJ1_531_68=MAKE_EXPRESSION_TREE_SCAN_TREE_11( C_CAR_533_199, CNST_TABLE_REF( 4 ), BNIL, BNIL );}{obj_t C_CONS_532_33;
C_CONS_532_33=MAKE_PAIR( OBJ1_531_68, DEFINITIONS_370_59 );{
DEFINITIONS_370_59=C_CONS_532_33;
CODE_369_80=C_CDR_530_19;
goto _LOOP_367_158;
}}}}}
}}}}
}}}
}}
}
}

obj_t
#if defined( __STDC__ )
__SCAN_WALK_SCAN_WALK_12(obj_t ENV_707_226,obj_t CODE_365_33)
#else
__SCAN_WALK_SCAN_WALK_12( ENV_707_226, CODE_365_33 )
obj_t ENV_707_226, CODE_365_33;
#endif
{

return SCAN_WALK_SCAN_WALK_44( CODE_365_33 );
}

static obj_t
#if defined( __STDC__ )
MAKE_FINAL_CODE_SCAN_WALK_101(obj_t TOP_LEVEL_396_56,obj_t DEFINITIONS_397_8)
#else
MAKE_FINAL_CODE_SCAN_WALK_101( TOP_LEVEL_396_56, DEFINITIONS_397_8 )
obj_t TOP_LEVEL_396_56, DEFINITIONS_397_8;
#endif
{

{
FIXE_TEMPORARY__SCAN_TEMPORARY_45();
FIXE_ALIASES__SCAN_ALIAS_48();
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
FIXE_IMPORTED__SCAN_WALK_239();
{obj_t AUX_750_59;
AUX_750_59=INITIALISATION_NAME_ENGINE_PARAM_164();REMOVE_FROM_REMEMBER_LIST__VAR_DECLARE_82( AUX_750_59 );}
{bool_t OBJ_717_228;
{obj_t AUX_751_74;
AUX_751_74=GET_REMEMBER_LIST_VAR_DECLARE_154();OBJ_717_228=NULLP( AUX_751_74 );}if( OBJ_717_228)
BFALSE;else
{obj_t OBJECT_557_67;
OBJECT_557_67=GET_REMEMBER_LIST_VAR_DECLARE_154();FAILURE( CNST_TABLE_REF( 11 ), CNST_TABLE_REF( 12 ), OBJECT_557_67 );}}
{obj_t DEFINITIONS_399_166, DEF_FORMS_400_25, INIT_FORMS_401_180;
{
INIT_FORMS_401_180=BNIL;
DEF_FORMS_400_25=BNIL;
DEFINITIONS_399_166=DEFINITIONS_397_8;
{_LOOP_398_95:

if( NULLP( DEFINITIONS_399_166 ))
{obj_t RES_402_118;
{obj_t OBJ1_558_27;
{obj_t FORMS_559_255;
{obj_t AUX_752_228;
AUX_752_228=EVAL_INITIALISATION_SCAN_EVAL_203();FORMS_559_255=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_752_228, INIT_FORMS_401_180 );}{
{obj_t V_561_167;
V_561_167=NORMALIZE_PROGN_TOOLS_PROGN_6( FORMS_559_255 );{obj_t S_560_112;
S_560_112=STRUCT_SLOT_REF( TOP_LEVEL_396_56, BINT( 6 ) );STRUCT_SLOT_SET( S_560_112, BINT( 4 ), V_561_167 );}}
{obj_t V_564_124;
V_564_124=BNIL;{obj_t S_563_21;
S_563_21=STRUCT_SLOT_REF( TOP_LEVEL_396_56, BINT( 6 ) );STRUCT_SLOT_SET( S_563_21, BINT( 3 ), V_564_124 );}}
OBJ1_558_27=TOP_LEVEL_396_56;
}}RES_402_118=MAKE_PAIR( OBJ1_558_27, DEF_FORMS_400_25 );}{
{obj_t VA_ARG_672_175;
{obj_t LAMBDA_0_0_ENV_705_255;
LAMBDA_0_0_ENV_705_255=PROCEDURE_0_SCAN_WALK_248;{obj_t A_FUNCTION_675_40;
A_FUNCTION_675_40=LAMBDA_0_0_ENV_705_255;VA_ARG_672_175=MAKE_PAIR( A_FUNCTION_675_40, BNIL );}}WHEN_TRACE_TOOLS_TRACE_59( CNST_TABLE_REF( 13 ), VA_ARG_672_175 );}
{obj_t VA_ARG_676_166;
{obj_t LAMBDA_0_1_ENV_703_53;
LAMBDA_0_1_ENV_703_53=make_fx_procedure( LAMBDA_0_1_404_91, 0, 1 );{
PROCEDURE_ENV_SET( LAMBDA_0_1_ENV_703_53, 0, RES_402_118 );
{obj_t A_FUNCTION_685_208;
A_FUNCTION_685_208=LAMBDA_0_1_ENV_703_53;VA_ARG_676_166=MAKE_PAIR( A_FUNCTION_685_208, BNIL );}
}}WHEN_TRACE_TOOLS_TRACE_59( CNST_TABLE_REF( 14 ), VA_ARG_676_166 );}
return RES_402_118;
}}else
{obj_t GLOBAL_416_131, ARGS_417_103, BODY_418_216;
{obj_t E_288_410_92;
E_288_410_92=CAR( DEFINITIONS_399_166 );if( PAIRP( E_288_410_92 ))
{obj_t CDR_296_411_157;
CDR_296_411_157=CDR( E_288_410_92 );{obj_t OBJ1_579_167;
OBJ1_579_167=CAR( E_288_410_92 );if( EQP( OBJ1_579_167, CNST_TABLE_REF( 7 ) ))
if( PAIRP( CDR_296_411_157 ))
{obj_t CDR_301_412_127;
CDR_301_412_127=CDR( CDR_296_411_157 );if( PAIRP( CDR_301_412_127 ))
{obj_t CAR_305_413_16;
CAR_305_413_16=CAR( CDR_301_412_127 );if( PAIRP( CAR_305_413_16 ))
{obj_t CDR_310_414_250;
CDR_310_414_250=CDR( CAR_305_413_16 );{obj_t OBJ1_580_169;
OBJ1_580_169=CAR( CAR_305_413_16 );if( EQP( OBJ1_580_169, CNST_TABLE_REF( 16 ) ))
if( PAIRP( CDR_310_414_250 ))
{obj_t CDR_314_415_90;
CDR_314_415_90=CDR( CDR_310_414_250 );if( PAIRP( CDR_314_415_90 ))
{obj_t OBJ2_582_200;
OBJ2_582_200=BNIL;{obj_t OBJ1_581_234;
OBJ1_581_234=CDR( CDR_314_415_90 );if( EQP( OBJ1_581_234, OBJ2_582_200 ))
{obj_t OBJ1_583_56;
OBJ1_583_56=CDR( CDR_301_412_127 );if( EQP( OBJ1_583_56, OBJ2_582_200 ))
{obj_t C_CAR_585_164;
C_CAR_585_164=CAR( CDR_296_411_157 );{obj_t C_CAR_586_185;
C_CAR_586_185=CAR( CDR_310_414_250 );{obj_t C_CAR_587_194;
C_CAR_587_194=CAR( CDR_314_415_90 );{
BODY_418_216=C_CAR_587_194;
ARGS_417_103=C_CAR_586_185;
GLOBAL_416_131=C_CAR_585_164;
{
{obj_t OBJ1_570_12;
OBJ1_570_12=STRUCT_SLOT_REF( GLOBAL_416_131, BINT( 4 ) );if( EQP( OBJ1_570_12, CNST_TABLE_REF( 15 ) ))
{obj_t VALUE_419_84;
VALUE_419_84=STRUCT_SLOT_REF( GLOBAL_416_131, BINT( 6 ) );{
STRUCT_SLOT_SET( VALUE_419_84, BINT( 4 ), BODY_418_216 );
STRUCT_SLOT_SET( VALUE_419_84, BINT( 3 ), ARGS_417_103 );
{obj_t C_CDR_573_87;
C_CDR_573_87=CDR( DEFINITIONS_399_166 );{obj_t C_CONS_574_40;
C_CONS_574_40=MAKE_PAIR( GLOBAL_416_131, DEF_FORMS_400_25 );{
DEF_FORMS_400_25=C_CONS_574_40;
DEFINITIONS_399_166=C_CDR_573_87;
goto _LOOP_398_95;
}}}
}}else
{obj_t C_CDR_575_56;
C_CDR_575_56=CDR( DEFINITIONS_399_166 );{obj_t OBJ1_576_75;
{obj_t C_CAR_578_234;
C_CAR_578_234=CAR( DEFINITIONS_399_166 );OBJ1_576_75=DEFINE__SET__SCAN_WALK_177( TOP_LEVEL_396_56, C_CAR_578_234 );}{obj_t C_CONS_577_36;
C_CONS_577_36=MAKE_PAIR( OBJ1_576_75, INIT_FORMS_401_180 );{
INIT_FORMS_401_180=C_CONS_577_36;
DEFINITIONS_399_166=C_CDR_575_56;
goto _LOOP_398_95;
}}}}}}
}}}}else
{_TAG_287_409_91:

{obj_t C_CDR_567_131;
C_CDR_567_131=CDR( DEFINITIONS_399_166 );{obj_t OBJ1_568_43;
OBJ1_568_43=CAR( DEFINITIONS_399_166 );{obj_t C_CONS_569_136;
C_CONS_569_136=MAKE_PAIR( OBJ1_568_43, INIT_FORMS_401_180 );{
INIT_FORMS_401_180=C_CONS_569_136;
DEFINITIONS_399_166=C_CDR_567_131;
goto _LOOP_398_95;
}}}}}}else
goto _TAG_287_409_91;}}else
goto _TAG_287_409_91;}else
goto _TAG_287_409_91;else
goto _TAG_287_409_91;}}else
goto _TAG_287_409_91;}else
goto _TAG_287_409_91;}else
goto _TAG_287_409_91;else
goto _TAG_287_409_91;}}else
goto _TAG_287_409_91;}}}
}}
}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_403_126(obj_t LAMBDA_0_0_ENV_706_218)
#else
LAMBDA_0_0_403_126( LAMBDA_0_0_ENV_706_218 )
obj_t LAMBDA_0_0_ENV_706_218;
#endif
{

{
{obj_t VA_ARG_673_195;
{obj_t STRING_CAST_674_190;
STRING_CAST_674_190=CNST_TABLE_REF( 17 );VA_ARG_673_195=MAKE_PAIR( STRING_CAST_674_190, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_673_195 );}
return PP_GLOBAL_ENVIRONMENT_VAR_ENV_198( __TRACE_PORT__TOOLS_TRACE_74, __GENV__VAR_ENV_215 );
}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_1_404_91(obj_t LAMBDA_0_1_ENV_704_47)
#else
LAMBDA_0_1_404_91( LAMBDA_0_1_ENV_704_47 )
obj_t LAMBDA_0_1_ENV_704_47;
#endif
{

{obj_t RES_402_118;
RES_402_118=PROCEDURE_ENV_REF( LAMBDA_0_1_ENV_704_47, 0 );{
{obj_t VA_ARG_677_80;
{obj_t STRING_CAST_682_37;
STRING_CAST_682_37=CNST_TABLE_REF( 18 );VA_ARG_677_80=MAKE_PAIR( STRING_CAST_682_37, BNIL );}{obj_t VA_ARG_678_8;
VA_ARG_678_8=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_677_80 );{obj_t VA_ARG_679_189;
{obj_t STRING_CAST_681_23;
STRING_CAST_681_23=CNST_TABLE_REF( 19 );VA_ARG_679_189=MAKE_PAIR( STRING_CAST_681_23, VA_ARG_678_8 );}{obj_t VA_ARG_680_168;
VA_ARG_680_168=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_679_189 );FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_680_168 );}}}}
{obj_t g1001_406_20;
{
g1001_406_20=RES_402_118;
{_g1002_405_188:

if( PAIRP( g1001_406_20 ))
{
{obj_t DEF_407_21;
DEF_407_21=CAR( g1001_406_20 );{obj_t VA_ARG_683_254;
VA_ARG_683_254=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_684_156;
{obj_t AUX_749_227;
AUX_749_227=SHAPE_TOOLS_SHAPE_229( DEF_407_21 );VA_ARG_684_156=MAKE_PAIR( AUX_749_227, VA_ARG_683_254 );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_684_156 );}}}
{obj_t C_CDR_566_152;
C_CDR_566_152=CDR( g1001_406_20 );{
g1001_406_20=C_CDR_566_152;
goto _g1002_405_188;
}}
}else
return BTRUE;}
}}
}}
}

static obj_t
#if defined( __STDC__ )
DEFINE__SET__SCAN_WALK_177(obj_t TOP_LEVEL_420_221,obj_t FORM_421_122)
#else
DEFINE__SET__SCAN_WALK_177( TOP_LEVEL_420_221, FORM_421_122 )
obj_t TOP_LEVEL_420_221, FORM_421_122;
#endif
{

{obj_t VAR_422_77;
{obj_t PAIR_589_164;
PAIR_589_164=CDR( FORM_421_122 );VAR_422_77=CAR( PAIR_589_164 );}{obj_t ARGS_423_183;
{obj_t PAIR_590_76;
{obj_t PAIR_593_120;
{obj_t PAIR_594_131;
PAIR_594_131=CDR( FORM_421_122 );PAIR_593_120=CDR( PAIR_594_131 );}PAIR_590_76=CAR( PAIR_593_120 );}{obj_t PAIR_591_203;
PAIR_591_203=CDR( PAIR_590_76 );ARGS_423_183=CAR( PAIR_591_203 );}}{obj_t BODY_424_203;
{obj_t PAIR_595_152;
{obj_t PAIR_598_243;
{obj_t PAIR_599_248;
PAIR_599_248=CDR( FORM_421_122 );PAIR_598_243=CDR( PAIR_599_248 );}PAIR_595_152=CAR( PAIR_598_243 );}{obj_t PAIR_596_229;
{obj_t PAIR_597_123;
PAIR_597_123=CDR( PAIR_595_152 );PAIR_596_229=CDR( PAIR_597_123 );}BODY_424_203=CAR( PAIR_596_229 );}}{obj_t NAME_425_151;
{obj_t S_600_23;
S_600_23=STRUCT_SLOT_REF( VAR_422_77, BINT( 6 ) );{obj_t C_STRUCT_REF_601_151;
C_STRUCT_REF_601_151=STRUCT_SLOT_REF( S_600_23, BINT( 2 ) );NAME_425_151=PROCEDURE_ENTRY( GET_NEW_LAMBDA_NAME_SCAN_TREE_150 )( GET_NEW_LAMBDA_NAME_SCAN_TREE_150, C_STRUCT_REF_601_151, BEOA );}}{obj_t LOCAL_426_153;
{obj_t PAIR_604_71;
{obj_t L_607_196;
L_607_196=MAKE_PAIR( NAME_425_151, BNIL );PAIR_604_71=ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97( L_607_196 );}{obj_t PAIR_605_231;
PAIR_605_231=CAR( PAIR_604_71 );LOCAL_426_153=CDR( PAIR_605_231 );}}{
{obj_t V_609_129;
{obj_t S_611_229;
S_611_229=STRUCT_SLOT_REF( VAR_422_77, BINT( 6 ) );V_609_129=STRUCT_SLOT_REF( S_611_229, BINT( 2 ) );}{obj_t S_608_38;
S_608_38=STRUCT_SLOT_REF( LOCAL_426_153, BINT( 3 ) );STRUCT_SLOT_SET( S_608_38, BINT( 2 ), V_609_129 );}}
{obj_t V_614_251;
V_614_251=BNIL;STRUCT_SLOT_SET( VAR_422_77, BINT( 6 ), V_614_251 );}
{obj_t VA_ARG_686_79;
VA_ARG_686_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_687_46;
{obj_t VA_ARG_689_66;
VA_ARG_689_66=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_690_20;
VA_ARG_690_20=MAKE_PAIR( LOCAL_426_153, VA_ARG_689_66 );{obj_t VA_ARG_691_81;
{obj_t VA_ARG_692_24;
VA_ARG_692_24=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_693_6;
{obj_t AUX_745_109;
AUX_745_109=MAKE_LOCAL_TREE_SCAN_LABELS_246( LOCAL_426_153, BODY_424_203 );VA_ARG_693_6=MAKE_PAIR( AUX_745_109, VA_ARG_692_24 );}{obj_t VA_ARG_694_92;
VA_ARG_694_92=MAKE_PAIR( ARGS_423_183, VA_ARG_693_6 );{obj_t VA_ARG_695_91;
VA_ARG_695_91=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_746_205;
{obj_t AUX_747_180;
AUX_747_180=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOCAL_426_153, VA_ARG_694_92 );AUX_746_205=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_747_180, VA_ARG_695_91 );}VA_ARG_691_81=MAKE_PAIR( AUX_746_205, VA_ARG_690_20 );}}}}}{obj_t AUX_748_96;
AUX_748_96=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 20 ), VA_ARG_691_81 );VA_ARG_687_46=MAKE_PAIR( AUX_748_96, VA_ARG_686_79 );}}}}{obj_t VA_ARG_688_60;
VA_ARG_688_60=MAKE_PAIR( VAR_422_77, VA_ARG_687_46 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 21 ), VA_ARG_688_60 );}}}
}}}}}}
}

static obj_t
#if defined( __STDC__ )
FIXE_IMPORTED__SCAN_WALK_239()
#else
FIXE_IMPORTED__SCAN_WALK_239()
#endif
{

{obj_t WALK_ON_BUCKET_ENV_701_131;
WALK_ON_BUCKET_ENV_701_131=PROCEDURE_1_SCAN_WALK_234;{
{obj_t AUX_743_53;
{obj_t AUX_744_47;
AUX_744_47=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 14 ) );AUX_743_53=SATISFY__TOOLS_TRACE_72( AUX_744_47 );}if( BBOOL_TO_CBOOL( AUX_743_53 ))
{
{obj_t g1003_432_69;
{obj_t L_652_220;
{obj_t STRING_CAST_699_233;
STRING_CAST_699_233=CNST_TABLE_REF( 22 );{obj_t C_CONS_653_177;
C_CONS_653_177=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_652_220=MAKE_PAIR( STRING_CAST_699_233, C_CONS_653_177 );}}{
g1003_432_69=L_652_220;
{_g1004_431_6:

if( PAIRP( g1003_432_69 ))
{
{obj_t A_433_8;
A_433_8=CAR( g1003_432_69 );{obj_t VA_ARG_698_207;
VA_ARG_698_207=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_433_8, VA_ARG_698_207 );}}
{obj_t C_CDR_651_76;
C_CDR_651_76=CDR( g1003_432_69 );{
g1003_432_69=C_CDR_651_76;
goto _g1004_431_6;
}}
}else
BTRUE;}
}}}
{obj_t PORT_654_61;
PORT_654_61=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_654_61 );}
}else
BFALSE;}
{obj_t A_FUNCTION_700_209;
A_FUNCTION_700_209=WALK_ON_BUCKET_ENV_701_131;return WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_700_209, __GENV__VAR_ENV_215, CNST_TABLE_REF( 23 ) );}
}}
}

static obj_t
#if defined( __STDC__ )
WALK_ON_BUCKET_430_13(obj_t WALK_ON_BUCKET_ENV_702_123,obj_t BUCKET_435_246)
#else
WALK_ON_BUCKET_430_13( WALK_ON_BUCKET_ENV_702_123, BUCKET_435_246 )
obj_t WALK_ON_BUCKET_ENV_702_123, BUCKET_435_246;
#endif
{
_WALK_ON_BUCKET_430_13:

if( NULLP( BUCKET_435_246 ))
return CNST_TABLE_REF( 24 );else
{obj_t PR_436_50;
PR_436_50=CAR( BUCKET_435_246 );{
{bool_t __andtest_1007_725_55;
{obj_t AUX_734_221;
{bool_t OBJ_724_92;
{obj_t AUX_735_54;
{obj_t OBJ1_623_247;
OBJ1_623_247=__PASS__ENGINE_PARAM_158;AUX_735_54=CBOOL_TO_BBOOL( EQP( OBJ1_623_247, CNST_TABLE_REF( 8 ) ) );}OBJ_724_92=BBOOL_TO_CBOOL( AUX_735_54 );}if( OBJ_724_92)
AUX_734_221=BFALSE;else
AUX_734_221=BTRUE;}__andtest_1007_725_55=BBOOL_TO_CBOOL( AUX_734_221 );}{if( __andtest_1007_725_55)
{bool_t __andtest_1008_726_226;
{obj_t AUX_736_192;
{obj_t OBJ1_624_212;
OBJ1_624_212=STRUCT_SLOT_REF( PR_436_50, BINT( 3 ) );AUX_736_192=CBOOL_TO_BBOOL( EQP( OBJ1_624_212, CNST_TABLE_REF( 25 ) ) );}__andtest_1008_726_226=BBOOL_TO_CBOOL( AUX_736_192 );}if( __andtest_1008_726_226)
{bool_t __andtest_1009_727_47;
{obj_t AUX_737_252;
{obj_t OBJ1_626_220;
OBJ1_626_220=STRUCT_SLOT_REF( PR_436_50, BINT( 4 ) );AUX_737_252=CBOOL_TO_BBOOL( EQP( OBJ1_626_220, CNST_TABLE_REF( 15 ) ) );}__andtest_1009_727_47=BBOOL_TO_CBOOL( AUX_737_252 );}if( __andtest_1009_727_47)
{bool_t __andtest_1010_729_1;
{obj_t AUX_738_237;
{bool_t OBJ_728_207;
OBJ_728_207=NULLP( STRUCT_SLOT_REF( PR_436_50, BINT( 5 ) ) );AUX_738_237=CBOOL_TO_BBOOL( OBJ_728_207 );}__andtest_1010_729_1=BBOOL_TO_CBOOL( AUX_738_237 );}if( __andtest_1010_729_1)
{bool_t OBJ_730_168;
{obj_t AUX_739_253;
{obj_t S_631_9;
S_631_9=STRUCT_SLOT_REF( PR_436_50, BINT( 6 ) );AUX_739_253=STRUCT_SLOT_REF( S_631_9, BINT( 3 ) );}OBJ_730_168=NULLP( AUX_739_253 );}if( OBJ_730_168)
goto _true_0;else
goto _false_1;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t ARITY_441_49;
{obj_t S_634_159;
S_634_159=STRUCT_SLOT_REF( PR_436_50, BINT( 6 ) );ARITY_441_49=STRUCT_SLOT_REF( S_634_159, BINT( 2 ) );}{obj_t PROTO_442_197;
if( LT_I( ARITY_441_49, BINT( 0 ) ))
{obj_t C_NEG_I_640_213;
C_NEG_I_640_213=NEG_I( ARITY_441_49 );PROTO_442_197=MAKE_N_PROTO_TOOLS_ARGS_65( C_NEG_I_640_213 );}else
PROTO_442_197=MAKE_N_PROTO_TOOLS_ARGS_65( ARITY_441_49 );{
{obj_t AUX_741_215;
{obj_t AUX_742_162;
AUX_742_162=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 14 ) );AUX_741_215=SATISFY__TOOLS_TRACE_72( AUX_742_162 );}if( BBOOL_TO_CBOOL( AUX_741_215 ))
{
{obj_t g1005_444_24;
{obj_t L_642_160;
{obj_t C_CONS_645_181;
{obj_t STRING_CAST_697_25;
STRING_CAST_697_25=CNST_TABLE_REF( 26 );{obj_t C_CONS_644_12;
{obj_t C_CONS_643_78;
C_CONS_643_78=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_644_12=MAKE_PAIR( PROTO_442_197, C_CONS_643_78 );}C_CONS_645_181=MAKE_PAIR( STRING_CAST_697_25, C_CONS_644_12 );}}{obj_t AUX_740_160;
AUX_740_160=SHAPE_TOOLS_SHAPE_229( PR_436_50 );L_642_160=MAKE_PAIR( AUX_740_160, C_CONS_645_181 );}}{
g1005_444_24=L_642_160;
{_g1006_443_92:

if( PAIRP( g1005_444_24 ))
{
{obj_t A_445_249;
A_445_249=CAR( g1005_444_24 );{obj_t VA_ARG_696_17;
VA_ARG_696_17=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_445_249, VA_ARG_696_17 );}}
{obj_t C_CDR_641_153;
C_CDR_641_153=CDR( g1005_444_24 );{
g1005_444_24=C_CDR_641_153;
goto _g1006_443_92;
}}
}else
BTRUE;}
}}}
{obj_t PORT_647_42;
PORT_647_42=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_647_42 );}
}else
BFALSE;}
{obj_t S_648_109;
S_648_109=STRUCT_SLOT_REF( PR_436_50, BINT( 6 ) );{STRUCT_SLOT_SET( S_648_109, BINT( 3 ), PROTO_442_197 );
goto _endif_2;}}
}}}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t C_CDR_650_203;
C_CDR_650_203=CDR( BUCKET_435_246 );{
BUCKET_435_246=C_CDR_650_203;
goto _WALK_ON_BUCKET_430_13;
}}
}}
}

