/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Tools/error.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t LEAVE_FUNCTION_TOOLS_ERROR_116();
#if defined( __STDC__ )
extern obj_t __FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_178(obj_t);
#else
extern obj_t __FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_178();
#endif
#if defined( __STDC__ )
extern obj_t __LEAVE_FUNCTION_TOOLS_ERROR_103(obj_t);
#else
extern obj_t __LEAVE_FUNCTION_TOOLS_ERROR_103();
#endif
#if defined( __STDC__ )
extern obj_t __BIGLOO_ABORT_TOOLS_ERROR_58(obj_t, obj_t, obj_t);
#else
extern obj_t __BIGLOO_ABORT_TOOLS_ERROR_58();
#endif
extern obj_t CURRENT_FUNCTION_TOOLS_ERROR_77();
#if defined( __STDC__ )
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163(obj_t, obj_t, obj_t);
#else
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t bigloo_exit();
obj_t ENTER_FUNCTION_ENV_TOOLS_ERROR_132 = BUNSPEC;
static obj_t __NB_PARTIAL_ERROR__TOOLS_ERROR_183 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PARTIAL_ERROR_TOOLS_ERROR_19(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __PARTIAL_ERROR_TOOLS_ERROR_19();
#endif
extern obj_t __IMMEDIAT_ERROR__ENGINE_PARAM_186;
obj_t LEAVE_FUNCTION_ENV_TOOLS_ERROR_83 = BUNSPEC;
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
obj_t CURRENT_FUNCTION_ENV_TOOLS_ERROR_229 = BUNSPEC;
static obj_t __cnst[ 6 ] ;
#if defined( __STDC__ )
extern obj_t ENTER_FUNCTION_TOOLS_ERROR_110(obj_t);
#else
extern obj_t ENTER_FUNCTION_TOOLS_ERROR_110();
#endif
extern obj_t FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
extern obj_t READ___READER_198;
obj_t START_PARTIAL_ERROR_ENV_TOOLS_ERROR_47 = BUNSPEC;
static obj_t __PARTIAL_PASS__TOOLS_ERROR_227 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __START_PARTIAL_ERROR_TOOLS_ERROR_119(obj_t, obj_t);
#else
extern obj_t __START_PARTIAL_ERROR_TOOLS_ERROR_119();
#endif
static obj_t REQUIRE_INITIALISATION__TOOLS_ERROR_250 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t NOTIFY_ERROR_ENV___ERROR_45;
obj_t FAIL_IF_PARTIAL_ERROR_ENV_TOOLS_ERROR_247 = BUNSPEC;
extern obj_t ERROR_ENV___ERROR_206;
extern obj_t c_constant_string_to_string();
obj_t BIGLOO_ABORT_ENV_TOOLS_ERROR_185 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t __CURRENT_FUNCTION_TOOLS_ERROR_192(obj_t);
#else
extern obj_t __CURRENT_FUNCTION_TOOLS_ERROR_192();
#endif
extern obj_t make_fx_procedure();
obj_t PARTIAL_ERROR_ENV_TOOLS_ERROR_51 = BUNSPEC;
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
extern obj_t __TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_161(obj_t);
#else
extern obj_t __TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_161();
#endif
obj_t TOOLS_ERROR_INITIALISATION_ENV_TOOLS_ERROR_172 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175(obj_t);
#else
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175();
#endif
#if defined( __STDC__ )
extern obj_t BIGLOO_ABORT_TOOLS_ERROR_245(obj_t, obj_t);
#else
extern obj_t BIGLOO_ABORT_TOOLS_ERROR_245();
#endif
#if defined( __STDC__ )
extern obj_t __ENTER_FUNCTION_TOOLS_ERROR_102(obj_t, obj_t);
#else
extern obj_t __ENTER_FUNCTION_TOOLS_ERROR_102();
#endif
static obj_t __CURRENT_FUNCTION__TOOLS_ERROR_67 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111()
#else
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__TOOLS_ERROR_250 ))
{
REQUIRE_INITIALISATION__TOOLS_ERROR_250=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 6 ]  );
{obj_t PORT_289_197;
{obj_t AUX_297_58;
AUX_297_58=c_constant_string_to_string( "NOTHING #\"error(s) occurs, ending ...\" #\":\" #\"bigloo-abort\" (#\"nowhere\" ) #\"\" " );PORT_289_197=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_297_58 );}{obj_t OFFSET_290_230;
{
OFFSET_290_230=BINT( 5 );
{_LOOP_291_23:

if( LT_I( OFFSET_290_230, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_298_238;
AUX_298_238=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_289_197, BEOA );CNST_TABLE_SET( OFFSET_290_230, AUX_298_238 );}
{obj_t OFFSET_299_53;
OFFSET_299_53=OFFSET_290_230;{
OFFSET_290_230=SUB_I( OFFSET_299_53, BINT( 1 ) );
goto _LOOP_291_23;
}}
}}
}}}
{
TOOLS_ERROR_INITIALISATION_ENV_TOOLS_ERROR_172=make_fx_procedure( __TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_161, 0, 0 );
BIGLOO_ABORT_ENV_TOOLS_ERROR_185=make_fx_procedure( __BIGLOO_ABORT_TOOLS_ERROR_58, 2, 0 );
START_PARTIAL_ERROR_ENV_TOOLS_ERROR_47=make_fx_procedure( __START_PARTIAL_ERROR_TOOLS_ERROR_119, 1, 0 );
PARTIAL_ERROR_ENV_TOOLS_ERROR_51=make_fx_procedure( __PARTIAL_ERROR_TOOLS_ERROR_19, 3, 0 );
FAIL_IF_PARTIAL_ERROR_ENV_TOOLS_ERROR_247=make_fx_procedure( __FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_178, 0, 0 );
ENTER_FUNCTION_ENV_TOOLS_ERROR_132=make_fx_procedure( __ENTER_FUNCTION_TOOLS_ERROR_102, 1, 0 );
LEAVE_FUNCTION_ENV_TOOLS_ERROR_83=make_fx_procedure( __LEAVE_FUNCTION_TOOLS_ERROR_103, 0, 0 );
CURRENT_FUNCTION_ENV_TOOLS_ERROR_229=make_fx_procedure( __CURRENT_FUNCTION_TOOLS_ERROR_192, 0, 0 );
{
__NB_PARTIAL_ERROR__TOOLS_ERROR_183=BINT( 0 );
{obj_t STRING_CAST_269_168;
STRING_CAST_269_168=CNST_TABLE_REF( 0 );__PARTIAL_PASS__TOOLS_ERROR_227=STRING_CAST_269_168;}
__CURRENT_FUNCTION__TOOLS_ERROR_67=CNST_TABLE_REF( 1 );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_161(obj_t ENV_285_65)
#else
__TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_161( ENV_285_65 )
obj_t ENV_285_65;
#endif
{

return TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
}

obj_t
#if defined( __STDC__ )
BIGLOO_ABORT_TOOLS_ERROR_245(obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
BIGLOO_ABORT_TOOLS_ERROR_245( OBJ1_222_242, OBJ2_223_212 )
obj_t OBJ1_222_242, OBJ2_223_212;
#endif
{

{
FAILURE( CNST_TABLE_REF( 2 ), OBJ1_222_242, OBJ2_223_212 );
return bigloo_exit( BINT( -1 ) );
}
}

obj_t
#if defined( __STDC__ )
__BIGLOO_ABORT_TOOLS_ERROR_58(obj_t ENV_284_36,obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
__BIGLOO_ABORT_TOOLS_ERROR_58( ENV_284_36, OBJ1_222_242, OBJ2_223_212 )
obj_t ENV_284_36, OBJ1_222_242, OBJ2_223_212;
#endif
{

return BIGLOO_ABORT_TOOLS_ERROR_245( OBJ1_222_242, OBJ2_223_212 );
}

obj_t
#if defined( __STDC__ )
START_PARTIAL_ERROR_TOOLS_ERROR_175(obj_t PASS_224_105)
#else
START_PARTIAL_ERROR_TOOLS_ERROR_175( PASS_224_105 )
obj_t PASS_224_105;
#endif
{

{
__PARTIAL_PASS__TOOLS_ERROR_227=PASS_224_105;
__NB_PARTIAL_ERROR__TOOLS_ERROR_183=BINT( 0 );
}
}

obj_t
#if defined( __STDC__ )
__START_PARTIAL_ERROR_TOOLS_ERROR_119(obj_t ENV_283_7,obj_t PASS_224_105)
#else
__START_PARTIAL_ERROR_TOOLS_ERROR_119( ENV_283_7, PASS_224_105 )
obj_t ENV_283_7, PASS_224_105;
#endif
{

return START_PARTIAL_ERROR_TOOLS_ERROR_175( PASS_224_105 );
}

obj_t
#if defined( __STDC__ )
PARTIAL_ERROR_TOOLS_ERROR_163(obj_t PROC_225_247,obj_t MES_226_67,obj_t OBJ_227_0)
#else
PARTIAL_ERROR_TOOLS_ERROR_163( PROC_225_247, MES_226_67, OBJ_227_0 )
obj_t PROC_225_247, MES_226_67, OBJ_227_0;
#endif
{

{obj_t FUN_ERROR_228_164;
if( BBOOL_TO_CBOOL( __IMMEDIAT_ERROR__ENGINE_PARAM_186 ))
FUN_ERROR_228_164=ERROR_ENV___ERROR_206;else
FUN_ERROR_228_164=NOTIFY_ERROR_ENV___ERROR_45;{
{obj_t R_237_7;
R_237_7=__NB_PARTIAL_ERROR__TOOLS_ERROR_183;__NB_PARTIAL_ERROR__TOOLS_ERROR_183=ADD_I_PTAG( PSUB_TAG( 1 ), R_237_7 );}
{if( STRINGP( PROC_225_247 ))
{obj_t N1_242_251;
N1_242_251=STRING_LENGTH( PROC_225_247 );if( EQ_I( N1_242_251, BINT( 0 ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t PAIR_245_135;
PAIR_245_135=__CURRENT_FUNCTION__TOOLS_ERROR_67;{obj_t C_CAR_246_187;
C_CAR_246_187=CAR( PAIR_245_135 );{PROCEDURE_ENTRY( FUN_ERROR_228_164 )( FUN_ERROR_228_164, C_CAR_246_187, MES_226_67, OBJ_227_0, BEOA );
goto _endif_2;}}}_false_1:
{obj_t VA_ARG_273_55;
{bool_t OBJ_287_140;
{obj_t AUX_293_181;
{obj_t PAIR_249_63;
PAIR_249_63=__CURRENT_FUNCTION__TOOLS_ERROR_67;AUX_293_181=CAR( PAIR_249_63 );}OBJ_287_140=STRINGP( AUX_293_181 );}{obj_t AUX_294_75;
if( OBJ_287_140)
{obj_t PAIR_250_156;
PAIR_250_156=__CURRENT_FUNCTION__TOOLS_ERROR_67;AUX_294_75=CAR( PAIR_250_156 );}else
{obj_t SYMBOL_252_78;
{obj_t PAIR_253_46;
PAIR_253_46=__CURRENT_FUNCTION__TOOLS_ERROR_67;SYMBOL_252_78=CAR( PAIR_253_46 );}AUX_294_75=SYMBOL_TO_STRING( SYMBOL_252_78 );}VA_ARG_273_55=MAKE_PAIR( AUX_294_75, BNIL );}}{obj_t VA_ARG_274_185;
{obj_t STRING_CAST_276_197;
STRING_CAST_276_197=CNST_TABLE_REF( 3 );VA_ARG_274_185=MAKE_PAIR( STRING_CAST_276_197, VA_ARG_273_55 );}{obj_t VA_ARG_275_194;
{obj_t AUX_295_78;
if( STRINGP( PROC_225_247 ))
AUX_295_78=PROC_225_247;else
AUX_295_78=SYMBOL_TO_STRING( PROC_225_247 );VA_ARG_275_194=MAKE_PAIR( AUX_295_78, VA_ARG_274_185 );}{obj_t AUX_296_22;
AUX_296_22=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_275_194 );PROCEDURE_ENTRY( FUN_ERROR_228_164 )( FUN_ERROR_228_164, AUX_296_22, MES_226_67, OBJ_227_0, BEOA );}}}}_endif_2:
;
}
return BFALSE;
}}
}

obj_t
#if defined( __STDC__ )
__PARTIAL_ERROR_TOOLS_ERROR_19(obj_t ENV_282_30,obj_t PROC_225_247,obj_t MES_226_67,obj_t OBJ_227_0)
#else
__PARTIAL_ERROR_TOOLS_ERROR_19( ENV_282_30, PROC_225_247, MES_226_67, OBJ_227_0 )
obj_t ENV_282_30, PROC_225_247, MES_226_67, OBJ_227_0;
#endif
{

return PARTIAL_ERROR_TOOLS_ERROR_163( PROC_225_247, MES_226_67, OBJ_227_0 );
}

obj_t
#if defined( __STDC__ )
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227()
#else
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227()
#endif
{

{obj_t N1_256_19;
N1_256_19=__NB_PARTIAL_ERROR__TOOLS_ERROR_183;if( GT_I( N1_256_19, BINT( 0 ) ))
{obj_t MESSAGE_258_48;
MESSAGE_258_48=__NB_PARTIAL_ERROR__TOOLS_ERROR_183;{obj_t PROC_257_143;
PROC_257_143=__PARTIAL_PASS__TOOLS_ERROR_227;FAILURE( PROC_257_143, MESSAGE_258_48, CNST_TABLE_REF( 4 ) );}}else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_178(obj_t ENV_281_73)
#else
__FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_178( ENV_281_73 )
obj_t ENV_281_73;
#endif
{

return FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
}

obj_t
#if defined( __STDC__ )
ENTER_FUNCTION_TOOLS_ERROR_110(obj_t FUNCTION_NAME_230_0)
#else
ENTER_FUNCTION_TOOLS_ERROR_110( FUNCTION_NAME_230_0 )
obj_t FUNCTION_NAME_230_0;
#endif
{

{obj_t OBJ2_261_182;
OBJ2_261_182=__CURRENT_FUNCTION__TOOLS_ERROR_67;__CURRENT_FUNCTION__TOOLS_ERROR_67=MAKE_PAIR( FUNCTION_NAME_230_0, OBJ2_261_182 );}
}

obj_t
#if defined( __STDC__ )
__ENTER_FUNCTION_TOOLS_ERROR_102(obj_t ENV_280_173,obj_t FUNCTION_NAME_230_0)
#else
__ENTER_FUNCTION_TOOLS_ERROR_102( ENV_280_173, FUNCTION_NAME_230_0 )
obj_t ENV_280_173, FUNCTION_NAME_230_0;
#endif
{

return ENTER_FUNCTION_TOOLS_ERROR_110( FUNCTION_NAME_230_0 );
}

obj_t
#if defined( __STDC__ )
LEAVE_FUNCTION_TOOLS_ERROR_116()
#else
LEAVE_FUNCTION_TOOLS_ERROR_116()
#endif
{

{bool_t OBJ_288_14;
{obj_t AUX_292_12;
{obj_t PAIR_265_150;
PAIR_265_150=__CURRENT_FUNCTION__TOOLS_ERROR_67;AUX_292_12=CDR( PAIR_265_150 );}OBJ_288_14=NULLP( AUX_292_12 );}if( OBJ_288_14)
return CNST_TABLE_REF( 5 );else
{obj_t PAIR_266_16;
PAIR_266_16=__CURRENT_FUNCTION__TOOLS_ERROR_67;__CURRENT_FUNCTION__TOOLS_ERROR_67=CDR( PAIR_266_16 );}}
}

obj_t
#if defined( __STDC__ )
__LEAVE_FUNCTION_TOOLS_ERROR_103(obj_t ENV_279_90)
#else
__LEAVE_FUNCTION_TOOLS_ERROR_103( ENV_279_90 )
obj_t ENV_279_90;
#endif
{

return LEAVE_FUNCTION_TOOLS_ERROR_116();
}

obj_t
#if defined( __STDC__ )
CURRENT_FUNCTION_TOOLS_ERROR_77()
#else
CURRENT_FUNCTION_TOOLS_ERROR_77()
#endif
{

{obj_t PAIR_267_145;
PAIR_267_145=__CURRENT_FUNCTION__TOOLS_ERROR_67;return CAR( PAIR_267_145 );}
}

obj_t
#if defined( __STDC__ )
__CURRENT_FUNCTION_TOOLS_ERROR_192(obj_t ENV_278_129)
#else
__CURRENT_FUNCTION_TOOLS_ERROR_192( ENV_278_129 )
obj_t ENV_278_129;
#endif
{

return CURRENT_FUNCTION_TOOLS_ERROR_77();
}

