/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Type/apply.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
static obj_t ENFORCE_FX_ARITY_TYPE_APPLY_105(obj_t, obj_t);
#else
static obj_t ENFORCE_FX_ARITY_TYPE_APPLY_105();
#endif
extern obj_t TYPE_EXPRESSION_INITIALISATION_TYPE_EXPRESSION_51();
extern obj_t CURRENT_FUNCTION_TOOLS_ERROR_77();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
extern obj_t ABSTRACT_CAR_HEAP_ABSTRACT_29();
extern obj_t ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#if defined( __STDC__ )
extern obj_t __TYPE_APPLY_INITIALISATION_TYPE_APPLY_173(obj_t);
#else
extern obj_t __TYPE_APPLY_INITIALISATION_TYPE_APPLY_173();
#endif
extern obj_t ABSTRACT_LENGTH_HEAP_ABSTRACT_29();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t TYPE_EXPRESSION_TYPE_EXPRESSION_167();
extern obj_t FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t ABSTRACT_CDR_HEAP_ABSTRACT_207();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
#if defined( __STDC__ )
static obj_t ENFORCE_VA_ARITY_TYPE_APPLY_175(obj_t, obj_t);
#else
static obj_t ENFORCE_VA_ARITY_TYPE_APPLY_175();
#endif
extern obj_t TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
extern obj_t TYPE_APPLY_INITIALISATION_TYPE_APPLY_146();
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 25 ] ;
extern obj_t ABSTRACT_CSTRING__BSTRING_HEAP_ABSTRACT_218();
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t CAST_TYPE_CAST_50();
obj_t TYPE_APPLY_INITIALISATION_ENV_TYPE_APPLY_125 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__TYPE_APPLY_88 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t TYPE_APPLY_ENV_TYPE_APPLY_228 = BUNSPEC;
extern obj_t c_constant_string_to_string();
extern obj_t __UNSAFE_TYPE__ENGINE_PARAM_0;
#if defined( __STDC__ )
static obj_t TYPE_UNKNOWN_BIGLOO_APPLY_TYPE_APPLY_247(obj_t, obj_t);
#else
static obj_t TYPE_UNKNOWN_BIGLOO_APPLY_TYPE_APPLY_247();
#endif
extern obj_t ABSTRACT_NULL__HEAP_ABSTRACT_97();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t __BOBJ__FOREIGN_ATOMIC_124;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74();
extern obj_t TYPE_CAST_INITIALISATION_TYPE_CAST_70();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
#if defined( __STDC__ )
extern obj_t TYPE_APPLY_TYPE_APPLY_213(obj_t, obj_t);
#else
extern obj_t TYPE_APPLY_TYPE_APPLY_213();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
extern obj_t ENFORCE_PROCEDURE_TYPE_ENFORCE_25();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
#if defined( __STDC__ )
extern obj_t __TYPE_APPLY_TYPE_APPLY_96(obj_t, obj_t, obj_t);
#else
extern obj_t __TYPE_APPLY_TYPE_APPLY_96();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LOOP_395_88();
static obj_t LOOP_425_14();

obj_t
#if defined( __STDC__ )
TYPE_APPLY_INITIALISATION_TYPE_APPLY_146()
#else
TYPE_APPLY_INITIALISATION_TYPE_APPLY_146()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__TYPE_APPLY_88 ))
{
REQUIRE_INITIALISATION__TYPE_APPLY_88=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
TYPE_EXPRESSION_INITIALISATION_TYPE_EXPRESSION_51();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
TYPE_CAST_INITIALISATION_TYPE_CAST_70();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 25 ]  );
{obj_t PORT_745_48;
{obj_t AUX_819_82;
AUX_819_82=c_constant_string_to_string( "C-BINT->CINT (LEN ) #\"            args: \" #\"enforce-va-arity: \" LET BEGIN SET! CIF FAILURE #\"Too many argument provided\" QUOTE WRITE #\"   formals: \" AUX #\"   args: \" #\"enforce-fx-arity: \" FUNCTION #\"A foreign variable can't be `applied'\" #\"\" FOREIGN VARIABLE LOCAL GLOBAL #\"type-apply: \" TYPE " );PORT_745_48=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_819_82 );}{obj_t OFFSET_746_52;
{
OFFSET_746_52=BINT( 24 );
{_LOOP_747_202:

if( LT_I( OFFSET_746_52, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_820_173;
AUX_820_173=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_745_48, BEOA );CNST_TABLE_SET( OFFSET_746_52, AUX_820_173 );}
{obj_t OFFSET_821_97;
OFFSET_821_97=OFFSET_746_52;{
OFFSET_746_52=SUB_I( OFFSET_821_97, BINT( 1 ) );
goto _LOOP_747_202;
}}
}}
}}}
{
TYPE_APPLY_INITIALISATION_ENV_TYPE_APPLY_125=make_fx_procedure( __TYPE_APPLY_INITIALISATION_TYPE_APPLY_173, 0, 0 );
TYPE_APPLY_ENV_TYPE_APPLY_228=make_fx_procedure( __TYPE_APPLY_TYPE_APPLY_96, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__TYPE_APPLY_INITIALISATION_TYPE_APPLY_173(obj_t ENV_741_235)
#else
__TYPE_APPLY_INITIALISATION_TYPE_APPLY_173( ENV_741_235 )
obj_t ENV_741_235;
#endif
{

return TYPE_APPLY_INITIALISATION_TYPE_APPLY_146();
}

obj_t
#if defined( __STDC__ )
TYPE_APPLY_TYPE_APPLY_213(obj_t EXP_365_226,obj_t TO_366_71)
#else
TYPE_APPLY_TYPE_APPLY_213( EXP_365_226, TO_366_71 )
obj_t EXP_365_226, TO_366_71;
#endif
{

{
{obj_t AUX_814_3;
{obj_t AUX_815_61;
AUX_815_61=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_814_3=SATISFY__TOOLS_TRACE_72( AUX_815_61 );}if( BBOOL_TO_CBOOL( AUX_814_3 ))
{
{obj_t g1000_368_9;
{obj_t L_512_137;
{obj_t STRING_CAST_674_190;
STRING_CAST_674_190=CNST_TABLE_REF( 1 );{obj_t C_CONS_514_251;
{obj_t C_CONS_513_112;
C_CONS_513_112=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_813_159;
AUX_813_159=SHAPE_TOOLS_SHAPE_229( EXP_365_226 );C_CONS_514_251=MAKE_PAIR( AUX_813_159, C_CONS_513_112 );}}L_512_137=MAKE_PAIR( STRING_CAST_674_190, C_CONS_514_251 );}}{
g1000_368_9=L_512_137;
{_g1001_367_14:

if( PAIRP( g1000_368_9 ))
{
{obj_t A_369_18;
A_369_18=CAR( g1000_368_9 );{obj_t VA_ARG_673_195;
VA_ARG_673_195=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_369_18, VA_ARG_673_195 );}}
{obj_t C_CDR_510_132;
C_CDR_510_132=CDR( g1000_368_9 );{
g1000_368_9=C_CDR_510_132;
goto _g1001_367_14;
}}
}else
BTRUE;}
}}}
{obj_t PORT_516_125;
PORT_516_125=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_516_125 );}
}else
BFALSE;}
{obj_t FUN_372_66, CLASS_371_67, VALUE_370_165;
{obj_t PAIR_518_132;
PAIR_518_132=CDR( EXP_365_226 );FUN_372_66=CAR( PAIR_518_132 );}CLASS_371_67=BUNSPEC;VALUE_370_165=BUNSPEC;{
{if( STRUCTP( FUN_372_66 ))
if( EQP( STRUCT_KEY( FUN_372_66 ), CNST_TABLE_REF( 2 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{
{obj_t C_STRUCT_REF_520_68;
C_STRUCT_REF_520_68=STRUCT_SLOT_REF( FUN_372_66, BINT( 4 ) );CLASS_371_67=C_STRUCT_REF_520_68;}
{obj_t C_STRUCT_REF_521_56;
C_STRUCT_REF_521_56=STRUCT_SLOT_REF( FUN_372_66, BINT( 6 ) );{VALUE_370_165=C_STRUCT_REF_521_56;
goto _endif_2;}}
}_false_1:
{if( STRUCTP( FUN_372_66 ))
if( EQP( STRUCT_KEY( FUN_372_66 ), CNST_TABLE_REF( 3 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{
{obj_t C_STRUCT_REF_523_234;
C_STRUCT_REF_523_234=STRUCT_SLOT_REF( FUN_372_66, BINT( 2 ) );CLASS_371_67=C_STRUCT_REF_523_234;}
{obj_t C_STRUCT_REF_524_107;
C_STRUCT_REF_524_107=STRUCT_SLOT_REF( FUN_372_66, BINT( 3 ) );{VALUE_370_165=C_STRUCT_REF_524_107;
goto _endif_5;}}
}_false_4:
CLASS_371_67=CNST_TABLE_REF( 4 );_endif_5:
;
}_endif_2:
;
}
{obj_t OBJ1_525_7;
OBJ1_525_7=CLASS_371_67;if( EQP( OBJ1_525_7, CNST_TABLE_REF( 5 ) ))
{obj_t STRING_CAST_675_104;
STRING_CAST_675_104=CNST_TABLE_REF( 6 );{obj_t STRING_CAST_676_213;
STRING_CAST_676_213=CNST_TABLE_REF( 7 );{obj_t AUX_816_9;
AUX_816_9=SHAPE_TOOLS_SHAPE_229( EXP_365_226 );return PARTIAL_ERROR_TOOLS_ERROR_163( STRING_CAST_675_104, STRING_CAST_676_213, AUX_816_9 );}}}else
{obj_t OBJ1_526_173;
OBJ1_526_173=CLASS_371_67;if( EQP( OBJ1_526_173, CNST_TABLE_REF( 8 ) ))
{obj_t FUN_527_73;
FUN_527_73=VALUE_370_165;{obj_t N1_530_144;
N1_530_144=STRUCT_SLOT_REF( FUN_527_73, BINT( 2 ) );if( GE_I( N1_530_144, BINT( 0 ) ))
{obj_t AUX_817_89;
AUX_817_89=ENFORCE_FX_ARITY_TYPE_APPLY_105( FUN_527_73, EXP_365_226 );return CAST_TYPE_CAST_50( AUX_817_89, __BOBJ__FOREIGN_ATOMIC_124, TO_366_71 );}else
{obj_t AUX_818_106;
AUX_818_106=ENFORCE_VA_ARITY_TYPE_APPLY_175( FUN_527_73, EXP_365_226 );return CAST_TYPE_CAST_50( AUX_818_106, __BOBJ__FOREIGN_ATOMIC_124, TO_366_71 );}}}else
return TYPE_UNKNOWN_BIGLOO_APPLY_TYPE_APPLY_247( EXP_365_226, TO_366_71 );}}
}}
}
}

obj_t
#if defined( __STDC__ )
__TYPE_APPLY_TYPE_APPLY_96(obj_t ENV_740_222,obj_t EXP_365_226,obj_t TO_366_71)
#else
__TYPE_APPLY_TYPE_APPLY_96( ENV_740_222, EXP_365_226, TO_366_71 )
obj_t ENV_740_222, EXP_365_226, TO_366_71;
#endif
{

return TYPE_APPLY_TYPE_APPLY_213( EXP_365_226, TO_366_71 );
}

static obj_t
#if defined( __STDC__ )
ENFORCE_FX_ARITY_TYPE_APPLY_105(obj_t FUN_376_161,obj_t EXP_377_176)
#else
ENFORCE_FX_ARITY_TYPE_APPLY_105( FUN_376_161, EXP_377_176 )
obj_t FUN_376_161, EXP_377_176;
#endif
{

{
{obj_t AUX_799_172;
{obj_t AUX_800_112;
AUX_800_112=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_799_172=SATISFY__TOOLS_TRACE_72( AUX_800_112 );}if( BBOOL_TO_CBOOL( AUX_799_172 ))
{
{obj_t g1002_379_228;
{obj_t L_535_188;
{obj_t STRING_CAST_678_28;
STRING_CAST_678_28=CNST_TABLE_REF( 9 );{obj_t C_CONS_541_10;
{obj_t C_CONS_540_219;
{obj_t C_CONS_539_100;
{obj_t STRING_CAST_679_210;
STRING_CAST_679_210=CNST_TABLE_REF( 10 );{obj_t C_CONS_538_99;
{obj_t C_STRUCT_REF_536_86;
C_STRUCT_REF_536_86=STRUCT_SLOT_REF( FUN_376_161, BINT( 3 ) );{obj_t C_CONS_537_26;
C_CONS_537_26=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_797_12;
AUX_797_12=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_536_86 );C_CONS_538_99=MAKE_PAIR( AUX_797_12, C_CONS_537_26 );}}}C_CONS_539_100=MAKE_PAIR( STRING_CAST_679_210, C_CONS_538_99 );}}C_CONS_540_219=MAKE_PAIR( BCHAR( '\n' ), C_CONS_539_100 );}{obj_t AUX_798_144;
AUX_798_144=SHAPE_TOOLS_SHAPE_229( EXP_377_176 );C_CONS_541_10=MAKE_PAIR( AUX_798_144, C_CONS_540_219 );}}L_535_188=MAKE_PAIR( STRING_CAST_678_28, C_CONS_541_10 );}}{
g1002_379_228=L_535_188;
{_g1003_378_107:

if( PAIRP( g1002_379_228 ))
{
{obj_t A_380_109;
A_380_109=CAR( g1002_379_228 );{obj_t VA_ARG_677_80;
VA_ARG_677_80=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_380_109, VA_ARG_677_80 );}}
{obj_t C_CDR_534_129;
C_CDR_534_129=CDR( g1002_379_228 );{
g1002_379_228=C_CDR_534_129;
goto _g1003_378_107;
}}
}else
BTRUE;}
}}}
{obj_t PORT_542_242;
PORT_542_242=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_542_242 );}
}else
BFALSE;}
{obj_t FRAME_381_33;
{obj_t OBJ2_545_20;
{obj_t g1010_403_232;
g1010_403_232=STRUCT_SLOT_REF( FUN_376_161, BINT( 3 ) );if( NULLP( g1010_403_232 ))
OBJ2_545_20=BNIL;else
{obj_t HEAD_404_63;
{obj_t OBJ2_549_112;
OBJ2_549_112=BNIL;{obj_t OBJ1_548_44;
{obj_t C_CAR_550_28;
C_CAR_550_28=CAR( g1010_403_232 );OBJ1_548_44=SHAPE_TOOLS_SHAPE_229( C_CAR_550_28 );}HEAD_404_63=MAKE_PAIR( OBJ1_548_44, OBJ2_549_112 );}}{obj_t g1010_406_228, TAIL_407_208;
{obj_t C_CDR_557_61;
C_CDR_557_61=CDR( g1010_403_232 );{
TAIL_407_208=HEAD_404_63;
g1010_406_228=C_CDR_557_61;
{_g1011_405_141:

if( NULLP( g1010_406_228 ))
OBJ2_545_20=HEAD_404_63;else
{obj_t NEW_TAIL_408_245;
{obj_t OBJ2_552_48;
OBJ2_552_48=BNIL;{obj_t OBJ1_551_174;
{obj_t C_CAR_553_67;
C_CAR_553_67=CAR( g1010_406_228 );OBJ1_551_174=SHAPE_TOOLS_SHAPE_229( C_CAR_553_67 );}NEW_TAIL_408_245=MAKE_PAIR( OBJ1_551_174, OBJ2_552_48 );}}{
SET_CDR( TAIL_407_208, NEW_TAIL_408_245 );
{obj_t C_CDR_556_3;
C_CDR_556_3=CDR( g1010_406_228 );{
TAIL_407_208=NEW_TAIL_408_245;
g1010_406_228=C_CDR_556_3;
goto _g1011_405_141;
}}
}}}
}}}}}{obj_t C_CONS_546_163;
C_CONS_546_163=MAKE_PAIR( CNST_TABLE_REF( 11 ), OBJ2_545_20 );FRAME_381_33=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( C_CONS_546_163 );}}{obj_t AUX_382_6;
{obj_t PAIR_558_47;
PAIR_558_47=CAR( FRAME_381_33 );AUX_382_6=CDR( PAIR_558_47 );}{obj_t FORMALS_383_20;
if( NULLP( FRAME_381_33 ))
FORMALS_383_20=BNIL;else
{obj_t HEAD_398_224;
{obj_t OBJ2_560_24;
OBJ2_560_24=BNIL;{obj_t OBJ1_559_233;
{obj_t PAIR_561_96;
PAIR_561_96=CAR( FRAME_381_33 );OBJ1_559_233=CDR( PAIR_561_96 );}HEAD_398_224=MAKE_PAIR( OBJ1_559_233, OBJ2_560_24 );}}{obj_t g1008_400_4, TAIL_401_77;
{obj_t C_CDR_566_152;
C_CDR_566_152=CDR( FRAME_381_33 );{
TAIL_401_77=HEAD_398_224;
g1008_400_4=C_CDR_566_152;
{_g1009_399_52:

if( NULLP( g1008_400_4 ))
FORMALS_383_20=HEAD_398_224;else
{obj_t NEW_TAIL_402_194;
{obj_t OBJ2_563_81;
OBJ2_563_81=BNIL;{obj_t OBJ1_562_187;
{obj_t PAIR_564_114;
PAIR_564_114=CAR( g1008_400_4 );OBJ1_562_187=CDR( PAIR_564_114 );}NEW_TAIL_402_194=MAKE_PAIR( OBJ1_562_187, OBJ2_563_81 );}}{
SET_CDR( TAIL_401_77, NEW_TAIL_402_194 );
{obj_t C_CDR_565_229;
C_CDR_565_229=CDR( g1008_400_4 );{
TAIL_401_77=NEW_TAIL_402_194;
g1008_400_4=C_CDR_565_229;
goto _g1009_399_52;
}}
}}}
}}}}{
{obj_t AUX_802_98;
{obj_t AUX_803_21;
AUX_803_21=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_802_98=SATISFY__TOOLS_TRACE_72( AUX_803_21 );}if( BBOOL_TO_CBOOL( AUX_802_98 ))
{
{obj_t g1004_385_125;
{obj_t L_568_56;
{obj_t STRING_CAST_681_23;
STRING_CAST_681_23=CNST_TABLE_REF( 12 );{obj_t C_CONS_570_7;
{obj_t C_CONS_569_136;
C_CONS_569_136=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_801_113;
AUX_801_113=SHAPE_TOOLS_SHAPE_229( FORMALS_383_20 );C_CONS_570_7=MAKE_PAIR( AUX_801_113, C_CONS_569_136 );}}L_568_56=MAKE_PAIR( STRING_CAST_681_23, C_CONS_570_7 );}}{
g1004_385_125=L_568_56;
{_g1005_384_136:

if( PAIRP( g1004_385_125 ))
{
{obj_t A_386_53;
A_386_53=CAR( g1004_385_125 );{obj_t VA_ARG_680_168;
VA_ARG_680_168=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_386_53, VA_ARG_680_168 );}}
{obj_t C_CDR_567_131;
C_CDR_567_131=CDR( g1004_385_125 );{
g1004_385_125=C_CDR_567_131;
goto _g1005_384_136;
}}
}else
BTRUE;}
}}}
{obj_t PORT_571_247;
PORT_571_247=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_571_247 );}
}else
BFALSE;}
STRUCT_SLOT_SET( AUX_382_6, BINT( 5 ), CNST_TABLE_REF( 13 ) );
{obj_t VA_ARG_682_41;
VA_ARG_682_41=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_683_254;
{obj_t VA_ARG_689_66;
{obj_t C_CDR_601_93;
C_CDR_601_93=CDR( FORMALS_383_20 );{obj_t AUX_804_207;
{obj_t AUX_806_151, AUX_805_225;
AUX_806_151=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_805_225=LOOP_395_88( EXP_377_176, FORMALS_383_20, AUX_382_6, C_CDR_601_93 );AUX_804_207=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_805_225, AUX_806_151 );}VA_ARG_689_66=MAKE_PAIR( AUX_804_207, BNIL );}}{obj_t VA_ARG_690_20;
{obj_t VA_ARG_691_81;
VA_ARG_691_81=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_692_24;
{obj_t PAIR_579_206;
{obj_t PAIR_581_245;
PAIR_581_245=CDR( EXP_377_176 );PAIR_579_206=CDR( PAIR_581_245 );}{obj_t C_CAR_580_143;
C_CAR_580_143=CAR( PAIR_579_206 );VA_ARG_692_24=MAKE_PAIR( C_CAR_580_143, VA_ARG_691_81 );}}{obj_t VA_ARG_693_6;
VA_ARG_693_6=MAKE_PAIR( AUX_382_6, VA_ARG_692_24 );{obj_t AUX_807_251;
{obj_t AUX_808_92;
AUX_808_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_693_6 );AUX_807_251=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_808_92, __BOBJ__FOREIGN_ATOMIC_124 );}VA_ARG_690_20=MAKE_PAIR( AUX_807_251, VA_ARG_689_66 );}}}}{obj_t AUX_809_91;
AUX_809_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 19 ), VA_ARG_690_20 );VA_ARG_683_254=MAKE_PAIR( AUX_809_91, VA_ARG_682_41 );}}}{obj_t VA_ARG_684_156;
{obj_t AUX_810_155;
if( NULLP( FORMALS_383_20 ))
AUX_810_155=BNIL;else
{obj_t HEAD_388_141;
{obj_t OBJ2_573_190;
OBJ2_573_190=BNIL;{obj_t OBJ1_572_103;
{obj_t ARG_394_66;
ARG_394_66=CAR( FORMALS_383_20 );{obj_t VA_ARG_685_241;
VA_ARG_685_241=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_686_79;
{obj_t AUX_811_42;
AUX_811_42=ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();VA_ARG_686_79=MAKE_PAIR( AUX_811_42, VA_ARG_685_241 );}OBJ1_572_103=CONS____R4_PAIRS_AND_LISTS_6_3_28( ARG_394_66, VA_ARG_686_79 );}}}HEAD_388_141=MAKE_PAIR( OBJ1_572_103, OBJ2_573_190 );}}{obj_t g1006_390_33, TAIL_391_184;
{obj_t C_CDR_577_234;
C_CDR_577_234=CDR( FORMALS_383_20 );{
TAIL_391_184=HEAD_388_141;
g1006_390_33=C_CDR_577_234;
{_g1007_389_214:

if( NULLP( g1006_390_33 ))
AUX_810_155=HEAD_388_141;else
{obj_t NEW_TAIL_392_149;
{obj_t OBJ2_575_211;
OBJ2_575_211=BNIL;{obj_t OBJ1_574_22;
{obj_t ARG_393_141;
ARG_393_141=CAR( g1006_390_33 );{obj_t VA_ARG_687_46;
VA_ARG_687_46=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_688_60;
{obj_t AUX_812_93;
AUX_812_93=ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();VA_ARG_688_60=MAKE_PAIR( AUX_812_93, VA_ARG_687_46 );}OBJ1_574_22=CONS____R4_PAIRS_AND_LISTS_6_3_28( ARG_393_141, VA_ARG_688_60 );}}}NEW_TAIL_392_149=MAKE_PAIR( OBJ1_574_22, OBJ2_575_211 );}}{
SET_CDR( TAIL_391_184, NEW_TAIL_392_149 );
{obj_t C_CDR_576_169;
C_CDR_576_169=CDR( g1006_390_33 );{
TAIL_391_184=NEW_TAIL_392_149;
g1006_390_33=C_CDR_576_169;
goto _g1007_389_214;
}}
}}}
}}}}VA_ARG_684_156=MAKE_PAIR( AUX_810_155, VA_ARG_683_254 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 20 ), VA_ARG_684_156 );}}}
}}}}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_395_88(obj_t EXP_377_176,obj_t FORMALS_383_20,obj_t AUX_382_6,obj_t AUXILIAIRES_396_123)
#else
LOOP_395_88( EXP_377_176, FORMALS_383_20, AUX_382_6, AUXILIAIRES_396_123 )
obj_t EXP_377_176, FORMALS_383_20, AUX_382_6, AUXILIAIRES_396_123;
#endif
{

if( NULLP( AUXILIAIRES_396_123 ))
if( BBOOL_TO_CBOOL( __UNSAFE_TYPE__ENGINE_PARAM_0 ))
{obj_t PAIR_583_122;
PAIR_583_122=CDR( EXP_377_176 );{obj_t C_CAR_584_29;
C_CAR_584_29=CAR( PAIR_583_122 );{obj_t VA_ARG_694_92;
{obj_t C_CDR_585_155;
C_CDR_585_155=CDR( FORMALS_383_20 );{obj_t AUX_778_4;
{obj_t AUX_779_33;
AUX_779_33=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_778_4=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_585_155, AUX_779_33 );}VA_ARG_694_92=MAKE_PAIR( AUX_778_4, BNIL );}}{obj_t AUX_780_210;
AUX_780_210=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_584_29, VA_ARG_694_92 );return MAKE_PAIR( AUX_780_210, BNIL );}}}}else
{obj_t VA_ARG_695_91;
VA_ARG_695_91=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_696_17;
{obj_t VA_ARG_700_243;
VA_ARG_700_243=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_701_248;
{obj_t L_592_140;
{obj_t C_CONS_595_245;
{obj_t PAIR_593_120;
PAIR_593_120=CDR( EXP_377_176 );{obj_t C_CAR_594_91;
C_CAR_594_91=CAR( PAIR_593_120 );{obj_t AUX_781_28;
AUX_781_28=SHAPE_TOOLS_SHAPE_229( C_CAR_594_91 );C_CONS_595_245=MAKE_PAIR( AUX_781_28, BNIL );}}}L_592_140=MAKE_PAIR( CNST_TABLE_REF( 14 ), C_CONS_595_245 );}VA_ARG_701_248=MAKE_PAIR( L_592_140, VA_ARG_700_243 );}{obj_t VA_ARG_702_10;
{obj_t STRING_CAST_704_149;
STRING_CAST_704_149=CNST_TABLE_REF( 15 );{obj_t AUX_782_67;
AUX_782_67=ABSTRACT_CSTRING__BSTRING_HEAP_ABSTRACT_218( STRING_CAST_704_149 );VA_ARG_702_10=MAKE_PAIR( AUX_782_67, VA_ARG_701_248 );}}{obj_t VA_ARG_703_219;
{obj_t L_590_27;
{obj_t C_CONS_591_64;
{obj_t AUX_783_186;
AUX_783_186=CURRENT_FUNCTION_TOOLS_ERROR_77();C_CONS_591_64=MAKE_PAIR( AUX_783_186, BNIL );}L_590_27=MAKE_PAIR( CNST_TABLE_REF( 14 ), C_CONS_591_64 );}VA_ARG_703_219=MAKE_PAIR( L_590_27, VA_ARG_702_10 );}{obj_t AUX_784_15;
AUX_784_15=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_703_219 );VA_ARG_696_17=MAKE_PAIR( AUX_784_15, VA_ARG_695_91 );}}}}}{obj_t VA_ARG_697_127;
{obj_t PAIR_587_72;
PAIR_587_72=CDR( EXP_377_176 );{obj_t C_CAR_588_121;
C_CAR_588_121=CAR( PAIR_587_72 );{obj_t VA_ARG_699_225;
{obj_t C_CDR_589_218;
C_CDR_589_218=CDR( FORMALS_383_20 );{obj_t AUX_785_2;
{obj_t AUX_786_48;
AUX_786_48=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_785_2=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_589_218, AUX_786_48 );}VA_ARG_699_225=MAKE_PAIR( AUX_785_2, BNIL );}}{obj_t AUX_787_115;
AUX_787_115=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_588_121, VA_ARG_699_225 );VA_ARG_697_127=MAKE_PAIR( AUX_787_115, VA_ARG_696_17 );}}}}{obj_t VA_ARG_698_207;
{obj_t AUX_788_148;
AUX_788_148=ABSTRACT_NULL__HEAP_ABSTRACT_97( AUX_382_6 );VA_ARG_698_207=MAKE_PAIR( AUX_788_148, VA_ARG_697_127 );}{obj_t AUX_789_223;
AUX_789_223=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 17 ), VA_ARG_698_207 );return MAKE_PAIR( AUX_789_223, BNIL );}}}}}else
{
{obj_t S_596_39;
S_596_39=CAR( AUXILIAIRES_396_123 );STRUCT_SLOT_SET( S_596_39, BINT( 5 ), CNST_TABLE_REF( 13 ) );}
{obj_t L_597_118;
{obj_t VA_ARG_705_163;
VA_ARG_705_163=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_706_235;
{obj_t AUX_790_78;
AUX_790_78=ABSTRACT_CAR_HEAP_ABSTRACT_29( AUX_382_6 );VA_ARG_706_235=MAKE_PAIR( AUX_790_78, VA_ARG_705_163 );}{obj_t VA_ARG_707_222;
{obj_t C_CAR_598_225;
C_CAR_598_225=CAR( AUXILIAIRES_396_123 );VA_ARG_707_222=MAKE_PAIR( C_CAR_598_225, VA_ARG_706_235 );}{obj_t C_CONS_599_55;
{obj_t VA_ARG_708_76;
VA_ARG_708_76=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_709_203;
{obj_t AUX_791_75;
AUX_791_75=ABSTRACT_CDR_HEAP_ABSTRACT_207( AUX_382_6 );VA_ARG_709_203=MAKE_PAIR( AUX_791_75, VA_ARG_708_76 );}{obj_t VA_ARG_710_201;
VA_ARG_710_201=MAKE_PAIR( AUX_382_6, VA_ARG_709_203 );{obj_t AUX_792_58;
{obj_t AUX_793_22;
AUX_793_22=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_710_201 );AUX_792_58=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_793_22, __BOBJ__FOREIGN_ATOMIC_124 );}C_CONS_599_55=MAKE_PAIR( AUX_792_58, BNIL );}}}}{obj_t AUX_794_70;
{obj_t AUX_795_103;
AUX_795_103=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_707_222 );AUX_794_70=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_795_103, __BOBJ__FOREIGN_ATOMIC_124 );}L_597_118=MAKE_PAIR( AUX_794_70, C_CONS_599_55 );}}}}}{obj_t C_CDR_600_159;
C_CDR_600_159=CDR( AUXILIAIRES_396_123 );{obj_t AUX_796_181;
AUX_796_181=LOOP_395_88( EXP_377_176, FORMALS_383_20, AUX_382_6, C_CDR_600_159 );return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( L_597_118, AUX_796_181 );}}}
}
}

static obj_t
#if defined( __STDC__ )
ENFORCE_VA_ARITY_TYPE_APPLY_175(obj_t FUN_409_16,obj_t EXP_410_105)
#else
ENFORCE_VA_ARITY_TYPE_APPLY_175( FUN_409_16, EXP_410_105 )
obj_t FUN_409_16, EXP_410_105;
#endif
{

{
{obj_t AUX_766_140;
{obj_t AUX_767_51;
AUX_767_51=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_766_140=SATISFY__TOOLS_TRACE_72( AUX_767_51 );}if( BBOOL_TO_CBOOL( AUX_766_140 ))
{
{obj_t g1012_412_42;
{obj_t L_603_224;
{obj_t STRING_CAST_712_101;
STRING_CAST_712_101=CNST_TABLE_REF( 21 );{obj_t C_CONS_609_190;
{obj_t C_CONS_608_104;
{obj_t C_CONS_607_186;
{obj_t STRING_CAST_713_242;
STRING_CAST_713_242=CNST_TABLE_REF( 22 );{obj_t C_CONS_606_67;
{obj_t C_STRUCT_REF_604_21;
C_STRUCT_REF_604_21=STRUCT_SLOT_REF( FUN_409_16, BINT( 3 ) );{obj_t C_CONS_605_28;
C_CONS_605_28=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_764_27;
AUX_764_27=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_604_21 );C_CONS_606_67=MAKE_PAIR( AUX_764_27, C_CONS_605_28 );}}}C_CONS_607_186=MAKE_PAIR( STRING_CAST_713_242, C_CONS_606_67 );}}C_CONS_608_104=MAKE_PAIR( BCHAR( '\n' ), C_CONS_607_186 );}{obj_t AUX_765_233;
AUX_765_233=SHAPE_TOOLS_SHAPE_229( EXP_410_105 );C_CONS_609_190=MAKE_PAIR( AUX_765_233, C_CONS_608_104 );}}L_603_224=MAKE_PAIR( STRING_CAST_712_101, C_CONS_609_190 );}}{
g1012_412_42=L_603_224;
{_g1013_411_128:

if( PAIRP( g1012_412_42 ))
{
{obj_t A_413_79;
A_413_79=CAR( g1012_412_42 );{obj_t VA_ARG_711_158;
VA_ARG_711_158=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_413_79, VA_ARG_711_158 );}}
{obj_t C_CDR_602_42;
C_CDR_602_42=CDR( g1012_412_42 );{
g1012_412_42=C_CDR_602_42;
goto _g1013_411_128;
}}
}else
BTRUE;}
}}}
{obj_t PORT_610_57;
PORT_610_57=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_610_57 );}
}else
BFALSE;}
{obj_t FRAME_414_232;
{obj_t g1018_434_250;
g1018_434_250=STRUCT_SLOT_REF( FUN_409_16, BINT( 3 ) );{obj_t AUX_768_1;
if( NULLP( g1018_434_250 ))
AUX_768_1=BNIL;else
{obj_t HEAD_435_179;
{obj_t OBJ2_613_240;
OBJ2_613_240=BNIL;{obj_t OBJ1_612_199;
{obj_t C_CAR_614_153;
C_CAR_614_153=CAR( g1018_434_250 );OBJ1_612_199=SHAPE_TOOLS_SHAPE_229( C_CAR_614_153 );}HEAD_435_179=MAKE_PAIR( OBJ1_612_199, OBJ2_613_240 );}}{obj_t g1018_437_88, TAIL_438_231;
{obj_t C_CDR_619_0;
C_CDR_619_0=CDR( g1018_434_250 );{
TAIL_438_231=HEAD_435_179;
g1018_437_88=C_CDR_619_0;
{_g1019_436_50:

if( NULLP( g1018_437_88 ))
AUX_768_1=HEAD_435_179;else
{obj_t NEW_TAIL_439_147;
{obj_t OBJ2_616_158;
OBJ2_616_158=BNIL;{obj_t OBJ1_615_214;
{obj_t C_CAR_617_182;
C_CAR_617_182=CAR( g1018_437_88 );OBJ1_615_214=SHAPE_TOOLS_SHAPE_229( C_CAR_617_182 );}NEW_TAIL_439_147=MAKE_PAIR( OBJ1_615_214, OBJ2_616_158 );}}{
SET_CDR( TAIL_438_231, NEW_TAIL_439_147 );
{obj_t C_CDR_618_135;
C_CDR_618_135=CDR( g1018_437_88 );{
TAIL_438_231=NEW_TAIL_439_147;
g1018_437_88=C_CDR_618_135;
goto _g1019_436_50;
}}
}}}
}}}}FRAME_414_232=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( AUX_768_1 );}}{obj_t AUX_415_146;
{obj_t PAIR_620_142;
{obj_t PAIR_621_230;
PAIR_621_230=LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74( FRAME_414_232 );PAIR_620_142=CAR( PAIR_621_230 );}AUX_415_146=CDR( PAIR_620_142 );}{obj_t FORMALS_416_139;
if( NULLP( FRAME_414_232 ))
FORMALS_416_139=BNIL;else
{obj_t HEAD_429_117;
{obj_t OBJ2_623_14;
OBJ2_623_14=BNIL;{obj_t OBJ1_622_204;
{obj_t PAIR_624_179;
PAIR_624_179=CAR( FRAME_414_232 );OBJ1_622_204=CDR( PAIR_624_179 );}HEAD_429_117=MAKE_PAIR( OBJ1_622_204, OBJ2_623_14 );}}{obj_t g1016_431_17, TAIL_432_111;
{obj_t C_CDR_629_53;
C_CDR_629_53=CDR( FRAME_414_232 );{
TAIL_432_111=HEAD_429_117;
g1016_431_17=C_CDR_629_53;
{_g1017_430_89:

if( NULLP( g1016_431_17 ))
FORMALS_416_139=HEAD_429_117;else
{obj_t NEW_TAIL_433_78;
{obj_t OBJ2_626_97;
OBJ2_626_97=BNIL;{obj_t OBJ1_625_224;
{obj_t PAIR_627_246;
PAIR_627_246=CAR( g1016_431_17 );OBJ1_625_224=CDR( PAIR_627_246 );}NEW_TAIL_433_78=MAKE_PAIR( OBJ1_625_224, OBJ2_626_97 );}}{
SET_CDR( TAIL_432_111, NEW_TAIL_433_78 );
{obj_t C_CDR_628_162;
C_CDR_628_162=CDR( g1016_431_17 );{
TAIL_432_111=NEW_TAIL_433_78;
g1016_431_17=C_CDR_628_162;
goto _g1017_430_89;
}}
}}}
}}}}{
STRUCT_SLOT_SET( AUX_415_146, BINT( 5 ), CNST_TABLE_REF( 13 ) );
{obj_t VA_ARG_714_240;
VA_ARG_714_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_715_255;
{obj_t VA_ARG_721_95;
{obj_t C_STRUCT_REF_652_8;
C_STRUCT_REF_652_8=STRUCT_SLOT_REF( FUN_409_16, BINT( 2 ) );{obj_t AUX_769_14;
{obj_t AUX_771_195, AUX_770_175;
AUX_771_195=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_770_175=LOOP_425_14( EXP_410_105, FORMALS_416_139, AUX_415_146, FORMALS_416_139, C_STRUCT_REF_652_8 );AUX_769_14=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_770_175, AUX_771_195 );}VA_ARG_721_95=MAKE_PAIR( AUX_769_14, BNIL );}}{obj_t VA_ARG_722_206;
{obj_t VA_ARG_723_35;
VA_ARG_723_35=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_724_221;
{obj_t PAIR_636_131;
{obj_t PAIR_638_10;
PAIR_638_10=CDR( EXP_410_105 );PAIR_636_131=CDR( PAIR_638_10 );}{obj_t C_CAR_637_162;
C_CAR_637_162=CAR( PAIR_636_131 );VA_ARG_724_221=MAKE_PAIR( C_CAR_637_162, VA_ARG_723_35 );}}{obj_t VA_ARG_725_54;
VA_ARG_725_54=MAKE_PAIR( AUX_415_146, VA_ARG_724_221 );{obj_t AUX_772_100;
{obj_t AUX_773_99;
AUX_773_99=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_725_54 );AUX_772_100=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_773_99, __BOBJ__FOREIGN_ATOMIC_124 );}VA_ARG_722_206=MAKE_PAIR( AUX_772_100, VA_ARG_721_95 );}}}}{obj_t AUX_774_166;
AUX_774_166=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 19 ), VA_ARG_722_206 );VA_ARG_715_255=MAKE_PAIR( AUX_774_166, VA_ARG_714_240 );}}}{obj_t VA_ARG_716_218;
{obj_t AUX_775_80;
if( NULLP( FORMALS_416_139 ))
AUX_775_80=BNIL;else
{obj_t HEAD_418_158;
{obj_t OBJ2_631_107;
OBJ2_631_107=BNIL;{obj_t OBJ1_630_119;
{obj_t ARG_424_255;
ARG_424_255=CAR( FORMALS_416_139 );{obj_t VA_ARG_717_102;
VA_ARG_717_102=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_718_93;
{obj_t AUX_776_50;
AUX_776_50=ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();VA_ARG_718_93=MAKE_PAIR( AUX_776_50, VA_ARG_717_102 );}OBJ1_630_119=CONS____R4_PAIRS_AND_LISTS_6_3_28( ARG_424_255, VA_ARG_718_93 );}}}HEAD_418_158=MAKE_PAIR( OBJ1_630_119, OBJ2_631_107 );}}{obj_t g1014_420_248, TAIL_421_86;
{obj_t C_CDR_635_38;
C_CDR_635_38=CDR( FORMALS_416_139 );{
TAIL_421_86=HEAD_418_158;
g1014_420_248=C_CDR_635_38;
{_g1015_419_30:

if( NULLP( g1014_420_248 ))
AUX_775_80=HEAD_418_158;else
{obj_t NEW_TAIL_422_107;
{obj_t OBJ2_633_197;
OBJ2_633_197=BNIL;{obj_t OBJ1_632_174;
{obj_t ARG_423_106;
ARG_423_106=CAR( g1014_420_248 );{obj_t VA_ARG_719_159;
VA_ARG_719_159=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_720_116;
{obj_t AUX_777_34;
AUX_777_34=ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();VA_ARG_720_116=MAKE_PAIR( AUX_777_34, VA_ARG_719_159 );}OBJ1_632_174=CONS____R4_PAIRS_AND_LISTS_6_3_28( ARG_423_106, VA_ARG_720_116 );}}}NEW_TAIL_422_107=MAKE_PAIR( OBJ1_632_174, OBJ2_633_197 );}}{
SET_CDR( TAIL_421_86, NEW_TAIL_422_107 );
{obj_t C_CDR_634_44;
C_CDR_634_44=CDR( g1014_420_248 );{
TAIL_421_86=NEW_TAIL_422_107;
g1014_420_248=C_CDR_634_44;
goto _g1015_419_30;
}}
}}}
}}}}VA_ARG_716_218=MAKE_PAIR( AUX_775_80, VA_ARG_715_255 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 20 ), VA_ARG_716_218 );}}}
}}}}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_425_14(obj_t EXP_410_105,obj_t FORMALS_416_139,obj_t AUX_415_146,obj_t AUXILIAIRES_426_79,obj_t ARITY_427_190)
#else
LOOP_425_14( EXP_410_105, FORMALS_416_139, AUX_415_146, AUXILIAIRES_426_79, ARITY_427_190 )
obj_t EXP_410_105, FORMALS_416_139, AUX_415_146, AUXILIAIRES_426_79, ARITY_427_190;
#endif
{

if( EQ_I( ARITY_427_190, BINT( -1 ) ))
{obj_t PAIR_642_223;
PAIR_642_223=CDR( EXP_410_105 );{obj_t C_CAR_643_198;
C_CAR_643_198=CAR( PAIR_642_223 );{obj_t VA_ARG_726_192;
{obj_t AUX_754_191;
{obj_t AUX_755_108;
AUX_755_108=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_754_191=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( FORMALS_416_139, AUX_755_108 );}VA_ARG_726_192=MAKE_PAIR( AUX_754_191, BNIL );}{obj_t AUX_756_139;
AUX_756_139=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_643_198, VA_ARG_726_192 );return MAKE_PAIR( AUX_756_139, BNIL );}}}}else
{
{obj_t S_644_227;
S_644_227=CAR( AUXILIAIRES_426_79 );STRUCT_SLOT_SET( S_644_227, BINT( 5 ), CNST_TABLE_REF( 13 ) );}
{obj_t L_645_180;
{obj_t VA_ARG_727_252;
VA_ARG_727_252=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_728_237;
{obj_t AUX_757_232;
AUX_757_232=ABSTRACT_CAR_HEAP_ABSTRACT_29( AUX_415_146 );VA_ARG_728_237=MAKE_PAIR( AUX_757_232, VA_ARG_727_252 );}{obj_t VA_ARG_729_253;
{obj_t C_CAR_646_156;
C_CAR_646_156=CAR( AUXILIAIRES_426_79 );VA_ARG_729_253=MAKE_PAIR( C_CAR_646_156, VA_ARG_728_237 );}{obj_t C_CONS_647_70;
{obj_t VA_ARG_730_64;
VA_ARG_730_64=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_731_121;
{obj_t AUX_758_239;
AUX_758_239=ABSTRACT_CDR_HEAP_ABSTRACT_207( AUX_415_146 );VA_ARG_731_121=MAKE_PAIR( AUX_758_239, VA_ARG_730_64 );}{obj_t VA_ARG_732_72;
VA_ARG_732_72=MAKE_PAIR( AUX_415_146, VA_ARG_731_121 );{obj_t AUX_759_193;
{obj_t AUX_760_138;
AUX_760_138=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_732_72 );AUX_759_193=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_760_138, __BOBJ__FOREIGN_ATOMIC_124 );}C_CONS_647_70=MAKE_PAIR( AUX_759_193, BNIL );}}}}{obj_t AUX_761_170;
{obj_t AUX_762_125;
AUX_762_125=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 18 ), VA_ARG_729_253 );AUX_761_170=TYPE_EXPRESSION_TYPE_EXPRESSION_167( AUX_762_125, __BOBJ__FOREIGN_ATOMIC_124 );}L_645_180=MAKE_PAIR( AUX_761_170, C_CONS_647_70 );}}}}}{obj_t C_CDR_648_71;
C_CDR_648_71=CDR( AUXILIAIRES_426_79 );{obj_t AUX_763_118;
AUX_763_118=LOOP_425_14( EXP_410_105, FORMALS_416_139, AUX_415_146, C_CDR_648_71, ADD_I_PTAG( ARITY_427_190, PSUB_TAG( 1 ) ) );return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( L_645_180, AUX_763_118 );}}}
}
}

static obj_t
#if defined( __STDC__ )
TYPE_UNKNOWN_BIGLOO_APPLY_TYPE_APPLY_247(obj_t EXP_440_1,obj_t TO_441_142)
#else
TYPE_UNKNOWN_BIGLOO_APPLY_TYPE_APPLY_247( EXP_440_1, TO_441_142 )
obj_t EXP_440_1, TO_441_142;
#endif
{

{obj_t LEN_443_243, ACTUALS_442_98;
{obj_t PAIR_657_154;
PAIR_657_154=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( CNST_TABLE_REF( 23 ) );{obj_t PAIR_658_95;
PAIR_658_95=CAR( PAIR_657_154 );LEN_443_243=CDR( PAIR_658_95 );}}{obj_t PAIR_653_85;
{obj_t PAIR_655_88;
PAIR_655_88=CDR( EXP_440_1 );PAIR_653_85=CDR( PAIR_655_88 );}{obj_t C_CAR_654_144;
C_CAR_654_144=CAR( PAIR_653_85 );ACTUALS_442_98=TYPE_EXPRESSION_TYPE_EXPRESSION_167( C_CAR_654_144, __BOBJ__FOREIGN_ATOMIC_124 );}}{
{obj_t OBJ_662_57;
{obj_t VA_ARG_733_77;
{obj_t AUX_748_96;
AUX_748_96=ABSTRACT_LENGTH_HEAP_ABSTRACT_29( LEN_443_243 );VA_ARG_733_77=MAKE_PAIR( AUX_748_96, BNIL );}{obj_t PAIR_663_141;
PAIR_663_141=CDR( EXP_440_1 );{obj_t C_CAR_664_181;
C_CAR_664_181=CAR( PAIR_663_141 );{obj_t AUX_750_59, AUX_749_227;
AUX_750_59=TYPE_EXPRESSION_TYPE_EXPRESSION_167( C_CAR_664_181, __BOBJ__FOREIGN_ATOMIC_124 );AUX_749_227=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 24 ), VA_ARG_733_77 );OBJ_662_57=ENFORCE_PROCEDURE_TYPE_ENFORCE_25( AUX_749_227, AUX_750_59 );}}}}{obj_t PAIR_661_176;
PAIR_661_176=CDR( EXP_440_1 );SET_CAR( PAIR_661_176, OBJ_662_57 );}}
{obj_t PAIR_665_60;
{obj_t PAIR_667_128;
PAIR_667_128=CDR( EXP_440_1 );PAIR_665_60=CDR( PAIR_667_128 );}SET_CAR( PAIR_665_60, LEN_443_243 );}
{obj_t VA_ARG_734_245;
VA_ARG_734_245=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_735_208;
{obj_t AUX_751_74;
AUX_751_74=CAST_TYPE_CAST_50( EXP_440_1, __BOBJ__FOREIGN_ATOMIC_124, TO_441_142 );VA_ARG_735_208=MAKE_PAIR( AUX_751_74, VA_ARG_734_245 );}{obj_t VA_ARG_736_122;
{obj_t VA_ARG_737_130;
VA_ARG_737_130=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_738_55;
VA_ARG_738_55=MAKE_PAIR( ACTUALS_442_98, VA_ARG_737_130 );{obj_t VA_ARG_739_143;
VA_ARG_739_143=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_752_228;
{obj_t AUX_753_137;
AUX_753_137=CONS____R4_PAIRS_AND_LISTS_6_3_28( LEN_443_243, VA_ARG_738_55 );AUX_752_228=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_753_137, VA_ARG_739_143 );}VA_ARG_736_122=MAKE_PAIR( AUX_752_228, VA_ARG_735_208 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 20 ), VA_ARG_736_122 );}}}
}}
}

