/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/characters.c                                           */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t CHAR_____29___R4_CHARACTERS_6_6_186 = BUNSPEC;
obj_t ___R4_CHARACTERS_6_6_INITIALISATION_ENV___R4_CHARACTERS_6_6_181 = BUNSPEC;
static obj_t CHAR_CI__22___R4_CHARACTERS_6_6_53 = BUNSPEC;
static obj_t CHAR_CI__19___R4_CHARACTERS_6_6_94 = BUNSPEC;
static obj_t CHAR_____37___R4_CHARACTERS_6_6_223 = BUNSPEC;
obj_t CHAR____ENV___R4_CHARACTERS_6_6_76 = BUNSPEC;
static obj_t NUMBER_46___R4_CHARACTERS_6_6_106 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_33(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_33();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_____R4_CHARACTERS_6_6_255(obj_t, obj_t);
#else
extern obj_t CHAR_____R4_CHARACTERS_6_6_255();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_73(obj_t, obj_t);
#else
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_73();
#endif
static obj_t CHAR_____35___R4_CHARACTERS_6_6_71 = BUNSPEC;
static obj_t CHAR_____53___R4_CHARACTERS_6_6_158 = BUNSPEC;
DEFINE_STRING( CHAR___2___R4_CHARACTERS_6_6_139, "char=?", 6);
obj_t INTEGER__CHAR_UR_ENV___R4_CHARACTERS_6_6_116 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR__INTEGER___R4_CHARACTERS_6_6_136(obj_t, obj_t);
#else
extern obj_t __CHAR__INTEGER___R4_CHARACTERS_6_6_136();
#endif
static obj_t CHAR_____9___R4_CHARACTERS_6_6_11 = BUNSPEC;
obj_t CHAR___ENV___R4_CHARACTERS_6_6_192 = BUNSPEC;
static obj_t CHAR_OR__56___R4_CHARACTERS_6_6_37 = BUNSPEC;
DEFINE_STRING( ARGUMENT_5___R4_CHARACTERS_6_6_164, "argument not a char", 19);
DEFINE_STRING( INTEGER__48___R4_CHARACTERS_6_6_62, "integer->char", 13);
#if defined( __STDC__ )
extern obj_t __CHAR______R4_CHARACTERS_6_6_212(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR______R4_CHARACTERS_6_6_212();
#endif
obj_t CHAR_LOWER_CASE__ENV___R4_CHARACTERS_6_6_134 = BUNSPEC;
static obj_t CHAR_____43___R4_CHARACTERS_6_6_184 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_UPCASE___R4_CHARACTERS_6_6_25(obj_t, obj_t);
#else
extern obj_t __CHAR_UPCASE___R4_CHARACTERS_6_6_25();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_ALPHABETIC____R4_CHARACTERS_6_6_25(obj_t);
#else
extern obj_t CHAR_ALPHABETIC____R4_CHARACTERS_6_6_25();
#endif
static obj_t CHAR_____26___R4_CHARACTERS_6_6_57 = BUNSPEC;
static obj_t CHAR_____20___R4_CHARACTERS_6_6_244 = BUNSPEC;
obj_t CHAR_NUMERIC__ENV___R4_CHARACTERS_6_6_37 = BUNSPEC;
static obj_t CHAR_____32___R4_CHARACTERS_6_6_155 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_LOWER_CASE____R4_CHARACTERS_6_6_62(obj_t);
#else
extern obj_t CHAR_LOWER_CASE____R4_CHARACTERS_6_6_62();
#endif
static obj_t INTEGER__50___R4_CHARACTERS_6_6_210 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_DOWNCASE___R4_CHARACTERS_6_6_122(obj_t, obj_t);
#else
extern obj_t __CHAR_DOWNCASE___R4_CHARACTERS_6_6_122();
#endif
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t CHAR_OR_ENV___R4_CHARACTERS_6_6_251 = BUNSPEC;
obj_t CHAR_CI____ENV___R4_CHARACTERS_6_6_72 = BUNSPEC;
obj_t CHAR_UPPER_CASE__ENV___R4_CHARACTERS_6_6_218 = BUNSPEC;
static obj_t CHAR_____14___R4_CHARACTERS_6_6_137 = BUNSPEC;
static obj_t CHAR_____24___R4_CHARACTERS_6_6_99 = BUNSPEC;
static obj_t CHAR_UPP_38___R4_CHARACTERS_6_6_79 = BUNSPEC;
obj_t CHAR_WHITESPACE__ENV___R4_CHARACTERS_6_6_47 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INTEGER__CHAR___R4_CHARACTERS_6_6_228(obj_t, obj_t);
#else
extern obj_t __INTEGER__CHAR___R4_CHARACTERS_6_6_228();
#endif
extern obj_t ___R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_167();
#if defined( __STDC__ )
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_176(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_176();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_____R4_CHARACTERS_6_6_129(obj_t, obj_t);
#else
extern obj_t CHAR_____R4_CHARACTERS_6_6_129();
#endif
#if defined( __STDC__ )
extern obj_t __CHAR_OR___R4_CHARACTERS_6_6_76(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_OR___R4_CHARACTERS_6_6_76();
#endif
static obj_t CHAR_____27___R4_CHARACTERS_6_6_187 = BUNSPEC;
static obj_t CHAR_7___R4_CHARACTERS_6_6_129 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_182(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_CI_____R4_CHARACTERS_6_6_182();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_____R4_CHARACTERS_6_6_232(obj_t, obj_t);
#else
extern obj_t CHAR_____R4_CHARACTERS_6_6_232();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
DEFINE_STRING( CHAR___4___R4_CHARACTERS_6_6_110, "char=?", 6);
#if defined( __STDC__ )
extern obj_t __CHAR_NUMERIC____R4_CHARACTERS_6_6_82(obj_t, obj_t);
#else
extern obj_t __CHAR_NUMERIC____R4_CHARACTERS_6_6_82();
#endif
#if defined( __STDC__ )
extern obj_t __CHAR______R4_CHARACTERS_6_6_83(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR______R4_CHARACTERS_6_6_83();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_OR___R4_CHARACTERS_6_6_47(obj_t, obj_t);
#else
extern obj_t CHAR_OR___R4_CHARACTERS_6_6_47();
#endif
static obj_t ___R__CHA_1___R4_CHARACTERS_6_6_9 = BUNSPEC;
static obj_t CHAR_____12___R4_CHARACTERS_6_6_228 = BUNSPEC;
obj_t CHAR__ENV___R4_CHARACTERS_6_6_123 = BUNSPEC;
obj_t CHAR_CI___ENV___R4_CHARACTERS_6_6_253 = BUNSPEC;
obj_t CHAR_CI____ENV___R4_CHARACTERS_6_6_154 = BUNSPEC;
static obj_t INTEGER__45___R4_CHARACTERS_6_6_14 = BUNSPEC;
static obj_t CHAR_CI__31___R4_CHARACTERS_6_6_153 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_ALPHABETIC____R4_CHARACTERS_6_6_205(obj_t, obj_t);
#else
extern obj_t __CHAR_ALPHABETIC____R4_CHARACTERS_6_6_205();
#endif
DEFINE_STRING( BIGLOO___0___R4_CHARACTERS_6_6_167, "Bigloo (v1.7)", 13);
#if defined( __STDC__ )
extern obj_t __CHAR_____R4_CHARACTERS_6_6_40(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_____R4_CHARACTERS_6_6_40();
#endif
static obj_t CHAR_____17___R4_CHARACTERS_6_6_153 = BUNSPEC;
static obj_t INT_____51___R4_CHARACTERS_6_6_106 = BUNSPEC;
static obj_t CHAR_____21___R4_CHARACTERS_6_6_3 = BUNSPEC;
obj_t CHAR___ENV___R4_CHARACTERS_6_6_185 = BUNSPEC;
static obj_t CHAR_CI__25___R4_CHARACTERS_6_6_88 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_____R4_CHARACTERS_6_6_163(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_____R4_CHARACTERS_6_6_163();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_UPPER_CASE____R4_CHARACTERS_6_6_76(obj_t);
#else
extern obj_t CHAR_UPPER_CASE____R4_CHARACTERS_6_6_76();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_CI______R4_CHARACTERS_6_6_31(obj_t, obj_t);
#else
extern obj_t CHAR_CI______R4_CHARACTERS_6_6_31();
#endif
static obj_t CHAR_CI__28___R4_CHARACTERS_6_6_51 = BUNSPEC;
DEFINE_STRING( ARGUMENT_3___R4_CHARACTERS_6_6_184, "argument not a char", 19);
obj_t CHAR_DOWNCASE_ENV___R4_CHARACTERS_6_6_140 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR______R4_CHARACTERS_6_6_156(obj_t, obj_t);
#else
extern obj_t CHAR______R4_CHARACTERS_6_6_156();
#endif
#if defined( __STDC__ )
extern obj_t __CHAR_CI______R4_CHARACTERS_6_6_6(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_CI______R4_CHARACTERS_6_6_6();
#endif
obj_t CHAR___ENV___R4_CHARACTERS_6_6_138 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_UPPER_CASE____R4_CHARACTERS_6_6_89(obj_t, obj_t);
#else
extern obj_t __CHAR_UPPER_CASE____R4_CHARACTERS_6_6_89();
#endif
#if defined( __STDC__ )
extern obj_t __CHAR____R4_CHARACTERS_6_6_168(obj_t, obj_t);
#else
extern obj_t __CHAR____R4_CHARACTERS_6_6_168();
#endif
static obj_t CHAR_____11___R4_CHARACTERS_6_6_89 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_CHARACTERS_6_6_144 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __CHAR_WHITESPACE____R4_CHARACTERS_6_6_182(obj_t, obj_t);
#else
extern obj_t __CHAR_WHITESPACE____R4_CHARACTERS_6_6_182();
#endif
static obj_t CHAR_____33___R4_CHARACTERS_6_6_235 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR______R4_CHARACTERS_6_6_153(obj_t, obj_t);
#else
extern obj_t CHAR______R4_CHARACTERS_6_6_153();
#endif
#if defined( __STDC__ )
extern obj_t __CHAR_CI______R4_CHARACTERS_6_6_182(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_CI______R4_CHARACTERS_6_6_182();
#endif
static obj_t CHAR_____30___R4_CHARACTERS_6_6_211 = BUNSPEC;
obj_t CHAR_UPCASE_ENV___R4_CHARACTERS_6_6_172 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_LOWER_CASE____R4_CHARACTERS_6_6_103(obj_t, obj_t);
#else
extern obj_t __CHAR_LOWER_CASE____R4_CHARACTERS_6_6_103();
#endif
static obj_t CHAR_____18___R4_CHARACTERS_6_6_211 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INTEGER__CHAR_UR___R4_CHARACTERS_6_6_92(obj_t, obj_t);
#else
extern obj_t __INTEGER__CHAR_UR___R4_CHARACTERS_6_6_92();
#endif
obj_t CHAR_ALPHABETIC__ENV___R4_CHARACTERS_6_6_203 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INTEGER__CHAR___R4_CHARACTERS_6_6_9(obj_t);
#else
extern obj_t INTEGER__CHAR___R4_CHARACTERS_6_6_9();
#endif
static obj_t CHAR_____41___R4_CHARACTERS_6_6_190 = BUNSPEC;
static obj_t CHAR_DOW_54___R4_CHARACTERS_6_6_96 = BUNSPEC;
obj_t CHAR____ENV___R4_CHARACTERS_6_6_227 = BUNSPEC;
static obj_t CHAR_____15___R4_CHARACTERS_6_6_76 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_167(obj_t, obj_t);
#else
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_167();
#endif
static obj_t CHAR_LOW_40___R4_CHARACTERS_6_6_160 = BUNSPEC;
static obj_t CHAR_____23___R4_CHARACTERS_6_6_241 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_228(obj_t, obj_t);
#else
extern obj_t CHAR_CI_____R4_CHARACTERS_6_6_228();
#endif
#if defined( __STDC__ )
extern obj_t CHAR____R4_CHARACTERS_6_6_183(obj_t);
#else
extern obj_t CHAR____R4_CHARACTERS_6_6_183();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_CI______R4_CHARACTERS_6_6_67(obj_t, obj_t);
#else
extern obj_t CHAR_CI______R4_CHARACTERS_6_6_67();
#endif
static obj_t INTEGER__44___R4_CHARACTERS_6_6_222 = BUNSPEC;
extern obj_t make_fx_procedure();
obj_t CHAR__INTEGER_ENV___R4_CHARACTERS_6_6_92 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_DOWNCASE___R4_CHARACTERS_6_6_92(obj_t);
#else
extern obj_t CHAR_DOWNCASE___R4_CHARACTERS_6_6_92();
#endif
obj_t CHAR_CI___ENV___R4_CHARACTERS_6_6_209 = BUNSPEC;
static obj_t CHAR_____55___R4_CHARACTERS_6_6_32 = BUNSPEC;
static obj_t CHAR_____39___R4_CHARACTERS_6_6_89 = BUNSPEC;
static obj_t CHAR_____58___R4_CHARACTERS_6_6_167 = BUNSPEC;
static obj_t CHAR_____6___R4_CHARACTERS_6_6_172 = BUNSPEC;
static obj_t CHAR_UPC_52___R4_CHARACTERS_6_6_24 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR__INTEGER___R4_CHARACTERS_6_6_107(obj_t);
#else
extern obj_t CHAR__INTEGER___R4_CHARACTERS_6_6_107();
#endif
DEFINE_STRING( INTEGER__49___R4_CHARACTERS_6_6_156, "integer out of range", 20);
static obj_t CHAR_____8___R4_CHARACTERS_6_6_13 = BUNSPEC;
static obj_t INT_____47___R4_CHARACTERS_6_6_81 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INTEGER__CHAR_UR___R4_CHARACTERS_6_6_157(obj_t);
#else
extern obj_t INTEGER__CHAR_UR___R4_CHARACTERS_6_6_157();
#endif
static obj_t CHAR_ALP_34___R4_CHARACTERS_6_6_173 = BUNSPEC;
static obj_t CHAR_____13___R4_CHARACTERS_6_6_44 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_NUMERIC____R4_CHARACTERS_6_6_198(obj_t);
#else
extern obj_t CHAR_NUMERIC____R4_CHARACTERS_6_6_198();
#endif
static obj_t CHAR_____10___R4_CHARACTERS_6_6_250 = BUNSPEC;
static obj_t CHAR_NUM_36___R4_CHARACTERS_6_6_147 = BUNSPEC;
static obj_t CHAR_____57___R4_CHARACTERS_6_6_193 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_____R4_CHARACTERS_6_6_119(obj_t, obj_t, obj_t);
#else
extern obj_t __CHAR_____R4_CHARACTERS_6_6_119();
#endif
#if defined( __STDC__ )
extern obj_t CHAR_UPCASE___R4_CHARACTERS_6_6_84(obj_t);
#else
extern obj_t CHAR_UPCASE___R4_CHARACTERS_6_6_84();
#endif
#if defined( __STDC__ )
extern obj_t ____R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_83(obj_t);
#else
extern obj_t ____R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_83();
#endif
obj_t INTEGER__CHAR_ENV___R4_CHARACTERS_6_6_114 = BUNSPEC;
static obj_t CHAR_____16___R4_CHARACTERS_6_6_253 = BUNSPEC;
obj_t CHAR_CI___ENV___R4_CHARACTERS_6_6_181 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CHAR_WHITESPACE____R4_CHARACTERS_6_6_74(obj_t);
#else
extern obj_t CHAR_WHITESPACE____R4_CHARACTERS_6_6_74();
#endif
static obj_t CHAR__IN_42___R4_CHARACTERS_6_6_221 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();


obj_t
#if defined( __STDC__ )
___R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_167()
#else
___R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_167()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_CHARACTERS_6_6_144 ))
{
REQUIRE_INITIALISATION____R4_CHARACTERS_6_6_144=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
CHAR_ALP_34___R4_CHARACTERS_6_6_173=c_string_to_symbol( "CHAR-ALPHABETIC?@__R4_CHARACTERS_6_6" );
CHAR_NUM_36___R4_CHARACTERS_6_6_147=c_string_to_symbol( "CHAR-NUMERIC?@__R4_CHARACTERS_6_6" );
CHAR_____57___R4_CHARACTERS_6_6_193=c_string_to_symbol( "CHAR2@260" );
CHAR_____8___R4_CHARACTERS_6_6_13=c_string_to_symbol( "CHAR2@226" );
CHAR_____16___R4_CHARACTERS_6_6_253=c_string_to_symbol( "CHAR>=?@__R4_CHARACTERS_6_6" );
INTEGER__45___R4_CHARACTERS_6_6_14=c_string_to_symbol( "INTEGER->CHAR@__R4_CHARACTERS_6_6" );
CHAR_____17___R4_CHARACTERS_6_6_153=c_string_to_symbol( "CHAR2@232" );
CHAR_____27___R4_CHARACTERS_6_6_187=c_string_to_symbol( "CHAR1@237" );
CHAR_CI__31___R4_CHARACTERS_6_6_153=c_string_to_symbol( "CHAR-CI>=?@__R4_CHARACTERS_6_6" );
INT_____47___R4_CHARACTERS_6_6_81=c_string_to_symbol( "INT@254" );
CHAR_____10___R4_CHARACTERS_6_6_250=c_string_to_symbol( "CHAR>?@__R4_CHARACTERS_6_6" );
CHAR_____43___R4_CHARACTERS_6_6_184=c_string_to_symbol( "CHAR@253" );
CHAR_____32___R4_CHARACTERS_6_6_155=c_string_to_symbol( "CHAR2@242" );
CHAR_____37___R4_CHARACTERS_6_6_223=c_string_to_symbol( "CHAR@246" );
INTEGER__50___R4_CHARACTERS_6_6_210=c_string_to_symbol( "INTEGER->CHAR-UR@__R4_CHARACTERS_6_6" );
CHAR_____39___R4_CHARACTERS_6_6_89=c_string_to_symbol( "CHAR@249" );
INTEGER__44___R4_CHARACTERS_6_6_222=c_string_to_symbol( "INTEGER->CHAR" );
CHAR_____6___R4_CHARACTERS_6_6_172=c_string_to_symbol( "CHAR<?@__R4_CHARACTERS_6_6" );
CHAR_____11___R4_CHARACTERS_6_6_89=c_string_to_symbol( "CHAR2@228" );
CHAR_____12___R4_CHARACTERS_6_6_228=c_string_to_symbol( "CHAR1@227" );
CHAR_____24___R4_CHARACTERS_6_6_99=c_string_to_symbol( "CHAR1@235" );
CHAR_____55___R4_CHARACTERS_6_6_32=c_string_to_symbol( "CHAR@258" );
INT_____51___R4_CHARACTERS_6_6_106=c_string_to_symbol( "INT@256" );
CHAR_____29___R4_CHARACTERS_6_6_186=c_string_to_symbol( "CHAR2@240" );
CHAR_OR__56___R4_CHARACTERS_6_6_37=c_string_to_symbol( "CHAR-OR@__R4_CHARACTERS_6_6" );
CHAR_____14___R4_CHARACTERS_6_6_137=c_string_to_symbol( "CHAR2@230" );
CHAR_____15___R4_CHARACTERS_6_6_76=c_string_to_symbol( "CHAR1@229" );
CHAR_CI__22___R4_CHARACTERS_6_6_53=c_string_to_symbol( "CHAR-CI<?@__R4_CHARACTERS_6_6" );
CHAR_____53___R4_CHARACTERS_6_6_158=c_string_to_symbol( "CHAR@257" );
CHAR_____21___R4_CHARACTERS_6_6_3=c_string_to_symbol( "CHAR1@233" );
CHAR_____9___R4_CHARACTERS_6_6_11=c_string_to_symbol( "CHAR1@225" );
CHAR_____18___R4_CHARACTERS_6_6_211=c_string_to_symbol( "CHAR1@231" );
CHAR_UPC_52___R4_CHARACTERS_6_6_24=c_string_to_symbol( "CHAR-UPCASE@__R4_CHARACTERS_6_6" );
CHAR_____58___R4_CHARACTERS_6_6_167=c_string_to_symbol( "CHAR1@259" );
CHAR__IN_42___R4_CHARACTERS_6_6_221=c_string_to_symbol( "CHAR->INTEGER@__R4_CHARACTERS_6_6" );
NUMBER_46___R4_CHARACTERS_6_6_106=c_string_to_symbol( "NUMBER" );
CHAR_____33___R4_CHARACTERS_6_6_235=c_string_to_symbol( "CHAR1@241" );
CHAR_____13___R4_CHARACTERS_6_6_44=c_string_to_symbol( "CHAR<=?@__R4_CHARACTERS_6_6" );
CHAR_DOW_54___R4_CHARACTERS_6_6_96=c_string_to_symbol( "CHAR-DOWNCASE@__R4_CHARACTERS_6_6" );
CHAR_LOW_40___R4_CHARACTERS_6_6_160=c_string_to_symbol( "CHAR-LOWER-CASE?@__R4_CHARACTERS_6_6" );
CHAR_____20___R4_CHARACTERS_6_6_244=c_string_to_symbol( "CHAR2@234" );
CHAR_____26___R4_CHARACTERS_6_6_57=c_string_to_symbol( "CHAR2@238" );
CHAR_7___R4_CHARACTERS_6_6_129=c_string_to_symbol( "CHAR" );
CHAR_CI__25___R4_CHARACTERS_6_6_88=c_string_to_symbol( "CHAR-CI>?@__R4_CHARACTERS_6_6" );
CHAR_____23___R4_CHARACTERS_6_6_241=c_string_to_symbol( "CHAR2@236" );
CHAR_____41___R4_CHARACTERS_6_6_190=c_string_to_symbol( "CHAR@251" );
CHAR_____35___R4_CHARACTERS_6_6_71=c_string_to_symbol( "CHAR@243" );
CHAR_____30___R4_CHARACTERS_6_6_211=c_string_to_symbol( "CHAR1@239" );
___R__CHA_1___R4_CHARACTERS_6_6_9=c_string_to_symbol( "__R4_CHARACTERS_6_6" );
CHAR_UPP_38___R4_CHARACTERS_6_6_79=c_string_to_symbol( "CHAR-UPPER-CASE?@__R4_CHARACTERS_6_6" );
CHAR_CI__28___R4_CHARACTERS_6_6_51=c_string_to_symbol( "CHAR-CI<=?@__R4_CHARACTERS_6_6" );
CHAR_CI__19___R4_CHARACTERS_6_6_94=c_string_to_symbol( "CHAR-CI=?@__R4_CHARACTERS_6_6" );
{
___R4_CHARACTERS_6_6_INITIALISATION_ENV___R4_CHARACTERS_6_6_181=make_fx_procedure( ____R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_83, 0, 0 );
CHAR__ENV___R4_CHARACTERS_6_6_123=make_fx_procedure( __CHAR____R4_CHARACTERS_6_6_168, 1, 0 );
CHAR___ENV___R4_CHARACTERS_6_6_185=make_fx_procedure( __CHAR_____R4_CHARACTERS_6_6_163, 2, 0 );
CHAR___ENV___R4_CHARACTERS_6_6_138=make_fx_procedure( __CHAR_____R4_CHARACTERS_6_6_119, 2, 0 );
CHAR___ENV___R4_CHARACTERS_6_6_192=make_fx_procedure( __CHAR_____R4_CHARACTERS_6_6_40, 2, 0 );
CHAR____ENV___R4_CHARACTERS_6_6_227=make_fx_procedure( __CHAR______R4_CHARACTERS_6_6_83, 2, 0 );
CHAR____ENV___R4_CHARACTERS_6_6_76=make_fx_procedure( __CHAR______R4_CHARACTERS_6_6_212, 2, 0 );
CHAR_CI___ENV___R4_CHARACTERS_6_6_181=make_fx_procedure( __CHAR_CI_____R4_CHARACTERS_6_6_182, 2, 0 );
CHAR_CI___ENV___R4_CHARACTERS_6_6_253=make_fx_procedure( __CHAR_CI_____R4_CHARACTERS_6_6_176, 2, 0 );
CHAR_CI___ENV___R4_CHARACTERS_6_6_209=make_fx_procedure( __CHAR_CI_____R4_CHARACTERS_6_6_33, 2, 0 );
CHAR_CI____ENV___R4_CHARACTERS_6_6_72=make_fx_procedure( __CHAR_CI______R4_CHARACTERS_6_6_6, 2, 0 );
CHAR_CI____ENV___R4_CHARACTERS_6_6_154=make_fx_procedure( __CHAR_CI______R4_CHARACTERS_6_6_182, 2, 0 );
CHAR_ALPHABETIC__ENV___R4_CHARACTERS_6_6_203=make_fx_procedure( __CHAR_ALPHABETIC____R4_CHARACTERS_6_6_205, 1, 0 );
CHAR_NUMERIC__ENV___R4_CHARACTERS_6_6_37=make_fx_procedure( __CHAR_NUMERIC____R4_CHARACTERS_6_6_82, 1, 0 );
CHAR_WHITESPACE__ENV___R4_CHARACTERS_6_6_47=make_fx_procedure( __CHAR_WHITESPACE____R4_CHARACTERS_6_6_182, 1, 0 );
CHAR_UPPER_CASE__ENV___R4_CHARACTERS_6_6_218=make_fx_procedure( __CHAR_UPPER_CASE____R4_CHARACTERS_6_6_89, 1, 0 );
CHAR_LOWER_CASE__ENV___R4_CHARACTERS_6_6_134=make_fx_procedure( __CHAR_LOWER_CASE____R4_CHARACTERS_6_6_103, 1, 0 );
CHAR__INTEGER_ENV___R4_CHARACTERS_6_6_92=make_fx_procedure( __CHAR__INTEGER___R4_CHARACTERS_6_6_136, 1, 0 );
INTEGER__CHAR_ENV___R4_CHARACTERS_6_6_114=make_fx_procedure( __INTEGER__CHAR___R4_CHARACTERS_6_6_228, 1, 0 );
INTEGER__CHAR_UR_ENV___R4_CHARACTERS_6_6_116=make_fx_procedure( __INTEGER__CHAR_UR___R4_CHARACTERS_6_6_92, 1, 0 );
CHAR_UPCASE_ENV___R4_CHARACTERS_6_6_172=make_fx_procedure( __CHAR_UPCASE___R4_CHARACTERS_6_6_25, 1, 0 );
CHAR_DOWNCASE_ENV___R4_CHARACTERS_6_6_140=make_fx_procedure( __CHAR_DOWNCASE___R4_CHARACTERS_6_6_122, 1, 0 );
CHAR_OR_ENV___R4_CHARACTERS_6_6_251=make_fx_procedure( __CHAR_OR___R4_CHARACTERS_6_6_76, 2, 0 );
{
{obj_t STRING_CAST_272_169;
STRING_CAST_272_169=BREF( &BIGLOO___0___R4_CHARACTERS_6_6_167);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__CHA_1___R4_CHARACTERS_6_6_9, STRING_CAST_272_169, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_83(obj_t ENV_301_85)
#else
____R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_83( ENV_301_85 )
obj_t ENV_301_85;
#endif
{

return ___R4_CHARACTERS_6_6_INITIALISATION___R4_CHARACTERS_6_6_167();
}

obj_t
#if defined( __STDC__ )
CHAR____R4_CHARACTERS_6_6_183(obj_t OBJ_222_44)
#else
CHAR____R4_CHARACTERS_6_6_183( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

{bool_t AUX_335_58;
AUX_335_58=CHARP( OBJ_222_44 );return CBOOL_TO_BBOOL( AUX_335_58 );}
}

obj_t
#if defined( __STDC__ )
__CHAR____R4_CHARACTERS_6_6_168(obj_t ENV_300_178,obj_t OBJ_222_44)
#else
__CHAR____R4_CHARACTERS_6_6_168( ENV_300_178, OBJ_222_44 )
obj_t ENV_300_178, OBJ_222_44;
#endif
{

return CHAR____R4_CHARACTERS_6_6_183( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
CHAR_____R4_CHARACTERS_6_6_232(obj_t CHAR1_223_197,obj_t CHAR2_224_137)
#else
CHAR_____R4_CHARACTERS_6_6_232( CHAR1_223_197, CHAR2_224_137 )
obj_t CHAR1_223_197, CHAR2_224_137;
#endif
{

if( CHARP( CHAR1_223_197 ))
if( CHARP( CHAR2_224_137 ))
return CBOOL_TO_BBOOL( EQP( CHAR1_223_197, CHAR2_224_137 ) );else
FAILURE( BREF( &CHAR___2___R4_CHARACTERS_6_6_139), BREF( &ARGUMENT_3___R4_CHARACTERS_6_6_184), CHAR2_224_137 );else
FAILURE( BREF( &CHAR___4___R4_CHARACTERS_6_6_110), BREF( &ARGUMENT_5___R4_CHARACTERS_6_6_164), CHAR1_223_197 );
}

obj_t
#if defined( __STDC__ )
__CHAR_____R4_CHARACTERS_6_6_163(obj_t ENV_299_81,obj_t CHAR1_223_197,obj_t CHAR2_224_137)
#else
__CHAR_____R4_CHARACTERS_6_6_163( ENV_299_81, CHAR1_223_197, CHAR2_224_137 )
obj_t ENV_299_81, CHAR1_223_197, CHAR2_224_137;
#endif
{

return CHAR_____R4_CHARACTERS_6_6_232( CHAR1_223_197, CHAR2_224_137 );
}

obj_t
#if defined( __STDC__ )
CHAR_____R4_CHARACTERS_6_6_255(obj_t CHAR1_225_68,obj_t CHAR2_226_74)
#else
CHAR_____R4_CHARACTERS_6_6_255( CHAR1_225_68, CHAR2_226_74 )
obj_t CHAR1_225_68, CHAR2_226_74;
#endif
{

if( CHARP( CHAR1_225_68 ))
if( CHARP( CHAR2_226_74 ))
{bool_t AUX_334_22;
AUX_334_22=CHAR_LT( CHAR1_225_68, CHAR2_226_74 );return CBOOL_TO_BBOOL( AUX_334_22 );}else
FAILURE( CHAR_____6___R4_CHARACTERS_6_6_172, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____8___R4_CHARACTERS_6_6_13 ), CHAR2_226_74 );else
FAILURE( CHAR_____6___R4_CHARACTERS_6_6_172, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____9___R4_CHARACTERS_6_6_11 ), CHAR1_225_68 );
}

obj_t
#if defined( __STDC__ )
__CHAR_____R4_CHARACTERS_6_6_119(obj_t ENV_298_20,obj_t CHAR1_225_68,obj_t CHAR2_226_74)
#else
__CHAR_____R4_CHARACTERS_6_6_119( ENV_298_20, CHAR1_225_68, CHAR2_226_74 )
obj_t ENV_298_20, CHAR1_225_68, CHAR2_226_74;
#endif
{

return CHAR_____R4_CHARACTERS_6_6_255( CHAR1_225_68, CHAR2_226_74 );
}

obj_t
#if defined( __STDC__ )
CHAR_____R4_CHARACTERS_6_6_129(obj_t CHAR1_227_169,obj_t CHAR2_228_126)
#else
CHAR_____R4_CHARACTERS_6_6_129( CHAR1_227_169, CHAR2_228_126 )
obj_t CHAR1_227_169, CHAR2_228_126;
#endif
{

if( CHARP( CHAR1_227_169 ))
if( CHARP( CHAR2_228_126 ))
{bool_t AUX_333_70;
AUX_333_70=CHAR_GT( CHAR1_227_169, CHAR2_228_126 );return CBOOL_TO_BBOOL( AUX_333_70 );}else
FAILURE( CHAR_____10___R4_CHARACTERS_6_6_250, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____11___R4_CHARACTERS_6_6_89 ), CHAR2_228_126 );else
FAILURE( CHAR_____10___R4_CHARACTERS_6_6_250, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____12___R4_CHARACTERS_6_6_228 ), CHAR1_227_169 );
}

obj_t
#if defined( __STDC__ )
__CHAR_____R4_CHARACTERS_6_6_40(obj_t ENV_297_21,obj_t CHAR1_227_169,obj_t CHAR2_228_126)
#else
__CHAR_____R4_CHARACTERS_6_6_40( ENV_297_21, CHAR1_227_169, CHAR2_228_126 )
obj_t ENV_297_21, CHAR1_227_169, CHAR2_228_126;
#endif
{

return CHAR_____R4_CHARACTERS_6_6_129( CHAR1_227_169, CHAR2_228_126 );
}

obj_t
#if defined( __STDC__ )
CHAR______R4_CHARACTERS_6_6_153(obj_t CHAR1_229_73,obj_t CHAR2_230_85)
#else
CHAR______R4_CHARACTERS_6_6_153( CHAR1_229_73, CHAR2_230_85 )
obj_t CHAR1_229_73, CHAR2_230_85;
#endif
{

if( CHARP( CHAR1_229_73 ))
if( CHARP( CHAR2_230_85 ))
{bool_t AUX_332_103;
AUX_332_103=CHAR_LE( CHAR1_229_73, CHAR2_230_85 );return CBOOL_TO_BBOOL( AUX_332_103 );}else
FAILURE( CHAR_____13___R4_CHARACTERS_6_6_44, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____14___R4_CHARACTERS_6_6_137 ), CHAR2_230_85 );else
FAILURE( CHAR_____13___R4_CHARACTERS_6_6_44, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____15___R4_CHARACTERS_6_6_76 ), CHAR1_229_73 );
}

obj_t
#if defined( __STDC__ )
__CHAR______R4_CHARACTERS_6_6_83(obj_t ENV_296_98,obj_t CHAR1_229_73,obj_t CHAR2_230_85)
#else
__CHAR______R4_CHARACTERS_6_6_83( ENV_296_98, CHAR1_229_73, CHAR2_230_85 )
obj_t ENV_296_98, CHAR1_229_73, CHAR2_230_85;
#endif
{

return CHAR______R4_CHARACTERS_6_6_153( CHAR1_229_73, CHAR2_230_85 );
}

obj_t
#if defined( __STDC__ )
CHAR______R4_CHARACTERS_6_6_156(obj_t CHAR1_231_25,obj_t CHAR2_232_237)
#else
CHAR______R4_CHARACTERS_6_6_156( CHAR1_231_25, CHAR2_232_237 )
obj_t CHAR1_231_25, CHAR2_232_237;
#endif
{

if( CHARP( CHAR1_231_25 ))
if( CHARP( CHAR2_232_237 ))
{bool_t AUX_331_181;
AUX_331_181=CHAR_GE( CHAR1_231_25, CHAR2_232_237 );return CBOOL_TO_BBOOL( AUX_331_181 );}else
FAILURE( CHAR_____16___R4_CHARACTERS_6_6_253, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____17___R4_CHARACTERS_6_6_153 ), CHAR2_232_237 );else
FAILURE( CHAR_____16___R4_CHARACTERS_6_6_253, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____18___R4_CHARACTERS_6_6_211 ), CHAR1_231_25 );
}

obj_t
#if defined( __STDC__ )
__CHAR______R4_CHARACTERS_6_6_212(obj_t ENV_295_113,obj_t CHAR1_231_25,obj_t CHAR2_232_237)
#else
__CHAR______R4_CHARACTERS_6_6_212( ENV_295_113, CHAR1_231_25, CHAR2_232_237 )
obj_t ENV_295_113, CHAR1_231_25, CHAR2_232_237;
#endif
{

return CHAR______R4_CHARACTERS_6_6_156( CHAR1_231_25, CHAR2_232_237 );
}

obj_t
#if defined( __STDC__ )
CHAR_CI_____R4_CHARACTERS_6_6_167(obj_t CHAR1_233_14,obj_t CHAR2_234_154)
#else
CHAR_CI_____R4_CHARACTERS_6_6_167( CHAR1_233_14, CHAR2_234_154 )
obj_t CHAR1_233_14, CHAR2_234_154;
#endif
{

{obj_t OBJ2_267_244;
if( CHARP( CHAR2_234_154 ))
OBJ2_267_244=CHAR_UPCASE( CHAR2_234_154 );else
FAILURE( CHAR_CI__19___R4_CHARACTERS_6_6_94, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____20___R4_CHARACTERS_6_6_244 ), CHAR2_234_154 );{obj_t OBJ1_266_175;
if( CHARP( CHAR1_233_14 ))
OBJ1_266_175=CHAR_UPCASE( CHAR1_233_14 );else
FAILURE( CHAR_CI__19___R4_CHARACTERS_6_6_94, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____21___R4_CHARACTERS_6_6_3 ), CHAR1_233_14 );return CBOOL_TO_BBOOL( EQP( OBJ1_266_175, OBJ2_267_244 ) );}}
}

obj_t
#if defined( __STDC__ )
__CHAR_CI_____R4_CHARACTERS_6_6_182(obj_t ENV_294_112,obj_t CHAR1_233_14,obj_t CHAR2_234_154)
#else
__CHAR_CI_____R4_CHARACTERS_6_6_182( ENV_294_112, CHAR1_233_14, CHAR2_234_154 )
obj_t ENV_294_112, CHAR1_233_14, CHAR2_234_154;
#endif
{

return CHAR_CI_____R4_CHARACTERS_6_6_167( CHAR1_233_14, CHAR2_234_154 );
}

obj_t
#if defined( __STDC__ )
CHAR_CI_____R4_CHARACTERS_6_6_73(obj_t CHAR1_235_119,obj_t CHAR2_236_88)
#else
CHAR_CI_____R4_CHARACTERS_6_6_73( CHAR1_235_119, CHAR2_236_88 )
obj_t CHAR1_235_119, CHAR2_236_88;
#endif
{

if( CHARP( CHAR1_235_119 ))
if( CHARP( CHAR2_236_88 ))
{bool_t AUX_328_43;
{obj_t AUX_330_12, AUX_329_196;
AUX_330_12=CHAR_UPCASE( CHAR2_236_88 );AUX_329_196=CHAR_UPCASE( CHAR1_235_119 );AUX_328_43=CHAR_LT( AUX_329_196, AUX_330_12 );}return CBOOL_TO_BBOOL( AUX_328_43 );}else
FAILURE( CHAR_CI__22___R4_CHARACTERS_6_6_53, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____23___R4_CHARACTERS_6_6_241 ), CHAR2_236_88 );else
FAILURE( CHAR_CI__22___R4_CHARACTERS_6_6_53, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____24___R4_CHARACTERS_6_6_99 ), CHAR1_235_119 );
}

obj_t
#if defined( __STDC__ )
__CHAR_CI_____R4_CHARACTERS_6_6_176(obj_t ENV_293_251,obj_t CHAR1_235_119,obj_t CHAR2_236_88)
#else
__CHAR_CI_____R4_CHARACTERS_6_6_176( ENV_293_251, CHAR1_235_119, CHAR2_236_88 )
obj_t ENV_293_251, CHAR1_235_119, CHAR2_236_88;
#endif
{

return CHAR_CI_____R4_CHARACTERS_6_6_73( CHAR1_235_119, CHAR2_236_88 );
}

obj_t
#if defined( __STDC__ )
CHAR_CI_____R4_CHARACTERS_6_6_228(obj_t CHAR1_237_174,obj_t CHAR2_238_206)
#else
CHAR_CI_____R4_CHARACTERS_6_6_228( CHAR1_237_174, CHAR2_238_206 )
obj_t CHAR1_237_174, CHAR2_238_206;
#endif
{

if( CHARP( CHAR1_237_174 ))
if( CHARP( CHAR2_238_206 ))
{bool_t AUX_325_18;
{obj_t AUX_327_84, AUX_326_226;
AUX_327_84=CHAR_UPCASE( CHAR2_238_206 );AUX_326_226=CHAR_UPCASE( CHAR1_237_174 );AUX_325_18=CHAR_GT( AUX_326_226, AUX_327_84 );}return CBOOL_TO_BBOOL( AUX_325_18 );}else
FAILURE( CHAR_CI__25___R4_CHARACTERS_6_6_88, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____26___R4_CHARACTERS_6_6_57 ), CHAR2_238_206 );else
FAILURE( CHAR_CI__25___R4_CHARACTERS_6_6_88, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____27___R4_CHARACTERS_6_6_187 ), CHAR1_237_174 );
}

obj_t
#if defined( __STDC__ )
__CHAR_CI_____R4_CHARACTERS_6_6_33(obj_t ENV_292_151,obj_t CHAR1_237_174,obj_t CHAR2_238_206)
#else
__CHAR_CI_____R4_CHARACTERS_6_6_33( ENV_292_151, CHAR1_237_174, CHAR2_238_206 )
obj_t ENV_292_151, CHAR1_237_174, CHAR2_238_206;
#endif
{

return CHAR_CI_____R4_CHARACTERS_6_6_228( CHAR1_237_174, CHAR2_238_206 );
}

obj_t
#if defined( __STDC__ )
CHAR_CI______R4_CHARACTERS_6_6_31(obj_t CHAR1_239_118,obj_t CHAR2_240_115)
#else
CHAR_CI______R4_CHARACTERS_6_6_31( CHAR1_239_118, CHAR2_240_115 )
obj_t CHAR1_239_118, CHAR2_240_115;
#endif
{

if( CHARP( CHAR1_239_118 ))
if( CHARP( CHAR2_240_115 ))
{bool_t AUX_322_187;
{obj_t AUX_324_214, AUX_323_199;
AUX_324_214=CHAR_UPCASE( CHAR2_240_115 );AUX_323_199=CHAR_UPCASE( CHAR1_239_118 );AUX_322_187=CHAR_LE( AUX_323_199, AUX_324_214 );}return CBOOL_TO_BBOOL( AUX_322_187 );}else
FAILURE( CHAR_CI__28___R4_CHARACTERS_6_6_51, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____29___R4_CHARACTERS_6_6_186 ), CHAR2_240_115 );else
FAILURE( CHAR_CI__28___R4_CHARACTERS_6_6_51, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____30___R4_CHARACTERS_6_6_211 ), CHAR1_239_118 );
}

obj_t
#if defined( __STDC__ )
__CHAR_CI______R4_CHARACTERS_6_6_6(obj_t ENV_291_225,obj_t CHAR1_239_118,obj_t CHAR2_240_115)
#else
__CHAR_CI______R4_CHARACTERS_6_6_6( ENV_291_225, CHAR1_239_118, CHAR2_240_115 )
obj_t ENV_291_225, CHAR1_239_118, CHAR2_240_115;
#endif
{

return CHAR_CI______R4_CHARACTERS_6_6_31( CHAR1_239_118, CHAR2_240_115 );
}

obj_t
#if defined( __STDC__ )
CHAR_CI______R4_CHARACTERS_6_6_67(obj_t CHAR1_241_222,obj_t CHAR2_242_2)
#else
CHAR_CI______R4_CHARACTERS_6_6_67( CHAR1_241_222, CHAR2_242_2 )
obj_t CHAR1_241_222, CHAR2_242_2;
#endif
{

if( CHARP( CHAR1_241_222 ))
if( CHARP( CHAR2_242_2 ))
{bool_t AUX_319_233;
{obj_t AUX_321_13, AUX_320_32;
AUX_321_13=CHAR_UPCASE( CHAR2_242_2 );AUX_320_32=CHAR_UPCASE( CHAR1_241_222 );AUX_319_233=CHAR_GE( AUX_320_32, AUX_321_13 );}return CBOOL_TO_BBOOL( AUX_319_233 );}else
FAILURE( CHAR_CI__31___R4_CHARACTERS_6_6_153, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____32___R4_CHARACTERS_6_6_155 ), CHAR2_242_2 );else
FAILURE( CHAR_CI__31___R4_CHARACTERS_6_6_153, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____33___R4_CHARACTERS_6_6_235 ), CHAR1_241_222 );
}

obj_t
#if defined( __STDC__ )
__CHAR_CI______R4_CHARACTERS_6_6_182(obj_t ENV_290_207,obj_t CHAR1_241_222,obj_t CHAR2_242_2)
#else
__CHAR_CI______R4_CHARACTERS_6_6_182( ENV_290_207, CHAR1_241_222, CHAR2_242_2 )
obj_t ENV_290_207, CHAR1_241_222, CHAR2_242_2;
#endif
{

return CHAR_CI______R4_CHARACTERS_6_6_67( CHAR1_241_222, CHAR2_242_2 );
}

obj_t
#if defined( __STDC__ )
CHAR_ALPHABETIC____R4_CHARACTERS_6_6_25(obj_t CHAR_243_145)
#else
CHAR_ALPHABETIC____R4_CHARACTERS_6_6_25( CHAR_243_145 )
obj_t CHAR_243_145;
#endif
{

{obj_t C_244_182;
if( CHARP( CHAR_243_145 ))
C_244_182=CHAR_UPCASE( CHAR_243_145 );else
FAILURE( CHAR_ALP_34___R4_CHARACTERS_6_6_173, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____35___R4_CHARACTERS_6_6_71 ), CHAR_243_145 );{bool_t __andtest_1000_302_33;
__andtest_1000_302_33=CHAR_GE( C_244_182, BCHAR( 'A' ) );if( __andtest_1000_302_33)
{bool_t AUX_318_27;
AUX_318_27=CHAR_LE( C_244_182, BCHAR( 'Z' ) );return CBOOL_TO_BBOOL( AUX_318_27 );}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
__CHAR_ALPHABETIC____R4_CHARACTERS_6_6_205(obj_t ENV_289_107,obj_t CHAR_243_145)
#else
__CHAR_ALPHABETIC____R4_CHARACTERS_6_6_205( ENV_289_107, CHAR_243_145 )
obj_t ENV_289_107, CHAR_243_145;
#endif
{

return CHAR_ALPHABETIC____R4_CHARACTERS_6_6_25( CHAR_243_145 );
}

obj_t
#if defined( __STDC__ )
CHAR_NUMERIC____R4_CHARACTERS_6_6_198(obj_t CHAR_246_8)
#else
CHAR_NUMERIC____R4_CHARACTERS_6_6_198( CHAR_246_8 )
obj_t CHAR_246_8;
#endif
{

{bool_t __andtest_1001_303_209;
{obj_t AUX_315_14;
if( CHARP( CHAR_246_8 ))
{bool_t AUX_316_110;
AUX_316_110=CHAR_GE( CHAR_246_8, BCHAR( '0' ) );AUX_315_14=CBOOL_TO_BBOOL( AUX_316_110 );}else
FAILURE( CHAR_NUM_36___R4_CHARACTERS_6_6_147, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____37___R4_CHARACTERS_6_6_223 ), CHAR_246_8 );__andtest_1001_303_209=BBOOL_TO_CBOOL( AUX_315_14 );}if( __andtest_1001_303_209)
if( CHARP( CHAR_246_8 ))
{bool_t AUX_317_25;
AUX_317_25=CHAR_LE( CHAR_246_8, BCHAR( '9' ) );return CBOOL_TO_BBOOL( AUX_317_25 );}else
FAILURE( CHAR_NUM_36___R4_CHARACTERS_6_6_147, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____37___R4_CHARACTERS_6_6_223 ), CHAR_246_8 );else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__CHAR_NUMERIC____R4_CHARACTERS_6_6_82(obj_t ENV_288_177,obj_t CHAR_246_8)
#else
__CHAR_NUMERIC____R4_CHARACTERS_6_6_82( ENV_288_177, CHAR_246_8 )
obj_t ENV_288_177, CHAR_246_8;
#endif
{

return CHAR_NUMERIC____R4_CHARACTERS_6_6_198( CHAR_246_8 );
}

obj_t
#if defined( __STDC__ )
CHAR_WHITESPACE____R4_CHARACTERS_6_6_74(obj_t CHAR_248_166)
#else
CHAR_WHITESPACE____R4_CHARACTERS_6_6_74( CHAR_248_166 )
obj_t CHAR_248_166;
#endif
{

return CBOOL_TO_BBOOL( EQP( CHAR_248_166, BCHAR( ' ' ) ) );
}

obj_t
#if defined( __STDC__ )
__CHAR_WHITESPACE____R4_CHARACTERS_6_6_182(obj_t ENV_287_40,obj_t CHAR_248_166)
#else
__CHAR_WHITESPACE____R4_CHARACTERS_6_6_182( ENV_287_40, CHAR_248_166 )
obj_t ENV_287_40, CHAR_248_166;
#endif
{

return CHAR_WHITESPACE____R4_CHARACTERS_6_6_74( CHAR_248_166 );
}

obj_t
#if defined( __STDC__ )
CHAR_UPPER_CASE____R4_CHARACTERS_6_6_76(obj_t CHAR_249_80)
#else
CHAR_UPPER_CASE____R4_CHARACTERS_6_6_76( CHAR_249_80 )
obj_t CHAR_249_80;
#endif
{

{bool_t __andtest_1002_304_201;
{obj_t AUX_312_132;
if( CHARP( CHAR_249_80 ))
{bool_t AUX_313_119;
AUX_313_119=CHAR_GE( CHAR_249_80, BCHAR( 'A' ) );AUX_312_132=CBOOL_TO_BBOOL( AUX_313_119 );}else
FAILURE( CHAR_UPP_38___R4_CHARACTERS_6_6_79, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____39___R4_CHARACTERS_6_6_89 ), CHAR_249_80 );__andtest_1002_304_201=BBOOL_TO_CBOOL( AUX_312_132 );}if( __andtest_1002_304_201)
if( CHARP( CHAR_249_80 ))
{bool_t AUX_314_1;
AUX_314_1=CHAR_LE( CHAR_249_80, BCHAR( 'Z' ) );return CBOOL_TO_BBOOL( AUX_314_1 );}else
FAILURE( CHAR_UPP_38___R4_CHARACTERS_6_6_79, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____39___R4_CHARACTERS_6_6_89 ), CHAR_249_80 );else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__CHAR_UPPER_CASE____R4_CHARACTERS_6_6_89(obj_t ENV_286_188,obj_t CHAR_249_80)
#else
__CHAR_UPPER_CASE____R4_CHARACTERS_6_6_89( ENV_286_188, CHAR_249_80 )
obj_t ENV_286_188, CHAR_249_80;
#endif
{

return CHAR_UPPER_CASE____R4_CHARACTERS_6_6_76( CHAR_249_80 );
}

obj_t
#if defined( __STDC__ )
CHAR_LOWER_CASE____R4_CHARACTERS_6_6_62(obj_t CHAR_251_4)
#else
CHAR_LOWER_CASE____R4_CHARACTERS_6_6_62( CHAR_251_4 )
obj_t CHAR_251_4;
#endif
{

{bool_t __andtest_1003_305_172;
{obj_t AUX_309_38;
if( CHARP( CHAR_251_4 ))
{bool_t AUX_310_97;
AUX_310_97=CHAR_GE( CHAR_251_4, BCHAR( 'a' ) );AUX_309_38=CBOOL_TO_BBOOL( AUX_310_97 );}else
FAILURE( CHAR_LOW_40___R4_CHARACTERS_6_6_160, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____41___R4_CHARACTERS_6_6_190 ), CHAR_251_4 );__andtest_1003_305_172=BBOOL_TO_CBOOL( AUX_309_38 );}if( __andtest_1003_305_172)
if( CHARP( CHAR_251_4 ))
{bool_t AUX_311_174;
AUX_311_174=CHAR_LE( CHAR_251_4, BCHAR( 'z' ) );return CBOOL_TO_BBOOL( AUX_311_174 );}else
FAILURE( CHAR_LOW_40___R4_CHARACTERS_6_6_160, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____41___R4_CHARACTERS_6_6_190 ), CHAR_251_4 );else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__CHAR_LOWER_CASE____R4_CHARACTERS_6_6_103(obj_t ENV_285_65,obj_t CHAR_251_4)
#else
__CHAR_LOWER_CASE____R4_CHARACTERS_6_6_103( ENV_285_65, CHAR_251_4 )
obj_t ENV_285_65, CHAR_251_4;
#endif
{

return CHAR_LOWER_CASE____R4_CHARACTERS_6_6_62( CHAR_251_4 );
}

obj_t
#if defined( __STDC__ )
CHAR__INTEGER___R4_CHARACTERS_6_6_107(obj_t CHAR_253_8)
#else
CHAR__INTEGER___R4_CHARACTERS_6_6_107( CHAR_253_8 )
obj_t CHAR_253_8;
#endif
{

if( CHARP( CHAR_253_8 ))
return CHAR_TO_INT( CHAR_253_8 );else
FAILURE( CHAR__IN_42___R4_CHARACTERS_6_6_221, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____43___R4_CHARACTERS_6_6_184 ), CHAR_253_8 );
}

obj_t
#if defined( __STDC__ )
__CHAR__INTEGER___R4_CHARACTERS_6_6_136(obj_t ENV_284_36,obj_t CHAR_253_8)
#else
__CHAR__INTEGER___R4_CHARACTERS_6_6_136( ENV_284_36, CHAR_253_8 )
obj_t ENV_284_36, CHAR_253_8;
#endif
{

return CHAR__INTEGER___R4_CHARACTERS_6_6_107( CHAR_253_8 );
}

obj_t
#if defined( __STDC__ )
INTEGER__CHAR___R4_CHARACTERS_6_6_9(obj_t INT_254_92)
#else
INTEGER__CHAR___R4_CHARACTERS_6_6_9( INT_254_92 )
obj_t INT_254_92;
#endif
{

{
PUSH_LAMBDA_TRACE( INTEGER__44___R4_CHARACTERS_6_6_222 );
{obj_t AUX_307_184;
{bool_t __andtest_1004_306_8;
{obj_t AUX_308_44;
if( INTEGERP( INT_254_92 ))
AUX_308_44=CBOOL_TO_BBOOL( GE_I( INT_254_92, BINT( 0 ) ) );else
FAILURE( INTEGER__45___R4_CHARACTERS_6_6_14, TYPE_ERROR___ERROR_146( NUMBER_46___R4_CHARACTERS_6_6_106, INT_____47___R4_CHARACTERS_6_6_81 ), INT_254_92 );__andtest_1004_306_8=BBOOL_TO_CBOOL( AUX_308_44 );}{if( __andtest_1004_306_8)
if( INTEGERP( INT_254_92 ))
if( LE_I( INT_254_92, BINT( 255 ) ))
goto _true_0;else
goto _false_1;else
FAILURE( INTEGER__45___R4_CHARACTERS_6_6_14, TYPE_ERROR___ERROR_146( NUMBER_46___R4_CHARACTERS_6_6_106, INT_____47___R4_CHARACTERS_6_6_81 ), INT_254_92 );else
goto _false_1;_true_0:
if( INTEGERP( INT_254_92 ))
{AUX_307_184=INT_TO_CHAR( INT_254_92 );
goto _endif_2;}else
FAILURE( INTEGER__45___R4_CHARACTERS_6_6_14, TYPE_ERROR___ERROR_146( NUMBER_46___R4_CHARACTERS_6_6_106, INT_____47___R4_CHARACTERS_6_6_81 ), INT_254_92 );_false_1:
FAILURE( BREF( &INTEGER__48___R4_CHARACTERS_6_6_62), BREF( &INTEGER__49___R4_CHARACTERS_6_6_156), INT_254_92 );_endif_2:
;
}}return POP_LAMBDA_TRACE( AUX_307_184 );}
}
}

obj_t
#if defined( __STDC__ )
__INTEGER__CHAR___R4_CHARACTERS_6_6_228(obj_t ENV_283_7,obj_t INT_254_92)
#else
__INTEGER__CHAR___R4_CHARACTERS_6_6_228( ENV_283_7, INT_254_92 )
obj_t ENV_283_7, INT_254_92;
#endif
{

return INTEGER__CHAR___R4_CHARACTERS_6_6_9( INT_254_92 );
}

obj_t
#if defined( __STDC__ )
INTEGER__CHAR_UR___R4_CHARACTERS_6_6_157(obj_t INT_256_17)
#else
INTEGER__CHAR_UR___R4_CHARACTERS_6_6_157( INT_256_17 )
obj_t INT_256_17;
#endif
{

if( INTEGERP( INT_256_17 ))
return INT_TO_CHAR( INT_256_17 );else
FAILURE( INTEGER__50___R4_CHARACTERS_6_6_210, TYPE_ERROR___ERROR_146( NUMBER_46___R4_CHARACTERS_6_6_106, INT_____51___R4_CHARACTERS_6_6_106 ), INT_256_17 );
}

obj_t
#if defined( __STDC__ )
__INTEGER__CHAR_UR___R4_CHARACTERS_6_6_92(obj_t ENV_282_30,obj_t INT_256_17)
#else
__INTEGER__CHAR_UR___R4_CHARACTERS_6_6_92( ENV_282_30, INT_256_17 )
obj_t ENV_282_30, INT_256_17;
#endif
{

return INTEGER__CHAR_UR___R4_CHARACTERS_6_6_157( INT_256_17 );
}

obj_t
#if defined( __STDC__ )
CHAR_UPCASE___R4_CHARACTERS_6_6_84(obj_t CHAR_257_16)
#else
CHAR_UPCASE___R4_CHARACTERS_6_6_84( CHAR_257_16 )
obj_t CHAR_257_16;
#endif
{

if( CHARP( CHAR_257_16 ))
return CHAR_UPCASE( CHAR_257_16 );else
FAILURE( CHAR_UPC_52___R4_CHARACTERS_6_6_24, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____53___R4_CHARACTERS_6_6_158 ), CHAR_257_16 );
}

obj_t
#if defined( __STDC__ )
__CHAR_UPCASE___R4_CHARACTERS_6_6_25(obj_t ENV_281_73,obj_t CHAR_257_16)
#else
__CHAR_UPCASE___R4_CHARACTERS_6_6_25( ENV_281_73, CHAR_257_16 )
obj_t ENV_281_73, CHAR_257_16;
#endif
{

return CHAR_UPCASE___R4_CHARACTERS_6_6_84( CHAR_257_16 );
}

obj_t
#if defined( __STDC__ )
CHAR_DOWNCASE___R4_CHARACTERS_6_6_92(obj_t CHAR_258_195)
#else
CHAR_DOWNCASE___R4_CHARACTERS_6_6_92( CHAR_258_195 )
obj_t CHAR_258_195;
#endif
{

if( CHARP( CHAR_258_195 ))
return CHAR_DOWNCASE( CHAR_258_195 );else
FAILURE( CHAR_DOW_54___R4_CHARACTERS_6_6_96, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____55___R4_CHARACTERS_6_6_32 ), CHAR_258_195 );
}

obj_t
#if defined( __STDC__ )
__CHAR_DOWNCASE___R4_CHARACTERS_6_6_122(obj_t ENV_280_173,obj_t CHAR_258_195)
#else
__CHAR_DOWNCASE___R4_CHARACTERS_6_6_122( ENV_280_173, CHAR_258_195 )
obj_t ENV_280_173, CHAR_258_195;
#endif
{

return CHAR_DOWNCASE___R4_CHARACTERS_6_6_92( CHAR_258_195 );
}

obj_t
#if defined( __STDC__ )
CHAR_OR___R4_CHARACTERS_6_6_47(obj_t CHAR1_259_126,obj_t CHAR2_260_172)
#else
CHAR_OR___R4_CHARACTERS_6_6_47( CHAR1_259_126, CHAR2_260_172 )
obj_t CHAR1_259_126, CHAR2_260_172;
#endif
{

if( CHARP( CHAR1_259_126 ))
if( CHARP( CHAR2_260_172 ))
return CHAR_OR( CHAR1_259_126, CHAR2_260_172 );else
FAILURE( CHAR_OR__56___R4_CHARACTERS_6_6_37, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____57___R4_CHARACTERS_6_6_193 ), CHAR2_260_172 );else
FAILURE( CHAR_OR__56___R4_CHARACTERS_6_6_37, TYPE_ERROR___ERROR_146( CHAR_7___R4_CHARACTERS_6_6_129, CHAR_____58___R4_CHARACTERS_6_6_167 ), CHAR1_259_126 );
}

obj_t
#if defined( __STDC__ )
__CHAR_OR___R4_CHARACTERS_6_6_76(obj_t ENV_279_90,obj_t CHAR1_259_126,obj_t CHAR2_260_172)
#else
__CHAR_OR___R4_CHARACTERS_6_6_76( ENV_279_90, CHAR1_259_126, CHAR2_260_172 )
obj_t ENV_279_90, CHAR1_259_126, CHAR2_260_172;
#endif
{

return CHAR_OR___R4_CHARACTERS_6_6_47( CHAR1_259_126, CHAR2_260_172 );
}

