/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/control.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t L_____18___R4_CONTROL_FEATURES_6_9_27 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FOR_EACH___R4_CONTROL_FEATURES_6_9_171(obj_t, obj_t, obj_t);
#else
extern obj_t __FOR_EACH___R4_CONTROL_FEATURES_6_9_171();
#endif
extern obj_t UNSPECIFIED___R4_CONTROL_FEATURES_6_9_70();
#if defined( __STDC__ )
extern obj_t __FOR_EACH_2___R4_CONTROL_FEATURES_6_9_249(obj_t, obj_t, obj_t);
#else
extern obj_t __FOR_EACH_2___R4_CONTROL_FEATURES_6_9_249();
#endif
static obj_t PROC_____13___R4_CONTROL_FEATURES_6_9_84 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAP___R4_CONTROL_FEATURES_6_9_106(obj_t, obj_t, obj_t);
#else
extern obj_t __MAP___R4_CONTROL_FEATURES_6_9_106();
#endif
static obj_t F_____41___R4_CONTROL_FEATURES_6_9_155 = BUNSPEC;
DEFINE_STRING( WRONG_NU_14___R4_CONTROL_FEATURES_6_9_29, "Wrong number of arguments for", 29);
static obj_t PROC_____51___R4_CONTROL_FEATURES_6_9_168 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CALL_CC___R4_CONTROL_FEATURES_6_9_211(obj_t);
#else
extern obj_t CALL_CC___R4_CONTROL_FEATURES_6_9_211();
#endif
extern obj_t make_procedure();
#if defined( __STDC__ )
extern obj_t __MAP_2___R4_CONTROL_FEATURES_6_9_239(obj_t, obj_t, obj_t);
#else
extern obj_t __MAP_2___R4_CONTROL_FEATURES_6_9_239();
#endif
static obj_t SIZE_____4___R4_CONTROL_FEATURES_6_9_30 = BUNSPEC;
static obj_t ARITY____5___R4_CONTROL_FEATURES_6_9_158 = BUNSPEC;
obj_t CLOSURE_ARITY_ENV___R4_CONTROL_FEATURES_6_9_105 = BUNSPEC;
extern obj_t CAR_ENV___R4_PAIRS_AND_LISTS_6_3_78;
static obj_t L_____24___R4_CONTROL_FEATURES_6_9_42 = BUNSPEC;
static obj_t F_____28___R4_CONTROL_FEATURES_6_9_124 = BUNSPEC;
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#if defined( __STDC__ )
extern obj_t __FORCE___R4_CONTROL_FEATURES_6_9_160(obj_t, obj_t);
#else
extern obj_t __FORCE___R4_CONTROL_FEATURES_6_9_160();
#endif
static obj_t L_____39___R4_CONTROL_FEATURES_6_9_114 = BUNSPEC;
static obj_t F_____34___R4_CONTROL_FEATURES_6_9_157 = BUNSPEC;
static obj_t L_____25___R4_CONTROL_FEATURES_6_9_164 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_239(obj_t);
#else
extern obj_t CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_239();
#endif
obj_t MAP_2_ENV___R4_CONTROL_FEATURES_6_9_71 = BUNSPEC;
static obj_t NUMBER_3___R4_CONTROL_FEATURES_6_9_244 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_130(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_130();
#endif
#if defined( __STDC__ )
extern obj_t __PROCEDURE____R4_CONTROL_FEATURES_6_9_61(obj_t, obj_t);
#else
extern obj_t __PROCEDURE____R4_CONTROL_FEATURES_6_9_61();
#endif
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
static obj_t F_____38___R4_CONTROL_FEATURES_6_9_215 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_49(obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_49();
#endif
static obj_t L_____42___R4_CONTROL_FEATURES_6_9_25 = BUNSPEC;
static obj_t PROMISE__46___R4_CONTROL_FEATURES_6_9_148 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151(obj_t);
#else
extern obj_t MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151();
#endif
static obj_t F_____19___R4_CONTROL_FEATURES_6_9_63 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
extern obj_t CDR_ENV___R4_PAIRS_AND_LISTS_6_3_37;
extern obj_t make_va_procedure();
obj_t MAKE_PROMISE_ENV___R4_CONTROL_FEATURES_6_9_89 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MAP___R4_CONTROL_FEATURES_6_9_104(obj_t, obj_t);
#else
extern obj_t MAP___R4_CONTROL_FEATURES_6_9_104();
#endif
static obj_t PROC_____15___R4_CONTROL_FEATURES_6_9_70 = BUNSPEC;
static obj_t FOR_EACH_29___R4_CONTROL_FEATURES_6_9_114 = BUNSPEC;
DEFINE_STRING( WRONG_NU_40___R4_CONTROL_FEATURES_6_9_129, "Wrong number of arguments for", 29);
static obj_t F_____44___R4_CONTROL_FEATURES_6_9_25 = BUNSPEC;
static obj_t PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_137(obj_t);
#else
extern obj_t ____R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_137();
#endif
DEFINE_STRING( BIGLOO___0___R4_CONTROL_FEATURES_6_9_72, "Bigloo (v1.7)", 13);
static obj_t ___R__CON_1___R4_CONTROL_FEATURES_6_9_43 = BUNSPEC;
obj_t FOR_EACH_2_ENV___R4_CONTROL_FEATURES_6_9_29 = BUNSPEC;
obj_t UNSPECIFIED_ENV___R4_CONTROL_FEATURES_6_9_81 = BUNSPEC;
static obj_t CLOSURE__6___R4_CONTROL_FEATURES_6_9_186 = BUNSPEC;
static obj_t MAP______17___R4_CONTROL_FEATURES_6_9_231 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_139(obj_t, obj_t);
#else
extern obj_t __MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_139();
#endif
obj_t APPLY_ENV___R4_CONTROL_FEATURES_6_9_159 = BUNSPEC;
static obj_t PROC_____55___R4_CONTROL_FEATURES_6_9_115 = BUNSPEC;
obj_t ___R4_CONTROL_FEATURES_6_9_INITIALISATION_ENV___R4_CONTROL_FEATURES_6_9_221 = BUNSPEC;
static obj_t FOR_EACH_35___R4_CONTROL_FEATURES_6_9_164 = BUNSPEC;
static obj_t F_____26___R4_CONTROL_FEATURES_6_9_155 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_CONTROL_FEATURES_6_9_243 = BUNSPEC;
static obj_t FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
DEFINE_STRING( WRONG_NU_20___R4_CONTROL_FEATURES_6_9_88, "Wrong number of arguments for", 29);
static obj_t F_____21___R4_CONTROL_FEATURES_6_9_229 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_90(obj_t, obj_t);
#else
extern obj_t __CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_90();
#endif
static obj_t APPLY____10___R4_CONTROL_FEATURES_6_9_48 = BUNSPEC;
obj_t FOR_EACH_ENV___R4_CONTROL_FEATURES_6_9_123 = BUNSPEC;
static obj_t MAKE_PRO_2___R4_CONTROL_FEATURES_6_9_83 = BUNSPEC;
static obj_t MAP___16___R4_CONTROL_FEATURES_6_9_154 = BUNSPEC;
static obj_t MAP_22___R4_CONTROL_FEATURES_6_9_60 = BUNSPEC;
static obj_t PAIR_11___R4_CONTROL_FEATURES_6_9_145 = BUNSPEC;
obj_t MAP_ENV___R4_CONTROL_FEATURES_6_9_211 = BUNSPEC;
static obj_t MAKE_PRO_50___R4_CONTROL_FEATURES_6_9_9 = BUNSPEC;
DEFINE_STRING( WRONG_NU_33___R4_CONTROL_FEATURES_6_9_162, "Wrong number of arguments for", 29);
static obj_t CALL_CC__54___R4_CONTROL_FEATURES_6_9_97 = BUNSPEC;
obj_t CALL_CC_ENV___R4_CONTROL_FEATURES_6_9_65 = BUNSPEC;
DEFINE_STRING( WRONG_NU_52___R4_CONTROL_FEATURES_6_9_158, "Wrong number of arguments for", 29);
DEFINE_STRING( WRONG_NU_47___R4_CONTROL_FEATURES_6_9_156, "Wrong number of arguments for", 29);
static obj_t L_____32___R4_CONTROL_FEATURES_6_9_96 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t APPLY___R4_CONTROL_FEATURES_6_9_23(obj_t, obj_t, obj_t);
#else
extern obj_t APPLY___R4_CONTROL_FEATURES_6_9_23();
#endif
static obj_t FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189 = BUNSPEC;
static obj_t F_____31___R4_CONTROL_FEATURES_6_9_204 = BUNSPEC;
obj_t PROCEDURE__ENV___R4_CONTROL_FEATURES_6_9_225 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t FORCE____45___R4_CONTROL_FEATURES_6_9_178 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FORCE___R4_CONTROL_FEATURES_6_9_48(obj_t);
#else
extern obj_t FORCE___R4_CONTROL_FEATURES_6_9_48();
#endif
static obj_t MAP___R__23___R4_CONTROL_FEATURES_6_9_218 = BUNSPEC;
extern obj_t call_cc();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t OPT_____12___R4_CONTROL_FEATURES_6_9_167 = BUNSPEC;
static obj_t APPLY_9___R4_CONTROL_FEATURES_6_9_207 = BUNSPEC;
DEFINE_STRING( WRONG_NU_27___R4_CONTROL_FEATURES_6_9_54, "Wrong number of arguments for", 29);
#if defined( __STDC__ )
extern obj_t PROCEDURE____R4_CONTROL_FEATURES_6_9_147(obj_t);
#else
extern obj_t PROCEDURE____R4_CONTROL_FEATURES_6_9_147();
#endif
static obj_t PROMISE__48___R4_CONTROL_FEATURES_6_9_39 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __APPLY___R4_CONTROL_FEATURES_6_9_55(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __APPLY___R4_CONTROL_FEATURES_6_9_55();
#endif
static obj_t PROC_____8___R4_CONTROL_FEATURES_6_9_183 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CALL_CC___R4_CONTROL_FEATURES_6_9_253(obj_t, obj_t);
#else
extern obj_t __CALL_CC___R4_CONTROL_FEATURES_6_9_253();
#endif
obj_t MAKE_PROCEDURE_ENV___R4_CONTROL_FEATURES_6_9_93 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __UNSPECIFIED___R4_CONTROL_FEATURES_6_9_49(obj_t);
#else
extern obj_t __UNSPECIFIED___R4_CONTROL_FEATURES_6_9_49();
#endif
static obj_t MAKE_PRO_49___R4_CONTROL_FEATURES_6_9_32 = BUNSPEC;
obj_t FORCE_ENV___R4_CONTROL_FEATURES_6_9_17 = BUNSPEC;
static obj_t L_____37___R4_CONTROL_FEATURES_6_9_37 = BUNSPEC;
static obj_t PROC_____53___R4_CONTROL_FEATURES_6_9_116 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MAP_2___R4_CONTROL_FEATURES_6_9_27(obj_t, obj_t);
#else
extern obj_t MAP_2___R4_CONTROL_FEATURES_6_9_27();
#endif
extern obj_t ___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136();
DEFINE_STRING( WRONG_NU_43___R4_CONTROL_FEATURES_6_9_122, "Wrong number of arguments for", 29);
#if defined( __STDC__ )
extern obj_t FOR_EACH_2___R4_CONTROL_FEATURES_6_9_205(obj_t, obj_t);
#else
extern obj_t FOR_EACH_2___R4_CONTROL_FEATURES_6_9_205();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
#if defined( __STDC__ )
extern obj_t FOR_EACH___R4_CONTROL_FEATURES_6_9_116(obj_t, obj_t);
#else
extern obj_t FOR_EACH___R4_CONTROL_FEATURES_6_9_116();
#endif

static obj_t LOOP_231_56();
static obj_t LOOP_235_177();
static obj_t LOOP_239_36();
static obj_t LAMBDA_0_0_253_175();

obj_t
#if defined( __STDC__ )
___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136()
#else
___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_CONTROL_FEATURES_6_9_243 ))
{
REQUIRE_INITIALISATION____R4_CONTROL_FEATURES_6_9_243=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___SYSTEM_INITIALISATION___SYSTEM_109();
FOR_EACH_35___R4_CONTROL_FEATURES_6_9_164=c_string_to_symbol( "FOR-EACH" );
L_____32___R4_CONTROL_FEATURES_6_9_96=c_string_to_symbol( "L@244" );
FOR_EACH_29___R4_CONTROL_FEATURES_6_9_114=c_string_to_symbol( "FOR-EACH-2" );
FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37=c_string_to_symbol( "FOR-EACH@__R4_CONTROL_FEATURES_6_9" );
MAP___16___R4_CONTROL_FEATURES_6_9_154=c_string_to_symbol( "MAP-2" );
MAKE_PRO_2___R4_CONTROL_FEATURES_6_9_83=c_string_to_symbol( "MAKE-PROCEDURE@__R4_CONTROL_FEATURES_6_9" );
FORCE____45___R4_CONTROL_FEATURES_6_9_178=c_string_to_symbol( "FORCE@__R4_CONTROL_FEATURES_6_9" );
PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139=c_string_to_symbol( "PROCEDURE" );
PROMISE__48___R4_CONTROL_FEATURES_6_9_39=c_string_to_symbol( "PROMISE@305" );
PROMISE__46___R4_CONTROL_FEATURES_6_9_148=c_string_to_symbol( "PROMISE@249" );
L_____18___R4_CONTROL_FEATURES_6_9_27=c_string_to_symbol( "L@236" );
F_____44___R4_CONTROL_FEATURES_6_9_25=c_string_to_symbol( "F@302" );
L_____24___R4_CONTROL_FEATURES_6_9_42=c_string_to_symbol( "L@238" );
OPT_____12___R4_CONTROL_FEATURES_6_9_167=c_string_to_symbol( "OPT@232" );
CALL_CC__54___R4_CONTROL_FEATURES_6_9_97=c_string_to_symbol( "CALL/CC@__R4_CONTROL_FEATURES_6_9" );
APPLY____10___R4_CONTROL_FEATURES_6_9_48=c_string_to_symbol( "APPLY@__R4_CONTROL_FEATURES_6_9" );
F_____19___R4_CONTROL_FEATURES_6_9_63=c_string_to_symbol( "F@233" );
F_____21___R4_CONTROL_FEATURES_6_9_229=c_string_to_symbol( "F@292" );
APPLY_9___R4_CONTROL_FEATURES_6_9_207=c_string_to_symbol( "APPLY" );
L_____37___R4_CONTROL_FEATURES_6_9_37=c_string_to_symbol( "L@246" );
PROC_____55___R4_CONTROL_FEATURES_6_9_115=c_string_to_symbol( "PROC@255" );
MAP______17___R4_CONTROL_FEATURES_6_9_231=c_string_to_symbol( "MAP-2@__R4_CONTROL_FEATURES_6_9" );
F_____34___R4_CONTROL_FEATURES_6_9_157=c_string_to_symbol( "F@297" );
F_____26___R4_CONTROL_FEATURES_6_9_155=c_string_to_symbol( "F@237" );
L_____25___R4_CONTROL_FEATURES_6_9_164=c_string_to_symbol( "L@240" );
PROC_____53___R4_CONTROL_FEATURES_6_9_116=c_string_to_symbol( "PROC@306" );
PAIR_11___R4_CONTROL_FEATURES_6_9_145=c_string_to_symbol( "PAIR" );
F_____28___R4_CONTROL_FEATURES_6_9_124=c_string_to_symbol( "F@296" );
PROC_____13___R4_CONTROL_FEATURES_6_9_84=c_string_to_symbol( "PROC@227" );
F_____41___R4_CONTROL_FEATURES_6_9_155=c_string_to_symbol( "F@298" );
PROC_____15___R4_CONTROL_FEATURES_6_9_70=c_string_to_symbol( "PROC@291" );
SIZE_____4___R4_CONTROL_FEATURES_6_9_30=c_string_to_symbol( "SIZE@225" );
FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189=c_string_to_symbol( "FOR-EACH-2@__R4_CONTROL_FEATURES_6_9" );
MAP_22___R4_CONTROL_FEATURES_6_9_60=c_string_to_symbol( "MAP" );
PROC_____51___R4_CONTROL_FEATURES_6_9_168=c_string_to_symbol( "PROC@250" );
F_____31___R4_CONTROL_FEATURES_6_9_204=c_string_to_symbol( "F@241" );
MAKE_PRO_50___R4_CONTROL_FEATURES_6_9_9=c_string_to_symbol( "MAKE-PROMISE@__R4_CONTROL_FEATURES_6_9" );
NUMBER_3___R4_CONTROL_FEATURES_6_9_244=c_string_to_symbol( "NUMBER" );
ARITY____5___R4_CONTROL_FEATURES_6_9_158=c_string_to_symbol( "ARITY@224" );
MAKE_PRO_49___R4_CONTROL_FEATURES_6_9_32=c_string_to_symbol( "MAKE-PROMISE" );
___R__CON_1___R4_CONTROL_FEATURES_6_9_43=c_string_to_symbol( "__R4_CONTROL_FEATURES_6_9" );
L_____39___R4_CONTROL_FEATURES_6_9_114=c_string_to_symbol( "L@285" );
L_____42___R4_CONTROL_FEATURES_6_9_25=c_string_to_symbol( "L@248" );
PROC_____8___R4_CONTROL_FEATURES_6_9_183=c_string_to_symbol( "PROC@226" );
F_____38___R4_CONTROL_FEATURES_6_9_215=c_string_to_symbol( "F@245" );
MAP___R__23___R4_CONTROL_FEATURES_6_9_218=c_string_to_symbol( "MAP@__R4_CONTROL_FEATURES_6_9" );
CLOSURE__6___R4_CONTROL_FEATURES_6_9_186=c_string_to_symbol( "CLOSURE-ARITY@__R4_CONTROL_FEATURES_6_9" );
{
___R4_CONTROL_FEATURES_6_9_INITIALISATION_ENV___R4_CONTROL_FEATURES_6_9_221=make_fx_procedure( ____R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_137, 0, 0 );
PROCEDURE__ENV___R4_CONTROL_FEATURES_6_9_225=make_fx_procedure( __PROCEDURE____R4_CONTROL_FEATURES_6_9_61, 1, 0 );
MAKE_PROCEDURE_ENV___R4_CONTROL_FEATURES_6_9_93=make_fx_procedure( __MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_130, 3, 0 );
CLOSURE_ARITY_ENV___R4_CONTROL_FEATURES_6_9_105=make_fx_procedure( __CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_90, 1, 0 );
APPLY_ENV___R4_CONTROL_FEATURES_6_9_159=make_va_procedure( __APPLY___R4_CONTROL_FEATURES_6_9_55, -3, 0 );
MAP_2_ENV___R4_CONTROL_FEATURES_6_9_71=make_fx_procedure( __MAP_2___R4_CONTROL_FEATURES_6_9_239, 2, 0 );
MAP_ENV___R4_CONTROL_FEATURES_6_9_211=make_va_procedure( __MAP___R4_CONTROL_FEATURES_6_9_106, -2, 0 );
FOR_EACH_2_ENV___R4_CONTROL_FEATURES_6_9_29=make_fx_procedure( __FOR_EACH_2___R4_CONTROL_FEATURES_6_9_249, 2, 0 );
FOR_EACH_ENV___R4_CONTROL_FEATURES_6_9_123=make_va_procedure( __FOR_EACH___R4_CONTROL_FEATURES_6_9_171, -2, 0 );
FORCE_ENV___R4_CONTROL_FEATURES_6_9_17=make_fx_procedure( __FORCE___R4_CONTROL_FEATURES_6_9_160, 1, 0 );
MAKE_PROMISE_ENV___R4_CONTROL_FEATURES_6_9_89=make_fx_procedure( __MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_139, 1, 0 );
CALL_CC_ENV___R4_CONTROL_FEATURES_6_9_65=make_fx_procedure( __CALL_CC___R4_CONTROL_FEATURES_6_9_253, 1, 0 );
UNSPECIFIED_ENV___R4_CONTROL_FEATURES_6_9_81=make_fx_procedure( __UNSPECIFIED___R4_CONTROL_FEATURES_6_9_49, 0, 0 );
{
{obj_t STRING_CAST_289_21;
STRING_CAST_289_21=BREF( &BIGLOO___0___R4_CONTROL_FEATURES_6_9_72);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__CON_1___R4_CONTROL_FEATURES_6_9_43, STRING_CAST_289_21, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_137(obj_t ENV_322_62)
#else
____R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_137( ENV_322_62 )
obj_t ENV_322_62;
#endif
{

return ___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136();
}

obj_t
#if defined( __STDC__ )
PROCEDURE____R4_CONTROL_FEATURES_6_9_147(obj_t OBJ_222_44)
#else
PROCEDURE____R4_CONTROL_FEATURES_6_9_147( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( PROCEDUREP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__PROCEDURE____R4_CONTROL_FEATURES_6_9_61(obj_t ENV_321_114,obj_t OBJ_222_44)
#else
__PROCEDURE____R4_CONTROL_FEATURES_6_9_61( ENV_321_114, OBJ_222_44 )
obj_t ENV_321_114, OBJ_222_44;
#endif
{

return PROCEDURE____R4_CONTROL_FEATURES_6_9_147( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_49(obj_t ENTRY_223_135,obj_t ARITY_224_221,obj_t SIZE_225_171)
#else
MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_49( ENTRY_223_135, ARITY_224_221, SIZE_225_171 )
obj_t ENTRY_223_135, ARITY_224_221, SIZE_225_171;
#endif
{

if( INTEGERP( ARITY_224_221 ))
if( INTEGERP( SIZE_225_171 ))
return make_procedure( ENTRY_223_135, ARITY_224_221, SIZE_225_171 );else
FAILURE( MAKE_PRO_2___R4_CONTROL_FEATURES_6_9_83, TYPE_ERROR___ERROR_146( NUMBER_3___R4_CONTROL_FEATURES_6_9_244, SIZE_____4___R4_CONTROL_FEATURES_6_9_30 ), SIZE_225_171 );else
FAILURE( MAKE_PRO_2___R4_CONTROL_FEATURES_6_9_83, TYPE_ERROR___ERROR_146( NUMBER_3___R4_CONTROL_FEATURES_6_9_244, ARITY____5___R4_CONTROL_FEATURES_6_9_158 ), ARITY_224_221 );
}

obj_t
#if defined( __STDC__ )
__MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_130(obj_t ENV_320_246,obj_t ENTRY_223_135,obj_t ARITY_224_221,obj_t SIZE_225_171)
#else
__MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_130( ENV_320_246, ENTRY_223_135, ARITY_224_221, SIZE_225_171 )
obj_t ENV_320_246, ENTRY_223_135, ARITY_224_221, SIZE_225_171;
#endif
{

return MAKE_PROCEDURE___R4_CONTROL_FEATURES_6_9_49( ENTRY_223_135, ARITY_224_221, SIZE_225_171 );
}

obj_t
#if defined( __STDC__ )
CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_239(obj_t PROC_226_43)
#else
CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_239( PROC_226_43 )
obj_t PROC_226_43;
#endif
{

if( PROCEDUREP( PROC_226_43 ))
return BINT( PROCEDURE_ARITY( PROC_226_43 ) );else
FAILURE( CLOSURE__6___R4_CONTROL_FEATURES_6_9_186, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, PROC_____8___R4_CONTROL_FEATURES_6_9_183 ), PROC_226_43 );
}

obj_t
#if defined( __STDC__ )
__CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_90(obj_t ENV_319_160,obj_t PROC_226_43)
#else
__CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_90( ENV_319_160, PROC_226_43 )
obj_t ENV_319_160, PROC_226_43;
#endif
{

return CLOSURE_ARITY___R4_CONTROL_FEATURES_6_9_239( PROC_226_43 );
}

obj_t
#if defined( __STDC__ )
APPLY___R4_CONTROL_FEATURES_6_9_23(obj_t PROC_227_196,obj_t ARGS_228_6,obj_t OPT_229_235)
#else
APPLY___R4_CONTROL_FEATURES_6_9_23( PROC_227_196, ARGS_228_6, OPT_229_235 )
obj_t PROC_227_196, ARGS_228_6, OPT_229_235;
#endif
{

{
PUSH_LAMBDA_TRACE( APPLY_9___R4_CONTROL_FEATURES_6_9_207 );
{obj_t AUX_347_48;
{obj_t ARGS_230_214;
if( PAIRP( OPT_229_235 ))
{obj_t OBJ2_259_249;
OBJ2_259_249=LOOP_231_56( OPT_229_235 );ARGS_230_214=MAKE_PAIR( ARGS_228_6, OBJ2_259_249 );}else
ARGS_230_214=ARGS_228_6;{obj_t PROC_291_47;
if( PROCEDUREP( PROC_227_196 ))
PROC_291_47=PROC_227_196;else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, PROC_____13___R4_CONTROL_FEATURES_6_9_84 ), PROC_227_196 );{long AUX_348_223;
{obj_t AUX_349_148;
AUX_349_148=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( ARGS_230_214 );AUX_348_223=CINT( AUX_349_148 );}if( PROCEDURE_CORRECT_ARITYP( PROC_291_47, AUX_348_223 ))
AUX_347_48=apply( PROC_291_47,ARGS_230_214 );else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, BREF( &WRONG_NU_14___R4_CONTROL_FEATURES_6_9_29), PROC_____15___R4_CONTROL_FEATURES_6_9_70 );}}}return POP_LAMBDA_TRACE( AUX_347_48 );}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_231_56(obj_t OPT_232_69)
#else
LOOP_231_56( OPT_232_69 )
obj_t OPT_232_69;
#endif
{

{bool_t OBJ_323_65;
{obj_t AUX_346_115;
if( PAIRP( OPT_232_69 ))
AUX_346_115=CDR( OPT_232_69 );else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, OPT_____12___R4_CONTROL_FEATURES_6_9_167 ), OPT_232_69 );OBJ_323_65=PAIRP( AUX_346_115 );}if( OBJ_323_65)
{obj_t OBJ2_263_136;
{obj_t C_CDR_266_73;
if( PAIRP( OPT_232_69 ))
C_CDR_266_73=CDR( OPT_232_69 );else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, OPT_____12___R4_CONTROL_FEATURES_6_9_167 ), OPT_232_69 );OBJ2_263_136=LOOP_231_56( C_CDR_266_73 );}{obj_t OBJ1_262_166;
if( PAIRP( OPT_232_69 ))
OBJ1_262_166=CAR( OPT_232_69 );else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, OPT_____12___R4_CONTROL_FEATURES_6_9_167 ), OPT_232_69 );return MAKE_PAIR( OBJ1_262_166, OBJ2_263_136 );}}else
if( PAIRP( OPT_232_69 ))
return CAR( OPT_232_69 );else
FAILURE( APPLY____10___R4_CONTROL_FEATURES_6_9_48, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, OPT_____12___R4_CONTROL_FEATURES_6_9_167 ), OPT_232_69 );}
}

obj_t
#if defined( __STDC__ )
__APPLY___R4_CONTROL_FEATURES_6_9_55(obj_t ENV_318_215,obj_t PROC_227_196,obj_t ARGS_228_6,obj_t OPT_229_235)
#else
__APPLY___R4_CONTROL_FEATURES_6_9_55( ENV_318_215, PROC_227_196, ARGS_228_6, OPT_229_235 )
obj_t ENV_318_215, PROC_227_196, ARGS_228_6, OPT_229_235;
#endif
{

return APPLY___R4_CONTROL_FEATURES_6_9_23( PROC_227_196, ARGS_228_6, OPT_229_235 );
}

obj_t
#if defined( __STDC__ )
MAP_2___R4_CONTROL_FEATURES_6_9_27(obj_t F_233_84,obj_t L_234_5)
#else
MAP_2___R4_CONTROL_FEATURES_6_9_27( F_233_84, L_234_5 )
obj_t F_233_84, L_234_5;
#endif
{

{
PUSH_LAMBDA_TRACE( MAP___16___R4_CONTROL_FEATURES_6_9_154 );
{obj_t AUX_345_15;
AUX_345_15=LOOP_235_177( F_233_84, L_234_5 );return POP_LAMBDA_TRACE( AUX_345_15 );}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_235_177(obj_t F_233_84,obj_t L_236_126)
#else
LOOP_235_177( F_233_84, L_236_126 )
obj_t F_233_84, L_236_126;
#endif
{

if( NULLP( L_236_126 ))
return BNIL;else
{obj_t OBJ2_270_40;
{obj_t C_CDR_273_136;
if( PAIRP( L_236_126 ))
C_CDR_273_136=CDR( L_236_126 );else
FAILURE( MAP______17___R4_CONTROL_FEATURES_6_9_231, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____18___R4_CONTROL_FEATURES_6_9_27 ), L_236_126 );OBJ2_270_40=LOOP_235_177( F_233_84, C_CDR_273_136 );}{obj_t OBJ1_269_145;
{obj_t F_292_53;
if( PROCEDUREP( F_233_84 ))
F_292_53=F_233_84;else
FAILURE( MAP______17___R4_CONTROL_FEATURES_6_9_231, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, F_____19___R4_CONTROL_FEATURES_6_9_63 ), F_233_84 );if( PROCEDURE_CORRECT_ARITYP( F_292_53, 1 ))
{obj_t C_CAR_272_241;
if( PAIRP( L_236_126 ))
C_CAR_272_241=CAR( L_236_126 );else
FAILURE( MAP______17___R4_CONTROL_FEATURES_6_9_231, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____18___R4_CONTROL_FEATURES_6_9_27 ), L_236_126 );OBJ1_269_145=PROCEDURE_ENTRY( F_292_53 )( F_292_53, C_CAR_272_241, BEOA );}else
FAILURE( MAP______17___R4_CONTROL_FEATURES_6_9_231, BREF( &WRONG_NU_20___R4_CONTROL_FEATURES_6_9_88), F_____21___R4_CONTROL_FEATURES_6_9_229 );}return MAKE_PAIR( OBJ1_269_145, OBJ2_270_40 );}}
}

obj_t
#if defined( __STDC__ )
__MAP_2___R4_CONTROL_FEATURES_6_9_239(obj_t ENV_317_62,obj_t F_233_84,obj_t L_234_5)
#else
__MAP_2___R4_CONTROL_FEATURES_6_9_239( ENV_317_62, F_233_84, L_234_5 )
obj_t ENV_317_62, F_233_84, L_234_5;
#endif
{

return MAP_2___R4_CONTROL_FEATURES_6_9_27( F_233_84, L_234_5 );
}

obj_t
#if defined( __STDC__ )
MAP___R4_CONTROL_FEATURES_6_9_104(obj_t F_237_199,obj_t L_238_74)
#else
MAP___R4_CONTROL_FEATURES_6_9_104( F_237_199, L_238_74 )
obj_t F_237_199, L_238_74;
#endif
{

{
PUSH_LAMBDA_TRACE( MAP_22___R4_CONTROL_FEATURES_6_9_60 );
{obj_t AUX_343_67;
if( NULLP( L_238_74 ))
AUX_343_67=BNIL;else
{bool_t OBJ_324_30;
{obj_t AUX_344_2;
if( PAIRP( L_238_74 ))
AUX_344_2=CDR( L_238_74 );else
FAILURE( MAP___R__23___R4_CONTROL_FEATURES_6_9_218, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____24___R4_CONTROL_FEATURES_6_9_42 ), L_238_74 );OBJ_324_30=NULLP( AUX_344_2 );}if( OBJ_324_30)
{obj_t C_CAR_275_41;
if( PAIRP( L_238_74 ))
C_CAR_275_41=CAR( L_238_74 );else
FAILURE( MAP___R__23___R4_CONTROL_FEATURES_6_9_218, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____24___R4_CONTROL_FEATURES_6_9_42 ), L_238_74 );AUX_343_67=MAP_2___R4_CONTROL_FEATURES_6_9_27( F_237_199, C_CAR_275_41 );}else
AUX_343_67=LOOP_239_36( F_237_199, L_238_74 );}return POP_LAMBDA_TRACE( AUX_343_67 );}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_239_36(obj_t F_237_199,obj_t L_240_208)
#else
LOOP_239_36( F_237_199, L_240_208 )
obj_t F_237_199, L_240_208;
#endif
{

{bool_t OBJ_325_7;
{obj_t AUX_339_167;
if( PAIRP( L_240_208 ))
AUX_339_167=CAR( L_240_208 );else
FAILURE( MAP___R__23___R4_CONTROL_FEATURES_6_9_218, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____25___R4_CONTROL_FEATURES_6_9_164 ), L_240_208 );OBJ_325_7=NULLP( AUX_339_167 );}if( OBJ_325_7)
return BNIL;else
{obj_t OBJ2_278_169;
{obj_t A_FUNCTION_293_253;
A_FUNCTION_293_253=CDR_ENV___R4_PAIRS_AND_LISTS_6_3_37;{obj_t AUX_340_28;
AUX_340_28=MAP_2___R4_CONTROL_FEATURES_6_9_27( A_FUNCTION_293_253, L_240_208 );OBJ2_278_169=LOOP_239_36( F_237_199, AUX_340_28 );}}{obj_t OBJ1_277_118;
{obj_t LEN_294_44;
{obj_t A_FUNCTION_295_250;
A_FUNCTION_295_250=CAR_ENV___R4_PAIRS_AND_LISTS_6_3_78;LEN_294_44=MAP_2___R4_CONTROL_FEATURES_6_9_27( A_FUNCTION_295_250, L_240_208 );}{obj_t F_296_180;
if( PROCEDUREP( F_237_199 ))
F_296_180=F_237_199;else
FAILURE( MAP___R__23___R4_CONTROL_FEATURES_6_9_218, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, F_____26___R4_CONTROL_FEATURES_6_9_155 ), F_237_199 );{long AUX_341_210;
{obj_t AUX_342_186;
AUX_342_186=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LEN_294_44 );AUX_341_210=CINT( AUX_342_186 );}if( PROCEDURE_CORRECT_ARITYP( F_296_180, AUX_341_210 ))
OBJ1_277_118=apply( F_296_180,LEN_294_44 );else
FAILURE( MAP___R__23___R4_CONTROL_FEATURES_6_9_218, BREF( &WRONG_NU_27___R4_CONTROL_FEATURES_6_9_54), F_____28___R4_CONTROL_FEATURES_6_9_124 );}}}return MAKE_PAIR( OBJ1_277_118, OBJ2_278_169 );}}}
}

obj_t
#if defined( __STDC__ )
__MAP___R4_CONTROL_FEATURES_6_9_106(obj_t ENV_316_179,obj_t F_237_199,obj_t L_238_74)
#else
__MAP___R4_CONTROL_FEATURES_6_9_106( ENV_316_179, F_237_199, L_238_74 )
obj_t ENV_316_179, F_237_199, L_238_74;
#endif
{

return MAP___R4_CONTROL_FEATURES_6_9_104( F_237_199, L_238_74 );
}

obj_t
#if defined( __STDC__ )
FOR_EACH_2___R4_CONTROL_FEATURES_6_9_205(obj_t F_241_241,obj_t L_242_130)
#else
FOR_EACH_2___R4_CONTROL_FEATURES_6_9_205( F_241_241, L_242_130 )
obj_t F_241_241, L_242_130;
#endif
{

{
PUSH_LAMBDA_TRACE( FOR_EACH_29___R4_CONTROL_FEATURES_6_9_114 );
{obj_t AUX_338_183;
{obj_t L_244_121;
{
L_244_121=L_242_130;
{_LOOP_243_100:

if( NULLP( L_244_121 ))
AUX_338_183=BNIL;else
{
{obj_t F_297_205;
if( PROCEDUREP( F_241_241 ))
F_297_205=F_241_241;else
FAILURE( FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, F_____31___R4_CONTROL_FEATURES_6_9_204 ), F_241_241 );if( PROCEDURE_CORRECT_ARITYP( F_297_205, 1 ))
{obj_t C_CAR_280_244;
if( PAIRP( L_244_121 ))
C_CAR_280_244=CAR( L_244_121 );else
FAILURE( FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____32___R4_CONTROL_FEATURES_6_9_96 ), L_244_121 );PROCEDURE_ENTRY( F_297_205 )( F_297_205, C_CAR_280_244, BEOA );}else
FAILURE( FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189, BREF( &WRONG_NU_33___R4_CONTROL_FEATURES_6_9_162), F_____34___R4_CONTROL_FEATURES_6_9_157 );}
{obj_t C_CDR_281_104;
if( PAIRP( L_244_121 ))
C_CDR_281_104=CDR( L_244_121 );else
FAILURE( FOR_EACH_30___R4_CONTROL_FEATURES_6_9_189, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____32___R4_CONTROL_FEATURES_6_9_96 ), L_244_121 );{
L_244_121=C_CDR_281_104;
goto _LOOP_243_100;
}}
}}
}}return POP_LAMBDA_TRACE( AUX_338_183 );}
}
}

obj_t
#if defined( __STDC__ )
__FOR_EACH_2___R4_CONTROL_FEATURES_6_9_249(obj_t ENV_315_246,obj_t F_241_241,obj_t L_242_130)
#else
__FOR_EACH_2___R4_CONTROL_FEATURES_6_9_249( ENV_315_246, F_241_241, L_242_130 )
obj_t ENV_315_246, F_241_241, L_242_130;
#endif
{

return FOR_EACH_2___R4_CONTROL_FEATURES_6_9_205( F_241_241, L_242_130 );
}

obj_t
#if defined( __STDC__ )
FOR_EACH___R4_CONTROL_FEATURES_6_9_116(obj_t F_245_198,obj_t L_246_77)
#else
FOR_EACH___R4_CONTROL_FEATURES_6_9_116( F_245_198, L_246_77 )
obj_t F_245_198, L_246_77;
#endif
{

{
PUSH_LAMBDA_TRACE( FOR_EACH_35___R4_CONTROL_FEATURES_6_9_164 );
{obj_t AUX_331_181;
if( NULLP( L_246_77 ))
AUX_331_181=BNIL;else
{bool_t OBJ_326_173;
{obj_t AUX_332_103;
if( PAIRP( L_246_77 ))
AUX_332_103=CDR( L_246_77 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____37___R4_CONTROL_FEATURES_6_9_37 ), L_246_77 );OBJ_326_173=NULLP( AUX_332_103 );}if( OBJ_326_173)
{obj_t L_283_204;
if( PAIRP( L_246_77 ))
L_283_204=CAR( L_246_77 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____37___R4_CONTROL_FEATURES_6_9_37 ), L_246_77 );{
PUSH_LAMBDA_TRACE( FOR_EACH_29___R4_CONTROL_FEATURES_6_9_114 );
{obj_t AUX_333_70;
{obj_t L_285_212;
{
L_285_212=L_283_204;
{_LOOP_284_1:

if( NULLP( L_285_212 ))
AUX_333_70=BNIL;else
{
{obj_t F_298_227;
if( PROCEDUREP( F_245_198 ))
F_298_227=F_245_198;else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, F_____38___R4_CONTROL_FEATURES_6_9_215 ), F_245_198 );if( PROCEDURE_CORRECT_ARITYP( F_298_227, 1 ))
{obj_t C_CAR_286_182;
if( PAIRP( L_285_212 ))
C_CAR_286_182=CAR( L_285_212 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____39___R4_CONTROL_FEATURES_6_9_114 ), L_285_212 );PROCEDURE_ENTRY( F_298_227 )( F_298_227, C_CAR_286_182, BEOA );}else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, BREF( &WRONG_NU_40___R4_CONTROL_FEATURES_6_9_129), F_____41___R4_CONTROL_FEATURES_6_9_155 );}
{obj_t C_CDR_287_57;
if( PAIRP( L_285_212 ))
C_CDR_287_57=CDR( L_285_212 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____39___R4_CONTROL_FEATURES_6_9_114 ), L_285_212 );{
L_285_212=C_CDR_287_57;
goto _LOOP_284_1;
}}
}}
}}AUX_331_181=POP_LAMBDA_TRACE( AUX_333_70 );}
}}else
{obj_t L_248_29;
{
L_248_29=L_246_77;
{_LOOP_247_50:

{bool_t OBJ_327_73;
{obj_t AUX_334_22;
if( PAIRP( L_248_29 ))
AUX_334_22=CAR( L_248_29 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PAIR_11___R4_CONTROL_FEATURES_6_9_145, L_____42___R4_CONTROL_FEATURES_6_9_25 ), L_248_29 );OBJ_327_73=NULLP( AUX_334_22 );}if( OBJ_327_73)
AUX_331_181=BNIL;else
{
{obj_t LEN_299_117;
{obj_t A_FUNCTION_300_100;
A_FUNCTION_300_100=CAR_ENV___R4_PAIRS_AND_LISTS_6_3_78;{obj_t VA_ARG_301_89;
VA_ARG_301_89=MAKE_PAIR( L_248_29, BNIL );LEN_299_117=MAP___R4_CONTROL_FEATURES_6_9_104( A_FUNCTION_300_100, VA_ARG_301_89 );}}{obj_t F_302_211;
if( PROCEDUREP( F_245_198 ))
F_302_211=F_245_198;else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, F_____38___R4_CONTROL_FEATURES_6_9_215 ), F_245_198 );{long AUX_335_58;
{obj_t AUX_336_75;
AUX_336_75=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LEN_299_117 );AUX_335_58=CINT( AUX_336_75 );}if( PROCEDURE_CORRECT_ARITYP( F_302_211, AUX_335_58 ))
apply( F_302_211,LEN_299_117 );else
FAILURE( FOR_EACH_36___R4_CONTROL_FEATURES_6_9_37, BREF( &WRONG_NU_43___R4_CONTROL_FEATURES_6_9_122), F_____44___R4_CONTROL_FEATURES_6_9_25 );}}}
{obj_t A_FUNCTION_303_195;
A_FUNCTION_303_195=CDR_ENV___R4_PAIRS_AND_LISTS_6_3_37;{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( L_248_29, BNIL );{obj_t AUX_337_78;
AUX_337_78=MAP___R4_CONTROL_FEATURES_6_9_104( A_FUNCTION_303_195, VA_ARG_304_93 );{
L_248_29=AUX_337_78;
goto _LOOP_247_50;
}}}}
}}}
}}}return POP_LAMBDA_TRACE( AUX_331_181 );}
}
}

obj_t
#if defined( __STDC__ )
__FOR_EACH___R4_CONTROL_FEATURES_6_9_171(obj_t ENV_314_114,obj_t F_245_198,obj_t L_246_77)
#else
__FOR_EACH___R4_CONTROL_FEATURES_6_9_171( ENV_314_114, F_245_198, L_246_77 )
obj_t ENV_314_114, F_245_198, L_246_77;
#endif
{

return FOR_EACH___R4_CONTROL_FEATURES_6_9_116( F_245_198, L_246_77 );
}

obj_t
#if defined( __STDC__ )
FORCE___R4_CONTROL_FEATURES_6_9_48(obj_t PROMISE_249_111)
#else
FORCE___R4_CONTROL_FEATURES_6_9_48( PROMISE_249_111 )
obj_t PROMISE_249_111;
#endif
{

{obj_t PROMISE_305_87;
if( PROCEDUREP( PROMISE_249_111 ))
PROMISE_305_87=PROMISE_249_111;else
FAILURE( FORCE____45___R4_CONTROL_FEATURES_6_9_178, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, PROMISE__46___R4_CONTROL_FEATURES_6_9_148 ), PROMISE_249_111 );if( PROCEDURE_CORRECT_ARITYP( PROMISE_305_87, 0 ))
return PROCEDURE_ENTRY( PROMISE_305_87 )( PROMISE_305_87, BEOA );else
FAILURE( FORCE____45___R4_CONTROL_FEATURES_6_9_178, BREF( &WRONG_NU_47___R4_CONTROL_FEATURES_6_9_156), PROMISE__48___R4_CONTROL_FEATURES_6_9_39 );}
}

obj_t
#if defined( __STDC__ )
__FORCE___R4_CONTROL_FEATURES_6_9_160(obj_t ENV_313_230,obj_t PROMISE_249_111)
#else
__FORCE___R4_CONTROL_FEATURES_6_9_160( ENV_313_230, PROMISE_249_111 )
obj_t ENV_313_230, PROMISE_249_111;
#endif
{

return FORCE___R4_CONTROL_FEATURES_6_9_48( PROMISE_249_111 );
}

obj_t
#if defined( __STDC__ )
MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151(obj_t PROC_250_194)
#else
MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151( PROC_250_194 )
obj_t PROC_250_194;
#endif
{

{
PUSH_LAMBDA_TRACE( MAKE_PRO_49___R4_CONTROL_FEATURES_6_9_32 );
{obj_t AUX_330_12;
{obj_t RESULT_READY__252_203, RESULT_251_53;
RESULT_READY__252_203=MAKE_CELL( BFALSE );RESULT_251_53=MAKE_CELL( BFALSE );{obj_t LAMBDA_0_0_ENV_310_97;
LAMBDA_0_0_ENV_310_97=make_fx_procedure( LAMBDA_0_0_253_175, 0, 3 );{
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_310_97, 2, RESULT_251_53 );
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_310_97, 1, RESULT_READY__252_203 );
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_310_97, 0, PROC_250_194 );
AUX_330_12=LAMBDA_0_0_ENV_310_97;
}}}return POP_LAMBDA_TRACE( AUX_330_12 );}
}
}

obj_t
#if defined( __STDC__ )
__MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_139(obj_t ENV_312_142,obj_t PROC_250_194)
#else
__MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_139( ENV_312_142, PROC_250_194 )
obj_t ENV_312_142, PROC_250_194;
#endif
{

return MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151( PROC_250_194 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_253_175(obj_t LAMBDA_0_0_ENV_311_174)
#else
LAMBDA_0_0_253_175( LAMBDA_0_0_ENV_311_174 )
obj_t LAMBDA_0_0_ENV_311_174;
#endif
{

{obj_t PROC_250_194, RESULT_READY__252_203, RESULT_251_53;
PROC_250_194=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_311_174, 0 );RESULT_READY__252_203=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_311_174, 1 );RESULT_251_53=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_311_174, 2 );{obj_t AUX_329_196;
AUX_329_196=CELL_REF( RESULT_READY__252_203 );if( BBOOL_TO_CBOOL( AUX_329_196 ))
return CELL_REF( RESULT_251_53 );else
{obj_t X_254_15;
{obj_t PROC_306_117;
if( PROCEDUREP( PROC_250_194 ))
PROC_306_117=PROC_250_194;else
FAILURE( MAKE_PRO_50___R4_CONTROL_FEATURES_6_9_9, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, PROC_____51___R4_CONTROL_FEATURES_6_9_168 ), PROC_250_194 );if( PROCEDURE_CORRECT_ARITYP( PROC_306_117, 0 ))
X_254_15=PROCEDURE_ENTRY( PROC_306_117 )( PROC_306_117, BEOA );else
FAILURE( MAKE_PRO_50___R4_CONTROL_FEATURES_6_9_9, BREF( &WRONG_NU_52___R4_CONTROL_FEATURES_6_9_158), PROC_____53___R4_CONTROL_FEATURES_6_9_116 );}{obj_t AUX_328_43;
AUX_328_43=CELL_REF( RESULT_READY__252_203 );if( BBOOL_TO_CBOOL( AUX_328_43 ))
return CELL_REF( RESULT_251_53 );else
{
CELL_SET( RESULT_READY__252_203, BTRUE );
CELL_SET( RESULT_251_53, X_254_15 );
return CELL_REF( RESULT_251_53 );
}}}}}
}

obj_t
#if defined( __STDC__ )
CALL_CC___R4_CONTROL_FEATURES_6_9_211(obj_t PROC_255_105)
#else
CALL_CC___R4_CONTROL_FEATURES_6_9_211( PROC_255_105 )
obj_t PROC_255_105;
#endif
{

if( PROCEDUREP( PROC_255_105 ))
return call_cc( PROC_255_105 );else
FAILURE( CALL_CC__54___R4_CONTROL_FEATURES_6_9_97, TYPE_ERROR___ERROR_146( PROCEDUR_7___R4_CONTROL_FEATURES_6_9_139, PROC_____55___R4_CONTROL_FEATURES_6_9_115 ), PROC_255_105 );
}

obj_t
#if defined( __STDC__ )
__CALL_CC___R4_CONTROL_FEATURES_6_9_253(obj_t ENV_309_206,obj_t PROC_255_105)
#else
__CALL_CC___R4_CONTROL_FEATURES_6_9_253( ENV_309_206, PROC_255_105 )
obj_t ENV_309_206, PROC_255_105;
#endif
{

return CALL_CC___R4_CONTROL_FEATURES_6_9_211( PROC_255_105 );
}

obj_t
#if defined( __STDC__ )
UNSPECIFIED___R4_CONTROL_FEATURES_6_9_70()
#else
UNSPECIFIED___R4_CONTROL_FEATURES_6_9_70()
#endif
{

return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__UNSPECIFIED___R4_CONTROL_FEATURES_6_9_49(obj_t ENV_308_35)
#else
__UNSPECIFIED___R4_CONTROL_FEATURES_6_9_49( ENV_308_35 )
obj_t ENV_308_35;
#endif
{

return UNSPECIFIED___R4_CONTROL_FEATURES_6_9_70();
}

