/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/strings.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t STRING____ENV___R4_STRINGS_6_7_94 = BUNSPEC;
static obj_t STRING___104___R4_STRINGS_6_7_179 = BUNSPEC;
static obj_t STRING___88___R4_STRINGS_6_7_88 = BUNSPEC;
static obj_t STRING___37___R4_STRINGS_6_7_38 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_LENGTH___R4_STRINGS_6_7_106(obj_t, obj_t);
#else
extern obj_t __STRING_LENGTH___R4_STRINGS_6_7_106();
#endif
static obj_t STRING_D_118___R4_STRINGS_6_7_231 = BUNSPEC;
static obj_t STRING_C_54___R4_STRINGS_6_7_93 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_COPY___R4_STRINGS_6_7_216(obj_t, obj_t);
#else
extern obj_t __STRING_COPY___R4_STRINGS_6_7_216();
#endif
#if defined( __STDC__ )
extern obj_t SUBSTRING___R4_STRINGS_6_7_40(obj_t, obj_t, obj_t);
#else
extern obj_t SUBSTRING___R4_STRINGS_6_7_40();
#endif
static obj_t STRING___126___R4_STRINGS_6_7_124 = BUNSPEC;
extern obj_t c_substring();
obj_t STRING_UPCASE_ENV___R4_STRINGS_6_7_205 = BUNSPEC;
static obj_t STRING___32___R4_STRINGS_6_7_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING___R4_STRINGS_6_7_245(obj_t);
#else
extern obj_t STRING___R4_STRINGS_6_7_245();
#endif
static obj_t MAKE_STR_2___R4_STRINGS_6_7_121 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_166(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_166();
#endif
obj_t SUBSTRING_UR_ENV___R4_STRINGS_6_7_166 = BUNSPEC;
static obj_t STRING___34___R4_STRINGS_6_7_143 = BUNSPEC;
obj_t STRING_CI____ENV___R4_STRINGS_6_7_139 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_SET_UR____R4_STRINGS_6_7_35(obj_t, obj_t, obj_t);
#else
extern obj_t STRING_SET_UR____R4_STRINGS_6_7_35();
#endif
static obj_t K_____16___R4_STRINGS_6_7_81 = BUNSPEC;
static obj_t STRING___36___R4_STRINGS_6_7_21 = BUNSPEC;
static obj_t STRING_C_48___R4_STRINGS_6_7_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_FOR_READ___R4_STRINGS_6_7_154(obj_t);
#else
extern obj_t STRING_FOR_READ___R4_STRINGS_6_7_154();
#endif
extern obj_t string_append();
#if defined( __STDC__ )
extern obj_t __STRING_CI______R4_STRINGS_6_7_173(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI______R4_STRINGS_6_7_173();
#endif
obj_t STRING_APPEND_ENV___R4_STRINGS_6_7_18 = BUNSPEC;
extern bool_t string_cilt();
static obj_t LIST__ST_77___R4_STRINGS_6_7_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103(obj_t);
#else
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
#endif
obj_t STRING_FILL__ENV___R4_STRINGS_6_7_249 = BUNSPEC;
DEFINE_STRING( STRING_S_19___R4_STRINGS_6_7_119, "string-set!", 11);
static obj_t STRING_C_57___R4_STRINGS_6_7_17 = BUNSPEC;
obj_t STRING___ENV___R4_STRINGS_6_7_151 = BUNSPEC;
static obj_t PAIR_5___R4_STRINGS_6_7_165 = BUNSPEC;
DEFINE_STRING( ILLEGAL__65___R4_STRINGS_6_7_28, "Illegal index", 13);
#if defined( __STDC__ )
extern obj_t STRING______R4_STRINGS_6_7_114(obj_t, obj_t);
#else
extern obj_t STRING______R4_STRINGS_6_7_114();
#endif
static obj_t L_____78___R4_STRINGS_6_7_113 = BUNSPEC;
extern bool_t string_gt();
extern bool_t string_cile();
#if defined( __STDC__ )
extern obj_t STRING_UPCASE____R4_STRINGS_6_7_61(obj_t);
#else
extern obj_t STRING_UPCASE____R4_STRINGS_6_7_61();
#endif
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#if defined( __STDC__ )
extern obj_t __STRING_REF___R4_STRINGS_6_7_24(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_REF___R4_STRINGS_6_7_24();
#endif
extern bool_t string_le();
static obj_t STRING___29___R4_STRINGS_6_7_135 = BUNSPEC;
obj_t STRING_SET__ENV___R4_STRINGS_6_7_118 = BUNSPEC;
static obj_t CHAR_____92___R4_STRINGS_6_7_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SUBSTRING___R4_STRINGS_6_7_18(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __SUBSTRING___R4_STRINGS_6_7_18();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI______R4_STRINGS_6_7_203(obj_t, obj_t);
#else
extern obj_t STRING_CI______R4_STRINGS_6_7_203();
#endif
static obj_t NUMBER_3___R4_STRINGS_6_7_83 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#if defined( __STDC__ )
extern obj_t STRING_CI______R4_STRINGS_6_7_22(obj_t, obj_t);
#else
extern obj_t STRING_CI______R4_STRINGS_6_7_22();
#endif
static obj_t START____61___R4_STRINGS_6_7_35 = BUNSPEC;
DEFINE_STRING( INDEX_OU_20___R4_STRINGS_6_7_33, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251(obj_t);
#else
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
#endif
static obj_t STRING___45___R4_STRINGS_6_7_18 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_DOWNCASE____R4_STRINGS_6_7_137(obj_t, obj_t);
#else
extern obj_t __STRING_DOWNCASE____R4_STRINGS_6_7_137();
#endif
obj_t STRING____ENV___R4_STRINGS_6_7_106 = BUNSPEC;
DEFINE_STRING( SUBSTRIN_64___R4_STRINGS_6_7_27, "substring", 9);
static obj_t START____68___R4_STRINGS_6_7_78 = BUNSPEC;
static obj_t LIST_____73___R4_STRINGS_6_7_95 = BUNSPEC;
DEFINE_STRING( STRING_S_114___R4_STRINGS_6_7_139, "string-set!", 11);
#if defined( __STDC__ )
extern obj_t STRING______R4_STRINGS_6_7_67(obj_t, obj_t);
#else
extern obj_t STRING______R4_STRINGS_6_7_67();
#endif
static obj_t STRING___44___R4_STRINGS_6_7_162 = BUNSPEC;
static obj_t STRING_R_23___R4_STRINGS_6_7_52 = BUNSPEC;
static obj_t STRING___55___R4_STRINGS_6_7_170 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING____R4_STRINGS_6_7_192(obj_t);
#else
extern obj_t STRING____R4_STRINGS_6_7_192();
#endif
static obj_t STRING___69___R4_STRINGS_6_7_52 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t SUBSTRING_UR___R4_STRINGS_6_7_32(obj_t, obj_t, obj_t);
#else
extern obj_t SUBSTRING_UR___R4_STRINGS_6_7_32();
#endif
extern obj_t blit_string();
static obj_t CHAR_____27___R4_STRINGS_6_7_122 = BUNSPEC;
static obj_t CHAR_7___R4_STRINGS_6_7_12 = BUNSPEC;
static obj_t SUBSTRIN_66___R4_STRINGS_6_7_18 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_DOWNCASE___R4_STRINGS_6_7_107(obj_t, obj_t);
#else
extern obj_t __STRING_DOWNCASE___R4_STRINGS_6_7_107();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
#if defined( __STDC__ )
extern obj_t STRING__LIST___R4_STRINGS_6_7_112(obj_t);
#else
extern obj_t STRING__LIST___R4_STRINGS_6_7_112();
#endif
static obj_t STRING_A_72___R4_STRINGS_6_7_196 = BUNSPEC;
extern bool_t string_ge();
#if defined( __STDC__ )
extern obj_t STRING_DOWNCASE____R4_STRINGS_6_7_191(obj_t);
#else
extern obj_t STRING_DOWNCASE____R4_STRINGS_6_7_191();
#endif
DEFINE_STRING( INDEX_OU_113___R4_STRINGS_6_7_83, "index out of range", 18);
static obj_t ___R__STR_1___R4_STRINGS_6_7_168 = BUNSPEC;
extern obj_t make_string();
#if defined( __STDC__ )
extern obj_t BLIT_STRING____R4_STRINGS_6_7_12(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t BLIT_STRING____R4_STRINGS_6_7_12();
#endif
extern obj_t make_va_procedure();
static obj_t STRING_D_117___R4_STRINGS_6_7_175 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING___R4_STRINGS_6_7_112(obj_t, obj_t);
#else
extern obj_t __STRING___R4_STRINGS_6_7_112();
#endif
#if defined( __STDC__ )
extern obj_t STRING_LENGTH___R4_STRINGS_6_7_121(obj_t);
#else
extern obj_t STRING_LENGTH___R4_STRINGS_6_7_121();
#endif
static obj_t STRING___35___R4_STRINGS_6_7_121 = BUNSPEC;
DEFINE_STRING( INDEX_OU_81___R4_STRINGS_6_7_8, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __STRING______R4_STRINGS_6_7_22(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING______R4_STRINGS_6_7_22();
#endif
static obj_t STRING_U_109___R4_STRINGS_6_7_251 = BUNSPEC;
static obj_t STRING___46___R4_STRINGS_6_7_119 = BUNSPEC;
obj_t SUBSTRING_ENV___R4_STRINGS_6_7_234 = BUNSPEC;
static obj_t STRING___53___R4_STRINGS_6_7_34 = BUNSPEC;
static obj_t STRING___42___R4_STRINGS_6_7_82 = BUNSPEC;
DEFINE_STRING( INDEX_OU_13___R4_STRINGS_6_7_109, "index out of range", 18);
obj_t STRING_CI___ENV___R4_STRINGS_6_7_61 = BUNSPEC;
static obj_t STRING___31___R4_STRINGS_6_7_198 = BUNSPEC;
static obj_t STRING___30___R4_STRINGS_6_7_61 = BUNSPEC;
obj_t STRING_REF_UR_ENV___R4_STRINGS_6_7_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_SET_UR____R4_STRINGS_6_7_159(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_SET_UR____R4_STRINGS_6_7_159();
#endif
DEFINE_STRING( STRING_R_12___R4_STRINGS_6_7_178, "string-ref", 10);
DEFINE_STRING( INDEX_OU_101___R4_STRINGS_6_7_175, "index out of range", 18);
static obj_t K_____24___R4_STRINGS_6_7_138 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING__LIST___R4_STRINGS_6_7_28(obj_t, obj_t);
#else
extern obj_t __STRING__LIST___R4_STRINGS_6_7_28();
#endif
DEFINE_STRING( STRING_S_80___R4_STRINGS_6_7_157, "string-set!", 11);
obj_t STRING___ENV___R4_STRINGS_6_7_204 = BUNSPEC;
extern obj_t c_string_to_string();
static obj_t STRING___84___R4_STRINGS_6_7_138 = BUNSPEC;
static obj_t STRING_C_87___R4_STRINGS_6_7_203 = BUNSPEC;
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
#if defined( __STDC__ )
extern obj_t __SUBSTRING_UR___R4_STRINGS_6_7_241(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __SUBSTRING_UR___R4_STRINGS_6_7_241();
#endif
static obj_t K_____22___R4_STRINGS_6_7_228 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MAKE_STRING___R4_STRINGS_6_7_1(obj_t, obj_t);
#else
extern obj_t MAKE_STRING___R4_STRINGS_6_7_1();
#endif
static obj_t STRING___38___R4_STRINGS_6_7_90 = BUNSPEC;
static obj_t STRING_U_110___R4_STRINGS_6_7_218 = BUNSPEC;
DEFINE_STRING( BIGLOO___0___R4_STRINGS_6_7_208, "Bigloo (v1.7)", 13);
static obj_t STRING___39___R4_STRINGS_6_7_41 = BUNSPEC;
obj_t STRING_DOWNCASE__ENV___R4_STRINGS_6_7_107 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_218(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_218();
#endif
static obj_t STRING_10___R4_STRINGS_6_7_195 = BUNSPEC;
static obj_t RES_____116___R4_STRINGS_6_7_221 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_UPCASE___R4_STRINGS_6_7_250(obj_t, obj_t);
#else
extern obj_t __STRING_UPCASE___R4_STRINGS_6_7_250();
#endif
static obj_t STRING___11___R4_STRINGS_6_7_39 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_219(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_219();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_APPEND___R4_STRINGS_6_7_70(obj_t, obj_t);
#else
extern obj_t __STRING_APPEND___R4_STRINGS_6_7_70();
#endif
obj_t BLIT_STRING__ENV___R4_STRINGS_6_7_83 = BUNSPEC;
static obj_t STRING___15___R4_STRINGS_6_7_84 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_184(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_184();
#endif
static obj_t STRING___47___R4_STRINGS_6_7_27 = BUNSPEC;
static obj_t STRING___56___R4_STRINGS_6_7_167 = BUNSPEC;
obj_t STRING_CI___ENV___R4_STRINGS_6_7_49 = BUNSPEC;
static obj_t STRING_U_95___R4_STRINGS_6_7_138 = BUNSPEC;
DEFINE_STRING( INDEX_OU_94___R4_STRINGS_6_7_205, "index out of range", 18);
static obj_t STRING_F_89___R4_STRINGS_6_7_10 = BUNSPEC;
static obj_t END_____67___R4_STRINGS_6_7_73 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_COPY___R4_STRINGS_6_7_97(obj_t);
#else
extern obj_t STRING_COPY___R4_STRINGS_6_7_97();
#endif
DEFINE_STRING( STRING_S_93___R4_STRINGS_6_7_122, "string-set!", 11);
static obj_t STRING_S_26___R4_STRINGS_6_7_113 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_UPCASE____R4_STRINGS_6_7_26(obj_t, obj_t);
#else
extern obj_t __STRING_UPCASE____R4_STRINGS_6_7_26();
#endif
DEFINE_STRING( INDEX_OU_99___R4_STRINGS_6_7_237, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_119(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_119();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_184(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_184();
#endif
static obj_t K_____28___R4_STRINGS_6_7_88 = BUNSPEC;
static obj_t STRING___52___R4_STRINGS_6_7_254 = BUNSPEC;
static obj_t STRING___43___R4_STRINGS_6_7_114 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_STRINGS_6_7_14 = BUNSPEC;
DEFINE_STRING( __71___R4_STRINGS_6_7_106, "", 0);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t STRING_C_51___R4_STRINGS_6_7_245 = BUNSPEC;
static obj_t STRING_F_125___R4_STRINGS_6_7_214 = BUNSPEC;
static obj_t RES_____124___R4_STRINGS_6_7_162 = BUNSPEC;
static obj_t STRING___63___R4_STRINGS_6_7_44 = BUNSPEC;
obj_t STRING___ENV___R4_STRINGS_6_7_251 = BUNSPEC;
obj_t STRING__LIST_ENV___R4_STRINGS_6_7_72 = BUNSPEC;
static obj_t STRING_D_102___R4_STRINGS_6_7_202 = BUNSPEC;
static obj_t STRING___49___R4_STRINGS_6_7_227 = BUNSPEC;
static obj_t STRING___58___R4_STRINGS_6_7_255 = BUNSPEC;
DEFINE_STRING( STRING_R_85___R4_STRINGS_6_7_111, "string-ref", 10);
DEFINE_STRING( STRING_R_120___R4_STRINGS_6_7_225, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t __STRING____R4_STRINGS_6_7_57(obj_t, obj_t);
#else
extern obj_t __STRING____R4_STRINGS_6_7_57();
#endif
#if defined( __STDC__ )
extern obj_t STRING_FILL____R4_STRINGS_6_7_134(obj_t, obj_t);
#else
extern obj_t STRING_FILL____R4_STRINGS_6_7_134();
#endif
static obj_t STRING___40___R4_STRINGS_6_7_29 = BUNSPEC;
static obj_t STRING___119___R4_STRINGS_6_7_160 = BUNSPEC;
static obj_t CHAR_____18___R4_STRINGS_6_7_174 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_DOWNCASE___R4_STRINGS_6_7_199(obj_t);
#else
extern obj_t STRING_DOWNCASE___R4_STRINGS_6_7_199();
#endif
static obj_t LIST__ST_76___R4_STRINGS_6_7_80 = BUNSPEC;
obj_t ___R4_STRINGS_6_7_INITIALISATION_ENV___R4_STRINGS_6_7_108 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_70(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_70();
#endif
DEFINE_STRING( STRING_R_98___R4_STRINGS_6_7_104, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_166(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_166();
#endif
#if defined( __STDC__ )
extern obj_t STRING_SET____R4_STRINGS_6_7_239(obj_t, obj_t, obj_t);
#else
extern obj_t STRING_SET____R4_STRINGS_6_7_239();
#endif
static obj_t STRING___41___R4_STRINGS_6_7_58 = BUNSPEC;
static obj_t STRING___50___R4_STRINGS_6_7_47 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BLIT_STRING____R4_STRINGS_6_7_211(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __BLIT_STRING____R4_STRINGS_6_7_211();
#endif
DEFINE_STRING( STRING_R_105___R4_STRINGS_6_7_168, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t STRING_REF___R4_STRINGS_6_7_47(obj_t, obj_t);
#else
extern obj_t STRING_REF___R4_STRINGS_6_7_47();
#endif
DEFINE_STRING( STRING_S_122___R4_STRINGS_6_7_119, "string-set!", 11);
obj_t STRING_CI____ENV___R4_STRINGS_6_7_79 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_163(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_163();
#endif
static obj_t STRING___97___R4_STRINGS_6_7_65 = BUNSPEC;
obj_t MAKE_STRING_ENV___R4_STRINGS_6_7_171 = BUNSPEC;
DEFINE_STRING( INDEX_OU_106___R4_STRINGS_6_7_178, "index out of range", 18);
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139(obj_t);
#else
extern obj_t ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139();
#endif
static obj_t STRING_R_14___R4_STRINGS_6_7_3 = BUNSPEC;
static obj_t C_CAR____75___R4_STRINGS_6_7_183 = BUNSPEC;
obj_t STRING_REF_ENV___R4_STRINGS_6_7_1 = BUNSPEC;
static obj_t C_CAR____8___R4_STRINGS_6_7_51 = BUNSPEC;
obj_t STRING_ENV___R4_STRINGS_6_7_199 = BUNSPEC;
static obj_t STRING_U_96___R4_STRINGS_6_7_210 = BUNSPEC;
obj_t STRING_CI___ENV___R4_STRINGS_6_7_117 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_STRING___R4_STRINGS_6_7_247(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_STRING___R4_STRINGS_6_7_247();
#endif
static obj_t END_____62___R4_STRINGS_6_7_208 = BUNSPEC;
static obj_t CHAR_____6___R4_STRINGS_6_7_4 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_REF_UR___R4_STRINGS_6_7_194(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_REF_UR___R4_STRINGS_6_7_194();
#endif
#if defined( __STDC__ )
extern obj_t __STRING______R4_STRINGS_6_7_203(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING______R4_STRINGS_6_7_203();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t LIST__STRING_ENV___R4_STRINGS_6_7_94 = BUNSPEC;
DEFINE_STRING( INDEX_OU_115___R4_STRINGS_6_7_63, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __STRING_FILL____R4_STRINGS_6_7_70(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_FILL____R4_STRINGS_6_7_70();
#endif
static obj_t STRING_A_70___R4_STRINGS_6_7_228 = BUNSPEC;
static obj_t K_____4___R4_STRINGS_6_7_192 = BUNSPEC;
static obj_t STRING___91___R4_STRINGS_6_7_136 = BUNSPEC;
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
extern obj_t __STRING_SET____R4_STRINGS_6_7_204(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_SET____R4_STRINGS_6_7_204();
#endif
static obj_t STRING_C_33___R4_STRINGS_6_7_118 = BUNSPEC;
DEFINE_STRING( STRING_R_112___R4_STRINGS_6_7_253, "string-ref", 10);
static obj_t STRING___21___R4_STRINGS_6_7_119 = BUNSPEC;
obj_t STRING_SET_UR__ENV___R4_STRINGS_6_7_219 = BUNSPEC;
DEFINE_STRING( INDEX_OU_123___R4_STRINGS_6_7_161, "index out of range", 18);
obj_t STRING_UPCASE__ENV___R4_STRINGS_6_7_101 = BUNSPEC;
static obj_t STRING_S_17___R4_STRINGS_6_7_62 = BUNSPEC;
extern bool_t string_cige();
#if defined( __STDC__ )
extern obj_t __LIST__STRING___R4_STRINGS_6_7_52(obj_t, obj_t);
#else
extern obj_t __LIST__STRING___R4_STRINGS_6_7_52();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_CI______R4_STRINGS_6_7_205(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI______R4_STRINGS_6_7_205();
#endif
extern bool_t string_lt();
static obj_t STRING_L_9___R4_STRINGS_6_7_50 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_103(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_103();
#endif
static obj_t STRING___25___R4_STRINGS_6_7_82 = BUNSPEC;
obj_t STRING_FOR_READ_ENV___R4_STRINGS_6_7_176 = BUNSPEC;
static obj_t CHAR_____79___R4_STRINGS_6_7_175 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_FOR_READ___R4_STRINGS_6_7_136(obj_t, obj_t);
#else
extern obj_t __STRING_FOR_READ___R4_STRINGS_6_7_136();
#endif
#if defined( __STDC__ )
extern obj_t STRING_REF_UR___R4_STRINGS_6_7_29(obj_t, obj_t);
#else
extern obj_t STRING_REF_UR___R4_STRINGS_6_7_29();
#endif
extern bool_t strcicmp();
extern bool_t bigloo_strcmp();
obj_t STRING__ENV___R4_STRINGS_6_7_252 = BUNSPEC;
DEFINE_STRING( STRING_S_107___R4_STRINGS_6_7_75, "string-set!", 11);
DEFINE_STRING( INDEX_OU_108___R4_STRINGS_6_7_219, "index out of range", 18);
DEFINE_STRING( INDEX_OU_86___R4_STRINGS_6_7_17, "index out of range", 18);
static obj_t STRING___82___R4_STRINGS_6_7_228 = BUNSPEC;
static obj_t STRING___59___R4_STRINGS_6_7_67 = BUNSPEC;
static obj_t STRING___111___R4_STRINGS_6_7_245 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_73(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_73();
#endif
static obj_t SUBSTRIN_60___R4_STRINGS_6_7_114 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LIST__STRING___R4_STRINGS_6_7_67(obj_t);
#else
extern obj_t LIST__STRING___R4_STRINGS_6_7_67();
#endif
obj_t STRING_LENGTH_ENV___R4_STRINGS_6_7_86 = BUNSPEC;
extern obj_t string_for_read();
DEFINE_STRING( STRING_S_100___R4_STRINGS_6_7_231, "string-set!", 11);
DEFINE_STRING( INDEX_OU_121___R4_STRINGS_6_7_118, "index out of range", 18);
obj_t STRING_COPY_ENV___R4_STRINGS_6_7_115 = BUNSPEC;
static obj_t STRING_D_103___R4_STRINGS_6_7_5 = BUNSPEC;
extern bool_t string_cigt();
static obj_t STRING_F_90___R4_STRINGS_6_7_142 = BUNSPEC;
obj_t STRING_DOWNCASE_ENV___R4_STRINGS_6_7_144 = BUNSPEC;
static obj_t TYPE_AUX_74___R4_STRINGS_6_7_251 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_119(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_119();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
static obj_t STRING___83___R4_STRINGS_6_7_64 = BUNSPEC;

static obj_t LOOP_266_213();

obj_t
#if defined( __STDC__ )
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90()
#else
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_STRINGS_6_7_14 ))
{
REQUIRE_INITIALISATION____R4_STRINGS_6_7_14=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___SYSTEM_INITIALISATION___SYSTEM_109();
STRING_R_14___R4_STRINGS_6_7_3=c_string_to_symbol( "STRING-REF@__R4_STRINGS_6_7" );
K_____4___R4_STRINGS_6_7_192=c_string_to_symbol( "K@223" );
STRING_D_103___R4_STRINGS_6_7_5=c_string_to_symbol( "STRING-DOWNCASE@__R4_STRINGS_6_7" );
STRING___49___R4_STRINGS_6_7_227=c_string_to_symbol( "STRING2@250" );
LIST__ST_76___R4_STRINGS_6_7_80=c_string_to_symbol( "LIST->STRING" );
L_____78___R4_STRINGS_6_7_113=c_string_to_symbol( "L@273" );
RES_____124___R4_STRINGS_6_7_162=c_string_to_symbol( "RES@302" );
STRING___63___R4_STRINGS_6_7_44=c_string_to_symbol( "STRING@257" );
STRING_U_110___R4_STRINGS_6_7_218=c_string_to_symbol( "STRING-UPCASE!@__R4_STRINGS_6_7" );
STRING_A_72___R4_STRINGS_6_7_196=c_string_to_symbol( "STRING-APPEND@__R4_STRINGS_6_7" );
CHAR_____79___R4_STRINGS_6_7_175=c_string_to_symbol( "CHAR@339" );
STRING___91___R4_STRINGS_6_7_136=c_string_to_symbol( "STRING@280" );
STRING___58___R4_STRINGS_6_7_255=c_string_to_symbol( "STRING2@256" );
STRING_F_90___R4_STRINGS_6_7_142=c_string_to_symbol( "STRING-FILL!@__R4_STRINGS_6_7" );
STRING___104___R4_STRINGS_6_7_179=c_string_to_symbol( "STRING@290" );
STRING_C_48___R4_STRINGS_6_7_64=c_string_to_symbol( "STRING-CI<?@__R4_STRINGS_6_7" );
SUBSTRIN_60___R4_STRINGS_6_7_114=c_string_to_symbol( "SUBSTRING@__R4_STRINGS_6_7" );
END_____67___R4_STRINGS_6_7_73=c_string_to_symbol( "END@264" );
RES_____116___R4_STRINGS_6_7_221=c_string_to_symbol( "RES@297" );
STRING_C_87___R4_STRINGS_6_7_203=c_string_to_symbol( "STRING-COPY@__R4_STRINGS_6_7" );
STRING___52___R4_STRINGS_6_7_254=c_string_to_symbol( "STRING2@252" );
CHAR_____6___R4_STRINGS_6_7_4=c_string_to_symbol( "CHAR@224" );
START____61___R4_STRINGS_6_7_35=c_string_to_symbol( "START@258" );
LIST_____73___R4_STRINGS_6_7_95=c_string_to_symbol( "LIST@267" );
STRING_R_23___R4_STRINGS_6_7_52=c_string_to_symbol( "STRING-REF-UR@__R4_STRINGS_6_7" );
STRING___39___R4_STRINGS_6_7_41=c_string_to_symbol( "STRING>?@__R4_STRINGS_6_7" );
CHAR_____27___R4_STRINGS_6_7_122=c_string_to_symbol( "CHAR@236" );
STRING___126___R4_STRINGS_6_7_124=c_string_to_symbol( "STRING@305" );
STRING___43___R4_STRINGS_6_7_114=c_string_to_symbol( "STRING2@246" );
STRING_C_51___R4_STRINGS_6_7_245=c_string_to_symbol( "STRING-CI>?@__R4_STRINGS_6_7" );
CHAR_____18___R4_STRINGS_6_7_174=c_string_to_symbol( "CHAR@231" );
STRING_S_17___R4_STRINGS_6_7_62=c_string_to_symbol( "STRING-SET!@__R4_STRINGS_6_7" );
STRING_D_102___R4_STRINGS_6_7_202=c_string_to_symbol( "STRING-DOWNCASE" );
STRING_F_89___R4_STRINGS_6_7_10=c_string_to_symbol( "STRING-FILL!" );
STRING___59___R4_STRINGS_6_7_67=c_string_to_symbol( "STRING1@255" );
STRING___38___R4_STRINGS_6_7_90=c_string_to_symbol( "STRING1@241" );
STRING___88___R4_STRINGS_6_7_88=c_string_to_symbol( "STRING@279" );
STRING___50___R4_STRINGS_6_7_47=c_string_to_symbol( "STRING1@249" );
STRING_F_125___R4_STRINGS_6_7_214=c_string_to_symbol( "STRING-FOR-READ@__R4_STRINGS_6_7" );
STRING_U_96___R4_STRINGS_6_7_210=c_string_to_symbol( "STRING-UPCASE@__R4_STRINGS_6_7" );
MAKE_STR_2___R4_STRINGS_6_7_121=c_string_to_symbol( "MAKE-STRING@__R4_STRINGS_6_7" );
STRING___21___R4_STRINGS_6_7_119=c_string_to_symbol( "STRING@229" );
STRING___30___R4_STRINGS_6_7_61=c_string_to_symbol( "STRING=?@__R4_STRINGS_6_7" );
STRING___35___R4_STRINGS_6_7_121=c_string_to_symbol( "STRING1@239" );
STRING___69___R4_STRINGS_6_7_52=c_string_to_symbol( "STRING@262" );
PAIR_5___R4_STRINGS_6_7_165=c_string_to_symbol( "PAIR" );
C_CAR____8___R4_STRINGS_6_7_51=c_string_to_symbol( "C-CAR@313" );
TYPE_AUX_74___R4_STRINGS_6_7_251=c_string_to_symbol( "TYPE-AUX@372" );
STRING___40___R4_STRINGS_6_7_29=c_string_to_symbol( "STRING2@244" );
STRING___46___R4_STRINGS_6_7_119=c_string_to_symbol( "STRING2@248" );
STRING___97___R4_STRINGS_6_7_65=c_string_to_symbol( "STRING@285" );
STRING___29___R4_STRINGS_6_7_135=c_string_to_symbol( "STRING@234" );
STRING___25___R4_STRINGS_6_7_82=c_string_to_symbol( "STRING@232" );
STRING___55___R4_STRINGS_6_7_170=c_string_to_symbol( "STRING2@254" );
END_____62___R4_STRINGS_6_7_208=c_string_to_symbol( "END@259" );
C_CAR____75___R4_STRINGS_6_7_183=c_string_to_symbol( "C-CAR@333" );
K_____28___R4_STRINGS_6_7_88=c_string_to_symbol( "K@235" );
STRING_L_9___R4_STRINGS_6_7_50=c_string_to_symbol( "STRING-LENGTH@__R4_STRINGS_6_7" );
STRING___44___R4_STRINGS_6_7_162=c_string_to_symbol( "STRING1@245" );
STRING___56___R4_STRINGS_6_7_167=c_string_to_symbol( "STRING1@253" );
STRING___119___R4_STRINGS_6_7_160=c_string_to_symbol( "STRING@300" );
STRING_D_117___R4_STRINGS_6_7_175=c_string_to_symbol( "STRING-DOWNCASE!" );
NUMBER_3___R4_STRINGS_6_7_83=c_string_to_symbol( "NUMBER" );
CHAR_____92___R4_STRINGS_6_7_77=c_string_to_symbol( "CHAR@281" );
STRING___82___R4_STRINGS_6_7_228=c_string_to_symbol( "STRING->LIST" );
START____68___R4_STRINGS_6_7_78=c_string_to_symbol( "START@263" );
STRING___111___R4_STRINGS_6_7_245=c_string_to_symbol( "STRING@295" );
SUBSTRIN_66___R4_STRINGS_6_7_18=c_string_to_symbol( "SUBSTRING-UR@__R4_STRINGS_6_7" );
STRING___11___R4_STRINGS_6_7_39=c_string_to_symbol( "STRING@226" );
STRING___53___R4_STRINGS_6_7_34=c_string_to_symbol( "STRING1@251" );
LIST__ST_77___R4_STRINGS_6_7_1=c_string_to_symbol( "LIST->STRING@__R4_STRINGS_6_7" );
STRING___42___R4_STRINGS_6_7_82=c_string_to_symbol( "STRING<=?@__R4_STRINGS_6_7" );
STRING___47___R4_STRINGS_6_7_27=c_string_to_symbol( "STRING1@247" );
STRING_U_95___R4_STRINGS_6_7_138=c_string_to_symbol( "STRING-UPCASE" );
K_____16___R4_STRINGS_6_7_81=c_string_to_symbol( "K@228" );
STRING_C_33___R4_STRINGS_6_7_118=c_string_to_symbol( "STRING-CI=?@__R4_STRINGS_6_7" );
___R__STR_1___R4_STRINGS_6_7_168=c_string_to_symbol( "__R4_STRINGS_6_7" );
STRING___41___R4_STRINGS_6_7_58=c_string_to_symbol( "STRING1@243" );
STRING_U_109___R4_STRINGS_6_7_251=c_string_to_symbol( "STRING-UPCASE!" );
STRING___83___R4_STRINGS_6_7_64=c_string_to_symbol( "STRING->LIST@__R4_STRINGS_6_7" );
STRING___15___R4_STRINGS_6_7_84=c_string_to_symbol( "STRING@227" );
CHAR_7___R4_STRINGS_6_7_12=c_string_to_symbol( "CHAR" );
STRING___45___R4_STRINGS_6_7_18=c_string_to_symbol( "STRING>=?@__R4_STRINGS_6_7" );
STRING_A_70___R4_STRINGS_6_7_228=c_string_to_symbol( "STRING-APPEND" );
STRING_D_118___R4_STRINGS_6_7_231=c_string_to_symbol( "STRING-DOWNCASE!@__R4_STRINGS_6_7" );
STRING___34___R4_STRINGS_6_7_143=c_string_to_symbol( "STRING2@240" );
STRING_C_54___R4_STRINGS_6_7_93=c_string_to_symbol( "STRING-CI<=?@__R4_STRINGS_6_7" );
K_____22___R4_STRINGS_6_7_228=c_string_to_symbol( "K@230" );
STRING_10___R4_STRINGS_6_7_195=c_string_to_symbol( "STRING" );
STRING___31___R4_STRINGS_6_7_198=c_string_to_symbol( "STRING2@238" );
STRING_S_26___R4_STRINGS_6_7_113=c_string_to_symbol( "STRING-SET-UR!@__R4_STRINGS_6_7" );
STRING___37___R4_STRINGS_6_7_38=c_string_to_symbol( "STRING2@242" );
STRING___36___R4_STRINGS_6_7_21=c_string_to_symbol( "STRING<?@__R4_STRINGS_6_7" );
STRING___32___R4_STRINGS_6_7_1=c_string_to_symbol( "STRING1@237" );
STRING___84___R4_STRINGS_6_7_138=c_string_to_symbol( "STRING@274" );
STRING_C_57___R4_STRINGS_6_7_17=c_string_to_symbol( "STRING-CI>=?@__R4_STRINGS_6_7" );
K_____24___R4_STRINGS_6_7_138=c_string_to_symbol( "K@233" );
{
___R4_STRINGS_6_7_INITIALISATION_ENV___R4_STRINGS_6_7_108=make_fx_procedure( ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139, 0, 0 );
STRING__ENV___R4_STRINGS_6_7_252=make_fx_procedure( __STRING____R4_STRINGS_6_7_57, 1, 0 );
MAKE_STRING_ENV___R4_STRINGS_6_7_171=make_va_procedure( __MAKE_STRING___R4_STRINGS_6_7_247, -2, 0 );
STRING_ENV___R4_STRINGS_6_7_199=make_va_procedure( __STRING___R4_STRINGS_6_7_112, -1, 0 );
STRING_LENGTH_ENV___R4_STRINGS_6_7_86=make_fx_procedure( __STRING_LENGTH___R4_STRINGS_6_7_106, 1, 0 );
STRING_REF_ENV___R4_STRINGS_6_7_1=make_fx_procedure( __STRING_REF___R4_STRINGS_6_7_24, 2, 0 );
STRING_SET__ENV___R4_STRINGS_6_7_118=make_fx_procedure( __STRING_SET____R4_STRINGS_6_7_204, 3, 0 );
STRING_REF_UR_ENV___R4_STRINGS_6_7_156=make_fx_procedure( __STRING_REF_UR___R4_STRINGS_6_7_194, 2, 0 );
STRING_SET_UR__ENV___R4_STRINGS_6_7_219=make_fx_procedure( __STRING_SET_UR____R4_STRINGS_6_7_159, 3, 0 );
STRING___ENV___R4_STRINGS_6_7_151=make_fx_procedure( __STRING_____R4_STRINGS_6_7_166, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_117=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_219, 2, 0 );
STRING___ENV___R4_STRINGS_6_7_204=make_fx_procedure( __STRING_____R4_STRINGS_6_7_184, 2, 0 );
STRING___ENV___R4_STRINGS_6_7_251=make_fx_procedure( __STRING_____R4_STRINGS_6_7_119, 2, 0 );
STRING____ENV___R4_STRINGS_6_7_106=make_fx_procedure( __STRING______R4_STRINGS_6_7_22, 2, 0 );
STRING____ENV___R4_STRINGS_6_7_94=make_fx_procedure( __STRING______R4_STRINGS_6_7_203, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_61=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_103, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_49=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_70, 2, 0 );
STRING_CI____ENV___R4_STRINGS_6_7_139=make_fx_procedure( __STRING_CI______R4_STRINGS_6_7_205, 2, 0 );
STRING_CI____ENV___R4_STRINGS_6_7_79=make_fx_procedure( __STRING_CI______R4_STRINGS_6_7_173, 2, 0 );
SUBSTRING_ENV___R4_STRINGS_6_7_234=make_fx_procedure( __SUBSTRING___R4_STRINGS_6_7_18, 3, 0 );
SUBSTRING_UR_ENV___R4_STRINGS_6_7_166=make_fx_procedure( __SUBSTRING_UR___R4_STRINGS_6_7_241, 3, 0 );
STRING_APPEND_ENV___R4_STRINGS_6_7_18=make_va_procedure( __STRING_APPEND___R4_STRINGS_6_7_70, -1, 0 );
LIST__STRING_ENV___R4_STRINGS_6_7_94=make_fx_procedure( __LIST__STRING___R4_STRINGS_6_7_52, 1, 0 );
STRING__LIST_ENV___R4_STRINGS_6_7_72=make_fx_procedure( __STRING__LIST___R4_STRINGS_6_7_28, 1, 0 );
STRING_COPY_ENV___R4_STRINGS_6_7_115=make_fx_procedure( __STRING_COPY___R4_STRINGS_6_7_216, 1, 0 );
STRING_FILL__ENV___R4_STRINGS_6_7_249=make_fx_procedure( __STRING_FILL____R4_STRINGS_6_7_70, 2, 0 );
STRING_UPCASE_ENV___R4_STRINGS_6_7_205=make_fx_procedure( __STRING_UPCASE___R4_STRINGS_6_7_250, 1, 0 );
STRING_DOWNCASE_ENV___R4_STRINGS_6_7_144=make_fx_procedure( __STRING_DOWNCASE___R4_STRINGS_6_7_107, 1, 0 );
STRING_UPCASE__ENV___R4_STRINGS_6_7_101=make_fx_procedure( __STRING_UPCASE____R4_STRINGS_6_7_26, 1, 0 );
STRING_DOWNCASE__ENV___R4_STRINGS_6_7_107=make_fx_procedure( __STRING_DOWNCASE____R4_STRINGS_6_7_137, 1, 0 );
STRING_FOR_READ_ENV___R4_STRINGS_6_7_176=make_fx_procedure( __STRING_FOR_READ___R4_STRINGS_6_7_136, 1, 0 );
BLIT_STRING__ENV___R4_STRINGS_6_7_83=make_fx_procedure( __BLIT_STRING____R4_STRINGS_6_7_211, 5, 0 );
{
{obj_t STRING_CAST_364_156;
STRING_CAST_364_156=BREF( &BIGLOO___0___R4_STRINGS_6_7_208);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__STR_1___R4_STRINGS_6_7_168, STRING_CAST_364_156, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139(obj_t ENV_426_91)
#else
____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139( ENV_426_91 )
obj_t ENV_426_91;
#endif
{

return ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
}

obj_t
#if defined( __STDC__ )
STRING____R4_STRINGS_6_7_192(obj_t OBJ_222_44)
#else
STRING____R4_STRINGS_6_7_192( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( STRINGP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__STRING____R4_STRINGS_6_7_57(obj_t ENV_425_17,obj_t OBJ_222_44)
#else
__STRING____R4_STRINGS_6_7_57( ENV_425_17, OBJ_222_44 )
obj_t ENV_425_17, OBJ_222_44;
#endif
{

return STRING____R4_STRINGS_6_7_192( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
MAKE_STRING___R4_STRINGS_6_7_1(obj_t K_223_64,obj_t CHAR_224_236)
#else
MAKE_STRING___R4_STRINGS_6_7_1( K_223_64, CHAR_224_236 )
obj_t K_223_64, CHAR_224_236;
#endif
{

if( NULLP( CHAR_224_236 ))
if( INTEGERP( K_223_64 ))
return make_string( K_223_64, BCHAR( ' ' ) );else
FAILURE( MAKE_STR_2___R4_STRINGS_6_7_121, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____4___R4_STRINGS_6_7_192 ), K_223_64 );else
if( INTEGERP( K_223_64 ))
{obj_t C_CAR_313_153;
if( PAIRP( CHAR_224_236 ))
C_CAR_313_153=CAR( CHAR_224_236 );else
FAILURE( MAKE_STR_2___R4_STRINGS_6_7_121, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, CHAR_____6___R4_STRINGS_6_7_4 ), CHAR_224_236 );if( CHARP( C_CAR_313_153 ))
return make_string( K_223_64, C_CAR_313_153 );else
FAILURE( MAKE_STR_2___R4_STRINGS_6_7_121, TYPE_ERROR___ERROR_146( CHAR_7___R4_STRINGS_6_7_12, C_CAR____8___R4_STRINGS_6_7_51 ), C_CAR_313_153 );}else
FAILURE( MAKE_STR_2___R4_STRINGS_6_7_121, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____4___R4_STRINGS_6_7_192 ), K_223_64 );
}

obj_t
#if defined( __STDC__ )
__MAKE_STRING___R4_STRINGS_6_7_247(obj_t ENV_424_127,obj_t K_223_64,obj_t CHAR_224_236)
#else
__MAKE_STRING___R4_STRINGS_6_7_247( ENV_424_127, K_223_64, CHAR_224_236 )
obj_t ENV_424_127, K_223_64, CHAR_224_236;
#endif
{

return MAKE_STRING___R4_STRINGS_6_7_1( K_223_64, CHAR_224_236 );
}

obj_t
#if defined( __STDC__ )
STRING___R4_STRINGS_6_7_245(obj_t CHARS_225_154)
#else
STRING___R4_STRINGS_6_7_245( CHARS_225_154 )
obj_t CHARS_225_154;
#endif
{

return LIST__STRING___R4_STRINGS_6_7_67( CHARS_225_154 );
}

obj_t
#if defined( __STDC__ )
__STRING___R4_STRINGS_6_7_112(obj_t ENV_423_20,obj_t CHARS_225_154)
#else
__STRING___R4_STRINGS_6_7_112( ENV_423_20, CHARS_225_154 )
obj_t ENV_423_20, CHARS_225_154;
#endif
{

return STRING___R4_STRINGS_6_7_245( CHARS_225_154 );
}

obj_t
#if defined( __STDC__ )
STRING_LENGTH___R4_STRINGS_6_7_121(obj_t STRING_226_106)
#else
STRING_LENGTH___R4_STRINGS_6_7_121( STRING_226_106 )
obj_t STRING_226_106;
#endif
{

if( STRINGP( STRING_226_106 ))
return STRING_LENGTH( STRING_226_106 );else
FAILURE( STRING_L_9___R4_STRINGS_6_7_50, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___11___R4_STRINGS_6_7_39 ), STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
__STRING_LENGTH___R4_STRINGS_6_7_106(obj_t ENV_422_81,obj_t STRING_226_106)
#else
__STRING_LENGTH___R4_STRINGS_6_7_106( ENV_422_81, STRING_226_106 )
obj_t ENV_422_81, STRING_226_106;
#endif
{

return STRING_LENGTH___R4_STRINGS_6_7_121( STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
STRING_REF___R4_STRINGS_6_7_47(obj_t STRING_227_82,obj_t K_228_105)
#else
STRING_REF___R4_STRINGS_6_7_47( STRING_227_82, K_228_105 )
obj_t STRING_227_82, K_228_105;
#endif
{

if( INTEGERP( K_228_105 ))
if( STRINGP( STRING_227_82 ))
{obj_t AUX_471_101;
AUX_471_101=STRING_LENGTH( STRING_227_82 );if( BOUND_CHECK( K_228_105, AUX_471_101 ))
return BCHAR( STRING_REF( STRING_227_82, CINT( K_228_105 ) ) );else
FAILURE( BREF( &STRING_R_12___R4_STRINGS_6_7_178), BREF( &INDEX_OU_13___R4_STRINGS_6_7_109), K_228_105 );}else
FAILURE( STRING_R_14___R4_STRINGS_6_7_3, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___15___R4_STRINGS_6_7_84 ), STRING_227_82 );else
FAILURE( STRING_R_14___R4_STRINGS_6_7_3, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____16___R4_STRINGS_6_7_81 ), K_228_105 );
}

obj_t
#if defined( __STDC__ )
__STRING_REF___R4_STRINGS_6_7_24(obj_t ENV_421_24,obj_t STRING_227_82,obj_t K_228_105)
#else
__STRING_REF___R4_STRINGS_6_7_24( ENV_421_24, STRING_227_82, K_228_105 )
obj_t ENV_421_24, STRING_227_82, K_228_105;
#endif
{

return STRING_REF___R4_STRINGS_6_7_47( STRING_227_82, K_228_105 );
}

obj_t
#if defined( __STDC__ )
STRING_SET____R4_STRINGS_6_7_239(obj_t STRING_229_89,obj_t K_230_106,obj_t CHAR_231_38)
#else
STRING_SET____R4_STRINGS_6_7_239( STRING_229_89, K_230_106, CHAR_231_38 )
obj_t STRING_229_89, K_230_106, CHAR_231_38;
#endif
{

if( INTEGERP( K_230_106 ))
if( STRINGP( STRING_229_89 ))
{obj_t AUX_470_242;
AUX_470_242=STRING_LENGTH( STRING_229_89 );if( BOUND_CHECK( K_230_106, AUX_470_242 ))
if( CHARP( CHAR_231_38 ))
return STRING_SET( STRING_229_89, CINT( K_230_106 ), CCHAR( CHAR_231_38 ) );else
FAILURE( STRING_S_17___R4_STRINGS_6_7_62, TYPE_ERROR___ERROR_146( CHAR_7___R4_STRINGS_6_7_12, CHAR_____18___R4_STRINGS_6_7_174 ), CHAR_231_38 );else
FAILURE( BREF( &STRING_S_19___R4_STRINGS_6_7_119), BREF( &INDEX_OU_20___R4_STRINGS_6_7_33), K_230_106 );}else
FAILURE( STRING_S_17___R4_STRINGS_6_7_62, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___21___R4_STRINGS_6_7_119 ), STRING_229_89 );else
FAILURE( STRING_S_17___R4_STRINGS_6_7_62, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____22___R4_STRINGS_6_7_228 ), K_230_106 );
}

obj_t
#if defined( __STDC__ )
__STRING_SET____R4_STRINGS_6_7_204(obj_t ENV_420_6,obj_t STRING_229_89,obj_t K_230_106,obj_t CHAR_231_38)
#else
__STRING_SET____R4_STRINGS_6_7_204( ENV_420_6, STRING_229_89, K_230_106, CHAR_231_38 )
obj_t ENV_420_6, STRING_229_89, K_230_106, CHAR_231_38;
#endif
{

return STRING_SET____R4_STRINGS_6_7_239( STRING_229_89, K_230_106, CHAR_231_38 );
}

obj_t
#if defined( __STDC__ )
STRING_REF_UR___R4_STRINGS_6_7_29(obj_t STRING_232_18,obj_t K_233_158)
#else
STRING_REF_UR___R4_STRINGS_6_7_29( STRING_232_18, K_233_158 )
obj_t STRING_232_18, K_233_158;
#endif
{

if( STRINGP( STRING_232_18 ))
if( INTEGERP( K_233_158 ))
return BCHAR( STRING_REF( STRING_232_18, CINT( K_233_158 ) ) );else
FAILURE( STRING_R_23___R4_STRINGS_6_7_52, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____24___R4_STRINGS_6_7_138 ), K_233_158 );else
FAILURE( STRING_R_23___R4_STRINGS_6_7_52, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___25___R4_STRINGS_6_7_82 ), STRING_232_18 );
}

obj_t
#if defined( __STDC__ )
__STRING_REF_UR___R4_STRINGS_6_7_194(obj_t ENV_419_66,obj_t STRING_232_18,obj_t K_233_158)
#else
__STRING_REF_UR___R4_STRINGS_6_7_194( ENV_419_66, STRING_232_18, K_233_158 )
obj_t ENV_419_66, STRING_232_18, K_233_158;
#endif
{

return STRING_REF_UR___R4_STRINGS_6_7_29( STRING_232_18, K_233_158 );
}

obj_t
#if defined( __STDC__ )
STRING_SET_UR____R4_STRINGS_6_7_35(obj_t STRING_234_199,obj_t K_235_102,obj_t CHAR_236_216)
#else
STRING_SET_UR____R4_STRINGS_6_7_35( STRING_234_199, K_235_102, CHAR_236_216 )
obj_t STRING_234_199, K_235_102, CHAR_236_216;
#endif
{

if( STRINGP( STRING_234_199 ))
if( INTEGERP( K_235_102 ))
if( CHARP( CHAR_236_216 ))
return STRING_SET( STRING_234_199, CINT( K_235_102 ), CCHAR( CHAR_236_216 ) );else
FAILURE( STRING_S_26___R4_STRINGS_6_7_113, TYPE_ERROR___ERROR_146( CHAR_7___R4_STRINGS_6_7_12, CHAR_____27___R4_STRINGS_6_7_122 ), CHAR_236_216 );else
FAILURE( STRING_S_26___R4_STRINGS_6_7_113, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, K_____28___R4_STRINGS_6_7_88 ), K_235_102 );else
FAILURE( STRING_S_26___R4_STRINGS_6_7_113, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___29___R4_STRINGS_6_7_135 ), STRING_234_199 );
}

obj_t
#if defined( __STDC__ )
__STRING_SET_UR____R4_STRINGS_6_7_159(obj_t ENV_418_60,obj_t STRING_234_199,obj_t K_235_102,obj_t CHAR_236_216)
#else
__STRING_SET_UR____R4_STRINGS_6_7_159( ENV_418_60, STRING_234_199, K_235_102, CHAR_236_216 )
obj_t ENV_418_60, STRING_234_199, K_235_102, CHAR_236_216;
#endif
{

return STRING_SET_UR____R4_STRINGS_6_7_35( STRING_234_199, K_235_102, CHAR_236_216 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_218(obj_t STRING1_237_81,obj_t STRING2_238_204)
#else
STRING_____R4_STRINGS_6_7_218( STRING1_237_81, STRING2_238_204 )
obj_t STRING1_237_81, STRING2_238_204;
#endif
{

if( STRINGP( STRING1_237_81 ))
if( STRINGP( STRING2_238_204 ))
return CBOOL_TO_BBOOL( bigloo_strcmp( STRING1_237_81, STRING2_238_204 ) );else
FAILURE( STRING___30___R4_STRINGS_6_7_61, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___31___R4_STRINGS_6_7_198 ), STRING2_238_204 );else
FAILURE( STRING___30___R4_STRINGS_6_7_61, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___32___R4_STRINGS_6_7_1 ), STRING1_237_81 );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_166(obj_t ENV_417_46,obj_t STRING1_237_81,obj_t STRING2_238_204)
#else
__STRING_____R4_STRINGS_6_7_166( ENV_417_46, STRING1_237_81, STRING2_238_204 )
obj_t ENV_417_46, STRING1_237_81, STRING2_238_204;
#endif
{

return STRING_____R4_STRINGS_6_7_218( STRING1_237_81, STRING2_238_204 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_166(obj_t STRING1_239_21,obj_t STRING2_240_106)
#else
STRING_CI_____R4_STRINGS_6_7_166( STRING1_239_21, STRING2_240_106 )
obj_t STRING1_239_21, STRING2_240_106;
#endif
{

if( STRINGP( STRING1_239_21 ))
if( STRINGP( STRING2_240_106 ))
return CBOOL_TO_BBOOL( strcicmp( BSTRING_TO_CSTRING( STRING1_239_21 ), BSTRING_TO_CSTRING( STRING2_240_106 ) ) );else
FAILURE( STRING_C_33___R4_STRINGS_6_7_118, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___34___R4_STRINGS_6_7_143 ), STRING2_240_106 );else
FAILURE( STRING_C_33___R4_STRINGS_6_7_118, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___35___R4_STRINGS_6_7_121 ), STRING1_239_21 );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_219(obj_t ENV_416_79,obj_t STRING1_239_21,obj_t STRING2_240_106)
#else
__STRING_CI_____R4_STRINGS_6_7_219( ENV_416_79, STRING1_239_21, STRING2_240_106 )
obj_t ENV_416_79, STRING1_239_21, STRING2_240_106;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_166( STRING1_239_21, STRING2_240_106 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_163(obj_t STRING1_241_13,obj_t STRING2_242_201)
#else
STRING_____R4_STRINGS_6_7_163( STRING1_241_13, STRING2_242_201 )
obj_t STRING1_241_13, STRING2_242_201;
#endif
{

if( STRINGP( STRING1_241_13 ))
if( STRINGP( STRING2_242_201 ))
return CBOOL_TO_BBOOL( string_lt( BSTRING_TO_CSTRING( STRING1_241_13 ), BSTRING_TO_CSTRING( STRING2_242_201 ) ) );else
FAILURE( STRING___36___R4_STRINGS_6_7_21, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___37___R4_STRINGS_6_7_38 ), STRING2_242_201 );else
FAILURE( STRING___36___R4_STRINGS_6_7_21, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___38___R4_STRINGS_6_7_90 ), STRING1_241_13 );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_184(obj_t ENV_415_241,obj_t STRING1_241_13,obj_t STRING2_242_201)
#else
__STRING_____R4_STRINGS_6_7_184( ENV_415_241, STRING1_241_13, STRING2_242_201 )
obj_t ENV_415_241, STRING1_241_13, STRING2_242_201;
#endif
{

return STRING_____R4_STRINGS_6_7_163( STRING1_241_13, STRING2_242_201 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_73(obj_t STRING1_243_199,obj_t STRING2_244_218)
#else
STRING_____R4_STRINGS_6_7_73( STRING1_243_199, STRING2_244_218 )
obj_t STRING1_243_199, STRING2_244_218;
#endif
{

if( STRINGP( STRING1_243_199 ))
if( STRINGP( STRING2_244_218 ))
return CBOOL_TO_BBOOL( string_gt( BSTRING_TO_CSTRING( STRING1_243_199 ), BSTRING_TO_CSTRING( STRING2_244_218 ) ) );else
FAILURE( STRING___39___R4_STRINGS_6_7_41, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___40___R4_STRINGS_6_7_29 ), STRING2_244_218 );else
FAILURE( STRING___39___R4_STRINGS_6_7_41, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___41___R4_STRINGS_6_7_58 ), STRING1_243_199 );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_119(obj_t ENV_414_156,obj_t STRING1_243_199,obj_t STRING2_244_218)
#else
__STRING_____R4_STRINGS_6_7_119( ENV_414_156, STRING1_243_199, STRING2_244_218 )
obj_t ENV_414_156, STRING1_243_199, STRING2_244_218;
#endif
{

return STRING_____R4_STRINGS_6_7_73( STRING1_243_199, STRING2_244_218 );
}

obj_t
#if defined( __STDC__ )
STRING______R4_STRINGS_6_7_114(obj_t STRING1_245_18,obj_t STRING2_246_240)
#else
STRING______R4_STRINGS_6_7_114( STRING1_245_18, STRING2_246_240 )
obj_t STRING1_245_18, STRING2_246_240;
#endif
{

if( STRINGP( STRING1_245_18 ))
if( STRINGP( STRING2_246_240 ))
return CBOOL_TO_BBOOL( string_le( BSTRING_TO_CSTRING( STRING1_245_18 ), BSTRING_TO_CSTRING( STRING2_246_240 ) ) );else
FAILURE( STRING___42___R4_STRINGS_6_7_82, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___43___R4_STRINGS_6_7_114 ), STRING2_246_240 );else
FAILURE( STRING___42___R4_STRINGS_6_7_82, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___44___R4_STRINGS_6_7_162 ), STRING1_245_18 );
}

obj_t
#if defined( __STDC__ )
__STRING______R4_STRINGS_6_7_22(obj_t ENV_413_254,obj_t STRING1_245_18,obj_t STRING2_246_240)
#else
__STRING______R4_STRINGS_6_7_22( ENV_413_254, STRING1_245_18, STRING2_246_240 )
obj_t ENV_413_254, STRING1_245_18, STRING2_246_240;
#endif
{

return STRING______R4_STRINGS_6_7_114( STRING1_245_18, STRING2_246_240 );
}

obj_t
#if defined( __STDC__ )
STRING______R4_STRINGS_6_7_67(obj_t STRING1_247_84,obj_t STRING2_248_155)
#else
STRING______R4_STRINGS_6_7_67( STRING1_247_84, STRING2_248_155 )
obj_t STRING1_247_84, STRING2_248_155;
#endif
{

if( STRINGP( STRING1_247_84 ))
if( STRINGP( STRING2_248_155 ))
return CBOOL_TO_BBOOL( string_ge( BSTRING_TO_CSTRING( STRING1_247_84 ), BSTRING_TO_CSTRING( STRING2_248_155 ) ) );else
FAILURE( STRING___45___R4_STRINGS_6_7_18, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___46___R4_STRINGS_6_7_119 ), STRING2_248_155 );else
FAILURE( STRING___45___R4_STRINGS_6_7_18, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___47___R4_STRINGS_6_7_27 ), STRING1_247_84 );
}

obj_t
#if defined( __STDC__ )
__STRING______R4_STRINGS_6_7_203(obj_t ENV_412_41,obj_t STRING1_247_84,obj_t STRING2_248_155)
#else
__STRING______R4_STRINGS_6_7_203( ENV_412_41, STRING1_247_84, STRING2_248_155 )
obj_t ENV_412_41, STRING1_247_84, STRING2_248_155;
#endif
{

return STRING______R4_STRINGS_6_7_67( STRING1_247_84, STRING2_248_155 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_184(obj_t STRING1_249_196,obj_t STRING2_250_77)
#else
STRING_CI_____R4_STRINGS_6_7_184( STRING1_249_196, STRING2_250_77 )
obj_t STRING1_249_196, STRING2_250_77;
#endif
{

if( STRINGP( STRING1_249_196 ))
if( STRINGP( STRING2_250_77 ))
return CBOOL_TO_BBOOL( string_cilt( BSTRING_TO_CSTRING( STRING1_249_196 ), BSTRING_TO_CSTRING( STRING2_250_77 ) ) );else
FAILURE( STRING_C_48___R4_STRINGS_6_7_64, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___49___R4_STRINGS_6_7_227 ), STRING2_250_77 );else
FAILURE( STRING_C_48___R4_STRINGS_6_7_64, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___50___R4_STRINGS_6_7_47 ), STRING1_249_196 );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_103(obj_t ENV_411_198,obj_t STRING1_249_196,obj_t STRING2_250_77)
#else
__STRING_CI_____R4_STRINGS_6_7_103( ENV_411_198, STRING1_249_196, STRING2_250_77 )
obj_t ENV_411_198, STRING1_249_196, STRING2_250_77;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_184( STRING1_249_196, STRING2_250_77 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_119(obj_t STRING1_251_181,obj_t STRING2_252_121)
#else
STRING_CI_____R4_STRINGS_6_7_119( STRING1_251_181, STRING2_252_121 )
obj_t STRING1_251_181, STRING2_252_121;
#endif
{

if( STRINGP( STRING1_251_181 ))
if( STRINGP( STRING2_252_121 ))
return CBOOL_TO_BBOOL( string_cigt( BSTRING_TO_CSTRING( STRING1_251_181 ), BSTRING_TO_CSTRING( STRING2_252_121 ) ) );else
FAILURE( STRING_C_51___R4_STRINGS_6_7_245, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___52___R4_STRINGS_6_7_254 ), STRING2_252_121 );else
FAILURE( STRING_C_51___R4_STRINGS_6_7_245, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___53___R4_STRINGS_6_7_34 ), STRING1_251_181 );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_70(obj_t ENV_410_168,obj_t STRING1_251_181,obj_t STRING2_252_121)
#else
__STRING_CI_____R4_STRINGS_6_7_70( ENV_410_168, STRING1_251_181, STRING2_252_121 )
obj_t ENV_410_168, STRING1_251_181, STRING2_252_121;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_119( STRING1_251_181, STRING2_252_121 );
}

obj_t
#if defined( __STDC__ )
STRING_CI______R4_STRINGS_6_7_22(obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
STRING_CI______R4_STRINGS_6_7_22( STRING1_253_70, STRING2_254_130 )
obj_t STRING1_253_70, STRING2_254_130;
#endif
{

if( STRINGP( STRING1_253_70 ))
if( STRINGP( STRING2_254_130 ))
return CBOOL_TO_BBOOL( string_cile( BSTRING_TO_CSTRING( STRING1_253_70 ), BSTRING_TO_CSTRING( STRING2_254_130 ) ) );else
FAILURE( STRING_C_54___R4_STRINGS_6_7_93, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___55___R4_STRINGS_6_7_170 ), STRING2_254_130 );else
FAILURE( STRING_C_54___R4_STRINGS_6_7_93, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___56___R4_STRINGS_6_7_167 ), STRING1_253_70 );
}

obj_t
#if defined( __STDC__ )
__STRING_CI______R4_STRINGS_6_7_205(obj_t ENV_409_225,obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
__STRING_CI______R4_STRINGS_6_7_205( ENV_409_225, STRING1_253_70, STRING2_254_130 )
obj_t ENV_409_225, STRING1_253_70, STRING2_254_130;
#endif
{

return STRING_CI______R4_STRINGS_6_7_22( STRING1_253_70, STRING2_254_130 );
}

obj_t
#if defined( __STDC__ )
STRING_CI______R4_STRINGS_6_7_203(obj_t STRING1_255_58,obj_t STRING2_256_208)
#else
STRING_CI______R4_STRINGS_6_7_203( STRING1_255_58, STRING2_256_208 )
obj_t STRING1_255_58, STRING2_256_208;
#endif
{

if( STRINGP( STRING1_255_58 ))
if( STRINGP( STRING2_256_208 ))
return CBOOL_TO_BBOOL( string_cige( BSTRING_TO_CSTRING( STRING1_255_58 ), BSTRING_TO_CSTRING( STRING2_256_208 ) ) );else
FAILURE( STRING_C_57___R4_STRINGS_6_7_17, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___58___R4_STRINGS_6_7_255 ), STRING2_256_208 );else
FAILURE( STRING_C_57___R4_STRINGS_6_7_17, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___59___R4_STRINGS_6_7_67 ), STRING1_255_58 );
}

obj_t
#if defined( __STDC__ )
__STRING_CI______R4_STRINGS_6_7_173(obj_t ENV_408_207,obj_t STRING1_255_58,obj_t STRING2_256_208)
#else
__STRING_CI______R4_STRINGS_6_7_173( ENV_408_207, STRING1_255_58, STRING2_256_208 )
obj_t ENV_408_207, STRING1_255_58, STRING2_256_208;
#endif
{

return STRING_CI______R4_STRINGS_6_7_203( STRING1_255_58, STRING2_256_208 );
}

obj_t
#if defined( __STDC__ )
SUBSTRING___R4_STRINGS_6_7_40(obj_t STRING_257_122,obj_t START_258_199,obj_t END_259_246)
#else
SUBSTRING___R4_STRINGS_6_7_40( STRING_257_122, START_258_199, END_259_246 )
obj_t STRING_257_122, START_258_199, END_259_246;
#endif
{

{bool_t __andtest_1000_427_7;
{obj_t AUX_467_209;
if( INTEGERP( END_259_246 ))
if( INTEGERP( START_258_199 ))
AUX_467_209=CBOOL_TO_BBOOL( GE_I( END_259_246, START_258_199 ) );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, START____61___R4_STRINGS_6_7_35 ), START_258_199 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, END_____62___R4_STRINGS_6_7_208 ), END_259_246 );__andtest_1000_427_7=BBOOL_TO_CBOOL( AUX_467_209 );}{if( __andtest_1000_427_7)
{bool_t __andtest_1001_428_232;
{obj_t AUX_468_163;
if( INTEGERP( START_258_199 ))
{obj_t L_321_141;
if( STRINGP( STRING_257_122 ))
L_321_141=STRING_LENGTH( STRING_257_122 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___63___R4_STRINGS_6_7_44 ), STRING_257_122 );{bool_t AUX_469_200;
AUX_469_200=BOUND_CHECK( START_258_199, ADD_I_PTAG( L_321_141, PSUB_TAG( 1 ) ) );AUX_468_163=CBOOL_TO_BBOOL( AUX_469_200 );}}else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, START____61___R4_STRINGS_6_7_35 ), START_258_199 );__andtest_1001_428_232=BBOOL_TO_CBOOL( AUX_468_163 );}if( __andtest_1001_428_232)
if( INTEGERP( END_259_246 ))
{obj_t L_323_176;
if( STRINGP( STRING_257_122 ))
L_323_176=STRING_LENGTH( STRING_257_122 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___63___R4_STRINGS_6_7_44 ), STRING_257_122 );if( BOUND_CHECK( END_259_246, ADD_I_PTAG( L_323_176, PSUB_TAG( 1 ) ) ))
goto _true_0;else
goto _false_1;}else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, END_____62___R4_STRINGS_6_7_208 ), END_259_246 );else
goto _false_1;}else
goto _false_1;_true_0:
if( STRINGP( STRING_257_122 ))
if( INTEGERP( START_258_199 ))
if( INTEGERP( END_259_246 ))
return c_substring( STRING_257_122, START_258_199, END_259_246 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, END_____62___R4_STRINGS_6_7_208 ), END_259_246 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, START____61___R4_STRINGS_6_7_35 ), START_258_199 );else
FAILURE( SUBSTRIN_60___R4_STRINGS_6_7_114, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___63___R4_STRINGS_6_7_44 ), STRING_257_122 );_false_1:
{obj_t OBJECT_326_3;
OBJECT_326_3=MAKE_PAIR( START_258_199, END_259_246 );FAILURE( BREF( &SUBSTRIN_64___R4_STRINGS_6_7_27), BREF( &ILLEGAL__65___R4_STRINGS_6_7_28), OBJECT_326_3 );};
}}
}

obj_t
#if defined( __STDC__ )
__SUBSTRING___R4_STRINGS_6_7_18(obj_t ENV_407_127,obj_t STRING_257_122,obj_t START_258_199,obj_t END_259_246)
#else
__SUBSTRING___R4_STRINGS_6_7_18( ENV_407_127, STRING_257_122, START_258_199, END_259_246 )
obj_t ENV_407_127, STRING_257_122, START_258_199, END_259_246;
#endif
{

return SUBSTRING___R4_STRINGS_6_7_40( STRING_257_122, START_258_199, END_259_246 );
}

obj_t
#if defined( __STDC__ )
SUBSTRING_UR___R4_STRINGS_6_7_32(obj_t STRING_262_82,obj_t START_263_160,obj_t END_264_85)
#else
SUBSTRING_UR___R4_STRINGS_6_7_32( STRING_262_82, START_263_160, END_264_85 )
obj_t STRING_262_82, START_263_160, END_264_85;
#endif
{

if( STRINGP( STRING_262_82 ))
if( INTEGERP( START_263_160 ))
if( INTEGERP( END_264_85 ))
return c_substring( STRING_262_82, START_263_160, END_264_85 );else
FAILURE( SUBSTRIN_66___R4_STRINGS_6_7_18, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, END_____67___R4_STRINGS_6_7_73 ), END_264_85 );else
FAILURE( SUBSTRIN_66___R4_STRINGS_6_7_18, TYPE_ERROR___ERROR_146( NUMBER_3___R4_STRINGS_6_7_83, START____68___R4_STRINGS_6_7_78 ), START_263_160 );else
FAILURE( SUBSTRIN_66___R4_STRINGS_6_7_18, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___69___R4_STRINGS_6_7_52 ), STRING_262_82 );
}

obj_t
#if defined( __STDC__ )
__SUBSTRING_UR___R4_STRINGS_6_7_241(obj_t ENV_406_17,obj_t STRING_262_82,obj_t START_263_160,obj_t END_264_85)
#else
__SUBSTRING_UR___R4_STRINGS_6_7_241( ENV_406_17, STRING_262_82, START_263_160, END_264_85 )
obj_t ENV_406_17, STRING_262_82, START_263_160, END_264_85;
#endif
{

return SUBSTRING_UR___R4_STRINGS_6_7_32( STRING_262_82, START_263_160, END_264_85 );
}

obj_t
#if defined( __STDC__ )
STRING_APPEND___R4_STRINGS_6_7_103(obj_t LIST_265_252)
#else
STRING_APPEND___R4_STRINGS_6_7_103( LIST_265_252 )
obj_t LIST_265_252;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_A_70___R4_STRINGS_6_7_228 );
{obj_t AUX_466_120;
if( NULLP( LIST_265_252 ))
AUX_466_120=BREF( &__71___R4_STRINGS_6_7_106);else
AUX_466_120=LOOP_266_213( LIST_265_252 );return POP_LAMBDA_TRACE( AUX_466_120 );}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_266_213(obj_t LIST_267_54)
#else
LOOP_266_213( LIST_267_54 )
obj_t LIST_267_54;
#endif
{

{bool_t OBJ_429_74;
{obj_t AUX_465_76;
if( PAIRP( LIST_267_54 ))
AUX_465_76=CDR( LIST_267_54 );else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, LIST_____73___R4_STRINGS_6_7_95 ), LIST_267_54 );OBJ_429_74=NULLP( AUX_465_76 );}if( OBJ_429_74)
if( PAIRP( LIST_267_54 ))
return CAR( LIST_267_54 );else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, LIST_____73___R4_STRINGS_6_7_95 ), LIST_267_54 );else
{obj_t C_CAR_333_241;
if( PAIRP( LIST_267_54 ))
C_CAR_333_241=CAR( LIST_267_54 );else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, LIST_____73___R4_STRINGS_6_7_95 ), LIST_267_54 );if( STRINGP( C_CAR_333_241 ))
{obj_t TYPE_AUX_372_224;
{obj_t C_CDR_334_87;
if( PAIRP( LIST_267_54 ))
C_CDR_334_87=CDR( LIST_267_54 );else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, LIST_____73___R4_STRINGS_6_7_95 ), LIST_267_54 );TYPE_AUX_372_224=LOOP_266_213( C_CDR_334_87 );}if( STRINGP( TYPE_AUX_372_224 ))
return string_append( C_CAR_333_241, TYPE_AUX_372_224 );else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, TYPE_AUX_74___R4_STRINGS_6_7_251 ), TYPE_AUX_372_224 );}else
FAILURE( STRING_A_72___R4_STRINGS_6_7_196, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, C_CAR____75___R4_STRINGS_6_7_183 ), C_CAR_333_241 );}}
}

obj_t
#if defined( __STDC__ )
__STRING_APPEND___R4_STRINGS_6_7_70(obj_t ENV_405_91,obj_t LIST_265_252)
#else
__STRING_APPEND___R4_STRINGS_6_7_70( ENV_405_91, LIST_265_252 )
obj_t ENV_405_91, LIST_265_252;
#endif
{

return STRING_APPEND___R4_STRINGS_6_7_103( LIST_265_252 );
}

obj_t
#if defined( __STDC__ )
LIST__STRING___R4_STRINGS_6_7_67(obj_t LIST_268_85)
#else
LIST__STRING___R4_STRINGS_6_7_67( LIST_268_85 )
obj_t LIST_268_85;
#endif
{

{
PUSH_LAMBDA_TRACE( LIST__ST_76___R4_STRINGS_6_7_80 );
{obj_t AUX_462_123;
{obj_t LEN_269_120;
LEN_269_120=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_268_85 );{obj_t STRING_270_204;
{obj_t CHAR_335_12;
CHAR_335_12=BNIL;STRING_270_204=make_string( LEN_269_120, BCHAR( ' ' ) );}{obj_t I_272_247, L_273_188;
{
L_273_188=LIST_268_85;
I_272_247=BINT( 0 );
{_LOOP_271_140:

if( EQ_I( I_272_247, LEN_269_120 ))
AUX_462_123=STRING_270_204;else
{
{obj_t CHAR_339_124;
if( PAIRP( L_273_188 ))
CHAR_339_124=CAR( L_273_188 );else
FAILURE( LIST__ST_77___R4_STRINGS_6_7_1, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, L_____78___R4_STRINGS_6_7_113 ), L_273_188 );{obj_t AUX_463_229;
AUX_463_229=STRING_LENGTH( STRING_270_204 );if( BOUND_CHECK( I_272_247, AUX_463_229 ))
if( CHARP( CHAR_339_124 ))
STRING_SET( STRING_270_204, CINT( I_272_247 ), CCHAR( CHAR_339_124 ) );else
FAILURE( LIST__ST_77___R4_STRINGS_6_7_1, TYPE_ERROR___ERROR_146( CHAR_7___R4_STRINGS_6_7_12, CHAR_____79___R4_STRINGS_6_7_175 ), CHAR_339_124 );else
FAILURE( BREF( &STRING_S_80___R4_STRINGS_6_7_157), BREF( &INDEX_OU_81___R4_STRINGS_6_7_8), I_272_247 );}}
{obj_t C_CDR_341_75;
if( PAIRP( L_273_188 ))
C_CDR_341_75=CDR( L_273_188 );else
FAILURE( LIST__ST_77___R4_STRINGS_6_7_1, TYPE_ERROR___ERROR_146( PAIR_5___R4_STRINGS_6_7_165, L_____78___R4_STRINGS_6_7_113 ), L_273_188 );{obj_t I_464_165;
I_464_165=I_272_247;{
L_273_188=C_CDR_341_75;
I_272_247=ADD_I_PTAG( I_464_165, PSUB_TAG( 1 ) );
goto _LOOP_271_140;
}}}
}}
}}}}return POP_LAMBDA_TRACE( AUX_462_123 );}
}
}

obj_t
#if defined( __STDC__ )
__LIST__STRING___R4_STRINGS_6_7_52(obj_t ENV_404_92,obj_t LIST_268_85)
#else
__LIST__STRING___R4_STRINGS_6_7_52( ENV_404_92, LIST_268_85 )
obj_t ENV_404_92, LIST_268_85;
#endif
{

return LIST__STRING___R4_STRINGS_6_7_67( LIST_268_85 );
}

obj_t
#if defined( __STDC__ )
STRING__LIST___R4_STRINGS_6_7_112(obj_t STRING_274_220)
#else
STRING__LIST___R4_STRINGS_6_7_112( STRING_274_220 )
obj_t STRING_274_220;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING___82___R4_STRINGS_6_7_228 );
{obj_t AUX_459_52;
{obj_t LEN_275_185;
if( STRINGP( STRING_274_220 ))
LEN_275_185=STRING_LENGTH( STRING_274_220 );else
FAILURE( STRING___83___R4_STRINGS_6_7_64, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___84___R4_STRINGS_6_7_138 ), STRING_274_220 );{obj_t I_277_220, ACC_278_26;
{
ACC_278_26=BNIL;
I_277_220=BINT( 0 );
{_LOOP_276_170:

if( EQ_I( I_277_220, LEN_275_185 ))
AUX_459_52=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_278_26 );else
{obj_t OBJ1_343_253;
if( STRINGP( STRING_274_220 ))
{obj_t AUX_460_152;
AUX_460_152=STRING_LENGTH( STRING_274_220 );if( BOUND_CHECK( I_277_220, AUX_460_152 ))
OBJ1_343_253=BCHAR( STRING_REF( STRING_274_220, CINT( I_277_220 ) ) );else
FAILURE( BREF( &STRING_R_85___R4_STRINGS_6_7_111), BREF( &INDEX_OU_86___R4_STRINGS_6_7_17), I_277_220 );}else
FAILURE( STRING___83___R4_STRINGS_6_7_64, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___84___R4_STRINGS_6_7_138 ), STRING_274_220 );{obj_t C_CONS_344_167;
C_CONS_344_167=MAKE_PAIR( OBJ1_343_253, ACC_278_26 );{obj_t I_461_129;
I_461_129=I_277_220;{
ACC_278_26=C_CONS_344_167;
I_277_220=ADD_I_PTAG( I_461_129, PSUB_TAG( 1 ) );
goto _LOOP_276_170;
}}}}}
}}}return POP_LAMBDA_TRACE( AUX_459_52 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING__LIST___R4_STRINGS_6_7_28(obj_t ENV_403_6,obj_t STRING_274_220)
#else
__STRING__LIST___R4_STRINGS_6_7_28( ENV_403_6, STRING_274_220 )
obj_t ENV_403_6, STRING_274_220;
#endif
{

return STRING__LIST___R4_STRINGS_6_7_112( STRING_274_220 );
}

obj_t
#if defined( __STDC__ )
STRING_COPY___R4_STRINGS_6_7_97(obj_t STRING_279_199)
#else
STRING_COPY___R4_STRINGS_6_7_97( STRING_279_199 )
obj_t STRING_279_199;
#endif
{

if( STRINGP( STRING_279_199 ))
return c_string_to_string( BSTRING_TO_CSTRING( STRING_279_199 ) );else
FAILURE( STRING_C_87___R4_STRINGS_6_7_203, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___88___R4_STRINGS_6_7_88 ), STRING_279_199 );
}

obj_t
#if defined( __STDC__ )
__STRING_COPY___R4_STRINGS_6_7_216(obj_t ENV_402_24,obj_t STRING_279_199)
#else
__STRING_COPY___R4_STRINGS_6_7_216( ENV_402_24, STRING_279_199 )
obj_t ENV_402_24, STRING_279_199;
#endif
{

return STRING_COPY___R4_STRINGS_6_7_97( STRING_279_199 );
}

obj_t
#if defined( __STDC__ )
STRING_FILL____R4_STRINGS_6_7_134(obj_t STRING_280_219,obj_t CHAR_281_235)
#else
STRING_FILL____R4_STRINGS_6_7_134( STRING_280_219, CHAR_281_235 )
obj_t STRING_280_219, CHAR_281_235;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_F_89___R4_STRINGS_6_7_10 );
{obj_t AUX_456_63;
{obj_t LEN_282_96;
if( STRINGP( STRING_280_219 ))
LEN_282_96=STRING_LENGTH( STRING_280_219 );else
FAILURE( STRING_F_90___R4_STRINGS_6_7_142, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___91___R4_STRINGS_6_7_136 ), STRING_280_219 );{obj_t I_284_73;
{
I_284_73=BINT( 0 );
{_LOOP_283_119:

if( EQ_I( I_284_73, LEN_282_96 ))
AUX_456_63=STRING_280_219;else
{
if( STRINGP( STRING_280_219 ))
{obj_t AUX_457_23;
AUX_457_23=STRING_LENGTH( STRING_280_219 );if( BOUND_CHECK( I_284_73, AUX_457_23 ))
if( CHARP( CHAR_281_235 ))
STRING_SET( STRING_280_219, CINT( I_284_73 ), CCHAR( CHAR_281_235 ) );else
FAILURE( STRING_F_90___R4_STRINGS_6_7_142, TYPE_ERROR___ERROR_146( CHAR_7___R4_STRINGS_6_7_12, CHAR_____92___R4_STRINGS_6_7_77 ), CHAR_281_235 );else
FAILURE( BREF( &STRING_S_93___R4_STRINGS_6_7_122), BREF( &INDEX_OU_94___R4_STRINGS_6_7_205), I_284_73 );}else
FAILURE( STRING_F_90___R4_STRINGS_6_7_142, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___91___R4_STRINGS_6_7_136 ), STRING_280_219 );
{obj_t I_458_19;
I_458_19=I_284_73;{
I_284_73=ADD_I_PTAG( I_458_19, PSUB_TAG( 1 ) );
goto _LOOP_283_119;
}}
}}
}}}return POP_LAMBDA_TRACE( AUX_456_63 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING_FILL____R4_STRINGS_6_7_70(obj_t ENV_401_81,obj_t STRING_280_219,obj_t CHAR_281_235)
#else
__STRING_FILL____R4_STRINGS_6_7_70( ENV_401_81, STRING_280_219, CHAR_281_235 )
obj_t ENV_401_81, STRING_280_219, CHAR_281_235;
#endif
{

return STRING_FILL____R4_STRINGS_6_7_134( STRING_280_219, CHAR_281_235 );
}

obj_t
#if defined( __STDC__ )
STRING_UPCASE___R4_STRINGS_6_7_251(obj_t STRING_285_235)
#else
STRING_UPCASE___R4_STRINGS_6_7_251( STRING_285_235 )
obj_t STRING_285_235;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_U_95___R4_STRINGS_6_7_138 );
{obj_t AUX_451_184;
{obj_t LEN_286_246;
if( STRINGP( STRING_285_235 ))
LEN_286_246=STRING_LENGTH( STRING_285_235 );else
FAILURE( STRING_U_96___R4_STRINGS_6_7_210, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___97___R4_STRINGS_6_7_65 ), STRING_285_235 );{obj_t RES_287_60;
{obj_t CHAR_346_111;
CHAR_346_111=BNIL;RES_287_60=make_string( LEN_286_246, BCHAR( ' ' ) );}{obj_t I_289_56;
{
I_289_56=BINT( 0 );
{_LOOP_288_27:

if( EQ_I( I_289_56, LEN_286_246 ))
AUX_451_184=RES_287_60;else
{
{char CHAR_432_220;
{obj_t AUX_452_39;
{obj_t CHAR_350_154;
if( STRINGP( STRING_285_235 ))
{obj_t AUX_453_117;
AUX_453_117=STRING_LENGTH( STRING_285_235 );if( BOUND_CHECK( I_289_56, AUX_453_117 ))
CHAR_350_154=BCHAR( STRING_REF( STRING_285_235, CINT( I_289_56 ) ) );else
FAILURE( BREF( &STRING_R_98___R4_STRINGS_6_7_104), BREF( &INDEX_OU_99___R4_STRINGS_6_7_237), I_289_56 );}else
FAILURE( STRING_U_96___R4_STRINGS_6_7_210, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___97___R4_STRINGS_6_7_65 ), STRING_285_235 );AUX_452_39=CHAR_UPCASE( CHAR_350_154 );}CHAR_432_220=CCHAR( AUX_452_39 );}{obj_t AUX_454_37;
AUX_454_37=STRING_LENGTH( RES_287_60 );if( BOUND_CHECK( I_289_56, AUX_454_37 ))
STRING_SET( RES_287_60, CINT( I_289_56 ), CHAR_432_220 );else
FAILURE( BREF( &STRING_S_100___R4_STRINGS_6_7_231), BREF( &INDEX_OU_101___R4_STRINGS_6_7_175), I_289_56 );}}
{obj_t I_455_236;
I_455_236=I_289_56;{
I_289_56=ADD_I_PTAG( I_455_236, PSUB_TAG( 1 ) );
goto _LOOP_288_27;
}}
}}
}}}}return POP_LAMBDA_TRACE( AUX_451_184 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING_UPCASE___R4_STRINGS_6_7_250(obj_t ENV_400_20,obj_t STRING_285_235)
#else
__STRING_UPCASE___R4_STRINGS_6_7_250( ENV_400_20, STRING_285_235 )
obj_t ENV_400_20, STRING_285_235;
#endif
{

return STRING_UPCASE___R4_STRINGS_6_7_251( STRING_285_235 );
}

obj_t
#if defined( __STDC__ )
STRING_DOWNCASE___R4_STRINGS_6_7_199(obj_t STRING_290_74)
#else
STRING_DOWNCASE___R4_STRINGS_6_7_199( STRING_290_74 )
obj_t STRING_290_74;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_D_102___R4_STRINGS_6_7_202 );
{obj_t AUX_446_180;
{obj_t LEN_291_0;
if( STRINGP( STRING_290_74 ))
LEN_291_0=STRING_LENGTH( STRING_290_74 );else
FAILURE( STRING_D_103___R4_STRINGS_6_7_5, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___104___R4_STRINGS_6_7_179 ), STRING_290_74 );{obj_t RES_292_110;
{obj_t CHAR_352_88;
CHAR_352_88=BNIL;RES_292_110=make_string( LEN_291_0, BCHAR( ' ' ) );}{obj_t I_294_206;
{
I_294_206=BINT( 0 );
{_LOOP_293_69:

if( EQ_I( I_294_206, LEN_291_0 ))
AUX_446_180=RES_292_110;else
{
{char CHAR_433_94;
{obj_t AUX_447_205;
{obj_t CHAR_356_237;
if( STRINGP( STRING_290_74 ))
{obj_t AUX_448_227;
AUX_448_227=STRING_LENGTH( STRING_290_74 );if( BOUND_CHECK( I_294_206, AUX_448_227 ))
CHAR_356_237=BCHAR( STRING_REF( STRING_290_74, CINT( I_294_206 ) ) );else
FAILURE( BREF( &STRING_R_105___R4_STRINGS_6_7_168), BREF( &INDEX_OU_106___R4_STRINGS_6_7_178), I_294_206 );}else
FAILURE( STRING_D_103___R4_STRINGS_6_7_5, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___104___R4_STRINGS_6_7_179 ), STRING_290_74 );AUX_447_205=CHAR_DOWNCASE( CHAR_356_237 );}CHAR_433_94=CCHAR( AUX_447_205 );}{obj_t AUX_449_96;
AUX_449_96=STRING_LENGTH( RES_292_110 );if( BOUND_CHECK( I_294_206, AUX_449_96 ))
STRING_SET( RES_292_110, CINT( I_294_206 ), CHAR_433_94 );else
FAILURE( BREF( &STRING_S_107___R4_STRINGS_6_7_75), BREF( &INDEX_OU_108___R4_STRINGS_6_7_219), I_294_206 );}}
{obj_t I_450_111;
I_450_111=I_294_206;{
I_294_206=ADD_I_PTAG( I_450_111, PSUB_TAG( 1 ) );
goto _LOOP_293_69;
}}
}}
}}}}return POP_LAMBDA_TRACE( AUX_446_180 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING_DOWNCASE___R4_STRINGS_6_7_107(obj_t ENV_399_146,obj_t STRING_290_74)
#else
__STRING_DOWNCASE___R4_STRINGS_6_7_107( ENV_399_146, STRING_290_74 )
obj_t ENV_399_146, STRING_290_74;
#endif
{

return STRING_DOWNCASE___R4_STRINGS_6_7_199( STRING_290_74 );
}

obj_t
#if defined( __STDC__ )
STRING_UPCASE____R4_STRINGS_6_7_61(obj_t STRING_295_191)
#else
STRING_UPCASE____R4_STRINGS_6_7_61( STRING_295_191 )
obj_t STRING_295_191;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_U_109___R4_STRINGS_6_7_251 );
{obj_t AUX_441_160;
{obj_t LEN_296_31;
if( STRINGP( STRING_295_191 ))
LEN_296_31=STRING_LENGTH( STRING_295_191 );else
FAILURE( STRING_U_110___R4_STRINGS_6_7_218, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___111___R4_STRINGS_6_7_245 ), STRING_295_191 );{obj_t I_299_250;
{
I_299_250=BINT( 0 );
{_LOOP_298_44:

if( EQ_I( I_299_250, LEN_296_31 ))
AUX_441_160=STRING_295_191;else
{
{char CHAR_434_43;
{obj_t AUX_442_53;
{obj_t CHAR_359_252;
if( STRINGP( STRING_295_191 ))
{obj_t AUX_443_162;
AUX_443_162=STRING_LENGTH( STRING_295_191 );if( BOUND_CHECK( I_299_250, AUX_443_162 ))
CHAR_359_252=BCHAR( STRING_REF( STRING_295_191, CINT( I_299_250 ) ) );else
FAILURE( BREF( &STRING_R_112___R4_STRINGS_6_7_253), BREF( &INDEX_OU_113___R4_STRINGS_6_7_83), I_299_250 );}else
FAILURE( STRING_U_110___R4_STRINGS_6_7_218, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___111___R4_STRINGS_6_7_245 ), STRING_295_191 );AUX_442_53=CHAR_UPCASE( CHAR_359_252 );}CHAR_434_43=CCHAR( AUX_442_53 );}if( STRINGP( STRING_295_191 ))
{obj_t AUX_444_109;
AUX_444_109=STRING_LENGTH( STRING_295_191 );if( BOUND_CHECK( I_299_250, AUX_444_109 ))
STRING_SET( STRING_295_191, CINT( I_299_250 ), CHAR_434_43 );else
FAILURE( BREF( &STRING_S_114___R4_STRINGS_6_7_139), BREF( &INDEX_OU_115___R4_STRINGS_6_7_63), I_299_250 );}else
FAILURE( STRING_U_110___R4_STRINGS_6_7_218, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, RES_____116___R4_STRINGS_6_7_221 ), STRING_295_191 );}
{obj_t I_445_30;
I_445_30=I_299_250;{
I_299_250=ADD_I_PTAG( I_445_30, PSUB_TAG( 1 ) );
goto _LOOP_298_44;
}}
}}
}}}return POP_LAMBDA_TRACE( AUX_441_160 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING_UPCASE____R4_STRINGS_6_7_26(obj_t ENV_398_184,obj_t STRING_295_191)
#else
__STRING_UPCASE____R4_STRINGS_6_7_26( ENV_398_184, STRING_295_191 )
obj_t ENV_398_184, STRING_295_191;
#endif
{

return STRING_UPCASE____R4_STRINGS_6_7_61( STRING_295_191 );
}

obj_t
#if defined( __STDC__ )
STRING_DOWNCASE____R4_STRINGS_6_7_191(obj_t STRING_300_175)
#else
STRING_DOWNCASE____R4_STRINGS_6_7_191( STRING_300_175 )
obj_t STRING_300_175;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING_D_117___R4_STRINGS_6_7_175 );
{obj_t AUX_436_231;
{obj_t LEN_301_8;
if( STRINGP( STRING_300_175 ))
LEN_301_8=STRING_LENGTH( STRING_300_175 );else
FAILURE( STRING_D_118___R4_STRINGS_6_7_231, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___119___R4_STRINGS_6_7_160 ), STRING_300_175 );{obj_t I_304_163;
{
I_304_163=BINT( 0 );
{_LOOP_303_168:

if( EQ_I( I_304_163, LEN_301_8 ))
AUX_436_231=STRING_300_175;else
{
{char CHAR_435_196;
{obj_t AUX_437_71;
{obj_t CHAR_362_180;
if( STRINGP( STRING_300_175 ))
{obj_t AUX_438_249;
AUX_438_249=STRING_LENGTH( STRING_300_175 );if( BOUND_CHECK( I_304_163, AUX_438_249 ))
CHAR_362_180=BCHAR( STRING_REF( STRING_300_175, CINT( I_304_163 ) ) );else
FAILURE( BREF( &STRING_R_120___R4_STRINGS_6_7_225), BREF( &INDEX_OU_121___R4_STRINGS_6_7_118), I_304_163 );}else
FAILURE( STRING_D_118___R4_STRINGS_6_7_231, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___119___R4_STRINGS_6_7_160 ), STRING_300_175 );AUX_437_71=CHAR_DOWNCASE( CHAR_362_180 );}CHAR_435_196=CCHAR( AUX_437_71 );}if( STRINGP( STRING_300_175 ))
{obj_t AUX_439_236;
AUX_439_236=STRING_LENGTH( STRING_300_175 );if( BOUND_CHECK( I_304_163, AUX_439_236 ))
STRING_SET( STRING_300_175, CINT( I_304_163 ), CHAR_435_196 );else
FAILURE( BREF( &STRING_S_122___R4_STRINGS_6_7_119), BREF( &INDEX_OU_123___R4_STRINGS_6_7_161), I_304_163 );}else
FAILURE( STRING_D_118___R4_STRINGS_6_7_231, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, RES_____124___R4_STRINGS_6_7_162 ), STRING_300_175 );}
{obj_t I_440_40;
I_440_40=I_304_163;{
I_304_163=ADD_I_PTAG( I_440_40, PSUB_TAG( 1 ) );
goto _LOOP_303_168;
}}
}}
}}}return POP_LAMBDA_TRACE( AUX_436_231 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING_DOWNCASE____R4_STRINGS_6_7_137(obj_t ENV_397_44,obj_t STRING_300_175)
#else
__STRING_DOWNCASE____R4_STRINGS_6_7_137( ENV_397_44, STRING_300_175 )
obj_t ENV_397_44, STRING_300_175;
#endif
{

return STRING_DOWNCASE____R4_STRINGS_6_7_191( STRING_300_175 );
}

obj_t
#if defined( __STDC__ )
STRING_FOR_READ___R4_STRINGS_6_7_154(obj_t STRING_305_80)
#else
STRING_FOR_READ___R4_STRINGS_6_7_154( STRING_305_80 )
obj_t STRING_305_80;
#endif
{

if( STRINGP( STRING_305_80 ))
return string_for_read( STRING_305_80 );else
FAILURE( STRING_F_125___R4_STRINGS_6_7_214, TYPE_ERROR___ERROR_146( STRING_10___R4_STRINGS_6_7_195, STRING___126___R4_STRINGS_6_7_124 ), STRING_305_80 );
}

obj_t
#if defined( __STDC__ )
__STRING_FOR_READ___R4_STRINGS_6_7_136(obj_t ENV_396_38,obj_t STRING_305_80)
#else
__STRING_FOR_READ___R4_STRINGS_6_7_136( ENV_396_38, STRING_305_80 )
obj_t ENV_396_38, STRING_305_80;
#endif
{

return STRING_FOR_READ___R4_STRINGS_6_7_154( STRING_305_80 );
}

obj_t
#if defined( __STDC__ )
BLIT_STRING____R4_STRINGS_6_7_12(obj_t S1_306_207,obj_t O1_307_67,obj_t S2_308_254,obj_t O2_309_26,obj_t L_310_144)
#else
BLIT_STRING____R4_STRINGS_6_7_12( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 )
obj_t S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144;
#endif
{

return blit_string( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 );
}

obj_t
#if defined( __STDC__ )
__BLIT_STRING____R4_STRINGS_6_7_211(obj_t ENV_395_31,obj_t S1_306_207,obj_t O1_307_67,obj_t S2_308_254,obj_t O2_309_26,obj_t L_310_144)
#else
__BLIT_STRING____R4_STRINGS_6_7_211( ENV_395_31, S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 )
obj_t ENV_395_31, S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144;
#endif
{

return BLIT_STRING____R4_STRINGS_6_7_12( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 );
}

