/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/symbols.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( GENSYM_8___R4_SYMBOLS_6_4_121, "gensym", 6);
static obj_t LIST_____20___R4_SYMBOLS_6_4_103 = BUNSPEC;
static obj_t PAIR_____41___R4_SYMBOLS_6_4_188 = BUNSPEC;
static obj_t PAIR_____36___R4_SYMBOLS_6_4_184 = BUNSPEC;
obj_t SYMBOL_PLIST_ENV___R4_SYMBOLS_6_4_16 = BUNSPEC;
extern obj_t string_append();
static obj_t SYMBOL___31___R4_SYMBOLS_6_4_178 = BUNSPEC;
static obj_t ___R__SYM_3___R4_SYMBOLS_6_4_223 = BUNSPEC;
static obj_t SYMBOL___7___R4_SYMBOLS_6_4_120 = BUNSPEC;
obj_t GENSYM___R4_SYMBOLS_6_4_130 = BUNSPEC;
static obj_t PL_____35___R4_SYMBOLS_6_4_104 = BUNSPEC;
DEFINE_STRING( ILLEGAL__9___R4_SYMBOLS_6_4_5, "Illegal argument", 16);
static obj_t GETPROP_26___R4_SYMBOLS_6_4_50 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL____R4_SYMBOLS_6_4_139(obj_t, obj_t);
#else
extern obj_t __SYMBOL____R4_SYMBOLS_6_4_139();
#endif
#if defined( __STDC__ )
extern obj_t GETPROP___R4_SYMBOLS_6_4_49(obj_t, obj_t);
#else
extern obj_t GETPROP___R4_SYMBOLS_6_4_49();
#endif
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t SYMBOL_APPEND_ENV___R4_SYMBOLS_6_4_48 = BUNSPEC;
obj_t PUTPROP__ENV___R4_SYMBOLS_6_4_109 = BUNSPEC;
static obj_t PAIR_____42___R4_SYMBOLS_6_4_255 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t SYMBOL___25___R4_SYMBOLS_6_4_42 = BUNSPEC;
static obj_t STRING___12___R4_SYMBOLS_6_4_134 = BUNSPEC;
extern obj_t make_va_procedure();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
static obj_t SYMBOL___13___R4_SYMBOLS_6_4_199 = BUNSPEC;
static obj_t L_____40___R4_SYMBOLS_6_4_121 = BUNSPEC;
static obj_t PAIR_____44___R4_SYMBOLS_6_4_86 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26(obj_t);
#else
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26();
#endif
static obj_t PAIR_____37___R4_SYMBOLS_6_4_254 = BUNSPEC;
static obj_t SYMBOL_P_24___R4_SYMBOLS_6_4_195 = BUNSPEC;
static obj_t SYMBOL_A_19___R4_SYMBOLS_6_4_170 = BUNSPEC;
static obj_t SYMBOL___21___R4_SYMBOLS_6_4_230 = BUNSPEC;
static obj_t PUTPROP__32___R4_SYMBOLS_6_4_99 = BUNSPEC;
DEFINE_STRING( BIGLOO___0___R4_SYMBOLS_6_4_205, "Bigloo (v1.7)", 13);
static obj_t STRING___5___R4_SYMBOLS_6_4_141 = BUNSPEC;
obj_t SYMBOL__STRING_ENV___R4_SYMBOLS_6_4_81 = BUNSPEC;
static obj_t STRING_10___R4_SYMBOLS_6_4_219 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL__STRING___R4_SYMBOLS_6_4_177(obj_t, obj_t);
#else
extern obj_t __SYMBOL__STRING___R4_SYMBOLS_6_4_177();
#endif
static obj_t STRING___15___R4_SYMBOLS_6_4_122 = BUNSPEC;
static obj_t TYPE_AUX_11___R4_SYMBOLS_6_4_23 = BUNSPEC;
static obj_t SYMBOL_A_17___R4_SYMBOLS_6_4_155 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL_APPEND___R4_SYMBOLS_6_4_217(obj_t, obj_t);
#else
extern obj_t __SYMBOL_APPEND___R4_SYMBOLS_6_4_217();
#endif
static obj_t STRING___16___R4_SYMBOLS_6_4_128 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING__SYMBOL___R4_SYMBOLS_6_4_216(obj_t);
#else
extern obj_t STRING__SYMBOL___R4_SYMBOLS_6_4_216();
#endif
#if defined( __STDC__ )
extern obj_t __GETPROP___R4_SYMBOLS_6_4_110(obj_t, obj_t, obj_t);
#else
extern obj_t __GETPROP___R4_SYMBOLS_6_4_110();
#endif
#if defined( __STDC__ )
extern obj_t SYMBOL____R4_SYMBOLS_6_4_102(obj_t);
#else
extern obj_t SYMBOL____R4_SYMBOLS_6_4_102();
#endif
static obj_t REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t GETPROP_ENV___R4_SYMBOLS_6_4_95 = BUNSPEC;
static obj_t SYMBOL_6___R4_SYMBOLS_6_4_49 = BUNSPEC;
static obj_t SYMBOL___14___R4_SYMBOLS_6_4_183 = BUNSPEC;
static obj_t SYMBOL___43___R4_SYMBOLS_6_4_167 = BUNSPEC;
static obj_t SYMBOL_P_23___R4_SYMBOLS_6_4_37 = BUNSPEC;
static obj_t SYMBOL___34___R4_SYMBOLS_6_4_166 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t REMPROP__39___R4_SYMBOLS_6_4_182 = BUNSPEC;
static obj_t PUTPROP__33___R4_SYMBOLS_6_4_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING__SYMBOL___R4_SYMBOLS_6_4_196(obj_t, obj_t);
#else
extern obj_t __STRING__SYMBOL___R4_SYMBOLS_6_4_196();
#endif
static obj_t SYMBOL___22___R4_SYMBOLS_6_4_18 = BUNSPEC;
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
obj_t STRING__SYMBOL_ENV___R4_SYMBOLS_6_4_69 = BUNSPEC;
static obj_t ___R__SYM_1___R4_SYMBOLS_6_4_26 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203(obj_t);
#else
extern obj_t ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203();
#endif
extern obj_t make_fx_procedure();
static obj_t REMPROP__38___R4_SYMBOLS_6_4_152 = BUNSPEC;
obj_t ___R4_SYMBOLS_6_4_INITIALISATION_ENV___R4_SYMBOLS_6_4_216 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REMPROP____R4_SYMBOLS_6_4_119(obj_t, obj_t);
#else
extern obj_t REMPROP____R4_SYMBOLS_6_4_119();
#endif
static obj_t PAIR_4___R4_SYMBOLS_6_4_123 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t GETPROP__27___R4_SYMBOLS_6_4_128 = BUNSPEC;
obj_t SYMBOL__ENV___R4_SYMBOLS_6_4_104 = BUNSPEC;
obj_t REMPROP__ENV___R4_SYMBOLS_6_4_16 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
static obj_t PL_____28___R4_SYMBOLS_6_4_171 = BUNSPEC;
DEFINE_STRING( G_2___R4_SYMBOLS_6_4_63, "g", 1);
static obj_t PAIR_____30___R4_SYMBOLS_6_4_118 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t SYMBOL_PLIST___R4_SYMBOLS_6_4_119(obj_t);
#else
extern obj_t SYMBOL_PLIST___R4_SYMBOLS_6_4_119();
#endif
static obj_t PAIR_____29___R4_SYMBOLS_6_4_185 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL_PLIST___R4_SYMBOLS_6_4_61(obj_t, obj_t);
#else
extern obj_t __SYMBOL_PLIST___R4_SYMBOLS_6_4_61();
#endif
#if defined( __STDC__ )
extern obj_t __PUTPROP____R4_SYMBOLS_6_4_98(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __PUTPROP____R4_SYMBOLS_6_4_98();
#endif
#if defined( __STDC__ )
extern obj_t PUTPROP____R4_SYMBOLS_6_4_111(obj_t, obj_t, obj_t);
#else
extern obj_t PUTPROP____R4_SYMBOLS_6_4_111();
#endif
#if defined( __STDC__ )
extern obj_t SYMBOL__STRING___R4_SYMBOLS_6_4_112(obj_t);
#else
extern obj_t SYMBOL__STRING___R4_SYMBOLS_6_4_112();
#endif
DEFINE_STRING( __18___R4_SYMBOLS_6_4_56, "", 0);
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
#if defined( __STDC__ )
extern obj_t __REMPROP____R4_SYMBOLS_6_4_197(obj_t, obj_t, obj_t);
#else
extern obj_t __REMPROP____R4_SYMBOLS_6_4_197();
#endif

static obj_t LAMBDA__1_0_229_123();
static obj_t LOOP_226_86();

obj_t
#if defined( __STDC__ )
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135()
#else
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87 ))
{
REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___SYSTEM_INITIALISATION___SYSTEM_109();
SYMBOL___22___R4_SYMBOLS_6_4_18=c_string_to_symbol( "SYMBOL@268" );
PUTPROP__32___R4_SYMBOLS_6_4_99=c_string_to_symbol( "PUTPROP!" );
SYMBOL_P_23___R4_SYMBOLS_6_4_37=c_string_to_symbol( "SYMBOL-PLIST" );
SYMBOL___25___R4_SYMBOLS_6_4_42=c_string_to_symbol( "SYMBOL@234" );
L_____40___R4_SYMBOLS_6_4_121=c_string_to_symbol( "L@249" );
PAIR_____41___R4_SYMBOLS_6_4_188=c_string_to_symbol( "PAIR@290" );
SYMBOL___43___R4_SYMBOLS_6_4_167=c_string_to_symbol( "SYMBOL@245" );
REMPROP__38___R4_SYMBOLS_6_4_152=c_string_to_symbol( "REMPROP!" );
TYPE_AUX_11___R4_SYMBOLS_6_4_23=c_string_to_symbol( "TYPE-AUX@299" );
___R__SYM_3___R4_SYMBOLS_6_4_223=c_string_to_symbol( "__R4_SYMBOLS_6_4-INITIALISATION@__R4_SYMBOLS_6_4" );
SYMBOL___13___R4_SYMBOLS_6_4_199=c_string_to_symbol( "SYMBOL->STRING@__R4_SYMBOLS_6_4" );
PAIR_____44___R4_SYMBOLS_6_4_86=c_string_to_symbol( "PAIR@293" );
PAIR_____42___R4_SYMBOLS_6_4_255=c_string_to_symbol( "PAIR@291" );
SYMBOL___21___R4_SYMBOLS_6_4_230=c_string_to_symbol( "SYMBOL@267" );
PUTPROP__33___R4_SYMBOLS_6_4_67=c_string_to_symbol( "PUTPROP!@__R4_SYMBOLS_6_4" );
SYMBOL_P_24___R4_SYMBOLS_6_4_195=c_string_to_symbol( "SYMBOL-PLIST@__R4_SYMBOLS_6_4" );
SYMBOL___31___R4_SYMBOLS_6_4_178=c_string_to_symbol( "SYMBOL@235" );
PAIR_____30___R4_SYMBOLS_6_4_118=c_string_to_symbol( "PAIR@277" );
REMPROP__39___R4_SYMBOLS_6_4_182=c_string_to_symbol( "REMPROP!@__R4_SYMBOLS_6_4" );
STRING___5___R4_SYMBOLS_6_4_141=c_string_to_symbol( "STRING@230" );
PAIR_4___R4_SYMBOLS_6_4_123=c_string_to_symbol( "PAIR" );
SYMBOL___14___R4_SYMBOLS_6_4_183=c_string_to_symbol( "SYMBOL@223" );
STRING___12___R4_SYMBOLS_6_4_134=c_string_to_symbol( "STRING@231" );
___R__SYM_1___R4_SYMBOLS_6_4_26=c_string_to_symbol( "__R4_SYMBOLS_6_4" );
PAIR_____37___R4_SYMBOLS_6_4_254=c_string_to_symbol( "PAIR@283" );
STRING___15___R4_SYMBOLS_6_4_122=c_string_to_symbol( "STRING->SYMBOL@__R4_SYMBOLS_6_4" );
SYMBOL_A_17___R4_SYMBOLS_6_4_155=c_string_to_symbol( "SYMBOL-APPEND" );
LIST_____20___R4_SYMBOLS_6_4_103=c_string_to_symbol( "LIST@227" );
GETPROP_26___R4_SYMBOLS_6_4_50=c_string_to_symbol( "GETPROP" );
SYMBOL_6___R4_SYMBOLS_6_4_49=c_string_to_symbol( "SYMBOL" );
PAIR_____36___R4_SYMBOLS_6_4_184=c_string_to_symbol( "PAIR@282" );
SYMBOL___7___R4_SYMBOLS_6_4_120=c_string_to_symbol( "SYMBOL@253" );
SYMBOL_A_19___R4_SYMBOLS_6_4_170=c_string_to_symbol( "SYMBOL-APPEND@__R4_SYMBOLS_6_4" );
PL_____28___R4_SYMBOLS_6_4_171=c_string_to_symbol( "PL@238" );
PAIR_____29___R4_SYMBOLS_6_4_185=c_string_to_symbol( "PAIR@274" );
PL_____35___R4_SYMBOLS_6_4_104=c_string_to_symbol( "PL@243" );
STRING___16___R4_SYMBOLS_6_4_128=c_string_to_symbol( "STRING@224" );
STRING_10___R4_SYMBOLS_6_4_219=c_string_to_symbol( "STRING" );
SYMBOL___34___R4_SYMBOLS_6_4_166=c_string_to_symbol( "SYMBOL@239" );
GETPROP__27___R4_SYMBOLS_6_4_128=c_string_to_symbol( "GETPROP@__R4_SYMBOLS_6_4" );
{
___R4_SYMBOLS_6_4_INITIALISATION_ENV___R4_SYMBOLS_6_4_216=make_fx_procedure( ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203, 0, 0 );
SYMBOL__ENV___R4_SYMBOLS_6_4_104=make_fx_procedure( __SYMBOL____R4_SYMBOLS_6_4_139, 1, 0 );
SYMBOL__STRING_ENV___R4_SYMBOLS_6_4_81=make_fx_procedure( __SYMBOL__STRING___R4_SYMBOLS_6_4_177, 1, 0 );
STRING__SYMBOL_ENV___R4_SYMBOLS_6_4_69=make_fx_procedure( __STRING__SYMBOL___R4_SYMBOLS_6_4_196, 1, 0 );
SYMBOL_APPEND_ENV___R4_SYMBOLS_6_4_48=make_va_procedure( __SYMBOL_APPEND___R4_SYMBOLS_6_4_217, -1, 0 );
SYMBOL_PLIST_ENV___R4_SYMBOLS_6_4_16=make_fx_procedure( __SYMBOL_PLIST___R4_SYMBOLS_6_4_61, 1, 0 );
GETPROP_ENV___R4_SYMBOLS_6_4_95=make_fx_procedure( __GETPROP___R4_SYMBOLS_6_4_110, 2, 0 );
PUTPROP__ENV___R4_SYMBOLS_6_4_109=make_fx_procedure( __PUTPROP____R4_SYMBOLS_6_4_98, 3, 0 );
REMPROP__ENV___R4_SYMBOLS_6_4_16=make_fx_procedure( __REMPROP____R4_SYMBOLS_6_4_197, 2, 0 );
{
{obj_t STRING_CAST_295_15;
STRING_CAST_295_15=BREF( &BIGLOO___0___R4_SYMBOLS_6_4_205);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__SYM_1___R4_SYMBOLS_6_4_26, STRING_CAST_295_15, BCHAR( 'b' ) );}
{obj_t COUNTER_228_32;
COUNTER_228_32=MAKE_CELL( BINT( 999 ) );{obj_t LAMBDA__1_0_ENV_313_146;
LAMBDA__1_0_ENV_313_146=make_va_procedure( LAMBDA__1_0_229_123, -1, 1 );{
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_313_146, 0, COUNTER_228_32 );
{obj_t A_FUNCTION_300_100;
A_FUNCTION_300_100=LAMBDA__1_0_ENV_313_146;GENSYM___R4_SYMBOLS_6_4_130=A_FUNCTION_300_100;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203(obj_t ENV_315_246)
#else
____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203( ENV_315_246 )
obj_t ENV_315_246;
#endif
{

return ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_0_229_123(obj_t LAMBDA__1_0_ENV_314_23,obj_t STRING_230_84)
#else
LAMBDA__1_0_229_123( LAMBDA__1_0_ENV_314_23, STRING_230_84 )
obj_t LAMBDA__1_0_ENV_314_23, STRING_230_84;
#endif
{

{obj_t COUNTER_228_32;
COUNTER_228_32=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_314_23, 0 );{obj_t STRING_231_226;
if( NULLP( STRING_230_84 ))
STRING_231_226=BREF( &G_2___R4_SYMBOLS_6_4_63);else
{bool_t OBJ_316_20;
{obj_t AUX_344_2;
if( PAIRP( STRING_230_84 ))
AUX_344_2=CAR( STRING_230_84 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, STRING___5___R4_SYMBOLS_6_4_141 ), STRING_230_84 );OBJ_316_20=SYMBOLP( AUX_344_2 );}if( OBJ_316_20)
{obj_t SYMBOL_253_75;
if( PAIRP( STRING_230_84 ))
SYMBOL_253_75=CAR( STRING_230_84 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, STRING___5___R4_SYMBOLS_6_4_141 ), STRING_230_84 );if( SYMBOLP( SYMBOL_253_75 ))
STRING_231_226=SYMBOL_TO_STRING( SYMBOL_253_75 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___7___R4_SYMBOLS_6_4_120 ), SYMBOL_253_75 );}else
{bool_t OBJ_318_98;
{obj_t AUX_345_15;
if( PAIRP( STRING_230_84 ))
AUX_345_15=CAR( STRING_230_84 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, STRING___5___R4_SYMBOLS_6_4_141 ), STRING_230_84 );OBJ_318_98=STRINGP( AUX_345_15 );}if( OBJ_318_98)
if( PAIRP( STRING_230_84 ))
STRING_231_226=CAR( STRING_230_84 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, STRING___5___R4_SYMBOLS_6_4_141 ), STRING_230_84 );else
{obj_t OBJECT_259_43;
if( PAIRP( STRING_230_84 ))
OBJECT_259_43=CAR( STRING_230_84 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, STRING___5___R4_SYMBOLS_6_4_141 ), STRING_230_84 );FAILURE( BREF( &GENSYM_8___R4_SYMBOLS_6_4_121), BREF( &ILLEGAL__9___R4_SYMBOLS_6_4_5), OBJECT_259_43 );}}}{{_LOOP_232_169:

{
{obj_t L_262_221;
L_262_221=CELL_REF( COUNTER_228_32 );CELL_SET( COUNTER_228_32, ADD_I_PTAG( L_262_221, PSUB_TAG( 1 ) ) );}
{obj_t NAME_233_197;
if( STRINGP( STRING_231_226 ))
{obj_t TYPE_AUX_299_6;
{obj_t AUX_346_115;
AUX_346_115=CELL_REF( COUNTER_228_32 );TYPE_AUX_299_6=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_346_115, BNIL );}if( STRINGP( TYPE_AUX_299_6 ))
NAME_233_197=string_append( STRING_231_226, TYPE_AUX_299_6 );else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( STRING_10___R4_SYMBOLS_6_4_219, TYPE_AUX_11___R4_SYMBOLS_6_4_23 ), TYPE_AUX_299_6 );}else
FAILURE( ___R__SYM_3___R4_SYMBOLS_6_4_223, TYPE_ERROR___ERROR_146( STRING_10___R4_SYMBOLS_6_4_219, STRING___12___R4_SYMBOLS_6_4_134 ), STRING_231_226 );if( symbol_exists_p( BSTRING_TO_CSTRING( NAME_233_197 ) ))
goto _LOOP_232_169;else
return c_string_to_symbol( BSTRING_TO_CSTRING( NAME_233_197 ) );}
}}}}}
}

obj_t
#if defined( __STDC__ )
SYMBOL____R4_SYMBOLS_6_4_102(obj_t OBJ_222_44)
#else
SYMBOL____R4_SYMBOLS_6_4_102( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( SYMBOLP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__SYMBOL____R4_SYMBOLS_6_4_139(obj_t ENV_312_142,obj_t OBJ_222_44)
#else
__SYMBOL____R4_SYMBOLS_6_4_139( ENV_312_142, OBJ_222_44 )
obj_t ENV_312_142, OBJ_222_44;
#endif
{

return SYMBOL____R4_SYMBOLS_6_4_102( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
SYMBOL__STRING___R4_SYMBOLS_6_4_112(obj_t SYMBOL_223_236)
#else
SYMBOL__STRING___R4_SYMBOLS_6_4_112( SYMBOL_223_236 )
obj_t SYMBOL_223_236;
#endif
{

if( SYMBOLP( SYMBOL_223_236 ))
return SYMBOL_TO_STRING( SYMBOL_223_236 );else
FAILURE( SYMBOL___13___R4_SYMBOLS_6_4_199, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___14___R4_SYMBOLS_6_4_183 ), SYMBOL_223_236 );
}

obj_t
#if defined( __STDC__ )
__SYMBOL__STRING___R4_SYMBOLS_6_4_177(obj_t ENV_311_96,obj_t SYMBOL_223_236)
#else
__SYMBOL__STRING___R4_SYMBOLS_6_4_177( ENV_311_96, SYMBOL_223_236 )
obj_t ENV_311_96, SYMBOL_223_236;
#endif
{

return SYMBOL__STRING___R4_SYMBOLS_6_4_112( SYMBOL_223_236 );
}

obj_t
#if defined( __STDC__ )
STRING__SYMBOL___R4_SYMBOLS_6_4_216(obj_t STRING_224_201)
#else
STRING__SYMBOL___R4_SYMBOLS_6_4_216( STRING_224_201 )
obj_t STRING_224_201;
#endif
{

if( STRINGP( STRING_224_201 ))
return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_224_201 ) );else
FAILURE( STRING___15___R4_SYMBOLS_6_4_122, TYPE_ERROR___ERROR_146( STRING_10___R4_SYMBOLS_6_4_219, STRING___16___R4_SYMBOLS_6_4_128 ), STRING_224_201 );
}

obj_t
#if defined( __STDC__ )
__STRING__SYMBOL___R4_SYMBOLS_6_4_196(obj_t ENV_310_227,obj_t STRING_224_201)
#else
__STRING__SYMBOL___R4_SYMBOLS_6_4_196( ENV_310_227, STRING_224_201 )
obj_t ENV_310_227, STRING_224_201;
#endif
{

return STRING__SYMBOL___R4_SYMBOLS_6_4_216( STRING_224_201 );
}

obj_t
#if defined( __STDC__ )
SYMBOL_APPEND___R4_SYMBOLS_6_4_26(obj_t LIST_225_29)
#else
SYMBOL_APPEND___R4_SYMBOLS_6_4_26( LIST_225_29 )
obj_t LIST_225_29;
#endif
{

{
PUSH_LAMBDA_TRACE( SYMBOL_A_17___R4_SYMBOLS_6_4_155 );
{obj_t AUX_343_67;
{obj_t STRING_264_255;
if( NULLP( LIST_225_29 ))
STRING_264_255=BREF( &__18___R4_SYMBOLS_6_4_56);else
STRING_264_255=LOOP_226_86( LIST_225_29 );AUX_343_67=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_264_255 ) );}return POP_LAMBDA_TRACE( AUX_343_67 );}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_226_86(obj_t LIST_227_185)
#else
LOOP_226_86( LIST_227_185 )
obj_t LIST_227_185;
#endif
{

{bool_t OBJ_321_40;
{obj_t AUX_341_210;
if( PAIRP( LIST_227_185 ))
AUX_341_210=CDR( LIST_227_185 );else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, LIST_____20___R4_SYMBOLS_6_4_103 ), LIST_227_185 );OBJ_321_40=NULLP( AUX_341_210 );}if( OBJ_321_40)
{obj_t SYMBOL_267_124;
if( PAIRP( LIST_227_185 ))
SYMBOL_267_124=CAR( LIST_227_185 );else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, LIST_____20___R4_SYMBOLS_6_4_103 ), LIST_227_185 );if( SYMBOLP( SYMBOL_267_124 ))
return SYMBOL_TO_STRING( SYMBOL_267_124 );else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___21___R4_SYMBOLS_6_4_230 ), SYMBOL_267_124 );}else
{obj_t SYMBOL_268_70;
if( PAIRP( LIST_227_185 ))
SYMBOL_268_70=CAR( LIST_227_185 );else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, LIST_____20___R4_SYMBOLS_6_4_103 ), LIST_227_185 );if( SYMBOLP( SYMBOL_268_70 ))
{obj_t TYPE_AUX_302_202;
{obj_t C_CDR_269_234;
if( PAIRP( LIST_227_185 ))
C_CDR_269_234=CDR( LIST_227_185 );else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, LIST_____20___R4_SYMBOLS_6_4_103 ), LIST_227_185 );TYPE_AUX_302_202=LOOP_226_86( C_CDR_269_234 );}{obj_t AUX_342_186;
AUX_342_186=SYMBOL_TO_STRING( SYMBOL_268_70 );return string_append( AUX_342_186, TYPE_AUX_302_202 );}}else
FAILURE( SYMBOL_A_19___R4_SYMBOLS_6_4_170, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___22___R4_SYMBOLS_6_4_18 ), SYMBOL_268_70 );}}
}

obj_t
#if defined( __STDC__ )
__SYMBOL_APPEND___R4_SYMBOLS_6_4_217(obj_t ENV_309_206,obj_t LIST_225_29)
#else
__SYMBOL_APPEND___R4_SYMBOLS_6_4_217( ENV_309_206, LIST_225_29 )
obj_t ENV_309_206, LIST_225_29;
#endif
{

return SYMBOL_APPEND___R4_SYMBOLS_6_4_26( LIST_225_29 );
}

obj_t
#if defined( __STDC__ )
SYMBOL_PLIST___R4_SYMBOLS_6_4_119(obj_t SYMBOL_234_85)
#else
SYMBOL_PLIST___R4_SYMBOLS_6_4_119( SYMBOL_234_85 )
obj_t SYMBOL_234_85;
#endif
{

{
PUSH_LAMBDA_TRACE( SYMBOL_P_23___R4_SYMBOLS_6_4_37 );
{obj_t AUX_340_28;
if( SYMBOLP( SYMBOL_234_85 ))
AUX_340_28=GET_SYMBOL_PLIST( SYMBOL_234_85 );else
FAILURE( SYMBOL_P_24___R4_SYMBOLS_6_4_195, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___25___R4_SYMBOLS_6_4_42 ), SYMBOL_234_85 );return POP_LAMBDA_TRACE( AUX_340_28 );}
}
}

obj_t
#if defined( __STDC__ )
__SYMBOL_PLIST___R4_SYMBOLS_6_4_61(obj_t ENV_308_35,obj_t SYMBOL_234_85)
#else
__SYMBOL_PLIST___R4_SYMBOLS_6_4_61( ENV_308_35, SYMBOL_234_85 )
obj_t ENV_308_35, SYMBOL_234_85;
#endif
{

return SYMBOL_PLIST___R4_SYMBOLS_6_4_119( SYMBOL_234_85 );
}

obj_t
#if defined( __STDC__ )
GETPROP___R4_SYMBOLS_6_4_49(obj_t SYMBOL_235_178,obj_t KEY_236_205)
#else
GETPROP___R4_SYMBOLS_6_4_49( SYMBOL_235_178, KEY_236_205 )
obj_t SYMBOL_235_178, KEY_236_205;
#endif
{

{
PUSH_LAMBDA_TRACE( GETPROP_26___R4_SYMBOLS_6_4_50 );
{obj_t AUX_338_183;
{obj_t PL_238_24;
{
{
PUSH_LAMBDA_TRACE( SYMBOL_P_23___R4_SYMBOLS_6_4_37 );
{obj_t AUX_339_167;
if( SYMBOLP( SYMBOL_235_178 ))
AUX_339_167=GET_SYMBOL_PLIST( SYMBOL_235_178 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___31___R4_SYMBOLS_6_4_178 ), SYMBOL_235_178 );PL_238_24=POP_LAMBDA_TRACE( AUX_339_167 );}
}
{_LOOP_237_87:

if( NULLP( PL_238_24 ))
AUX_338_183=BFALSE;else
{obj_t OBJ1_272_140;
if( PAIRP( PL_238_24 ))
OBJ1_272_140=CAR( PL_238_24 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____28___R4_SYMBOLS_6_4_171 ), PL_238_24 );if( EQP( OBJ1_272_140, KEY_236_205 ))
{obj_t PAIR_274_209;
if( PAIRP( PL_238_24 ))
PAIR_274_209=CDR( PL_238_24 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____28___R4_SYMBOLS_6_4_171 ), PL_238_24 );if( PAIRP( PAIR_274_209 ))
AUX_338_183=CAR( PAIR_274_209 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____29___R4_SYMBOLS_6_4_185 ), PAIR_274_209 );}else
{obj_t PAIR_277_203;
if( PAIRP( PL_238_24 ))
PAIR_277_203=CDR( PL_238_24 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____28___R4_SYMBOLS_6_4_171 ), PL_238_24 );{obj_t C_CDR_278_19;
if( PAIRP( PAIR_277_203 ))
C_CDR_278_19=CDR( PAIR_277_203 );else
FAILURE( GETPROP__27___R4_SYMBOLS_6_4_128, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____30___R4_SYMBOLS_6_4_118 ), PAIR_277_203 );{
PL_238_24=C_CDR_278_19;
goto _LOOP_237_87;
}}}}}
}}return POP_LAMBDA_TRACE( AUX_338_183 );}
}
}

obj_t
#if defined( __STDC__ )
__GETPROP___R4_SYMBOLS_6_4_110(obj_t ENV_307_88,obj_t SYMBOL_235_178,obj_t KEY_236_205)
#else
__GETPROP___R4_SYMBOLS_6_4_110( ENV_307_88, SYMBOL_235_178, KEY_236_205 )
obj_t ENV_307_88, SYMBOL_235_178, KEY_236_205;
#endif
{

return GETPROP___R4_SYMBOLS_6_4_49( SYMBOL_235_178, KEY_236_205 );
}

obj_t
#if defined( __STDC__ )
PUTPROP____R4_SYMBOLS_6_4_111(obj_t SYMBOL_239_252,obj_t KEY_240_116,obj_t VAL_241_6)
#else
PUTPROP____R4_SYMBOLS_6_4_111( SYMBOL_239_252, KEY_240_116, VAL_241_6 )
obj_t SYMBOL_239_252, KEY_240_116, VAL_241_6;
#endif
{

{
PUSH_LAMBDA_TRACE( PUTPROP__32___R4_SYMBOLS_6_4_99 );
{obj_t AUX_334_22;
{obj_t PL_243_109;
{
{
PUSH_LAMBDA_TRACE( SYMBOL_P_23___R4_SYMBOLS_6_4_37 );
{obj_t AUX_337_78;
if( SYMBOLP( SYMBOL_239_252 ))
AUX_337_78=GET_SYMBOL_PLIST( SYMBOL_239_252 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___34___R4_SYMBOLS_6_4_166 ), SYMBOL_239_252 );PL_243_109=POP_LAMBDA_TRACE( AUX_337_78 );}
}
{_LOOP_242_99:

if( NULLP( PL_243_109 ))
{obj_t NEW_244_141;
{obj_t VA_ARG_303_61;
{obj_t AUX_335_58;
{
PUSH_LAMBDA_TRACE( SYMBOL_P_23___R4_SYMBOLS_6_4_37 );
{obj_t AUX_336_75;
if( SYMBOLP( SYMBOL_239_252 ))
AUX_336_75=GET_SYMBOL_PLIST( SYMBOL_239_252 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___34___R4_SYMBOLS_6_4_166 ), SYMBOL_239_252 );AUX_335_58=POP_LAMBDA_TRACE( AUX_336_75 );}
}VA_ARG_303_61=MAKE_PAIR( AUX_335_58, BNIL );}{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( VAL_241_6, VA_ARG_303_61 );NEW_244_141=CONS____R4_PAIRS_AND_LISTS_6_3_28( KEY_240_116, VA_ARG_304_93 );}}{
if( SYMBOLP( SYMBOL_239_252 ))
SET_SYMBOL_PLIST( SYMBOL_239_252, NEW_244_141 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___34___R4_SYMBOLS_6_4_166 ), SYMBOL_239_252 );
AUX_334_22=NEW_244_141;
}}else
{obj_t OBJ1_279_174;
if( PAIRP( PL_243_109 ))
OBJ1_279_174=CAR( PL_243_109 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____35___R4_SYMBOLS_6_4_104 ), PL_243_109 );if( EQP( OBJ1_279_174, KEY_240_116 ))
{obj_t PAIR_282_53;
if( PAIRP( PL_243_109 ))
PAIR_282_53=CDR( PL_243_109 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____35___R4_SYMBOLS_6_4_104 ), PL_243_109 );if( PAIRP( PAIR_282_53 ))
AUX_334_22=SET_CAR( PAIR_282_53, VAL_241_6 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____36___R4_SYMBOLS_6_4_184 ), PAIR_282_53 );}else
{obj_t PAIR_283_162;
if( PAIRP( PL_243_109 ))
PAIR_283_162=CDR( PL_243_109 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PL_____35___R4_SYMBOLS_6_4_104 ), PL_243_109 );{obj_t C_CDR_284_223;
if( PAIRP( PAIR_283_162 ))
C_CDR_284_223=CDR( PAIR_283_162 );else
FAILURE( PUTPROP__33___R4_SYMBOLS_6_4_67, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____37___R4_SYMBOLS_6_4_254 ), PAIR_283_162 );{
PL_243_109=C_CDR_284_223;
goto _LOOP_242_99;
}}}}}
}}return POP_LAMBDA_TRACE( AUX_334_22 );}
}
}

obj_t
#if defined( __STDC__ )
__PUTPROP____R4_SYMBOLS_6_4_98(obj_t ENV_306_133,obj_t SYMBOL_239_252,obj_t KEY_240_116,obj_t VAL_241_6)
#else
__PUTPROP____R4_SYMBOLS_6_4_98( ENV_306_133, SYMBOL_239_252, KEY_240_116, VAL_241_6 )
obj_t ENV_306_133, SYMBOL_239_252, KEY_240_116, VAL_241_6;
#endif
{

return PUTPROP____R4_SYMBOLS_6_4_111( SYMBOL_239_252, KEY_240_116, VAL_241_6 );
}

obj_t
#if defined( __STDC__ )
REMPROP____R4_SYMBOLS_6_4_119(obj_t SYMBOL_245_232,obj_t KEY_246_192)
#else
REMPROP____R4_SYMBOLS_6_4_119( SYMBOL_245_232, KEY_246_192 )
obj_t SYMBOL_245_232, KEY_246_192;
#endif
{

{
PUSH_LAMBDA_TRACE( REMPROP__38___R4_SYMBOLS_6_4_152 );
{obj_t AUX_331_181;
{obj_t OLD_248_43, L_249_164;
{
{
PUSH_LAMBDA_TRACE( SYMBOL_P_23___R4_SYMBOLS_6_4_37 );
{obj_t AUX_333_70;
if( SYMBOLP( SYMBOL_245_232 ))
AUX_333_70=GET_SYMBOL_PLIST( SYMBOL_245_232 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___43___R4_SYMBOLS_6_4_167 ), SYMBOL_245_232 );L_249_164=POP_LAMBDA_TRACE( AUX_333_70 );}
}
OLD_248_43=BNIL;
{_LOOP_247_50:

if( NULLP( L_249_164 ))
AUX_331_181=BFALSE;else
{obj_t OBJ1_285_73;
if( PAIRP( L_249_164 ))
OBJ1_285_73=CAR( L_249_164 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, L_____40___R4_SYMBOLS_6_4_121 ), L_249_164 );if( EQP( OBJ1_285_73, KEY_246_192 ))
if( PAIRP( OLD_248_43 ))
{obj_t OBJ_289_1;
{obj_t PAIR_290_146;
if( PAIRP( L_249_164 ))
PAIR_290_146=CDR( L_249_164 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, L_____40___R4_SYMBOLS_6_4_121 ), L_249_164 );if( PAIRP( PAIR_290_146 ))
OBJ_289_1=CDR( PAIR_290_146 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____41___R4_SYMBOLS_6_4_188 ), PAIR_290_146 );}AUX_331_181=SET_CDR( OLD_248_43, OBJ_289_1 );}else
if( SYMBOLP( SYMBOL_245_232 ))
{obj_t PAIR_291_184;
if( PAIRP( L_249_164 ))
PAIR_291_184=CDR( L_249_164 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, L_____40___R4_SYMBOLS_6_4_121 ), L_249_164 );{obj_t C_CDR_292_11;
if( PAIRP( PAIR_291_184 ))
C_CDR_292_11=CDR( PAIR_291_184 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____42___R4_SYMBOLS_6_4_255 ), PAIR_291_184 );AUX_331_181=SET_SYMBOL_PLIST( SYMBOL_245_232, C_CDR_292_11 );}}else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( SYMBOL_6___R4_SYMBOLS_6_4_49, SYMBOL___43___R4_SYMBOLS_6_4_167 ), SYMBOL_245_232 );else
{obj_t PAIR_293_117;
if( PAIRP( L_249_164 ))
PAIR_293_117=CDR( L_249_164 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, L_____40___R4_SYMBOLS_6_4_121 ), L_249_164 );{obj_t C_CDR_294_239;
if( PAIRP( PAIR_293_117 ))
C_CDR_294_239=CDR( PAIR_293_117 );else
FAILURE( REMPROP__39___R4_SYMBOLS_6_4_182, TYPE_ERROR___ERROR_146( PAIR_4___R4_SYMBOLS_6_4_123, PAIR_____44___R4_SYMBOLS_6_4_86 ), PAIR_293_117 );{obj_t L_332_110;
L_332_110=L_249_164;{
L_249_164=C_CDR_294_239;
OLD_248_43=L_332_110;
goto _LOOP_247_50;
}}}}}}
}}return POP_LAMBDA_TRACE( AUX_331_181 );}
}
}

obj_t
#if defined( __STDC__ )
__REMPROP____R4_SYMBOLS_6_4_197(obj_t ENV_305_154,obj_t SYMBOL_245_232,obj_t KEY_246_192)
#else
__REMPROP____R4_SYMBOLS_6_4_197( ENV_305_154, SYMBOL_245_232, KEY_246_192 )
obj_t ENV_305_154, SYMBOL_245_232, KEY_246_192;
#endif
{

return REMPROP____R4_SYMBOLS_6_4_119( SYMBOL_245_232, KEY_246_192 );
}

