/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/binary.c                                               */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t CLOSE_BINARY_PORT___BINARY_236(obj_t);
#else
extern obj_t CLOSE_BINARY_PORT___BINARY_236();
#endif
#if defined( __STDC__ )
extern obj_t __BINARY_PORT____BINARY_180(obj_t, obj_t);
#else
extern obj_t __BINARY_PORT____BINARY_180();
#endif
static obj_t STR_____6___BINARY_144 = BUNSPEC;
static obj_t OPEN_OUT_2___BINARY_123 = BUNSPEC;
extern obj_t append_output_binary_file();
#if defined( __STDC__ )
extern obj_t BINARY_PORT____BINARY_105(obj_t);
#else
extern obj_t BINARY_PORT____BINARY_105();
#endif
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#if defined( __STDC__ )
extern obj_t OPEN_OUTPUT_BINARY_FILE___BINARY_87(obj_t);
#else
extern obj_t OPEN_OUTPUT_BINARY_FILE___BINARY_87();
#endif
extern obj_t output_obj();
#if defined( __STDC__ )
extern obj_t APPEND_OUTPUT_BINARY_FILE___BINARY_74(obj_t);
#else
extern obj_t APPEND_OUTPUT_BINARY_FILE___BINARY_74();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
obj_t OPEN_OUTPUT_BINARY_FILE_ENV___BINARY_244 = BUNSPEC;
extern obj_t ___BINARY_INITIALISATION___BINARY_232();
#if defined( __STDC__ )
extern obj_t __APPEND_OUTPUT_BINARY_FILE___BINARY_151(obj_t, obj_t);
#else
extern obj_t __APPEND_OUTPUT_BINARY_FILE___BINARY_151();
#endif
#if defined( __STDC__ )
extern obj_t __OPEN_OUTPUT_BINARY_FILE___BINARY_171(obj_t, obj_t);
#else
extern obj_t __OPEN_OUTPUT_BINARY_FILE___BINARY_171();
#endif
static obj_t ___BINARY_1___BINARY_234 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OUTPUT_OBJ___BINARY_4(obj_t, obj_t);
#else
extern obj_t OUTPUT_OBJ___BINARY_4();
#endif
extern obj_t input_obj();
#if defined( __STDC__ )
extern obj_t OPEN_INPUT_BINARY_FILE___BINARY_214(obj_t);
#else
extern obj_t OPEN_INPUT_BINARY_FILE___BINARY_214();
#endif
DEFINE_STRING( BIGLOO___0___BINARY_241, "Bigloo (v1.7)", 13);
obj_t CLOSE_BINARY_PORT_ENV___BINARY_91 = BUNSPEC;
obj_t ___BINARY_INITIALISATION_ENV___BINARY_42 = BUNSPEC;
obj_t INPUT_OBJ_ENV___BINARY_77 = BUNSPEC;
static obj_t STR_____8___BINARY_168 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __OUTPUT_OBJ___BINARY_3(obj_t, obj_t, obj_t);
#else
extern obj_t __OUTPUT_OBJ___BINARY_3();
#endif
obj_t OUTPUT_OBJ_ENV___BINARY_112 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____BINARY_200 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t open_output_binary_file();
obj_t APPEND_OUTPUT_BINARY_FILE_ENV___BINARY_227 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __OPEN_INPUT_BINARY_FILE___BINARY_54(obj_t, obj_t);
#else
extern obj_t __OPEN_INPUT_BINARY_FILE___BINARY_54();
#endif
static obj_t OPEN_INP_7___BINARY_111 = BUNSPEC;
extern obj_t close_binary_port();
obj_t OPEN_INPUT_BINARY_FILE_ENV___BINARY_223 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __CLOSE_BINARY_PORT___BINARY_224(obj_t, obj_t);
#else
extern obj_t __CLOSE_BINARY_PORT___BINARY_224();
#endif
obj_t BINARY_PORT__ENV___BINARY_95 = BUNSPEC;
static obj_t STRING_3___BINARY_218 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____BINARY_INITIALISATION___BINARY_153(obj_t);
#else
extern obj_t ____BINARY_INITIALISATION___BINARY_153();
#endif
#if defined( __STDC__ )
extern obj_t INPUT_OBJ___BINARY_54(obj_t);
#else
extern obj_t INPUT_OBJ___BINARY_54();
#endif
extern obj_t open_input_binary_file();
#if defined( __STDC__ )
extern obj_t __INPUT_OBJ___BINARY_203(obj_t, obj_t);
#else
extern obj_t __INPUT_OBJ___BINARY_203();
#endif
static obj_t STR_____4___BINARY_159 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
static obj_t APPEND_O_5___BINARY_66 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___BINARY_INITIALISATION___BINARY_232()
#else
___BINARY_INITIALISATION___BINARY_232()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____BINARY_200 ))
{
REQUIRE_INITIALISATION____BINARY_200=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
OPEN_OUT_2___BINARY_123=c_string_to_symbol( "OPEN-OUTPUT-BINARY-FILE@__BINARY" );
___BINARY_1___BINARY_234=c_string_to_symbol( "__BINARY" );
STR_____8___BINARY_168=c_string_to_symbol( "STR@225" );
STR_____6___BINARY_144=c_string_to_symbol( "STR@224" );
STR_____4___BINARY_159=c_string_to_symbol( "STR@223" );
STRING_3___BINARY_218=c_string_to_symbol( "STRING" );
OPEN_INP_7___BINARY_111=c_string_to_symbol( "OPEN-INPUT-BINARY-FILE@__BINARY" );
APPEND_O_5___BINARY_66=c_string_to_symbol( "APPEND-OUTPUT-BINARY-FILE@__BINARY" );
{
___BINARY_INITIALISATION_ENV___BINARY_42=make_fx_procedure( ____BINARY_INITIALISATION___BINARY_153, 0, 0 );
BINARY_PORT__ENV___BINARY_95=make_fx_procedure( __BINARY_PORT____BINARY_180, 1, 0 );
OPEN_OUTPUT_BINARY_FILE_ENV___BINARY_244=make_fx_procedure( __OPEN_OUTPUT_BINARY_FILE___BINARY_171, 1, 0 );
APPEND_OUTPUT_BINARY_FILE_ENV___BINARY_227=make_fx_procedure( __APPEND_OUTPUT_BINARY_FILE___BINARY_151, 1, 0 );
OPEN_INPUT_BINARY_FILE_ENV___BINARY_223=make_fx_procedure( __OPEN_INPUT_BINARY_FILE___BINARY_54, 1, 0 );
CLOSE_BINARY_PORT_ENV___BINARY_91=make_fx_procedure( __CLOSE_BINARY_PORT___BINARY_224, 1, 0 );
INPUT_OBJ_ENV___BINARY_77=make_fx_procedure( __INPUT_OBJ___BINARY_203, 1, 0 );
OUTPUT_OBJ_ENV___BINARY_112=make_fx_procedure( __OUTPUT_OBJ___BINARY_3, 2, 0 );
{
{obj_t STRING_CAST_230_51;
STRING_CAST_230_51=BREF( &BIGLOO___0___BINARY_241);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___BINARY_1___BINARY_234, STRING_CAST_230_51, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____BINARY_INITIALISATION___BINARY_153(obj_t ENV_238_200)
#else
____BINARY_INITIALISATION___BINARY_153( ENV_238_200 )
obj_t ENV_238_200;
#endif
{

return ___BINARY_INITIALISATION___BINARY_232();
}

obj_t
#if defined( __STDC__ )
BINARY_PORT____BINARY_105(obj_t OBJ_222_44)
#else
BINARY_PORT____BINARY_105( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

{bool_t AUX_239_39;
AUX_239_39=BINARY_PORTP( OBJ_222_44 );return CBOOL_TO_BBOOL( AUX_239_39 );}
}

obj_t
#if defined( __STDC__ )
__BINARY_PORT____BINARY_180(obj_t ENV_237_120,obj_t OBJ_222_44)
#else
__BINARY_PORT____BINARY_180( ENV_237_120, OBJ_222_44 )
obj_t ENV_237_120, OBJ_222_44;
#endif
{

return BINARY_PORT____BINARY_105( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
OPEN_OUTPUT_BINARY_FILE___BINARY_87(obj_t STR_223_179)
#else
OPEN_OUTPUT_BINARY_FILE___BINARY_87( STR_223_179 )
obj_t STR_223_179;
#endif
{

if( STRINGP( STR_223_179 ))
return open_output_binary_file( STR_223_179 );else
FAILURE( OPEN_OUT_2___BINARY_123, TYPE_ERROR___ERROR_146( STRING_3___BINARY_218, STR_____4___BINARY_159 ), STR_223_179 );
}

obj_t
#if defined( __STDC__ )
__OPEN_OUTPUT_BINARY_FILE___BINARY_171(obj_t ENV_236_209,obj_t STR_223_179)
#else
__OPEN_OUTPUT_BINARY_FILE___BINARY_171( ENV_236_209, STR_223_179 )
obj_t ENV_236_209, STR_223_179;
#endif
{

return OPEN_OUTPUT_BINARY_FILE___BINARY_87( STR_223_179 );
}

obj_t
#if defined( __STDC__ )
APPEND_OUTPUT_BINARY_FILE___BINARY_74(obj_t STR_224_96)
#else
APPEND_OUTPUT_BINARY_FILE___BINARY_74( STR_224_96 )
obj_t STR_224_96;
#endif
{

if( STRINGP( STR_224_96 ))
return append_output_binary_file( STR_224_96 );else
FAILURE( APPEND_O_5___BINARY_66, TYPE_ERROR___ERROR_146( STRING_3___BINARY_218, STR_____6___BINARY_144 ), STR_224_96 );
}

obj_t
#if defined( __STDC__ )
__APPEND_OUTPUT_BINARY_FILE___BINARY_151(obj_t ENV_235_203,obj_t STR_224_96)
#else
__APPEND_OUTPUT_BINARY_FILE___BINARY_151( ENV_235_203, STR_224_96 )
obj_t ENV_235_203, STR_224_96;
#endif
{

return APPEND_OUTPUT_BINARY_FILE___BINARY_74( STR_224_96 );
}

obj_t
#if defined( __STDC__ )
OPEN_INPUT_BINARY_FILE___BINARY_214(obj_t STR_225_227)
#else
OPEN_INPUT_BINARY_FILE___BINARY_214( STR_225_227 )
obj_t STR_225_227;
#endif
{

if( STRINGP( STR_225_227 ))
return open_input_binary_file( STR_225_227 );else
FAILURE( OPEN_INP_7___BINARY_111, TYPE_ERROR___ERROR_146( STRING_3___BINARY_218, STR_____8___BINARY_168 ), STR_225_227 );
}

obj_t
#if defined( __STDC__ )
__OPEN_INPUT_BINARY_FILE___BINARY_54(obj_t ENV_234_76,obj_t STR_225_227)
#else
__OPEN_INPUT_BINARY_FILE___BINARY_54( ENV_234_76, STR_225_227 )
obj_t ENV_234_76, STR_225_227;
#endif
{

return OPEN_INPUT_BINARY_FILE___BINARY_214( STR_225_227 );
}

obj_t
#if defined( __STDC__ )
CLOSE_BINARY_PORT___BINARY_236(obj_t PORT_226_50)
#else
CLOSE_BINARY_PORT___BINARY_236( PORT_226_50 )
obj_t PORT_226_50;
#endif
{

return close_binary_port( PORT_226_50 );
}

obj_t
#if defined( __STDC__ )
__CLOSE_BINARY_PORT___BINARY_224(obj_t ENV_233_123,obj_t PORT_226_50)
#else
__CLOSE_BINARY_PORT___BINARY_224( ENV_233_123, PORT_226_50 )
obj_t ENV_233_123, PORT_226_50;
#endif
{

return CLOSE_BINARY_PORT___BINARY_236( PORT_226_50 );
}

obj_t
#if defined( __STDC__ )
INPUT_OBJ___BINARY_54(obj_t PORT_227_34)
#else
INPUT_OBJ___BINARY_54( PORT_227_34 )
obj_t PORT_227_34;
#endif
{

return input_obj( PORT_227_34 );
}

obj_t
#if defined( __STDC__ )
__INPUT_OBJ___BINARY_203(obj_t ENV_232_229,obj_t PORT_227_34)
#else
__INPUT_OBJ___BINARY_203( ENV_232_229, PORT_227_34 )
obj_t ENV_232_229, PORT_227_34;
#endif
{

return INPUT_OBJ___BINARY_54( PORT_227_34 );
}

obj_t
#if defined( __STDC__ )
OUTPUT_OBJ___BINARY_4(obj_t PORT_228_4,obj_t OBJ_229_69)
#else
OUTPUT_OBJ___BINARY_4( PORT_228_4, OBJ_229_69 )
obj_t PORT_228_4, OBJ_229_69;
#endif
{

return output_obj( PORT_228_4, OBJ_229_69 );
}

obj_t
#if defined( __STDC__ )
__OUTPUT_OBJ___BINARY_3(obj_t ENV_231_152,obj_t PORT_228_4,obj_t OBJ_229_69)
#else
__OUTPUT_OBJ___BINARY_3( ENV_231_152, PORT_228_4, OBJ_229_69 )
obj_t ENV_231_152, PORT_228_4, OBJ_229_69;
#endif
{

return OUTPUT_OBJ___BINARY_4( PORT_228_4, OBJ_229_69 );
}

