/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/bit.c                                                  */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t X_____13___BIT_19 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_XOR___BIT_168(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_XOR___BIT_168();
#endif
static obj_t X_____11___BIT_50 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BIT_RSH___BIT_212(obj_t, obj_t);
#else
extern obj_t BIT_RSH___BIT_212();
#endif
static obj_t Y_____4___BIT_78 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BIT_OR___BIT_239(obj_t, obj_t);
#else
extern obj_t BIT_OR___BIT_239();
#endif
static obj_t NUMBER_3___BIT_49 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
extern obj_t ___BIT_INITIALISATION___BIT_88();
#if defined( __STDC__ )
extern obj_t ____BIT_INITIALISATION___BIT_113(obj_t);
#else
extern obj_t ____BIT_INITIALISATION___BIT_113();
#endif
obj_t BIT_AND_ENV___BIT_202 = BUNSPEC;
obj_t BIT_RSH_ENV___BIT_252 = BUNSPEC;
obj_t BIT_URSH_ENV___BIT_255 = BUNSPEC;
static obj_t BIT_NOT__12___BIT_43 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
obj_t BIT_NOT_ENV___BIT_170 = BUNSPEC;
static obj_t BIT_RSH__14___BIT_169 = BUNSPEC;
static obj_t BIT_OR___2___BIT_106 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_OR___BIT_108(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_OR___BIT_108();
#endif
static obj_t X_____16___BIT_124 = BUNSPEC;
static obj_t X_____5___BIT_123 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_RSH___BIT_215(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_RSH___BIT_215();
#endif
DEFINE_STRING( BIGLOO___0___BIT_204, "Bigloo (v1.7)", 13);
static obj_t Y_____21___BIT_28 = BUNSPEC;
static obj_t X_____19___BIT_82 = BUNSPEC;
static obj_t BIT_AND__6___BIT_251 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BIT_NOT___BIT_33(obj_t);
#else
extern obj_t BIT_NOT___BIT_33();
#endif
obj_t BIT_LSH_ENV___BIT_192 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____BIT_166 = BUNSPEC;
obj_t BIT_OR_ENV___BIT_164 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t BIT_URSH___BIT_13(obj_t, obj_t);
#else
extern obj_t BIT_URSH___BIT_13();
#endif
static obj_t X_____8___BIT_16 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_NOT___BIT_52(obj_t, obj_t);
#else
extern obj_t __BIT_NOT___BIT_52();
#endif
static obj_t BIT_LSH__20___BIT_5 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_URSH___BIT_216(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_URSH___BIT_216();
#endif
static obj_t Y_____18___BIT_8 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BIT_LSH___BIT_15(obj_t, obj_t);
#else
extern obj_t BIT_LSH___BIT_15();
#endif
static obj_t Y_____15___BIT_188 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_LSH___BIT_80(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_LSH___BIT_80();
#endif
extern obj_t make_fx_procedure();
obj_t BIT_XOR_ENV___BIT_216 = BUNSPEC;
static obj_t BIT_XOR__9___BIT_140 = BUNSPEC;
static obj_t ___BIT_1___BIT_95 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BIT_AND___BIT_32(obj_t, obj_t, obj_t);
#else
extern obj_t __BIT_AND___BIT_32();
#endif
#if defined( __STDC__ )
extern obj_t BIT_XOR___BIT_116(obj_t, obj_t);
#else
extern obj_t BIT_XOR___BIT_116();
#endif
static obj_t BIT_URSH_17___BIT_213 = BUNSPEC;
obj_t ___BIT_INITIALISATION_ENV___BIT_33 = BUNSPEC;
static obj_t Y_____10___BIT_76 = BUNSPEC;
static obj_t Y_____7___BIT_191 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BIT_AND___BIT_51(obj_t, obj_t);
#else
extern obj_t BIT_AND___BIT_51();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
static obj_t X_____22___BIT_102 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___BIT_INITIALISATION___BIT_88()
#else
___BIT_INITIALISATION___BIT_88()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____BIT_166 ))
{
REQUIRE_INITIALISATION____BIT_166=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
BIT_AND__6___BIT_251=c_string_to_symbol( "BIT-AND@__BIT" );
X_____5___BIT_123=c_string_to_symbol( "X@222" );
X_____8___BIT_16=c_string_to_symbol( "X@224" );
Y_____15___BIT_188=c_string_to_symbol( "Y@230" );
X_____13___BIT_19=c_string_to_symbol( "X@228" );
X_____11___BIT_50=c_string_to_symbol( "X@226" );
BIT_NOT__12___BIT_43=c_string_to_symbol( "BIT-NOT@__BIT" );
Y_____7___BIT_191=c_string_to_symbol( "Y@225" );
X_____22___BIT_102=c_string_to_symbol( "X@233" );
X_____16___BIT_124=c_string_to_symbol( "X@229" );
BIT_URSH_17___BIT_213=c_string_to_symbol( "BIT-URSH@__BIT" );
X_____19___BIT_82=c_string_to_symbol( "X@231" );
Y_____10___BIT_76=c_string_to_symbol( "Y@227" );
Y_____21___BIT_28=c_string_to_symbol( "Y@234" );
BIT_OR___2___BIT_106=c_string_to_symbol( "BIT-OR@__BIT" );
BIT_XOR__9___BIT_140=c_string_to_symbol( "BIT-XOR@__BIT" );
NUMBER_3___BIT_49=c_string_to_symbol( "NUMBER" );
BIT_LSH__20___BIT_5=c_string_to_symbol( "BIT-LSH@__BIT" );
Y_____18___BIT_8=c_string_to_symbol( "Y@232" );
Y_____4___BIT_78=c_string_to_symbol( "Y@223" );
BIT_RSH__14___BIT_169=c_string_to_symbol( "BIT-RSH@__BIT" );
___BIT_1___BIT_95=c_string_to_symbol( "__BIT" );
{
___BIT_INITIALISATION_ENV___BIT_33=make_fx_procedure( ____BIT_INITIALISATION___BIT_113, 0, 0 );
BIT_OR_ENV___BIT_164=make_fx_procedure( __BIT_OR___BIT_108, 2, 0 );
BIT_AND_ENV___BIT_202=make_fx_procedure( __BIT_AND___BIT_32, 2, 0 );
BIT_XOR_ENV___BIT_216=make_fx_procedure( __BIT_XOR___BIT_168, 2, 0 );
BIT_NOT_ENV___BIT_170=make_fx_procedure( __BIT_NOT___BIT_52, 1, 0 );
BIT_RSH_ENV___BIT_252=make_fx_procedure( __BIT_RSH___BIT_215, 2, 0 );
BIT_URSH_ENV___BIT_255=make_fx_procedure( __BIT_URSH___BIT_216, 2, 0 );
BIT_LSH_ENV___BIT_192=make_fx_procedure( __BIT_LSH___BIT_80, 2, 0 );
{
{obj_t STRING_CAST_235_125;
STRING_CAST_235_125=BREF( &BIGLOO___0___BIT_204);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___BIT_1___BIT_95, STRING_CAST_235_125, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____BIT_INITIALISATION___BIT_113(obj_t ENV_243_154)
#else
____BIT_INITIALISATION___BIT_113( ENV_243_154 )
obj_t ENV_243_154;
#endif
{

return ___BIT_INITIALISATION___BIT_88();
}

obj_t
#if defined( __STDC__ )
BIT_OR___BIT_239(obj_t X_222_34,obj_t Y_223_248)
#else
BIT_OR___BIT_239( X_222_34, Y_223_248 )
obj_t X_222_34, Y_223_248;
#endif
{

if( INTEGERP( X_222_34 ))
if( INTEGERP( Y_223_248 ))
return BITOR( X_222_34, Y_223_248 );else
FAILURE( BIT_OR___2___BIT_106, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____4___BIT_78 ), Y_223_248 );else
FAILURE( BIT_OR___2___BIT_106, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____5___BIT_123 ), X_222_34 );
}

obj_t
#if defined( __STDC__ )
__BIT_OR___BIT_108(obj_t ENV_242_250,obj_t X_222_34,obj_t Y_223_248)
#else
__BIT_OR___BIT_108( ENV_242_250, X_222_34, Y_223_248 )
obj_t ENV_242_250, X_222_34, Y_223_248;
#endif
{

return BIT_OR___BIT_239( X_222_34, Y_223_248 );
}

obj_t
#if defined( __STDC__ )
BIT_AND___BIT_51(obj_t X_224_195,obj_t Y_225_222)
#else
BIT_AND___BIT_51( X_224_195, Y_225_222 )
obj_t X_224_195, Y_225_222;
#endif
{

if( INTEGERP( X_224_195 ))
if( INTEGERP( Y_225_222 ))
return BITAND( X_224_195, Y_225_222 );else
FAILURE( BIT_AND__6___BIT_251, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____7___BIT_191 ), Y_225_222 );else
FAILURE( BIT_AND__6___BIT_251, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____8___BIT_16 ), X_224_195 );
}

obj_t
#if defined( __STDC__ )
__BIT_AND___BIT_32(obj_t ENV_241_88,obj_t X_224_195,obj_t Y_225_222)
#else
__BIT_AND___BIT_32( ENV_241_88, X_224_195, Y_225_222 )
obj_t ENV_241_88, X_224_195, Y_225_222;
#endif
{

return BIT_AND___BIT_51( X_224_195, Y_225_222 );
}

obj_t
#if defined( __STDC__ )
BIT_XOR___BIT_116(obj_t X_226_99,obj_t Y_227_163)
#else
BIT_XOR___BIT_116( X_226_99, Y_227_163 )
obj_t X_226_99, Y_227_163;
#endif
{

if( INTEGERP( X_226_99 ))
if( INTEGERP( Y_227_163 ))
return BITXOR( X_226_99, Y_227_163 );else
FAILURE( BIT_XOR__9___BIT_140, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____10___BIT_76 ), Y_227_163 );else
FAILURE( BIT_XOR__9___BIT_140, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____11___BIT_50 ), X_226_99 );
}

obj_t
#if defined( __STDC__ )
__BIT_XOR___BIT_168(obj_t ENV_240_133,obj_t X_226_99,obj_t Y_227_163)
#else
__BIT_XOR___BIT_168( ENV_240_133, X_226_99, Y_227_163 )
obj_t ENV_240_133, X_226_99, Y_227_163;
#endif
{

return BIT_XOR___BIT_116( X_226_99, Y_227_163 );
}

obj_t
#if defined( __STDC__ )
BIT_NOT___BIT_33(obj_t X_228_150)
#else
BIT_NOT___BIT_33( X_228_150 )
obj_t X_228_150;
#endif
{

if( INTEGERP( X_228_150 ))
return BITNOT( X_228_150 );else
FAILURE( BIT_NOT__12___BIT_43, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____13___BIT_19 ), X_228_150 );
}

obj_t
#if defined( __STDC__ )
__BIT_NOT___BIT_52(obj_t ENV_239_163,obj_t X_228_150)
#else
__BIT_NOT___BIT_52( ENV_239_163, X_228_150 )
obj_t ENV_239_163, X_228_150;
#endif
{

return BIT_NOT___BIT_33( X_228_150 );
}

obj_t
#if defined( __STDC__ )
BIT_RSH___BIT_212(obj_t X_229_26,obj_t Y_230_134)
#else
BIT_RSH___BIT_212( X_229_26, Y_230_134 )
obj_t X_229_26, Y_230_134;
#endif
{

if( INTEGERP( X_229_26 ))
if( INTEGERP( Y_230_134 ))
return BITRSH( X_229_26, Y_230_134 );else
FAILURE( BIT_RSH__14___BIT_169, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____15___BIT_188 ), Y_230_134 );else
FAILURE( BIT_RSH__14___BIT_169, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____16___BIT_124 ), X_229_26 );
}

obj_t
#if defined( __STDC__ )
__BIT_RSH___BIT_215(obj_t ENV_238_200,obj_t X_229_26,obj_t Y_230_134)
#else
__BIT_RSH___BIT_215( ENV_238_200, X_229_26, Y_230_134 )
obj_t ENV_238_200, X_229_26, Y_230_134;
#endif
{

return BIT_RSH___BIT_212( X_229_26, Y_230_134 );
}

obj_t
#if defined( __STDC__ )
BIT_URSH___BIT_13(obj_t X_231_169,obj_t Y_232_55)
#else
BIT_URSH___BIT_13( X_231_169, Y_232_55 )
obj_t X_231_169, Y_232_55;
#endif
{

if( INTEGERP( X_231_169 ))
if( INTEGERP( Y_232_55 ))
return BITURSH( X_231_169, Y_232_55 );else
FAILURE( BIT_URSH_17___BIT_213, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____18___BIT_8 ), Y_232_55 );else
FAILURE( BIT_URSH_17___BIT_213, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____19___BIT_82 ), X_231_169 );
}

obj_t
#if defined( __STDC__ )
__BIT_URSH___BIT_216(obj_t ENV_237_120,obj_t X_231_169,obj_t Y_232_55)
#else
__BIT_URSH___BIT_216( ENV_237_120, X_231_169, Y_232_55 )
obj_t ENV_237_120, X_231_169, Y_232_55;
#endif
{

return BIT_URSH___BIT_13( X_231_169, Y_232_55 );
}

obj_t
#if defined( __STDC__ )
BIT_LSH___BIT_15(obj_t X_233_68,obj_t Y_234_194)
#else
BIT_LSH___BIT_15( X_233_68, Y_234_194 )
obj_t X_233_68, Y_234_194;
#endif
{

if( INTEGERP( X_233_68 ))
if( INTEGERP( Y_234_194 ))
return BITLSH( X_233_68, Y_234_194 );else
FAILURE( BIT_LSH__20___BIT_5, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, Y_____21___BIT_28 ), Y_234_194 );else
FAILURE( BIT_LSH__20___BIT_5, TYPE_ERROR___ERROR_146( NUMBER_3___BIT_49, X_____22___BIT_102 ), X_233_68 );
}

obj_t
#if defined( __STDC__ )
__BIT_LSH___BIT_80(obj_t ENV_236_209,obj_t X_233_68,obj_t Y_234_194)
#else
__BIT_LSH___BIT_80( ENV_236_209, X_233_68, Y_234_194 )
obj_t ENV_236_209, X_233_68, Y_234_194;
#endif
{

return BIT_LSH___BIT_15( X_233_68, Y_234_194 );
}

