/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/error.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>
#include <signal.h>

static obj_t Z______108___ERROR_189 = BUNSPEC;
extern obj_t ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
DEFINE_STRING( CHAR___142___ERROR_248, "char=?", 6);
#if defined( __STDC__ )
extern obj_t DUMP_LAMBDA_STACK___ERROR_16(obj_t);
#else
extern obj_t DUMP_LAMBDA_STACK___ERROR_16();
#endif
static obj_t Z______74___ERROR_110 = BUNSPEC;
DEFINE_STRING( ARGUMENT_143___ERROR_196, "argument not a char", 19);
#if defined( __STDC__ )
static obj_t __SIGILL_ERROR_HANDLER___ERROR_53(obj_t, obj_t);
#else
static obj_t __SIGILL_ERROR_HANDLER___ERROR_53();
#endif
#if defined( __STDC__ )
extern obj_t __GET_LAMBDA_STACK___ERROR_9(obj_t);
#else
extern obj_t __GET_LAMBDA_STACK___ERROR_9();
#endif
DEFINE_STRING( BIGLOO_55___ERROR_224, "bigloo", 6);
DEFINE_STRING( ___EXPECT_50___ERROR_67, "' expected for variable ", 24);
static obj_t PAIR_____26___ERROR_158 = BUNSPEC;
DEFINE_STRING( ___126___ERROR_28, ":", 1);
static obj_t READ_LIN_112___ERROR_244 = BUNSPEC;
DEFINE_STRING( STRING_R_135___ERROR_158, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t __WARNING_LOCATION___ERROR_37(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __WARNING_LOCATION___ERROR_37();
#endif
DEFINE_STRING( _____ERRO_41___ERROR_151, "*** ERROR:bigloo:", 17);
static obj_t DUMP_LAM_5___ERROR_53 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ERROR_LOCATION_FILE___ERROR_154(obj_t, obj_t);
#else
static obj_t ERROR_LOCATION_FILE___ERROR_154();
#endif
DEFINE_STRING( WRONG_NU_79___ERROR_174, "Wrong number of arguments for", 29);
DEFINE_STRING( WRONG_NU_111___ERROR_191, "Wrong number of arguments for", 29);
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
static obj_t Z______75___ERROR_147 = BUNSPEC;
extern obj_t bigloo_exit();
DEFINE_STRING( _______WA_130___ERROR_217, "# *** WARNING:bigloo:", 21);
static obj_t CHAR_____119___ERROR_40 = BUNSPEC;
DEFINE_STRING( ___43___ERROR_52, ":", 1);
DEFINE_STRING( __121___ERROR_194, "", 0);
#if defined( __STDC__ )
static obj_t MAKE_LOCATION_NOTIFIER___ERROR_249(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCATION_NOTIFIER___ERROR_249();
#endif
DEFINE_STRING( __STRING__18___ERROR_77, "[string]", 8);
DEFINE_STRING( REACHED_54___ERROR_228, "reached", 7);
DEFINE_STRING( FOR_EACH_132___ERROR_233, "for-each", 8);
static obj_t Z______107___ERROR_72 = BUNSPEC;
#if defined( __STDC__ )
static obj_t DO_WARN_LOCATION___ERROR_171(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t DO_WARN_LOCATION___ERROR_171();
#endif
#if defined( __STDC__ )
extern obj_t EXIT___ERROR_51(obj_t);
#else
extern obj_t EXIT___ERROR_51();
#endif
DEFINE_STRING( __SEGMENT_62___ERROR_168, "`segmentation violation' exception", 34);
static obj_t PAIR_____28___ERROR_134 = BUNSPEC;
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
static obj_t DO_WARN__117___ERROR_224 = BUNSPEC;
static obj_t LOCATION_113___ERROR_18 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ERROR___ERROR_148(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ERROR___ERROR_148();
#endif
#if defined( __STDC__ )
static obj_t FIX_TABULATION____ERROR_100(obj_t, obj_t, obj_t);
#else
static obj_t FIX_TABULATION____ERROR_100();
#endif
#if defined( __STDC__ )
static obj_t __SIGBUS_ERROR_HANDLER___ERROR_24(obj_t, obj_t);
#else
static obj_t __SIGBUS_ERROR_HANDLER___ERROR_24();
#endif
static obj_t READ_LIN_77___ERROR_105 = BUNSPEC;
static obj_t MARKER___92___ERROR_150 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SIGFPE_ERROR_HANDLER___ERROR_103(obj_t);
#else
static obj_t SIGFPE_ERROR_HANDLER___ERROR_103();
#endif
static obj_t NUMBER_3___ERROR_212 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t THE_FAILURE_ENV___ERROR_171 = BUNSPEC;
static obj_t WARNING__20___ERROR_182 = BUNSPEC;
DEFINE_STRING( NOT_AN_E_35___ERROR_20, "Not an error handler", 20);
DEFINE_STRING( ____102___ERROR_193, "# ", 2);
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
static obj_t PAIR_____10___ERROR_13 = BUNSPEC;
obj_t __WARNING____ERROR_215 = BUNSPEC;
static obj_t Z______105___ERROR_16 = BUNSPEC;
static obj_t Z______72___ERROR_252 = BUNSPEC;
static obj_t CHAR_89___ERROR_172 = BUNSPEC;
static obj_t DEPTH____8___ERROR_44 = BUNSPEC;
obj_t ___ERROR_INITIALISATION_ENV___ERROR_250 = BUNSPEC;
obj_t WARNING_LOCATION_ENV___ERROR_19 = BUNSPEC;
obj_t ERROR_LOCATION_ENV___ERROR_59 = BUNSPEC;
static obj_t LOCATION_81___ERROR_113 = BUNSPEC;
static obj_t READ_LIN_84___ERROR_59 = BUNSPEC;
static obj_t PAIR_____25___ERROR_121 = BUNSPEC;
static obj_t NOTIFY_E_36___ERROR_2 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t TYPE_ERROR___ERROR_146(obj_t, obj_t);
#else
extern obj_t TYPE_ERROR___ERROR_146();
#endif
static obj_t WARNING__103___ERROR_141 = BUNSPEC;
static obj_t ___ERROR_0___ERROR_224 = BUNSPEC;
static obj_t PORT_____118___ERROR_136 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DUMP_LAMBDA_STACK___ERROR_87(obj_t, obj_t);
#else
extern obj_t __DUMP_LAMBDA_STACK___ERROR_87();
#endif
static obj_t FNAME____67___ERROR_159 = BUNSPEC;
extern obj_t make_string();
static obj_t READ_LIN_80___ERROR_235 = BUNSPEC;
static obj_t FIX_TABU_137___ERROR_251 = BUNSPEC;
static obj_t DEPTH____7___ERROR_55 = BUNSPEC;
extern obj_t make_va_procedure();
extern obj_t dump_lambda_stack();
DEFINE_STRING( FILE___99___ERROR_66, "File \"", 6);
static obj_t MARKER___147___ERROR_125 = BUNSPEC;
static obj_t TYPE_____48___ERROR_158 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REMOVE_ERROR_HANDLER____ERROR_200(obj_t);
#else
extern obj_t __REMOVE_ERROR_HANDLER____ERROR_200();
#endif
extern obj_t current_error_port;
static obj_t LINE_NUM_110___ERROR_169 = BUNSPEC;
static obj_t STRING_21___ERROR_197 = BUNSPEC;
DEFINE_STRING( REACHED_63___ERROR_77, "reached", 7);
static obj_t ERROR_LO_66___ERROR_7 = BUNSPEC;
DEFINE_STRING( ARITHMET_52___ERROR_230, "arithmetic procedure", 20);
static obj_t EXIT___E_2___ERROR_168 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ERROR___ERROR_210(obj_t, obj_t, obj_t);
#else
extern obj_t ERROR___ERROR_210();
#endif
DEFINE_STRING( BIGLOO_58___ERROR_160, "bigloo", 6);
#if defined( __STDC__ )
extern obj_t ____ERROR_INITIALISATION___ERROR_102(obj_t);
#else
extern obj_t ____ERROR_INITIALISATION___ERROR_102();
#endif
DEFINE_STRING( __BUS_ERR_59___ERROR_105, "`bus error' exception", 21);
static obj_t PORT_____40___ERROR_52 = BUNSPEC;
extern obj_t current_output_port;
DEFINE_STRING( __FLOATIN_53___ERROR_13, "`floating point' exception", 26);
#if defined( __STDC__ )
extern obj_t __SET_LAMBDA_STACK____ERROR_231(obj_t, obj_t);
#else
extern obj_t __SET_LAMBDA_STACK____ERROR_231();
#endif
static obj_t PORT_____13___ERROR_168 = BUNSPEC;
DEFINE_STRING( __91___ERROR_116, "", 0);
DEFINE_STRING( WRONG_NU_38___ERROR_19, "Wrong number of arguments for", 29);
static obj_t N_____4___ERROR_43 = BUNSPEC;
static obj_t DEPTH____45___ERROR_190 = BUNSPEC;
DEFINE_STRING( ___125___ERROR_14, "#", 1);
static obj_t N______82___ERROR_6 = BUNSPEC;
DEFINE_STRING( ___124___ERROR_107, "#", 1);
DEFINE_STRING( BIGLOO___1___ERROR_151, "Bigloo (v1.7)", 13);
static obj_t ARGS_____131___ERROR_55 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SIGILL_ERROR_HANDLER___ERROR_122(obj_t);
#else
static obj_t SIGILL_ERROR_HANDLER___ERROR_122();
#endif
#if defined( __STDC__ )
extern obj_t WARNING___ERROR_212(obj_t);
#else
extern obj_t WARNING___ERROR_212();
#endif
static obj_t PAIR_6___ERROR_89 = BUNSPEC;
DEFINE_STRING( REACHED_57___ERROR_93, "reached", 7);
static obj_t PROCEDUR_29___ERROR_44 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FAILURE___ERROR_233(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __FAILURE___ERROR_233();
#endif
static obj_t L_____109___ERROR_197 = BUNSPEC;
DEFINE_STRING( __STRING__64___ERROR_102, "[string]", 8);
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
static obj_t TYPE_AUX_90___ERROR_102 = BUNSPEC;
static obj_t THE_FAIL_23___ERROR_176 = BUNSPEC;
static obj_t SIGSEGV_ERROR_HANDLER_ENV___ERROR_247 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SIGBUS_ERROR_HANDLER___ERROR_237(obj_t);
#else
static obj_t SIGBUS_ERROR_HANDLER___ERROR_237();
#endif
DEFINE_STRING( CHAR___144___ERROR_119, "char=?", 6);
static obj_t __ERROR_HANDLER____ERROR_161 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __THE_FAILURE___ERROR_207(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __THE_FAILURE___ERROR_207();
#endif
#if defined( __STDC__ )
extern obj_t __EXIT___ERROR_230(obj_t, obj_t);
#else
extern obj_t __EXIT___ERROR_230();
#endif
DEFINE_STRING( WRONG_NU_32___ERROR_229, "Wrong number of arguments for", 29);
static obj_t FNAME____22___ERROR_82 = BUNSPEC;
static obj_t NAME_____49___ERROR_171 = BUNSPEC;
DEFINE_STRING( WRONG_NU_83___ERROR_123, "Wrong number of arguments for", 29);
DEFINE_STRING( ______42___ERROR_224, " -- ", 4);
static obj_t REQUIRE_INITIALISATION____ERROR_89 = BUNSPEC;
DEFINE_STRING( ____LINE__128___ERROR_186, "\", line ", 8);
DEFINE_STRING( WRONG_NU_115___ERROR_88, "Wrong number of arguments for", 29);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t WARNING_LOCATION___ERROR_230(obj_t, obj_t, obj_t);
#else
extern obj_t WARNING_LOCATION___ERROR_230();
#endif
static obj_t CHAR_____88___ERROR_220 = BUNSPEC;
static obj_t HANDLER__30___ERROR_178 = BUNSPEC;
obj_t NOTIFY_ERROR_ENV___ERROR_45 = BUNSPEC;
DEFINE_STRING( FOR_EACH_16___ERROR_7, "for-each", 8);
static obj_t DONE_134___ERROR_233 = BUNSPEC;
DEFINE_STRING( ___123___ERROR_152, "^", 1);
#if defined( __STDC__ )
extern obj_t __ERROR_LOCATION___ERROR_58(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ERROR_LOCATION___ERROR_58();
#endif
static obj_t SYMBOL_47___ERROR_65 = BUNSPEC;
static obj_t REMOVE_E_9___ERROR_112 = BUNSPEC;
static obj_t ERROR_LO_69___ERROR_63 = BUNSPEC;
DEFINE_STRING( ____LINE__98___ERROR_229, "\", line ", 8);
obj_t TYPE_ERROR_ENV___ERROR_11 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ADD_ERROR_HANDLER____ERROR_166(obj_t, obj_t, obj_t);
#else
extern obj_t __ADD_ERROR_HANDLER____ERROR_166();
#endif
obj_t FAILURE_ENV___ERROR_225 = BUNSPEC;
DEFINE_STRING( ___94___ERROR_99, "#", 1);
obj_t ERROR_ENV___ERROR_206 = BUNSPEC;
DEFINE_STRING( ___96___ERROR_144, ":", 1);
DEFINE_STRING( ___CHARAC_97___ERROR_255, ", character ", 12);
static obj_t DST_____141___ERROR_152 = BUNSPEC;
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t READER_RESET____READER_76();
static obj_t PAIR_____27___ERROR_202 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ADD_ERROR_HANDLER____ERROR_27(obj_t, obj_t);
#else
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
#endif
static obj_t WARNING__11___ERROR_117 = BUNSPEC;
static obj_t HANDLER__33___ERROR_163 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __SIGFPE_ERROR_HANDLER___ERROR_87(obj_t, obj_t);
#else
static obj_t __SIGFPE_ERROR_HANDLER___ERROR_87();
#endif
extern obj_t READ_LINE___R4_INPUT_6_10_2_31;
DEFINE_STRING( __STDIN__19___ERROR_38, "[stdin]", 7);
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
DEFINE_STRING( INDEX_OU_140___ERROR_224, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __WARNING___ERROR_25(obj_t, obj_t);
#else
extern obj_t __WARNING___ERROR_25();
#endif
static obj_t PROCEDURE_85___ERROR_27 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
obj_t GET_LAMBDA_STACK_ENV___ERROR_198 = BUNSPEC;
static obj_t OUTPUT_P_12___ERROR_138 = BUNSPEC;
static obj_t SIGILL_ERROR_HANDLER_ENV___ERROR_73 = BUNSPEC;
DEFINE_STRING( ___93___ERROR_13, "^", 1);
static obj_t __ERROR_N_37___ERROR_135 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FAILURE___ERROR_52(obj_t, obj_t, obj_t);
#else
extern obj_t FAILURE___ERROR_52();
#endif
static obj_t DEPTH____44___ERROR_175 = BUNSPEC;
DEFINE_STRING( ARGUMENT_133___ERROR_154, "argument not a list", 19);
static obj_t L_____76___ERROR_47 = BUNSPEC;
static obj_t SIGFPE_ERROR_HANDLER_ENV___ERROR_247 = BUNSPEC;
static obj_t INPUT_PO_70___ERROR_238 = BUNSPEC;
static obj_t MAKE_LOC_86___ERROR_76 = BUNSPEC;
extern obj_t SIGNAL___SYSTEM_12();
DEFINE_STRING( ___CHARAC_127___ERROR_114, ", character ", 12);
#if defined( __STDC__ )
extern obj_t SET_LAMBDA_STACK____ERROR_132(obj_t);
#else
extern obj_t SET_LAMBDA_STACK____ERROR_132();
#endif
extern obj_t make_fx_procedure();
obj_t WARNING_ENV___ERROR_46 = BUNSPEC;
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
static obj_t READ_____146___ERROR_200 = BUNSPEC;
DEFINE_STRING( ARGUMENT_145___ERROR_62, "argument not a char", 19);
#if defined( __STDC__ )
static obj_t __SIGSEGV_ERROR_HANDLER___ERROR_81(obj_t, obj_t);
#else
static obj_t __SIGSEGV_ERROR_HANDLER___ERROR_81();
#endif
static obj_t N______31___ERROR_195 = BUNSPEC;
DEFINE_STRING( ARGUMENT_17___ERROR_83, "argument not a list", 19);
#if defined( __STDC__ )
extern obj_t ERROR_LOCATION___ERROR_177(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ERROR_LOCATION___ERROR_177();
#endif
DEFINE_STRING( FILE___129___ERROR_8, "File \"", 6);
#if defined( __STDC__ )
extern obj_t NOTIFY_ERROR___ERROR_187(obj_t, obj_t, obj_t);
#else
extern obj_t NOTIFY_ERROR___ERROR_187();
#endif
extern obj_t SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68();
#if defined( __STDC__ )
extern obj_t __TYPE_ERROR___ERROR_3(obj_t, obj_t, obj_t);
#else
extern obj_t __TYPE_ERROR___ERROR_3();
#endif
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
DEFINE_STRING( REACHED_60___ERROR_214, "reached", 7);
extern obj_t GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();
DEFINE_STRING( _____WARN_14___ERROR_169, "*** WARNING:bigloo:", 19);
static obj_t TYPE_AUX_120___ERROR_76 = BUNSPEC;
obj_t DUMP_LAMBDA_STACK_ENV___ERROR_15 = BUNSPEC;
static obj_t LINE_STR_73___ERROR_113 = BUNSPEC;
DEFINE_STRING( ___95___ERROR_53, "#", 1);
obj_t REMOVE_ERROR_HANDLER__ENV___ERROR_203 = BUNSPEC;
DEFINE_STRING( ERROR_34___ERROR_151, "error", 5);
DEFINE_STRING( ______101___ERROR_94, " -- ", 4);
DEFINE_STRING( INDEX_OU_136___ERROR_236, "index out of range", 18);
obj_t EXIT_ENV___ERROR_145 = BUNSPEC;
DEFINE_STRING( TYPE___51___ERROR_248, "type `", 6);
DEFINE_STRING( __ILLEGAL_56___ERROR_83, "`illegal instruction' exception", 31);
static obj_t PROCEDURE_68___ERROR_1 = BUNSPEC;
static obj_t PORT_____71___ERROR_126 = BUNSPEC;
static obj_t __ERROR_N_39___ERROR_28 = BUNSPEC;
static obj_t SRC_____138___ERROR_253 = BUNSPEC;
static obj_t PAIR_____24___ERROR_137 = BUNSPEC;
#if defined( __STDC__ )
static obj_t WARNING_LOCATION_FILE___ERROR_158(obj_t, obj_t, obj_t);
#else
static obj_t WARNING_LOCATION_FILE___ERROR_158();
#endif
obj_t ADD_ERROR_HANDLER__ENV___ERROR_238 = BUNSPEC;
extern bool_t bigloo_strcmp();
static obj_t PORT_____87___ERROR_231 = BUNSPEC;
obj_t SET_LAMBDA_STACK__ENV___ERROR_26 = BUNSPEC;
static obj_t TYPE_ERR_46___ERROR_7 = BUNSPEC;
static obj_t LINE_NUM_78___ERROR_93 = BUNSPEC;
DEFINE_STRING( __STDIN__65___ERROR_154, "[stdin]", 7);
static obj_t PORT_____104___ERROR_238 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SIGSEGV_ERROR_HANDLER___ERROR_103(obj_t);
#else
static obj_t SIGSEGV_ERROR_HANDLER___ERROR_103();
#endif
static obj_t MARKER___122___ERROR_72 = BUNSPEC;
static obj_t N______114___ERROR_105 = BUNSPEC;
DEFINE_STRING( STRING_S_139___ERROR_207, "string-set!", 11);
#if defined( __STDC__ )
extern obj_t the_failure(obj_t, obj_t, obj_t);
#else
extern obj_t the_failure();
#endif
static obj_t ARGS_____15___ERROR_41 = BUNSPEC;
static obj_t __ERROR_NOTIFIER____ERROR_69 = BUNSPEC;
DEFINE_STRING( _______ER_100___ERROR_232, "# *** ERROR:bigloo:", 19);
DEFINE_STRING( BIGLOO_61___ERROR_132, "bigloo", 6);
static obj_t SIGBUS_ERROR_HANDLER_ENV___ERROR_151 = BUNSPEC;
extern obj_t GET_LAMBDA_STACK___ERROR_206();
static obj_t READ_LIN_116___ERROR_254 = BUNSPEC;
static obj_t LINE_STR_106___ERROR_29 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
#if defined( __STDC__ )
extern obj_t __NOTIFY_ERROR___ERROR_67(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __NOTIFY_ERROR___ERROR_67();
#endif

static obj_t LAMBDA_3_1_278_201();
static obj_t LAMBDA_3_0_271_72();
static obj_t LAMBDA_3_2_288_48();

obj_t
#if defined( __STDC__ )
___ERROR_INITIALISATION___ERROR_92()
#else
___ERROR_INITIALISATION___ERROR_92()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____ERROR_89 ))
{
REQUIRE_INITIALISATION____ERROR_89=BFALSE;
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___SYSTEM_INITIALISATION___SYSTEM_109();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
___ERROR_0___ERROR_224=c_string_to_symbol( "__ERROR" );
THE_FAIL_23___ERROR_176=c_string_to_symbol( "THE_FAILURE@__ERROR" );
WARNING__11___ERROR_117=c_string_to_symbol( "WARNING@__ERROR" );
ARGS_____131___ERROR_55=c_string_to_symbol( "ARGS@307" );
READ_LIN_84___ERROR_59=c_string_to_symbol( "READ-LINE@429" );
ARGS_____15___ERROR_41=c_string_to_symbol( "ARGS@235" );
N______31___ERROR_195=c_string_to_symbol( "N1@351" );
PROCEDUR_29___ERROR_44=c_string_to_symbol( "PROCEDURE" );
PORT_____40___ERROR_52=c_string_to_symbol( "PORT@353" );
READ_LIN_112___ERROR_244=c_string_to_symbol( "READ-LINE@455" );
PORT_____104___ERROR_238=c_string_to_symbol( "PORT@297" );
OUTPUT_P_12___ERROR_138=c_string_to_symbol( "OUTPUT-PORT" );
LINE_NUM_110___ERROR_169=c_string_to_symbol( "LINE-NUM@300" );
TYPE_AUX_120___ERROR_76=c_string_to_symbol( "TYPE-AUX@459" );
DST_____141___ERROR_152=c_string_to_symbol( "DST@315" );
SRC_____138___ERROR_253=c_string_to_symbol( "SRC@314" );
Z______107___ERROR_72=c_string_to_symbol( "Z2@387" );
FIX_TABU_137___ERROR_251=c_string_to_symbol( "FIX-TABULATION!@__ERROR" );
INPUT_PO_70___ERROR_238=c_string_to_symbol( "INPUT-PORT" );
PORT_____71___ERROR_126=c_string_to_symbol( "PORT@270" );
LINE_STR_73___ERROR_113=c_string_to_symbol( "LINE-STRING@276" );
PAIR_____26___ERROR_158=c_string_to_symbol( "PAIR@345" );
Z______72___ERROR_252=c_string_to_symbol( "Z1@374" );
L_____109___ERROR_197=c_string_to_symbol( "L@385" );
__ERROR_N_39___ERROR_28=c_string_to_symbol( "*ERROR-NOTIFIER*@414" );
DEPTH____44___ERROR_175=c_string_to_symbol( "DEPTH@354" );
PAIR_____27___ERROR_202=c_string_to_symbol( "PAIR@344" );
LOCATION_81___ERROR_113=c_string_to_symbol( "LOCATION@269" );
READ_LIN_80___ERROR_235=c_string_to_symbol( "READ-LINE@428" );
Z______75___ERROR_147=c_string_to_symbol( "Z1@371" );
N______82___ERROR_6=c_string_to_symbol( "N1@365" );
N______114___ERROR_105=c_string_to_symbol( "N1@384" );
EXIT___E_2___ERROR_168=c_string_to_symbol( "EXIT@__ERROR" );
READ_LIN_77___ERROR_105=c_string_to_symbol( "READ-LINE@__R4_INPUT_6_10_2" );
READ_LIN_116___ERROR_254=c_string_to_symbol( "READ-LINE@456" );
DUMP_LAM_5___ERROR_53=c_string_to_symbol( "DUMP-LAMBDA-STACK@__ERROR" );
PAIR_____28___ERROR_134=c_string_to_symbol( "PAIR@347" );
DEPTH____45___ERROR_190=c_string_to_symbol( "DEPTH@355" );
MAKE_LOC_86___ERROR_76=c_string_to_symbol( "MAKE-LOCATION-NOTIFIER@__ERROR" );
READ_____146___ERROR_200=c_string_to_symbol( "READ@317" );
NAME_____49___ERROR_171=c_string_to_symbol( "NAME@253" );
DEPTH____7___ERROR_55=c_string_to_symbol( "DEPTH@224" );
L_____76___ERROR_47=c_string_to_symbol( "L@368" );
PAIR_____24___ERROR_137=c_string_to_symbol( "PAIR@343" );
PAIR_6___ERROR_89=c_string_to_symbol( "PAIR" );
ERROR_LO_66___ERROR_7=c_string_to_symbol( "ERROR/LOCATION@__ERROR" );
HANDLER__33___ERROR_163=c_string_to_symbol( "HANDLER@413" );
WARNING__20___ERROR_182=c_string_to_symbol( "WARNING/LOCATION@__ERROR" );
FNAME____22___ERROR_82=c_string_to_symbol( "FNAME@239" );
Z______108___ERROR_189=c_string_to_symbol( "Z1@386" );
PAIR_____10___ERROR_13=c_string_to_symbol( "PAIR@336" );
CHAR_____88___ERROR_220=c_string_to_symbol( "CHAR@381" );
TYPE_ERR_46___ERROR_7=c_string_to_symbol( "TYPE-ERROR@__ERROR" );
ERROR_LO_69___ERROR_63=c_string_to_symbol( "ERROR/LOCATION-FILE@__ERROR" );
FNAME____67___ERROR_159=c_string_to_symbol( "FNAME@266" );
DEPTH____8___ERROR_44=c_string_to_symbol( "DEPTH@225" );
HANDLER__30___ERROR_178=c_string_to_symbol( "HANDLER@246" );
PAIR_____25___ERROR_121=c_string_to_symbol( "PAIR@342" );
__ERROR_N_37___ERROR_135=c_string_to_symbol( "*ERROR-NOTIFIER*@__ERROR" );
LOCATION_113___ERROR_18=c_string_to_symbol( "LOCATION@295" );
WARNING__103___ERROR_141=c_string_to_symbol( "WARNING/LOCATION-FILE@__ERROR" );
NUMBER_3___ERROR_212=c_string_to_symbol( "NUMBER" );
LINE_NUM_78___ERROR_93=c_string_to_symbol( "LINE-NUM@277" );
PORT_____13___ERROR_168=c_string_to_symbol( "PORT@338" );
TYPE_AUX_90___ERROR_102=c_string_to_symbol( "TYPE-AUX@432" );
REMOVE_E_9___ERROR_112=c_string_to_symbol( "REMOVE-ERROR-HANDLER!@__ERROR" );
N_____4___ERROR_43=c_string_to_symbol( "N@223" );
SYMBOL_47___ERROR_65=c_string_to_symbol( "SYMBOL" );
TYPE_____48___ERROR_158=c_string_to_symbol( "TYPE@252" );
MARKER___122___ERROR_72=c_string_to_symbol( "MARKER@306" );
CHAR_89___ERROR_172=c_string_to_symbol( "CHAR" );
MARKER___147___ERROR_125=c_string_to_symbol( "MARKER@313" );
NOTIFY_E_36___ERROR_2=c_string_to_symbol( "NOTIFY-ERROR@__ERROR" );
DO_WARN__117___ERROR_224=c_string_to_symbol( "DO-WARN/LOCATION@__ERROR" );
STRING_21___ERROR_197=c_string_to_symbol( "STRING" );
LINE_STR_106___ERROR_29=c_string_to_symbol( "LINE-STRING@299" );
PORT_____87___ERROR_231=c_string_to_symbol( "PORT@375" );
MARKER___92___ERROR_150=c_string_to_symbol( "MARKER@287" );
DONE_134___ERROR_233=c_string_to_symbol( "DONE" );
PORT_____118___ERROR_136=c_string_to_symbol( "PORT@389" );
Z______105___ERROR_16=c_string_to_symbol( "Z1@388" );
Z______74___ERROR_110=c_string_to_symbol( "Z2@372" );
CHAR_____119___ERROR_40=c_string_to_symbol( "CHAR@391" );
PROCEDURE_85___ERROR_27=make_fx_procedure( LAMBDA_3_0_271_72, 3, 0 );
PROCEDURE_68___ERROR_1=make_fx_procedure( LAMBDA_3_1_278_201, 3, 0 );
{
___ERROR_INITIALISATION_ENV___ERROR_250=make_fx_procedure( ____ERROR_INITIALISATION___ERROR_102, 0, 0 );
GET_LAMBDA_STACK_ENV___ERROR_198=make_fx_procedure( __GET_LAMBDA_STACK___ERROR_9, 0, 0 );
SET_LAMBDA_STACK__ENV___ERROR_26=make_fx_procedure( __SET_LAMBDA_STACK____ERROR_231, 1, 0 );
EXIT_ENV___ERROR_145=make_fx_procedure( __EXIT___ERROR_230, 1, 0 );
DUMP_LAMBDA_STACK_ENV___ERROR_15=make_va_procedure( __DUMP_LAMBDA_STACK___ERROR_87, -1, 0 );
ADD_ERROR_HANDLER__ENV___ERROR_238=make_fx_procedure( __ADD_ERROR_HANDLER____ERROR_166, 2, 0 );
REMOVE_ERROR_HANDLER__ENV___ERROR_203=make_fx_procedure( __REMOVE_ERROR_HANDLER____ERROR_200, 0, 0 );
FAILURE_ENV___ERROR_225=make_fx_procedure( __FAILURE___ERROR_233, 3, 0 );
ERROR_ENV___ERROR_206=make_fx_procedure( __ERROR___ERROR_148, 3, 0 );
WARNING_ENV___ERROR_46=make_va_procedure( __WARNING___ERROR_25, -1, 0 );
WARNING_LOCATION_ENV___ERROR_19=make_va_procedure( __WARNING_LOCATION___ERROR_37, -3, 0 );
THE_FAILURE_ENV___ERROR_171=make_fx_procedure( __THE_FAILURE___ERROR_207, 3, 0 );
NOTIFY_ERROR_ENV___ERROR_45=make_fx_procedure( __NOTIFY_ERROR___ERROR_67, 3, 0 );
TYPE_ERROR_ENV___ERROR_11=make_fx_procedure( __TYPE_ERROR___ERROR_3, 2, 0 );
SIGFPE_ERROR_HANDLER_ENV___ERROR_247=make_fx_procedure( __SIGFPE_ERROR_HANDLER___ERROR_87, 1, 0 );
SIGILL_ERROR_HANDLER_ENV___ERROR_73=make_fx_procedure( __SIGILL_ERROR_HANDLER___ERROR_53, 1, 0 );
SIGBUS_ERROR_HANDLER_ENV___ERROR_151=make_fx_procedure( __SIGBUS_ERROR_HANDLER___ERROR_24, 1, 0 );
SIGSEGV_ERROR_HANDLER_ENV___ERROR_247=make_fx_procedure( __SIGSEGV_ERROR_HANDLER___ERROR_81, 1, 0 );
ERROR_LOCATION_ENV___ERROR_59=make_fx_procedure( __ERROR_LOCATION___ERROR_58, 5, 0 );
{
CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___ERROR_0___ERROR_224, BREF( &BIGLOO___1___ERROR_151), BCHAR( 'b' ) );
__WARNING____ERROR_215=BTRUE;
__ERROR_HANDLER____ERROR_161=BNIL;
__ERROR_NOTIFIER____ERROR_69=BUNSPEC;
{obj_t A_FUNCTION_402_141;
A_FUNCTION_402_141=SIGFPE_ERROR_HANDLER_ENV___ERROR_247;SIGNAL___SYSTEM_12( BINT( SIGFPE ), A_FUNCTION_402_141 );}
{obj_t A_FUNCTION_403_86;
A_FUNCTION_403_86=SIGILL_ERROR_HANDLER_ENV___ERROR_73;SIGNAL___SYSTEM_12( BINT( SIGILL ), A_FUNCTION_403_86 );}
{obj_t A_FUNCTION_404_60;
A_FUNCTION_404_60=SIGBUS_ERROR_HANDLER_ENV___ERROR_151;SIGNAL___SYSTEM_12( BINT( SIGBUS ), A_FUNCTION_404_60 );}
{obj_t A_FUNCTION_405_66;
A_FUNCTION_405_66=SIGSEGV_ERROR_HANDLER_ENV___ERROR_247;SIGNAL___SYSTEM_12( BINT( SIGSEGV ), A_FUNCTION_405_66 );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____ERROR_INITIALISATION___ERROR_102(obj_t ENV_516_235)
#else
____ERROR_INITIALISATION___ERROR_102( ENV_516_235 )
obj_t ENV_516_235;
#endif
{

return ___ERROR_INITIALISATION___ERROR_92();
}

obj_t
#if defined( __STDC__ )
GET_LAMBDA_STACK___ERROR_206()
#else
GET_LAMBDA_STACK___ERROR_206()
#endif
{

return GET_LAMBDA_STACK();
}

obj_t
#if defined( __STDC__ )
__GET_LAMBDA_STACK___ERROR_9(obj_t ENV_515_163)
#else
__GET_LAMBDA_STACK___ERROR_9( ENV_515_163 )
obj_t ENV_515_163;
#endif
{

return GET_LAMBDA_STACK___ERROR_206();
}

obj_t
#if defined( __STDC__ )
SET_LAMBDA_STACK____ERROR_132(obj_t OBJ_222_44)
#else
SET_LAMBDA_STACK____ERROR_132( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return SET_LAMBDA_STACK( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
__SET_LAMBDA_STACK____ERROR_231(obj_t ENV_514_200,obj_t OBJ_222_44)
#else
__SET_LAMBDA_STACK____ERROR_231( ENV_514_200, OBJ_222_44 )
obj_t ENV_514_200, OBJ_222_44;
#endif
{

return SET_LAMBDA_STACK____ERROR_132( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
EXIT___ERROR_51(obj_t N_223_241)
#else
EXIT___ERROR_51( N_223_241 )
obj_t N_223_241;
#endif
{

if( INTEGERP( N_223_241 ))
return bigloo_exit( N_223_241 );else
FAILURE( EXIT___E_2___ERROR_168, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, N_____4___ERROR_43 ), N_223_241 );
}

obj_t
#if defined( __STDC__ )
__EXIT___ERROR_230(obj_t ENV_513_219,obj_t N_223_241)
#else
__EXIT___ERROR_230( ENV_513_219, N_223_241 )
obj_t ENV_513_219, N_223_241;
#endif
{

return EXIT___ERROR_51( N_223_241 );
}

obj_t
#if defined( __STDC__ )
DUMP_LAMBDA_STACK___ERROR_16(obj_t DEPTH_224_89)
#else
DUMP_LAMBDA_STACK___ERROR_16( DEPTH_224_89 )
obj_t DEPTH_224_89;
#endif
{

{obj_t DEPTH_225_9;
{obj_t __ortest_1000_226_92;
__ortest_1000_226_92=CBOOL_TO_BBOOL( NULLP( DEPTH_224_89 ) );{if( BBOOL_TO_CBOOL( __ortest_1000_226_92 ))
goto _true_6;else
{obj_t OBJ_325_7;
{obj_t OBJ_327_73;
if( PAIRP( DEPTH_224_89 ))
OBJ_327_73=CAR( DEPTH_224_89 );else
FAILURE( DUMP_LAM_5___ERROR_53, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, DEPTH____7___ERROR_55 ), DEPTH_224_89 );OBJ_325_7=CBOOL_TO_BBOOL( INTEGERP( OBJ_327_73 ) );}if( BBOOL_TO_CBOOL( OBJ_325_7 ))
goto _false_7;else
goto _true_6;}_true_6:
{DEPTH_225_9=BINT( 10 );
goto _endif_8;}_false_7:
if( PAIRP( DEPTH_224_89 ))
DEPTH_225_9=CAR( DEPTH_224_89 );else
FAILURE( DUMP_LAM_5___ERROR_53, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, DEPTH____7___ERROR_55 ), DEPTH_224_89 );_endif_8:
;
}}if( INTEGERP( DEPTH_225_9 ))
return dump_lambda_stack( current_error_port, CINT( DEPTH_225_9 ) );else
FAILURE( DUMP_LAM_5___ERROR_53, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, DEPTH____8___ERROR_44 ), DEPTH_225_9 );}
}

obj_t
#if defined( __STDC__ )
__DUMP_LAMBDA_STACK___ERROR_87(obj_t ENV_512_10,obj_t DEPTH_224_89)
#else
__DUMP_LAMBDA_STACK___ERROR_87( ENV_512_10, DEPTH_224_89 )
obj_t ENV_512_10, DEPTH_224_89;
#endif
{

return DUMP_LAMBDA_STACK___ERROR_16( DEPTH_224_89 );
}

obj_t
#if defined( __STDC__ )
ADD_ERROR_HANDLER____ERROR_27(obj_t HANDLER_227_50,obj_t ESCAPE_228_89)
#else
ADD_ERROR_HANDLER____ERROR_27( HANDLER_227_50, ESCAPE_228_89 )
obj_t HANDLER_227_50, ESCAPE_228_89;
#endif
{

{obj_t OBJ2_332_92;
OBJ2_332_92=__ERROR_HANDLER____ERROR_161;{obj_t OBJ1_331_48;
OBJ1_331_48=MAKE_PAIR( HANDLER_227_50, ESCAPE_228_89 );__ERROR_HANDLER____ERROR_161=MAKE_PAIR( OBJ1_331_48, OBJ2_332_92 );}}
}

obj_t
#if defined( __STDC__ )
__ADD_ERROR_HANDLER____ERROR_166(obj_t ENV_511_248,obj_t HANDLER_227_50,obj_t ESCAPE_228_89)
#else
__ADD_ERROR_HANDLER____ERROR_166( ENV_511_248, HANDLER_227_50, ESCAPE_228_89 )
obj_t ENV_511_248, HANDLER_227_50, ESCAPE_228_89;
#endif
{

return ADD_ERROR_HANDLER____ERROR_27( HANDLER_227_50, ESCAPE_228_89 );
}

obj_t
#if defined( __STDC__ )
REMOVE_ERROR_HANDLER____ERROR_19()
#else
REMOVE_ERROR_HANDLER____ERROR_19()
#endif
{

{
{obj_t OBJ_334_177;
OBJ_334_177=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_334_177 ))
{obj_t PAIR_336_134;
PAIR_336_134=__ERROR_HANDLER____ERROR_161;if( PAIRP( PAIR_336_134 ))
__ERROR_HANDLER____ERROR_161=CDR( PAIR_336_134 );else
FAILURE( REMOVE_E_9___ERROR_112, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____10___ERROR_13 ), PAIR_336_134 );}else
BFALSE;}
return __ERROR_HANDLER____ERROR_161;
}
}

obj_t
#if defined( __STDC__ )
__REMOVE_ERROR_HANDLER____ERROR_200(obj_t ENV_510_243)
#else
__REMOVE_ERROR_HANDLER____ERROR_200( ENV_510_243 )
obj_t ENV_510_243;
#endif
{

return REMOVE_ERROR_HANDLER____ERROR_19();
}

obj_t
#if defined( __STDC__ )
FAILURE___ERROR_52(obj_t PROC_229_84,obj_t MESSAGE_230_22,obj_t OBJECT_231_171)
#else
FAILURE___ERROR_52( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 )
obj_t PROC_229_84, MESSAGE_230_22, OBJECT_231_171;
#endif
{

FAILURE( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 );
}

obj_t
#if defined( __STDC__ )
__FAILURE___ERROR_233(obj_t ENV_509_159,obj_t PROC_229_84,obj_t MESSAGE_230_22,obj_t OBJECT_231_171)
#else
__FAILURE___ERROR_233( ENV_509_159, PROC_229_84, MESSAGE_230_22, OBJECT_231_171 )
obj_t ENV_509_159, PROC_229_84, MESSAGE_230_22, OBJECT_231_171;
#endif
{

return FAILURE___ERROR_52( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 );
}

obj_t
#if defined( __STDC__ )
ERROR___ERROR_210(obj_t PROC_232_246,obj_t MESSAGE_233_78,obj_t OBJECT_234_193)
#else
ERROR___ERROR_210( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 )
obj_t PROC_232_246, MESSAGE_233_78, OBJECT_234_193;
#endif
{

FAILURE( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 );
}

obj_t
#if defined( __STDC__ )
__ERROR___ERROR_148(obj_t ENV_508_93,obj_t PROC_232_246,obj_t MESSAGE_233_78,obj_t OBJECT_234_193)
#else
__ERROR___ERROR_148( ENV_508_93, PROC_232_246, MESSAGE_233_78, OBJECT_234_193 )
obj_t ENV_508_93, PROC_232_246, MESSAGE_233_78, OBJECT_234_193;
#endif
{

return ERROR___ERROR_210( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 );
}

obj_t
#if defined( __STDC__ )
WARNING___ERROR_212(obj_t ARGS_235_13)
#else
WARNING___ERROR_212( ARGS_235_13 )
obj_t ARGS_235_13;
#endif
{

if( BBOOL_TO_CBOOL( __WARNING____ERROR_215 ))
{
{obj_t PORT_338_252;
PORT_338_252=current_output_port;if( OUTPUT_PORTP( PORT_338_252 ))
FLUSH_OUTPUT_PORT( PORT_338_252 );else
FAILURE( WARNING__11___ERROR_117, TYPE_ERROR___ERROR_146( OUTPUT_P_12___ERROR_138, PORT_____13___ERROR_168 ), PORT_338_252 );}
{obj_t VA_ARG_406_64;
VA_ARG_406_64=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_406_64 );}
{obj_t VA_ARG_407_121;
VA_ARG_407_121=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_____WARN_14___ERROR_169), VA_ARG_407_121 );}
if( NULLP( ARGS_235_13 ))
BFALSE;else
{
{obj_t VA_ARG_408_194;
if( PAIRP( ARGS_235_13 ))
VA_ARG_408_194=MAKE_PAIR( CAR( ARGS_235_13 ), BNIL );else
FAILURE( WARNING__11___ERROR_117, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, ARGS_____15___ERROR_41 ), ARGS_235_13 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_408_194 );}
{obj_t g1001_237_242;
if( PAIRP( ARGS_235_13 ))
{
g1001_237_242=CDR( ARGS_235_13 );
{_g1002_236_63:

if( PAIRP( g1001_237_242 ))
{
{obj_t A_238_233;
A_238_233=CAR( g1001_237_242 );{obj_t VA_ARG_409_185;
VA_ARG_409_185=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_238_233, VA_ARG_409_185 );}}
{obj_t g1001_533_41;
g1001_533_41=g1001_237_242;{
g1001_237_242=CDR( g1001_533_41 );
goto _g1002_236_63;
}}
}else
if( NULLP( g1001_237_242 ))
BTRUE;else
FAILURE( BREF( &FOR_EACH_16___ERROR_7), BREF( &ARGUMENT_17___ERROR_83), g1001_237_242 );}
}else
FAILURE( WARNING__11___ERROR_117, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, ARGS_____15___ERROR_41 ), ARGS_235_13 );}
}
{obj_t VA_ARG_410_11;
VA_ARG_410_11=MAKE_PAIR( current_error_port, BNIL );return NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_410_11 );}
}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__WARNING___ERROR_25(obj_t ENV_507_102,obj_t ARGS_235_13)
#else
__WARNING___ERROR_25( ENV_507_102, ARGS_235_13 )
obj_t ENV_507_102, ARGS_235_13;
#endif
{

return WARNING___ERROR_212( ARGS_235_13 );
}

obj_t
#if defined( __STDC__ )
WARNING_LOCATION___ERROR_230(obj_t FNAME_239_104,obj_t LOCATION_240_222,obj_t ARGS_241_241)
#else
WARNING_LOCATION___ERROR_230( FNAME_239_104, LOCATION_240_222, ARGS_241_241 )
obj_t FNAME_239_104, LOCATION_240_222, ARGS_241_241;
#endif
{

if( BBOOL_TO_CBOOL( __WARNING____ERROR_215 ))
if( STRINGP( FNAME_239_104 ))
if( bigloo_strcmp( FNAME_239_104, BREF( &__STRING__18___ERROR_77) ))
{obj_t ARGS_235_411_55;
ARGS_235_411_55=BUNSPEC;{
ARGS_235_411_55=ARGS_241_241;
return WARNING___ERROR_212( ARGS_235_411_55 );
}}else
if( bigloo_strcmp( FNAME_239_104, BREF( &__STDIN__19___ERROR_38) ))
{obj_t ARGS_235_412_105;
ARGS_235_412_105=BUNSPEC;{
ARGS_235_412_105=ARGS_241_241;
return WARNING___ERROR_212( ARGS_235_412_105 );
}}else
return WARNING_LOCATION_FILE___ERROR_158( FNAME_239_104, LOCATION_240_222, ARGS_241_241 );else
FAILURE( WARNING__20___ERROR_182, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, FNAME____22___ERROR_82 ), FNAME_239_104 );else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__WARNING_LOCATION___ERROR_37(obj_t ENV_506_218,obj_t FNAME_239_104,obj_t LOCATION_240_222,obj_t ARGS_241_241)
#else
__WARNING_LOCATION___ERROR_37( ENV_506_218, FNAME_239_104, LOCATION_240_222, ARGS_241_241 )
obj_t ENV_506_218, FNAME_239_104, LOCATION_240_222, ARGS_241_241;
#endif
{

return WARNING_LOCATION___ERROR_230( FNAME_239_104, LOCATION_240_222, ARGS_241_241 );
}

obj_t
#if defined( __STDC__ )
the_failure(obj_t PROC_242_54,obj_t MESSAGE_243_81,obj_t OBJECT_244_192)
#else
the_failure( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 )
obj_t PROC_242_54, MESSAGE_243_81, OBJECT_244_192;
#endif
{

{
READER_RESET____READER_76();
{obj_t OBJ_341_23;
OBJ_341_23=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_341_23 ))
{obj_t HANDLER_246_86, ESCAPE_245_217;
{obj_t PAIR_344_210;
{obj_t PAIR_345_28;
PAIR_345_28=__ERROR_HANDLER____ERROR_161;if( PAIRP( PAIR_345_28 ))
PAIR_344_210=CAR( PAIR_345_28 );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____26___ERROR_158 ), PAIR_345_28 );}if( PAIRP( PAIR_344_210 ))
HANDLER_246_86=CAR( PAIR_344_210 );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____27___ERROR_202 ), PAIR_344_210 );}{obj_t PAIR_342_48;
{obj_t PAIR_343_115;
PAIR_343_115=__ERROR_HANDLER____ERROR_161;if( PAIRP( PAIR_343_115 ))
PAIR_342_48=CAR( PAIR_343_115 );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____24___ERROR_137 ), PAIR_343_115 );}if( PAIRP( PAIR_342_48 ))
ESCAPE_245_217=CDR( PAIR_342_48 );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____25___ERROR_121 ), PAIR_342_48 );}{
{
{obj_t OBJ_346_146;
OBJ_346_146=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_346_146 ))
{obj_t PAIR_347_186;
PAIR_347_186=__ERROR_HANDLER____ERROR_161;if( PAIRP( PAIR_347_186 ))
__ERROR_HANDLER____ERROR_161=CDR( PAIR_347_186 );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, PAIR_____28___ERROR_134 ), PAIR_347_186 );}else
BFALSE;}
__ERROR_HANDLER____ERROR_161;
}
{obj_t __andtest_1003_247_189;
__andtest_1003_247_189=CBOOL_TO_BBOOL( PROCEDUREP( HANDLER_246_86 ) );{if( BBOOL_TO_CBOOL( __andtest_1003_247_189 ))
{obj_t N1_351_179;
if( PROCEDUREP( HANDLER_246_86 ))
N1_351_179=BINT( PROCEDURE_ARITY( HANDLER_246_86 ) );else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, HANDLER__30___ERROR_178 ), HANDLER_246_86 );if( INTEGERP( N1_351_179 ))
if( EQ_I( N1_351_179, BINT( 4 ) ))
goto _true_3;else
goto _false_4;else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, N______31___ERROR_195 ), N1_351_179 );}else
goto _false_4;_true_3:
{obj_t HANDLER_413_116;
if( PROCEDUREP( HANDLER_246_86 ))
HANDLER_413_116=HANDLER_246_86;else
FAILURE( THE_FAIL_23___ERROR_176, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, HANDLER__30___ERROR_178 ), HANDLER_246_86 );if( PROCEDURE_CORRECT_ARITYP( HANDLER_413_116, 4 ))
return PROCEDURE_ENTRY( HANDLER_413_116 )( HANDLER_413_116, ESCAPE_245_217, PROC_242_54, MESSAGE_243_81, OBJECT_244_192, BEOA );else
FAILURE( THE_FAIL_23___ERROR_176, BREF( &WRONG_NU_32___ERROR_229), HANDLER__33___ERROR_163 );}_false_4:
{
NOTIFY_ERROR___ERROR_187( BREF( &ERROR_34___ERROR_151), BREF( &NOT_AN_E_35___ERROR_20), HANDLER_246_86 );
bigloo_exit( BINT( -1 ) );
return BINT( -1 );
};
}}
}}else
{
NOTIFY_ERROR___ERROR_187( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 );
bigloo_exit( BINT( -1 ) );
return BINT( -1 );
}}
}
}

obj_t
#if defined( __STDC__ )
__THE_FAILURE___ERROR_207(obj_t ENV_505_255,obj_t PROC_242_54,obj_t MESSAGE_243_81,obj_t OBJECT_244_192)
#else
__THE_FAILURE___ERROR_207( ENV_505_255, PROC_242_54, MESSAGE_243_81, OBJECT_244_192 )
obj_t ENV_505_255, PROC_242_54, MESSAGE_243_81, OBJECT_244_192;
#endif
{

return the_failure( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 );
}

obj_t
#if defined( __STDC__ )
NOTIFY_ERROR___ERROR_187(obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

{obj_t OBJ_352_132;
OBJ_352_132=__ERROR_NOTIFIER____ERROR_69;if( PROCEDUREP( OBJ_352_132 ))
{obj_t __ERROR_NOTIFIER__414_173;
if( PROCEDUREP( __ERROR_NOTIFIER____ERROR_69 ))
__ERROR_NOTIFIER__414_173=__ERROR_NOTIFIER____ERROR_69;else
FAILURE( NOTIFY_E_36___ERROR_2, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, __ERROR_N_37___ERROR_135 ), __ERROR_NOTIFIER____ERROR_69 );if( PROCEDURE_CORRECT_ARITYP( __ERROR_NOTIFIER__414_173, 3 ))
return PROCEDURE_ENTRY( __ERROR_NOTIFIER__414_173 )( __ERROR_NOTIFIER__414_173, PROC_248_250, MES_249_181, OBJ_250_86, BEOA );else
FAILURE( NOTIFY_E_36___ERROR_2, BREF( &WRONG_NU_38___ERROR_19), __ERROR_N_39___ERROR_28 );}else
{
{obj_t PORT_353_171;
PORT_353_171=current_output_port;if( OUTPUT_PORTP( PORT_353_171 ))
FLUSH_OUTPUT_PORT( PORT_353_171 );else
FAILURE( NOTIFY_E_36___ERROR_2, TYPE_ERROR___ERROR_146( OUTPUT_P_12___ERROR_138, PORT_____40___ERROR_52 ), PORT_353_171 );}
{obj_t VA_ARG_415_101;
VA_ARG_415_101=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_415_101 );}
{obj_t OLD_LENGTH_251_91;
OLD_LENGTH_251_91=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();{
SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( BINT( 80 ) );
{obj_t VA_ARG_416_239;
VA_ARG_416_239=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_____ERRO_41___ERROR_151), VA_ARG_416_239 );}
{obj_t VA_ARG_417_193;
VA_ARG_417_193=MAKE_PAIR( OBJ_250_86, BNIL );{obj_t VA_ARG_418_139;
VA_ARG_418_139=MAKE_PAIR( BREF( &______42___ERROR_224), VA_ARG_417_193 );{obj_t VA_ARG_419_232;
VA_ARG_419_232=MAKE_PAIR( MES_249_181, VA_ARG_418_139 );{obj_t VA_ARG_420_47;
VA_ARG_420_47=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_419_232 );{obj_t VA_ARG_421_109;
VA_ARG_421_109=MAKE_PAIR( BREF( &___43___ERROR_52), VA_ARG_420_47 );{obj_t VA_ARG_422_205;
VA_ARG_422_205=MAKE_PAIR( PROC_248_250, VA_ARG_421_109 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_422_205 );}}}}}}
{obj_t DEPTH_354_43;
DEPTH_354_43=BNIL;{obj_t DEPTH_355_196;
{obj_t __ortest_1000_356_4;
__ortest_1000_356_4=CBOOL_TO_BBOOL( NULLP( DEPTH_354_43 ) );{if( BBOOL_TO_CBOOL( __ortest_1000_356_4 ))
goto _true_0;else
{obj_t OBJ_357_25;
{obj_t OBJ_358_27;
if( PAIRP( DEPTH_354_43 ))
OBJ_358_27=CAR( DEPTH_354_43 );else
FAILURE( NOTIFY_E_36___ERROR_2, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, DEPTH____44___ERROR_175 ), DEPTH_354_43 );OBJ_357_25=CBOOL_TO_BBOOL( INTEGERP( OBJ_358_27 ) );}if( BBOOL_TO_CBOOL( OBJ_357_25 ))
goto _false_1;else
goto _true_0;}_true_0:
{DEPTH_355_196=BINT( 10 );
goto _endif_2;}_false_1:
if( PAIRP( DEPTH_354_43 ))
DEPTH_355_196=CAR( DEPTH_354_43 );else
FAILURE( NOTIFY_E_36___ERROR_2, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, DEPTH____44___ERROR_175 ), DEPTH_354_43 );_endif_2:
;
}}if( INTEGERP( DEPTH_355_196 ))
dump_lambda_stack( current_error_port, CINT( DEPTH_355_196 ) );else
FAILURE( NOTIFY_E_36___ERROR_2, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, DEPTH____45___ERROR_190 ), DEPTH_355_196 );}}
return SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( OLD_LENGTH_251_91 );
}}
}}
}

obj_t
#if defined( __STDC__ )
__NOTIFY_ERROR___ERROR_67(obj_t ENV_504_240,obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
__NOTIFY_ERROR___ERROR_67( ENV_504_240, PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t ENV_504_240, PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

return NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 );
}

obj_t
#if defined( __STDC__ )
TYPE_ERROR___ERROR_146(obj_t TYPE_252_155,obj_t NAME_253_163)
#else
TYPE_ERROR___ERROR_146( TYPE_252_155, NAME_253_163 )
obj_t TYPE_252_155, NAME_253_163;
#endif
{

{obj_t TYPE_STRING_254_43;
if( SYMBOLP( TYPE_252_155 ))
TYPE_STRING_254_43=SYMBOL_TO_STRING( TYPE_252_155 );else
FAILURE( TYPE_ERR_46___ERROR_7, TYPE_ERROR___ERROR_146( SYMBOL_47___ERROR_65, TYPE_____48___ERROR_158 ), TYPE_252_155 );{obj_t VA_ARG_423_180;
if( SYMBOLP( NAME_253_163 ))
{obj_t AUX_532_204;
AUX_532_204=SYMBOL_TO_STRING( NAME_253_163 );VA_ARG_423_180=MAKE_PAIR( AUX_532_204, BNIL );}else
FAILURE( TYPE_ERR_46___ERROR_7, TYPE_ERROR___ERROR_146( SYMBOL_47___ERROR_65, NAME_____49___ERROR_171 ), NAME_253_163 );{obj_t VA_ARG_424_160;
VA_ARG_424_160=MAKE_PAIR( BREF( &___EXPECT_50___ERROR_67), VA_ARG_423_180 );{obj_t VA_ARG_425_215;
VA_ARG_425_215=MAKE_PAIR( TYPE_STRING_254_43, VA_ARG_424_160 );{obj_t VA_ARG_426_162;
VA_ARG_426_162=MAKE_PAIR( BREF( &TYPE___51___ERROR_248), VA_ARG_425_215 );return STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_426_162 );}}}}}
}

obj_t
#if defined( __STDC__ )
__TYPE_ERROR___ERROR_3(obj_t ENV_503_82,obj_t TYPE_252_155,obj_t NAME_253_163)
#else
__TYPE_ERROR___ERROR_3( ENV_503_82, TYPE_252_155, NAME_253_163 )
obj_t ENV_503_82, TYPE_252_155, NAME_253_163;
#endif
{

return TYPE_ERROR___ERROR_146( TYPE_252_155, NAME_253_163 );
}

static obj_t
#if defined( __STDC__ )
SIGFPE_ERROR_HANDLER___ERROR_103(obj_t N_259_176)
#else
SIGFPE_ERROR_HANDLER___ERROR_103( N_259_176 )
obj_t N_259_176;
#endif
{

FAILURE( BREF( &ARITHMET_52___ERROR_230), BREF( &__FLOATIN_53___ERROR_13), BREF( &REACHED_54___ERROR_228) );
}

static obj_t
#if defined( __STDC__ )
__SIGFPE_ERROR_HANDLER___ERROR_87(obj_t ENV_502_106,obj_t N_259_176)
#else
__SIGFPE_ERROR_HANDLER___ERROR_87( ENV_502_106, N_259_176 )
obj_t ENV_502_106, N_259_176;
#endif
{

return SIGFPE_ERROR_HANDLER___ERROR_103( N_259_176 );
}

static obj_t
#if defined( __STDC__ )
SIGILL_ERROR_HANDLER___ERROR_122(obj_t N_260_26)
#else
SIGILL_ERROR_HANDLER___ERROR_122( N_260_26 )
obj_t N_260_26;
#endif
{

FAILURE( BREF( &BIGLOO_55___ERROR_224), BREF( &__ILLEGAL_56___ERROR_83), BREF( &REACHED_57___ERROR_93) );
}

static obj_t
#if defined( __STDC__ )
__SIGILL_ERROR_HANDLER___ERROR_53(obj_t ENV_501_158,obj_t N_260_26)
#else
__SIGILL_ERROR_HANDLER___ERROR_53( ENV_501_158, N_260_26 )
obj_t ENV_501_158, N_260_26;
#endif
{

return SIGILL_ERROR_HANDLER___ERROR_122( N_260_26 );
}

static obj_t
#if defined( __STDC__ )
SIGBUS_ERROR_HANDLER___ERROR_237(obj_t N_261_150)
#else
SIGBUS_ERROR_HANDLER___ERROR_237( N_261_150 )
obj_t N_261_150;
#endif
{

FAILURE( BREF( &BIGLOO_58___ERROR_160), BREF( &__BUS_ERR_59___ERROR_105), BREF( &REACHED_60___ERROR_214) );
}

static obj_t
#if defined( __STDC__ )
__SIGBUS_ERROR_HANDLER___ERROR_24(obj_t ENV_500_201,obj_t N_261_150)
#else
__SIGBUS_ERROR_HANDLER___ERROR_24( ENV_500_201, N_261_150 )
obj_t ENV_500_201, N_261_150;
#endif
{

return SIGBUS_ERROR_HANDLER___ERROR_237( N_261_150 );
}

static obj_t
#if defined( __STDC__ )
SIGSEGV_ERROR_HANDLER___ERROR_103(obj_t N_262_16)
#else
SIGSEGV_ERROR_HANDLER___ERROR_103( N_262_16 )
obj_t N_262_16;
#endif
{

FAILURE( BREF( &BIGLOO_61___ERROR_132), BREF( &__SEGMENT_62___ERROR_168), BREF( &REACHED_63___ERROR_77) );
}

static obj_t
#if defined( __STDC__ )
__SIGSEGV_ERROR_HANDLER___ERROR_81(obj_t ENV_499_28,obj_t N_262_16)
#else
__SIGSEGV_ERROR_HANDLER___ERROR_81( ENV_499_28, N_262_16 )
obj_t ENV_499_28, N_262_16;
#endif
{

return SIGSEGV_ERROR_HANDLER___ERROR_103( N_262_16 );
}

obj_t
#if defined( __STDC__ )
ERROR_LOCATION___ERROR_177(obj_t PROC_263_215,obj_t MESSAGE_264_81,obj_t OBJECT_265_224,obj_t FNAME_266_108,obj_t LOCATION_267_242)
#else
ERROR_LOCATION___ERROR_177( PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 )
obj_t PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242;
#endif
{

if( STRINGP( FNAME_266_108 ))
if( bigloo_strcmp( FNAME_266_108, BREF( &__STRING__64___ERROR_102) ))
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );else
if( bigloo_strcmp( FNAME_266_108, BREF( &__STDIN__65___ERROR_154) ))
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );else
{
__ERROR_NOTIFIER____ERROR_69=ERROR_LOCATION_FILE___ERROR_154( FNAME_266_108, LOCATION_267_242 );
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );
}else
FAILURE( ERROR_LO_66___ERROR_7, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, FNAME____67___ERROR_159 ), FNAME_266_108 );
}

obj_t
#if defined( __STDC__ )
__ERROR_LOCATION___ERROR_58(obj_t ENV_498_210,obj_t PROC_263_215,obj_t MESSAGE_264_81,obj_t OBJECT_265_224,obj_t FNAME_266_108,obj_t LOCATION_267_242)
#else
__ERROR_LOCATION___ERROR_58( ENV_498_210, PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 )
obj_t ENV_498_210, PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242;
#endif
{

return ERROR_LOCATION___ERROR_177( PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 );
}

static obj_t
#if defined( __STDC__ )
ERROR_LOCATION_FILE___ERROR_154(obj_t FILE_NAME_268_168,obj_t LOCATION_269_191)
#else
ERROR_LOCATION_FILE___ERROR_154( FILE_NAME_268_168, LOCATION_269_191 )
obj_t FILE_NAME_268_168, LOCATION_269_191;
#endif
{

{obj_t PORT_270_64;
PORT_270_64=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( FILE_NAME_268_168, BNIL );if( INPUT_PORTP( PORT_270_64 ))
{obj_t LINE_STRING_276_198, LINE_NUM_277_101;
{obj_t READ_LINE_429_151;
if( PROCEDUREP( READ_LINE___R4_INPUT_6_10_2_31 ))
READ_LINE_429_151=READ_LINE___R4_INPUT_6_10_2_31;else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, READ_LIN_77___ERROR_105 ), READ_LINE___R4_INPUT_6_10_2_31 );if( PROCEDURE_CORRECT_ARITYP( READ_LINE_429_151, 1 ))
{
LINE_NUM_277_101=BINT( 1 );
LINE_STRING_276_198=PROCEDURE_ENTRY( READ_LINE_429_151 )( READ_LINE_429_151, PORT_270_64, BEOA );
{_LOOP_275_125:

if( EOF_OBJECTP( LINE_STRING_276_198 ))
{
close_input_port( PORT_270_64 );
{obj_t LAMBDA_3_1_ENV_496_187;
LAMBDA_3_1_ENV_496_187=PROCEDURE_68___ERROR_1;{obj_t A_FUNCTION_427_154;
A_FUNCTION_427_154=LAMBDA_3_1_ENV_496_187;return A_FUNCTION_427_154;}}
}else
{obj_t N1_365_189;
if( INPUT_PORTP( PORT_270_64 ))
{long AUX_527_1;
AUX_527_1=INPUT_PORT_FILEPOS( PORT_270_64 );N1_365_189=BINT( AUX_527_1 );}else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____71___ERROR_126 ), PORT_270_64 );if( INTEGERP( N1_365_189 ))
if( INTEGERP( LOCATION_269_191 ))
if( GE_I( N1_365_189, LOCATION_269_191 ))
{
close_input_port( PORT_270_64 );
{obj_t L_368_77;
{obj_t Z2_372_158;
{obj_t Z1_374_238;
if( INPUT_PORTP( PORT_270_64 ))
{long AUX_528_51;
AUX_528_51=INPUT_PORT_FILEPOS( PORT_270_64 );Z1_374_238=BINT( AUX_528_51 );}else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____71___ERROR_126 ), PORT_270_64 );if( INTEGERP( Z1_374_238 ))
Z2_372_158=SUB_I( Z1_374_238, LOCATION_269_191 );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______72___ERROR_252 ), Z1_374_238 );}{obj_t Z1_371_144;
if( STRINGP( LINE_STRING_276_198 ))
Z1_371_144=STRING_LENGTH( LINE_STRING_276_198 );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, LINE_STR_73___ERROR_113 ), LINE_STRING_276_198 );if( INTEGERP( Z1_371_144 ))
if( INTEGERP( Z2_372_158 ))
L_368_77=SUB_I( Z1_371_144, Z2_372_158 );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______74___ERROR_110 ), Z2_372_158 );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______75___ERROR_147 ), Z1_371_144 );}}if( INTEGERP( L_368_77 ))
return MAKE_LOCATION_NOTIFIER___ERROR_249( FILE_NAME_268_168, LINE_NUM_277_101, LOCATION_269_191, LINE_STRING_276_198, ADD_I_PTAG( L_368_77, PSUB_TAG( 1 ) ) );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, L_____76___ERROR_47 ), L_368_77 );}
}else
{obj_t OLD_POS_282_12;
if( INPUT_PORTP( PORT_270_64 ))
{long AUX_529_140;
AUX_529_140=INPUT_PORT_FILEPOS( PORT_270_64 );OLD_POS_282_12=BINT( AUX_529_140 );}else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____71___ERROR_126 ), PORT_270_64 );{obj_t READ_LINE_428_251;
if( PROCEDUREP( READ_LINE___R4_INPUT_6_10_2_31 ))
READ_LINE_428_251=READ_LINE___R4_INPUT_6_10_2_31;else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, READ_LIN_77___ERROR_105 ), READ_LINE___R4_INPUT_6_10_2_31 );if( PROCEDURE_CORRECT_ARITYP( READ_LINE_428_251, 1 ))
if( INTEGERP( LINE_NUM_277_101 ))
{obj_t AUX_530_43;
AUX_530_43=PROCEDURE_ENTRY( READ_LINE_428_251 )( READ_LINE_428_251, PORT_270_64, BEOA );{obj_t LINE_NUM_531_36;
LINE_NUM_531_36=LINE_NUM_277_101;{
LINE_NUM_277_101=ADD_I_PTAG( LINE_NUM_531_36, PSUB_TAG( 1 ) );
LINE_STRING_276_198=AUX_530_43;
goto _LOOP_275_125;
}}}else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, LINE_NUM_78___ERROR_93 ), LINE_NUM_277_101 );else
FAILURE( ERROR_LO_69___ERROR_63, BREF( &WRONG_NU_79___ERROR_174), READ_LIN_80___ERROR_235 );}}else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, LOCATION_81___ERROR_113 ), LOCATION_269_191 );else
FAILURE( ERROR_LO_69___ERROR_63, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, N______82___ERROR_6 ), N1_365_189 );}}
}else
FAILURE( ERROR_LO_69___ERROR_63, BREF( &WRONG_NU_83___ERROR_123), READ_LIN_84___ERROR_59 );}}else
{obj_t LAMBDA_3_0_ENV_494_34;
LAMBDA_3_0_ENV_494_34=PROCEDURE_85___ERROR_27;{obj_t A_FUNCTION_430_211;
A_FUNCTION_430_211=LAMBDA_3_0_ENV_494_34;return A_FUNCTION_430_211;}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_1_278_201(obj_t LAMBDA_3_1_ENV_497_199,obj_t PROC_279_18,obj_t MSG_280_208,obj_t OBJ_281_138)
#else
LAMBDA_3_1_278_201( LAMBDA_3_1_ENV_497_199, PROC_279_18, MSG_280_208, OBJ_281_138 )
obj_t LAMBDA_3_1_ENV_497_199, PROC_279_18, MSG_280_208, OBJ_281_138;
#endif
{

FAILURE( PROC_279_18, MSG_280_208, OBJ_281_138 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_0_271_72(obj_t LAMBDA_3_0_ENV_495_50,obj_t PROC_272_220,obj_t MSG_273_237,obj_t OBJ_274_75)
#else
LAMBDA_3_0_271_72( LAMBDA_3_0_ENV_495_50, PROC_272_220, MSG_273_237, OBJ_274_75 )
obj_t LAMBDA_3_0_ENV_495_50, PROC_272_220, MSG_273_237, OBJ_274_75;
#endif
{

FAILURE( PROC_272_220, MSG_273_237, OBJ_274_75 );
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCATION_NOTIFIER___ERROR_249(obj_t FNAME_283_60,obj_t LINE_284_49,obj_t CHAR_285_10,obj_t STRING_286_163,obj_t MARKER_287_77)
#else
MAKE_LOCATION_NOTIFIER___ERROR_249( FNAME_283_60, LINE_284_49, CHAR_285_10, STRING_286_163, MARKER_287_77 )
obj_t FNAME_283_60, LINE_284_49, CHAR_285_10, STRING_286_163, MARKER_287_77;
#endif
{

{obj_t LAMBDA_3_2_ENV_492_98;
LAMBDA_3_2_ENV_492_98=make_fx_procedure( LAMBDA_3_2_288_48, 3, 5 );{
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_492_98, 4, FNAME_283_60 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_492_98, 3, LINE_284_49 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_492_98, 2, CHAR_285_10 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_492_98, 1, STRING_286_163 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_492_98, 0, MARKER_287_77 );
{obj_t A_FUNCTION_453_96;
A_FUNCTION_453_96=LAMBDA_3_2_ENV_492_98;return A_FUNCTION_453_96;}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_2_288_48(obj_t LAMBDA_3_2_ENV_493_21,obj_t PROC_289_152,obj_t MSG_290_76,obj_t OBJ_291_31)
#else
LAMBDA_3_2_288_48( LAMBDA_3_2_ENV_493_21, PROC_289_152, MSG_290_76, OBJ_291_31 )
obj_t LAMBDA_3_2_ENV_493_21, PROC_289_152, MSG_290_76, OBJ_291_31;
#endif
{

{obj_t MARKER_287_77, STRING_286_163, CHAR_285_10, LINE_284_49, FNAME_283_60;
MARKER_287_77=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_493_21, 0 );STRING_286_163=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_493_21, 1 );CHAR_285_10=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_493_21, 2 );LINE_284_49=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_493_21, 3 );FNAME_283_60=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_493_21, 4 );{
__ERROR_NOTIFIER____ERROR_69=BFALSE;
{obj_t PORT_375_119;
PORT_375_119=current_output_port;if( OUTPUT_PORTP( PORT_375_119 ))
FLUSH_OUTPUT_PORT( PORT_375_119 );else
FAILURE( MAKE_LOC_86___ERROR_76, TYPE_ERROR___ERROR_146( OUTPUT_P_12___ERROR_138, PORT_____87___ERROR_231 ), PORT_375_119 );}
{obj_t VA_ARG_431_21;
VA_ARG_431_21=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_431_21 );}
{obj_t OLD_LENGTH_293_104, SPACE_STRING_292_6;
OLD_LENGTH_293_104=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();if( INTEGERP( MARKER_287_77 ))
if( GT_I( MARKER_287_77, BINT( 0 ) ))
{obj_t CHAR_381_224;
CHAR_381_224=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t K_380_105;
K_380_105=SUB_I_PTAG( MARKER_287_77, PSUB_TAG( 1 ) );if( NULLP( CHAR_381_224 ))
SPACE_STRING_292_6=make_string( K_380_105, BCHAR( ' ' ) );else
{obj_t TYPE_AUX_432_63;
if( PAIRP( CHAR_381_224 ))
TYPE_AUX_432_63=CAR( CHAR_381_224 );else
FAILURE( MAKE_LOC_86___ERROR_76, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, CHAR_____88___ERROR_220 ), CHAR_381_224 );if( CHARP( TYPE_AUX_432_63 ))
SPACE_STRING_292_6=make_string( K_380_105, TYPE_AUX_432_63 );else
FAILURE( MAKE_LOC_86___ERROR_76, TYPE_ERROR___ERROR_146( CHAR_89___ERROR_172, TYPE_AUX_90___ERROR_102 ), TYPE_AUX_432_63 );}}}else
SPACE_STRING_292_6=BREF( &__91___ERROR_116);else
FAILURE( MAKE_LOC_86___ERROR_76, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, MARKER___92___ERROR_150 ), MARKER_287_77 );{
FIX_TABULATION____ERROR_100( MARKER_287_77, STRING_286_163, SPACE_STRING_292_6 );
{obj_t VA_ARG_433_113;
VA_ARG_433_113=MAKE_PAIR( BREF( &___93___ERROR_13), BNIL );{obj_t VA_ARG_434_151;
VA_ARG_434_151=MAKE_PAIR( SPACE_STRING_292_6, VA_ARG_433_113 );{obj_t VA_ARG_435_251;
VA_ARG_435_251=MAKE_PAIR( BREF( &___94___ERROR_99), VA_ARG_434_151 );{obj_t VA_ARG_436_207;
VA_ARG_436_207=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_435_251 );{obj_t VA_ARG_437_225;
VA_ARG_437_225=MAKE_PAIR( STRING_286_163, VA_ARG_436_207 );{obj_t VA_ARG_438_17;
VA_ARG_438_17=MAKE_PAIR( BREF( &___95___ERROR_53), VA_ARG_437_225 );{obj_t VA_ARG_439_127;
VA_ARG_439_127=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_438_17 );{obj_t VA_ARG_440_168;
VA_ARG_440_168=MAKE_PAIR( BREF( &___96___ERROR_144), VA_ARG_439_127 );{obj_t VA_ARG_441_198;
VA_ARG_441_198=MAKE_PAIR( CHAR_285_10, VA_ARG_440_168 );{obj_t VA_ARG_442_41;
VA_ARG_442_41=MAKE_PAIR( BREF( &___CHARAC_97___ERROR_255), VA_ARG_441_198 );{obj_t VA_ARG_443_254;
VA_ARG_443_254=MAKE_PAIR( LINE_284_49, VA_ARG_442_41 );{obj_t VA_ARG_444_156;
VA_ARG_444_156=MAKE_PAIR( BREF( &____LINE__98___ERROR_229), VA_ARG_443_254 );{obj_t VA_ARG_445_241;
VA_ARG_445_241=MAKE_PAIR( FNAME_283_60, VA_ARG_444_156 );{obj_t VA_ARG_446_79;
VA_ARG_446_79=MAKE_PAIR( BREF( &FILE___99___ERROR_66), VA_ARG_445_241 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_446_79 );}}}}}}}}}}}}}}
SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( BINT( 80 ) );
{obj_t VA_ARG_447_46;
VA_ARG_447_46=MAKE_PAIR( PROC_289_152, BNIL );{obj_t VA_ARG_448_60;
VA_ARG_448_60=MAKE_PAIR( BREF( &_______ER_100___ERROR_232), VA_ARG_447_46 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_448_60 );}}
{obj_t VA_ARG_449_66;
VA_ARG_449_66=MAKE_PAIR( OBJ_291_31, BNIL );{obj_t VA_ARG_450_20;
VA_ARG_450_20=MAKE_PAIR( BREF( &______101___ERROR_94), VA_ARG_449_66 );{obj_t VA_ARG_451_81;
VA_ARG_451_81=MAKE_PAIR( MSG_290_76, VA_ARG_450_20 );{obj_t VA_ARG_452_24;
VA_ARG_452_24=MAKE_PAIR( BREF( &____102___ERROR_193), VA_ARG_451_81 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_452_24 );}}}}
return SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( OLD_LENGTH_293_104 );
}}
}}
}

static obj_t
#if defined( __STDC__ )
WARNING_LOCATION_FILE___ERROR_158(obj_t FILE_NAME_294_231,obj_t LOCATION_295_26,obj_t ARGS_296_180)
#else
WARNING_LOCATION_FILE___ERROR_158( FILE_NAME_294_231, LOCATION_295_26, ARGS_296_180 )
obj_t FILE_NAME_294_231, LOCATION_295_26, ARGS_296_180;
#endif
{

{obj_t PORT_297_134;
PORT_297_134=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( FILE_NAME_294_231, BNIL );if( INPUT_PORTP( PORT_297_134 ))
{obj_t LINE_STRING_299_236, LINE_NUM_300_142;
{obj_t READ_LINE_456_64;
if( PROCEDUREP( READ_LINE___R4_INPUT_6_10_2_31 ))
READ_LINE_456_64=READ_LINE___R4_INPUT_6_10_2_31;else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, READ_LIN_77___ERROR_105 ), READ_LINE___R4_INPUT_6_10_2_31 );if( PROCEDURE_CORRECT_ARITYP( READ_LINE_456_64, 1 ))
{
LINE_NUM_300_142=BINT( 1 );
LINE_STRING_299_236=PROCEDURE_ENTRY( READ_LINE_456_64 )( READ_LINE_456_64, PORT_297_134, BEOA );
{_LOOP_298_44:

if( EOF_OBJECTP( LINE_STRING_299_236 ))
{
close_input_port( PORT_297_134 );
{obj_t ARGS_235_454_80;
ARGS_235_454_80=BUNSPEC;{
ARGS_235_454_80=ARGS_296_180;
return WARNING___ERROR_212( ARGS_235_454_80 );
}}
}else
{obj_t N1_384_79;
if( INPUT_PORTP( PORT_297_134 ))
{long AUX_522_174;
AUX_522_174=INPUT_PORT_FILEPOS( PORT_297_134 );N1_384_79=BINT( AUX_522_174 );}else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____104___ERROR_238 ), PORT_297_134 );if( INTEGERP( N1_384_79 ))
if( INTEGERP( LOCATION_295_26 ))
if( GE_I( N1_384_79, LOCATION_295_26 ))
{
close_input_port( PORT_297_134 );
{obj_t L_385_134;
{obj_t Z2_387_188;
{obj_t Z1_388_199;
if( INPUT_PORTP( PORT_297_134 ))
{long AUX_523_97;
AUX_523_97=INPUT_PORT_FILEPOS( PORT_297_134 );Z1_388_199=BINT( AUX_523_97 );}else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____104___ERROR_238 ), PORT_297_134 );if( INTEGERP( Z1_388_199 ))
Z2_387_188=SUB_I( Z1_388_199, LOCATION_295_26 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______105___ERROR_16 ), Z1_388_199 );}{obj_t Z1_386_224;
if( STRINGP( LINE_STRING_299_236 ))
Z1_386_224=STRING_LENGTH( LINE_STRING_299_236 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, LINE_STR_106___ERROR_29 ), LINE_STRING_299_236 );if( INTEGERP( Z1_386_224 ))
if( INTEGERP( Z2_387_188 ))
L_385_134=SUB_I( Z1_386_224, Z2_387_188 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______107___ERROR_72 ), Z2_387_188 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, Z______108___ERROR_189 ), Z1_386_224 );}}if( INTEGERP( L_385_134 ))
return DO_WARN_LOCATION___ERROR_171( FILE_NAME_294_231, LINE_NUM_300_142, LOCATION_295_26, LINE_STRING_299_236, ADD_I_PTAG( L_385_134, PSUB_TAG( 1 ) ), ARGS_296_180 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, L_____109___ERROR_197 ), L_385_134 );}
}else
{obj_t OLD_POS_301_137;
if( INPUT_PORTP( PORT_297_134 ))
{long AUX_524_25;
AUX_524_25=INPUT_PORT_FILEPOS( PORT_297_134 );OLD_POS_301_137=BINT( AUX_524_25 );}else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( INPUT_PO_70___ERROR_238, PORT_____104___ERROR_238 ), PORT_297_134 );{obj_t READ_LINE_455_77;
if( PROCEDUREP( READ_LINE___R4_INPUT_6_10_2_31 ))
READ_LINE_455_77=READ_LINE___R4_INPUT_6_10_2_31;else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( PROCEDUR_29___ERROR_44, READ_LIN_77___ERROR_105 ), READ_LINE___R4_INPUT_6_10_2_31 );if( PROCEDURE_CORRECT_ARITYP( READ_LINE_455_77, 1 ))
if( INTEGERP( LINE_NUM_300_142 ))
{obj_t AUX_525_110;
AUX_525_110=PROCEDURE_ENTRY( READ_LINE_455_77 )( READ_LINE_455_77, PORT_297_134, BEOA );{obj_t LINE_NUM_526_116;
LINE_NUM_526_116=LINE_NUM_300_142;{
LINE_NUM_300_142=ADD_I_PTAG( LINE_NUM_526_116, PSUB_TAG( 1 ) );
LINE_STRING_299_236=AUX_525_110;
goto _LOOP_298_44;
}}}else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, LINE_NUM_110___ERROR_169 ), LINE_NUM_300_142 );else
FAILURE( WARNING__103___ERROR_141, BREF( &WRONG_NU_111___ERROR_191), READ_LIN_112___ERROR_244 );}}else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, LOCATION_113___ERROR_18 ), LOCATION_295_26 );else
FAILURE( WARNING__103___ERROR_141, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, N______114___ERROR_105 ), N1_384_79 );}}
}else
FAILURE( WARNING__103___ERROR_141, BREF( &WRONG_NU_115___ERROR_88), READ_LIN_116___ERROR_254 );}}else
{obj_t ARGS_235_457_50;
ARGS_235_457_50=BUNSPEC;{
ARGS_235_457_50=ARGS_296_180;
return WARNING___ERROR_212( ARGS_235_457_50 );
}}}
}

static obj_t
#if defined( __STDC__ )
DO_WARN_LOCATION___ERROR_171(obj_t FNAME_302_117,obj_t LINE_303_232,obj_t CHAR_304_144,obj_t STRING_305_80,obj_t MARKER_306_58,obj_t ARGS_307_49)
#else
DO_WARN_LOCATION___ERROR_171( FNAME_302_117, LINE_303_232, CHAR_304_144, STRING_305_80, MARKER_306_58, ARGS_307_49 )
obj_t FNAME_302_117, LINE_303_232, CHAR_304_144, STRING_305_80, MARKER_306_58, ARGS_307_49;
#endif
{

{
{obj_t PORT_389_30;
PORT_389_30=current_output_port;if( OUTPUT_PORTP( PORT_389_30 ))
FLUSH_OUTPUT_PORT( PORT_389_30 );else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( OUTPUT_P_12___ERROR_138, PORT_____118___ERROR_136 ), PORT_389_30 );}
{obj_t VA_ARG_458_207;
VA_ARG_458_207=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_458_207 );}
{obj_t OLD_LENGTH_309_179, SPACE_STRING_308_131;
OLD_LENGTH_309_179=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();if( INTEGERP( MARKER_306_58 ))
if( GT_I( MARKER_306_58, BINT( 0 ) ))
{obj_t CHAR_391_53;
CHAR_391_53=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t K_390_34;
K_390_34=SUB_I_PTAG( MARKER_306_58, PSUB_TAG( 1 ) );if( NULLP( CHAR_391_53 ))
SPACE_STRING_308_131=make_string( K_390_34, BCHAR( ' ' ) );else
{obj_t TYPE_AUX_459_163;
if( PAIRP( CHAR_391_53 ))
TYPE_AUX_459_163=CAR( CHAR_391_53 );else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, CHAR_____119___ERROR_40 ), CHAR_391_53 );if( CHARP( TYPE_AUX_459_163 ))
SPACE_STRING_308_131=make_string( K_390_34, TYPE_AUX_459_163 );else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( CHAR_89___ERROR_172, TYPE_AUX_120___ERROR_76 ), TYPE_AUX_459_163 );}}}else
SPACE_STRING_308_131=BREF( &__121___ERROR_194);else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, MARKER___122___ERROR_72 ), MARKER_306_58 );{
FIX_TABULATION____ERROR_100( MARKER_306_58, STRING_305_80, SPACE_STRING_308_131 );
{obj_t VA_ARG_460_108;
VA_ARG_460_108=MAKE_PAIR( BREF( &___123___ERROR_152), BNIL );{obj_t VA_ARG_461_191;
VA_ARG_461_191=MAKE_PAIR( SPACE_STRING_308_131, VA_ARG_460_108 );{obj_t VA_ARG_462_232;
VA_ARG_462_232=MAKE_PAIR( BREF( &___124___ERROR_107), VA_ARG_461_191 );{obj_t VA_ARG_463_139;
VA_ARG_463_139=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_462_232 );{obj_t VA_ARG_464_74;
VA_ARG_464_74=MAKE_PAIR( STRING_305_80, VA_ARG_463_139 );{obj_t VA_ARG_465_59;
VA_ARG_465_59=MAKE_PAIR( BREF( &___125___ERROR_14), VA_ARG_464_74 );{obj_t VA_ARG_466_137;
VA_ARG_466_137=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_465_59 );{obj_t VA_ARG_467_228;
VA_ARG_467_228=MAKE_PAIR( BREF( &___126___ERROR_28), VA_ARG_466_137 );{obj_t VA_ARG_468_5;
VA_ARG_468_5=MAKE_PAIR( CHAR_304_144, VA_ARG_467_228 );{obj_t VA_ARG_469_171;
VA_ARG_469_171=MAKE_PAIR( BREF( &___CHARAC_127___ERROR_114), VA_ARG_468_5 );{obj_t VA_ARG_470_6;
VA_ARG_470_6=MAKE_PAIR( LINE_303_232, VA_ARG_469_171 );{obj_t VA_ARG_471_24;
VA_ARG_471_24=MAKE_PAIR( BREF( &____LINE__128___ERROR_186), VA_ARG_470_6 );{obj_t VA_ARG_472_81;
VA_ARG_472_81=MAKE_PAIR( FNAME_302_117, VA_ARG_471_24 );{obj_t VA_ARG_473_20;
VA_ARG_473_20=MAKE_PAIR( BREF( &FILE___129___ERROR_8), VA_ARG_472_81 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_473_20 );}}}}}}}}}}}}}}
{obj_t VA_ARG_474_127;
VA_ARG_474_127=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_______WA_130___ERROR_217), VA_ARG_474_127 );}
if( NULLP( ARGS_307_49 ))
BFALSE;else
{
{obj_t VA_ARG_475_17;
if( PAIRP( ARGS_307_49 ))
VA_ARG_475_17=MAKE_PAIR( CAR( ARGS_307_49 ), BNIL );else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, ARGS_____131___ERROR_55 ), ARGS_307_49 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_475_17 );}
{obj_t g1004_311_68;
if( PAIRP( ARGS_307_49 ))
{
g1004_311_68=CDR( ARGS_307_49 );
{_g1005_310_229:

if( PAIRP( g1004_311_68 ))
{
{obj_t A_312_26;
A_312_26=CAR( g1004_311_68 );{obj_t VA_ARG_476_91;
VA_ARG_476_91=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_312_26, VA_ARG_476_91 );}}
{obj_t g1004_521_29;
g1004_521_29=g1004_311_68;{
g1004_311_68=CDR( g1004_521_29 );
goto _g1005_310_229;
}}
}else
if( NULLP( g1004_311_68 ))
BTRUE;else
FAILURE( BREF( &FOR_EACH_132___ERROR_233), BREF( &ARGUMENT_133___ERROR_154), g1004_311_68 );}
}else
FAILURE( DO_WARN__117___ERROR_224, TYPE_ERROR___ERROR_146( PAIR_6___ERROR_89, ARGS_____131___ERROR_55 ), ARGS_307_49 );}
}
{obj_t VA_ARG_477_92;
VA_ARG_477_92=MAKE_PAIR( current_error_port, BNIL );return NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_477_92 );}
}}
}
}

static obj_t
#if defined( __STDC__ )
FIX_TABULATION____ERROR_100(obj_t MARKER_313_140,obj_t SRC_314_198,obj_t DST_315_139)
#else
FIX_TABULATION____ERROR_100( MARKER_313_140, SRC_314_198, DST_315_139 )
obj_t MARKER_313_140, SRC_314_198, DST_315_139;
#endif
{

{obj_t READ_317_60;
if( INTEGERP( MARKER_313_140 ))
{
READ_317_60=SUB_I_PTAG( MARKER_313_140, PSUB_TAG( 1 ) );
{_LOOP_316_223:

if( INTEGERP( READ_317_60 ))
if( EQ_I( READ_317_60, BINT( -1 ) ))
return DONE_134___ERROR_233;else
{obj_t CHAR1_394_188;
if( STRINGP( SRC_314_198 ))
{obj_t AUX_517_54;
AUX_517_54=STRING_LENGTH( SRC_314_198 );if( BOUND_CHECK( READ_317_60, AUX_517_54 ))
CHAR1_394_188=BCHAR( STRING_REF( SRC_314_198, CINT( READ_317_60 ) ) );else
FAILURE( BREF( &STRING_R_135___ERROR_158), BREF( &INDEX_OU_136___ERROR_236), READ_317_60 );}else
FAILURE( FIX_TABU_137___ERROR_251, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, SRC_____138___ERROR_253 ), SRC_314_198 );if( CHARP( CHAR1_394_188 ))
if( CHARP( BCHAR( '\t' ) ))
if( EQP( CHAR1_394_188, BCHAR( '\t' ) ))
{
if( STRINGP( DST_315_139 ))
{obj_t AUX_518_85;
AUX_518_85=STRING_LENGTH( DST_315_139 );if( BOUND_CHECK( READ_317_60, AUX_518_85 ))
STRING_SET( DST_315_139, CINT( READ_317_60 ), '\t' );else
FAILURE( BREF( &STRING_S_139___ERROR_207), BREF( &INDEX_OU_140___ERROR_224), READ_317_60 );}else
FAILURE( FIX_TABU_137___ERROR_251, TYPE_ERROR___ERROR_146( STRING_21___ERROR_197, DST_____141___ERROR_152 ), DST_315_139 );
{obj_t READ_519_81;
READ_519_81=READ_317_60;{
READ_317_60=SUB_I_PTAG( READ_519_81, PSUB_TAG( 1 ) );
goto _LOOP_316_223;
}}
}else
{obj_t READ_520_112;
READ_520_112=READ_317_60;{
READ_317_60=SUB_I_PTAG( READ_520_112, PSUB_TAG( 1 ) );
goto _LOOP_316_223;
}}else
FAILURE( BREF( &CHAR___142___ERROR_248), BREF( &ARGUMENT_143___ERROR_196), BCHAR( '\t' ) );else
FAILURE( BREF( &CHAR___144___ERROR_119), BREF( &ARGUMENT_145___ERROR_62), CHAR1_394_188 );}else
FAILURE( FIX_TABU_137___ERROR_251, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, READ_____146___ERROR_200 ), READ_317_60 );}
}else
FAILURE( FIX_TABU_137___ERROR_251, TYPE_ERROR___ERROR_146( NUMBER_3___ERROR_212, MARKER___147___ERROR_125 ), MARKER_313_140 );}
}

