/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/system.c                                               */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( ILLEGAL__11___SYSTEM_174, "Illegal index", 13);
#if defined( __STDC__ )
extern obj_t __CHDIR___SYSTEM_75(obj_t, obj_t);
#else
extern obj_t __CHDIR___SYSTEM_75();
#endif
static obj_t GET_SIGN_41___SYSTEM_141 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t c_substring();
static obj_t STRING___9___SYSTEM_25 = BUNSPEC;
obj_t CHECK_FOR_VERSION_SOUNDNESS__ENV___SYSTEM_85 = BUNSPEC;
static obj_t __RELEASE____SYSTEM_14 = BUNSPEC;
DEFINE_STRING( WRONG_NU_39___SYSTEM_133, "Wrong number of arguments", 25);
static obj_t CHAR_19___SYSTEM_38 = BUNSPEC;
extern obj_t string_append();
static obj_t RELEASE__23___SYSTEM_32 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __COMMAND_LINE___SYSTEM_140(obj_t);
#else
extern obj_t __COMMAND_LINE___SYSTEM_140();
#endif
static obj_t GETENV___43___SYSTEM_144 = BUNSPEC;
DEFINE_STRING( ARGUMENT_15___SYSTEM_124, "argument not a char", 19);
static obj_t SYSTEM___45___SYSTEM_247 = BUNSPEC;
DEFINE_STRING( CHAR___14___SYSTEM_13, "char=?", 6);
static obj_t SIGNAL_31___SYSTEM_127 = BUNSPEC;
static obj_t TYPE_AUX_26___SYSTEM_166 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYSTEM___SYSTEM_33(obj_t, obj_t);
#else
extern obj_t __SYSTEM___SYSTEM_33();
#endif
#if defined( __STDC__ )
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45(obj_t, obj_t, obj_t);
#else
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#endif
extern char * c_date();
static obj_t CHECK_FO_3___SYSTEM_196 = BUNSPEC;
extern obj_t MIN___R4_NUMBERS_6_5_9();
static obj_t TYPE_AUX_29___SYSTEM_97 = BUNSPEC;
static obj_t STRING___44___SYSTEM_19 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LOCATION_REF___SYSTEM_225(obj_t);
#else
extern obj_t LOCATION_REF___SYSTEM_225();
#endif
extern obj_t DATE___SYSTEM_172();
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t CHECK_FO_2___SYSTEM_252 = BUNSPEC;
extern obj_t COMMAND_LINE___SYSTEM_172();
extern obj_t get_signal_handler();
obj_t LOCATION_REF_ENV___SYSTEM_162 = BUNSPEC;
static obj_t CHDIR____47___SYSTEM_74 = BUNSPEC;
static obj_t STRING___46___SYSTEM_115 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t GET_SIGNAL_HANDLER___SYSTEM_233(obj_t);
#else
extern obj_t GET_SIGNAL_HANDLER___SYSTEM_233();
#endif
DEFINE_STRING( STRING_S_21___SYSTEM_149, "string-set!", 11);
#if defined( __STDC__ )
extern obj_t SYSTEM___SYSTEM_121(obj_t);
#else
extern obj_t SYSTEM___SYSTEM_121();
#endif
obj_t CNST__ENV___SYSTEM_162 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247();
#endif
#if defined( __STDC__ )
extern obj_t __LOCATION_REF___SYSTEM_159(obj_t, obj_t);
#else
extern obj_t __LOCATION_REF___SYSTEM_159();
#endif
static obj_t LEVEL____20___SYSTEM_16 = BUNSPEC;
static obj_t STRING_4___SYSTEM_48 = BUNSPEC;
DEFINE_STRING( ILLEGAL__13___SYSTEM_33, "Illegal index", 13);
DEFINE_STRING( BIGLOO___0___SYSTEM_235, "Bigloo (v1.7)", 13);
static obj_t STRING___5___SYSTEM_88 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____SYSTEM_INITIALISATION___SYSTEM_62(obj_t);
#else
extern obj_t ____SYSTEM_INITIALISATION___SYSTEM_62();
#endif
extern int system();
DEFINE_STRING( INDEX_OU_22___SYSTEM_207, "index out of range", 18);
DEFINE_STRING( SOME_MOD_27___SYSTEM_249, "Some modules have been compiled by: ", 36);
extern obj_t command_line;
#if defined( __STDC__ )
extern obj_t __GETENV___SYSTEM_105(obj_t, obj_t);
#else
extern obj_t __GETENV___SYSTEM_105();
#endif
static obj_t REQUIRE_INITIALISATION____SYSTEM_10 = BUNSPEC;
DEFINE_STRING( SUBSTRIN_10___SYSTEM_124, "substring", 9);
DEFINE_STRING( SIGNAL_38___SYSTEM_198, "signal", 6);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t CHDIR_ENV___SYSTEM_42 = BUNSPEC;
DEFINE_STRING( SUBSTRIN_12___SYSTEM_211, "substring", 9);
static obj_t DIRNAME__48___SYSTEM_170 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LOCATION_SET____SYSTEM_161(obj_t, obj_t, obj_t);
#else
extern obj_t __LOCATION_SET____SYSTEM_161();
#endif
static obj_t __MODULES____SYSTEM_159 = BUNSPEC;
obj_t ___SYSTEM_INITIALISATION_ENV___SYSTEM_55 = BUNSPEC;
static obj_t NUM_____35___SYSTEM_39 = BUNSPEC;
obj_t SYSTEM_ENV___SYSTEM_183 = BUNSPEC;
DEFINE_STRING( CHAR___16___SYSTEM_129, "char=?", 6);
#if defined( __STDC__ )
extern obj_t __CNST____SYSTEM_27(obj_t, obj_t);
#else
extern obj_t __CNST____SYSTEM_27();
#endif
obj_t GET_SIGNAL_HANDLER_ENV___SYSTEM_96 = BUNSPEC;
static obj_t NUMBER_7___SYSTEM_26 = BUNSPEC;
static obj_t L_____8___SYSTEM_17 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CNST____SYSTEM_225(obj_t);
#else
extern obj_t CNST____SYSTEM_225();
#endif
#if defined( __STDC__ )
extern obj_t SIGNAL___SYSTEM_12(obj_t, obj_t);
#else
extern obj_t SIGNAL___SYSTEM_12();
#endif
#if defined( __STDC__ )
extern obj_t LOCATION_SET____SYSTEM_130(obj_t, obj_t);
#else
extern obj_t LOCATION_SET____SYSTEM_130();
#endif
extern obj_t make_fx_procedure();
obj_t LOCATION_SET__ENV___SYSTEM_109 = BUNSPEC;
DEFINE_STRING( SIGNAL_36___SYSTEM_28, "signal", 6);
static obj_t PROCEDUR_33___SYSTEM_41 = BUNSPEC;
static obj_t SIGNAL___32___SYSTEM_168 = BUNSPEC;
extern obj_t c_signal();
DEFINE_STRING( AND_OTHE_24___SYSTEM_115, "and other by: ", 14);
#if defined( __STDC__ )
extern obj_t __SIGNAL___SYSTEM_238(obj_t, obj_t, obj_t);
#else
extern obj_t __SIGNAL___SYSTEM_238();
#endif
DEFINE_STRING( ARGUMENT_17___SYSTEM_211, "argument not a char", 19);
#if defined( __STDC__ )
extern obj_t CHDIR___SYSTEM_182(obj_t);
#else
extern obj_t CHDIR___SYSTEM_182();
#endif
DEFINE_STRING( __28___SYSTEM_30, "", 0);
extern char * getenv();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
static obj_t ___SYSTEM_1___SYSTEM_129 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DATE___SYSTEM_135(obj_t);
#else
extern obj_t __DATE___SYSTEM_135();
#endif
static obj_t NUM_____42___SYSTEM_242 = BUNSPEC;
obj_t DATE_ENV___SYSTEM_117 = BUNSPEC;
static obj_t GET_SIGN_40___SYSTEM_163 = BUNSPEC;
obj_t GETENV_ENV___SYSTEM_58 = BUNSPEC;
DEFINE_STRING( ILLEGAL__37___SYSTEM_232, "Illegal signal", 14);
static obj_t __LEVEL____SYSTEM_117 = BUNSPEC;
static obj_t PROC_____34___SYSTEM_52 = BUNSPEC;
static obj_t COMMAND__30___SYSTEM_88 = BUNSPEC;
extern bool_t bigloo_strcmp();
obj_t COMMAND_LINE_ENV___SYSTEM_117 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __GET_SIGNAL_HANDLER___SYSTEM_117(obj_t, obj_t);
#else
extern obj_t __GET_SIGNAL_HANDLER___SYSTEM_117();
#endif
#if defined( __STDC__ )
extern obj_t GETENV___SYSTEM_77(obj_t);
#else
extern obj_t GETENV___SYSTEM_77();
#endif
obj_t SIGNAL_ENV___SYSTEM_203 = BUNSPEC;
DEFINE_STRING( ___LEVEL__18___SYSTEM_133, " (level 0)", 10);
static obj_t RELEASE__6___SYSTEM_204 = BUNSPEC;
extern obj_t LIST__STRING___R4_STRINGS_6_7_67();
extern int chdir();
DEFINE_STRING( __25___SYSTEM_111, "", 0);
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();

static obj_t RELEASE_NAME_229_227();

obj_t
#if defined( __STDC__ )
___SYSTEM_INITIALISATION___SYSTEM_109()
#else
___SYSTEM_INITIALISATION___SYSTEM_109()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____SYSTEM_10 ))
{
REQUIRE_INITIALISATION____SYSTEM_10=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
PROCEDUR_33___SYSTEM_41=c_string_to_symbol( "PROCEDURE" );
CHECK_FO_3___SYSTEM_196=c_string_to_symbol( "CHECK-FOR-VERSION-SOUNDNESS!@__SYSTEM" );
STRING___9___SYSTEM_25=c_string_to_symbol( "STRING@280" );
L_____8___SYSTEM_17=c_string_to_symbol( "L@249" );
SYSTEM___45___SYSTEM_247=c_string_to_symbol( "SYSTEM@__SYSTEM" );
NUM_____35___SYSTEM_39=c_string_to_symbol( "NUM@234" );
STRING___5___SYSTEM_88=c_string_to_symbol( "STRING@252" );
SIGNAL_31___SYSTEM_127=c_string_to_symbol( "SIGNAL" );
TYPE_AUX_26___SYSTEM_166=c_string_to_symbol( "TYPE-AUX@332" );
STRING___44___SYSTEM_19=c_string_to_symbol( "STRING@238" );
GET_SIGN_41___SYSTEM_141=c_string_to_symbol( "GET-SIGNAL-HANDLER@__SYSTEM" );
PROC_____34___SYSTEM_52=c_string_to_symbol( "PROC@235" );
___SYSTEM_1___SYSTEM_129=c_string_to_symbol( "__SYSTEM" );
GET_SIGN_40___SYSTEM_163=c_string_to_symbol( "GET-SIGNAL-HANDLER" );
NUM_____42___SYSTEM_242=c_string_to_symbol( "NUM@237" );
DIRNAME__48___SYSTEM_170=c_string_to_symbol( "DIRNAME@240" );
COMMAND__30___SYSTEM_88=c_string_to_symbol( "COMMAND-LINE" );
NUMBER_7___SYSTEM_26=c_string_to_symbol( "NUMBER" );
SIGNAL___32___SYSTEM_168=c_string_to_symbol( "SIGNAL@__SYSTEM" );
CHDIR____47___SYSTEM_74=c_string_to_symbol( "CHDIR@__SYSTEM" );
CHECK_FO_2___SYSTEM_252=c_string_to_symbol( "CHECK-FOR-VERSION-SOUNDNESS!" );
STRING___46___SYSTEM_115=c_string_to_symbol( "STRING@239" );
GETENV___43___SYSTEM_144=c_string_to_symbol( "GETENV@__SYSTEM" );
CHAR_19___SYSTEM_38=c_string_to_symbol( "CHAR" );
TYPE_AUX_29___SYSTEM_97=c_string_to_symbol( "TYPE-AUX@335" );
STRING_4___SYSTEM_48=c_string_to_symbol( "STRING" );
RELEASE__6___SYSTEM_204=c_string_to_symbol( "RELEASE@223" );
RELEASE__23___SYSTEM_32=c_string_to_symbol( "RELEASE@231" );
LEVEL____20___SYSTEM_16=c_string_to_symbol( "LEVEL@232" );
{
___SYSTEM_INITIALISATION_ENV___SYSTEM_55=make_fx_procedure( ____SYSTEM_INITIALISATION___SYSTEM_62, 0, 0 );
CHECK_FOR_VERSION_SOUNDNESS__ENV___SYSTEM_85=make_fx_procedure( __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247, 3, 0 );
COMMAND_LINE_ENV___SYSTEM_117=make_fx_procedure( __COMMAND_LINE___SYSTEM_140, 0, 0 );
SIGNAL_ENV___SYSTEM_203=make_fx_procedure( __SIGNAL___SYSTEM_238, 2, 0 );
GET_SIGNAL_HANDLER_ENV___SYSTEM_96=make_fx_procedure( __GET_SIGNAL_HANDLER___SYSTEM_117, 1, 0 );
GETENV_ENV___SYSTEM_58=make_fx_procedure( __GETENV___SYSTEM_105, 1, 0 );
SYSTEM_ENV___SYSTEM_183=make_fx_procedure( __SYSTEM___SYSTEM_33, 1, 0 );
DATE_ENV___SYSTEM_117=make_fx_procedure( __DATE___SYSTEM_135, 0, 0 );
CHDIR_ENV___SYSTEM_42=make_fx_procedure( __CHDIR___SYSTEM_75, 1, 0 );
LOCATION_REF_ENV___SYSTEM_162=make_fx_procedure( __LOCATION_REF___SYSTEM_159, 1, 0 );
LOCATION_SET__ENV___SYSTEM_109=make_fx_procedure( __LOCATION_SET____SYSTEM_161, 2, 0 );
CNST__ENV___SYSTEM_162=make_fx_procedure( __CNST____SYSTEM_27, 1, 0 );
{
{obj_t STRING_CAST_317_225;
STRING_CAST_317_225=BREF( &BIGLOO___0___SYSTEM_235);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___SYSTEM_1___SYSTEM_129, STRING_CAST_317_225, BCHAR( 'b' ) );}
__RELEASE____SYSTEM_14=BFALSE;
__LEVEL____SYSTEM_117=BFALSE;
__MODULES____SYSTEM_159=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____SYSTEM_INITIALISATION___SYSTEM_62(obj_t ENV_353_161)
#else
____SYSTEM_INITIALISATION___SYSTEM_62( ENV_353_161 )
obj_t ENV_353_161;
#endif
{

return ___SYSTEM_INITIALISATION___SYSTEM_109();
}

obj_t
#if defined( __STDC__ )
CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45(obj_t MODULE_222_243,obj_t RELEASE_223_31,obj_t LEVEL_224_150)
#else
CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( MODULE_222_243, RELEASE_223_31, LEVEL_224_150 )
obj_t MODULE_222_243, RELEASE_223_31, LEVEL_224_150;
#endif
{

{
PUSH_LAMBDA_TRACE( CHECK_FO_2___SYSTEM_252 );
{obj_t AUX_380_81;
{bool_t OBJ_354_1;
OBJ_354_1=STRINGP( __RELEASE____SYSTEM_14 );if( OBJ_354_1)
{bool_t __ortest_1000_363_114;
{obj_t AUX_381_20;
{obj_t MIN_228_65;
{obj_t L_249_164;
if( STRINGP( RELEASE_223_31 ))
{obj_t VA_ARG_318_82;
{obj_t STRING_252_77;
STRING_252_77=__RELEASE____SYSTEM_14;if( STRINGP( STRING_252_77 ))
{obj_t AUX_382_6;
AUX_382_6=STRING_LENGTH( STRING_252_77 );VA_ARG_318_82=MAKE_PAIR( AUX_382_6, BNIL );}else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___5___SYSTEM_88 ), STRING_252_77 );}{obj_t AUX_383_24;
AUX_383_24=STRING_LENGTH( RELEASE_223_31 );L_249_164=MIN___R4_NUMBERS_6_5_9( AUX_383_24, VA_ARG_318_82 );}}else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, RELEASE__6___SYSTEM_204 ), RELEASE_223_31 );if( INTEGERP( L_249_164 ))
MIN_228_65=SUB_I_PTAG( L_249_164, PSUB_TAG( 1 ) );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( NUMBER_7___SYSTEM_26, L_____8___SYSTEM_17 ), L_249_164 );}{bool_t OBJ_362_187;
{obj_t AUX_384_91;
{obj_t STRING2_258_105;
{obj_t STRING_280_219;
STRING_280_219=__RELEASE____SYSTEM_14;{if( GE_I( MIN_228_65, BINT( 0 ) ))
{bool_t __ANDTEST_1003_359_67;
{obj_t AUX_385_92;
{obj_t L_283_204;
if( STRINGP( STRING_280_219 ))
L_283_204=STRING_LENGTH( STRING_280_219 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___9___SYSTEM_25 ), STRING_280_219 );{bool_t AUX_386_127;
AUX_386_127=BOUND_CHECK( BINT( 0 ), ADD_I_PTAG( L_283_204, PSUB_TAG( 1 ) ) );AUX_385_92=CBOOL_TO_BBOOL( AUX_386_127 );}}__ANDTEST_1003_359_67=BBOOL_TO_CBOOL( AUX_385_92 );}if( __ANDTEST_1003_359_67)
{obj_t L_285_212;
if( STRINGP( STRING_280_219 ))
L_285_212=STRING_LENGTH( STRING_280_219 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___9___SYSTEM_25 ), STRING_280_219 );if( BOUND_CHECK( MIN_228_65, ADD_I_PTAG( L_285_212, PSUB_TAG( 1 ) ) ))
goto _true_3;else
goto _false_4;}else
goto _false_4;}else
goto _false_4;_true_3:
if( STRINGP( STRING_280_219 ))
{STRING2_258_105=c_substring( STRING_280_219, BINT( 0 ), MIN_228_65 );
goto _endif_5;}else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___9___SYSTEM_25 ), STRING_280_219 );_false_4:
{obj_t OBJECT_287_187;
OBJECT_287_187=MAKE_PAIR( BINT( 0 ), MIN_228_65 );FAILURE( BREF( &SUBSTRIN_10___SYSTEM_124), BREF( &ILLEGAL__11___SYSTEM_174), OBJECT_287_187 );}_endif_5:
;
}}{obj_t STRING1_257_78;
{if( GE_I( MIN_228_65, BINT( 0 ) ))
{bool_t __ANDTEST_1003_361_161;
{obj_t AUX_387_17;
{obj_t L_270_65;
if( STRINGP( RELEASE_223_31 ))
L_270_65=STRING_LENGTH( RELEASE_223_31 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, RELEASE__6___SYSTEM_204 ), RELEASE_223_31 );{bool_t AUX_388_225;
AUX_388_225=BOUND_CHECK( BINT( 0 ), ADD_I_PTAG( L_270_65, PSUB_TAG( 1 ) ) );AUX_387_17=CBOOL_TO_BBOOL( AUX_388_225 );}}__ANDTEST_1003_361_161=BBOOL_TO_CBOOL( AUX_387_17 );}if( __ANDTEST_1003_361_161)
{obj_t L_272_40;
if( STRINGP( RELEASE_223_31 ))
L_272_40=STRING_LENGTH( RELEASE_223_31 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, RELEASE__6___SYSTEM_204 ), RELEASE_223_31 );if( BOUND_CHECK( MIN_228_65, ADD_I_PTAG( L_272_40, PSUB_TAG( 1 ) ) ))
goto _true_6;else
goto _false_7;}else
goto _false_7;}else
goto _false_7;_true_6:
if( STRINGP( RELEASE_223_31 ))
{STRING1_257_78=c_substring( RELEASE_223_31, BINT( 0 ), MIN_228_65 );
goto _endif_8;}else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, RELEASE__6___SYSTEM_204 ), RELEASE_223_31 );_false_7:
{obj_t OBJECT_277_1;
OBJECT_277_1=MAKE_PAIR( BINT( 0 ), MIN_228_65 );FAILURE( BREF( &SUBSTRIN_12___SYSTEM_211), BREF( &ILLEGAL__13___SYSTEM_33), OBJECT_277_1 );}_endif_8:
;
}AUX_384_91=CBOOL_TO_BBOOL( bigloo_strcmp( STRING1_257_78, STRING2_258_105 ) );}}OBJ_362_187=BBOOL_TO_CBOOL( AUX_384_91 );}if( OBJ_362_187)
AUX_381_20=BFALSE;else
AUX_381_20=BTRUE;}}__ortest_1000_363_114=BBOOL_TO_CBOOL( AUX_381_20 );}{if( __ortest_1000_363_114)
goto _true_9;else
{bool_t __andtest_1001_364_44;
__andtest_1001_364_44=CHARP( LEVEL_224_150 );if( __andtest_1001_364_44)
{bool_t __andtest_1002_365_5;
{obj_t AUX_389_207;
{obj_t OBJ_289_1;
OBJ_289_1=__LEVEL____SYSTEM_117;{bool_t AUX_390_143;
AUX_390_143=CHARP( OBJ_289_1 );AUX_389_207=CBOOL_TO_BBOOL( AUX_390_143 );}}__andtest_1002_365_5=BBOOL_TO_CBOOL( AUX_389_207 );}if( __andtest_1002_365_5)
{bool_t OBJ_366_226;
{obj_t AUX_391_55;
{obj_t CHAR1_293_115;
CHAR1_293_115=__LEVEL____SYSTEM_117;if( CHARP( CHAR1_293_115 ))
if( CHARP( LEVEL_224_150 ))
AUX_391_55=CBOOL_TO_BBOOL( EQP( CHAR1_293_115, LEVEL_224_150 ) );else
FAILURE( BREF( &CHAR___14___SYSTEM_13), BREF( &ARGUMENT_15___SYSTEM_124), LEVEL_224_150 );else
FAILURE( BREF( &CHAR___16___SYSTEM_129), BREF( &ARGUMENT_17___SYSTEM_211), CHAR1_293_115 );}OBJ_366_226=BBOOL_TO_CBOOL( AUX_391_55 );}if( OBJ_366_226)
goto _false_10;else
goto _true_9;}else
goto _false_10;}else
goto _false_10;}_true_9:
{obj_t OBJECT_301_177;
{obj_t OBJ2_306_173;
OBJ2_306_173=__MODULES____SYSTEM_159;OBJECT_301_177=MAKE_PAIR( MODULE_222_243, OBJ2_306_173 );}{obj_t MESSAGE_300_234;
{obj_t STRING_CAST_330_11;
STRING_CAST_330_11=BREF( &AND_OTHE_24___SYSTEM_115);{obj_t TYPE_AUX_332_153;
{obj_t AUX_392_105;
if( CHARP( LEVEL_224_150 ))
{obj_t CHARS_305_18;
CHARS_305_18=MAKE_PAIR( LEVEL_224_150, BNIL );AUX_392_105=LIST__STRING___R4_STRINGS_6_7_67( CHARS_305_18 );}else
AUX_392_105=BREF( &__25___SYSTEM_111);TYPE_AUX_332_153=RELEASE_NAME_229_227( RELEASE_223_31, AUX_392_105 );}if( STRINGP( TYPE_AUX_332_153 ))
MESSAGE_300_234=string_append( STRING_CAST_330_11, TYPE_AUX_332_153 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, TYPE_AUX_26___SYSTEM_166 ), TYPE_AUX_332_153 );}}{obj_t PROC_299_246;
{obj_t STRING_CAST_333_5;
STRING_CAST_333_5=BREF( &SOME_MOD_27___SYSTEM_249);{obj_t TYPE_AUX_335_236;
{obj_t OBJ_302_186;
OBJ_302_186=__LEVEL____SYSTEM_117;{obj_t AUX_393_134;
if( CHARP( OBJ_302_186 ))
{obj_t CHARS_304_214;
CHARS_304_214=MAKE_PAIR( __LEVEL____SYSTEM_117, BNIL );AUX_393_134=LIST__STRING___R4_STRINGS_6_7_67( CHARS_304_214 );}else
AUX_393_134=BREF( &__28___SYSTEM_30);TYPE_AUX_335_236=RELEASE_NAME_229_227( __RELEASE____SYSTEM_14, AUX_393_134 );}}if( STRINGP( TYPE_AUX_335_236 ))
PROC_299_246=string_append( STRING_CAST_333_5, TYPE_AUX_335_236 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, TYPE_AUX_29___SYSTEM_97 ), TYPE_AUX_335_236 );}}FAILURE( PROC_299_246, MESSAGE_300_234, OBJECT_301_177 );}}}_false_10:
{obj_t OBJ2_307_73;
OBJ2_307_73=__MODULES____SYSTEM_159;{__MODULES____SYSTEM_159=MAKE_PAIR( MODULE_222_243, OBJ2_307_73 );
AUX_380_81=__MODULES____SYSTEM_159;}};
}}else
{
{obj_t L_309_157;
L_309_157=MAKE_PAIR( MODULE_222_243, BNIL );__MODULES____SYSTEM_159=L_309_157;}
__RELEASE____SYSTEM_14=RELEASE_223_31;
{__LEVEL____SYSTEM_117=LEVEL_224_150;
AUX_380_81=__LEVEL____SYSTEM_117;}
}}return POP_LAMBDA_TRACE( AUX_380_81 );}
}
}

static obj_t
#if defined( __STDC__ )
RELEASE_NAME_229_227(obj_t RELEASE_231_241,obj_t LEVEL_232_16)
#else
RELEASE_NAME_229_227( RELEASE_231_241, LEVEL_232_16 )
obj_t RELEASE_231_241, LEVEL_232_16;
#endif
{

if( CHARP( LEVEL_232_16 ))
{obj_t S_233_34;
S_233_34=BREF( &___LEVEL__18___SYSTEM_133);{
{obj_t AUX_379_65;
AUX_379_65=STRING_LENGTH( S_233_34 );if( BOUND_CHECK( BINT( 8 ), AUX_379_65 ))
if( CHARP( LEVEL_232_16 ))
STRING_SET( S_233_34, 8, CCHAR( LEVEL_232_16 ) );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( CHAR_19___SYSTEM_38, LEVEL____20___SYSTEM_16 ), LEVEL_232_16 );else
FAILURE( BREF( &STRING_S_21___SYSTEM_149), BREF( &INDEX_OU_22___SYSTEM_207), BINT( 8 ) );}
if( STRINGP( RELEASE_231_241 ))
if( STRINGP( LEVEL_232_16 ))
return string_append( RELEASE_231_241, LEVEL_232_16 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, LEVEL____20___SYSTEM_16 ), LEVEL_232_16 );else
FAILURE( CHECK_FO_3___SYSTEM_196, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, RELEASE__23___SYSTEM_32 ), RELEASE_231_241 );
}}else
return RELEASE_231_241;
}

obj_t
#if defined( __STDC__ )
__CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247(obj_t ENV_352_176,obj_t MODULE_222_243,obj_t RELEASE_223_31,obj_t LEVEL_224_150)
#else
__CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247( ENV_352_176, MODULE_222_243, RELEASE_223_31, LEVEL_224_150 )
obj_t ENV_352_176, MODULE_222_243, RELEASE_223_31, LEVEL_224_150;
#endif
{

return CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( MODULE_222_243, RELEASE_223_31, LEVEL_224_150 );
}

obj_t
#if defined( __STDC__ )
COMMAND_LINE___SYSTEM_172()
#else
COMMAND_LINE___SYSTEM_172()
#endif
{

{
PUSH_LAMBDA_TRACE( COMMAND__30___SYSTEM_88 );
{obj_t AUX_378_36;
AUX_378_36=command_line;return POP_LAMBDA_TRACE( AUX_378_36 );}
}
}

obj_t
#if defined( __STDC__ )
__COMMAND_LINE___SYSTEM_140(obj_t ENV_351_86)
#else
__COMMAND_LINE___SYSTEM_140( ENV_351_86 )
obj_t ENV_351_86;
#endif
{

return COMMAND_LINE___SYSTEM_172();
}

obj_t
#if defined( __STDC__ )
SIGNAL___SYSTEM_12(obj_t NUM_234_122,obj_t PROC_235_142)
#else
SIGNAL___SYSTEM_12( NUM_234_122, PROC_235_142 )
obj_t NUM_234_122, PROC_235_142;
#endif
{

{
PUSH_LAMBDA_TRACE( SIGNAL_31___SYSTEM_127 );
{obj_t AUX_376_87;
{obj_t N1_312_220;
if( PROCEDUREP( PROC_235_142 ))
N1_312_220=BINT( PROCEDURE_ARITY( PROC_235_142 ) );else
FAILURE( SIGNAL___32___SYSTEM_168, TYPE_ERROR___ERROR_146( PROCEDUR_33___SYSTEM_41, PROC_____34___SYSTEM_52 ), PROC_235_142 );if( EQ_I( N1_312_220, BINT( 1 ) ))
{bool_t __ortest_1003_369_159;
{obj_t AUX_377_197;
if( INTEGERP( NUM_234_122 ))
AUX_377_197=CBOOL_TO_BBOOL( LT_I( NUM_234_122, BINT( 0 ) ) );else
FAILURE( SIGNAL___32___SYSTEM_168, TYPE_ERROR___ERROR_146( NUMBER_7___SYSTEM_26, NUM_____35___SYSTEM_39 ), NUM_234_122 );__ortest_1003_369_159=BBOOL_TO_CBOOL( AUX_377_197 );}{if( __ortest_1003_369_159)
goto _true_0;else
if( INTEGERP( NUM_234_122 ))
if( GT_I( NUM_234_122, BINT( 31 ) ))
goto _true_0;else
goto _false_1;else
FAILURE( SIGNAL___32___SYSTEM_168, TYPE_ERROR___ERROR_146( NUMBER_7___SYSTEM_26, NUM_____35___SYSTEM_39 ), NUM_234_122 );_true_0:
FAILURE( BREF( &SIGNAL_36___SYSTEM_28), BREF( &ILLEGAL__37___SYSTEM_232), NUM_234_122 );_false_1:
if( INTEGERP( NUM_234_122 ))
if( PROCEDUREP( PROC_235_142 ))
AUX_376_87=c_signal( CINT( NUM_234_122 ), PROC_235_142 );else
FAILURE( SIGNAL___32___SYSTEM_168, TYPE_ERROR___ERROR_146( PROCEDUR_33___SYSTEM_41, PROC_____34___SYSTEM_52 ), PROC_235_142 );else
FAILURE( SIGNAL___32___SYSTEM_168, TYPE_ERROR___ERROR_146( NUMBER_7___SYSTEM_26, NUM_____35___SYSTEM_39 ), NUM_234_122 );;
}}else
FAILURE( BREF( &SIGNAL_38___SYSTEM_198), BREF( &WRONG_NU_39___SYSTEM_133), PROC_235_142 );}return POP_LAMBDA_TRACE( AUX_376_87 );}
}
}

obj_t
#if defined( __STDC__ )
__SIGNAL___SYSTEM_238(obj_t ENV_350_141,obj_t NUM_234_122,obj_t PROC_235_142)
#else
__SIGNAL___SYSTEM_238( ENV_350_141, NUM_234_122, PROC_235_142 )
obj_t ENV_350_141, NUM_234_122, PROC_235_142;
#endif
{

return SIGNAL___SYSTEM_12( NUM_234_122, PROC_235_142 );
}

obj_t
#if defined( __STDC__ )
GET_SIGNAL_HANDLER___SYSTEM_233(obj_t NUM_237_208)
#else
GET_SIGNAL_HANDLER___SYSTEM_233( NUM_237_208 )
obj_t NUM_237_208;
#endif
{

{
PUSH_LAMBDA_TRACE( GET_SIGN_40___SYSTEM_163 );
{obj_t AUX_375_107;
if( INTEGERP( NUM_237_208 ))
AUX_375_107=get_signal_handler( CINT( NUM_237_208 ) );else
FAILURE( GET_SIGN_41___SYSTEM_141, TYPE_ERROR___ERROR_146( NUMBER_7___SYSTEM_26, NUM_____42___SYSTEM_242 ), NUM_237_208 );return POP_LAMBDA_TRACE( AUX_375_107 );}
}
}

obj_t
#if defined( __STDC__ )
__GET_SIGNAL_HANDLER___SYSTEM_117(obj_t ENV_349_71,obj_t NUM_237_208)
#else
__GET_SIGNAL_HANDLER___SYSTEM_117( ENV_349_71, NUM_237_208 )
obj_t ENV_349_71, NUM_237_208;
#endif
{

return GET_SIGNAL_HANDLER___SYSTEM_233( NUM_237_208 );
}

obj_t
#if defined( __STDC__ )
GETENV___SYSTEM_77(obj_t STRING_238_94)
#else
GETENV___SYSTEM_77( STRING_238_94 )
obj_t STRING_238_94;
#endif
{

if( STRINGP( STRING_238_94 ))
if( getenv( BSTRING_TO_CSTRING( STRING_238_94 ) ))
{char * AUX_374_177;
AUX_374_177=getenv( BSTRING_TO_CSTRING( STRING_238_94 ) );return CSTRING_TO_BSTRING( AUX_374_177 );}else
return BFALSE;else
FAILURE( GETENV___43___SYSTEM_144, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___44___SYSTEM_19 ), STRING_238_94 );
}

obj_t
#if defined( __STDC__ )
__GETENV___SYSTEM_105(obj_t ENV_348_231,obj_t STRING_238_94)
#else
__GETENV___SYSTEM_105( ENV_348_231, STRING_238_94 )
obj_t ENV_348_231, STRING_238_94;
#endif
{

return GETENV___SYSTEM_77( STRING_238_94 );
}

obj_t
#if defined( __STDC__ )
SYSTEM___SYSTEM_121(obj_t STRING_239_220)
#else
SYSTEM___SYSTEM_121( STRING_239_220 )
obj_t STRING_239_220;
#endif
{

if( STRINGP( STRING_239_220 ))
{int AUX_373_169;
AUX_373_169=system( BSTRING_TO_CSTRING( STRING_239_220 ) );return BINT( AUX_373_169 );}else
FAILURE( SYSTEM___45___SYSTEM_247, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, STRING___46___SYSTEM_115 ), STRING_239_220 );
}

obj_t
#if defined( __STDC__ )
__SYSTEM___SYSTEM_33(obj_t ENV_347_236,obj_t STRING_239_220)
#else
__SYSTEM___SYSTEM_33( ENV_347_236, STRING_239_220 )
obj_t ENV_347_236, STRING_239_220;
#endif
{

return SYSTEM___SYSTEM_121( STRING_239_220 );
}

obj_t
#if defined( __STDC__ )
DATE___SYSTEM_172()
#else
DATE___SYSTEM_172()
#endif
{

{char * AUX_372_234;
AUX_372_234=c_date();return CSTRING_TO_BSTRING( AUX_372_234 );}
}

obj_t
#if defined( __STDC__ )
__DATE___SYSTEM_135(obj_t ENV_346_249)
#else
__DATE___SYSTEM_135( ENV_346_249 )
obj_t ENV_346_249;
#endif
{

return DATE___SYSTEM_172();
}

obj_t
#if defined( __STDC__ )
CHDIR___SYSTEM_182(obj_t DIRNAME_240_149)
#else
CHDIR___SYSTEM_182( DIRNAME_240_149 )
obj_t DIRNAME_240_149;
#endif
{

if( STRINGP( DIRNAME_240_149 ))
{int AUX_371_68;
AUX_371_68=chdir( BSTRING_TO_CSTRING( DIRNAME_240_149 ) );return BINT( AUX_371_68 );}else
FAILURE( CHDIR____47___SYSTEM_74, TYPE_ERROR___ERROR_146( STRING_4___SYSTEM_48, DIRNAME__48___SYSTEM_170 ), DIRNAME_240_149 );
}

obj_t
#if defined( __STDC__ )
__CHDIR___SYSTEM_75(obj_t ENV_345_244,obj_t DIRNAME_240_149)
#else
__CHDIR___SYSTEM_75( ENV_345_244, DIRNAME_240_149 )
obj_t ENV_345_244, DIRNAME_240_149;
#endif
{

return CHDIR___SYSTEM_182( DIRNAME_240_149 );
}

obj_t
#if defined( __STDC__ )
LOCATION_REF___SYSTEM_225(obj_t OBJ_241_14)
#else
LOCATION_REF___SYSTEM_225( OBJ_241_14 )
obj_t OBJ_241_14;
#endif
{

return LOCATION_REF( OBJ_241_14 );
}

obj_t
#if defined( __STDC__ )
__LOCATION_REF___SYSTEM_159(obj_t ENV_344_45,obj_t OBJ_241_14)
#else
__LOCATION_REF___SYSTEM_159( ENV_344_45, OBJ_241_14 )
obj_t ENV_344_45, OBJ_241_14;
#endif
{

return LOCATION_REF___SYSTEM_225( OBJ_241_14 );
}

obj_t
#if defined( __STDC__ )
LOCATION_SET____SYSTEM_130(obj_t OBJ_242_110,obj_t VAL_243_81)
#else
LOCATION_SET____SYSTEM_130( OBJ_242_110, VAL_243_81 )
obj_t OBJ_242_110, VAL_243_81;
#endif
{

return LOCATION_SET( OBJ_242_110, VAL_243_81 );
}

obj_t
#if defined( __STDC__ )
__LOCATION_SET____SYSTEM_161(obj_t ENV_343_182,obj_t OBJ_242_110,obj_t VAL_243_81)
#else
__LOCATION_SET____SYSTEM_161( ENV_343_182, OBJ_242_110, VAL_243_81 )
obj_t ENV_343_182, OBJ_242_110, VAL_243_81;
#endif
{

return LOCATION_SET____SYSTEM_130( OBJ_242_110, VAL_243_81 );
}

obj_t
#if defined( __STDC__ )
CNST____SYSTEM_225(obj_t OBJ_244_97)
#else
CNST____SYSTEM_225( OBJ_244_97 )
obj_t OBJ_244_97;
#endif
{

{bool_t AUX_370_56;
AUX_370_56=CNSTP( OBJ_244_97 );return CBOOL_TO_BBOOL( AUX_370_56 );}
}

obj_t
#if defined( __STDC__ )
__CNST____SYSTEM_27(obj_t ENV_342_111,obj_t OBJ_244_97)
#else
__CNST____SYSTEM_27( ENV_342_111, OBJ_244_97 )
obj_t ENV_342_111, OBJ_244_97;
#endif
{

return CNST____SYSTEM_225( OBJ_244_97 );
}

