/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/unix-file.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t SUFFIX___UNIX_FILE_231(obj_t);
#else
extern obj_t SUFFIX___UNIX_FILE_231();
#endif
obj_t DIRNAME_ENV___UNIX_FILE_75 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PREFIX___UNIX_FILE_1(obj_t, obj_t);
#else
extern obj_t __PREFIX___UNIX_FILE_1();
#endif
extern obj_t _2____R4_NUMBERS_6_5_30();
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t c_substring();
#if defined( __STDC__ )
extern obj_t PREFIX___UNIX_FILE_45(obj_t);
#else
extern obj_t PREFIX___UNIX_FILE_45();
#endif
DEFINE_STRING( SUBSTRIN_13___UNIX_FILE_63, "substring", 9);
static obj_t S_____18___UNIX_FILE_47 = BUNSPEC;
DEFINE_STRING( STRING_R_15___UNIX_FILE_229, "string-ref", 10);
static obj_t NUMBER_17___UNIX_FILE_30 = BUNSPEC;
static obj_t STRING___29___UNIX_FILE_37 = BUNSPEC;
DEFINE_STRING( ILLEGAL__9___UNIX_FILE_171, "Illegal index", 13);
DEFINE_STRING( SUBSTRIN_25___UNIX_FILE_248, "substring", 9);
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
static obj_t ___UNIX_F_1___UNIX_FILE_157 = BUNSPEC;
static obj_t DIRNAME__20___UNIX_FILE_39 = BUNSPEC;
static obj_t BASENAME_2___UNIX_FILE_164 = BUNSPEC;
DEFINE_STRING( STRING_R_23___UNIX_FILE_0, "string-ref", 10);
obj_t SUFFIX_ENV___UNIX_FILE_93 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t STRING___12___UNIX_FILE_187 = BUNSPEC;
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
#if defined( __STDC__ )
extern obj_t BASENAME___UNIX_FILE_111(obj_t);
#else
extern obj_t BASENAME___UNIX_FILE_111();
#endif
static obj_t BASENAME_5___UNIX_FILE_184 = BUNSPEC;
static obj_t PREFIX_10___UNIX_FILE_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BASENAME___UNIX_FILE_243(obj_t, obj_t);
#else
extern obj_t __BASENAME___UNIX_FILE_243();
#endif
static obj_t STRING___7___UNIX_FILE_93 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DIRNAME___UNIX_FILE_168(obj_t, obj_t);
#else
extern obj_t __DIRNAME___UNIX_FILE_168();
#endif
DEFINE_STRING( BIGLOO___0___UNIX_FILE_161, "Bigloo (v1.7)", 13);
DEFINE_STRING( ___22___UNIX_FILE_17, ".", 1);
DEFINE_STRING( STRING_R_3___UNIX_FILE_206, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t DIRNAME___UNIX_FILE_11(obj_t);
#else
extern obj_t DIRNAME___UNIX_FILE_11();
#endif
static obj_t PREFIX___11___UNIX_FILE_118 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____UNIX_FILE_52 = BUNSPEC;
DEFINE_STRING( ILLEGAL__26___UNIX_FILE_57, "Illegal index", 13);
DEFINE_STRING( SUBSTRIN_8___UNIX_FILE_67, "substring", 9);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
DEFINE_STRING( INDEX_OU_32___UNIX_FILE_137, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __SUFFIX___UNIX_FILE_145(obj_t, obj_t);
#else
extern obj_t __SUFFIX___UNIX_FILE_145();
#endif
DEFINE_STRING( STRING_R_31___UNIX_FILE_182, "string-ref", 10);
DEFINE_STRING( INDEX_OU_16___UNIX_FILE_43, "index out of range", 18);
DEFINE_STRING( ILLEGAL__14___UNIX_FILE_60, "Illegal index", 13);
DEFINE_STRING( INDEX_OU_24___UNIX_FILE_7, "index out of range", 18);
DEFINE_STRING( INDEX_OU_4___UNIX_FILE_38, "index out of range", 18);
extern obj_t make_fx_procedure();
static obj_t DIRNAME_19___UNIX_FILE_61 = BUNSPEC;
obj_t BASENAME_ENV___UNIX_FILE_173 = BUNSPEC;
static obj_t SUFFIX___28___UNIX_FILE_236 = BUNSPEC;
DEFINE_STRING( SUBSTRIN_33___UNIX_FILE_32, "substring", 9);
#if defined( __STDC__ )
extern obj_t ____UNIX_FILE_INITIALISATION___UNIX_FILE_132(obj_t);
#else
extern obj_t ____UNIX_FILE_INITIALISATION___UNIX_FILE_132();
#endif
static obj_t STRING___21___UNIX_FILE_213 = BUNSPEC;
obj_t PREFIX_ENV___UNIX_FILE_66 = BUNSPEC;
static obj_t SUFFIX_27___UNIX_FILE_166 = BUNSPEC;
static obj_t STRING_6___UNIX_FILE_210 = BUNSPEC;
DEFINE_STRING( __30___UNIX_FILE_90, "", 0);
obj_t ___UNIX_FILE_INITIALISATION_ENV___UNIX_FILE_198 = BUNSPEC;
DEFINE_STRING( ILLEGAL__34___UNIX_FILE_232, "Illegal index", 13);
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();


obj_t
#if defined( __STDC__ )
___UNIX_FILE_INITIALISATION___UNIX_FILE_247()
#else
___UNIX_FILE_INITIALISATION___UNIX_FILE_247()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____UNIX_FILE_52 ))
{
REQUIRE_INITIALISATION____UNIX_FILE_52=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___SYSTEM_INITIALISATION___SYSTEM_109();
DIRNAME__20___UNIX_FILE_39=c_string_to_symbol( "DIRNAME@__UNIX_FILE" );
___UNIX_F_1___UNIX_FILE_157=c_string_to_symbol( "__UNIX_FILE" );
STRING___7___UNIX_FILE_93=c_string_to_symbol( "STRING@222" );
PREFIX___11___UNIX_FILE_118=c_string_to_symbol( "PREFIX@__UNIX_FILE" );
DIRNAME_19___UNIX_FILE_61=c_string_to_symbol( "DIRNAME" );
STRING___21___UNIX_FILE_213=c_string_to_symbol( "STRING@231" );
S_____18___UNIX_FILE_47=c_string_to_symbol( "S@229" );
BASENAME_2___UNIX_FILE_164=c_string_to_symbol( "BASENAME" );
NUMBER_17___UNIX_FILE_30=c_string_to_symbol( "NUMBER" );
STRING___12___UNIX_FILE_187=c_string_to_symbol( "STRING@225" );
BASENAME_5___UNIX_FILE_184=c_string_to_symbol( "BASENAME@__UNIX_FILE" );
SUFFIX___28___UNIX_FILE_236=c_string_to_symbol( "SUFFIX@__UNIX_FILE" );
STRING___29___UNIX_FILE_37=c_string_to_symbol( "STRING@235" );
PREFIX_10___UNIX_FILE_64=c_string_to_symbol( "PREFIX" );
STRING_6___UNIX_FILE_210=c_string_to_symbol( "STRING" );
SUFFIX_27___UNIX_FILE_166=c_string_to_symbol( "SUFFIX" );
{
___UNIX_FILE_INITIALISATION_ENV___UNIX_FILE_198=make_fx_procedure( ____UNIX_FILE_INITIALISATION___UNIX_FILE_132, 0, 0 );
BASENAME_ENV___UNIX_FILE_173=make_fx_procedure( __BASENAME___UNIX_FILE_243, 1, 0 );
PREFIX_ENV___UNIX_FILE_66=make_fx_procedure( __PREFIX___UNIX_FILE_1, 1, 0 );
DIRNAME_ENV___UNIX_FILE_75=make_fx_procedure( __DIRNAME___UNIX_FILE_168, 1, 0 );
SUFFIX_ENV___UNIX_FILE_93=make_fx_procedure( __SUFFIX___UNIX_FILE_145, 1, 0 );
{
{obj_t STRING_CAST_325_77;
STRING_CAST_325_77=BREF( &BIGLOO___0___UNIX_FILE_161);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___UNIX_F_1___UNIX_FILE_157, STRING_CAST_325_77, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____UNIX_FILE_INITIALISATION___UNIX_FILE_132(obj_t ENV_360_140)
#else
____UNIX_FILE_INITIALISATION___UNIX_FILE_132( ENV_360_140 )
obj_t ENV_360_140;
#endif
{

return ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
}

obj_t
#if defined( __STDC__ )
BASENAME___UNIX_FILE_111(obj_t STRING_222_218)
#else
BASENAME___UNIX_FILE_111( STRING_222_218 )
obj_t STRING_222_218;
#endif
{

{
PUSH_LAMBDA_TRACE( BASENAME_2___UNIX_FILE_164 );
{obj_t AUX_388_225;
{obj_t INDEX_224_21;
{obj_t L_277_30;
if( STRINGP( STRING_222_218 ))
L_277_30=STRING_LENGTH( STRING_222_218 );else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );{
INDEX_224_21=SUB_I_PTAG( L_277_30, PSUB_TAG( 1 ) );
{_LOOP_223_128:

if( EQ_I( INDEX_224_21, BINT( -1 ) ))
AUX_388_225=STRING_222_218;else
{obj_t CHAR1_243_163;
if( STRINGP( STRING_222_218 ))
{obj_t AUX_389_207;
AUX_389_207=STRING_LENGTH( STRING_222_218 );if( BOUND_CHECK( INDEX_224_21, AUX_389_207 ))
CHAR1_243_163=BCHAR( STRING_REF( STRING_222_218, CINT( INDEX_224_21 ) ) );else
FAILURE( BREF( &STRING_R_3___UNIX_FILE_206), BREF( &INDEX_OU_4___UNIX_FILE_38), INDEX_224_21 );}else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );if( EQP( CHAR1_243_163, BCHAR( '/' ) ))
{obj_t END_258_114;
if( STRINGP( STRING_222_218 ))
END_258_114=STRING_LENGTH( STRING_222_218 );else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );{obj_t START_257_212;
START_257_212=ADD_I_PTAG( INDEX_224_21, PSUB_TAG( 1 ) );{if( GE_I( END_258_114, START_257_212 ))
{bool_t __ANDTEST_1003_362_141;
{obj_t AUX_390_143;
{obj_t L_265_35;
if( STRINGP( STRING_222_218 ))
L_265_35=STRING_LENGTH( STRING_222_218 );else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );{bool_t AUX_391_55;
AUX_391_55=BOUND_CHECK( START_257_212, ADD_I_PTAG( L_265_35, PSUB_TAG( 1 ) ) );AUX_390_143=CBOOL_TO_BBOOL( AUX_391_55 );}}__ANDTEST_1003_362_141=BBOOL_TO_CBOOL( AUX_390_143 );}if( __ANDTEST_1003_362_141)
{obj_t L_267_95;
if( STRINGP( STRING_222_218 ))
L_267_95=STRING_LENGTH( STRING_222_218 );else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );if( BOUND_CHECK( END_258_114, ADD_I_PTAG( L_267_95, PSUB_TAG( 1 ) ) ))
goto _true_12;else
goto _false_13;}else
goto _false_13;}else
goto _false_13;_true_12:
if( STRINGP( STRING_222_218 ))
{AUX_388_225=c_substring( STRING_222_218, START_257_212, END_258_114 );
goto _endif_14;}else
FAILURE( BASENAME_5___UNIX_FILE_184, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___7___UNIX_FILE_93 ), STRING_222_218 );_false_13:
{obj_t OBJECT_270_119;
OBJECT_270_119=MAKE_PAIR( START_257_212, END_258_114 );FAILURE( BREF( &SUBSTRIN_8___UNIX_FILE_67), BREF( &ILLEGAL__9___UNIX_FILE_171), OBJECT_270_119 );}_endif_14:
;
}}}else
{obj_t INDEX_392_36;
INDEX_392_36=INDEX_224_21;{
INDEX_224_21=SUB_I_PTAG( INDEX_392_36, PSUB_TAG( 1 ) );
goto _LOOP_223_128;
}}}}
}}}return POP_LAMBDA_TRACE( AUX_388_225 );}
}
}

obj_t
#if defined( __STDC__ )
__BASENAME___UNIX_FILE_243(obj_t ENV_359_46,obj_t STRING_222_218)
#else
__BASENAME___UNIX_FILE_243( ENV_359_46, STRING_222_218 )
obj_t ENV_359_46, STRING_222_218;
#endif
{

return BASENAME___UNIX_FILE_111( STRING_222_218 );
}

obj_t
#if defined( __STDC__ )
PREFIX___UNIX_FILE_45(obj_t STRING_225_158)
#else
PREFIX___UNIX_FILE_45( STRING_225_158 )
obj_t STRING_225_158;
#endif
{

{
PUSH_LAMBDA_TRACE( PREFIX_10___UNIX_FILE_64 );
{obj_t AUX_380_81;
{obj_t LEN_226_255;
{obj_t L_279_56;
if( STRINGP( STRING_225_158 ))
L_279_56=STRING_LENGTH( STRING_225_158 );else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___12___UNIX_FILE_187 ), STRING_225_158 );LEN_226_255=SUB_I_PTAG( L_279_56, PSUB_TAG( 1 ) );}{obj_t E_228_109, S_229_176;
{
S_229_176=LEN_226_255;
E_228_109=LEN_226_255;
{_LOOP_227_141:

if( INTEGERP( S_229_176 ))
if( LE_I( S_229_176, BINT( 0 ) ))
{obj_t END_283_221;
END_283_221=ADD_I_PTAG( PSUB_TAG( 1 ), E_228_109 );{if( GE_I( END_283_221, BINT( 0 ) ))
{bool_t __ANDTEST_1003_364_60;
{obj_t AUX_381_20;
{obj_t L_286_94;
if( STRINGP( STRING_225_158 ))
L_286_94=STRING_LENGTH( STRING_225_158 );else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___12___UNIX_FILE_187 ), STRING_225_158 );{bool_t AUX_382_6;
AUX_382_6=BOUND_CHECK( BINT( 0 ), ADD_I_PTAG( L_286_94, PSUB_TAG( 1 ) ) );AUX_381_20=CBOOL_TO_BBOOL( AUX_382_6 );}}__ANDTEST_1003_364_60=BBOOL_TO_CBOOL( AUX_381_20 );}if( __ANDTEST_1003_364_60)
{obj_t L_288_13;
if( STRINGP( STRING_225_158 ))
L_288_13=STRING_LENGTH( STRING_225_158 );else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___12___UNIX_FILE_187 ), STRING_225_158 );if( BOUND_CHECK( END_283_221, ADD_I_PTAG( L_288_13, PSUB_TAG( 1 ) ) ))
goto _true_6;else
goto _false_7;}else
goto _false_7;}else
goto _false_7;_true_6:
if( STRINGP( STRING_225_158 ))
{AUX_380_81=c_substring( STRING_225_158, BINT( 0 ), END_283_221 );
goto _endif_8;}else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___12___UNIX_FILE_187 ), STRING_225_158 );_false_7:
{obj_t OBJECT_291_46;
OBJECT_291_46=MAKE_PAIR( BINT( 0 ), END_283_221 );FAILURE( BREF( &SUBSTRIN_13___UNIX_FILE_63), BREF( &ILLEGAL__14___UNIX_FILE_60), OBJECT_291_46 );}_endif_8:
;
}}else
{bool_t __andtest_1000_365_191;
{obj_t AUX_383_24;
{obj_t OBJ1_295_16;
if( STRINGP( STRING_225_158 ))
{obj_t AUX_384_91;
AUX_384_91=STRING_LENGTH( STRING_225_158 );if( BOUND_CHECK( S_229_176, AUX_384_91 ))
OBJ1_295_16=BCHAR( STRING_REF( STRING_225_158, CINT( S_229_176 ) ) );else
FAILURE( BREF( &STRING_R_15___UNIX_FILE_229), BREF( &INDEX_OU_16___UNIX_FILE_43), S_229_176 );}else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___12___UNIX_FILE_187 ), STRING_225_158 );AUX_383_24=CBOOL_TO_BBOOL( EQP( OBJ1_295_16, BCHAR( '.' ) ) );}__andtest_1000_365_191=BBOOL_TO_CBOOL( AUX_383_24 );}{if( __andtest_1000_365_191)
if( EQ_I( E_228_109, LEN_226_255 ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{obj_t AUX_386_127;
AUX_386_127=_2____R4_NUMBERS_6_5_30( S_229_176, BINT( 1 ) );{obj_t S_387_21;
S_387_21=S_229_176;{
S_229_176=AUX_386_127;
E_228_109=SUB_I_PTAG( S_387_21, PSUB_TAG( 1 ) );
goto _LOOP_227_141;
}}}_false_10:
{obj_t S_385_113;
S_385_113=S_229_176;{
S_229_176=SUB_I_PTAG( S_385_113, PSUB_TAG( 1 ) );
goto _LOOP_227_141;
}};
}}else
FAILURE( PREFIX___11___UNIX_FILE_118, TYPE_ERROR___ERROR_146( NUMBER_17___UNIX_FILE_30, S_____18___UNIX_FILE_47 ), S_229_176 );}
}}}return POP_LAMBDA_TRACE( AUX_380_81 );}
}
}

obj_t
#if defined( __STDC__ )
__PREFIX___UNIX_FILE_1(obj_t ENV_358_79,obj_t STRING_225_158)
#else
__PREFIX___UNIX_FILE_1( ENV_358_79, STRING_225_158 )
obj_t ENV_358_79, STRING_225_158;
#endif
{

return PREFIX___UNIX_FILE_45( STRING_225_158 );
}

obj_t
#if defined( __STDC__ )
DIRNAME___UNIX_FILE_11(obj_t STRING_231_226)
#else
DIRNAME___UNIX_FILE_11( STRING_231_226 )
obj_t STRING_231_226;
#endif
{

{
PUSH_LAMBDA_TRACE( DIRNAME_19___UNIX_FILE_61 );
{obj_t AUX_375_107;
{obj_t LEN_232_230;
{obj_t L_298_47;
if( STRINGP( STRING_231_226 ))
L_298_47=STRING_LENGTH( STRING_231_226 );else
FAILURE( DIRNAME__20___UNIX_FILE_39, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___21___UNIX_FILE_213 ), STRING_231_226 );LEN_232_230=SUB_I_PTAG( L_298_47, PSUB_TAG( 1 ) );}{obj_t READ_234_140;
{
READ_234_140=LEN_232_230;
{_LOOP_233_234:

if( LE_I( READ_234_140, BINT( 0 ) ))
AUX_375_107=BREF( &___22___UNIX_FILE_17);else
{obj_t CHAR1_300_160;
if( STRINGP( STRING_231_226 ))
{obj_t AUX_376_87;
AUX_376_87=STRING_LENGTH( STRING_231_226 );if( BOUND_CHECK( READ_234_140, AUX_376_87 ))
CHAR1_300_160=BCHAR( STRING_REF( STRING_231_226, CINT( READ_234_140 ) ) );else
FAILURE( BREF( &STRING_R_23___UNIX_FILE_0), BREF( &INDEX_OU_24___UNIX_FILE_7), READ_234_140 );}else
FAILURE( DIRNAME__20___UNIX_FILE_39, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___21___UNIX_FILE_213 ), STRING_231_226 );if( EQP( CHAR1_300_160, BCHAR( '/' ) ))
{if( GE_I( READ_234_140, BINT( 0 ) ))
{bool_t __ANDTEST_1003_367_83;
{obj_t AUX_377_197;
{obj_t L_303_181;
if( STRINGP( STRING_231_226 ))
L_303_181=STRING_LENGTH( STRING_231_226 );else
FAILURE( DIRNAME__20___UNIX_FILE_39, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___21___UNIX_FILE_213 ), STRING_231_226 );{bool_t AUX_378_36;
AUX_378_36=BOUND_CHECK( BINT( 0 ), ADD_I_PTAG( L_303_181, PSUB_TAG( 1 ) ) );AUX_377_197=CBOOL_TO_BBOOL( AUX_378_36 );}}__ANDTEST_1003_367_83=BBOOL_TO_CBOOL( AUX_377_197 );}if( __ANDTEST_1003_367_83)
{obj_t L_305_78;
if( STRINGP( STRING_231_226 ))
L_305_78=STRING_LENGTH( STRING_231_226 );else
FAILURE( DIRNAME__20___UNIX_FILE_39, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___21___UNIX_FILE_213 ), STRING_231_226 );if( BOUND_CHECK( READ_234_140, ADD_I_PTAG( L_305_78, PSUB_TAG( 1 ) ) ))
goto _true_3;else
goto _false_4;}else
goto _false_4;}else
goto _false_4;_true_3:
if( STRINGP( STRING_231_226 ))
{AUX_375_107=c_substring( STRING_231_226, BINT( 0 ), READ_234_140 );
goto _endif_5;}else
FAILURE( DIRNAME__20___UNIX_FILE_39, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___21___UNIX_FILE_213 ), STRING_231_226 );_false_4:
{obj_t OBJECT_308_73;
OBJECT_308_73=MAKE_PAIR( BINT( 0 ), READ_234_140 );FAILURE( BREF( &SUBSTRIN_25___UNIX_FILE_248), BREF( &ILLEGAL__26___UNIX_FILE_57), OBJECT_308_73 );}_endif_5:
;
}else
{obj_t READ_379_211;
READ_379_211=READ_234_140;{
READ_234_140=SUB_I_PTAG( READ_379_211, PSUB_TAG( 1 ) );
goto _LOOP_233_234;
}}}}
}}}return POP_LAMBDA_TRACE( AUX_375_107 );}
}
}

obj_t
#if defined( __STDC__ )
__DIRNAME___UNIX_FILE_168(obj_t ENV_357_66,obj_t STRING_231_226)
#else
__DIRNAME___UNIX_FILE_168( ENV_357_66, STRING_231_226 )
obj_t ENV_357_66, STRING_231_226;
#endif
{

return DIRNAME___UNIX_FILE_11( STRING_231_226 );
}

obj_t
#if defined( __STDC__ )
SUFFIX___UNIX_FILE_231(obj_t STRING_235_187)
#else
SUFFIX___UNIX_FILE_231( STRING_235_187 )
obj_t STRING_235_187;
#endif
{

{
PUSH_LAMBDA_TRACE( SUFFIX_27___UNIX_FILE_166 );
{obj_t AUX_370_56;
{obj_t LEN_236_62;
if( STRINGP( STRING_235_187 ))
LEN_236_62=STRING_LENGTH( STRING_235_187 );else
FAILURE( SUFFIX___28___UNIX_FILE_236, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___29___UNIX_FILE_37 ), STRING_235_187 );{obj_t READ_238_110;
{
READ_238_110=SUB_I_PTAG( LEN_236_62, PSUB_TAG( 1 ) );
{_LOOP_237_87:

if( LT_I( READ_238_110, BINT( 0 ) ))
AUX_370_56=BREF( &__30___UNIX_FILE_90);else
{obj_t CHAR1_312_228;
if( STRINGP( STRING_235_187 ))
{obj_t AUX_371_68;
AUX_371_68=STRING_LENGTH( STRING_235_187 );if( BOUND_CHECK( READ_238_110, AUX_371_68 ))
CHAR1_312_228=BCHAR( STRING_REF( STRING_235_187, CINT( READ_238_110 ) ) );else
FAILURE( BREF( &STRING_R_31___UNIX_FILE_182), BREF( &INDEX_OU_32___UNIX_FILE_137), READ_238_110 );}else
FAILURE( SUFFIX___28___UNIX_FILE_236, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___29___UNIX_FILE_37 ), STRING_235_187 );if( EQP( CHAR1_312_228, BCHAR( '.' ) ))
{obj_t START_313_81;
START_313_81=ADD_I_PTAG( READ_238_110, PSUB_TAG( 1 ) );{if( GE_I( LEN_236_62, START_313_81 ))
{bool_t __ANDTEST_1003_369_241;
{obj_t AUX_372_234;
{obj_t L_316_167;
if( STRINGP( STRING_235_187 ))
L_316_167=STRING_LENGTH( STRING_235_187 );else
FAILURE( SUFFIX___28___UNIX_FILE_236, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___29___UNIX_FILE_37 ), STRING_235_187 );{bool_t AUX_373_169;
AUX_373_169=BOUND_CHECK( START_313_81, ADD_I_PTAG( L_316_167, PSUB_TAG( 1 ) ) );AUX_372_234=CBOOL_TO_BBOOL( AUX_373_169 );}}__ANDTEST_1003_369_241=BBOOL_TO_CBOOL( AUX_372_234 );}if( __ANDTEST_1003_369_241)
{obj_t L_318_78;
if( STRINGP( STRING_235_187 ))
L_318_78=STRING_LENGTH( STRING_235_187 );else
FAILURE( SUFFIX___28___UNIX_FILE_236, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___29___UNIX_FILE_37 ), STRING_235_187 );if( BOUND_CHECK( LEN_236_62, ADD_I_PTAG( L_318_78, PSUB_TAG( 1 ) ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
if( STRINGP( STRING_235_187 ))
{AUX_370_56=c_substring( STRING_235_187, START_313_81, LEN_236_62 );
goto _endif_2;}else
FAILURE( SUFFIX___28___UNIX_FILE_236, TYPE_ERROR___ERROR_146( STRING_6___UNIX_FILE_210, STRING___29___UNIX_FILE_37 ), STRING_235_187 );_false_1:
{obj_t OBJECT_321_159;
OBJECT_321_159=MAKE_PAIR( START_313_81, LEN_236_62 );FAILURE( BREF( &SUBSTRIN_33___UNIX_FILE_32), BREF( &ILLEGAL__34___UNIX_FILE_232), OBJECT_321_159 );}_endif_2:
;
}}else
{obj_t READ_374_48;
READ_374_48=READ_238_110;{
READ_238_110=SUB_I_PTAG( READ_374_48, PSUB_TAG( 1 ) );
goto _LOOP_237_87;
}}}}
}}}return POP_LAMBDA_TRACE( AUX_370_56 );}
}
}

obj_t
#if defined( __STDC__ )
__SUFFIX___UNIX_FILE_145(obj_t ENV_356_60,obj_t STRING_235_187)
#else
__SUFFIX___UNIX_FILE_145( ENV_356_60, STRING_235_187 )
obj_t ENV_356_60, STRING_235_187;
#endif
{

return SUFFIX___UNIX_FILE_231( STRING_235_187 );
}

