/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/evcompile.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t ___EVCOMPILE_INITIALISATION_ENV___EVCOMPILE_208 = BUNSPEC;
static obj_t IF_8___EVCOMPILE_99 = BUNSPEC;
DEFINE_STRING( NOT_A_PR_4___EVCOMPILE_62, "Not a procedure", 15);
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#if defined( __STDC__ )
extern obj_t EVCOMPILE___EVCOMPILE_98(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t EVCOMPILE___EVCOMPILE_98();
#endif
DEFINE_STRING( ILLEGAL__1___EVCOMPILE_137, "Illegal expression", 18);
extern obj_t MODULE_DECLARATION____EVAL_90();
static obj_t MODULE_5___EVCOMPILE_160 = BUNSPEC;
obj_t EVCOMPILE_ENV___EVCOMPILE_32 = BUNSPEC;
extern obj_t MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151();
#if defined( __STDC__ )
extern obj_t __EVCOMPILE___EVCOMPILE_23(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __EVCOMPILE___EVCOMPILE_23();
#endif
extern obj_t ___EVENV_INITIALISATION___EVENV_87();
static obj_t ASSERT_6___EVCOMPILE_169 = BUNSPEC;
#if defined( __STDC__ )
static obj_t EVCOMPILE_COMPILED_APPLICATION___EVCOMPILE_207(obj_t, obj_t);
#else
static obj_t EVCOMPILE_COMPILED_APPLICATION___EVCOMPILE_207();
#endif
extern obj_t ___EVCOMPILE_INITIALISATION___EVCOMPILE_48();
extern obj_t EVAL_LOOKUP___EVENV_238();
#if defined( __STDC__ )
static obj_t EVCOMPILE_BEGIN___EVCOMPILE_255(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t EVCOMPILE_BEGIN___EVCOMPILE_255();
#endif
#if defined( __STDC__ )
static obj_t EVCOMPILE_GLOBAL_APPLICATION___EVCOMPILE_184(obj_t, obj_t);
#else
static obj_t EVCOMPILE_GLOBAL_APPLICATION___EVCOMPILE_184();
#endif
extern obj_t ___EVAL_INITIALISATION___EVAL_167();
#if defined( __STDC__ )
static obj_t VARIABLE___EVCOMPILE_49(obj_t, obj_t);
#else
static obj_t VARIABLE___EVCOMPILE_49();
#endif
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t REQUIRE_INITIALISATION____EVCOMPILE_97 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t BIND_EXI_13___EVCOMPILE_137 = BUNSPEC;
static obj_t DEFINE_I_11___EVCOMPILE_156 = BUNSPEC;
static obj_t QUOTE_7___EVCOMPILE_144 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t BEGIN_9___EVCOMPILE_18 = BUNSPEC;
#if defined( __STDC__ )
static obj_t EVCOMPILE_LAMBDA___EVCOMPILE_78(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t EVCOMPILE_LAMBDA___EVCOMPILE_78();
#endif
#if defined( __STDC__ )
static obj_t EVCOMPILE_SET___EVCOMPILE_236(obj_t, obj_t);
#else
static obj_t EVCOMPILE_SET___EVCOMPILE_236();
#endif
#if defined( __STDC__ )
static obj_t EVCOMPILE_REF___EVCOMPILE_163(obj_t);
#else
static obj_t EVCOMPILE_REF___EVCOMPILE_163();
#endif
extern obj_t make_fx_procedure();
static obj_t SET__12___EVCOMPILE_126 = BUNSPEC;
static obj_t LAMBDA_3___EVCOMPILE_97 = BUNSPEC;
extern obj_t LIST__VECTOR___R4_VECTORS_6_8_97();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
static obj_t EVCOMPILE_APPLICATION___EVCOMPILE_107(obj_t, obj_t, obj_t);
#else
static obj_t EVCOMPILE_APPLICATION___EVCOMPILE_107();
#endif
DEFINE_STRING( EVAL_0___EVCOMPILE_215, "eval", 4);
DEFINE_STRING( ILEGAL_E_2___EVCOMPILE_78, "Ilegal expression (should be quoted)", 36);
extern obj_t create_vector();
extern obj_t ___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136();
static obj_t DEFINE_10___EVCOMPILE_82 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____EVCOMPILE_INITIALISATION___EVCOMPILE_17(obj_t);
#else
extern obj_t ____EVCOMPILE_INITIALISATION___EVCOMPILE_17();
#endif

static obj_t __LOOP__447_240();
static obj_t LAMBDA_0_0_303_96();
static obj_t LOOP_350_48();

obj_t
#if defined( __STDC__ )
___EVCOMPILE_INITIALISATION___EVCOMPILE_48()
#else
___EVCOMPILE_INITIALISATION___EVCOMPILE_48()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EVCOMPILE_97 ))
{
REQUIRE_INITIALISATION____EVCOMPILE_97=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
___EVENV_INITIALISATION___EVENV_87();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_CONTROL_FEATURES_6_9_INITIALISATION___R4_CONTROL_FEATURES_6_9_136();
___EVAL_INITIALISATION___EVAL_167();
SET__12___EVCOMPILE_126=c_string_to_symbol( "SET!" );
QUOTE_7___EVCOMPILE_144=c_string_to_symbol( "QUOTE" );
BIND_EXI_13___EVCOMPILE_137=c_string_to_symbol( "BIND-EXIT" );
IF_8___EVCOMPILE_99=c_string_to_symbol( "IF" );
DEFINE_I_11___EVCOMPILE_156=c_string_to_symbol( "DEFINE-INLINE" );
ASSERT_6___EVCOMPILE_169=c_string_to_symbol( "ASSERT" );
LAMBDA_3___EVCOMPILE_97=c_string_to_symbol( "LAMBDA" );
DEFINE_10___EVCOMPILE_82=c_string_to_symbol( "DEFINE" );
BEGIN_9___EVCOMPILE_18=c_string_to_symbol( "BEGIN" );
MODULE_5___EVCOMPILE_160=c_string_to_symbol( "MODULE" );
{
___EVCOMPILE_INITIALISATION_ENV___EVCOMPILE_208=make_fx_procedure( ____EVCOMPILE_INITIALISATION___EVCOMPILE_17, 0, 0 );
EVCOMPILE_ENV___EVCOMPILE_32=make_fx_procedure( __EVCOMPILE___EVCOMPILE_23, 4, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EVCOMPILE_INITIALISATION___EVCOMPILE_17(obj_t ENV_856_245)
#else
____EVCOMPILE_INITIALISATION___EVCOMPILE_17( ENV_856_245 )
obj_t ENV_856_245;
#endif
{

return ___EVCOMPILE_INITIALISATION___EVCOMPILE_48();
}

obj_t
#if defined( __STDC__ )
EVCOMPILE___EVCOMPILE_98(obj_t EXP_222_242,obj_t ENV_223_98,obj_t WHERE_224_64,obj_t NAMED__225_30)
#else
EVCOMPILE___EVCOMPILE_98( EXP_222_242, ENV_223_98, WHERE_224_64, NAMED__225_30 )
obj_t EXP_222_242, ENV_223_98, WHERE_224_64, NAMED__225_30;
#endif
{

{obj_t DECLS_293_24, ATOM_294_48, CNST_296_99, SI_297_125, ALORS_298_174, SINON_299_42, REST_300_28, VAR_301_136, VAL_302_56, VAR_304_45, VAL_305_197, ESCAPE_306_123, BODY_307_206, FORMALS_308_100, BODY_309_88, FUN_310_172, ARGS_311_140, FUN_322_252, ARGS_323_100;
{obj_t OBJ2_475_143;
OBJ2_475_143=BNIL;if( EQP( EXP_222_242, OBJ2_475_143 ))
{
{obj_t OBJECT_472_187;
OBJECT_472_187=BNIL;FAILURE( BREF( &EVAL_0___EVCOMPILE_215), BREF( &ILLEGAL__1___EVCOMPILE_137), OBJECT_472_187 );}}else
if( PAIRP( EXP_222_242 ))
{obj_t CDR_189_242_84;
CDR_189_242_84=CDR( EXP_222_242 );{obj_t OBJ1_476_22;
OBJ1_476_22=CAR( EXP_222_242 );if( EQP( OBJ1_476_22, MODULE_5___EVCOMPILE_160 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t C_CDR_477_99;
C_CDR_477_99=CDR( CDR_189_242_84 );{
DECLS_293_24=C_CDR_477_99;
{
{
MODULE_DECLARATION____EVAL_90( DECLS_293_24 );
return BUNSPEC;
}}
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
{_TAG_114_239_76:

{obj_t ACTUALS_325_130, PROC_324_19;
if( NULLP( ARGS_323_100 ))
ACTUALS_325_130=BNIL;else
{obj_t HEAD_327_242;
{obj_t OBJ2_416_6;
OBJ2_416_6=BNIL;{obj_t OBJ1_415_194;
{obj_t A_333_224;
A_333_224=CAR( ARGS_323_100 );OBJ1_415_194=EVCOMPILE___EVCOMPILE_98( A_333_224, ENV_223_98, WHERE_224_64, BFALSE );}HEAD_327_242=MAKE_PAIR( OBJ1_415_194, OBJ2_416_6 );}}{obj_t g1004_329_148, TAIL_330_251;
{obj_t C_CDR_424_135;
C_CDR_424_135=CDR( ARGS_323_100 );{
TAIL_330_251=HEAD_327_242;
g1004_329_148=C_CDR_424_135;
{_g1005_328_23:

if( NULLP( g1004_329_148 ))
ACTUALS_325_130=HEAD_327_242;else
{obj_t NEW_TAIL_331_45;
{obj_t OBJ2_419_112;
OBJ2_419_112=BNIL;{obj_t OBJ1_418_77;
{obj_t A_332_212;
A_332_212=CAR( g1004_329_148 );OBJ1_418_77=EVCOMPILE___EVCOMPILE_98( A_332_212, ENV_223_98, WHERE_224_64, BFALSE );}NEW_TAIL_331_45=MAKE_PAIR( OBJ1_418_77, OBJ2_419_112 );}}{
SET_CDR( TAIL_330_251, NEW_TAIL_331_45 );
{obj_t C_CDR_423_149;
C_CDR_423_149=CDR( g1004_329_148 );{
TAIL_330_251=NEW_TAIL_331_45;
g1004_329_148=C_CDR_423_149;
goto _g1005_328_23;
}}
}}}
}}}}PROC_324_19=EVCOMPILE___EVCOMPILE_98( FUN_322_252, ENV_223_98, WHERE_224_64, BFALSE );return EVCOMPILE_APPLICATION___EVCOMPILE_107( FUN_322_252, PROC_324_19, ACTUALS_325_130 );}}
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
{_TAG_113_238_184:

{obj_t ACTUALS_312_111;
if( NULLP( ARGS_311_140 ))
ACTUALS_312_111=BNIL;else
{obj_t HEAD_315_29;
{obj_t OBJ2_426_148;
OBJ2_426_148=BNIL;{obj_t OBJ1_425_52;
{obj_t A_321_179;
A_321_179=CAR( ARGS_311_140 );OBJ1_425_52=EVCOMPILE___EVCOMPILE_98( A_321_179, ENV_223_98, WHERE_224_64, BFALSE );}HEAD_315_29=MAKE_PAIR( OBJ1_425_52, OBJ2_426_148 );}}{obj_t g1006_317_54, TAIL_318_86;
{obj_t C_CDR_430_182;
C_CDR_430_182=CDR( ARGS_311_140 );{
TAIL_318_86=HEAD_315_29;
g1006_317_54=C_CDR_430_182;
{_g1007_316_183:

if( NULLP( g1006_317_54 ))
ACTUALS_312_111=HEAD_315_29;else
{obj_t NEW_TAIL_319_70;
{obj_t OBJ2_428_48;
OBJ2_428_48=BNIL;{obj_t OBJ1_427_0;
{obj_t A_320_62;
A_320_62=CAR( g1006_317_54 );OBJ1_427_0=EVCOMPILE___EVCOMPILE_98( A_320_62, ENV_223_98, WHERE_224_64, BFALSE );}NEW_TAIL_319_70=MAKE_PAIR( OBJ1_427_0, OBJ2_428_48 );}}{
SET_CDR( TAIL_318_86, NEW_TAIL_319_70 );
{obj_t C_CDR_429_23;
C_CDR_429_23=CDR( g1006_317_54 );{
TAIL_318_86=NEW_TAIL_319_70;
g1006_317_54=C_CDR_429_23;
goto _g1007_316_183;
}}
}}}
}}}}if( SYMBOLP( FUN_310_172 ))
{obj_t PROC_313_167;
PROC_313_167=VARIABLE___EVCOMPILE_49( FUN_310_172, ENV_223_98 );{if( VECTORP( PROC_313_167 ))
if( EQ_I( VECTOR_LENGTH( PROC_313_167 ), BINT( 3 ) ))
goto _true_15;else
goto _false_16;else
goto _false_16;_true_15:
return EVCOMPILE_GLOBAL_APPLICATION___EVCOMPILE_184( PROC_313_167, ACTUALS_312_111 );_false_16:
{obj_t AUX_893_123;
AUX_893_123=EVCOMPILE_REF___EVCOMPILE_163( PROC_313_167 );return EVCOMPILE_APPLICATION___EVCOMPILE_107( FUN_310_172, AUX_893_123, ACTUALS_312_111 );};
}}else
if( PROCEDUREP( FUN_310_172 ))
return EVCOMPILE_COMPILED_APPLICATION___EVCOMPILE_207( FUN_310_172, ACTUALS_312_111 );else
{
FAILURE( BREF( &EVAL_0___EVCOMPILE_215), BREF( &NOT_A_PR_4___EVCOMPILE_62), FUN_310_172 );
{obj_t OBJ2_441_58;
{obj_t AUX_894_76;
{obj_t AUX_895_203;
AUX_895_203=MAKE_PAIR( FUN_310_172, BNIL );AUX_894_76=MAKE_PAIR( BREF( &NOT_A_PR_4___EVCOMPILE_62), AUX_895_203 );}OBJ2_441_58=MAKE_PAIR( BREF( &EVAL_0___EVCOMPILE_215), AUX_894_76 );}return MAKE_PAIR( BINT( -2 ), OBJ2_441_58 );}
}}}
}else
if( EQP( OBJ1_476_22, ASSERT_6___EVCOMPILE_169 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_1432_245_105;
CDR_1432_245_105=CDR( CDR_189_242_84 );if( PAIRP( CDR_1432_245_105 ))
{obj_t CDR_1549_246_74;
CDR_1549_246_74=CDR( CDR_1432_245_105 );if( PAIRP( CDR_1549_246_74 ))
{obj_t OBJ1_482_118;
OBJ1_482_118=CDR( CDR_1549_246_74 );if( EQP( OBJ1_482_118, OBJ2_475_143 ))
{
return BUNSPEC;}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( EQP( CDR_1549_246_74, OBJ2_475_143 ))
{
return BUNSPEC;}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( EQP( OBJ1_476_22, QUOTE_7___EVCOMPILE_144 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t OBJ1_501_210;
OBJ1_501_210=CDR( CDR_189_242_84 );if( EQP( OBJ1_501_210, OBJ2_475_143 ))
{obj_t C_CAR_503_119;
C_CAR_503_119=CAR( CDR_189_242_84 );{
CNST_296_99=C_CAR_503_119;
{
if( PAIRP( CNST_296_99 ))
return MAKE_PAIR( BINT( -1 ), CNST_296_99 );else
return CNST_296_99;}
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( EQP( OBJ1_476_22, IF_8___EVCOMPILE_99 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_810_260_174;
CDR_810_260_174=CDR( CDR_189_242_84 );if( PAIRP( CDR_810_260_174 ))
{obj_t CDR_876_261_160;
CDR_876_261_160=CDR( CDR_810_260_174 );if( PAIRP( CDR_876_261_160 ))
{obj_t OBJ1_521_40;
OBJ1_521_40=CDR( CDR_876_261_160 );if( EQP( OBJ1_521_40, OBJ2_475_143 ))
{obj_t C_CAR_523_70;
C_CAR_523_70=CAR( CDR_189_242_84 );{obj_t C_CAR_524_22;
C_CAR_524_22=CAR( CDR_810_260_174 );{obj_t C_CAR_525_58;
C_CAR_525_58=CAR( CDR_876_261_160 );{
SINON_299_42=C_CAR_525_58;
ALORS_298_174=C_CAR_524_22;
SI_297_125=C_CAR_523_70;
{
{obj_t SINON_462_14;
SINON_462_14=EVCOMPILE___EVCOMPILE_98( SINON_299_42, ENV_223_98, WHERE_224_64, NAMED__225_30 );{obj_t ALORS_461_249;
ALORS_461_249=EVCOMPILE___EVCOMPILE_98( ALORS_298_174, ENV_223_98, WHERE_224_64, NAMED__225_30 );{obj_t SI_460_236;
SI_460_236=EVCOMPILE___EVCOMPILE_98( SI_297_125, ENV_223_98, WHERE_224_64, BFALSE );{obj_t OBJ2_464_124;
{obj_t V_463_81;
V_463_81=create_vector( BINT( 3 ) );{
VECTOR_SET( V_463_81, BINT( 2 ), SINON_462_14 );
VECTOR_SET( V_463_81, BINT( 1 ), ALORS_461_249 );
VECTOR_SET( V_463_81, BINT( 0 ), SI_460_236 );
OBJ2_464_124=V_463_81;
}}return MAKE_PAIR( BINT( 15 ), OBJ2_464_124 );}}}}}
}}}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( EQP( OBJ1_476_22, BEGIN_9___EVCOMPILE_18 ))
{
REST_300_28=CDR_189_242_84;
{
return EVCOMPILE_BEGIN___EVCOMPILE_255( REST_300_28, ENV_223_98, WHERE_224_64, NAMED__225_30 );}
}else
{if( EQP( OBJ1_476_22, DEFINE_10___EVCOMPILE_82 ))
{_KAP_288_272_38:

if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_334_289_115;
CDR_334_289_115=CDR( CDR_189_242_84 );if( PAIRP( CDR_334_289_115 ))
{obj_t OBJ1_547_184;
OBJ1_547_184=CDR( CDR_334_289_115 );if( EQP( OBJ1_547_184, OBJ2_475_143 ))
{obj_t C_CAR_549_21;
C_CAR_549_21=CAR( CDR_189_242_84 );{obj_t C_CAR_550_28;
C_CAR_550_28=CAR( CDR_334_289_115 );{
VAL_302_56=C_CAR_550_28;
VAR_301_136=C_CAR_549_21;
{
{obj_t VAL_457_143;
{obj_t LAMBDA_0_0_ENV_853_238;
LAMBDA_0_0_ENV_853_238=make_fx_procedure( LAMBDA_0_0_303_96, 0, 2 );{
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_853_238, 1, VAR_301_136 );
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_853_238, 0, VAL_302_56 );
{obj_t A_FUNCTION_847_76;
A_FUNCTION_847_76=LAMBDA_0_0_ENV_853_238;VAL_457_143=MAKE_PROMISE___R4_CONTROL_FEATURES_6_9_151( A_FUNCTION_847_76 );}
}}{obj_t OBJ2_458_7;
OBJ2_458_7=MAKE_PAIR( VAR_301_136, VAL_457_143 );return MAKE_PAIR( BINT( 17 ), OBJ2_458_7 );}}}
}}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( EQP( OBJ1_476_22, DEFINE_I_11___EVCOMPILE_156 ))
goto _KAP_288_272_38;else
if( EQP( OBJ1_476_22, SET__12___EVCOMPILE_126 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_673_274_150;
CDR_673_274_150=CDR( CDR_189_242_84 );if( PAIRP( CDR_673_274_150 ))
{obj_t OBJ1_561_13;
OBJ1_561_13=CDR( CDR_673_274_150 );if( EQP( OBJ1_561_13, OBJ2_475_143 ))
{obj_t C_CAR_563_169;
C_CAR_563_169=CAR( CDR_189_242_84 );{obj_t C_CAR_564_177;
C_CAR_564_177=CAR( CDR_673_274_150 );{
VAL_305_197=C_CAR_564_177;
VAR_304_45=C_CAR_563_169;
{
{obj_t AUX_897_120, AUX_896_209;
AUX_897_120=EVCOMPILE___EVCOMPILE_98( VAL_305_197, ENV_223_98, VAR_304_45, BTRUE );AUX_896_209=VARIABLE___EVCOMPILE_49( VAR_304_45, ENV_223_98 );return EVCOMPILE_SET___EVCOMPILE_236( AUX_896_209, AUX_897_120 );}}
}}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( EQP( OBJ1_476_22, BIND_EXI_13___EVCOMPILE_137 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_579_279_244;
CDR_579_279_244=CDR( CDR_189_242_84 );if( PAIRP( CDR_579_279_244 ))
{obj_t OBJ1_575_58;
OBJ1_575_58=CDR( CDR_579_279_244 );if( EQP( OBJ1_575_58, OBJ2_475_143 ))
{obj_t C_CAR_577_73;
C_CAR_577_73=CAR( CDR_189_242_84 );{obj_t C_CAR_578_234;
C_CAR_578_234=CAR( CDR_579_279_244 );{
BODY_307_206=C_CAR_578_234;
ESCAPE_306_123=C_CAR_577_73;
{
{obj_t BODY_455_146;
{obj_t VA_ARG_844_84;
VA_ARG_844_84=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_845_226;
VA_ARG_845_226=MAKE_PAIR( BODY_307_206, VA_ARG_844_84 );{obj_t VA_ARG_846_18;
VA_ARG_846_18=MAKE_PAIR( ESCAPE_306_123, VA_ARG_845_226 );{obj_t AUX_898_200;
AUX_898_200=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_3___EVCOMPILE_97, VA_ARG_846_18 );BODY_455_146=EVCOMPILE___EVCOMPILE_98( AUX_898_200, ENV_223_98, ESCAPE_306_123, BTRUE );}}}}return MAKE_PAIR( BINT( 18 ), BODY_455_146 );}}
}}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( EQP( OBJ1_476_22, LAMBDA_3___EVCOMPILE_97 ))
if( PAIRP( CDR_189_242_84 ))
{obj_t CDR_504_284_232;
CDR_504_284_232=CDR( CDR_189_242_84 );if( PAIRP( CDR_504_284_232 ))
{obj_t OBJ1_589_188;
OBJ1_589_188=CDR( CDR_504_284_232 );if( EQP( OBJ1_589_188, OBJ2_475_143 ))
{obj_t C_CAR_591_20;
C_CAR_591_20=CAR( CDR_189_242_84 );{obj_t C_CAR_592_6;
C_CAR_592_6=CAR( CDR_504_284_232 );{
BODY_309_88=C_CAR_592_6;
FORMALS_308_100=C_CAR_591_20;
{
{obj_t AUX_899_163;
{obj_t AUX_900_68;
AUX_900_68=__LOOP__447_240( ENV_223_98, FORMALS_308_100 );AUX_899_163=EVCOMPILE___EVCOMPILE_98( BODY_309_88, AUX_900_68, WHERE_224_64, BFALSE );}return EVCOMPILE_LAMBDA___EVCOMPILE_78( FORMALS_308_100, AUX_899_163, WHERE_224_64, NAMED__225_30 );}}
}}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}else
if( PAIRP( OBJ1_476_22 ))
{
ARGS_323_100=CDR_189_242_84;
FUN_322_252=OBJ1_476_22;
goto _TAG_114_239_76;
}else
{
ARGS_311_140=CDR_189_242_84;
FUN_310_172=OBJ1_476_22;
goto _TAG_113_238_184;
}}}}else
{
ATOM_294_48=EXP_222_242;
{
if( SYMBOLP( ATOM_294_48 ))
{obj_t AUX_901_56;
AUX_901_56=VARIABLE___EVCOMPILE_49( ATOM_294_48, ENV_223_98 );return EVCOMPILE_REF___EVCOMPILE_163( AUX_901_56 );}else
{if( VECTORP( ATOM_294_48 ))
goto _true_18;else
if( STRUCTP( ATOM_294_48 ))
goto _true_18;else
goto _false_19;_true_18:
FAILURE( BREF( &EVAL_0___EVCOMPILE_215), BREF( &ILEGAL_E_2___EVCOMPILE_78), EXP_222_242 );_false_19:
if( PAIRP( ATOM_294_48 ))
return MAKE_PAIR( BINT( -1 ), ATOM_294_48 );else
return ATOM_294_48;;
}}
}}}
}

static obj_t
#if defined( __STDC__ )
__LOOP__447_240(obj_t ENV_223_98,obj_t EXTEND_448_135)
#else
__LOOP__447_240( ENV_223_98, EXTEND_448_135 )
obj_t ENV_223_98, EXTEND_448_135;
#endif
{

if( NULLP( EXTEND_448_135 ))
return ENV_223_98;else
if( PAIRP( EXTEND_448_135 ))
{obj_t OBJ2_451_87;
{obj_t C_CDR_453_145;
C_CDR_453_145=CDR( EXTEND_448_135 );OBJ2_451_87=__LOOP__447_240( ENV_223_98, C_CDR_453_145 );}{obj_t OBJ1_450_86;
OBJ1_450_86=CAR( EXTEND_448_135 );return MAKE_PAIR( OBJ1_450_86, OBJ2_451_87 );}}else
return MAKE_PAIR( EXTEND_448_135, ENV_223_98 );
}

obj_t
#if defined( __STDC__ )
__EVCOMPILE___EVCOMPILE_23(obj_t ENV_855_130,obj_t EXP_222_242,obj_t ENV_223_98,obj_t WHERE_224_64,obj_t NAMED__225_30)
#else
__EVCOMPILE___EVCOMPILE_23( ENV_855_130, EXP_222_242, ENV_223_98, WHERE_224_64, NAMED__225_30 )
obj_t ENV_855_130, EXP_222_242, ENV_223_98, WHERE_224_64, NAMED__225_30;
#endif
{

return EVCOMPILE___EVCOMPILE_98( EXP_222_242, ENV_223_98, WHERE_224_64, NAMED__225_30 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_303_96(obj_t LAMBDA_0_0_ENV_854_147)
#else
LAMBDA_0_0_303_96( LAMBDA_0_0_ENV_854_147 )
obj_t LAMBDA_0_0_ENV_854_147;
#endif
{

{obj_t VAL_302_56, VAR_301_136;
VAL_302_56=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_854_147, 0 );VAR_301_136=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_854_147, 1 );return EVCOMPILE___EVCOMPILE_98( VAL_302_56, BNIL, VAR_301_136, BTRUE );}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_REF___EVCOMPILE_163(obj_t VARIABLE_335_246)
#else
EVCOMPILE_REF___EVCOMPILE_163( VARIABLE_335_246 )
obj_t VARIABLE_335_246;
#endif
{

{if( VECTORP( VARIABLE_335_246 ))
if( EQ_I( VECTOR_LENGTH( VARIABLE_335_246 ), BINT( 3 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{obj_t OBJ1_608_85;
{obj_t OBJ1_610_13;
OBJ1_610_13=VECTOR_REF( VARIABLE_335_246, BINT( 0 ) );if( EQP( OBJ1_610_13, BINT( 1 ) ))
OBJ1_608_85=BINT( 5 );else
OBJ1_608_85=BINT( 6 );}return MAKE_PAIR( OBJ1_608_85, VARIABLE_335_246 );}_false_10:
{if( VECTORP( VARIABLE_335_246 ))
if( EQ_I( VECTOR_LENGTH( VARIABLE_335_246 ), BINT( 1 ) ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
{obj_t OBJ2_616_158;
OBJ2_616_158=VECTOR_REF( VARIABLE_335_246, BINT( 0 ) );return MAKE_PAIR( BINT( 7 ), OBJ2_616_158 );}_false_13:
switch( (long)CINT( VARIABLE_335_246 )){case 0 : 
case 1 : 
case 2 : 
case 3 : 
{obj_t OBJ2_618_61;
OBJ2_618_61=BNIL;return MAKE_PAIR( VARIABLE_335_246, OBJ2_618_61 );}break;default: 
return MAKE_PAIR( BINT( 4 ), VARIABLE_335_246 );};
};
}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_SET___EVCOMPILE_236(obj_t VARIABLE_337_62,obj_t VALUE_338_204)
#else
EVCOMPILE_SET___EVCOMPILE_236( VARIABLE_337_62, VALUE_338_204 )
obj_t VARIABLE_337_62, VALUE_338_204;
#endif
{

{if( VECTORP( VARIABLE_337_62 ))
if( EQ_I( VECTOR_LENGTH( VARIABLE_337_62 ), BINT( 3 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t OBJ2_623_14;
OBJ2_623_14=MAKE_PAIR( VARIABLE_337_62, VALUE_338_204 );return MAKE_PAIR( BINT( 8 ), OBJ2_623_14 );}_false_4:
{if( VECTORP( VARIABLE_337_62 ))
if( EQ_I( VECTOR_LENGTH( VARIABLE_337_62 ), BINT( 1 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t OBJ2_627_174;
{obj_t OBJ1_629_13;
OBJ1_629_13=VECTOR_REF( VARIABLE_337_62, BINT( 0 ) );OBJ2_627_174=MAKE_PAIR( OBJ1_629_13, VALUE_338_204 );}return MAKE_PAIR( BINT( 9 ), OBJ2_627_174 );}_false_7:
switch( (long)CINT( VARIABLE_337_62 )){case 0 : 
case 1 : 
case 2 : 
case 3 : 
return MAKE_PAIR( ADD_I_PTAG( PSUB_TAG( 10 ), VARIABLE_337_62 ), VALUE_338_204 );break;default: 
{obj_t OBJ2_635_68;
OBJ2_635_68=MAKE_PAIR( VARIABLE_337_62, VALUE_338_204 );return MAKE_PAIR( BINT( 14 ), OBJ2_635_68 );}};
};
}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_BEGIN___EVCOMPILE_255(obj_t BODY_344_84,obj_t ENV_345_244,obj_t WHERE_346_108,obj_t NAMED__347_76)
#else
EVCOMPILE_BEGIN___EVCOMPILE_255( BODY_344_84, ENV_345_244, WHERE_346_108, NAMED__347_76 )
obj_t BODY_344_84, ENV_345_244, WHERE_346_108, NAMED__347_76;
#endif
{

{if( PAIRP( BODY_344_84 ))
{bool_t OBJ_872_187;
OBJ_872_187=NULLP( CDR( BODY_344_84 ) );if( OBJ_872_187)
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t C_CAR_640_41;
C_CAR_640_41=CAR( BODY_344_84 );return EVCOMPILE___EVCOMPILE_98( C_CAR_640_41, ENV_345_244, WHERE_346_108, NAMED__347_76 );}_false_1:
{obj_t CBODY_349_15;
CBODY_349_15=LOOP_350_48( NAMED__347_76, ENV_345_244, WHERE_346_108, BODY_344_84 );{obj_t OBJ2_651_222;
OBJ2_651_222=LIST__VECTOR___R4_VECTORS_6_8_97( CBODY_349_15 );return MAKE_PAIR( BINT( 16 ), OBJ2_651_222 );}};
}
}

static obj_t
#if defined( __STDC__ )
LOOP_350_48(obj_t NAMED__347_76,obj_t ENV_345_244,obj_t WHERE_346_108,obj_t REST_351_174)
#else
LOOP_350_48( NAMED__347_76, ENV_345_244, WHERE_346_108, REST_351_174 )
obj_t NAMED__347_76, ENV_345_244, WHERE_346_108, REST_351_174;
#endif
{

if( NULLP( REST_351_174 ))
return BNIL;else
{obj_t OBJ_641_16;
OBJ_641_16=CDR( REST_351_174 );if( NULLP( OBJ_641_16 ))
{obj_t OBJ2_643_108;
OBJ2_643_108=BNIL;{obj_t OBJ1_642_134;
{obj_t C_CAR_645_46;
C_CAR_645_46=CAR( REST_351_174 );OBJ1_642_134=EVCOMPILE___EVCOMPILE_98( C_CAR_645_46, ENV_345_244, WHERE_346_108, NAMED__347_76 );}return MAKE_PAIR( OBJ1_642_134, OBJ2_643_108 );}}else
{obj_t OBJ2_647_74;
OBJ2_647_74=LOOP_350_48( NAMED__347_76, ENV_345_244, WHERE_346_108, OBJ_641_16 );{obj_t OBJ1_646_194;
{obj_t C_CAR_649_83;
C_CAR_649_83=CAR( REST_351_174 );OBJ1_646_194=EVCOMPILE___EVCOMPILE_98( C_CAR_649_83, ENV_345_244, WHERE_346_108, BFALSE );}return MAKE_PAIR( OBJ1_646_194, OBJ2_647_74 );}}}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_LAMBDA___EVCOMPILE_78(obj_t FORMALS_355_253,obj_t BODY_356_161,obj_t WHERE_357_204,obj_t NAMED__358_38)
#else
EVCOMPILE_LAMBDA___EVCOMPILE_78( FORMALS_355_253, BODY_356_161, WHERE_357_204, NAMED__358_38 )
obj_t FORMALS_355_253, BODY_356_161, WHERE_357_204, NAMED__358_38;
#endif
{

{{obj_t OBJ2_683_115;
OBJ2_683_115=BNIL;if( EQP( FORMALS_355_253, OBJ2_683_115 ))
{_TAG_1920_359_54:

if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_673_178;
OBJ2_673_178=MAKE_PAIR( WHERE_357_204, BODY_356_161 );{obj_t OBJ1_672_126;
{obj_t L_677_143;
L_677_143=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( FORMALS_355_253 );OBJ1_672_126=ADD_I_PTAG( L_677_143, PSUB_TAG( 37 ) );}return MAKE_PAIR( OBJ1_672_126, OBJ2_673_178 );}}else
{obj_t OBJ1_679_191;
{obj_t L_681_250;
L_681_250=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( FORMALS_355_253 );OBJ1_679_191=ADD_I_PTAG( L_681_250, PSUB_TAG( 42 ) );}return MAKE_PAIR( OBJ1_679_191, BODY_356_161 );}}else
if( PAIRP( FORMALS_355_253 ))
{obj_t OBJ1_684_150;
OBJ1_684_150=CDR( FORMALS_355_253 );if( EQP( OBJ1_684_150, OBJ2_683_115 ))
goto _TAG_1920_359_54;else
if( PAIRP( OBJ1_684_150 ))
{obj_t OBJ1_686_145;
OBJ1_686_145=CDR( OBJ1_684_150 );if( EQP( OBJ1_686_145, OBJ2_683_115 ))
goto _TAG_1920_359_54;else
if( PAIRP( OBJ1_686_145 ))
{obj_t OBJ1_689_175;
OBJ1_689_175=CDR( OBJ1_686_145 );if( EQP( OBJ1_689_175, OBJ2_683_115 ))
goto _TAG_1920_359_54;else
if( PAIRP( OBJ1_689_175 ))
{obj_t OBJ1_693_145;
OBJ1_693_145=CDR( OBJ1_689_175 );if( EQP( OBJ1_693_145, OBJ2_683_115 ))
goto _TAG_1920_359_54;else
{bool_t OBJ_874_214;
OBJ_874_214=PAIRP( CAR( FORMALS_355_253 ) );if( OBJ_874_214)
{_TAG_1925_364_124:

if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_656_243;
{obj_t V_369_165;
V_369_165=create_vector( BINT( 3 ) );{
VECTOR_SET( V_369_165, BINT( 2 ), FORMALS_355_253 );
VECTOR_SET( V_369_165, BINT( 1 ), BODY_356_161 );
VECTOR_SET( V_369_165, BINT( 0 ), WHERE_357_204 );
OBJ2_656_243=V_369_165;
}}return MAKE_PAIR( BINT( 55 ), OBJ2_656_243 );}else
{obj_t OBJ2_658_229;
OBJ2_658_229=MAKE_PAIR( BODY_356_161, FORMALS_355_253 );return MAKE_PAIR( BINT( 56 ), OBJ2_658_229 );}}else
{bool_t OBJ_875_18;
OBJ_875_18=PAIRP( CAR( OBJ1_684_150 ) );if( OBJ_875_18)
goto _TAG_1925_364_124;else
{bool_t OBJ_876_226;
OBJ_876_226=PAIRP( CAR( OBJ1_686_145 ) );if( OBJ_876_226)
goto _TAG_1925_364_124;else
goto _TAG_1925_364_124;}}}}else
{bool_t OBJ_877_84;
OBJ_877_84=PAIRP( CAR( FORMALS_355_253 ) );if( OBJ_877_84)
goto _TAG_1925_364_124;else
{bool_t OBJ_878_43;
OBJ_878_43=PAIRP( CAR( OBJ1_684_150 ) );if( OBJ_878_43)
goto _TAG_1925_364_124;else
{bool_t OBJ_879_196;
OBJ_879_196=PAIRP( CAR( OBJ1_686_145 ) );if( OBJ_879_196)
goto _TAG_1925_364_124;else
{
if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_660_250;
OBJ2_660_250=MAKE_PAIR( WHERE_357_204, BODY_356_161 );return MAKE_PAIR( BINT( 50 ), OBJ2_660_250 );}else
return MAKE_PAIR( BINT( 54 ), BODY_356_161 );}}}}}else
{bool_t OBJ_880_195;
OBJ_880_195=PAIRP( CAR( FORMALS_355_253 ) );if( OBJ_880_195)
goto _TAG_1925_364_124;else
{bool_t OBJ_881_175;
OBJ_881_175=PAIRP( CAR( OBJ1_684_150 ) );if( OBJ_881_175)
goto _TAG_1925_364_124;else
{
if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_663_88;
OBJ2_663_88=MAKE_PAIR( WHERE_357_204, BODY_356_161 );return MAKE_PAIR( BINT( 49 ), OBJ2_663_88 );}else
return MAKE_PAIR( BINT( 53 ), BODY_356_161 );}}}}else
{bool_t OBJ_882_99;
OBJ_882_99=PAIRP( CAR( FORMALS_355_253 ) );if( OBJ_882_99)
goto _TAG_1925_364_124;else
{
if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_666_253;
OBJ2_666_253=MAKE_PAIR( WHERE_357_204, BODY_356_161 );return MAKE_PAIR( BINT( 48 ), OBJ2_666_253 );}else
return MAKE_PAIR( BINT( 52 ), BODY_356_161 );}}}else
{
if( BBOOL_TO_CBOOL( NAMED__358_38 ))
{obj_t OBJ2_669_192;
OBJ2_669_192=MAKE_PAIR( WHERE_357_204, BODY_356_161 );return MAKE_PAIR( BINT( 47 ), OBJ2_669_192 );}else
return MAKE_PAIR( BINT( 51 ), BODY_356_161 );}}}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_GLOBAL_APPLICATION___EVCOMPILE_184(obj_t PROC_370_152,obj_t ACTUALS_371_114)
#else
EVCOMPILE_GLOBAL_APPLICATION___EVCOMPILE_184( PROC_370_152, ACTUALS_371_114 )
obj_t PROC_370_152, ACTUALS_371_114;
#endif
{

{long AUX_883_98;
{obj_t AUX_892_229;
AUX_892_229=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( ACTUALS_371_114 );AUX_883_98=CINT( AUX_892_229 );}switch( (long)AUX_883_98){case 0 : 
{obj_t OBJ2_712_113;
{obj_t V_373_36;
V_373_36=create_vector( BINT( 2 ) );{
VECTOR_SET( V_373_36, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_715_59;
OBJ_715_59=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_373_36, BINT( 0 ), OBJ_715_59 );}
OBJ2_712_113=V_373_36;
}}{obj_t OBJ1_711_25;
{obj_t OBJ1_714_132;
OBJ1_714_132=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_714_132, BINT( 1 ) ))
OBJ1_711_25=BINT( 19 );else
OBJ1_711_25=BINT( 57 );}return MAKE_PAIR( OBJ1_711_25, OBJ2_712_113 );}}break;case 1 : 
{obj_t OBJ2_718_127;
{obj_t V_374_7;
V_374_7=create_vector( BINT( 3 ) );{
{obj_t OBJ_721_81;
OBJ_721_81=CAR( ACTUALS_371_114 );VECTOR_SET( V_374_7, BINT( 2 ), OBJ_721_81 );}
VECTOR_SET( V_374_7, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_722_24;
OBJ_722_24=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_374_7, BINT( 0 ), OBJ_722_24 );}
OBJ2_718_127=V_374_7;
}}{obj_t OBJ1_717_174;
{obj_t OBJ1_720_102;
OBJ1_720_102=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_720_102, BINT( 1 ) ))
OBJ1_717_174=BINT( 20 );else
OBJ1_717_174=BINT( 58 );}return MAKE_PAIR( OBJ1_717_174, OBJ2_718_127 );}}break;case 2 : 
{obj_t OBJ2_724_173;
{obj_t V_375_30;
V_375_30=create_vector( BINT( 4 ) );{
{obj_t OBJ_727_127;
{obj_t PAIR_729_215;
PAIR_729_215=CDR( ACTUALS_371_114 );OBJ_727_127=CAR( PAIR_729_215 );}VECTOR_SET( V_375_30, BINT( 3 ), OBJ_727_127 );}
{obj_t OBJ_730_168;
OBJ_730_168=CAR( ACTUALS_371_114 );VECTOR_SET( V_375_30, BINT( 2 ), OBJ_730_168 );}
VECTOR_SET( V_375_30, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_731_198;
OBJ_731_198=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_375_30, BINT( 0 ), OBJ_731_198 );}
OBJ2_724_173=V_375_30;
}}{obj_t OBJ1_723_240;
{obj_t OBJ1_726_158;
OBJ1_726_158=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_726_158, BINT( 1 ) ))
OBJ1_723_240=BINT( 21 );else
OBJ1_723_240=BINT( 59 );}return MAKE_PAIR( OBJ1_723_240, OBJ2_724_173 );}}break;case 3 : 
{obj_t OBJ2_733_4;
{obj_t V_376_73;
V_376_73=create_vector( BINT( 5 ) );{
{obj_t OBJ_736_79;
{obj_t PAIR_738_42;
{obj_t PAIR_739_155;
PAIR_739_155=CDR( ACTUALS_371_114 );PAIR_738_42=CDR( PAIR_739_155 );}OBJ_736_79=CAR( PAIR_738_42 );}VECTOR_SET( V_376_73, BINT( 4 ), OBJ_736_79 );}
{obj_t OBJ_740_98;
{obj_t PAIR_741_197;
PAIR_741_197=CDR( ACTUALS_371_114 );OBJ_740_98=CAR( PAIR_741_197 );}VECTOR_SET( V_376_73, BINT( 3 ), OBJ_740_98 );}
{obj_t OBJ_742_112;
OBJ_742_112=CAR( ACTUALS_371_114 );VECTOR_SET( V_376_73, BINT( 2 ), OBJ_742_112 );}
VECTOR_SET( V_376_73, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_743_113;
OBJ_743_113=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_376_73, BINT( 0 ), OBJ_743_113 );}
OBJ2_733_4=V_376_73;
}}{obj_t OBJ1_732_5;
{obj_t OBJ1_735_242;
OBJ1_735_242=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_735_242, BINT( 1 ) ))
OBJ1_732_5=BINT( 22 );else
OBJ1_732_5=BINT( 60 );}return MAKE_PAIR( OBJ1_732_5, OBJ2_733_4 );}}break;case 4 : 
{obj_t OBJ2_745_235;
{obj_t V_377_173;
V_377_173=create_vector( BINT( 6 ) );{
{obj_t OBJ_748_17;
{obj_t PAIR_750_147;
{obj_t PAIR_751_124;
{obj_t PAIR_752_144;
PAIR_752_144=CDR( ACTUALS_371_114 );PAIR_751_124=CDR( PAIR_752_144 );}PAIR_750_147=CDR( PAIR_751_124 );}OBJ_748_17=CAR( PAIR_750_147 );}VECTOR_SET( V_377_173, BINT( 5 ), OBJ_748_17 );}
{obj_t OBJ_753_180;
{obj_t PAIR_754_167;
{obj_t PAIR_755_183;
PAIR_755_183=CDR( ACTUALS_371_114 );PAIR_754_167=CDR( PAIR_755_183 );}OBJ_753_180=CAR( PAIR_754_167 );}VECTOR_SET( V_377_173, BINT( 4 ), OBJ_753_180 );}
{obj_t OBJ_756_162;
{obj_t PAIR_757_238;
PAIR_757_238=CDR( ACTUALS_371_114 );OBJ_756_162=CAR( PAIR_757_238 );}VECTOR_SET( V_377_173, BINT( 3 ), OBJ_756_162 );}
{obj_t OBJ_758_246;
OBJ_758_246=CAR( ACTUALS_371_114 );VECTOR_SET( V_377_173, BINT( 2 ), OBJ_758_246 );}
VECTOR_SET( V_377_173, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_759_114;
OBJ_759_114=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_377_173, BINT( 0 ), OBJ_759_114 );}
OBJ2_745_235=V_377_173;
}}{obj_t OBJ1_744_88;
{obj_t OBJ1_747_250;
OBJ1_747_250=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_747_250, BINT( 1 ) ))
OBJ1_744_88=BINT( 23 );else
OBJ1_744_88=BINT( 61 );}return MAKE_PAIR( OBJ1_744_88, OBJ2_745_235 );}}break;default: 
{obj_t OBJ2_761_71;
{obj_t V_378_169;
V_378_169=create_vector( BINT( 3 ) );{
VECTOR_SET( V_378_169, BINT( 2 ), ACTUALS_371_114 );
VECTOR_SET( V_378_169, BINT( 1 ), PROC_370_152 );
{obj_t OBJ_764_242;
OBJ_764_242=VECTOR_REF( PROC_370_152, BINT( 1 ) );VECTOR_SET( V_378_169, BINT( 0 ), OBJ_764_242 );}
OBJ2_761_71=V_378_169;
}}{obj_t OBJ1_760_235;
{obj_t OBJ1_763_163;
OBJ1_763_163=VECTOR_REF( PROC_370_152, BINT( 0 ) );if( EQP( OBJ1_763_163, BINT( 1 ) ))
OBJ1_760_235=BINT( 24 );else
OBJ1_760_235=BINT( 62 );}return MAKE_PAIR( OBJ1_760_235, OBJ2_761_71 );}}}}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_COMPILED_APPLICATION___EVCOMPILE_207(obj_t PROC_379_200,obj_t ACTUALS_380_192)
#else
EVCOMPILE_COMPILED_APPLICATION___EVCOMPILE_207( PROC_379_200, ACTUALS_380_192 )
obj_t PROC_379_200, ACTUALS_380_192;
#endif
{

{long AUX_884_225;
{obj_t AUX_891_152;
AUX_891_152=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( ACTUALS_380_192 );AUX_884_225=CINT( AUX_891_152 );}switch( (long)AUX_884_225){case 0 : 
return MAKE_PAIR( BINT( 25 ), PROC_379_200 );break;case 1 : 
{obj_t OBJ2_766_129;
{obj_t V_382_11;
V_382_11=create_vector( BINT( 2 ) );{
{obj_t OBJ_768_139;
OBJ_768_139=CAR( ACTUALS_380_192 );VECTOR_SET( V_382_11, BINT( 1 ), OBJ_768_139 );}
VECTOR_SET( V_382_11, BINT( 0 ), PROC_379_200 );
OBJ2_766_129=V_382_11;
}}return MAKE_PAIR( BINT( 26 ), OBJ2_766_129 );}break;case 2 : 
{obj_t OBJ2_769_136;
{obj_t V_383_126;
V_383_126=create_vector( BINT( 3 ) );{
{obj_t OBJ_771_130;
{obj_t PAIR_772_243;
PAIR_772_243=CDR( ACTUALS_380_192 );OBJ_771_130=CAR( PAIR_772_243 );}VECTOR_SET( V_383_126, BINT( 2 ), OBJ_771_130 );}
{obj_t OBJ_773_208;
OBJ_773_208=CAR( ACTUALS_380_192 );VECTOR_SET( V_383_126, BINT( 1 ), OBJ_773_208 );}
VECTOR_SET( V_383_126, BINT( 0 ), PROC_379_200 );
OBJ2_769_136=V_383_126;
}}return MAKE_PAIR( BINT( 27 ), OBJ2_769_136 );}break;case 3 : 
{obj_t OBJ2_774_40;
{obj_t V_384_239;
V_384_239=create_vector( BINT( 4 ) );{
{obj_t OBJ_776_64;
{obj_t PAIR_777_163;
{obj_t PAIR_778_209;
PAIR_778_209=CDR( ACTUALS_380_192 );PAIR_777_163=CDR( PAIR_778_209 );}OBJ_776_64=CAR( PAIR_777_163 );}VECTOR_SET( V_384_239, BINT( 3 ), OBJ_776_64 );}
{obj_t OBJ_779_185;
{obj_t PAIR_780_135;
PAIR_780_135=CDR( ACTUALS_380_192 );OBJ_779_185=CAR( PAIR_780_135 );}VECTOR_SET( V_384_239, BINT( 2 ), OBJ_779_185 );}
{obj_t OBJ_781_189;
OBJ_781_189=CAR( ACTUALS_380_192 );VECTOR_SET( V_384_239, BINT( 1 ), OBJ_781_189 );}
VECTOR_SET( V_384_239, BINT( 0 ), PROC_379_200 );
OBJ2_774_40=V_384_239;
}}return MAKE_PAIR( BINT( 28 ), OBJ2_774_40 );}break;case 4 : 
{obj_t OBJ2_782_242;
{obj_t V_385_193;
V_385_193=create_vector( BINT( 5 ) );{
{obj_t OBJ_784_16;
{obj_t PAIR_785_38;
{obj_t PAIR_786_31;
{obj_t PAIR_787_149;
PAIR_787_149=CDR( ACTUALS_380_192 );PAIR_786_31=CDR( PAIR_787_149 );}PAIR_785_38=CDR( PAIR_786_31 );}OBJ_784_16=CAR( PAIR_785_38 );}VECTOR_SET( V_385_193, BINT( 4 ), OBJ_784_16 );}
{obj_t OBJ_788_100;
{obj_t PAIR_789_117;
{obj_t PAIR_790_230;
PAIR_790_230=CDR( ACTUALS_380_192 );PAIR_789_117=CDR( PAIR_790_230 );}OBJ_788_100=CAR( PAIR_789_117 );}VECTOR_SET( V_385_193, BINT( 3 ), OBJ_788_100 );}
{obj_t OBJ_791_16;
{obj_t PAIR_792_96;
PAIR_792_96=CDR( ACTUALS_380_192 );OBJ_791_16=CAR( PAIR_792_96 );}VECTOR_SET( V_385_193, BINT( 2 ), OBJ_791_16 );}
{obj_t OBJ_793_26;
OBJ_793_26=CAR( ACTUALS_380_192 );VECTOR_SET( V_385_193, BINT( 1 ), OBJ_793_26 );}
VECTOR_SET( V_385_193, BINT( 0 ), PROC_379_200 );
OBJ2_782_242=V_385_193;
}}return MAKE_PAIR( BINT( 29 ), OBJ2_782_242 );}break;default: 
{obj_t OBJ2_794_208;
OBJ2_794_208=MAKE_PAIR( PROC_379_200, ACTUALS_380_192 );return MAKE_PAIR( BINT( 30 ), OBJ2_794_208 );}}}
}

static obj_t
#if defined( __STDC__ )
EVCOMPILE_APPLICATION___EVCOMPILE_107(obj_t NAME_386_11,obj_t PROC_387_254,obj_t ACTUALS_388_154)
#else
EVCOMPILE_APPLICATION___EVCOMPILE_107( NAME_386_11, PROC_387_254, ACTUALS_388_154 )
obj_t NAME_386_11, PROC_387_254, ACTUALS_388_154;
#endif
{

{long AUX_885_207;
{obj_t AUX_890_131;
AUX_890_131=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( ACTUALS_388_154 );AUX_885_207=CINT( AUX_890_131 );}switch( (long)AUX_885_207){case 0 : 
{obj_t OBJ2_796_130;
OBJ2_796_130=MAKE_PAIR( NAME_386_11, PROC_387_254 );return MAKE_PAIR( BINT( 31 ), OBJ2_796_130 );}break;case 1 : 
{obj_t OBJ2_798_143;
{obj_t V_390_190;
V_390_190=create_vector( BINT( 3 ) );{
{obj_t OBJ_800_17;
OBJ_800_17=CAR( ACTUALS_388_154 );VECTOR_SET( V_390_190, BINT( 2 ), OBJ_800_17 );}
VECTOR_SET( V_390_190, BINT( 1 ), PROC_387_254 );
VECTOR_SET( V_390_190, BINT( 0 ), NAME_386_11 );
OBJ2_798_143=V_390_190;
}}return MAKE_PAIR( BINT( 32 ), OBJ2_798_143 );}break;case 2 : 
{obj_t OBJ2_801_184;
{obj_t V_391_104;
V_391_104=create_vector( BINT( 4 ) );{
{obj_t OBJ_803_91;
{obj_t PAIR_804_80;
PAIR_804_80=CDR( ACTUALS_388_154 );OBJ_803_91=CAR( PAIR_804_80 );}VECTOR_SET( V_391_104, BINT( 3 ), OBJ_803_91 );}
{obj_t OBJ_805_6;
OBJ_805_6=CAR( ACTUALS_388_154 );VECTOR_SET( V_391_104, BINT( 2 ), OBJ_805_6 );}
VECTOR_SET( V_391_104, BINT( 1 ), PROC_387_254 );
VECTOR_SET( V_391_104, BINT( 0 ), NAME_386_11 );
OBJ2_801_184=V_391_104;
}}return MAKE_PAIR( BINT( 33 ), OBJ2_801_184 );}break;case 3 : 
{obj_t OBJ2_806_63;
{obj_t V_392_213;
V_392_213=create_vector( BINT( 5 ) );{
{obj_t OBJ_808_98;
{obj_t PAIR_809_4;
{obj_t PAIR_810_169;
PAIR_810_169=CDR( ACTUALS_388_154 );PAIR_809_4=CDR( PAIR_810_169 );}OBJ_808_98=CAR( PAIR_809_4 );}VECTOR_SET( V_392_213, BINT( 4 ), OBJ_808_98 );}
{obj_t OBJ_811_210;
{obj_t PAIR_812_68;
PAIR_812_68=CDR( ACTUALS_388_154 );OBJ_811_210=CAR( PAIR_812_68 );}VECTOR_SET( V_392_213, BINT( 3 ), OBJ_811_210 );}
{obj_t OBJ_813_67;
OBJ_813_67=CAR( ACTUALS_388_154 );VECTOR_SET( V_392_213, BINT( 2 ), OBJ_813_67 );}
VECTOR_SET( V_392_213, BINT( 1 ), PROC_387_254 );
VECTOR_SET( V_392_213, BINT( 0 ), NAME_386_11 );
OBJ2_806_63=V_392_213;
}}return MAKE_PAIR( BINT( 34 ), OBJ2_806_63 );}break;case 4 : 
{obj_t OBJ2_814_109;
{obj_t V_393_49;
V_393_49=create_vector( BINT( 6 ) );{
{obj_t OBJ_816_115;
{obj_t PAIR_817_177;
{obj_t PAIR_818_40;
{obj_t PAIR_819_188;
PAIR_819_188=CDR( ACTUALS_388_154 );PAIR_818_40=CDR( PAIR_819_188 );}PAIR_817_177=CDR( PAIR_818_40 );}OBJ_816_115=CAR( PAIR_817_177 );}VECTOR_SET( V_393_49, BINT( 5 ), OBJ_816_115 );}
{obj_t OBJ_820_56;
{obj_t PAIR_821_148;
{obj_t PAIR_822_211;
PAIR_822_211=CDR( ACTUALS_388_154 );PAIR_821_148=CDR( PAIR_822_211 );}OBJ_820_56=CAR( PAIR_821_148 );}VECTOR_SET( V_393_49, BINT( 4 ), OBJ_820_56 );}
{obj_t OBJ_823_169;
{obj_t PAIR_824_190;
PAIR_824_190=CDR( ACTUALS_388_154 );OBJ_823_169=CAR( PAIR_824_190 );}VECTOR_SET( V_393_49, BINT( 3 ), OBJ_823_169 );}
{obj_t OBJ_825_107;
OBJ_825_107=CAR( ACTUALS_388_154 );VECTOR_SET( V_393_49, BINT( 2 ), OBJ_825_107 );}
VECTOR_SET( V_393_49, BINT( 1 ), PROC_387_254 );
VECTOR_SET( V_393_49, BINT( 0 ), NAME_386_11 );
OBJ2_814_109=V_393_49;
}}return MAKE_PAIR( BINT( 35 ), OBJ2_814_109 );}break;default: 
{obj_t OBJ2_826_171;
{obj_t V_394_223;
V_394_223=create_vector( BINT( 3 ) );{
VECTOR_SET( V_394_223, BINT( 2 ), ACTUALS_388_154 );
VECTOR_SET( V_394_223, BINT( 1 ), PROC_387_254 );
VECTOR_SET( V_394_223, BINT( 0 ), NAME_386_11 );
OBJ2_826_171=V_394_223;
}}return MAKE_PAIR( BINT( 36 ), OBJ2_826_171 );}}}
}

static obj_t
#if defined( __STDC__ )
VARIABLE___EVCOMPILE_49(obj_t SYMBOL_395_110,obj_t ENV_396_38)
#else
VARIABLE___EVCOMPILE_49( SYMBOL_395_110, ENV_396_38 )
obj_t SYMBOL_395_110, ENV_396_38;
#endif
{

{obj_t OFFSET_397_28;
{obj_t ENV_400_20, COUNT_401_38;
{
COUNT_401_38=BINT( 0 );
ENV_400_20=ENV_396_38;
{_LOOP_399_116:

if( NULLP( ENV_400_20 ))
OFFSET_397_28=BFALSE;else
{obj_t OBJ1_828_211;
OBJ1_828_211=CAR( ENV_400_20 );if( EQP( OBJ1_828_211, SYMBOL_395_110 ))
OFFSET_397_28=COUNT_401_38;else
{obj_t C_CDR_829_97;
C_CDR_829_97=CDR( ENV_400_20 );{obj_t COUNT_888_58;
COUNT_888_58=COUNT_401_38;{
COUNT_401_38=ADD_I_PTAG( COUNT_888_58, PSUB_TAG( 1 ) );
ENV_400_20=C_CDR_829_97;
goto _LOOP_399_116;
}}}}}
}}if( BBOOL_TO_CBOOL( OFFSET_397_28 ))
return OFFSET_397_28;else
{obj_t GLOBAL_398_88;
GLOBAL_398_88=EVAL_LOOKUP___EVENV_238( SYMBOL_395_110 );if( BBOOL_TO_CBOOL( GLOBAL_398_88 ))
return GLOBAL_398_88;else
{obj_t VA_ARG_852_66;
VA_ARG_852_66=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_889_92;
AUX_889_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( SYMBOL_395_110, VA_ARG_852_66 );return LIST__VECTOR___R4_VECTORS_6_8_97( AUX_889_92 );}}}}
}

