/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/evenv.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t EVAL_GLOBAL____EVENV_170(obj_t);
#else
extern obj_t EVAL_GLOBAL____EVENV_170();
#endif
obj_t DEFINE_PRIMOP__ENV___EVENV_151 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EVAL_GLOBAL_VALUE___EVENV_176(obj_t, obj_t);
#else
extern obj_t __EVAL_GLOBAL_VALUE___EVENV_176();
#endif
#if defined( __STDC__ )
extern obj_t __EVAL_GLOBAL_NAME___EVENV_119(obj_t, obj_t);
#else
extern obj_t __EVAL_GLOBAL_NAME___EVENV_119();
#endif
extern obj_t GETPROP___R4_SYMBOLS_6_4_49();
#if defined( __STDC__ )
extern obj_t EVAL_GLOBAL_TAG___EVENV_235(obj_t);
#else
extern obj_t EVAL_GLOBAL_TAG___EVENV_235();
#endif
#if defined( __STDC__ )
extern obj_t DEFINE_PRIMOP____EVENV_88(obj_t, obj_t);
#else
extern obj_t DEFINE_PRIMOP____EVENV_88();
#endif
#if defined( __STDC__ )
extern obj_t __EVAL_LOOKUP___EVENV_206(obj_t, obj_t);
#else
extern obj_t __EVAL_LOOKUP___EVENV_206();
#endif
obj_t EVAL_GLOBAL__ENV___EVENV_87 = BUNSPEC;
extern obj_t ___EVENV_INITIALISATION___EVENV_87();
#if defined( __STDC__ )
extern obj_t DEFINE_PRIMOP_REF____EVENV_25(obj_t, obj_t);
#else
extern obj_t DEFINE_PRIMOP_REF____EVENV_25();
#endif
#if defined( __STDC__ )
extern obj_t __BIND_EVAL_GLOBAL____EVENV_245(obj_t, obj_t, obj_t);
#else
extern obj_t __BIND_EVAL_GLOBAL____EVENV_245();
#endif
#if defined( __STDC__ )
extern obj_t EVAL_GLOBAL_NAME___EVENV_254(obj_t);
#else
extern obj_t EVAL_GLOBAL_NAME___EVENV_254();
#endif
#if defined( __STDC__ )
extern obj_t __EVAL_GLOBAL_TAG___EVENV_48(obj_t, obj_t);
#else
extern obj_t __EVAL_GLOBAL_TAG___EVENV_48();
#endif
#if defined( __STDC__ )
extern obj_t __EVAL_GLOBAL____EVENV_19(obj_t, obj_t);
#else
extern obj_t __EVAL_GLOBAL____EVENV_19();
#endif
#if defined( __STDC__ )
extern obj_t EVAL_LOOKUP___EVENV_238(obj_t);
#else
extern obj_t EVAL_LOOKUP___EVENV_238();
#endif
#if defined( __STDC__ )
extern obj_t SET_EVAL_GLOBAL_VALUE____EVENV_238(obj_t, obj_t);
#else
extern obj_t SET_EVAL_GLOBAL_VALUE____EVENV_238();
#endif
obj_t INIT_THE_GLOBAL_ENVIRONMENT__ENV___EVENV_235 = BUNSPEC;
obj_t EVAL_GLOBAL_NAME_ENV___EVENV_206 = BUNSPEC;
obj_t DEFINE_PRIMOP_REF__ENV___EVENV_244 = BUNSPEC;
obj_t ___EVENV_INITIALISATION_ENV___EVENV_53 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DEFINE_PRIMOP_REF____EVENV_190(obj_t, obj_t, obj_t);
#else
extern obj_t __DEFINE_PRIMOP_REF____EVENV_190();
#endif
#if defined( __STDC__ )
extern obj_t EVAL_GLOBAL_VALUE___EVENV_39(obj_t);
#else
extern obj_t EVAL_GLOBAL_VALUE___EVENV_39();
#endif
static obj_t REQUIRE_INITIALISATION____EVENV_116 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t EVAL_LOOKUP_ENV___EVENV_197 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DEFINE_PRIMOP____EVENV_227(obj_t, obj_t, obj_t);
#else
extern obj_t __DEFINE_PRIMOP____EVENV_227();
#endif
obj_t EVAL_GLOBAL_TAG_ENV___EVENV_92 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INIT_THE_GLOBAL_ENVIRONMENT____EVENV_202(obj_t);
#else
extern obj_t __INIT_THE_GLOBAL_ENVIRONMENT____EVENV_202();
#endif
obj_t BIND_EVAL_GLOBAL__ENV___EVENV_151 = BUNSPEC;
obj_t SET_EVAL_GLOBAL_VALUE__ENV___EVENV_197 = BUNSPEC;
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
#if defined( __STDC__ )
extern obj_t ASSERT_UNBIND____EVENV_92(obj_t);
#else
extern obj_t ASSERT_UNBIND____EVENV_92();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __ASSERT_UNBIND____EVENV_35(obj_t, obj_t);
#else
extern obj_t __ASSERT_UNBIND____EVENV_35();
#endif
extern obj_t REMPROP____R4_SYMBOLS_6_4_119();
#if defined( __STDC__ )
extern obj_t __SET_EVAL_GLOBAL_VALUE____EVENV_253(obj_t, obj_t, obj_t);
#else
extern obj_t __SET_EVAL_GLOBAL_VALUE____EVENV_253();
#endif
#if defined( __STDC__ )
extern obj_t ____EVENV_INITIALISATION___EVENV_109(obj_t);
#else
extern obj_t ____EVENV_INITIALISATION___EVENV_109();
#endif
#if defined( __STDC__ )
extern obj_t BIND_EVAL_GLOBAL____EVENV_88(obj_t, obj_t);
#else
extern obj_t BIND_EVAL_GLOBAL____EVENV_88();
#endif
extern obj_t create_vector();
static obj_t NOTHING_0___EVENV_159 = BUNSPEC;
obj_t ASSERT_UNBIND__ENV___EVENV_139 = BUNSPEC;
obj_t EVAL_GLOBAL_VALUE_ENV___EVENV_20 = BUNSPEC;
extern obj_t PUTPROP____R4_SYMBOLS_6_4_111();
extern obj_t INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81();


obj_t
#if defined( __STDC__ )
___EVENV_INITIALISATION___EVENV_87()
#else
___EVENV_INITIALISATION___EVENV_87()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EVENV_116 ))
{
REQUIRE_INITIALISATION____EVENV_116=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
NOTHING_0___EVENV_159=c_string_to_symbol( "NOTHING" );
{
___EVENV_INITIALISATION_ENV___EVENV_53=make_fx_procedure( ____EVENV_INITIALISATION___EVENV_109, 0, 0 );
INIT_THE_GLOBAL_ENVIRONMENT__ENV___EVENV_235=make_fx_procedure( __INIT_THE_GLOBAL_ENVIRONMENT____EVENV_202, 0, 0 );
BIND_EVAL_GLOBAL__ENV___EVENV_151=make_fx_procedure( __BIND_EVAL_GLOBAL____EVENV_245, 2, 0 );
DEFINE_PRIMOP__ENV___EVENV_151=make_fx_procedure( __DEFINE_PRIMOP____EVENV_227, 2, 0 );
DEFINE_PRIMOP_REF__ENV___EVENV_244=make_fx_procedure( __DEFINE_PRIMOP_REF____EVENV_190, 2, 0 );
ASSERT_UNBIND__ENV___EVENV_139=make_fx_procedure( __ASSERT_UNBIND____EVENV_35, 1, 0 );
EVAL_LOOKUP_ENV___EVENV_197=make_fx_procedure( __EVAL_LOOKUP___EVENV_206, 1, 0 );
EVAL_GLOBAL__ENV___EVENV_87=make_fx_procedure( __EVAL_GLOBAL____EVENV_19, 1, 0 );
EVAL_GLOBAL_TAG_ENV___EVENV_92=make_fx_procedure( __EVAL_GLOBAL_TAG___EVENV_48, 1, 0 );
EVAL_GLOBAL_NAME_ENV___EVENV_206=make_fx_procedure( __EVAL_GLOBAL_NAME___EVENV_119, 1, 0 );
EVAL_GLOBAL_VALUE_ENV___EVENV_20=make_fx_procedure( __EVAL_GLOBAL_VALUE___EVENV_176, 1, 0 );
SET_EVAL_GLOBAL_VALUE__ENV___EVENV_197=make_fx_procedure( __SET_EVAL_GLOBAL_VALUE____EVENV_253, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EVENV_INITIALISATION___EVENV_109(obj_t ENV_271_236)
#else
____EVENV_INITIALISATION___EVENV_109( ENV_271_236 )
obj_t ENV_271_236;
#endif
{

return ___EVENV_INITIALISATION___EVENV_87();
}

obj_t
#if defined( __STDC__ )
INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81()
#else
INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81()
#endif
{

return NOTHING_0___EVENV_159;
}

obj_t
#if defined( __STDC__ )
__INIT_THE_GLOBAL_ENVIRONMENT____EVENV_202(obj_t ENV_270_249)
#else
__INIT_THE_GLOBAL_ENVIRONMENT____EVENV_202( ENV_270_249 )
obj_t ENV_270_249;
#endif
{

return INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81();
}

obj_t
#if defined( __STDC__ )
BIND_EVAL_GLOBAL____EVENV_88(obj_t NAME_222_1,obj_t VAR_223_111)
#else
BIND_EVAL_GLOBAL____EVENV_88( NAME_222_1, VAR_223_111 )
obj_t NAME_222_1, VAR_223_111;
#endif
{

return PUTPROP____R4_SYMBOLS_6_4_111( NAME_222_1, BINT( 0 ), VAR_223_111 );
}

obj_t
#if defined( __STDC__ )
__BIND_EVAL_GLOBAL____EVENV_245(obj_t ENV_269_153,obj_t NAME_222_1,obj_t VAR_223_111)
#else
__BIND_EVAL_GLOBAL____EVENV_245( ENV_269_153, NAME_222_1, VAR_223_111 )
obj_t ENV_269_153, NAME_222_1, VAR_223_111;
#endif
{

return BIND_EVAL_GLOBAL____EVENV_88( NAME_222_1, VAR_223_111 );
}

obj_t
#if defined( __STDC__ )
DEFINE_PRIMOP____EVENV_88(obj_t VAR_224_244,obj_t VAL_225_234)
#else
DEFINE_PRIMOP____EVENV_88( VAR_224_244, VAL_225_234 )
obj_t VAR_224_244, VAL_225_234;
#endif
{

{obj_t CELL_226_28;
{obj_t PROP_241_17;
PROP_241_17=GETPROP___R4_SYMBOLS_6_4_49( VAR_224_244, BINT( 0 ) );if( BBOOL_TO_CBOOL( PROP_241_17 ))
CELL_226_28=PROP_241_17;else
CELL_226_28=BFALSE;}{if( VECTORP( CELL_226_28 ))
if( EQ_I( VECTOR_LENGTH( CELL_226_28 ), BINT( 3 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
return VECTOR_SET( CELL_226_28, BINT( 2 ), VAL_225_234 );_false_4:
{obj_t VAR_251_0;
{obj_t V_227_48;
V_227_48=create_vector( BINT( 3 ) );{
VECTOR_SET( V_227_48, BINT( 2 ), VAL_225_234 );
VECTOR_SET( V_227_48, BINT( 1 ), VAR_224_244 );
VECTOR_SET( V_227_48, BINT( 0 ), BINT( 0 ) );
VAR_251_0=V_227_48;
}}return PUTPROP____R4_SYMBOLS_6_4_111( VAR_224_244, BINT( 0 ), VAR_251_0 );};
}}
}

obj_t
#if defined( __STDC__ )
__DEFINE_PRIMOP____EVENV_227(obj_t ENV_268_136,obj_t VAR_224_244,obj_t VAL_225_234)
#else
__DEFINE_PRIMOP____EVENV_227( ENV_268_136, VAR_224_244, VAL_225_234 )
obj_t ENV_268_136, VAR_224_244, VAL_225_234;
#endif
{

return DEFINE_PRIMOP____EVENV_88( VAR_224_244, VAL_225_234 );
}

obj_t
#if defined( __STDC__ )
DEFINE_PRIMOP_REF____EVENV_25(obj_t VAR_228_71,obj_t ADDR_229_64)
#else
DEFINE_PRIMOP_REF____EVENV_25( VAR_228_71, ADDR_229_64 )
obj_t VAR_228_71, ADDR_229_64;
#endif
{

{bool_t PROP_275_216;
{obj_t AUX_278_69;
AUX_278_69=GETPROP___R4_SYMBOLS_6_4_49( VAR_228_71, BINT( 0 ) );PROP_275_216=BBOOL_TO_CBOOL( AUX_278_69 );}{if( PROP_275_216)
goto _true_0;else
goto _false_1;_true_0:
return BFALSE;_false_1:
{obj_t VAR_253_52;
{obj_t V_230_17;
V_230_17=create_vector( BINT( 3 ) );{
VECTOR_SET( V_230_17, BINT( 2 ), ADDR_229_64 );
VECTOR_SET( V_230_17, BINT( 1 ), VAR_228_71 );
VECTOR_SET( V_230_17, BINT( 0 ), BINT( 1 ) );
VAR_253_52=V_230_17;
}}return PUTPROP____R4_SYMBOLS_6_4_111( VAR_228_71, BINT( 0 ), VAR_253_52 );};
}}
}

obj_t
#if defined( __STDC__ )
__DEFINE_PRIMOP_REF____EVENV_190(obj_t ENV_267_129,obj_t VAR_228_71,obj_t ADDR_229_64)
#else
__DEFINE_PRIMOP_REF____EVENV_190( ENV_267_129, VAR_228_71, ADDR_229_64 )
obj_t ENV_267_129, VAR_228_71, ADDR_229_64;
#endif
{

return DEFINE_PRIMOP_REF____EVENV_25( VAR_228_71, ADDR_229_64 );
}

obj_t
#if defined( __STDC__ )
ASSERT_UNBIND____EVENV_92(obj_t NAME_231_107)
#else
ASSERT_UNBIND____EVENV_92( NAME_231_107 )
obj_t NAME_231_107;
#endif
{

return REMPROP____R4_SYMBOLS_6_4_119( NAME_231_107, BINT( 0 ) );
}

obj_t
#if defined( __STDC__ )
__ASSERT_UNBIND____EVENV_35(obj_t ENV_266_90,obj_t NAME_231_107)
#else
__ASSERT_UNBIND____EVENV_35( ENV_266_90, NAME_231_107 )
obj_t ENV_266_90, NAME_231_107;
#endif
{

return ASSERT_UNBIND____EVENV_92( NAME_231_107 );
}

obj_t
#if defined( __STDC__ )
EVAL_LOOKUP___EVENV_238(obj_t VAR_232_120)
#else
EVAL_LOOKUP___EVENV_238( VAR_232_120 )
obj_t VAR_232_120;
#endif
{

{obj_t PROP_233_216;
PROP_233_216=GETPROP___R4_SYMBOLS_6_4_49( VAR_232_120, BINT( 0 ) );if( BBOOL_TO_CBOOL( PROP_233_216 ))
return PROP_233_216;else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__EVAL_LOOKUP___EVENV_206(obj_t ENV_265_217,obj_t VAR_232_120)
#else
__EVAL_LOOKUP___EVENV_206( ENV_265_217, VAR_232_120 )
obj_t ENV_265_217, VAR_232_120;
#endif
{

return EVAL_LOOKUP___EVENV_238( VAR_232_120 );
}

obj_t
#if defined( __STDC__ )
EVAL_GLOBAL____EVENV_170(obj_t VARIABLE_234_1)
#else
EVAL_GLOBAL____EVENV_170( VARIABLE_234_1 )
obj_t VARIABLE_234_1;
#endif
{

if( VECTORP( VARIABLE_234_1 ))
return CBOOL_TO_BBOOL( EQ_I( VECTOR_LENGTH( VARIABLE_234_1 ), BINT( 3 ) ) );else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__EVAL_GLOBAL____EVENV_19(obj_t ENV_264_202,obj_t VARIABLE_234_1)
#else
__EVAL_GLOBAL____EVENV_19( ENV_264_202, VARIABLE_234_1 )
obj_t ENV_264_202, VARIABLE_234_1;
#endif
{

return EVAL_GLOBAL____EVENV_170( VARIABLE_234_1 );
}

obj_t
#if defined( __STDC__ )
EVAL_GLOBAL_TAG___EVENV_235(obj_t EVAL_GLOBAL_236_130)
#else
EVAL_GLOBAL_TAG___EVENV_235( EVAL_GLOBAL_236_130 )
obj_t EVAL_GLOBAL_236_130;
#endif
{

return VECTOR_REF( EVAL_GLOBAL_236_130, BINT( 0 ) );
}

obj_t
#if defined( __STDC__ )
__EVAL_GLOBAL_TAG___EVENV_48(obj_t ENV_263_19,obj_t EVAL_GLOBAL_236_130)
#else
__EVAL_GLOBAL_TAG___EVENV_48( ENV_263_19, EVAL_GLOBAL_236_130 )
obj_t ENV_263_19, EVAL_GLOBAL_236_130;
#endif
{

return EVAL_GLOBAL_TAG___EVENV_235( EVAL_GLOBAL_236_130 );
}

obj_t
#if defined( __STDC__ )
EVAL_GLOBAL_NAME___EVENV_254(obj_t EVAL_GLOBAL_237_122)
#else
EVAL_GLOBAL_NAME___EVENV_254( EVAL_GLOBAL_237_122 )
obj_t EVAL_GLOBAL_237_122;
#endif
{

return VECTOR_REF( EVAL_GLOBAL_237_122, BINT( 1 ) );
}

obj_t
#if defined( __STDC__ )
__EVAL_GLOBAL_NAME___EVENV_119(obj_t ENV_262_165,obj_t EVAL_GLOBAL_237_122)
#else
__EVAL_GLOBAL_NAME___EVENV_119( ENV_262_165, EVAL_GLOBAL_237_122 )
obj_t ENV_262_165, EVAL_GLOBAL_237_122;
#endif
{

return EVAL_GLOBAL_NAME___EVENV_254( EVAL_GLOBAL_237_122 );
}

obj_t
#if defined( __STDC__ )
EVAL_GLOBAL_VALUE___EVENV_39(obj_t EVAL_GLOBAL_238_143)
#else
EVAL_GLOBAL_VALUE___EVENV_39( EVAL_GLOBAL_238_143 )
obj_t EVAL_GLOBAL_238_143;
#endif
{

return VECTOR_REF( EVAL_GLOBAL_238_143, BINT( 2 ) );
}

obj_t
#if defined( __STDC__ )
__EVAL_GLOBAL_VALUE___EVENV_176(obj_t ENV_261_231,obj_t EVAL_GLOBAL_238_143)
#else
__EVAL_GLOBAL_VALUE___EVENV_176( ENV_261_231, EVAL_GLOBAL_238_143 )
obj_t ENV_261_231, EVAL_GLOBAL_238_143;
#endif
{

return EVAL_GLOBAL_VALUE___EVENV_39( EVAL_GLOBAL_238_143 );
}

obj_t
#if defined( __STDC__ )
SET_EVAL_GLOBAL_VALUE____EVENV_238(obj_t EVAL_GLOBAL_239_55,obj_t VALUE_240_151)
#else
SET_EVAL_GLOBAL_VALUE____EVENV_238( EVAL_GLOBAL_239_55, VALUE_240_151 )
obj_t EVAL_GLOBAL_239_55, VALUE_240_151;
#endif
{

return VECTOR_SET( EVAL_GLOBAL_239_55, BINT( 2 ), VALUE_240_151 );
}

obj_t
#if defined( __STDC__ )
__SET_EVAL_GLOBAL_VALUE____EVENV_253(obj_t ENV_260_71,obj_t EVAL_GLOBAL_239_55,obj_t VALUE_240_151)
#else
__SET_EVAL_GLOBAL_VALUE____EVENV_253( ENV_260_71, EVAL_GLOBAL_239_55, VALUE_240_151 )
obj_t ENV_260_71, EVAL_GLOBAL_239_55, VALUE_240_151;
#endif
{

return SET_EVAL_GLOBAL_VALUE____EVENV_238( EVAL_GLOBAL_239_55, VALUE_240_151 );
}

