/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/evmeaning.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( REDEFINI_2___EVMEANING_92, "redefinition of variable -- ", 28);
DEFINE_STRING( TOO_MANY_6___EVMEANING_9, "Too many arguments provided", 27);
extern obj_t eval_funcall_0();
#if defined( __STDC__ )
extern obj_t ____EVMEANING_INITIALISATION___EVMEANING_217(obj_t);
#else
extern obj_t ____EVMEANING_INITIALISATION___EVMEANING_217();
#endif
extern obj_t __WARNING____ERROR_215;
DEFINE_STRING( UNKNOWN__5___EVMEANING_245, "unknown byte-code", 17);
#if defined( __STDC__ )
extern obj_t EVMEANING___EVMEANING_33(obj_t, obj_t);
#else
extern obj_t EVMEANING___EVMEANING_33();
#endif
extern obj_t ___EVMEANING_INITIALISATION___EVMEANING_27();
DEFINE_STRING( EVMEANIN_4___EVMEANING_209, "evmeaning", 9);
extern obj_t ___EVENV_INITIALISATION___EVENV_87();
extern obj_t make_va_procedure();
obj_t EVMEANING_ENV___EVMEANING_205 = BUNSPEC;
extern obj_t eval_apply();
extern obj_t current_error_port;
obj_t ___EVMEANING_INITIALISATION_ENV___EVMEANING_253 = BUNSPEC;
extern obj_t EVAL_LOOKUP___EVENV_238();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
extern obj_t eval_funcall_1();
DEFINE_STRING( _____WARN_3___EVMEANING_242, "*** WARNING:bigloo:eval", 23);
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
static obj_t REQUIRE_INITIALISATION____EVMEANING_186 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t eval_funcall_4();
#if defined( __STDC__ )
extern obj_t __EVMEANING___EVMEANING_28(obj_t, obj_t, obj_t);
#else
extern obj_t __EVMEANING___EVMEANING_28();
#endif
extern obj_t eval_funcall_3();
extern obj_t make_fx_procedure();
DEFINE_STRING( TOO_FEW__7___EVMEANING_42, "Too few arguments provided", 26);
extern obj_t eval_funcall_2();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
DEFINE_STRING( UNBOUND__1___EVMEANING_30, "Unbound variable", 16);
DEFINE_STRING( EVAL_0___EVMEANING_228, "eval", 4);
extern obj_t BIND_EVAL_GLOBAL____EVENV_88();
extern obj_t create_vector();
extern obj_t INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81();

static obj_t ___DUMMY___264_13();
static obj_t ___DUMMY___754_88();
static obj_t LAMBDA_0_2_355_236();
static obj_t LAMBDA_1_3_359_80();
static obj_t LAMBDA_2_4_364_135();
static obj_t LAMBDA_3_5_370_93();
static obj_t LAMBDA_4_6_377_32();
static obj_t LAMBDA_0_7_382_215();
static obj_t LAMBDA_1_8_383_26();
static obj_t LAMBDA_2_9_385_117();
static obj_t LAMBDA_3_10_388_1();
static obj_t LAMBDA_4_11_392_44();
static obj_t LAMBDA__1_12_400_94();
static obj_t LAMBDA__2_13_405_203();
static obj_t LAMBDA__3_14_411_238();
static obj_t LAMBDA__4_15_418_213();
static obj_t LAMBDA__1_16_423_118();
static obj_t LAMBDA__2_17_425_11();
static obj_t LAMBDA__3_18_428_98();
static obj_t LAMBDA__4_19_432_227();
static obj_t LAMBDA__1_20_441_180();
static obj_t __LOOP__444_102();
static obj_t LAMBDA__1_21_450_202();
static obj_t __LOOP__453_142();

obj_t
#if defined( __STDC__ )
___EVMEANING_INITIALISATION___EVMEANING_27()
#else
___EVMEANING_INITIALISATION___EVMEANING_27()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EVMEANING_186 ))
{
REQUIRE_INITIALISATION____EVMEANING_186=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___EVENV_INITIALISATION___EVENV_87();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
{
___EVMEANING_INITIALISATION_ENV___EVMEANING_253=make_fx_procedure( ____EVMEANING_INITIALISATION___EVMEANING_217, 0, 0 );
EVMEANING_ENV___EVMEANING_205=make_fx_procedure( __EVMEANING___EVMEANING_28, 2, 0 );
{
INIT_THE_GLOBAL_ENVIRONMENT____EVENV_81();
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EVMEANING_INITIALISATION___EVMEANING_217(obj_t ENV_834_114)
#else
____EVMEANING_INITIALISATION___EVMEANING_217( ENV_834_114 )
obj_t ENV_834_114;
#endif
{

return ___EVMEANING_INITIALISATION___EVMEANING_27();
}

obj_t
#if defined( __STDC__ )
EVMEANING___EVMEANING_33(obj_t EXP_232_77,obj_t STACK_233_150)
#else
EVMEANING___EVMEANING_33( EXP_232_77, STACK_233_150 )
obj_t EXP_232_77, STACK_233_150;
#endif
{
_EVMEANING___EVMEANING_33:

if( PAIRP( EXP_232_77 ))
{long AUX_835_113;
AUX_835_113=CINT( CAR( EXP_232_77 ) );switch( (long)AUX_835_113){case -2 : 
{obj_t OBJECT_467_78;
{obj_t PAIR_474_108;
PAIR_474_108=CDR( EXP_232_77 );{obj_t PAIR_475_191;
{obj_t PAIR_476_232;
PAIR_476_232=CDR( PAIR_474_108 );PAIR_475_191=CDR( PAIR_476_232 );}OBJECT_467_78=CAR( PAIR_475_191 );}}{obj_t MESSAGE_466_47;
{obj_t PAIR_471_59;
PAIR_471_59=CDR( EXP_232_77 );{obj_t PAIR_472_137;
PAIR_472_137=CDR( PAIR_471_59 );MESSAGE_466_47=CAR( PAIR_472_137 );}}{obj_t PROC_465_20;
{obj_t PAIR_468_120;
PAIR_468_120=CDR( EXP_232_77 );PROC_465_20=CAR( PAIR_468_120 );}FAILURE( PROC_465_20, MESSAGE_466_47, OBJECT_467_78 );}}}break;case -1 : 
return CDR( EXP_232_77 );break;case 0 : 
return CAR( STACK_233_150 );break;case 1 : 
{obj_t PAIR_479_239;
PAIR_479_239=CDR( STACK_233_150 );return CAR( PAIR_479_239 );}break;case 2 : 
{obj_t PAIR_481_201;
{obj_t PAIR_483_106;
PAIR_483_106=CDR( STACK_233_150 );PAIR_481_201=CDR( PAIR_483_106 );}return CAR( PAIR_481_201 );}break;case 3 : 
{obj_t PAIR_485_240;
{obj_t PAIR_487_218;
{obj_t PAIR_488_159;
PAIR_488_159=CDR( STACK_233_150 );PAIR_487_218=CDR( PAIR_488_159 );}PAIR_485_240=CDR( PAIR_487_218 );}return CAR( PAIR_485_240 );}break;case 4 : 
{obj_t OFFSET_235_218;
OFFSET_235_218=CDR( EXP_232_77 );{obj_t I_238_134, ENV_239_163;
{obj_t PAIR_497_224;
{obj_t PAIR_499_199;
{obj_t PAIR_500_72;
PAIR_500_72=CDR( STACK_233_150 );PAIR_499_199=CDR( PAIR_500_72 );}PAIR_497_224=CDR( PAIR_499_199 );}{obj_t C_CDR_498_123;
C_CDR_498_123=CDR( PAIR_497_224 );{
ENV_239_163=C_CDR_498_123;
I_238_134=BINT( 4 );
{_do_loop__1010_236_153:

if( EQ_I( I_238_134, OFFSET_235_218 ))
return CAR( ENV_239_163 );else
{obj_t C_CDR_495_10;
C_CDR_495_10=CDR( ENV_239_163 );{obj_t I_856_191;
I_856_191=I_238_134;{
ENV_239_163=C_CDR_495_10;
I_238_134=ADD_I_PTAG( I_856_191, PSUB_TAG( 1 ) );
goto _do_loop__1010_236_153;
}}}}
}}}}}break;case 5 : 
{obj_t OBJ_502_70;
{obj_t EVAL_GLOBAL_504_2;
EVAL_GLOBAL_504_2=CDR( EXP_232_77 );OBJ_502_70=VECTOR_REF( EVAL_GLOBAL_504_2, BINT( 2 ) );}return LOCATION_REF( OBJ_502_70 );}break;case 6 : 
{obj_t EVAL_GLOBAL_507_48;
EVAL_GLOBAL_507_48=CDR( EXP_232_77 );return VECTOR_REF( EVAL_GLOBAL_507_48, BINT( 2 ) );}break;case 7 : 
{obj_t NAME_240_139;
NAME_240_139=CDR( EXP_232_77 );{obj_t GLOBAL_241_97;
GLOBAL_241_97=EVAL_LOOKUP___EVENV_238( NAME_240_139 );{if( VECTORP( GLOBAL_241_97 ))
if( EQ_I( VECTOR_LENGTH( GLOBAL_241_97 ), BINT( 3 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{
SET_CAR( EXP_232_77, BINT( 6 ) );
SET_CDR( EXP_232_77, GLOBAL_241_97 );
return VECTOR_REF( GLOBAL_241_97, BINT( 2 ) );
}_false_1:
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &UNBOUND__1___EVMEANING_30), NAME_240_139 );;
}}}break;case 8 : 
{obj_t VARIABLE_243_65, VALUE_242_207;
{obj_t PAIR_521_86;
PAIR_521_86=CDR( EXP_232_77 );VARIABLE_243_65=CAR( PAIR_521_86 );}{obj_t PAIR_520_141;
PAIR_520_141=CDR( EXP_232_77 );VALUE_242_207=CDR( PAIR_520_141 );}{
{obj_t VALUE_522_4;
VALUE_522_4=EVMEANING___EVMEANING_33( VALUE_242_207, STACK_233_150 );{
{obj_t OBJ1_525_7;
OBJ1_525_7=VECTOR_REF( VARIABLE_243_65, BINT( 0 ) );if( EQP( OBJ1_525_7, BINT( 1 ) ))
{obj_t OBJ_529_88;
OBJ_529_88=VECTOR_REF( VARIABLE_243_65, BINT( 2 ) );LOCATION_SET( OBJ_529_88, VALUE_522_4 );}else
VECTOR_SET( VARIABLE_243_65, BINT( 2 ), VALUE_522_4 );}
VECTOR_REF( VARIABLE_243_65, BINT( 1 ) );
}}
return BUNSPEC;
}}break;case 9 : 
{obj_t NAME_244_228;
{obj_t PAIR_537_236;
PAIR_537_236=CDR( EXP_232_77 );NAME_244_228=CAR( PAIR_537_236 );}{obj_t VALUE_245_21;
{obj_t PAIR_538_231;
PAIR_538_231=CDR( EXP_232_77 );VALUE_245_21=CDR( PAIR_538_231 );}{obj_t GLOBAL_246_25;
GLOBAL_246_25=EVAL_LOOKUP___EVENV_238( NAME_244_228 );{if( VECTORP( GLOBAL_246_25 ))
if( EQ_I( VECTOR_LENGTH( GLOBAL_246_25 ), BINT( 3 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{
SET_CAR( EXP_232_77, BINT( 8 ) );
{obj_t OBJ_541_178;
OBJ_541_178=MAKE_PAIR( GLOBAL_246_25, VALUE_245_21 );SET_CDR( EXP_232_77, OBJ_541_178 );}
{goto _EVMEANING___EVMEANING_33;
goto _endif_5;}
}_false_4:
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &UNBOUND__1___EVMEANING_30), NAME_244_228 );_endif_5:
;
}}}}break;case 10 : 
{
{obj_t OBJ_544_154;
{obj_t C_CDR_545_161;
C_CDR_545_161=CDR( EXP_232_77 );OBJ_544_154=EVMEANING___EVMEANING_33( C_CDR_545_161, STACK_233_150 );}SET_CAR( STACK_233_150, OBJ_544_154 );}
return BUNSPEC;
}break;case 11 : 
{
{obj_t OBJ_547_133;
{obj_t C_CDR_548_168;
C_CDR_548_168=CDR( EXP_232_77 );OBJ_547_133=EVMEANING___EVMEANING_33( C_CDR_548_168, STACK_233_150 );}{obj_t PAIR_546_94;
PAIR_546_94=CDR( STACK_233_150 );SET_CAR( PAIR_546_94, OBJ_547_133 );}}
return BUNSPEC;
}break;case 12 : 
{
{obj_t OBJ_550_232;
{obj_t C_CDR_553_42;
C_CDR_553_42=CDR( EXP_232_77 );OBJ_550_232=EVMEANING___EVMEANING_33( C_CDR_553_42, STACK_233_150 );}{obj_t PAIR_549_32;
{obj_t PAIR_552_62;
PAIR_552_62=CDR( STACK_233_150 );PAIR_549_32=CDR( PAIR_552_62 );}SET_CAR( PAIR_549_32, OBJ_550_232 );}}
return BUNSPEC;
}break;case 13 : 
{
{obj_t OBJ_555_228;
{obj_t C_CDR_559_158;
C_CDR_559_158=CDR( EXP_232_77 );OBJ_555_228=EVMEANING___EVMEANING_33( C_CDR_559_158, STACK_233_150 );}{obj_t PAIR_554_96;
{obj_t PAIR_557_142;
{obj_t PAIR_558_47;
PAIR_558_47=CDR( STACK_233_150 );PAIR_557_142=CDR( PAIR_558_47 );}PAIR_554_96=CDR( PAIR_557_142 );}SET_CAR( PAIR_554_96, OBJ_555_228 );}}
return BUNSPEC;
}break;case 14 : 
{obj_t OFFSET_248_30, VALUE_247_113;
{obj_t PAIR_562_142;
PAIR_562_142=CDR( EXP_232_77 );OFFSET_248_30=CAR( PAIR_562_142 );}{obj_t PAIR_560_227;
PAIR_560_227=CDR( EXP_232_77 );{obj_t C_CDR_561_209;
C_CDR_561_209=CDR( PAIR_560_227 );VALUE_247_113=EVMEANING___EVMEANING_33( C_CDR_561_209, STACK_233_150 );}}{
{obj_t I_251_96, ENV_252_63;
{obj_t PAIR_565_246;
{obj_t PAIR_567_62;
{obj_t PAIR_568_215;
PAIR_568_215=CDR( STACK_233_150 );PAIR_567_62=CDR( PAIR_568_215 );}PAIR_565_246=CDR( PAIR_567_62 );}{obj_t C_CDR_566_152;
C_CDR_566_152=CDR( PAIR_565_246 );{
ENV_252_63=C_CDR_566_152;
I_251_96=BINT( 4 );
{_do_loop__1009_249_23:

if( EQ_I( I_251_96, OFFSET_248_30 ))
SET_CAR( ENV_252_63, VALUE_247_113 );else
{obj_t C_CDR_564_123;
C_CDR_564_123=CDR( ENV_252_63 );{obj_t I_857_108;
I_857_108=I_251_96;{
ENV_252_63=C_CDR_564_123;
I_251_96=ADD_I_PTAG( I_857_108, PSUB_TAG( 1 ) );
goto _do_loop__1009_249_23;
}}}}
}}}}
return BUNSPEC;
}}break;case 15 : 
{obj_t VALUE_253_212;
VALUE_253_212=CDR( EXP_232_77 );{obj_t C_VECTOR_REF_569_155;
C_VECTOR_REF_569_155=VECTOR_REF( VALUE_253_212, BINT( 0 ) );{obj_t AUX_858_181;
AUX_858_181=EVMEANING___EVMEANING_33( C_VECTOR_REF_569_155, STACK_233_150 );if( BBOOL_TO_CBOOL( AUX_858_181 ))
{obj_t C_VECTOR_REF_570_96;
C_VECTOR_REF_570_96=VECTOR_REF( VALUE_253_212, BINT( 1 ) );{
EXP_232_77=C_VECTOR_REF_570_96;
goto _EVMEANING___EVMEANING_33;
}}else
{obj_t C_VECTOR_REF_571_227;
C_VECTOR_REF_571_227=VECTOR_REF( VALUE_253_212, BINT( 2 ) );{
EXP_232_77=C_VECTOR_REF_571_227;
goto _EVMEANING___EVMEANING_33;
}}}}}break;case 16 : 
{obj_t EXPS_254_182;
EXPS_254_182=CDR( EXP_232_77 );{obj_t LEN_255_169;
LEN_255_169=SUB_I_PTAG( VECTOR_LENGTH( EXPS_254_182 ), PSUB_TAG( 1 ) );if( EQ_I( LEN_255_169, BINT( 0 ) ))
return BCNST( 3 );else
{obj_t I_257_62;
{
I_257_62=BINT( 0 );
{_LOOP_256_107:

if( EQ_I( I_257_62, LEN_255_169 ))
{obj_t C_VECTOR_REF_576_62;
C_VECTOR_REF_576_62=VECTOR_REF( EXPS_254_182, I_257_62 );{
EXP_232_77=C_VECTOR_REF_576_62;
goto _EVMEANING___EVMEANING_33;
}}else
{
{obj_t C_VECTOR_REF_577_179;
C_VECTOR_REF_577_179=VECTOR_REF( EXPS_254_182, I_257_62 );EVMEANING___EVMEANING_33( C_VECTOR_REF_577_179, STACK_233_150 );}
{obj_t I_859_101;
I_859_101=I_257_62;{
I_257_62=ADD_I_PTAG( I_859_101, PSUB_TAG( 1 ) );
goto _LOOP_256_107;
}}
}}
}}}}break;case 17 : 
{obj_t VAR_259_117, VAL_258_48;
{obj_t PAIR_580_208;
PAIR_580_208=CDR( EXP_232_77 );VAR_259_117=CAR( PAIR_580_208 );}{obj_t PAIR_579_206;
PAIR_579_206=CDR( EXP_232_77 );VAL_258_48=CDR( PAIR_579_206 );}{obj_t CELL_260_83;
CELL_260_83=EVAL_LOOKUP___EVENV_238( VAR_259_117 );{
{if( VECTORP( CELL_260_83 ))
if( EQ_I( VECTOR_LENGTH( CELL_260_83 ), BINT( 3 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{
if( BBOOL_TO_CBOOL( __WARNING____ERROR_215 ))
{obj_t VA_ARG_747_232;
VA_ARG_747_232=MAKE_PAIR( VAR_259_117, BNIL );{obj_t VA_ARG_748_239;
{obj_t STRING_CAST_752_40;
STRING_CAST_752_40=BREF( &REDEFINI_2___EVMEANING_92);VA_ARG_748_239=MAKE_PAIR( STRING_CAST_752_40, VA_ARG_747_232 );}{obj_t VA_ARG_749_193;
VA_ARG_749_193=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_748_239 );{obj_t VA_ARG_750_160;
{obj_t STRING_CAST_751_36;
STRING_CAST_751_36=BREF( &_____WARN_3___EVMEANING_242);VA_ARG_750_160=MAKE_PAIR( STRING_CAST_751_36, VA_ARG_749_193 );}FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_750_160 );}}}}else
BFALSE;
{obj_t RUN_STACK_584_15;
RUN_STACK_584_15=BNIL;{obj_t VAL_583_46;
VAL_583_46=PROCEDURE_ENTRY( VAL_258_48 )( VAL_258_48, BEOA );{obj_t VALUE_585_91;
VALUE_585_91=EVMEANING___EVMEANING_33( VAL_583_46, RUN_STACK_584_15 );{
{obj_t OBJ1_586_107;
OBJ1_586_107=VECTOR_REF( CELL_260_83, BINT( 0 ) );if( EQP( OBJ1_586_107, BINT( 1 ) ))
{obj_t OBJ_587_204;
OBJ_587_204=VECTOR_REF( CELL_260_83, BINT( 2 ) );LOCATION_SET( OBJ_587_204, VALUE_585_91 );}else
VECTOR_SET( CELL_260_83, BINT( 2 ), VALUE_585_91 );}
{VECTOR_REF( CELL_260_83, BINT( 1 ) );
goto _endif_8;}
}}}}
}_false_7:
{obj_t CELL_261_128;
{obj_t V_263_69;
V_263_69=create_vector( BINT( 3 ) );{
{obj_t OBJ_590_137;
OBJ_590_137=BUNSPEC;VECTOR_SET( V_263_69, BINT( 2 ), OBJ_590_137 );}
VECTOR_SET( V_263_69, BINT( 1 ), VAR_259_117 );
VECTOR_SET( V_263_69, BINT( 0 ), BINT( 0 ) );
CELL_261_128=V_263_69;
}}{
BIND_EVAL_GLOBAL____EVENV_88( VAR_259_117, CELL_261_128 );
{obj_t VALUE_262_192;
{obj_t AUX_860_233;
AUX_860_233=PROCEDURE_ENTRY( VAL_258_48 )( VAL_258_48, BEOA );VALUE_262_192=EVMEANING___EVMEANING_33( AUX_860_233, BNIL );}VECTOR_SET( CELL_261_128, BINT( 2 ), VALUE_262_192 );}
}}_endif_8:
;
}
return VAR_259_117;
}}}break;case 18 : 
return ___DUMMY___264_13( EXP_232_77, STACK_233_150 );break;case 19 : 
{obj_t VALUE_265_95;
VALUE_265_95=CDR( EXP_232_77 );{obj_t NAME_266_253;
NAME_266_253=VECTOR_REF( VALUE_265_95, BINT( 0 ) );{obj_t FUN_267_195;
{obj_t OBJ_592_74;
{obj_t EVAL_GLOBAL_593_100;
EVAL_GLOBAL_593_100=VECTOR_REF( VALUE_265_95, BINT( 1 ) );OBJ_592_74=VECTOR_REF( EVAL_GLOBAL_593_100, BINT( 2 ) );}FUN_267_195=LOCATION_REF( OBJ_592_74 );}return eval_funcall_0( NAME_266_253, FUN_267_195 );}}}break;case 57 : 
{obj_t VALUE_268_88;
VALUE_268_88=CDR( EXP_232_77 );{obj_t NAME_269_192;
NAME_269_192=VECTOR_REF( VALUE_268_88, BINT( 0 ) );{obj_t FUN_270_27;
{obj_t EVAL_GLOBAL_594_80;
EVAL_GLOBAL_594_80=VECTOR_REF( VALUE_268_88, BINT( 1 ) );FUN_270_27=VECTOR_REF( EVAL_GLOBAL_594_80, BINT( 2 ) );}return eval_funcall_0( NAME_269_192, FUN_270_27 );}}}break;case 20 : 
{obj_t VALUE_271_122;
VALUE_271_122=CDR( EXP_232_77 );{obj_t NAME_272_85;
NAME_272_85=VECTOR_REF( VALUE_271_122, BINT( 0 ) );{obj_t FUN_273_51;
{obj_t OBJ_595_139;
{obj_t EVAL_GLOBAL_596_34;
EVAL_GLOBAL_596_34=VECTOR_REF( VALUE_271_122, BINT( 1 ) );OBJ_595_139=VECTOR_REF( EVAL_GLOBAL_596_34, BINT( 2 ) );}FUN_273_51=LOCATION_REF( OBJ_595_139 );}{obj_t C_VECTOR_REF_597_188;
C_VECTOR_REF_597_188=VECTOR_REF( VALUE_271_122, BINT( 2 ) );{obj_t AUX_861_27;
AUX_861_27=EVMEANING___EVMEANING_33( C_VECTOR_REF_597_188, STACK_233_150 );return eval_funcall_1( NAME_272_85, FUN_273_51, AUX_861_27 );}}}}}break;case 58 : 
{obj_t VALUE_274_77;
VALUE_274_77=CDR( EXP_232_77 );{obj_t NAME_275_133;
NAME_275_133=VECTOR_REF( VALUE_274_77, BINT( 0 ) );{obj_t FUN_276_125;
{obj_t EVAL_GLOBAL_598_33;
EVAL_GLOBAL_598_33=VECTOR_REF( VALUE_274_77, BINT( 1 ) );FUN_276_125=VECTOR_REF( EVAL_GLOBAL_598_33, BINT( 2 ) );}{obj_t C_VECTOR_REF_599_177;
C_VECTOR_REF_599_177=VECTOR_REF( VALUE_274_77, BINT( 2 ) );{obj_t AUX_862_51;
AUX_862_51=EVMEANING___EVMEANING_33( C_VECTOR_REF_599_177, STACK_233_150 );return eval_funcall_1( NAME_275_133, FUN_276_125, AUX_862_51 );}}}}}break;case 21 : 
{obj_t VALUE_277_64;
VALUE_277_64=CDR( EXP_232_77 );{obj_t NAME_278_116;
NAME_278_116=VECTOR_REF( VALUE_277_64, BINT( 0 ) );{obj_t FUN_279_174;
{obj_t OBJ_600_88;
{obj_t EVAL_GLOBAL_601_35;
EVAL_GLOBAL_601_35=VECTOR_REF( VALUE_277_64, BINT( 1 ) );OBJ_600_88=VECTOR_REF( EVAL_GLOBAL_601_35, BINT( 2 ) );}FUN_279_174=LOCATION_REF( OBJ_600_88 );}{obj_t C_VECTOR_REF_602_7;
C_VECTOR_REF_602_7=VECTOR_REF( VALUE_277_64, BINT( 2 ) );{obj_t C_VECTOR_REF_603_30;
C_VECTOR_REF_603_30=VECTOR_REF( VALUE_277_64, BINT( 3 ) );{obj_t AUX_864_170, AUX_863_140;
AUX_864_170=EVMEANING___EVMEANING_33( C_VECTOR_REF_603_30, STACK_233_150 );AUX_863_140=EVMEANING___EVMEANING_33( C_VECTOR_REF_602_7, STACK_233_150 );return eval_funcall_2( NAME_278_116, FUN_279_174, AUX_863_140, AUX_864_170 );}}}}}}break;case 59 : 
{obj_t VALUE_280_23;
VALUE_280_23=CDR( EXP_232_77 );{obj_t NAME_281_2;
NAME_281_2=VECTOR_REF( VALUE_280_23, BINT( 0 ) );{obj_t FUN_282_188;
{obj_t EVAL_GLOBAL_604_192;
EVAL_GLOBAL_604_192=VECTOR_REF( VALUE_280_23, BINT( 1 ) );FUN_282_188=VECTOR_REF( EVAL_GLOBAL_604_192, BINT( 2 ) );}{obj_t C_VECTOR_REF_605_36;
C_VECTOR_REF_605_36=VECTOR_REF( VALUE_280_23, BINT( 2 ) );{obj_t C_VECTOR_REF_606_40;
C_VECTOR_REF_606_40=VECTOR_REF( VALUE_280_23, BINT( 3 ) );{obj_t AUX_866_118, AUX_865_138;
AUX_866_118=EVMEANING___EVMEANING_33( C_VECTOR_REF_606_40, STACK_233_150 );AUX_865_138=EVMEANING___EVMEANING_33( C_VECTOR_REF_605_36, STACK_233_150 );return eval_funcall_2( NAME_281_2, FUN_282_188, AUX_865_138, AUX_866_118 );}}}}}}break;case 22 : 
{obj_t VALUE_283_37;
VALUE_283_37=CDR( EXP_232_77 );{obj_t NAME_284_210;
NAME_284_210=VECTOR_REF( VALUE_283_37, BINT( 0 ) );{obj_t FUN_285_73;
{obj_t OBJ_607_178;
{obj_t EVAL_GLOBAL_608_85;
EVAL_GLOBAL_608_85=VECTOR_REF( VALUE_283_37, BINT( 1 ) );OBJ_607_178=VECTOR_REF( EVAL_GLOBAL_608_85, BINT( 2 ) );}FUN_285_73=LOCATION_REF( OBJ_607_178 );}{obj_t C_VECTOR_REF_609_177;
C_VECTOR_REF_609_177=VECTOR_REF( VALUE_283_37, BINT( 2 ) );{obj_t C_VECTOR_REF_610_248;
C_VECTOR_REF_610_248=VECTOR_REF( VALUE_283_37, BINT( 3 ) );{obj_t C_VECTOR_REF_611_243;
C_VECTOR_REF_611_243=VECTOR_REF( VALUE_283_37, BINT( 4 ) );{obj_t AUX_869_97, AUX_868_174, AUX_867_125;
AUX_869_97=EVMEANING___EVMEANING_33( C_VECTOR_REF_611_243, STACK_233_150 );AUX_868_174=EVMEANING___EVMEANING_33( C_VECTOR_REF_610_248, STACK_233_150 );AUX_867_125=EVMEANING___EVMEANING_33( C_VECTOR_REF_609_177, STACK_233_150 );return eval_funcall_3( NAME_284_210, FUN_285_73, AUX_867_125, AUX_868_174, AUX_869_97 );}}}}}}}break;case 60 : 
{obj_t VALUE_286_184;
VALUE_286_184=CDR( EXP_232_77 );{obj_t NAME_287_186;
NAME_287_186=VECTOR_REF( VALUE_286_184, BINT( 0 ) );{obj_t FUN_288_56;
{obj_t EVAL_GLOBAL_612_199;
EVAL_GLOBAL_612_199=VECTOR_REF( VALUE_286_184, BINT( 1 ) );FUN_288_56=VECTOR_REF( EVAL_GLOBAL_612_199, BINT( 2 ) );}{obj_t C_VECTOR_REF_613_10;
C_VECTOR_REF_613_10=VECTOR_REF( VALUE_286_184, BINT( 2 ) );{obj_t C_VECTOR_REF_614_163;
C_VECTOR_REF_614_163=VECTOR_REF( VALUE_286_184, BINT( 3 ) );{obj_t C_VECTOR_REF_615_200;
C_VECTOR_REF_615_200=VECTOR_REF( VALUE_286_184, BINT( 4 ) );{obj_t AUX_872_181, AUX_871_103, AUX_870_70;
AUX_872_181=EVMEANING___EVMEANING_33( C_VECTOR_REF_615_200, STACK_233_150 );AUX_871_103=EVMEANING___EVMEANING_33( C_VECTOR_REF_614_163, STACK_233_150 );AUX_870_70=EVMEANING___EVMEANING_33( C_VECTOR_REF_613_10, STACK_233_150 );return eval_funcall_3( NAME_287_186, FUN_288_56, AUX_870_70, AUX_871_103, AUX_872_181 );}}}}}}}break;case 23 : 
{obj_t VALUE_289_44;
VALUE_289_44=CDR( EXP_232_77 );{obj_t NAME_290_91;
NAME_290_91=VECTOR_REF( VALUE_289_44, BINT( 0 ) );{obj_t FUN_291_8;
{obj_t OBJ_616_166;
{obj_t EVAL_GLOBAL_617_226;
EVAL_GLOBAL_617_226=VECTOR_REF( VALUE_289_44, BINT( 1 ) );OBJ_616_166=VECTOR_REF( EVAL_GLOBAL_617_226, BINT( 2 ) );}FUN_291_8=LOCATION_REF( OBJ_616_166 );}{obj_t C_VECTOR_REF_618_203;
C_VECTOR_REF_618_203=VECTOR_REF( VALUE_289_44, BINT( 2 ) );{obj_t C_VECTOR_REF_619_76;
C_VECTOR_REF_619_76=VECTOR_REF( VALUE_289_44, BINT( 3 ) );{obj_t C_VECTOR_REF_620_203;
C_VECTOR_REF_620_203=VECTOR_REF( VALUE_289_44, BINT( 4 ) );{obj_t C_VECTOR_REF_621_76;
C_VECTOR_REF_621_76=VECTOR_REF( VALUE_289_44, BINT( 5 ) );{obj_t AUX_876_58, AUX_875_75, AUX_874_78, AUX_873_12;
AUX_876_58=EVMEANING___EVMEANING_33( C_VECTOR_REF_621_76, STACK_233_150 );AUX_875_75=EVMEANING___EVMEANING_33( C_VECTOR_REF_620_203, STACK_233_150 );AUX_874_78=EVMEANING___EVMEANING_33( C_VECTOR_REF_619_76, STACK_233_150 );AUX_873_12=EVMEANING___EVMEANING_33( C_VECTOR_REF_618_203, STACK_233_150 );return eval_funcall_4( NAME_290_91, FUN_291_8, AUX_873_12, AUX_874_78, AUX_875_75, AUX_876_58 );}}}}}}}}break;case 61 : 
{obj_t VALUE_292_152;
VALUE_292_152=CDR( EXP_232_77 );{obj_t NAME_293_17;
NAME_293_17=VECTOR_REF( VALUE_292_152, BINT( 0 ) );{obj_t FUN_294_145;
{obj_t EVAL_GLOBAL_622_204;
EVAL_GLOBAL_622_204=VECTOR_REF( VALUE_292_152, BINT( 1 ) );FUN_294_145=VECTOR_REF( EVAL_GLOBAL_622_204, BINT( 2 ) );}{obj_t C_VECTOR_REF_623_209;
C_VECTOR_REF_623_209=VECTOR_REF( VALUE_292_152, BINT( 2 ) );{obj_t C_VECTOR_REF_624_152;
C_VECTOR_REF_624_152=VECTOR_REF( VALUE_292_152, BINT( 3 ) );{obj_t C_VECTOR_REF_625_131;
C_VECTOR_REF_625_131=VECTOR_REF( VALUE_292_152, BINT( 4 ) );{obj_t C_VECTOR_REF_626_123;
C_VECTOR_REF_626_123=VECTOR_REF( VALUE_292_152, BINT( 5 ) );{obj_t AUX_880_113, AUX_879_238, AUX_878_157, AUX_877_22;
AUX_880_113=EVMEANING___EVMEANING_33( C_VECTOR_REF_626_123, STACK_233_150 );AUX_879_238=EVMEANING___EVMEANING_33( C_VECTOR_REF_625_131, STACK_233_150 );AUX_878_157=EVMEANING___EVMEANING_33( C_VECTOR_REF_624_152, STACK_233_150 );AUX_877_22=EVMEANING___EVMEANING_33( C_VECTOR_REF_623_209, STACK_233_150 );return eval_funcall_4( NAME_293_17, FUN_294_145, AUX_877_22, AUX_878_157, AUX_879_238, AUX_880_113 );}}}}}}}}break;case 24 : 
{obj_t VALUE_295_209;
VALUE_295_209=CDR( EXP_232_77 );{obj_t NAME_296_6;
NAME_296_6=VECTOR_REF( VALUE_295_209, BINT( 0 ) );{obj_t FUN_297_26;
{obj_t OBJ_627_157;
{obj_t EVAL_GLOBAL_628_32;
EVAL_GLOBAL_628_32=VECTOR_REF( VALUE_295_209, BINT( 1 ) );OBJ_627_157=VECTOR_REF( EVAL_GLOBAL_628_32, BINT( 2 ) );}FUN_297_26=LOCATION_REF( OBJ_627_157 );}{obj_t ARGS_298_227;
ARGS_298_227=VECTOR_REF( VALUE_295_209, BINT( 2 ) );{obj_t ARGS_300_223, RES_301_71;
{obj_t AUX_881_112;
{
RES_301_71=BNIL;
ARGS_300_223=ARGS_298_227;
{_LOOP_299_38:

if( NULLP( ARGS_300_223 ))
AUX_881_112=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( RES_301_71 );else
{obj_t C_CDR_630_135;
C_CDR_630_135=CDR( ARGS_300_223 );{obj_t OBJ1_631_132;
{obj_t C_CAR_633_205;
C_CAR_633_205=CAR( ARGS_300_223 );OBJ1_631_132=EVMEANING___EVMEANING_33( C_CAR_633_205, STACK_233_150 );}{obj_t C_CONS_632_20;
C_CONS_632_20=MAKE_PAIR( OBJ1_631_132, RES_301_71 );{
RES_301_71=C_CONS_632_20;
ARGS_300_223=C_CDR_630_135;
goto _LOOP_299_38;
}}}}}
}return eval_apply( NAME_296_6, FUN_297_26, AUX_881_112 );}}}}}}break;case 62 : 
{obj_t VALUE_302_251;
VALUE_302_251=CDR( EXP_232_77 );{obj_t NAME_303_45;
NAME_303_45=VECTOR_REF( VALUE_302_251, BINT( 0 ) );{obj_t FUN_304_58;
{obj_t EVAL_GLOBAL_634_25;
EVAL_GLOBAL_634_25=VECTOR_REF( VALUE_302_251, BINT( 1 ) );FUN_304_58=VECTOR_REF( EVAL_GLOBAL_634_25, BINT( 2 ) );}{obj_t ARGS_305_104;
ARGS_305_104=VECTOR_REF( VALUE_302_251, BINT( 2 ) );{obj_t ARGS_307_49, RES_308_153;
{obj_t AUX_882_21;
{
RES_308_153=BNIL;
ARGS_307_49=ARGS_305_104;
{_LOOP_306_241:

if( NULLP( ARGS_307_49 ))
AUX_882_21=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( RES_308_153 );else
{obj_t C_CDR_635_38;
C_CDR_635_38=CDR( ARGS_307_49 );{obj_t OBJ1_636_14;
{obj_t C_CAR_638_114;
C_CAR_638_114=CAR( ARGS_307_49 );OBJ1_636_14=EVMEANING___EVMEANING_33( C_CAR_638_114, STACK_233_150 );}{obj_t C_CONS_637_91;
C_CONS_637_91=MAKE_PAIR( OBJ1_636_14, RES_308_153 );{
RES_308_153=C_CONS_637_91;
ARGS_307_49=C_CDR_635_38;
goto _LOOP_306_241;
}}}}}
}return eval_apply( NAME_303_45, FUN_304_58, AUX_882_21 );}}}}}}break;case 25 : 
{obj_t C_CDR_639_117;
C_CDR_639_117=CDR( EXP_232_77 );return PROCEDURE_ENTRY( C_CDR_639_117 )( C_CDR_639_117, BEOA );}break;case 26 : 
{obj_t VALUE_309_20;
VALUE_309_20=CDR( EXP_232_77 );{obj_t FUN_310_172;
FUN_310_172=VECTOR_REF( VALUE_309_20, BINT( 0 ) );{obj_t C_VECTOR_REF_640_135;
C_VECTOR_REF_640_135=VECTOR_REF( VALUE_309_20, BINT( 1 ) );{obj_t AUX_883_98;
AUX_883_98=EVMEANING___EVMEANING_33( C_VECTOR_REF_640_135, STACK_233_150 );return PROCEDURE_ENTRY( FUN_310_172 )( FUN_310_172, AUX_883_98, BEOA );}}}}break;case 27 : 
{obj_t VALUE_311_202;
VALUE_311_202=CDR( EXP_232_77 );{obj_t FUN_312_124;
FUN_312_124=VECTOR_REF( VALUE_311_202, BINT( 0 ) );{obj_t C_VECTOR_REF_641_0;
C_VECTOR_REF_641_0=VECTOR_REF( VALUE_311_202, BINT( 1 ) );{obj_t C_VECTOR_REF_642_216;
C_VECTOR_REF_642_216=VECTOR_REF( VALUE_311_202, BINT( 2 ) );{obj_t AUX_885_207, AUX_884_225;
AUX_885_207=EVMEANING___EVMEANING_33( C_VECTOR_REF_642_216, STACK_233_150 );AUX_884_225=EVMEANING___EVMEANING_33( C_VECTOR_REF_641_0, STACK_233_150 );return PROCEDURE_ENTRY( FUN_312_124 )( FUN_312_124, AUX_884_225, AUX_885_207, BEOA );}}}}}break;case 28 : 
{obj_t VALUE_313_90;
VALUE_313_90=CDR( EXP_232_77 );{obj_t FUN_314_238;
FUN_314_238=VECTOR_REF( VALUE_313_90, BINT( 0 ) );{obj_t C_VECTOR_REF_643_52;
C_VECTOR_REF_643_52=VECTOR_REF( VALUE_313_90, BINT( 1 ) );{obj_t C_VECTOR_REF_644_44;
C_VECTOR_REF_644_44=VECTOR_REF( VALUE_313_90, BINT( 2 ) );{obj_t C_VECTOR_REF_645_38;
C_VECTOR_REF_645_38=VECTOR_REF( VALUE_313_90, BINT( 3 ) );{obj_t AUX_888_91, AUX_887_151, AUX_886_251;
AUX_888_91=EVMEANING___EVMEANING_33( C_VECTOR_REF_645_38, STACK_233_150 );AUX_887_151=EVMEANING___EVMEANING_33( C_VECTOR_REF_644_44, STACK_233_150 );AUX_886_251=EVMEANING___EVMEANING_33( C_VECTOR_REF_643_52, STACK_233_150 );return PROCEDURE_ENTRY( FUN_314_238 )( FUN_314_238, AUX_886_251, AUX_887_151, AUX_888_91, BEOA );}}}}}}break;case 29 : 
{obj_t VALUE_315_71;
VALUE_315_71=CDR( EXP_232_77 );{obj_t FUN_316_183;
FUN_316_183=VECTOR_REF( VALUE_315_71, BINT( 0 ) );{obj_t C_VECTOR_REF_646_31;
C_VECTOR_REF_646_31=VECTOR_REF( VALUE_315_71, BINT( 1 ) );{obj_t C_VECTOR_REF_647_149;
C_VECTOR_REF_647_149=VECTOR_REF( VALUE_315_71, BINT( 2 ) );{obj_t C_VECTOR_REF_648_39;
C_VECTOR_REF_648_39=VECTOR_REF( VALUE_315_71, BINT( 3 ) );{obj_t C_VECTOR_REF_649_117;
C_VECTOR_REF_649_117=VECTOR_REF( VALUE_315_71, BINT( 4 ) );{obj_t AUX_892_229, AUX_891_152, AUX_890_131, AUX_889_92;
AUX_892_229=EVMEANING___EVMEANING_33( C_VECTOR_REF_649_117, STACK_233_150 );AUX_891_152=EVMEANING___EVMEANING_33( C_VECTOR_REF_648_39, STACK_233_150 );AUX_890_131=EVMEANING___EVMEANING_33( C_VECTOR_REF_647_149, STACK_233_150 );AUX_889_92=EVMEANING___EVMEANING_33( C_VECTOR_REF_646_31, STACK_233_150 );return PROCEDURE_ENTRY( FUN_316_183 )( FUN_316_183, AUX_889_92, AUX_890_131, AUX_891_152, AUX_892_229, BEOA );}}}}}}}break;case 30 : 
{obj_t VALUE_317_165;
VALUE_317_165=CDR( EXP_232_77 );{obj_t LEN_756_68;
{obj_t g1007_318_75;
g1007_318_75=CDR( VALUE_317_165 );if( NULLP( g1007_318_75 ))
LEN_756_68=BNIL;else
{obj_t HEAD_319_121;
{obj_t OBJ2_652_200;
OBJ2_652_200=BNIL;{obj_t OBJ1_651_235;
{obj_t X_325_21;
X_325_21=CAR( g1007_318_75 );OBJ1_651_235=EVMEANING___EVMEANING_33( X_325_21, STACK_233_150 );}HEAD_319_121=MAKE_PAIR( OBJ1_651_235, OBJ2_652_200 );}}{obj_t g1007_321_221, TAIL_322_226;
{obj_t C_CDR_656_123;
C_CDR_656_123=CDR( g1007_318_75 );{
TAIL_322_226=HEAD_319_121;
g1007_321_221=C_CDR_656_123;
{_g1008_320_12:

if( NULLP( g1007_321_221 ))
LEN_756_68=HEAD_319_121;else
{obj_t NEW_TAIL_323_202;
{obj_t OBJ2_654_10;
OBJ2_654_10=BNIL;{obj_t OBJ1_653_200;
{obj_t X_324_98;
X_324_98=CAR( g1007_321_221 );OBJ1_653_200=EVMEANING___EVMEANING_33( X_324_98, STACK_233_150 );}NEW_TAIL_323_202=MAKE_PAIR( OBJ1_653_200, OBJ2_654_10 );}}{
SET_CDR( TAIL_322_226, NEW_TAIL_323_202 );
{obj_t C_CDR_655_131;
C_CDR_655_131=CDR( g1007_321_221 );{
TAIL_322_226=NEW_TAIL_323_202;
g1007_321_221=C_CDR_655_131;
goto _g1008_320_12;
}}
}}}
}}}}}{obj_t C_CAR_650_157;
C_CAR_650_157=CAR( VALUE_317_165 );return apply( C_CAR_650_157,LEN_756_68 );}}}break;case 31 : 
{obj_t VALUE_326_159;
VALUE_326_159=CDR( EXP_232_77 );{obj_t NAME_327_7;
NAME_327_7=CAR( VALUE_326_159 );{obj_t FUN_328_133;
{obj_t C_CDR_657_229;
C_CDR_657_229=CDR( VALUE_326_159 );FUN_328_133=EVMEANING___EVMEANING_33( C_CDR_657_229, STACK_233_150 );}return eval_funcall_0( NAME_327_7, FUN_328_133 );}}}break;case 32 : 
{obj_t VALUE_329_218;
VALUE_329_218=CDR( EXP_232_77 );{obj_t NAME_330_189;
NAME_330_189=VECTOR_REF( VALUE_329_218, BINT( 0 ) );{obj_t FUN_331_48;
{obj_t C_VECTOR_REF_658_162;
C_VECTOR_REF_658_162=VECTOR_REF( VALUE_329_218, BINT( 1 ) );FUN_331_48=EVMEANING___EVMEANING_33( C_VECTOR_REF_658_162, STACK_233_150 );}{obj_t C_VECTOR_REF_659_53;
C_VECTOR_REF_659_53=VECTOR_REF( VALUE_329_218, BINT( 2 ) );{obj_t AUX_893_123;
AUX_893_123=EVMEANING___EVMEANING_33( C_VECTOR_REF_659_53, STACK_233_150 );return eval_funcall_1( NAME_330_189, FUN_331_48, AUX_893_123 );}}}}}break;case 33 : 
{obj_t VALUE_332_32;
VALUE_332_32=CDR( EXP_232_77 );{obj_t NAME_333_4;
NAME_333_4=VECTOR_REF( VALUE_332_32, BINT( 0 ) );{obj_t FUN_334_186;
{obj_t C_VECTOR_REF_660_39;
C_VECTOR_REF_660_39=VECTOR_REF( VALUE_332_32, BINT( 1 ) );FUN_334_186=EVMEANING___EVMEANING_33( C_VECTOR_REF_660_39, STACK_233_150 );}{obj_t C_VECTOR_REF_661_117;
C_VECTOR_REF_661_117=VECTOR_REF( VALUE_332_32, BINT( 2 ) );{obj_t C_VECTOR_REF_662_146;
C_VECTOR_REF_662_146=VECTOR_REF( VALUE_332_32, BINT( 3 ) );{obj_t AUX_895_203, AUX_894_76;
AUX_895_203=EVMEANING___EVMEANING_33( C_VECTOR_REF_662_146, STACK_233_150 );AUX_894_76=EVMEANING___EVMEANING_33( C_VECTOR_REF_661_117, STACK_233_150 );return eval_funcall_2( NAME_333_4, FUN_334_186, AUX_894_76, AUX_895_203 );}}}}}}break;case 34 : 
{obj_t VALUE_335_84;
VALUE_335_84=CDR( EXP_232_77 );{obj_t NAME_336_150;
NAME_336_150=VECTOR_REF( VALUE_335_84, BINT( 0 ) );{obj_t FUN_337_210;
{obj_t C_VECTOR_REF_663_184;
C_VECTOR_REF_663_184=VECTOR_REF( VALUE_335_84, BINT( 1 ) );FUN_337_210=EVMEANING___EVMEANING_33( C_VECTOR_REF_663_184, STACK_233_150 );}{obj_t C_VECTOR_REF_664_63;
C_VECTOR_REF_664_63=VECTOR_REF( VALUE_335_84, BINT( 2 ) );{obj_t C_VECTOR_REF_665_23;
C_VECTOR_REF_665_23=VECTOR_REF( VALUE_335_84, BINT( 3 ) );{obj_t C_VECTOR_REF_666_37;
C_VECTOR_REF_666_37=VECTOR_REF( VALUE_335_84, BINT( 4 ) );{obj_t AUX_898_200, AUX_897_120, AUX_896_209;
AUX_898_200=EVMEANING___EVMEANING_33( C_VECTOR_REF_666_37, STACK_233_150 );AUX_897_120=EVMEANING___EVMEANING_33( C_VECTOR_REF_665_23, STACK_233_150 );AUX_896_209=EVMEANING___EVMEANING_33( C_VECTOR_REF_664_63, STACK_233_150 );return eval_funcall_3( NAME_336_150, FUN_337_210, AUX_896_209, AUX_897_120, AUX_898_200 );}}}}}}}break;case 35 : 
{obj_t VALUE_338_204;
VALUE_338_204=CDR( EXP_232_77 );{obj_t NAME_339_100;
NAME_339_100=VECTOR_REF( VALUE_338_204, BINT( 0 ) );{obj_t FUN_340_85;
{obj_t C_VECTOR_REF_667_69;
C_VECTOR_REF_667_69=VECTOR_REF( VALUE_338_204, BINT( 1 ) );FUN_340_85=EVMEANING___EVMEANING_33( C_VECTOR_REF_667_69, STACK_233_150 );}{obj_t C_VECTOR_REF_668_135;
C_VECTOR_REF_668_135=VECTOR_REF( VALUE_338_204, BINT( 2 ) );{obj_t C_VECTOR_REF_669_0;
C_VECTOR_REF_669_0=VECTOR_REF( VALUE_338_204, BINT( 3 ) );{obj_t C_VECTOR_REF_670_159;
C_VECTOR_REF_670_159=VECTOR_REF( VALUE_338_204, BINT( 4 ) );{obj_t C_VECTOR_REF_671_93;
C_VECTOR_REF_671_93=VECTOR_REF( VALUE_338_204, BINT( 5 ) );{obj_t AUX_902_169, AUX_901_56, AUX_900_68, AUX_899_163;
AUX_902_169=EVMEANING___EVMEANING_33( C_VECTOR_REF_671_93, STACK_233_150 );AUX_901_56=EVMEANING___EVMEANING_33( C_VECTOR_REF_670_159, STACK_233_150 );AUX_900_68=EVMEANING___EVMEANING_33( C_VECTOR_REF_669_0, STACK_233_150 );AUX_899_163=EVMEANING___EVMEANING_33( C_VECTOR_REF_668_135, STACK_233_150 );return eval_funcall_4( NAME_339_100, FUN_340_85, AUX_899_163, AUX_900_68, AUX_901_56, AUX_902_169 );}}}}}}}}break;case 36 : 
{obj_t VALUE_341_82;
VALUE_341_82=CDR( EXP_232_77 );{obj_t NAME_342_248;
NAME_342_248=VECTOR_REF( VALUE_341_82, BINT( 0 ) );{obj_t FUN_343_253;
{obj_t C_VECTOR_REF_672_42;
C_VECTOR_REF_672_42=VECTOR_REF( VALUE_341_82, BINT( 1 ) );FUN_343_253=EVMEANING___EVMEANING_33( C_VECTOR_REF_672_42, STACK_233_150 );}{obj_t g1005_344_32;
g1005_344_32=VECTOR_REF( VALUE_341_82, BINT( 2 ) );{obj_t AUX_903_234;
if( NULLP( g1005_344_32 ))
AUX_903_234=BNIL;else
{obj_t HEAD_345_214;
{obj_t OBJ2_674_88;
OBJ2_674_88=BNIL;{obj_t OBJ1_673_11;
{obj_t V_351_129;
V_351_129=CAR( g1005_344_32 );OBJ1_673_11=EVMEANING___EVMEANING_33( V_351_129, STACK_233_150 );}HEAD_345_214=MAKE_PAIR( OBJ1_673_11, OBJ2_674_88 );}}{obj_t g1005_347_199, TAIL_348_23;
{obj_t C_CDR_678_107;
C_CDR_678_107=CDR( g1005_344_32 );{
TAIL_348_23=HEAD_345_214;
g1005_347_199=C_CDR_678_107;
{_g1006_346_248:

if( NULLP( g1005_347_199 ))
AUX_903_234=HEAD_345_214;else
{obj_t NEW_TAIL_349_52;
{obj_t OBJ2_676_154;
OBJ2_676_154=BNIL;{obj_t OBJ1_675_239;
{obj_t V_350_90;
V_350_90=CAR( g1005_347_199 );OBJ1_675_239=EVMEANING___EVMEANING_33( V_350_90, STACK_233_150 );}NEW_TAIL_349_52=MAKE_PAIR( OBJ1_675_239, OBJ2_676_154 );}}{
SET_CDR( TAIL_348_23, NEW_TAIL_349_52 );
{obj_t C_CDR_677_188;
C_CDR_677_188=CDR( g1005_347_199 );{
TAIL_348_23=NEW_TAIL_349_52;
g1005_347_199=C_CDR_677_188;
goto _g1006_346_248;
}}
}}}
}}}}return eval_apply( NAME_342_248, FUN_343_253, AUX_903_234 );}}}}}break;case 37 : 
{obj_t VALUE_352_121;
VALUE_352_121=CDR( EXP_232_77 );{obj_t WHERE_353_220;
WHERE_353_220=CAR( VALUE_352_121 );{obj_t BODY_354_86;
BODY_354_86=CDR( VALUE_352_121 );{obj_t LAMBDA_0_2_ENV_826_90;
LAMBDA_0_2_ENV_826_90=make_fx_procedure( LAMBDA_0_2_355_236, 0, 3 );{
PROCEDURE_ENV_SET( LAMBDA_0_2_ENV_826_90, 2, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_0_2_ENV_826_90, 1, BODY_354_86 );
PROCEDURE_ENV_SET( LAMBDA_0_2_ENV_826_90, 0, WHERE_353_220 );
return LAMBDA_0_2_ENV_826_90;
}}}}}break;case 38 : 
{obj_t VALUE_356_208;
VALUE_356_208=CDR( EXP_232_77 );{obj_t WHERE_357_204;
WHERE_357_204=CAR( VALUE_356_208 );{obj_t BODY_358_254;
BODY_358_254=CDR( VALUE_356_208 );{obj_t LAMBDA_1_3_ENV_824_12;
LAMBDA_1_3_ENV_824_12=make_fx_procedure( LAMBDA_1_3_359_80, 1, 3 );{
PROCEDURE_ENV_SET( LAMBDA_1_3_ENV_824_12, 2, BODY_358_254 );
PROCEDURE_ENV_SET( LAMBDA_1_3_ENV_824_12, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_1_3_ENV_824_12, 0, WHERE_357_204 );
return LAMBDA_1_3_ENV_824_12;
}}}}}break;case 39 : 
{obj_t VALUE_361_205;
VALUE_361_205=CDR( EXP_232_77 );{obj_t WHERE_362_60;
WHERE_362_60=CAR( VALUE_361_205 );{obj_t BODY_363_253;
BODY_363_253=CDR( VALUE_361_205 );{obj_t LAMBDA_2_4_ENV_822_45;
LAMBDA_2_4_ENV_822_45=make_fx_procedure( LAMBDA_2_4_364_135, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_4_ENV_822_45, 2, BODY_363_253 );
PROCEDURE_ENV_SET( LAMBDA_2_4_ENV_822_45, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_2_4_ENV_822_45, 0, WHERE_362_60 );
return LAMBDA_2_4_ENV_822_45;
}}}}}break;case 40 : 
{obj_t VALUE_367_160;
VALUE_367_160=CDR( EXP_232_77 );{obj_t WHERE_368_41;
WHERE_368_41=CAR( VALUE_367_160 );{obj_t BODY_369_35;
BODY_369_35=CDR( VALUE_367_160 );{obj_t LAMBDA_3_5_ENV_820_109;
LAMBDA_3_5_ENV_820_109=make_fx_procedure( LAMBDA_3_5_370_93, 3, 3 );{
PROCEDURE_ENV_SET( LAMBDA_3_5_ENV_820_109, 2, BODY_369_35 );
PROCEDURE_ENV_SET( LAMBDA_3_5_ENV_820_109, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_3_5_ENV_820_109, 0, WHERE_368_41 );
return LAMBDA_3_5_ENV_820_109;
}}}}}break;case 41 : 
{obj_t VALUE_374_90;
VALUE_374_90=CDR( EXP_232_77 );{obj_t WHERE_375_156;
WHERE_375_156=CAR( VALUE_374_90 );{obj_t BODY_376_74;
BODY_376_74=CDR( VALUE_374_90 );{obj_t LAMBDA_4_6_ENV_818_194;
LAMBDA_4_6_ENV_818_194=make_fx_procedure( LAMBDA_4_6_377_32, 4, 3 );{
PROCEDURE_ENV_SET( LAMBDA_4_6_ENV_818_194, 2, BODY_376_74 );
PROCEDURE_ENV_SET( LAMBDA_4_6_ENV_818_194, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_4_6_ENV_818_194, 0, WHERE_375_156 );
return LAMBDA_4_6_ENV_818_194;
}}}}}break;case 42 : 
{obj_t LAMBDA_0_7_ENV_816_219;
LAMBDA_0_7_ENV_816_219=make_fx_procedure( LAMBDA_0_7_382_215, 0, 2 );{
PROCEDURE_ENV_SET( LAMBDA_0_7_ENV_816_219, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_0_7_ENV_816_219, 0, EXP_232_77 );
return LAMBDA_0_7_ENV_816_219;
}}break;case 43 : 
{obj_t LAMBDA_1_8_ENV_814_20;
LAMBDA_1_8_ENV_814_20=make_fx_procedure( LAMBDA_1_8_383_26, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_8_ENV_814_20, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_1_8_ENV_814_20, 0, EXP_232_77 );
return LAMBDA_1_8_ENV_814_20;
}}break;case 44 : 
{obj_t LAMBDA_2_9_ENV_812_64;
LAMBDA_2_9_ENV_812_64=make_fx_procedure( LAMBDA_2_9_385_117, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_9_ENV_812_64, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_2_9_ENV_812_64, 0, EXP_232_77 );
return LAMBDA_2_9_ENV_812_64;
}}break;case 45 : 
{obj_t LAMBDA_3_10_ENV_810_139;
LAMBDA_3_10_ENV_810_139=make_fx_procedure( LAMBDA_3_10_388_1, 3, 2 );{
PROCEDURE_ENV_SET( LAMBDA_3_10_ENV_810_139, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_3_10_ENV_810_139, 0, EXP_232_77 );
return LAMBDA_3_10_ENV_810_139;
}}break;case 46 : 
{obj_t LAMBDA_4_11_ENV_808_134;
LAMBDA_4_11_ENV_808_134=make_fx_procedure( LAMBDA_4_11_392_44, 4, 2 );{
PROCEDURE_ENV_SET( LAMBDA_4_11_ENV_808_134, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA_4_11_ENV_808_134, 0, EXP_232_77 );
return LAMBDA_4_11_ENV_808_134;
}}break;case 47 : 
{obj_t VALUE_397_202;
VALUE_397_202=CDR( EXP_232_77 );{obj_t WHERE_398_206;
WHERE_398_206=CAR( VALUE_397_202 );{obj_t BODY_399_254;
BODY_399_254=CDR( VALUE_397_202 );{obj_t LAMBDA__1_12_ENV_806_229;
LAMBDA__1_12_ENV_806_229=make_va_procedure( LAMBDA__1_12_400_94, -1, 3 );{
PROCEDURE_ENV_SET( LAMBDA__1_12_ENV_806_229, 2, BODY_399_254 );
PROCEDURE_ENV_SET( LAMBDA__1_12_ENV_806_229, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__1_12_ENV_806_229, 0, WHERE_398_206 );
return LAMBDA__1_12_ENV_806_229;
}}}}}break;case 48 : 
{obj_t VALUE_402_246;
VALUE_402_246=CDR( EXP_232_77 );{obj_t WHERE_403_251;
WHERE_403_251=CAR( VALUE_402_246 );{obj_t BODY_404_109;
BODY_404_109=CDR( VALUE_402_246 );{obj_t LAMBDA__2_13_ENV_804_203;
LAMBDA__2_13_ENV_804_203=make_va_procedure( LAMBDA__2_13_405_203, -2, 3 );{
PROCEDURE_ENV_SET( LAMBDA__2_13_ENV_804_203, 2, BODY_404_109 );
PROCEDURE_ENV_SET( LAMBDA__2_13_ENV_804_203, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__2_13_ENV_804_203, 0, WHERE_403_251 );
return LAMBDA__2_13_ENV_804_203;
}}}}}break;case 49 : 
{obj_t VALUE_408_205;
VALUE_408_205=CDR( EXP_232_77 );{obj_t WHERE_409_81;
WHERE_409_81=CAR( VALUE_408_205 );{obj_t BODY_410_146;
BODY_410_146=CDR( VALUE_408_205 );{obj_t LAMBDA__3_14_ENV_802_217;
LAMBDA__3_14_ENV_802_217=make_va_procedure( LAMBDA__3_14_411_238, -3, 3 );{
PROCEDURE_ENV_SET( LAMBDA__3_14_ENV_802_217, 2, BODY_410_146 );
PROCEDURE_ENV_SET( LAMBDA__3_14_ENV_802_217, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__3_14_ENV_802_217, 0, WHERE_409_81 );
return LAMBDA__3_14_ENV_802_217;
}}}}}break;case 50 : 
{obj_t VALUE_415_247;
VALUE_415_247=CDR( EXP_232_77 );{obj_t WHERE_416_188;
WHERE_416_188=CAR( VALUE_415_247 );{obj_t BODY_417_23;
BODY_417_23=CDR( VALUE_415_247 );{obj_t LAMBDA__4_15_ENV_800_215;
LAMBDA__4_15_ENV_800_215=make_va_procedure( LAMBDA__4_15_418_213, -4, 3 );{
PROCEDURE_ENV_SET( LAMBDA__4_15_ENV_800_215, 2, BODY_417_23 );
PROCEDURE_ENV_SET( LAMBDA__4_15_ENV_800_215, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__4_15_ENV_800_215, 0, WHERE_416_188 );
return LAMBDA__4_15_ENV_800_215;
}}}}}break;case 51 : 
{obj_t LAMBDA__1_16_ENV_798_33;
LAMBDA__1_16_ENV_798_33=make_va_procedure( LAMBDA__1_16_423_118, -1, 2 );{
PROCEDURE_ENV_SET( LAMBDA__1_16_ENV_798_33, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__1_16_ENV_798_33, 0, EXP_232_77 );
return LAMBDA__1_16_ENV_798_33;
}}break;case 52 : 
{obj_t LAMBDA__2_17_ENV_796_56;
LAMBDA__2_17_ENV_796_56=make_va_procedure( LAMBDA__2_17_425_11, -2, 2 );{
PROCEDURE_ENV_SET( LAMBDA__2_17_ENV_796_56, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__2_17_ENV_796_56, 0, EXP_232_77 );
return LAMBDA__2_17_ENV_796_56;
}}break;case 53 : 
{obj_t LAMBDA__3_18_ENV_794_214;
LAMBDA__3_18_ENV_794_214=make_va_procedure( LAMBDA__3_18_428_98, -3, 2 );{
PROCEDURE_ENV_SET( LAMBDA__3_18_ENV_794_214, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__3_18_ENV_794_214, 0, EXP_232_77 );
return LAMBDA__3_18_ENV_794_214;
}}break;case 54 : 
{obj_t LAMBDA__4_19_ENV_792_85;
LAMBDA__4_19_ENV_792_85=make_va_procedure( LAMBDA__4_19_432_227, -4, 2 );{
PROCEDURE_ENV_SET( LAMBDA__4_19_ENV_792_85, 1, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__4_19_ENV_792_85, 0, EXP_232_77 );
return LAMBDA__4_19_ENV_792_85;
}}break;case 55 : 
{obj_t VALUE_437_33;
VALUE_437_33=CDR( EXP_232_77 );{obj_t WHERE_438_92;
WHERE_438_92=VECTOR_REF( VALUE_437_33, BINT( 0 ) );{obj_t BODY_439_137;
BODY_439_137=VECTOR_REF( VALUE_437_33, BINT( 1 ) );{obj_t FORMALS_440_201;
FORMALS_440_201=VECTOR_REF( VALUE_437_33, BINT( 2 ) );{obj_t LAMBDA__1_20_ENV_790_7;
LAMBDA__1_20_ENV_790_7=make_va_procedure( LAMBDA__1_20_441_180, -1, 4 );{
PROCEDURE_ENV_SET( LAMBDA__1_20_ENV_790_7, 3, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__1_20_ENV_790_7, 2, BODY_439_137 );
PROCEDURE_ENV_SET( LAMBDA__1_20_ENV_790_7, 1, FORMALS_440_201 );
PROCEDURE_ENV_SET( LAMBDA__1_20_ENV_790_7, 0, WHERE_438_92 );
return LAMBDA__1_20_ENV_790_7;
}}}}}}break;case 56 : 
{obj_t VALUE_447_247;
VALUE_447_247=CDR( EXP_232_77 );{obj_t BODY_448_103;
BODY_448_103=CAR( VALUE_447_247 );{obj_t FORMALS_449_159;
FORMALS_449_159=CDR( VALUE_447_247 );{obj_t LAMBDA__1_21_ENV_788_100;
LAMBDA__1_21_ENV_788_100=make_va_procedure( LAMBDA__1_21_450_202, -1, 3 );{
PROCEDURE_ENV_SET( LAMBDA__1_21_ENV_788_100, 2, STACK_233_150 );
PROCEDURE_ENV_SET( LAMBDA__1_21_ENV_788_100, 1, BODY_448_103 );
PROCEDURE_ENV_SET( LAMBDA__1_21_ENV_788_100, 0, FORMALS_449_159 );
return LAMBDA__1_21_ENV_788_100;
}}}}}break;default: 
FAILURE( BREF( &EVMEANIN_4___EVMEANING_209), BREF( &UNKNOWN__5___EVMEANING_245), EXP_232_77 );}}else
return EXP_232_77;
}

obj_t
#if defined( __STDC__ )
__EVMEANING___EVMEANING_28(obj_t ENV_833_230,obj_t EXP_232_77,obj_t STACK_233_150)
#else
__EVMEANING___EVMEANING_28( ENV_833_230, EXP_232_77, STACK_233_150 )
obj_t ENV_833_230, EXP_232_77, STACK_233_150;
#endif
{

return EVMEANING___EVMEANING_33( EXP_232_77, STACK_233_150 );
}

static obj_t
#if defined( __STDC__ )
___DUMMY___264_13(obj_t EXP_831_171,obj_t STACK_832_42)
#else
___DUMMY___264_13( EXP_831_171, STACK_832_42 )
obj_t EXP_831_171, STACK_832_42;
#endif
{

{obj_t ___DUMMY___CONT_787_5;
jmp_buf JMP_BUF_855_61;{if( SETJMP( (JMP_BUF *)JMP_BUF_855_61 ) )return __ContinueValue;
else
___DUMMY___CONT_787_5=((obj_t)JMP_BUF_855_61);}{obj_t ___DUMMY___ENV_828_170;
___DUMMY___ENV_828_170=make_fx_procedure( ___DUMMY___754_88, 1, 3 );{
PROCEDURE_ENV_SET( ___DUMMY___ENV_828_170, 2, EXP_831_171 );
PROCEDURE_ENV_SET( ___DUMMY___ENV_828_170, 1, STACK_832_42 );
PROCEDURE_ENV_SET( ___DUMMY___ENV_828_170, 0, ___DUMMY___CONT_787_5 );
{obj_t C_CDR_591_199;
C_CDR_591_199=CDR( EXP_831_171 );{obj_t A_FUNCTION_755_60;
A_FUNCTION_755_60=___DUMMY___ENV_828_170;{obj_t CLO_830_100;
CLO_830_100=EVMEANING___EVMEANING_33( C_CDR_591_199, STACK_832_42 );return PROCEDURE_ENTRY( CLO_830_100 )( CLO_830_100, A_FUNCTION_755_60, BEOA );}}}
}}}
}

static obj_t
#if defined( __STDC__ )
___DUMMY___754_88(obj_t ___DUMMY___ENV_829_138,obj_t VAL_753_131)
#else
___DUMMY___754_88( ___DUMMY___ENV_829_138, VAL_753_131 )
obj_t ___DUMMY___ENV_829_138, VAL_753_131;
#endif
{

{obj_t STACK_233_150, EXP_232_77;
STACK_233_150=PROCEDURE_ENV_REF( ___DUMMY___ENV_829_138, 1 );EXP_232_77=PROCEDURE_ENV_REF( ___DUMMY___ENV_829_138, 2 );{__ContinueValue = VAL_753_131;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ___DUMMY___ENV_829_138, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_2_355_236(obj_t LAMBDA_0_2_ENV_827_129)
#else
LAMBDA_0_2_355_236( LAMBDA_0_2_ENV_827_129 )
obj_t LAMBDA_0_2_ENV_827_129;
#endif
{

{obj_t WHERE_353_220, BODY_354_86, STACK_233_150;
WHERE_353_220=PROCEDURE_ENV_REF( LAMBDA_0_2_ENV_827_129, 0 );BODY_354_86=PROCEDURE_ENV_REF( LAMBDA_0_2_ENV_827_129, 1 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_0_2_ENV_827_129, 2 );{
PUSH_LAMBDA_TRACE( WHERE_353_220 );
{obj_t AUX_854_147;
AUX_854_147=EVMEANING___EVMEANING_33( BODY_354_86, STACK_233_150 );return POP_LAMBDA_TRACE( AUX_854_147 );}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_3_359_80(obj_t LAMBDA_1_3_ENV_825_181,obj_t X_360_40)
#else
LAMBDA_1_3_359_80( LAMBDA_1_3_ENV_825_181, X_360_40 )
obj_t LAMBDA_1_3_ENV_825_181, X_360_40;
#endif
{

{obj_t WHERE_357_204, STACK_233_150, BODY_358_254;
WHERE_357_204=PROCEDURE_ENV_REF( LAMBDA_1_3_ENV_825_181, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_1_3_ENV_825_181, 1 );BODY_358_254=PROCEDURE_ENV_REF( LAMBDA_1_3_ENV_825_181, 2 );{
PUSH_LAMBDA_TRACE( WHERE_357_204 );
{obj_t C_CONS_679_208;
C_CONS_679_208=MAKE_PAIR( X_360_40, STACK_233_150 );{obj_t AUX_853_238;
AUX_853_238=EVMEANING___EVMEANING_33( BODY_358_254, C_CONS_679_208 );return POP_LAMBDA_TRACE( AUX_853_238 );}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_4_364_135(obj_t LAMBDA_2_4_ENV_823_244,obj_t X_365_30,obj_t Y_366_69)
#else
LAMBDA_2_4_364_135( LAMBDA_2_4_ENV_823_244, X_365_30, Y_366_69 )
obj_t LAMBDA_2_4_ENV_823_244, X_365_30, Y_366_69;
#endif
{

{obj_t WHERE_362_60, STACK_233_150, BODY_363_253;
WHERE_362_60=PROCEDURE_ENV_REF( LAMBDA_2_4_ENV_823_244, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_2_4_ENV_823_244, 1 );BODY_363_253=PROCEDURE_ENV_REF( LAMBDA_2_4_ENV_823_244, 2 );{
PUSH_LAMBDA_TRACE( WHERE_362_60 );
{obj_t OBJ2_680_15;
OBJ2_680_15=MAKE_PAIR( Y_366_69, STACK_233_150 );{obj_t C_CONS_681_11;
C_CONS_681_11=MAKE_PAIR( X_365_30, OBJ2_680_15 );{obj_t AUX_852_157;
AUX_852_157=EVMEANING___EVMEANING_33( BODY_363_253, C_CONS_681_11 );return POP_LAMBDA_TRACE( AUX_852_157 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_5_370_93(obj_t LAMBDA_3_5_ENV_821_47,obj_t X_371_182,obj_t Y_372_97,obj_t Z_373_191)
#else
LAMBDA_3_5_370_93( LAMBDA_3_5_ENV_821_47, X_371_182, Y_372_97, Z_373_191 )
obj_t LAMBDA_3_5_ENV_821_47, X_371_182, Y_372_97, Z_373_191;
#endif
{

{obj_t WHERE_368_41, STACK_233_150, BODY_369_35;
WHERE_368_41=PROCEDURE_ENV_REF( LAMBDA_3_5_ENV_821_47, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_3_5_ENV_821_47, 1 );BODY_369_35=PROCEDURE_ENV_REF( LAMBDA_3_5_ENV_821_47, 2 );{
PUSH_LAMBDA_TRACE( WHERE_368_41 );
{obj_t OBJ2_682_48;
{obj_t OBJ2_684_210;
OBJ2_684_210=MAKE_PAIR( Z_373_191, STACK_233_150 );OBJ2_682_48=MAKE_PAIR( Y_372_97, OBJ2_684_210 );}{obj_t C_CONS_683_171;
C_CONS_683_171=MAKE_PAIR( X_371_182, OBJ2_682_48 );{obj_t AUX_851_183;
AUX_851_183=EVMEANING___EVMEANING_33( BODY_369_35, C_CONS_683_171 );return POP_LAMBDA_TRACE( AUX_851_183 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_4_6_377_32(obj_t LAMBDA_4_6_ENV_819_185,obj_t X_378_19,obj_t Y_379_51,obj_t Z_380_198,obj_t T_381_216)
#else
LAMBDA_4_6_377_32( LAMBDA_4_6_ENV_819_185, X_378_19, Y_379_51, Z_380_198, T_381_216 )
obj_t LAMBDA_4_6_ENV_819_185, X_378_19, Y_379_51, Z_380_198, T_381_216;
#endif
{

{obj_t WHERE_375_156, STACK_233_150, BODY_376_74;
WHERE_375_156=PROCEDURE_ENV_REF( LAMBDA_4_6_ENV_819_185, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_4_6_ENV_819_185, 1 );BODY_376_74=PROCEDURE_ENV_REF( LAMBDA_4_6_ENV_819_185, 2 );{
PUSH_LAMBDA_TRACE( WHERE_375_156 );
{obj_t OBJ2_685_28;
{obj_t OBJ2_687_186;
{obj_t OBJ2_688_104;
OBJ2_688_104=MAKE_PAIR( T_381_216, STACK_233_150 );OBJ2_687_186=MAKE_PAIR( Z_380_198, OBJ2_688_104 );}OBJ2_685_28=MAKE_PAIR( Y_379_51, OBJ2_687_186 );}{obj_t C_CONS_686_193;
C_CONS_686_193=MAKE_PAIR( X_378_19, OBJ2_685_28 );{obj_t AUX_850_167;
AUX_850_167=EVMEANING___EVMEANING_33( BODY_376_74, C_CONS_686_193 );return POP_LAMBDA_TRACE( AUX_850_167 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_7_382_215(obj_t LAMBDA_0_7_ENV_817_10)
#else
LAMBDA_0_7_382_215( LAMBDA_0_7_ENV_817_10 )
obj_t LAMBDA_0_7_ENV_817_10;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA_0_7_ENV_817_10, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_0_7_ENV_817_10, 1 );{obj_t C_CDR_689_155;
C_CDR_689_155=CDR( EXP_232_77 );return EVMEANING___EVMEANING_33( C_CDR_689_155, STACK_233_150 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_8_383_26(obj_t LAMBDA_1_8_ENV_815_81,obj_t X_384_223)
#else
LAMBDA_1_8_383_26( LAMBDA_1_8_ENV_815_81, X_384_223 )
obj_t LAMBDA_1_8_ENV_815_81, X_384_223;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA_1_8_ENV_815_81, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_1_8_ENV_815_81, 1 );{obj_t C_CDR_690_96;
C_CDR_690_96=CDR( EXP_232_77 );{obj_t C_CONS_691_218;
C_CONS_691_218=MAKE_PAIR( X_384_223, STACK_233_150 );return EVMEANING___EVMEANING_33( C_CDR_690_96, C_CONS_691_218 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_9_385_117(obj_t LAMBDA_2_9_ENV_813_121,obj_t X_386_211,obj_t Y_387_255)
#else
LAMBDA_2_9_385_117( LAMBDA_2_9_ENV_813_121, X_386_211, Y_387_255 )
obj_t LAMBDA_2_9_ENV_813_121, X_386_211, Y_387_255;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA_2_9_ENV_813_121, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_2_9_ENV_813_121, 1 );{obj_t C_CDR_692_230;
C_CDR_692_230=CDR( EXP_232_77 );{obj_t OBJ2_693_17;
OBJ2_693_17=MAKE_PAIR( Y_387_255, STACK_233_150 );{obj_t C_CONS_694_82;
C_CONS_694_82=MAKE_PAIR( X_386_211, OBJ2_693_17 );return EVMEANING___EVMEANING_33( C_CDR_692_230, C_CONS_694_82 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_10_388_1(obj_t LAMBDA_3_10_ENV_811_232,obj_t X_389_15,obj_t Y_390_77,obj_t Z_391_83)
#else
LAMBDA_3_10_388_1( LAMBDA_3_10_ENV_811_232, X_389_15, Y_390_77, Z_391_83 )
obj_t LAMBDA_3_10_ENV_811_232, X_389_15, Y_390_77, Z_391_83;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA_3_10_ENV_811_232, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_3_10_ENV_811_232, 1 );{obj_t C_CDR_695_114;
C_CDR_695_114=CDR( EXP_232_77 );{obj_t OBJ2_696_6;
{obj_t OBJ2_698_113;
OBJ2_698_113=MAKE_PAIR( Z_391_83, STACK_233_150 );OBJ2_696_6=MAKE_PAIR( Y_390_77, OBJ2_698_113 );}{obj_t C_CONS_697_201;
C_CONS_697_201=MAKE_PAIR( X_389_15, OBJ2_696_6 );return EVMEANING___EVMEANING_33( C_CDR_695_114, C_CONS_697_201 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_4_11_392_44(obj_t LAMBDA_4_11_ENV_809_105,obj_t X_393_126,obj_t Y_394_130,obj_t Z_395_86,obj_t T_396_126)
#else
LAMBDA_4_11_392_44( LAMBDA_4_11_ENV_809_105, X_393_126, Y_394_130, Z_395_86, T_396_126 )
obj_t LAMBDA_4_11_ENV_809_105, X_393_126, Y_394_130, Z_395_86, T_396_126;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA_4_11_ENV_809_105, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA_4_11_ENV_809_105, 1 );{obj_t C_CDR_699_215;
C_CDR_699_215=CDR( EXP_232_77 );{obj_t OBJ2_700_236;
{obj_t OBJ2_702_244;
{obj_t OBJ2_703_45;
OBJ2_703_45=MAKE_PAIR( T_396_126, STACK_233_150 );OBJ2_702_244=MAKE_PAIR( Z_395_86, OBJ2_703_45 );}OBJ2_700_236=MAKE_PAIR( Y_394_130, OBJ2_702_244 );}{obj_t C_CONS_701_87;
C_CONS_701_87=MAKE_PAIR( X_393_126, OBJ2_700_236 );return EVMEANING___EVMEANING_33( C_CDR_699_215, C_CONS_701_87 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_12_400_94(obj_t LAMBDA__1_12_ENV_807_123,obj_t X_401_39)
#else
LAMBDA__1_12_400_94( LAMBDA__1_12_ENV_807_123, X_401_39 )
obj_t LAMBDA__1_12_ENV_807_123, X_401_39;
#endif
{

{obj_t WHERE_398_206, STACK_233_150, BODY_399_254;
WHERE_398_206=PROCEDURE_ENV_REF( LAMBDA__1_12_ENV_807_123, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__1_12_ENV_807_123, 1 );BODY_399_254=PROCEDURE_ENV_REF( LAMBDA__1_12_ENV_807_123, 2 );{
PUSH_LAMBDA_TRACE( WHERE_398_206 );
{obj_t C_CONS_704_169;
C_CONS_704_169=MAKE_PAIR( X_401_39, STACK_233_150 );{obj_t AUX_849_102;
AUX_849_102=EVMEANING___EVMEANING_33( BODY_399_254, C_CONS_704_169 );return POP_LAMBDA_TRACE( AUX_849_102 );}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_13_405_203(obj_t LAMBDA__2_13_ENV_805_76,obj_t X_406_69,obj_t Y_407_103)
#else
LAMBDA__2_13_405_203( LAMBDA__2_13_ENV_805_76, X_406_69, Y_407_103 )
obj_t LAMBDA__2_13_ENV_805_76, X_406_69, Y_407_103;
#endif
{

{obj_t WHERE_403_251, STACK_233_150, BODY_404_109;
WHERE_403_251=PROCEDURE_ENV_REF( LAMBDA__2_13_ENV_805_76, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__2_13_ENV_805_76, 1 );BODY_404_109=PROCEDURE_ENV_REF( LAMBDA__2_13_ENV_805_76, 2 );{
PUSH_LAMBDA_TRACE( WHERE_403_251 );
{obj_t OBJ2_705_111;
OBJ2_705_111=MAKE_PAIR( Y_407_103, STACK_233_150 );{obj_t C_CONS_706_68;
C_CONS_706_68=MAKE_PAIR( X_406_69, OBJ2_705_111 );{obj_t AUX_848_218;
AUX_848_218=EVMEANING___EVMEANING_33( BODY_404_109, C_CONS_706_68 );return POP_LAMBDA_TRACE( AUX_848_218 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__3_14_411_238(obj_t LAMBDA__3_14_ENV_803_202,obj_t X_412_97,obj_t Y_413_74,obj_t Z_414_37)
#else
LAMBDA__3_14_411_238( LAMBDA__3_14_ENV_803_202, X_412_97, Y_413_74, Z_414_37 )
obj_t LAMBDA__3_14_ENV_803_202, X_412_97, Y_413_74, Z_414_37;
#endif
{

{obj_t WHERE_409_81, STACK_233_150, BODY_410_146;
WHERE_409_81=PROCEDURE_ENV_REF( LAMBDA__3_14_ENV_803_202, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__3_14_ENV_803_202, 1 );BODY_410_146=PROCEDURE_ENV_REF( LAMBDA__3_14_ENV_803_202, 2 );{
PUSH_LAMBDA_TRACE( WHERE_409_81 );
{obj_t OBJ2_707_153;
{obj_t OBJ2_709_129;
OBJ2_709_129=MAKE_PAIR( Z_414_37, STACK_233_150 );OBJ2_707_153=MAKE_PAIR( Y_413_74, OBJ2_709_129 );}{obj_t C_CONS_708_7;
C_CONS_708_7=MAKE_PAIR( X_412_97, OBJ2_707_153 );{obj_t AUX_847_159;
AUX_847_159=EVMEANING___EVMEANING_33( BODY_410_146, C_CONS_708_7 );return POP_LAMBDA_TRACE( AUX_847_159 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__4_15_418_213(obj_t LAMBDA__4_15_ENV_801_160,obj_t X_419_51,obj_t Y_420_41,obj_t Z_421_131,obj_t T_422_115)
#else
LAMBDA__4_15_418_213( LAMBDA__4_15_ENV_801_160, X_419_51, Y_420_41, Z_421_131, T_422_115 )
obj_t LAMBDA__4_15_ENV_801_160, X_419_51, Y_420_41, Z_421_131, T_422_115;
#endif
{

{obj_t WHERE_416_188, STACK_233_150, BODY_417_23;
WHERE_416_188=PROCEDURE_ENV_REF( LAMBDA__4_15_ENV_801_160, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__4_15_ENV_801_160, 1 );BODY_417_23=PROCEDURE_ENV_REF( LAMBDA__4_15_ENV_801_160, 2 );{
PUSH_LAMBDA_TRACE( WHERE_416_188 );
{obj_t OBJ2_710_21;
{obj_t OBJ2_712_113;
{obj_t OBJ2_713_112;
OBJ2_713_112=MAKE_PAIR( T_422_115, STACK_233_150 );OBJ2_712_113=MAKE_PAIR( Z_421_131, OBJ2_713_112 );}OBJ2_710_21=MAKE_PAIR( Y_420_41, OBJ2_712_113 );}{obj_t C_CONS_711_58;
C_CONS_711_58=MAKE_PAIR( X_419_51, OBJ2_710_21 );{obj_t AUX_846_93;
AUX_846_93=EVMEANING___EVMEANING_33( BODY_417_23, C_CONS_711_58 );return POP_LAMBDA_TRACE( AUX_846_93 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_16_423_118(obj_t LAMBDA__1_16_ENV_799_4,obj_t X_424_248)
#else
LAMBDA__1_16_423_118( LAMBDA__1_16_ENV_799_4, X_424_248 )
obj_t LAMBDA__1_16_ENV_799_4, X_424_248;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA__1_16_ENV_799_4, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__1_16_ENV_799_4, 1 );{obj_t C_CDR_714_71;
C_CDR_714_71=CDR( EXP_232_77 );{obj_t C_CONS_715_181;
C_CONS_715_181=MAKE_PAIR( X_424_248, STACK_233_150 );return EVMEANING___EVMEANING_33( C_CDR_714_71, C_CONS_715_181 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_17_425_11(obj_t LAMBDA__2_17_ENV_797_68,obj_t X_426_219,obj_t Y_427_241)
#else
LAMBDA__2_17_425_11( LAMBDA__2_17_ENV_797_68, X_426_219, Y_427_241 )
obj_t LAMBDA__2_17_ENV_797_68, X_426_219, Y_427_241;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA__2_17_ENV_797_68, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__2_17_ENV_797_68, 1 );{obj_t C_CDR_716_165;
C_CDR_716_165=CDR( EXP_232_77 );{obj_t OBJ2_717_207;
OBJ2_717_207=MAKE_PAIR( Y_427_241, STACK_233_150 );{obj_t C_CONS_718_124;
C_CONS_718_124=MAKE_PAIR( X_426_219, OBJ2_717_207 );return EVMEANING___EVMEANING_33( C_CDR_716_165, C_CONS_718_124 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__3_18_428_98(obj_t LAMBDA__3_18_ENV_795_18,obj_t X_429_131,obj_t Y_430_157,obj_t Z_431_101)
#else
LAMBDA__3_18_428_98( LAMBDA__3_18_ENV_795_18, X_429_131, Y_430_157, Z_431_101 )
obj_t LAMBDA__3_18_ENV_795_18, X_429_131, Y_430_157, Z_431_101;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA__3_18_ENV_795_18, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__3_18_ENV_795_18, 1 );{obj_t C_CDR_719_45;
C_CDR_719_45=CDR( EXP_232_77 );{obj_t OBJ2_720_36;
{obj_t OBJ2_722_188;
OBJ2_722_188=MAKE_PAIR( Z_431_101, STACK_233_150 );OBJ2_720_36=MAKE_PAIR( Y_430_157, OBJ2_722_188 );}{obj_t C_CONS_721_29;
C_CONS_721_29=MAKE_PAIR( X_429_131, OBJ2_720_36 );return EVMEANING___EVMEANING_33( C_CDR_719_45, C_CONS_721_29 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__4_19_432_227(obj_t LAMBDA__4_19_ENV_793_178,obj_t X_433_71,obj_t Y_434_144,obj_t Z_435_126,obj_t T_436_109)
#else
LAMBDA__4_19_432_227( LAMBDA__4_19_ENV_793_178, X_433_71, Y_434_144, Z_435_126, T_436_109 )
obj_t LAMBDA__4_19_ENV_793_178, X_433_71, Y_434_144, Z_435_126, T_436_109;
#endif
{

{obj_t EXP_232_77, STACK_233_150;
EXP_232_77=PROCEDURE_ENV_REF( LAMBDA__4_19_ENV_793_178, 0 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__4_19_ENV_793_178, 1 );{obj_t C_CDR_723_203;
C_CDR_723_203=CDR( EXP_232_77 );{obj_t OBJ2_724_173;
{obj_t OBJ2_726_30;
{obj_t OBJ2_727_7;
OBJ2_727_7=MAKE_PAIR( T_436_109, STACK_233_150 );OBJ2_726_30=MAKE_PAIR( Z_435_126, OBJ2_727_7 );}OBJ2_724_173=MAKE_PAIR( Y_434_144, OBJ2_726_30 );}{obj_t C_CONS_725_143;
C_CONS_725_143=MAKE_PAIR( X_433_71, OBJ2_724_173 );return EVMEANING___EVMEANING_33( C_CDR_723_203, C_CONS_725_143 );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_20_441_180(obj_t LAMBDA__1_20_ENV_791_30,obj_t X_442_128)
#else
LAMBDA__1_20_441_180( LAMBDA__1_20_ENV_791_30, X_442_128 )
obj_t LAMBDA__1_20_ENV_791_30, X_442_128;
#endif
{

{obj_t WHERE_438_92, FORMALS_440_201, BODY_439_137, STACK_233_150;
WHERE_438_92=PROCEDURE_ENV_REF( LAMBDA__1_20_ENV_791_30, 0 );FORMALS_440_201=PROCEDURE_ENV_REF( LAMBDA__1_20_ENV_791_30, 1 );BODY_439_137=PROCEDURE_ENV_REF( LAMBDA__1_20_ENV_791_30, 2 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__1_20_ENV_791_30, 3 );{
PUSH_LAMBDA_TRACE( WHERE_438_92 );
{obj_t NEW_ENV_443_196;
NEW_ENV_443_196=__LOOP__444_102( STACK_233_150, X_442_128, FORMALS_440_201 );{obj_t AUX_845_42;
AUX_845_42=EVMEANING___EVMEANING_33( BODY_439_137, NEW_ENV_443_196 );return POP_LAMBDA_TRACE( AUX_845_42 );}}
}}
}

static obj_t
#if defined( __STDC__ )
__LOOP__444_102(obj_t STACK_233_150,obj_t ACTUALS_445_225,obj_t FORMALS_446_218)
#else
__LOOP__444_102( STACK_233_150, ACTUALS_445_225, FORMALS_446_218 )
obj_t STACK_233_150, ACTUALS_445_225, FORMALS_446_218;
#endif
{

if( NULLP( FORMALS_446_218 ))
if( NULLP( ACTUALS_445_225 ))
return STACK_233_150;else
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &TOO_MANY_6___EVMEANING_9), ACTUALS_445_225 );else
if( PAIRP( FORMALS_446_218 ))
if( NULLP( ACTUALS_445_225 ))
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &TOO_FEW__7___EVMEANING_42), FORMALS_446_218 );else
{obj_t OBJ2_729_68;
{obj_t C_CDR_731_230;
C_CDR_731_230=CDR( ACTUALS_445_225 );{obj_t C_CDR_732_227;
C_CDR_732_227=CDR( FORMALS_446_218 );OBJ2_729_68=__LOOP__444_102( STACK_233_150, C_CDR_731_230, C_CDR_732_227 );}}{obj_t OBJ1_728_61;
OBJ1_728_61=CAR( ACTUALS_445_225 );return MAKE_PAIR( OBJ1_728_61, OBJ2_729_68 );}}else
return MAKE_PAIR( ACTUALS_445_225, STACK_233_150 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_21_450_202(obj_t LAMBDA__1_21_ENV_789_99,obj_t X_451_159)
#else
LAMBDA__1_21_450_202( LAMBDA__1_21_ENV_789_99, X_451_159 )
obj_t LAMBDA__1_21_ENV_789_99, X_451_159;
#endif
{

{obj_t FORMALS_449_159, BODY_448_103, STACK_233_150;
FORMALS_449_159=PROCEDURE_ENV_REF( LAMBDA__1_21_ENV_789_99, 0 );BODY_448_103=PROCEDURE_ENV_REF( LAMBDA__1_21_ENV_789_99, 1 );STACK_233_150=PROCEDURE_ENV_REF( LAMBDA__1_21_ENV_789_99, 2 );{obj_t NEW_ENV_452_82;
NEW_ENV_452_82=__LOOP__453_142( STACK_233_150, X_451_159, FORMALS_449_159 );return EVMEANING___EVMEANING_33( BODY_448_103, NEW_ENV_452_82 );}}
}

static obj_t
#if defined( __STDC__ )
__LOOP__453_142(obj_t STACK_233_150,obj_t ACTUALS_454_3,obj_t FORMALS_455_163)
#else
__LOOP__453_142( STACK_233_150, ACTUALS_454_3, FORMALS_455_163 )
obj_t STACK_233_150, ACTUALS_454_3, FORMALS_455_163;
#endif
{

if( NULLP( FORMALS_455_163 ))
if( NULLP( ACTUALS_454_3 ))
return STACK_233_150;else
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &TOO_MANY_6___EVMEANING_9), ACTUALS_454_3 );else
if( PAIRP( FORMALS_455_163 ))
if( NULLP( ACTUALS_454_3 ))
FAILURE( BREF( &EVAL_0___EVMEANING_228), BREF( &TOO_FEW__7___EVMEANING_42), FORMALS_455_163 );else
{obj_t OBJ2_735_16;
{obj_t C_CDR_737_246;
C_CDR_737_246=CDR( ACTUALS_454_3 );{obj_t C_CDR_738_53;
C_CDR_738_53=CDR( FORMALS_455_163 );OBJ2_735_16=__LOOP__453_142( STACK_233_150, C_CDR_737_246, C_CDR_738_53 );}}{obj_t OBJ1_734_101;
OBJ1_734_101=CAR( ACTUALS_454_3 );return MAKE_PAIR( OBJ1_734_101, OBJ2_735_16 );}}else
return MAKE_PAIR( ACTUALS_454_3, STACK_233_150 );
}

