/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expanders.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>
#include <signal.h>

static obj_t PROCEDURE_34___INSTALL_EXPANDERS_175 = BUNSPEC;
static obj_t LET_43___INSTALL_EXPANDERS_27 = BUNSPEC;
extern obj_t EXPAND_REGULAR_SEARCH_ENV___RGC_EXPAND_243;
static obj_t AND_15___INSTALL_EXPANDERS_236 = BUNSPEC;
static obj_t PROCEDURE_10___INSTALL_EXPANDERS_64 = BUNSPEC;
static obj_t DEFINE_I_53___INSTALL_EXPANDERS_32 = BUNSPEC;
static obj_t MATCH_CA_23___INSTALL_EXPANDERS_37 = BUNSPEC;
DEFINE_STRING( IF_65___INSTALL_EXPANDERS_173, "if", 2);
static obj_t DEFINE_E_11___INSTALL_EXPANDERS_25 = BUNSPEC;
static obj_t QUASIQUO_7___INSTALL_EXPANDERS_125 = BUNSPEC;
extern obj_t EXPAND_EVAL_LABELS___EXPANDER_LET_55();
extern obj_t ___RGC_EXPAND_INITIALISATION___RGC_EXPAND_213();
static obj_t PROCEDURE_14___INSTALL_EXPANDERS_3 = BUNSPEC;
extern obj_t EXPAND_EVAL_LET___EXPANDER_LET_41();
static obj_t PROCEDURE_38___INSTALL_EXPANDERS_220 = BUNSPEC;
static obj_t PROCEDURE_44___INSTALL_EXPANDERS_143 = BUNSPEC;
static obj_t PROCEDURE_6___INSTALL_EXPANDERS_157 = BUNSPEC;
obj_t ___INSTALL_EXPANDERS_INITIALISATION_ENV___INSTALL_EXPANDERS_146 = BUNSPEC;
extern obj_t __NIL____EVAL_120;
static obj_t PROCEDURE_42___INSTALL_EXPANDERS_169 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t PROCEDURE_22___INSTALL_EXPANDERS_73 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_254(obj_t);
#else
extern obj_t __INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_254();
#endif
DEFINE_STRING( ILLEGAL__63___INSTALL_EXPANDERS_32, "Illegal `failure' form", 22);
static obj_t PROCEDURE_8___INSTALL_EXPANDERS_47 = BUNSPEC;
static obj_t PROCEDURE_24___INSTALL_EXPANDERS_236 = BUNSPEC;
static obj_t PROCEDURE_41___INSTALL_EXPANDERS_255 = BUNSPEC;
extern obj_t EXPAND_MATCH_LAMBDA___MATCH_EXPAND_136();
DEFINE_STRING( BIND_EXI_64___INSTALL_EXPANDERS_142, "bind-exit", 9);
static obj_t PROCEDURE_28___INSTALL_EXPANDERS_224 = BUNSPEC;
static obj_t PROCEDURE_4___INSTALL_EXPANDERS_247 = BUNSPEC;
extern obj_t EXPAND_OR___EXPANDER_BOOL_215();
extern obj_t ___MATCH_EXPAND_INITIALISATION___MATCH_EXPAND_237();
extern obj_t EXPAND_REGULAR_GRAMMAR_ENV___RGC_EXPAND_116;
#if defined( __STDC__ )
extern obj_t ____INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_6(obj_t);
#else
extern obj_t ____INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_6();
#endif
static obj_t PROCEDURE_50___INSTALL_EXPANDERS_78 = BUNSPEC;
static obj_t LABELS_49___INSTALL_EXPANDERS_212 = BUNSPEC;
static obj_t MAKE_PRO_58___INSTALL_EXPANDERS_78 = BUNSPEC;
static obj_t REGULAR__30___INSTALL_EXPANDERS_113 = BUNSPEC;
static obj_t PROCEDURE_20___INSTALL_EXPANDERS_37 = BUNSPEC;
static obj_t DO_19___INSTALL_EXPANDERS_53 = BUNSPEC;
static obj_t REGULAR__31___INSTALL_EXPANDERS_141 = BUNSPEC;
extern obj_t EXPAND_DEFINE_EXPANDER___EVAL_232();
extern obj_t INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_207();
extern obj_t EXPAND_MATCH_CASE___MATCH_EXPAND_96();
extern obj_t ___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119();
static obj_t PROCEDURE_16___INSTALL_EXPANDERS_107 = BUNSPEC;
extern obj_t ___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28();
static obj_t MATCH_LA_25___INSTALL_EXPANDERS_231 = BUNSPEC;
static obj_t DELAY_29___INSTALL_EXPANDERS_28 = BUNSPEC;
extern obj_t ___EXPANDER_TRY_INITIALISATION___EXPANDER_TRY_11();
static obj_t PROCEDURE_56___INSTALL_EXPANDERS_15 = BUNSPEC;
extern obj_t EXPAND_QUOTE___EXPANDER_QUOTE_168();
static obj_t COND_17___INSTALL_EXPANDERS_200 = BUNSPEC;
extern obj_t QUASIQUOTATION___EXPANDER_QUOTE_140();
extern obj_t ___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120();
extern obj_t EXPAND_AND___EXPANDER_BOOL_94();
extern obj_t EXPAND_DEFINE_MACRO___EVAL_191();
DEFINE_STRING( DELAY_59___INSTALL_EXPANDERS_219, "delay", 5);
static obj_t PROCEDURE_12___INSTALL_EXPANDERS_227 = BUNSPEC;
extern obj_t EXPAND_EVAL_LET____EXPANDER_LET_146();
#if defined( __STDC__ )
static obj_t EXPAND_TEST___INSTALL_EXPANDERS_138(obj_t, obj_t);
#else
static obj_t EXPAND_TEST___INSTALL_EXPANDERS_138();
#endif
extern obj_t INSTALL_EVAL_EXPANDER___MACRO_94();
static obj_t PROCEDURE_36___INSTALL_EXPANDERS_162 = BUNSPEC;
static obj_t DEFINE_P_27___INSTALL_EXPANDERS_158 = BUNSPEC;
extern obj_t EXPAND_COND___EXPANDER_BOOL_247();
extern obj_t ___PROGN_INITIALISATION___PROGN_85();
extern obj_t ___EVAL_INITIALISATION___EVAL_167();
static obj_t CASE_57___INSTALL_EXPANDERS_125 = BUNSPEC;
static obj_t PROCEDURE_32___INSTALL_EXPANDERS_14 = BUNSPEC;
extern obj_t EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83();
extern obj_t ___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90();
extern obj_t ___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142();
static obj_t REQUIRE_INITIALISATION____INSTALL_EXPANDERS_195 = BUNSPEC;
extern obj_t ___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165();
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t PROCEDURE_26___INSTALL_EXPANDERS_178 = BUNSPEC;
static obj_t IF_2___INSTALL_EXPANDERS_109 = BUNSPEC;
extern obj_t EXPAND_DEFINE_PATTERN___EVAL_100();
static obj_t MODULE_39___INSTALL_EXPANDERS_38 = BUNSPEC;
static obj_t NULL__1___INSTALL_EXPANDERS_36 = BUNSPEC;
extern obj_t ___INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_164();
static obj_t TRY_21___INSTALL_EXPANDERS_127 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t EXPAND_EVAL_LETREC___EXPANDER_LET_80();
static obj_t PROCEDURE_46___INSTALL_EXPANDERS_10 = BUNSPEC;
static obj_t DEFINE_S_55___INSTALL_EXPANDERS_159 = BUNSPEC;
static obj_t LET__45___INSTALL_EXPANDERS_86 = BUNSPEC;
static obj_t PROCEDURE_54___INSTALL_EXPANDERS_116 = BUNSPEC;
static obj_t OR_13___INSTALL_EXPANDERS_87 = BUNSPEC;
static obj_t PROCEDURE_18___INSTALL_EXPANDERS_177 = BUNSPEC;
DEFINE_STRING( ILLEGAL__60___INSTALL_EXPANDERS_12, "Illegal form", 12);
static obj_t TEST_AUX_0___INSTALL_EXPANDERS_135 = BUNSPEC;
static obj_t PROCEDURE_40___INSTALL_EXPANDERS_86 = BUNSPEC;
extern obj_t EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251();
extern obj_t make_fx_procedure();
extern obj_t ___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155();
static obj_t LAMBDA_3___INSTALL_EXPANDERS_195 = BUNSPEC;
static obj_t BIND_EXI_37___INSTALL_EXPANDERS_78 = BUNSPEC;
static obj_t DEFINE_51___INSTALL_EXPANDERS_116 = BUNSPEC;
extern obj_t NORMALIZE_PROGN___PROGN_138();
DEFINE_STRING( FAILURE_62___INSTALL_EXPANDERS_7, "failure", 7);
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( BEGIN_61___INSTALL_EXPANDERS_94, "begin", 5);
static obj_t BEGIN_33___INSTALL_EXPANDERS_138 = BUNSPEC;
extern obj_t EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206();
obj_t INSTALL_ALL_EXPANDERS__ENV___INSTALL_EXPANDERS_224 = BUNSPEC;
static obj_t QUOTE_5___INSTALL_EXPANDERS_43 = BUNSPEC;
static obj_t LETREC_47___INSTALL_EXPANDERS_147 = BUNSPEC;
extern obj_t EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255();
extern obj_t INSTALL_EXPANDER___MACRO_244();
static obj_t FAILURE_35___INSTALL_EXPANDERS_34 = BUNSPEC;
static obj_t PROCEDURE_52___INSTALL_EXPANDERS_170 = BUNSPEC;
static obj_t DEFINE_M_9___INSTALL_EXPANDERS_133 = BUNSPEC;
static obj_t PROCEDURE_48___INSTALL_EXPANDERS_172 = BUNSPEC;
extern obj_t EXPAND_EVAL_CASE___EXPANDER_CASE_162();
extern obj_t EXPAND_TRY___EXPANDER_TRY_51();
extern obj_t EXPAND_DO___EXPANDER_DO_52();
extern obj_t ___MACRO_INITIALISATION___MACRO_72();

static obj_t LAMBDA_2_0_224_25();
static obj_t LAMBDA_2_1_227_87();
static obj_t LAMBDA_2_2_230_55();
static obj_t LAMBDA_2_3_233_204();
static obj_t LAMBDA_2_4_236_251();
static obj_t LAMBDA_2_5_239_137();
static obj_t LAMBDA_2_6_242_114();
static obj_t LAMBDA_2_7_245_232();
static obj_t LAMBDA_2_8_248_213();
static obj_t LAMBDA_2_9_251_36();
static obj_t LAMBDA_2_10_254_116();
static obj_t LAMBDA_2_11_257_150();
static obj_t LAMBDA_2_12_260_196();
static obj_t LAMBDA_2_13_268_92();
static obj_t LAMBDA_2_14_284_144();
static obj_t LAMBDA_2_15_296_79();
static obj_t LAMBDA_2_16_307_71();
static obj_t LAMBDA_2_17_310_58();
static obj_t LAMBDA_2_18_327_30();
static obj_t LAMBDA_2_19_330_35();
static obj_t LAMBDA_2_20_333_199();
static obj_t LAMBDA_2_21_336_113();
static obj_t LAMBDA_2_22_339_97();
static obj_t LAMBDA_2_23_342_153();
static obj_t LAMBDA_2_24_345_187();
static obj_t LAMBDA_2_25_348_22();
static obj_t LAMBDA_2_26_351_176();

obj_t
#if defined( __STDC__ )
___INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_164()
#else
___INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_164()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____INSTALL_EXPANDERS_195 ))
{
REQUIRE_INITIALISATION____INSTALL_EXPANDERS_195=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119();
___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142();
___EXPANDER_TRY_INITIALISATION___EXPANDER_TRY_11();
___RGC_EXPAND_INITIALISATION___RGC_EXPAND_213();
___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___MACRO_INITIALISATION___MACRO_72();
___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90();
___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165();
___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155();
___PROGN_INITIALISATION___PROGN_85();
___EVAL_INITIALISATION___EVAL_167();
___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28();
___MATCH_EXPAND_INITIALISATION___MATCH_EXPAND_237();
CASE_57___INSTALL_EXPANDERS_125=c_string_to_symbol( "CASE" );
QUOTE_5___INSTALL_EXPANDERS_43=c_string_to_symbol( "QUOTE" );
DO_19___INSTALL_EXPANDERS_53=c_string_to_symbol( "DO" );
REGULAR__31___INSTALL_EXPANDERS_141=c_string_to_symbol( "REGULAR-SEARCH" );
COND_17___INSTALL_EXPANDERS_200=c_string_to_symbol( "COND" );
LET_43___INSTALL_EXPANDERS_27=c_string_to_symbol( "LET" );
DEFINE_E_11___INSTALL_EXPANDERS_25=c_string_to_symbol( "DEFINE-EXPANDER" );
BIND_EXI_37___INSTALL_EXPANDERS_78=c_string_to_symbol( "BIND-EXIT" );
LETREC_47___INSTALL_EXPANDERS_147=c_string_to_symbol( "LETREC" );
FAILURE_35___INSTALL_EXPANDERS_34=c_string_to_symbol( "FAILURE" );
TRY_21___INSTALL_EXPANDERS_127=c_string_to_symbol( "TRY" );
IF_2___INSTALL_EXPANDERS_109=c_string_to_symbol( "IF" );
OR_13___INSTALL_EXPANDERS_87=c_string_to_symbol( "OR" );
LET__45___INSTALL_EXPANDERS_86=c_string_to_symbol( "LET*" );
AND_15___INSTALL_EXPANDERS_236=c_string_to_symbol( "AND" );
DEFINE_I_53___INSTALL_EXPANDERS_32=c_string_to_symbol( "DEFINE-INLINE" );
TEST_AUX_0___INSTALL_EXPANDERS_135=c_string_to_symbol( "TEST-AUX-FOR-NIL" );
LAMBDA_3___INSTALL_EXPANDERS_195=c_string_to_symbol( "LAMBDA" );
DEFINE_51___INSTALL_EXPANDERS_116=c_string_to_symbol( "DEFINE" );
REGULAR__30___INSTALL_EXPANDERS_113=c_string_to_symbol( "REGULAR-GRAMMAR" );
LABELS_49___INSTALL_EXPANDERS_212=c_string_to_symbol( "LABELS" );
MATCH_LA_25___INSTALL_EXPANDERS_231=c_string_to_symbol( "MATCH-LAMBDA" );
BEGIN_33___INSTALL_EXPANDERS_138=c_string_to_symbol( "BEGIN" );
MAKE_PRO_58___INSTALL_EXPANDERS_78=c_string_to_symbol( "MAKE-PROMISE" );
MATCH_CA_23___INSTALL_EXPANDERS_37=c_string_to_symbol( "MATCH-CASE" );
NULL__1___INSTALL_EXPANDERS_36=c_string_to_symbol( "NULL?" );
QUASIQUO_7___INSTALL_EXPANDERS_125=c_string_to_symbol( "QUASIQUOTE" );
DEFINE_M_9___INSTALL_EXPANDERS_133=c_string_to_symbol( "DEFINE-MACRO" );
DEFINE_S_55___INSTALL_EXPANDERS_159=c_string_to_symbol( "DEFINE-STRUCT" );
DEFINE_P_27___INSTALL_EXPANDERS_158=c_string_to_symbol( "DEFINE-PATTERN" );
MODULE_39___INSTALL_EXPANDERS_38=c_string_to_symbol( "MODULE" );
DELAY_29___INSTALL_EXPANDERS_28=c_string_to_symbol( "DELAY" );
PROCEDURE_56___INSTALL_EXPANDERS_15=make_fx_procedure( LAMBDA_2_26_351_176, 2, 0 );
PROCEDURE_54___INSTALL_EXPANDERS_116=make_fx_procedure( LAMBDA_2_25_348_22, 2, 0 );
PROCEDURE_52___INSTALL_EXPANDERS_170=make_fx_procedure( LAMBDA_2_24_345_187, 2, 0 );
PROCEDURE_50___INSTALL_EXPANDERS_78=make_fx_procedure( LAMBDA_2_23_342_153, 2, 0 );
PROCEDURE_48___INSTALL_EXPANDERS_172=make_fx_procedure( LAMBDA_2_22_339_97, 2, 0 );
PROCEDURE_46___INSTALL_EXPANDERS_10=make_fx_procedure( LAMBDA_2_21_336_113, 2, 0 );
PROCEDURE_44___INSTALL_EXPANDERS_143=make_fx_procedure( LAMBDA_2_20_333_199, 2, 0 );
PROCEDURE_42___INSTALL_EXPANDERS_169=make_fx_procedure( LAMBDA_2_19_330_35, 2, 0 );
PROCEDURE_41___INSTALL_EXPANDERS_255=make_fx_procedure( LAMBDA_2_18_327_30, 2, 0 );
PROCEDURE_40___INSTALL_EXPANDERS_86=make_fx_procedure( LAMBDA_2_17_310_58, 2, 0 );
PROCEDURE_38___INSTALL_EXPANDERS_220=make_fx_procedure( LAMBDA_2_16_307_71, 2, 0 );
PROCEDURE_36___INSTALL_EXPANDERS_162=make_fx_procedure( LAMBDA_2_15_296_79, 2, 0 );
PROCEDURE_34___INSTALL_EXPANDERS_175=make_fx_procedure( LAMBDA_2_14_284_144, 2, 0 );
PROCEDURE_32___INSTALL_EXPANDERS_14=make_fx_procedure( LAMBDA_2_13_268_92, 2, 0 );
PROCEDURE_28___INSTALL_EXPANDERS_224=make_fx_procedure( LAMBDA_2_12_260_196, 2, 0 );
PROCEDURE_26___INSTALL_EXPANDERS_178=make_fx_procedure( LAMBDA_2_11_257_150, 2, 0 );
PROCEDURE_24___INSTALL_EXPANDERS_236=make_fx_procedure( LAMBDA_2_10_254_116, 2, 0 );
PROCEDURE_22___INSTALL_EXPANDERS_73=make_fx_procedure( LAMBDA_2_9_251_36, 2, 0 );
PROCEDURE_20___INSTALL_EXPANDERS_37=make_fx_procedure( LAMBDA_2_8_248_213, 2, 0 );
PROCEDURE_18___INSTALL_EXPANDERS_177=make_fx_procedure( LAMBDA_2_7_245_232, 2, 0 );
PROCEDURE_16___INSTALL_EXPANDERS_107=make_fx_procedure( LAMBDA_2_6_242_114, 2, 0 );
PROCEDURE_14___INSTALL_EXPANDERS_3=make_fx_procedure( LAMBDA_2_5_239_137, 2, 0 );
PROCEDURE_12___INSTALL_EXPANDERS_227=make_fx_procedure( LAMBDA_2_4_236_251, 2, 0 );
PROCEDURE_10___INSTALL_EXPANDERS_64=make_fx_procedure( LAMBDA_2_3_233_204, 2, 0 );
PROCEDURE_8___INSTALL_EXPANDERS_47=make_fx_procedure( LAMBDA_2_2_230_55, 2, 0 );
PROCEDURE_6___INSTALL_EXPANDERS_157=make_fx_procedure( LAMBDA_2_1_227_87, 2, 0 );
PROCEDURE_4___INSTALL_EXPANDERS_247=make_fx_procedure( LAMBDA_2_0_224_25, 2, 0 );
{
___INSTALL_EXPANDERS_INITIALISATION_ENV___INSTALL_EXPANDERS_146=make_fx_procedure( ____INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_6, 0, 0 );
INSTALL_ALL_EXPANDERS__ENV___INSTALL_EXPANDERS_224=make_fx_procedure( __INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_254, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_6(obj_t ENV_532_206)
#else
____INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_6( ENV_532_206 )
obj_t ENV_532_206;
#endif
{

return ___INSTALL_EXPANDERS_INITIALISATION___INSTALL_EXPANDERS_164();
}

static obj_t
#if defined( __STDC__ )
EXPAND_TEST___INSTALL_EXPANDERS_138(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_TEST___INSTALL_EXPANDERS_138( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

if( BBOOL_TO_CBOOL( __NIL____EVAL_120 ))
return PROCEDURE_ENTRY( E_223_62 )( E_223_62, X_222_34, E_223_62, BEOA );else
{obj_t VA_ARG_400_122;
VA_ARG_400_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_401_130;
{obj_t VA_ARG_404_72;
VA_ARG_404_72=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_405_77;
VA_ARG_405_77=MAKE_PAIR( BFALSE, VA_ARG_404_72 );{obj_t VA_ARG_406_64;
{obj_t VA_ARG_408_194;
VA_ARG_408_194=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_409_185;
VA_ARG_409_185=MAKE_PAIR( BTRUE, VA_ARG_408_194 );{obj_t VA_ARG_410_11;
VA_ARG_410_11=MAKE_PAIR( BFALSE, VA_ARG_409_185 );{obj_t VA_ARG_411_126;
{obj_t VA_ARG_412_171;
VA_ARG_412_171=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_413_5;
VA_ARG_413_5=MAKE_PAIR( TEST_AUX_0___INSTALL_EXPANDERS_135, VA_ARG_412_171 );{obj_t AUX_566_101;
AUX_566_101=CONS____R4_PAIRS_AND_LISTS_6_3_28( NULL__1___INSTALL_EXPANDERS_36, VA_ARG_413_5 );VA_ARG_411_126=MAKE_PAIR( AUX_566_101, VA_ARG_410_11 );}}}{obj_t AUX_567_242;
AUX_567_242=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_2___INSTALL_EXPANDERS_109, VA_ARG_411_126 );VA_ARG_406_64=MAKE_PAIR( AUX_567_242, VA_ARG_405_77 );}}}}}{obj_t VA_ARG_407_121;
VA_ARG_407_121=MAKE_PAIR( TEST_AUX_0___INSTALL_EXPANDERS_135, VA_ARG_406_64 );{obj_t AUX_568_108;
AUX_568_108=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_2___INSTALL_EXPANDERS_109, VA_ARG_407_121 );VA_ARG_401_130=MAKE_PAIR( AUX_568_108, VA_ARG_400_122 );}}}}}{obj_t VA_ARG_402_245;
{obj_t VA_ARG_403_208;
VA_ARG_403_208=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_569_191;
AUX_569_191=CONS____R4_PAIRS_AND_LISTS_6_3_28( TEST_AUX_0___INSTALL_EXPANDERS_135, VA_ARG_403_208 );VA_ARG_402_245=MAKE_PAIR( AUX_569_191, VA_ARG_401_130 );}}{obj_t VA_ARG_414_242;
VA_ARG_414_242=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_415_101;
{obj_t AUX_570_186;
AUX_570_186=PROCEDURE_ENTRY( E_223_62 )( E_223_62, X_222_34, E_223_62, BEOA );VA_ARG_415_101=MAKE_PAIR( AUX_570_186, VA_ARG_414_242 );}{obj_t AUX_571_67;
AUX_571_67=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_3___INSTALL_EXPANDERS_195, VA_ARG_402_245 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_571_67, VA_ARG_415_101 );}}}}}}
}

obj_t
#if defined( __STDC__ )
INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_207()
#else
INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_207()
#endif
{

{
{obj_t LAMBDA_2_0_ENV_529_76;
LAMBDA_2_0_ENV_529_76=PROCEDURE_4___INSTALL_EXPANDERS_247;{obj_t A_FUNCTION_416_83;
A_FUNCTION_416_83=LAMBDA_2_0_ENV_529_76;INSTALL_EXPANDER___MACRO_244( QUOTE_5___INSTALL_EXPANDERS_43, A_FUNCTION_416_83 );}}
{obj_t LAMBDA_2_1_ENV_527_76;
LAMBDA_2_1_ENV_527_76=PROCEDURE_6___INSTALL_EXPANDERS_157;{obj_t A_FUNCTION_417_128;
A_FUNCTION_417_128=LAMBDA_2_1_ENV_527_76;INSTALL_EXPANDER___MACRO_244( QUASIQUO_7___INSTALL_EXPANDERS_125, A_FUNCTION_417_128 );}}
{obj_t LAMBDA_2_2_ENV_525_2;
LAMBDA_2_2_ENV_525_2=PROCEDURE_8___INSTALL_EXPANDERS_47;{obj_t A_FUNCTION_418_241;
A_FUNCTION_418_241=LAMBDA_2_2_ENV_525_2;INSTALL_EXPANDER___MACRO_244( DEFINE_M_9___INSTALL_EXPANDERS_133, A_FUNCTION_418_241 );}}
{obj_t LAMBDA_2_3_ENV_523_121;
LAMBDA_2_3_ENV_523_121=PROCEDURE_10___INSTALL_EXPANDERS_64;{obj_t A_FUNCTION_419_156;
A_FUNCTION_419_156=LAMBDA_2_3_ENV_523_121;INSTALL_EXPANDER___MACRO_244( DEFINE_E_11___INSTALL_EXPANDERS_25, A_FUNCTION_419_156 );}}
{obj_t LAMBDA_2_4_ENV_521_247;
LAMBDA_2_4_ENV_521_247=PROCEDURE_12___INSTALL_EXPANDERS_227;{obj_t A_FUNCTION_420_253;
A_FUNCTION_420_253=LAMBDA_2_4_ENV_521_247;INSTALL_EXPANDER___MACRO_244( OR_13___INSTALL_EXPANDERS_87, A_FUNCTION_420_253 );}}
{obj_t LAMBDA_2_5_ENV_519_92;
LAMBDA_2_5_ENV_519_92=PROCEDURE_14___INSTALL_EXPANDERS_3;{obj_t A_FUNCTION_421_237;
A_FUNCTION_421_237=LAMBDA_2_5_ENV_519_92;INSTALL_EXPANDER___MACRO_244( AND_15___INSTALL_EXPANDERS_236, A_FUNCTION_421_237 );}}
{obj_t LAMBDA_2_6_ENV_517_215;
LAMBDA_2_6_ENV_517_215=PROCEDURE_16___INSTALL_EXPANDERS_107;{obj_t A_FUNCTION_422_178;
A_FUNCTION_422_178=LAMBDA_2_6_ENV_517_215;INSTALL_EXPANDER___MACRO_244( COND_17___INSTALL_EXPANDERS_200, A_FUNCTION_422_178 );}}
{obj_t LAMBDA_2_7_ENV_515_58;
LAMBDA_2_7_ENV_515_58=PROCEDURE_18___INSTALL_EXPANDERS_177;{obj_t A_FUNCTION_423_85;
A_FUNCTION_423_85=LAMBDA_2_7_ENV_515_58;INSTALL_EXPANDER___MACRO_244( DO_19___INSTALL_EXPANDERS_53, A_FUNCTION_423_85 );}}
{obj_t LAMBDA_2_8_ENV_513_0;
LAMBDA_2_8_ENV_513_0=PROCEDURE_20___INSTALL_EXPANDERS_37;{obj_t A_FUNCTION_424_133;
A_FUNCTION_424_133=LAMBDA_2_8_ENV_513_0;INSTALL_EXPANDER___MACRO_244( TRY_21___INSTALL_EXPANDERS_127, A_FUNCTION_424_133 );}}
{obj_t LAMBDA_2_9_ENV_511_71;
LAMBDA_2_9_ENV_511_71=PROCEDURE_22___INSTALL_EXPANDERS_73;{obj_t A_FUNCTION_425_88;
A_FUNCTION_425_88=LAMBDA_2_9_ENV_511_71;INSTALL_EXPANDER___MACRO_244( MATCH_CA_23___INSTALL_EXPANDERS_37, A_FUNCTION_425_88 );}}
{obj_t LAMBDA_2_10_ENV_509_159;
LAMBDA_2_10_ENV_509_159=PROCEDURE_24___INSTALL_EXPANDERS_236;{obj_t A_FUNCTION_426_250;
A_FUNCTION_426_250=LAMBDA_2_10_ENV_509_159;INSTALL_EXPANDER___MACRO_244( MATCH_LA_25___INSTALL_EXPANDERS_231, A_FUNCTION_426_250 );}}
{obj_t LAMBDA_2_11_ENV_507_7;
LAMBDA_2_11_ENV_507_7=PROCEDURE_26___INSTALL_EXPANDERS_178;{obj_t A_FUNCTION_427_154;
A_FUNCTION_427_154=LAMBDA_2_11_ENV_507_7;INSTALL_EXPANDER___MACRO_244( DEFINE_P_27___INSTALL_EXPANDERS_158, A_FUNCTION_427_154 );}}
{obj_t LAMBDA_2_12_ENV_505_110;
LAMBDA_2_12_ENV_505_110=PROCEDURE_28___INSTALL_EXPANDERS_224;{obj_t A_FUNCTION_435_49;
A_FUNCTION_435_49=LAMBDA_2_12_ENV_505_110;INSTALL_EXPANDER___MACRO_244( DELAY_29___INSTALL_EXPANDERS_28, A_FUNCTION_435_49 );}}
{obj_t A_FUNCTION_436_190;
A_FUNCTION_436_190=EXPAND_REGULAR_GRAMMAR_ENV___RGC_EXPAND_116;INSTALL_EXPANDER___MACRO_244( REGULAR__30___INSTALL_EXPANDERS_113, A_FUNCTION_436_190 );}
{obj_t A_FUNCTION_437_104;
A_FUNCTION_437_104=EXPAND_REGULAR_SEARCH_ENV___RGC_EXPAND_243;INSTALL_EXPANDER___MACRO_244( REGULAR__31___INSTALL_EXPANDERS_141, A_FUNCTION_437_104 );}
{obj_t LAMBDA_2_13_ENV_503_146;
LAMBDA_2_13_ENV_503_146=PROCEDURE_32___INSTALL_EXPANDERS_14;{obj_t A_FUNCTION_441_120;
A_FUNCTION_441_120=LAMBDA_2_13_ENV_503_146;INSTALL_EXPANDER___MACRO_244( BEGIN_33___INSTALL_EXPANDERS_138, A_FUNCTION_441_120 );}}
{obj_t LAMBDA_2_14_ENV_501_172;
LAMBDA_2_14_ENV_501_172=PROCEDURE_34___INSTALL_EXPANDERS_175;{obj_t A_FUNCTION_448_10;
A_FUNCTION_448_10=LAMBDA_2_14_ENV_501_172;INSTALL_EXPANDER___MACRO_244( FAILURE_35___INSTALL_EXPANDERS_34, A_FUNCTION_448_10 );}}
{obj_t LAMBDA_2_15_ENV_499_47;
LAMBDA_2_15_ENV_499_47=PROCEDURE_36___INSTALL_EXPANDERS_162;{obj_t A_FUNCTION_455_62;
A_FUNCTION_455_62=LAMBDA_2_15_ENV_499_47;INSTALL_EVAL_EXPANDER___MACRO_94( BIND_EXI_37___INSTALL_EXPANDERS_78, A_FUNCTION_455_62 );}}
{obj_t LAMBDA_2_16_ENV_497_242;
LAMBDA_2_16_ENV_497_242=PROCEDURE_38___INSTALL_EXPANDERS_220;{obj_t A_FUNCTION_456_114;
A_FUNCTION_456_114=LAMBDA_2_16_ENV_497_242;INSTALL_EVAL_EXPANDER___MACRO_94( MODULE_39___INSTALL_EXPANDERS_38, A_FUNCTION_456_114 );}}
{obj_t LAMBDA_2_17_ENV_495_143;
LAMBDA_2_17_ENV_495_143=PROCEDURE_40___INSTALL_EXPANDERS_86;{obj_t A_FUNCTION_467_6;
A_FUNCTION_467_6=LAMBDA_2_17_ENV_495_143;INSTALL_EVAL_EXPANDER___MACRO_94( IF_2___INSTALL_EXPANDERS_109, A_FUNCTION_467_6 );}}
{obj_t LAMBDA_2_18_ENV_493_28;
LAMBDA_2_18_ENV_493_28=PROCEDURE_41___INSTALL_EXPANDERS_255;{obj_t A_FUNCTION_468_112;
A_FUNCTION_468_112=LAMBDA_2_18_ENV_493_28;INSTALL_EVAL_EXPANDER___MACRO_94( LAMBDA_3___INSTALL_EXPANDERS_195, A_FUNCTION_468_112 );}}
{obj_t LAMBDA_2_19_ENV_491_57;
LAMBDA_2_19_ENV_491_57=PROCEDURE_42___INSTALL_EXPANDERS_169;{obj_t A_FUNCTION_469_113;
A_FUNCTION_469_113=LAMBDA_2_19_ENV_491_57;INSTALL_EVAL_EXPANDER___MACRO_94( LET_43___INSTALL_EXPANDERS_27, A_FUNCTION_469_113 );}}
{obj_t LAMBDA_2_20_ENV_489_53;
LAMBDA_2_20_ENV_489_53=PROCEDURE_44___INSTALL_EXPANDERS_143;{obj_t A_FUNCTION_470_202;
A_FUNCTION_470_202=LAMBDA_2_20_ENV_489_53;INSTALL_EVAL_EXPANDER___MACRO_94( LET__45___INSTALL_EXPANDERS_86, A_FUNCTION_470_202 );}}
{obj_t LAMBDA_2_21_ENV_487_227;
LAMBDA_2_21_ENV_487_227=PROCEDURE_46___INSTALL_EXPANDERS_10;{obj_t A_FUNCTION_471_217;
A_FUNCTION_471_217=LAMBDA_2_21_ENV_487_227;INSTALL_EVAL_EXPANDER___MACRO_94( LETREC_47___INSTALL_EXPANDERS_147, A_FUNCTION_471_217 );}}
{obj_t LAMBDA_2_22_ENV_485_148;
LAMBDA_2_22_ENV_485_148=PROCEDURE_48___INSTALL_EXPANDERS_172;{obj_t A_FUNCTION_472_90;
A_FUNCTION_472_90=LAMBDA_2_22_ENV_485_148;INSTALL_EVAL_EXPANDER___MACRO_94( LABELS_49___INSTALL_EXPANDERS_212, A_FUNCTION_472_90 );}}
{obj_t LAMBDA_2_23_ENV_483_72;
LAMBDA_2_23_ENV_483_72=PROCEDURE_50___INSTALL_EXPANDERS_78;{obj_t A_FUNCTION_473_129;
A_FUNCTION_473_129=LAMBDA_2_23_ENV_483_72;INSTALL_EVAL_EXPANDER___MACRO_94( DEFINE_51___INSTALL_EXPANDERS_116, A_FUNCTION_473_129 );}}
{obj_t LAMBDA_2_24_ENV_481_222;
LAMBDA_2_24_ENV_481_222=PROCEDURE_52___INSTALL_EXPANDERS_170;{obj_t A_FUNCTION_474_71;
A_FUNCTION_474_71=LAMBDA_2_24_ENV_481_222;INSTALL_EVAL_EXPANDER___MACRO_94( DEFINE_I_53___INSTALL_EXPANDERS_32, A_FUNCTION_474_71 );}}
{obj_t LAMBDA_2_25_ENV_479_183;
LAMBDA_2_25_ENV_479_183=PROCEDURE_54___INSTALL_EXPANDERS_116;{obj_t A_FUNCTION_475_231;
A_FUNCTION_475_231=LAMBDA_2_25_ENV_479_183;INSTALL_EVAL_EXPANDER___MACRO_94( DEFINE_S_55___INSTALL_EXPANDERS_159, A_FUNCTION_475_231 );}}
{obj_t LAMBDA_2_26_ENV_477_3;
LAMBDA_2_26_ENV_477_3=PROCEDURE_56___INSTALL_EXPANDERS_15;{obj_t A_FUNCTION_476_165;
A_FUNCTION_476_165=LAMBDA_2_26_ENV_477_3;return INSTALL_EVAL_EXPANDER___MACRO_94( CASE_57___INSTALL_EXPANDERS_125, A_FUNCTION_476_165 );}}
}
}

obj_t
#if defined( __STDC__ )
__INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_254(obj_t ENV_531_95)
#else
__INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_254( ENV_531_95 )
obj_t ENV_531_95;
#endif
{

return INSTALL_ALL_EXPANDERS____INSTALL_EXPANDERS_207();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_224_25(obj_t LAMBDA_2_0_ENV_530_73,obj_t X_225_175,obj_t E_226_142)
#else
LAMBDA_2_0_224_25( LAMBDA_2_0_ENV_530_73, X_225_175, E_226_142 )
obj_t LAMBDA_2_0_ENV_530_73, X_225_175, E_226_142;
#endif
{

return EXPAND_QUOTE___EXPANDER_QUOTE_168( X_225_175, E_226_142 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_1_227_87(obj_t LAMBDA_2_1_ENV_528_222,obj_t X_228_150,obj_t E_229_47)
#else
LAMBDA_2_1_227_87( LAMBDA_2_1_ENV_528_222, X_228_150, E_229_47 )
obj_t LAMBDA_2_1_ENV_528_222, X_228_150, E_229_47;
#endif
{

{obj_t AUX_565_239;
AUX_565_239=QUASIQUOTATION___EXPANDER_QUOTE_140( BINT( 1 ), X_228_150 );return PROCEDURE_ENTRY( E_229_47 )( E_229_47, AUX_565_239, E_229_47, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_2_230_55(obj_t LAMBDA_2_2_ENV_526_48,obj_t X_231_169,obj_t E_232_195)
#else
LAMBDA_2_2_230_55( LAMBDA_2_2_ENV_526_48, X_231_169, E_232_195 )
obj_t LAMBDA_2_2_ENV_526_48, X_231_169, E_232_195;
#endif
{

return EXPAND_DEFINE_MACRO___EVAL_191( X_231_169, E_232_195 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_3_233_204(obj_t LAMBDA_2_3_ENV_524_122,obj_t X_234_87,obj_t E_235_50)
#else
LAMBDA_2_3_233_204( LAMBDA_2_3_ENV_524_122, X_234_87, E_235_50 )
obj_t LAMBDA_2_3_ENV_524_122, X_234_87, E_235_50;
#endif
{

return EXPAND_DEFINE_EXPANDER___EVAL_232( X_234_87, E_235_50 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_4_236_251(obj_t LAMBDA_2_4_ENV_522_43,obj_t X_237_107,obj_t E_238_189)
#else
LAMBDA_2_4_236_251( LAMBDA_2_4_ENV_522_43, X_237_107, E_238_189 )
obj_t LAMBDA_2_4_ENV_522_43, X_237_107, E_238_189;
#endif
{

{obj_t AUX_564_193;
AUX_564_193=EXPAND_OR___EXPANDER_BOOL_215( X_237_107 );return PROCEDURE_ENTRY( E_238_189 )( E_238_189, AUX_564_193, E_238_189, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_5_239_137(obj_t LAMBDA_2_5_ENV_520_95,obj_t X_240_78,obj_t E_241_84)
#else
LAMBDA_2_5_239_137( LAMBDA_2_5_ENV_520_95, X_240_78, E_241_84 )
obj_t LAMBDA_2_5_ENV_520_95, X_240_78, E_241_84;
#endif
{

{obj_t AUX_563_11;
AUX_563_11=EXPAND_AND___EXPANDER_BOOL_94( X_240_78 );return PROCEDURE_ENTRY( E_241_84 )( E_241_84, AUX_563_11, E_241_84, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_6_242_114(obj_t LAMBDA_2_6_ENV_518_62,obj_t X_243_22,obj_t E_244_187)
#else
LAMBDA_2_6_242_114( LAMBDA_2_6_ENV_518_62, X_243_22, E_244_187 )
obj_t LAMBDA_2_6_ENV_518_62, X_243_22, E_244_187;
#endif
{

{obj_t AUX_562_126;
AUX_562_126=EXPAND_COND___EXPANDER_BOOL_247( X_243_22 );return PROCEDURE_ENTRY( E_244_187 )( E_244_187, AUX_562_126, E_244_187, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_7_245_232(obj_t LAMBDA_2_7_ENV_516_75,obj_t X_246_181,obj_t E_247_13)
#else
LAMBDA_2_7_245_232( LAMBDA_2_7_ENV_516_75, X_246_181, E_247_13 )
obj_t LAMBDA_2_7_ENV_516_75, X_246_181, E_247_13;
#endif
{

return EXPAND_DO___EXPANDER_DO_52( X_246_181, E_247_13 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_8_248_213(obj_t LAMBDA_2_8_ENV_514_31,obj_t X_249_172,obj_t E_250_89)
#else
LAMBDA_2_8_248_213( LAMBDA_2_8_ENV_514_31, X_249_172, E_250_89 )
obj_t LAMBDA_2_8_ENV_514_31, X_249_172, E_250_89;
#endif
{

return EXPAND_TRY___EXPANDER_TRY_51( X_249_172, E_250_89 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_9_251_36(obj_t LAMBDA_2_9_ENV_512_19,obj_t X_252_67,obj_t E_253_3)
#else
LAMBDA_2_9_251_36( LAMBDA_2_9_ENV_512_19, X_252_67, E_253_3 )
obj_t LAMBDA_2_9_ENV_512_19, X_252_67, E_253_3;
#endif
{

{obj_t AUX_561_171;
AUX_561_171=EXPAND_MATCH_CASE___MATCH_EXPAND_96( X_252_67 );return PROCEDURE_ENTRY( E_253_3 )( E_253_3, AUX_561_171, E_253_3, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_10_254_116(obj_t LAMBDA_2_10_ENV_510_243,obj_t X_255_2,obj_t E_256_42)
#else
LAMBDA_2_10_254_116( LAMBDA_2_10_ENV_510_243, X_255_2, E_256_42 )
obj_t LAMBDA_2_10_ENV_510_243, X_255_2, E_256_42;
#endif
{

{obj_t AUX_560_5;
AUX_560_5=EXPAND_MATCH_LAMBDA___MATCH_EXPAND_136( X_255_2 );return PROCEDURE_ENTRY( E_256_42 )( E_256_42, AUX_560_5, E_256_42, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_11_257_150(obj_t LAMBDA_2_11_ENV_508_56,obj_t X_258_148,obj_t E_259_240)
#else
LAMBDA_2_11_257_150( LAMBDA_2_11_ENV_508_56, X_258_148, E_259_240 )
obj_t LAMBDA_2_11_ENV_508_56, X_258_148, E_259_240;
#endif
{

{obj_t AUX_559_121;
AUX_559_121=EXPAND_DEFINE_PATTERN___EVAL_100( X_258_148 );return PROCEDURE_ENTRY( E_259_240 )( E_259_240, AUX_559_121, E_259_240, BEOA );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_12_260_196(obj_t LAMBDA_2_12_ENV_506_14,obj_t X_261_26,obj_t E_262_69)
#else
LAMBDA_2_12_260_196( LAMBDA_2_12_ENV_506_14, X_261_26, E_262_69 )
obj_t LAMBDA_2_12_ENV_506_14, X_261_26, E_262_69;
#endif
{

{obj_t EXP_267_195;
if( PAIRP( X_261_26 ))
{obj_t CDR_107_266_242;
CDR_107_266_242=CDR( X_261_26 );if( PAIRP( CDR_107_266_242 ))
{obj_t OBJ2_362_37;
OBJ2_362_37=BNIL;{obj_t OBJ1_361_187;
OBJ1_361_187=CDR( CDR_107_266_242 );if( EQP( OBJ1_361_187, OBJ2_362_37 ))
{obj_t C_CAR_364_150;
C_CAR_364_150=CAR( CDR_107_266_242 );{
EXP_267_195=C_CAR_364_150;
{
{obj_t VA_ARG_430_98;
VA_ARG_430_98=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_431_21;
{obj_t VA_ARG_432_112;
VA_ARG_432_112=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_433_113;
{obj_t AUX_557_185;
AUX_557_185=PROCEDURE_ENTRY( E_262_69 )( E_262_69, EXP_267_195, E_262_69, BEOA );VA_ARG_433_113=MAKE_PAIR( AUX_557_185, VA_ARG_432_112 );}{obj_t VA_ARG_434_151;
VA_ARG_434_151=MAKE_PAIR( BNIL, VA_ARG_433_113 );{obj_t AUX_558_64;
AUX_558_64=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_3___INSTALL_EXPANDERS_195, VA_ARG_434_151 );VA_ARG_431_21=MAKE_PAIR( AUX_558_64, VA_ARG_430_98 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( MAKE_PRO_58___INSTALL_EXPANDERS_78, VA_ARG_431_21 );}}}
}}else
{_TAG_102_264_180:

FAILURE( BREF( &DELAY_59___INSTALL_EXPANDERS_219), BREF( &ILLEGAL__60___INSTALL_EXPANDERS_12), X_261_26 );}}}else
goto _TAG_102_264_180;}else
goto _TAG_102_264_180;}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_13_268_92(obj_t LAMBDA_2_13_ENV_504_23,obj_t X_269_166,obj_t E_270_123)
#else
LAMBDA_2_13_268_92( LAMBDA_2_13_ENV_504_23, X_269_166, E_270_123 )
obj_t LAMBDA_2_13_ENV_504_23, X_269_166, E_270_123;
#endif
{

{obj_t BODY_274_191;
if( PAIRP( X_269_166 ))
{obj_t C_CDR_380_59;
C_CDR_380_59=CDR( X_269_166 );{
BODY_274_191=C_CDR_380_59;
{
{obj_t NEW_275_43;
{obj_t VA_ARG_440_168;
{obj_t AUX_554_164;
{obj_t AUX_556_194, AUX_555_29;
AUX_556_194=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( NULLP( BODY_274_191 ))
AUX_555_29=BNIL;else
{obj_t HEAD_277_86;
{obj_t OBJ2_369_38;
OBJ2_369_38=BNIL;{obj_t OBJ1_368_247;
{obj_t X_283_137;
X_283_137=CAR( BODY_274_191 );OBJ1_368_247=PROCEDURE_ENTRY( E_270_123 )( E_270_123, X_283_137, E_270_123, BEOA );}HEAD_277_86=MAKE_PAIR( OBJ1_368_247, OBJ2_369_38 );}}{obj_t g1000_279_89, TAIL_280_139;
{obj_t C_CDR_375_74;
C_CDR_375_74=CDR( BODY_274_191 );{
TAIL_280_139=HEAD_277_86;
g1000_279_89=C_CDR_375_74;
{_g1001_278_51:

if( NULLP( g1000_279_89 ))
AUX_555_29=HEAD_277_86;else
{obj_t NEW_TAIL_281_163;
{obj_t OBJ2_371_174;
OBJ2_371_174=BNIL;{obj_t OBJ1_370_83;
{obj_t X_282_228;
X_282_228=CAR( g1000_279_89 );OBJ1_370_83=PROCEDURE_ENTRY( E_270_123 )( E_270_123, X_282_228, E_270_123, BEOA );}NEW_TAIL_281_163=MAKE_PAIR( OBJ1_370_83, OBJ2_371_174 );}}{
SET_CDR( TAIL_280_139, NEW_TAIL_281_163 );
{obj_t C_CDR_374_59;
C_CDR_374_59=CDR( g1000_279_89 );{
TAIL_280_139=NEW_TAIL_281_163;
g1000_279_89=C_CDR_374_59;
goto _g1001_278_51;
}}
}}}
}}}}AUX_554_164=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_555_29, AUX_556_194 );}VA_ARG_440_168=MAKE_PAIR( AUX_554_164, BNIL );}NEW_275_43=CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_33___INSTALL_EXPANDERS_138, VA_ARG_440_168 );}{
{obj_t OBJ_378_183;
OBJ_378_183=CAR( NEW_275_43 );SET_CAR( X_269_166, OBJ_378_183 );}
{obj_t OBJ_379_167;
OBJ_379_167=CDR( NEW_275_43 );SET_CDR( X_269_166, OBJ_379_167 );}
return X_269_166;
}}}
}}else
{
FAILURE( BREF( &BEGIN_61___INSTALL_EXPANDERS_94), BREF( &ILLEGAL__60___INSTALL_EXPANDERS_12), X_269_166 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_14_284_144(obj_t LAMBDA_2_14_ENV_502_147,obj_t X_285_108,obj_t E_286_206)
#else
LAMBDA_2_14_284_144( LAMBDA_2_14_ENV_502_147, X_285_108, E_286_206 )
obj_t LAMBDA_2_14_ENV_502_147, X_285_108, E_286_206;
#endif
{

{obj_t PROC_293_205, MSG_294_131, OBJ_295_216;
if( PAIRP( X_285_108 ))
{obj_t CDR_130_290_228;
CDR_130_290_228=CDR( X_285_108 );if( PAIRP( CDR_130_290_228 ))
{obj_t CDR_135_291_16;
CDR_135_291_16=CDR( CDR_130_290_228 );if( PAIRP( CDR_135_291_16 ))
{obj_t CDR_140_292_57;
CDR_140_292_57=CDR( CDR_135_291_16 );if( PAIRP( CDR_140_292_57 ))
{obj_t OBJ2_382_233;
OBJ2_382_233=BNIL;{obj_t OBJ1_381_212;
OBJ1_381_212=CDR( CDR_140_292_57 );if( EQP( OBJ1_381_212, OBJ2_382_233 ))
{obj_t C_CAR_383_210;
C_CAR_383_210=CAR( CDR_130_290_228 );{obj_t C_CAR_384_115;
C_CAR_384_115=CAR( CDR_135_291_16 );{obj_t C_CAR_385_48;
C_CAR_385_48=CAR( CDR_140_292_57 );{
OBJ_295_216=C_CAR_385_48;
MSG_294_131=C_CAR_384_115;
PROC_293_205=C_CAR_383_210;
{
{obj_t VA_ARG_444_156;
VA_ARG_444_156=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_445_241;
{obj_t AUX_551_143;
AUX_551_143=PROCEDURE_ENTRY( E_286_206 )( E_286_206, OBJ_295_216, E_286_206, BEOA );VA_ARG_445_241=MAKE_PAIR( AUX_551_143, VA_ARG_444_156 );}{obj_t VA_ARG_446_79;
{obj_t AUX_552_134;
AUX_552_134=PROCEDURE_ENTRY( E_286_206 )( E_286_206, MSG_294_131, E_286_206, BEOA );VA_ARG_446_79=MAKE_PAIR( AUX_552_134, VA_ARG_445_241 );}{obj_t VA_ARG_447_46;
{obj_t AUX_553_105;
AUX_553_105=PROCEDURE_ENTRY( E_286_206 )( E_286_206, PROC_293_205, E_286_206, BEOA );VA_ARG_447_46=MAKE_PAIR( AUX_553_105, VA_ARG_446_79 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( FAILURE_35___INSTALL_EXPANDERS_34, VA_ARG_447_46 );}}}}}
}}}}else
{_TAG_121_288_244:

FAILURE( BREF( &FAILURE_62___INSTALL_EXPANDERS_7), BREF( &ILLEGAL__63___INSTALL_EXPANDERS_32), X_285_108 );}}}else
goto _TAG_121_288_244;}else
goto _TAG_121_288_244;}else
goto _TAG_121_288_244;}else
goto _TAG_121_288_244;}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_15_296_79(obj_t LAMBDA_2_15_ENV_500_229,obj_t X_297_180,obj_t E_298_185)
#else
LAMBDA_2_15_296_79( LAMBDA_2_15_ENV_500_229, X_297_180, E_298_185 )
obj_t LAMBDA_2_15_ENV_500_229, X_297_180, E_298_185;
#endif
{

{obj_t EXIT_305_164, BODY_306_35;
if( PAIRP( X_297_180 ))
{obj_t CDR_154_302_94;
CDR_154_302_94=CDR( X_297_180 );if( PAIRP( CDR_154_302_94 ))
{obj_t CAR_157_304_198, CDR_158_303_25;
CAR_157_304_198=CAR( CDR_154_302_94 );CDR_158_303_25=CDR( CDR_154_302_94 );if( PAIRP( CAR_157_304_198 ))
{obj_t OBJ2_387_138;
OBJ2_387_138=BNIL;{obj_t OBJ1_386_247;
OBJ1_386_247=CDR( CAR_157_304_198 );if( EQP( OBJ1_386_247, OBJ2_387_138 ))
if( EQP( CDR_158_303_25, OBJ2_387_138 ))
{_TAG_147_300_111:

FAILURE( BREF( &BIND_EXI_64___INSTALL_EXPANDERS_142), BREF( &ILLEGAL__60___INSTALL_EXPANDERS_12), X_297_180 );}else
{obj_t C_CAR_389_57;
C_CAR_389_57=CAR( CAR_157_304_198 );{
BODY_306_35=CDR_158_303_25;
EXIT_305_164=C_CAR_389_57;
{
{obj_t VA_ARG_451_81;
VA_ARG_451_81=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_452_24;
{obj_t AUX_548_123;
{obj_t AUX_549_229;
AUX_549_229=NORMALIZE_PROGN___PROGN_138( BODY_306_35 );AUX_548_123=PROCEDURE_ENTRY( E_298_185 )( E_298_185, AUX_549_229, E_298_185, BEOA );}VA_ARG_452_24=MAKE_PAIR( AUX_548_123, VA_ARG_451_81 );}{obj_t VA_ARG_453_6;
{obj_t VA_ARG_454_92;
VA_ARG_454_92=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_550_55;
AUX_550_55=CONS____R4_PAIRS_AND_LISTS_6_3_28( EXIT_305_164, VA_ARG_454_92 );VA_ARG_453_6=MAKE_PAIR( AUX_550_55, VA_ARG_452_24 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( BIND_EXI_37___INSTALL_EXPANDERS_78, VA_ARG_453_6 );}}}}
}}else
goto _TAG_147_300_111;}}else
goto _TAG_147_300_111;}else
goto _TAG_147_300_111;}else
goto _TAG_147_300_111;}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_16_307_71(obj_t LAMBDA_2_16_ENV_498_108,obj_t X_308_88,obj_t E_309_137)
#else
LAMBDA_2_16_307_71( LAMBDA_2_16_ENV_498_108, X_308_88, E_309_137 )
obj_t LAMBDA_2_16_ENV_498_108, X_308_88, E_309_137;
#endif
{

return X_308_88;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_17_310_58(obj_t LAMBDA_2_17_ENV_496_134,obj_t X_311_122,obj_t E_312_123)
#else
LAMBDA_2_17_310_58( LAMBDA_2_17_ENV_496_134, X_311_122, E_312_123 )
obj_t LAMBDA_2_17_ENV_496_134, X_311_122, E_312_123;
#endif
{

{obj_t SI_322_91, ALORS_323_92, SINON_324_115, SI_325_24, ALORS_326_81;
if( PAIRP( X_311_122 ))
{obj_t CDR_180_317_210;
CDR_180_317_210=CDR( X_311_122 );{obj_t OBJ1_390_137;
OBJ1_390_137=CAR( X_311_122 );if( EQP( OBJ1_390_137, IF_2___INSTALL_EXPANDERS_109 ))
if( PAIRP( CDR_180_317_210 ))
{obj_t CDR_193_318_13;
CDR_193_318_13=CDR( CDR_180_317_210 );if( PAIRP( CDR_193_318_13 ))
{obj_t CDR_203_319_155;
CDR_203_319_155=CDR( CDR_193_318_13 );if( PAIRP( CDR_203_319_155 ))
{obj_t OBJ2_392_211;
OBJ2_392_211=BNIL;{obj_t OBJ1_391_228;
OBJ1_391_228=CDR( CDR_203_319_155 );if( EQP( OBJ1_391_228, OBJ2_392_211 ))
{obj_t C_CAR_393_11;
C_CAR_393_11=CAR( CDR_180_317_210 );{obj_t C_CAR_394_193;
C_CAR_394_193=CAR( CDR_193_318_13 );{obj_t C_CAR_395_239;
C_CAR_395_239=CAR( CDR_203_319_155 );{
SINON_324_115=C_CAR_395_239;
ALORS_323_92=C_CAR_394_193;
SI_322_91=C_CAR_393_11;
{
{obj_t VA_ARG_463_139;
VA_ARG_463_139=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_464_74;
{obj_t AUX_542_163;
AUX_542_163=PROCEDURE_ENTRY( E_312_123 )( E_312_123, SINON_324_115, E_312_123, BEOA );VA_ARG_464_74=MAKE_PAIR( AUX_542_163, VA_ARG_463_139 );}{obj_t VA_ARG_465_59;
{obj_t AUX_543_200;
AUX_543_200=PROCEDURE_ENTRY( E_312_123 )( E_312_123, ALORS_323_92, E_312_123, BEOA );VA_ARG_465_59=MAKE_PAIR( AUX_543_200, VA_ARG_464_74 );}{obj_t VA_ARG_466_137;
{obj_t AUX_544_219;
AUX_544_219=EXPAND_TEST___INSTALL_EXPANDERS_138( SI_322_91, E_312_123 );VA_ARG_466_137=MAKE_PAIR( AUX_544_219, VA_ARG_465_59 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_2___INSTALL_EXPANDERS_109, VA_ARG_466_137 );}}}}}
}}}}else
{_TAG_167_315_152:

FAILURE( BREF( &IF_65___INSTALL_EXPANDERS_173), BREF( &ILLEGAL__60___INSTALL_EXPANDERS_12), X_311_122 );}}}else
{obj_t OBJ2_397_49;
OBJ2_397_49=BNIL;if( EQP( CDR_203_319_155, OBJ2_397_49 ))
{obj_t C_CAR_398_108;
C_CAR_398_108=CAR( CDR_180_317_210 );{obj_t C_CAR_399_191;
C_CAR_399_191=CAR( CDR_193_318_13 );{
ALORS_326_81=C_CAR_399_191;
SI_325_24=C_CAR_398_108;
{
{obj_t VA_ARG_459_225;
VA_ARG_459_225=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_460_108;
{obj_t AUX_545_10;
AUX_545_10=BCNST( 3 );VA_ARG_460_108=MAKE_PAIR( AUX_545_10, VA_ARG_459_225 );}{obj_t VA_ARG_461_191;
{obj_t AUX_546_248;
AUX_546_248=PROCEDURE_ENTRY( E_312_123 )( E_312_123, ALORS_326_81, E_312_123, BEOA );VA_ARG_461_191=MAKE_PAIR( AUX_546_248, VA_ARG_460_108 );}{obj_t VA_ARG_462_232;
{obj_t AUX_547_243;
AUX_547_243=EXPAND_TEST___INSTALL_EXPANDERS_138( SI_325_24, E_312_123 );VA_ARG_462_232=MAKE_PAIR( AUX_547_243, VA_ARG_461_191 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_2___INSTALL_EXPANDERS_109, VA_ARG_462_232 );}}}}}
}}}else
goto _TAG_167_315_152;}}else
goto _TAG_167_315_152;}else
goto _TAG_167_315_152;else
goto _TAG_167_315_152;}}else
goto _TAG_167_315_152;}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_18_327_30(obj_t LAMBDA_2_18_ENV_494_48,obj_t X_328_24,obj_t E_329_52)
#else
LAMBDA_2_18_327_30( LAMBDA_2_18_ENV_494_48, X_328_24, E_329_52 )
obj_t LAMBDA_2_18_ENV_494_48, X_328_24, E_329_52;
#endif
{

return EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83( X_328_24, E_329_52 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_19_330_35(obj_t LAMBDA_2_19_ENV_492_223,obj_t X_331_220,obj_t E_332_53)
#else
LAMBDA_2_19_330_35( LAMBDA_2_19_ENV_492_223, X_331_220, E_332_53 )
obj_t LAMBDA_2_19_ENV_492_223, X_331_220, E_332_53;
#endif
{

return EXPAND_EVAL_LET___EXPANDER_LET_41( X_331_220, E_332_53 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_20_333_199(obj_t LAMBDA_2_20_ENV_490_135,obj_t X_334_247,obj_t E_335_47)
#else
LAMBDA_2_20_333_199( LAMBDA_2_20_ENV_490_135, X_334_247, E_335_47 )
obj_t LAMBDA_2_20_ENV_490_135, X_334_247, E_335_47;
#endif
{

return EXPAND_EVAL_LET____EXPANDER_LET_146( X_334_247, E_335_47 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_21_336_113(obj_t LAMBDA_2_21_ENV_488_205,obj_t X_337_43,obj_t E_338_227)
#else
LAMBDA_2_21_336_113( LAMBDA_2_21_ENV_488_205, X_337_43, E_338_227 )
obj_t LAMBDA_2_21_ENV_488_205, X_337_43, E_338_227;
#endif
{

return EXPAND_EVAL_LETREC___EXPANDER_LET_80( X_337_43, E_338_227 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_22_339_97(obj_t LAMBDA_2_22_ENV_486_211,obj_t X_340_90,obj_t E_341_90)
#else
LAMBDA_2_22_339_97( LAMBDA_2_22_ENV_486_211, X_340_90, E_341_90 )
obj_t LAMBDA_2_22_ENV_486_211, X_340_90, E_341_90;
#endif
{

return EXPAND_EVAL_LABELS___EXPANDER_LET_55( X_340_90, E_341_90 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_23_342_153(obj_t LAMBDA_2_23_ENV_484_208,obj_t X_343_217,obj_t E_344_19)
#else
LAMBDA_2_23_342_153( LAMBDA_2_23_ENV_484_208, X_343_217, E_344_19 )
obj_t LAMBDA_2_23_ENV_484_208, X_343_217, E_344_19;
#endif
{

return EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251( X_343_217, E_344_19 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_24_345_187(obj_t LAMBDA_2_24_ENV_482_200,obj_t X_346_71,obj_t E_347_71)
#else
LAMBDA_2_24_345_187( LAMBDA_2_24_ENV_482_200, X_346_71, E_347_71 )
obj_t LAMBDA_2_24_ENV_482_200, X_346_71, E_347_71;
#endif
{

return EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255( X_346_71, E_347_71 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_25_348_22(obj_t LAMBDA_2_25_ENV_480_25,obj_t X_349_249,obj_t E_350_244)
#else
LAMBDA_2_25_348_22( LAMBDA_2_25_ENV_480_25, X_349_249, E_350_244 )
obj_t LAMBDA_2_25_ENV_480_25, X_349_249, E_350_244;
#endif
{

return EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206( X_349_249, E_350_244 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_26_351_176(obj_t LAMBDA_2_26_ENV_478_158,obj_t X_352_47,obj_t E_353_249)
#else
LAMBDA_2_26_351_176( LAMBDA_2_26_ENV_478_158, X_352_47, E_353_249 )
obj_t LAMBDA_2_26_ENV_478_158, X_352_47, E_353_249;
#endif
{

return EXPAND_EVAL_CASE___EXPANDER_CASE_162( X_352_47, E_353_249 );
}

