/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-bool.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t ____12___EXPANDER_BOOL_235 = BUNSPEC;
static obj_t COND_10___EXPANDER_BOOL_18 = BUNSPEC;
static obj_t LET_4___EXPANDER_BOOL_190 = BUNSPEC;
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
static obj_t IF_3___EXPANDER_BOOL_139 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
extern obj_t GENSYM___R4_SYMBOLS_6_4_130;
DEFINE_STRING( ILLEGAL__9___EXPANDER_BOOL_177, "Illegal form", 12);
#if defined( __STDC__ )
extern obj_t EXPAND_OR___EXPANDER_BOOL_215(obj_t);
#else
extern obj_t EXPAND_OR___EXPANDER_BOOL_215();
#endif
#if defined( __STDC__ )
extern obj_t ____EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_88(obj_t);
#else
extern obj_t ____EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_88();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_AND___EXPANDER_BOOL_76(obj_t, obj_t);
#else
extern obj_t __EXPAND_AND___EXPANDER_BOOL_76();
#endif
DEFINE_STRING( COND_CLA_8___EXPANDER_BOOL_82, "cond-clause", 11);
#if defined( __STDC__ )
extern obj_t EXPAND_AND___EXPANDER_BOOL_94(obj_t);
#else
extern obj_t EXPAND_AND___EXPANDER_BOOL_94();
#endif
static obj_t TEST_RES_14___EXPANDER_BOOL_150 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPAND_COND___EXPANDER_BOOL_247(obj_t);
#else
extern obj_t EXPAND_COND___EXPANDER_BOOL_247();
#endif
extern obj_t ___PROGN_INITIALISATION___PROGN_85();
DEFINE_STRING( AND_5___EXPANDER_BOOL_26, "and", 3);
obj_t EXPAND_OR_ENV___EXPANDER_BOOL_37 = BUNSPEC;
static obj_t OR_11___EXPANDER_BOOL_233 = BUNSPEC;
DEFINE_STRING( TEST__0___EXPANDER_BOOL_78, "test_", 5);
static obj_t REQUIRE_INITIALISATION____EXPANDER_BOOL_180 = BUNSPEC;
extern obj_t ___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165();
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
static obj_t LAMBDA_16___EXPANDER_BOOL_155 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
obj_t EXPAND_AND_ENV___EXPANDER_BOOL_21 = BUNSPEC;
static obj_t THUNK__13___EXPANDER_BOOL_77 = BUNSPEC;
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
#if defined( __STDC__ )
extern obj_t __EXPAND_OR___EXPANDER_BOOL_253(obj_t, obj_t);
#else
extern obj_t __EXPAND_OR___EXPANDER_BOOL_253();
#endif
DEFINE_STRING( ___2___EXPANDER_BOOL_92, "_", 1);
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
extern obj_t make_fx_procedure();
obj_t ___EXPANDER_BOOL_INITIALISATION_ENV___EXPANDER_BOOL_31 = BUNSPEC;
static obj_t ELSE_6___EXPANDER_BOOL_130 = BUNSPEC;
extern obj_t NORMALIZE_PROGN___PROGN_138();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
extern obj_t __EXPAND_COND___EXPANDER_BOOL_78(obj_t, obj_t);
#else
extern obj_t __EXPAND_COND___EXPANDER_BOOL_78();
#endif
static obj_t LIST_7___EXPANDER_BOOL_44 = BUNSPEC;
obj_t EXPAND_COND_ENV___EXPANDER_BOOL_53 = BUNSPEC;
static obj_t THUNK__15___EXPANDER_BOOL_108 = BUNSPEC;
DEFINE_STRING( OR_1___EXPANDER_BOOL_140, "or", 2);

static obj_t LOOP_224_161();
static obj_t LOOP_228_198();

obj_t
#if defined( __STDC__ )
___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165()
#else
___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_BOOL_180 ))
{
REQUIRE_INITIALISATION____EXPANDER_BOOL_180=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
___PROGN_INITIALISATION___PROGN_85();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
THUNK__13___EXPANDER_BOOL_77=c_string_to_symbol( "THUNK3" );
COND_10___EXPANDER_BOOL_18=c_string_to_symbol( "COND" );
LET_4___EXPANDER_BOOL_190=c_string_to_symbol( "LET" );
THUNK__15___EXPANDER_BOOL_108=c_string_to_symbol( "THUNK2" );
IF_3___EXPANDER_BOOL_139=c_string_to_symbol( "IF" );
OR_11___EXPANDER_BOOL_233=c_string_to_symbol( "OR" );
____12___EXPANDER_BOOL_235=c_string_to_symbol( "=>" );
LAMBDA_16___EXPANDER_BOOL_155=c_string_to_symbol( "LAMBDA" );
ELSE_6___EXPANDER_BOOL_130=c_string_to_symbol( "ELSE" );
TEST_RES_14___EXPANDER_BOOL_150=c_string_to_symbol( "TEST-RESULT" );
LIST_7___EXPANDER_BOOL_44=MAKE_PAIR( ELSE_6___EXPANDER_BOOL_130, BNIL );
{
___EXPANDER_BOOL_INITIALISATION_ENV___EXPANDER_BOOL_31=make_fx_procedure( ____EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_88, 0, 0 );
EXPAND_OR_ENV___EXPANDER_BOOL_37=make_fx_procedure( __EXPAND_OR___EXPANDER_BOOL_253, 1, 0 );
EXPAND_AND_ENV___EXPANDER_BOOL_21=make_fx_procedure( __EXPAND_AND___EXPANDER_BOOL_76, 1, 0 );
EXPAND_COND_ENV___EXPANDER_BOOL_53=make_fx_procedure( __EXPAND_COND___EXPANDER_BOOL_78, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_88(obj_t ENV_353_161)
#else
____EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_88( ENV_353_161 )
obj_t ENV_353_161;
#endif
{

return ___EXPANDER_BOOL_INITIALISATION___EXPANDER_BOOL_165();
}

obj_t
#if defined( __STDC__ )
EXPAND_OR___EXPANDER_BOOL_215(obj_t EXP_223_101)
#else
EXPAND_OR___EXPANDER_BOOL_215( EXP_223_101 )
obj_t EXP_223_101;
#endif
{

{obj_t C_CDR_244_165;
C_CDR_244_165=CDR( EXP_223_101 );return LOOP_224_161( C_CDR_244_165 );}
}

static obj_t
#if defined( __STDC__ )
LOOP_224_161(obj_t SOR_225_13)
#else
LOOP_224_161( SOR_225_13 )
obj_t SOR_225_13;
#endif
{

if( NULLP( SOR_225_13 ))
return BFALSE;else
{bool_t OBJ_354_1;
OBJ_354_1=NULLP( CDR( SOR_225_13 ) );if( OBJ_354_1)
return CAR( SOR_225_13 );else
{obj_t TEST_226_168;
{obj_t VA_ARG_280_35;
{obj_t STRING_CAST_285_6;
STRING_CAST_285_6=BREF( &TEST__0___EXPANDER_BOOL_78);VA_ARG_280_35=MAKE_PAIR( STRING_CAST_285_6, BNIL );}{obj_t VA_ARG_281_206;
{obj_t STRING_CAST_284_24;
STRING_CAST_284_24=BREF( &OR_1___EXPANDER_BOOL_140);VA_ARG_281_206=MAKE_PAIR( STRING_CAST_284_24, VA_ARG_280_35 );}{obj_t VA_ARG_282_95;
{obj_t STRING_CAST_283_91;
STRING_CAST_283_91=BREF( &___2___EXPANDER_BOOL_92);VA_ARG_282_95=MAKE_PAIR( STRING_CAST_283_91, VA_ARG_281_206 );}{obj_t AUX_390_143;
AUX_390_143=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_282_95 );TEST_226_168=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, AUX_390_143, BEOA );}}}}{obj_t VA_ARG_286_54;
VA_ARG_286_54=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_287_221;
{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_293_164;
{obj_t C_CDR_243_217;
C_CDR_243_217=CDR( SOR_225_13 );{obj_t AUX_391_55;
AUX_391_55=LOOP_224_161( C_CDR_243_217 );VA_ARG_293_164=MAKE_PAIR( AUX_391_55, VA_ARG_292_29 );}}{obj_t VA_ARG_294_105;
VA_ARG_294_105=MAKE_PAIR( TEST_226_168, VA_ARG_293_164 );{obj_t VA_ARG_295_134;
VA_ARG_295_134=MAKE_PAIR( TEST_226_168, VA_ARG_294_105 );{obj_t AUX_392_105;
AUX_392_105=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_3___EXPANDER_BOOL_139, VA_ARG_295_134 );VA_ARG_287_221=MAKE_PAIR( AUX_392_105, VA_ARG_286_54 );}}}}}{obj_t VA_ARG_288_178;
{obj_t VA_ARG_289_85;
VA_ARG_289_85=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_290_185;
{obj_t C_CAR_242_226;
C_CAR_242_226=CAR( SOR_225_13 );VA_ARG_290_185=MAKE_PAIR( C_CAR_242_226, VA_ARG_289_85 );}{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_393_134;
{obj_t AUX_394_29;
AUX_394_29=CONS____R4_PAIRS_AND_LISTS_6_3_28( TEST_226_168, VA_ARG_290_185 );AUX_393_134=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_394_29, VA_ARG_291_194 );}VA_ARG_288_178=MAKE_PAIR( AUX_393_134, VA_ARG_287_221 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_4___EXPANDER_BOOL_190, VA_ARG_288_178 );}}}}}
}

obj_t
#if defined( __STDC__ )
__EXPAND_OR___EXPANDER_BOOL_253(obj_t ENV_352_176,obj_t EXP_223_101)
#else
__EXPAND_OR___EXPANDER_BOOL_253( ENV_352_176, EXP_223_101 )
obj_t ENV_352_176, EXP_223_101;
#endif
{

return EXPAND_OR___EXPANDER_BOOL_215( EXP_223_101 );
}

obj_t
#if defined( __STDC__ )
EXPAND_AND___EXPANDER_BOOL_94(obj_t EXP_227_126)
#else
EXPAND_AND___EXPANDER_BOOL_94( EXP_227_126 )
obj_t EXP_227_126;
#endif
{

{obj_t C_CDR_249_249;
C_CDR_249_249=CDR( EXP_227_126 );return LOOP_228_198( C_CDR_249_249 );}
}

static obj_t
#if defined( __STDC__ )
LOOP_228_198(obj_t SAND_229_117)
#else
LOOP_228_198( SAND_229_117 )
obj_t SAND_229_117;
#endif
{

if( NULLP( SAND_229_117 ))
return BTRUE;else
{bool_t OBJ_355_14;
OBJ_355_14=NULLP( CDR( SAND_229_117 ) );if( OBJ_355_14)
return CAR( SAND_229_117 );else
{obj_t TEST_230_18;
{obj_t VA_ARG_296_143;
{obj_t STRING_CAST_301_109;
STRING_CAST_301_109=BREF( &TEST__0___EXPANDER_BOOL_78);VA_ARG_296_143=MAKE_PAIR( STRING_CAST_301_109, BNIL );}{obj_t VA_ARG_297_55;
{obj_t STRING_CAST_300_47;
STRING_CAST_300_47=BREF( &AND_5___EXPANDER_BOOL_26);VA_ARG_297_55=MAKE_PAIR( STRING_CAST_300_47, VA_ARG_296_143 );}{obj_t VA_ARG_298_130;
{obj_t STRING_CAST_299_148;
STRING_CAST_299_148=BREF( &___2___EXPANDER_BOOL_92);VA_ARG_298_130=MAKE_PAIR( STRING_CAST_299_148, VA_ARG_297_55 );}{obj_t AUX_385_92;
AUX_385_92=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_298_130 );TEST_230_18=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, AUX_385_92, BEOA );}}}}{obj_t VA_ARG_302_3;
VA_ARG_302_3=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_303_61;
{obj_t VA_ARG_308_240;
VA_ARG_308_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( BFALSE, VA_ARG_308_240 );{obj_t VA_ARG_310_42;
{obj_t C_CDR_248_236;
C_CDR_248_236=CDR( SAND_229_117 );{obj_t AUX_386_127;
AUX_386_127=LOOP_228_198( C_CDR_248_236 );VA_ARG_310_42=MAKE_PAIR( AUX_386_127, VA_ARG_309_255 );}}{obj_t VA_ARG_311_155;
VA_ARG_311_155=MAKE_PAIR( TEST_230_18, VA_ARG_310_42 );{obj_t AUX_387_17;
AUX_387_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_3___EXPANDER_BOOL_139, VA_ARG_311_155 );VA_ARG_303_61=MAKE_PAIR( AUX_387_17, VA_ARG_302_3 );}}}}}{obj_t VA_ARG_304_93;
{obj_t VA_ARG_305_159;
VA_ARG_305_159=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_306_155;
{obj_t C_CAR_247_199;
C_CAR_247_199=CAR( SAND_229_117 );VA_ARG_306_155=MAKE_PAIR( C_CAR_247_199, VA_ARG_305_159 );}{obj_t VA_ARG_307_42;
VA_ARG_307_42=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_388_225;
{obj_t AUX_389_207;
AUX_389_207=CONS____R4_PAIRS_AND_LISTS_6_3_28( TEST_230_18, VA_ARG_306_155 );AUX_388_225=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_389_207, VA_ARG_307_42 );}VA_ARG_304_93=MAKE_PAIR( AUX_388_225, VA_ARG_303_61 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_4___EXPANDER_BOOL_190, VA_ARG_304_93 );}}}}}
}

obj_t
#if defined( __STDC__ )
__EXPAND_AND___EXPANDER_BOOL_76(obj_t ENV_351_86,obj_t EXP_227_126)
#else
__EXPAND_AND___EXPANDER_BOOL_76( ENV_351_86, EXP_227_126 )
obj_t ENV_351_86, EXP_227_126;
#endif
{

return EXPAND_AND___EXPANDER_BOOL_94( EXP_227_126 );
}

obj_t
#if defined( __STDC__ )
EXPAND_COND___EXPANDER_BOOL_247(obj_t EXP_231_64)
#else
EXPAND_COND___EXPANDER_BOOL_247( EXP_231_64 )
obj_t EXP_231_64;
#endif
{

{obj_t CLAUSES_232_174;
CLAUSES_232_174=CDR( EXP_231_64 );{obj_t CLAUSE1_233_44;
if( PAIRP( CLAUSES_232_174 ))
CLAUSE1_233_44=CAR( CLAUSES_232_174 );else
CLAUSE1_233_44=BNIL;{obj_t CLAUSE2__234_245;
if( PAIRP( CLAUSE1_233_44 ))
CLAUSE2__234_245=CDR( CLAUSES_232_174 );else
CLAUSE2__234_245=BFALSE;if( NULLP( CLAUSE1_233_44 ))
return CBOOL_TO_BBOOL( ((bool_t)0) );else
{bool_t __ortest_1001_359_134;
{obj_t AUX_362_36;
if( PAIRP( CLAUSE1_233_44 ))
AUX_362_36=BFALSE;else
AUX_362_36=BTRUE;__ortest_1001_359_134=BBOOL_TO_CBOOL( AUX_362_36 );}{if( __ortest_1001_359_134)
goto _true_0;else
{obj_t AUX_363_65;
AUX_363_65=EQUAL____R4_EQUIVALENCE_6_2_234( CLAUSE1_233_44, LIST_7___EXPANDER_BOOL_44 );if( BBOOL_TO_CBOOL( AUX_363_65 ))
goto _true_0;else
goto _false_1;}_true_0:
FAILURE( BREF( &COND_CLA_8___EXPANDER_BOOL_82), BREF( &ILLEGAL__9___EXPANDER_BOOL_177), EXP_231_64 );_false_1:
{obj_t OBJ_256_66;
OBJ_256_66=CDR( CLAUSE1_233_44 );if( NULLP( OBJ_256_66 ))
{obj_t VA_ARG_314_61;
VA_ARG_314_61=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_315_3;
{obj_t VA_ARG_317_9;
{obj_t AUX_364_30;
{obj_t AUX_365_7;
AUX_365_7=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_364_30=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( CLAUSE2__234_245, AUX_365_7 );}VA_ARG_317_9=MAKE_PAIR( AUX_364_30, BNIL );}{obj_t AUX_366_173;
AUX_366_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( COND_10___EXPANDER_BOOL_18, VA_ARG_317_9 );VA_ARG_315_3=MAKE_PAIR( AUX_366_173, VA_ARG_314_61 );}}{obj_t VA_ARG_316_89;
{obj_t C_CAR_257_112;
C_CAR_257_112=CAR( CLAUSE1_233_44 );VA_ARG_316_89=MAKE_PAIR( C_CAR_257_112, VA_ARG_315_3 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_11___EXPANDER_BOOL_233, VA_ARG_316_89 );}}}else
{bool_t __andtest_1000_361_59;
{obj_t AUX_367_73;
{obj_t OBJ1_260_50;
OBJ1_260_50=CAR( OBJ_256_66 );AUX_367_73=CBOOL_TO_BBOOL( EQP( OBJ1_260_50, ____12___EXPANDER_BOOL_235 ) );}__andtest_1000_361_59=BBOOL_TO_CBOOL( AUX_367_73 );}{if( __andtest_1000_361_59)
{obj_t N1_265_155;
N1_265_155=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( CLAUSE1_233_44 );if( EQ_I( N1_265_155, BINT( 3 ) ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{obj_t VA_ARG_318_82;
VA_ARG_318_82=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_319_106;
{obj_t VA_ARG_337_148;
VA_ARG_337_148=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_338_115;
{obj_t VA_ARG_344_106;
VA_ARG_344_106=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_372_234;
AUX_372_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( THUNK__13___EXPANDER_BOOL_77, VA_ARG_344_106 );VA_ARG_338_115=MAKE_PAIR( AUX_372_234, VA_ARG_337_148 );}}{obj_t VA_ARG_339_48;
{obj_t VA_ARG_341_102;
VA_ARG_341_102=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_342_240;
VA_ARG_342_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_343_255;
VA_ARG_343_255=MAKE_PAIR( TEST_RES_14___EXPANDER_BOOL_150, VA_ARG_342_240 );{obj_t AUX_373_169;
{obj_t AUX_374_177;
AUX_374_177=CONS____R4_PAIRS_AND_LISTS_6_3_28( THUNK__15___EXPANDER_BOOL_108, VA_ARG_341_102 );AUX_373_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_374_177, VA_ARG_343_255 );}VA_ARG_339_48=MAKE_PAIR( AUX_373_169, VA_ARG_338_115 );}}}}{obj_t VA_ARG_340_218;
VA_ARG_340_218=MAKE_PAIR( TEST_RES_14___EXPANDER_BOOL_150, VA_ARG_339_48 );{obj_t AUX_375_107;
AUX_375_107=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_3___EXPANDER_BOOL_139, VA_ARG_340_218 );VA_ARG_319_106=MAKE_PAIR( AUX_375_107, VA_ARG_318_82 );}}}}}{obj_t VA_ARG_320_254;
{obj_t VA_ARG_321_41;
VA_ARG_321_41=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_322_198;
{obj_t C_CAR_266_227;
C_CAR_266_227=CAR( CLAUSE1_233_44 );VA_ARG_322_198=MAKE_PAIR( C_CAR_266_227, VA_ARG_321_41 );}{obj_t VA_ARG_323_168;
VA_ARG_323_168=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_324_46;
{obj_t VA_ARG_331_49;
VA_ARG_331_49=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_332_190;
{obj_t VA_ARG_333_104;
VA_ARG_333_104=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_334_211;
{obj_t VA_ARG_336_223;
{obj_t AUX_376_87;
{obj_t AUX_377_197;
AUX_377_197=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_376_87=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( CLAUSE2__234_245, AUX_377_197 );}VA_ARG_336_223=MAKE_PAIR( AUX_376_87, BNIL );}{obj_t AUX_378_36;
AUX_378_36=CONS____R4_PAIRS_AND_LISTS_6_3_28( COND_10___EXPANDER_BOOL_18, VA_ARG_336_223 );VA_ARG_334_211=MAKE_PAIR( AUX_378_36, VA_ARG_333_104 );}}{obj_t VA_ARG_335_57;
VA_ARG_335_57=MAKE_PAIR( BNIL, VA_ARG_334_211 );{obj_t AUX_379_65;
AUX_379_65=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_16___EXPANDER_BOOL_155, VA_ARG_335_57 );VA_ARG_332_190=MAKE_PAIR( AUX_379_65, VA_ARG_331_49 );}}}}{obj_t AUX_380_81;
AUX_380_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( THUNK__13___EXPANDER_BOOL_77, VA_ARG_332_190 );VA_ARG_324_46=MAKE_PAIR( AUX_380_81, VA_ARG_323_168 );}}}{obj_t VA_ARG_325_79;
{obj_t VA_ARG_326_241;
VA_ARG_326_241=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_327_156;
{obj_t VA_ARG_328_83;
VA_ARG_328_83=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_329_128;
{obj_t PAIR_268_175;
{obj_t PAIR_270_229;
PAIR_270_229=CDR( CLAUSE1_233_44 );PAIR_268_175=CDR( PAIR_270_229 );}{obj_t C_CAR_269_205;
C_CAR_269_205=CAR( PAIR_268_175 );VA_ARG_329_128=MAKE_PAIR( C_CAR_269_205, VA_ARG_328_83 );}}{obj_t VA_ARG_330_213;
VA_ARG_330_213=MAKE_PAIR( BNIL, VA_ARG_329_128 );{obj_t AUX_381_20;
AUX_381_20=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_16___EXPANDER_BOOL_155, VA_ARG_330_213 );VA_ARG_327_156=MAKE_PAIR( AUX_381_20, VA_ARG_326_241 );}}}}{obj_t AUX_382_6;
AUX_382_6=CONS____R4_PAIRS_AND_LISTS_6_3_28( THUNK__15___EXPANDER_BOOL_108, VA_ARG_327_156 );VA_ARG_325_79=MAKE_PAIR( AUX_382_6, VA_ARG_324_46 );}}}{obj_t AUX_383_24;
{obj_t AUX_384_91;
AUX_384_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( TEST_RES_14___EXPANDER_BOOL_150, VA_ARG_322_198 );AUX_383_24=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_384_91, VA_ARG_325_79 );}VA_ARG_320_254=MAKE_PAIR( AUX_383_24, VA_ARG_319_106 );}}}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_4___EXPANDER_BOOL_190, VA_ARG_320_254 );}}}_false_4:
{obj_t OBJ1_271_233;
OBJ1_271_233=CAR( CLAUSE1_233_44 );if( EQP( OBJ1_271_233, ELSE_6___EXPANDER_BOOL_130 ))
{obj_t C_CDR_272_153;
C_CDR_272_153=CDR( CLAUSE1_233_44 );return NORMALIZE_PROGN___PROGN_138( C_CDR_272_153 );}else
{obj_t VA_ARG_345_82;
VA_ARG_345_82=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_346_201;
{obj_t VA_ARG_349_61;
{obj_t AUX_368_234;
{obj_t AUX_369_169;
AUX_369_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_368_234=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( CLAUSE2__234_245, AUX_369_169 );}VA_ARG_349_61=MAKE_PAIR( AUX_368_234, BNIL );}{obj_t AUX_370_56;
AUX_370_56=CONS____R4_PAIRS_AND_LISTS_6_3_28( COND_10___EXPANDER_BOOL_18, VA_ARG_349_61 );VA_ARG_346_201=MAKE_PAIR( AUX_370_56, VA_ARG_345_82 );}}{obj_t VA_ARG_347_158;
{obj_t C_CDR_274_249;
C_CDR_274_249=CDR( CLAUSE1_233_44 );{obj_t AUX_371_68;
AUX_371_68=NORMALIZE_PROGN___PROGN_138( C_CDR_274_249 );VA_ARG_347_158=MAKE_PAIR( AUX_371_68, VA_ARG_346_201 );}}{obj_t VA_ARG_348_3;
{obj_t C_CAR_273_156;
C_CAR_273_156=CAR( CLAUSE1_233_44 );VA_ARG_348_3=MAKE_PAIR( C_CAR_273_156, VA_ARG_347_158 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_3___EXPANDER_BOOL_139, VA_ARG_348_3 );}}}}};
}}};
}}}}}
}

obj_t
#if defined( __STDC__ )
__EXPAND_COND___EXPANDER_BOOL_78(obj_t ENV_350_141,obj_t EXP_231_64)
#else
__EXPAND_COND___EXPANDER_BOOL_78( ENV_350_141, EXP_231_64 )
obj_t ENV_350_141, EXP_231_64;
#endif
{

return EXPAND_COND___EXPANDER_BOOL_247( EXP_231_64 );
}

