/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-case.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t ____EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_217(obj_t);
#else
extern obj_t ____EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_217();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_CASE___EXPANDER_CASE_69(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_CASE___EXPANDER_CASE_69();
#endif
static obj_t LET_9___EXPANDER_CASE_140 = BUNSPEC;
DEFINE_STRING( ILLEGAL__1___EXPANDER_CASE_105, "Illegal form", 12);
obj_t EXPAND_EVAL_CASE_ENV___EXPANDER_CASE_60 = BUNSPEC;
static obj_t IF_6___EXPANDER_CASE_84 = BUNSPEC;
extern obj_t ___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28();
obj_t ___EXPANDER_CASE_INITIALISATION_ENV___EXPANDER_CASE_72 = BUNSPEC;
extern obj_t ___PROGN_INITIALISATION___PROGN_85();
static obj_t CASE_VAL_4___EXPANDER_CASE_24 = BUNSPEC;
#if defined( __STDC__ )
static obj_t GENERIC_CASE___EXPANDER_CASE_234(obj_t, obj_t, obj_t);
#else
static obj_t GENERIC_CASE___EXPANDER_CASE_234();
#endif
static obj_t REQUIRE_INITIALISATION____EXPANDER_CASE_75 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t EQ__7___EXPANDER_CASE_93 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t ELSE_8___EXPANDER_CASE_191 = BUNSPEC;
DEFINE_STRING( ILLEGAL__2___EXPANDER_CASE_48, "Illegal `case' form", 19);
extern obj_t make_fx_procedure();
extern obj_t NORMALIZE_PROGN___PROGN_138();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( CASE_0___EXPANDER_CASE_191, "case", 4);
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_CASE___EXPANDER_CASE_162(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_CASE___EXPANDER_CASE_162();
#endif
static obj_t QUOTE_3___EXPANDER_CASE_175 = BUNSPEC;
static obj_t MEMQ_5___EXPANDER_CASE_204 = BUNSPEC;

static obj_t LOOP_233_234();

obj_t
#if defined( __STDC__ )
___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28()
#else
___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_CASE_75 ))
{
REQUIRE_INITIALISATION____EXPANDER_CASE_75=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___PROGN_INITIALISATION___PROGN_85();
QUOTE_3___EXPANDER_CASE_175=c_string_to_symbol( "QUOTE" );
MEMQ_5___EXPANDER_CASE_204=c_string_to_symbol( "MEMQ" );
LET_9___EXPANDER_CASE_140=c_string_to_symbol( "LET" );
IF_6___EXPANDER_CASE_84=c_string_to_symbol( "IF" );
CASE_VAL_4___EXPANDER_CASE_24=c_string_to_symbol( "CASE-VALUE" );
EQ__7___EXPANDER_CASE_93=c_string_to_symbol( "EQ?" );
ELSE_8___EXPANDER_CASE_191=c_string_to_symbol( "ELSE" );
{
___EXPANDER_CASE_INITIALISATION_ENV___EXPANDER_CASE_72=make_fx_procedure( ____EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_217, 0, 0 );
EXPAND_EVAL_CASE_ENV___EXPANDER_CASE_60=make_fx_procedure( __EXPAND_EVAL_CASE___EXPANDER_CASE_69, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_217(obj_t ENV_304_250)
#else
____EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_217( ENV_304_250 )
obj_t ENV_304_250;
#endif
{

return ___EXPANDER_CASE_INITIALISATION___EXPANDER_CASE_28();
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_CASE___EXPANDER_CASE_162(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_EVAL_CASE___EXPANDER_CASE_162( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

{obj_t VALUE_228_236, CLAUSES_229_13;
if( PAIRP( X_222_34 ))
{obj_t CDR_109_227_121;
CDR_109_227_121=CDR( X_222_34 );if( PAIRP( CDR_109_227_121 ))
{obj_t C_CAR_254_21;
C_CAR_254_21=CAR( CDR_109_227_121 );{obj_t C_CDR_255_53;
C_CDR_255_53=CDR( CDR_109_227_121 );{
CLAUSES_229_13=C_CDR_255_53;
VALUE_228_236=C_CAR_254_21;
{
return GENERIC_CASE___EXPANDER_CASE_234( VALUE_228_236, CLAUSES_229_13, E_223_62 );}
}}}else
{_TAG_102_225_139:

FAILURE( BREF( &CASE_0___EXPANDER_CASE_191), BREF( &ILLEGAL__1___EXPANDER_CASE_105), X_222_34 );}}else
goto _TAG_102_225_139;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_CASE___EXPANDER_CASE_69(obj_t ENV_303_237,obj_t X_222_34,obj_t E_223_62)
#else
__EXPAND_EVAL_CASE___EXPANDER_CASE_69( ENV_303_237, X_222_34, E_223_62 )
obj_t ENV_303_237, X_222_34, E_223_62;
#endif
{

return EXPAND_EVAL_CASE___EXPANDER_CASE_162( X_222_34, E_223_62 );
}

static obj_t
#if defined( __STDC__ )
GENERIC_CASE___EXPANDER_CASE_234(obj_t VALUE_230_205,obj_t CLAUSES_231_132,obj_t E_232_195)
#else
GENERIC_CASE___EXPANDER_CASE_234( VALUE_230_205, CLAUSES_231_132, E_232_195 )
obj_t VALUE_230_205, CLAUSES_231_132, E_232_195;
#endif
{

{obj_t VA_ARG_277_164;
VA_ARG_277_164=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_278_77;
{obj_t AUX_316_110;
AUX_316_110=LOOP_233_234( CLAUSES_231_132 );VA_ARG_278_77=MAKE_PAIR( AUX_316_110, VA_ARG_277_164 );}{obj_t VA_ARG_279_72;
{obj_t VA_ARG_280_35;
VA_ARG_280_35=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_281_206;
VA_ARG_281_206=MAKE_PAIR( VALUE_230_205, VA_ARG_280_35 );{obj_t VA_ARG_282_95;
VA_ARG_282_95=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_317_25;
{obj_t AUX_318_27;
AUX_318_27=CONS____R4_PAIRS_AND_LISTS_6_3_28( CASE_VAL_4___EXPANDER_CASE_24, VA_ARG_281_206 );AUX_317_25=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_318_27, VA_ARG_282_95 );}VA_ARG_279_72=MAKE_PAIR( AUX_317_25, VA_ARG_278_77 );}}}}{obj_t AUX_319_233;
AUX_319_233=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_9___EXPANDER_CASE_140, VA_ARG_279_72 );return PROCEDURE_ENTRY( E_232_195 )( E_232_195, AUX_319_233, E_232_195, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_233_234(obj_t CLAUSES_234_25)
#else
LOOP_233_234( CLAUSES_234_25 )
obj_t CLAUSES_234_25;
#endif
{

if( NULLP( CLAUSES_234_25 ))
return BFALSE;else
{obj_t BODY_243_118, DATUMS_244_1, BODY_245_233, DATUMS_246_110, BODY_247_51;
{obj_t E_120_239_12;
E_120_239_12=CAR( CLAUSES_234_25 );{obj_t OBJ2_262_153;
OBJ2_262_153=BNIL;if( EQP( E_120_239_12, OBJ2_262_153 ))
{
return BFALSE;}else
if( PAIRP( E_120_239_12 ))
{obj_t OBJ1_263_80;
OBJ1_263_80=CAR( E_120_239_12 );if( EQP( OBJ1_263_80, ELSE_8___EXPANDER_CASE_191 ))
{obj_t C_CDR_264_7;
C_CDR_264_7=CDR( E_120_239_12 );{
BODY_243_118=C_CDR_264_7;
{
{bool_t OBJ_307_48;
OBJ_307_48=NULLP( CDR( CLAUSES_234_25 ) );if( OBJ_307_48)
return NORMALIZE_PROGN___PROGN_138( BODY_243_118 );else
FAILURE( BREF( &CASE_0___EXPANDER_CASE_191), BREF( &ILLEGAL__2___EXPANDER_CASE_48), CLAUSES_234_25 );}}
}}else
if( PAIRP( OBJ1_263_80 ))
{obj_t OBJ_265_238;
OBJ_265_238=CDR( OBJ1_263_80 );if( PAIRP( OBJ_265_238 ))
{obj_t C_CDR_266_73;
C_CDR_266_73=CDR( E_120_239_12 );{
BODY_245_233=C_CDR_266_73;
DATUMS_244_1=OBJ1_263_80;
{
{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_293_164;
{obj_t C_CDR_258_62;
C_CDR_258_62=CDR( CLAUSES_234_25 );{obj_t AUX_308_44;
AUX_308_44=LOOP_233_234( C_CDR_258_62 );VA_ARG_293_164=MAKE_PAIR( AUX_308_44, VA_ARG_292_29 );}}{obj_t VA_ARG_294_105;
{obj_t AUX_309_38;
AUX_309_38=NORMALIZE_PROGN___PROGN_138( BODY_245_233 );VA_ARG_294_105=MAKE_PAIR( AUX_309_38, VA_ARG_293_164 );}{obj_t VA_ARG_295_134;
{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_297_55;
{obj_t VA_ARG_299_122;
VA_ARG_299_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_300_9;
VA_ARG_300_9=MAKE_PAIR( DATUMS_244_1, VA_ARG_299_122 );{obj_t AUX_310_97;
AUX_310_97=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_3___EXPANDER_CASE_175, VA_ARG_300_9 );VA_ARG_297_55=MAKE_PAIR( AUX_310_97, VA_ARG_296_143 );}}}{obj_t VA_ARG_298_130;
VA_ARG_298_130=MAKE_PAIR( CASE_VAL_4___EXPANDER_CASE_24, VA_ARG_297_55 );{obj_t AUX_311_174;
AUX_311_174=CONS____R4_PAIRS_AND_LISTS_6_3_28( MEMQ_5___EXPANDER_CASE_204, VA_ARG_298_130 );VA_ARG_295_134=MAKE_PAIR( AUX_311_174, VA_ARG_294_105 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_6___EXPANDER_CASE_84, VA_ARG_295_134 );}}}}}
}}else
if( EQP( OBJ_265_238, OBJ2_262_153 ))
{obj_t C_CAR_269_205;
C_CAR_269_205=CAR( OBJ1_263_80 );{obj_t C_CDR_270_111;
C_CDR_270_111=CDR( E_120_239_12 );{
BODY_247_51=C_CDR_270_111;
DATUMS_246_110=C_CAR_269_205;
{
{obj_t VA_ARG_283_116;
VA_ARG_283_116=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_284_252;
{obj_t C_CDR_257_215;
C_CDR_257_215=CDR( CLAUSES_234_25 );{obj_t AUX_312_132;
AUX_312_132=LOOP_233_234( C_CDR_257_215 );VA_ARG_284_252=MAKE_PAIR( AUX_312_132, VA_ARG_283_116 );}}{obj_t VA_ARG_285_192;
{obj_t AUX_313_119;
AUX_313_119=NORMALIZE_PROGN___PROGN_138( BODY_247_51 );VA_ARG_285_192=MAKE_PAIR( AUX_313_119, VA_ARG_284_252 );}{obj_t VA_ARG_286_54;
{obj_t VA_ARG_287_221;
VA_ARG_287_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_288_178;
{obj_t VA_ARG_290_185;
VA_ARG_290_185=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( DATUMS_246_110, VA_ARG_290_185 );{obj_t AUX_314_1;
AUX_314_1=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_3___EXPANDER_CASE_175, VA_ARG_291_194 );VA_ARG_288_178=MAKE_PAIR( AUX_314_1, VA_ARG_287_221 );}}}{obj_t VA_ARG_289_85;
VA_ARG_289_85=MAKE_PAIR( CASE_VAL_4___EXPANDER_CASE_24, VA_ARG_288_178 );{obj_t AUX_315_14;
AUX_315_14=CONS____R4_PAIRS_AND_LISTS_6_3_28( EQ__7___EXPANDER_CASE_93, VA_ARG_289_85 );VA_ARG_286_54=MAKE_PAIR( AUX_315_14, VA_ARG_285_192 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_6___EXPANDER_CASE_84, VA_ARG_286_54 );}}}}}
}}}else
return BFALSE;}else
return BFALSE;}else
return BFALSE;}}}
}

