/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-define.c                                        */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_84(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_84();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_4(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_4();
#endif
obj_t ___EXPANDER_DEFINE_INITIALISATION_ENV___EXPANDER_DEFINE_155 = BUNSPEC;
static obj_t SET__6___EXPANDER_DEFINE_168 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t INTERNAL_DEFINITION____EXPANDER_DEFINE_50 = BUNSPEC;
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#if defined( __STDC__ )
extern obj_t ____EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_11(obj_t);
#else
extern obj_t ____EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_11();
#endif
static obj_t DEFINE_3___EXPANDER_DEFINE_37 = BUNSPEC;
#if defined( __STDC__ )
static obj_t EXPAND_EVAL_EXTERNAL_DEFINE___EXPANDER_DEFINE_250(obj_t, obj_t);
#else
static obj_t EXPAND_EVAL_EXTERNAL_DEFINE___EXPANDER_DEFINE_250();
#endif
obj_t EXPAND_EVAL_LAMBDA_ENV___EXPANDER_DEFINE_119 = BUNSPEC;
DEFINE_STRING( LAMBDA_1___EXPANDER_DEFINE_35, "lambda", 6);
static obj_t LAMBDA_0___EXPANDER_DEFINE_204 = BUNSPEC;
obj_t EXPAND_EVAL_DEFINE_ENV___EXPANDER_DEFINE_203 = BUNSPEC;
static obj_t BEGIN_5___EXPANDER_DEFINE_104 = BUNSPEC;
extern obj_t ___PROGN_INITIALISATION___PROGN_85();
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83();
#endif
extern obj_t ___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142();
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
DEFINE_STRING( DEFINE_4___EXPANDER_DEFINE_103, "define", 6);
static obj_t REQUIRE_INITIALISATION____EXPANDER_DEFINE_149 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t make_vector();
#if defined( __STDC__ )
static obj_t INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79(obj_t);
#else
static obj_t INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79();
#endif
DEFINE_STRING( DEFINE_I_7___EXPANDER_DEFINE_48, "define-inline", 13);
#if defined( __STDC__ )
static obj_t LAMBDA_DEFINES___EXPANDER_DEFINE_25(obj_t);
#else
static obj_t LAMBDA_DEFINES___EXPANDER_DEFINE_25();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
#if defined( __STDC__ )
static obj_t EXPAND_EVAL_INTERNAL_DEFINE___EXPANDER_DEFINE_194(obj_t, obj_t);
#else
static obj_t EXPAND_EVAL_INTERNAL_DEFINE___EXPANDER_DEFINE_194();
#endif
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
DEFINE_STRING( ILLEGAL__2___EXPANDER_DEFINE_180, "Illegal form", 12);
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251();
#endif
extern obj_t make_fx_procedure();
extern obj_t NORMALIZE_PROGN___PROGN_138();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t EXPAND_EVAL_DEFINE_INLINE_ENV___EXPANDER_DEFINE_244 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_0(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_0();
#endif
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();

static obj_t LAMBDA_2_0_340_215();

obj_t
#if defined( __STDC__ )
___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142()
#else
___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_DEFINE_149 ))
{
REQUIRE_INITIALISATION____EXPANDER_DEFINE_149=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___PROGN_INITIALISATION___PROGN_85();
SET__6___EXPANDER_DEFINE_168=c_string_to_symbol( "SET!" );
LAMBDA_0___EXPANDER_DEFINE_204=c_string_to_symbol( "LAMBDA" );
DEFINE_3___EXPANDER_DEFINE_37=c_string_to_symbol( "DEFINE" );
BEGIN_5___EXPANDER_DEFINE_104=c_string_to_symbol( "BEGIN" );
{
___EXPANDER_DEFINE_INITIALISATION_ENV___EXPANDER_DEFINE_155=make_fx_procedure( ____EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_11, 0, 0 );
EXPAND_EVAL_LAMBDA_ENV___EXPANDER_DEFINE_119=make_fx_procedure( __EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_4, 2, 0 );
EXPAND_EVAL_DEFINE_ENV___EXPANDER_DEFINE_203=make_fx_procedure( __EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_0, 2, 0 );
EXPAND_EVAL_DEFINE_INLINE_ENV___EXPANDER_DEFINE_244=make_fx_procedure( __EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_84, 2, 0 );
{
INTERNAL_DEFINITION____EXPANDER_DEFINE_50=BFALSE;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_11(obj_t ENV_642_53)
#else
____EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_11( ENV_642_53 )
obj_t ENV_642_53;
#endif
{

return ___EXPANDER_DEFINE_INITIALISATION___EXPANDER_DEFINE_142();
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

{obj_t OLD_INTERNAL_224_153;
OLD_INTERNAL_224_153=INTERNAL_DEFINITION____EXPANDER_DEFINE_50;{
INTERNAL_DEFINITION____EXPANDER_DEFINE_50=BTRUE;
{obj_t RES_225_134;
{obj_t ARGS_231_18, BODY_232_10;
if( PAIRP( X_222_34 ))
{obj_t CDR_109_229_185;
CDR_109_229_185=CDR( X_222_34 );if( PAIRP( CDR_109_229_185 ))
{obj_t CDR_113_230_223;
CDR_113_230_223=CDR( CDR_109_229_185 );{obj_t OBJ2_389_132;
OBJ2_389_132=BNIL;if( EQP( CDR_113_230_223, OBJ2_389_132 ))
{_TAG_102_227_191:

FAILURE( BREF( &LAMBDA_1___EXPANDER_DEFINE_35), BREF( &ILLEGAL__2___EXPANDER_DEFINE_180), X_222_34 );}else
{obj_t C_CAR_391_171;
C_CAR_391_171=CAR( CDR_109_229_185 );{
BODY_232_10=CDR_113_230_223;
ARGS_231_18=C_CAR_391_171;
{
{obj_t E_233_175;
E_233_175=INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79( E_223_62 );{obj_t VA_ARG_584_236;
VA_ARG_584_236=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_585_249;
{obj_t AUX_706_218;
{obj_t AUX_707_102;
AUX_707_102=NORMALIZE_PROGN___PROGN_138( BODY_232_10 );AUX_706_218=PROCEDURE_ENTRY( E_233_175 )( E_233_175, AUX_707_102, E_233_175, BEOA );}VA_ARG_585_249=MAKE_PAIR( AUX_706_218, VA_ARG_584_236 );}{obj_t VA_ARG_586_244;
VA_ARG_586_244=MAKE_PAIR( ARGS_231_18, VA_ARG_585_249 );RES_225_134=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_586_244 );}}}}}
}}}}else
goto _TAG_102_227_191;}else
goto _TAG_102_227_191;}{
INTERNAL_DEFINITION____EXPANDER_DEFINE_50=OLD_INTERNAL_224_153;
return RES_225_134;
}}
}}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_4(obj_t ENV_641_160,obj_t X_222_34,obj_t E_223_62)
#else
__EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_4( ENV_641_160, X_222_34, E_223_62 )
obj_t ENV_641_160, X_222_34, E_223_62;
#endif
{

return EXPAND_EVAL_LAMBDA___EXPANDER_DEFINE_83( X_222_34, E_223_62 );
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251(obj_t X_234_87,obj_t E_235_50)
#else
EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251( X_234_87, E_235_50 )
obj_t X_234_87, E_235_50;
#endif
{

if( BBOOL_TO_CBOOL( INTERNAL_DEFINITION____EXPANDER_DEFINE_50 ))
return EXPAND_EVAL_INTERNAL_DEFINE___EXPANDER_DEFINE_194( X_234_87, E_235_50 );else
return EXPAND_EVAL_EXTERNAL_DEFINE___EXPANDER_DEFINE_250( X_234_87, E_235_50 );
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_0(obj_t ENV_640_215,obj_t X_234_87,obj_t E_235_50)
#else
__EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_0( ENV_640_215, X_234_87, E_235_50 )
obj_t ENV_640_215, X_234_87, E_235_50;
#endif
{

return EXPAND_EVAL_DEFINE___EXPANDER_DEFINE_251( X_234_87, E_235_50 );
}

static obj_t
#if defined( __STDC__ )
EXPAND_EVAL_INTERNAL_DEFINE___EXPANDER_DEFINE_194(obj_t X_236_177,obj_t E_237_166)
#else
EXPAND_EVAL_INTERNAL_DEFINE___EXPANDER_DEFINE_194( X_236_177, E_237_166 )
obj_t X_236_177, E_237_166;
#endif
{

{obj_t TYPE_330_182, NAME_331_8, ARGS_332_68, BODY_333_147, NAME_334_145, ARGS_335_87, BODY_336_183, NAME_337_26, VALUE_338_204;
if( PAIRP( X_236_177 ))
{obj_t CDR_150_243_44;
CDR_150_243_44=CDR( X_236_177 );if( PAIRP( CDR_150_243_44 ))
{obj_t CAR_173_245_202, CDR_174_244_104;
CAR_173_245_202=CAR( CDR_150_243_44 );CDR_174_244_104=CDR( CDR_150_243_44 );if( PAIRP( CAR_173_245_202 ))
{obj_t CAR_297_246_93;
CAR_297_246_93=CAR( CAR_173_245_202 );if( PAIRP( CAR_297_246_93 ))
{obj_t CDR_433_247_212;
CDR_433_247_212=CDR( CAR_297_246_93 );if( PAIRP( CDR_433_247_212 ))
{obj_t OBJ2_393_57;
OBJ2_393_57=BNIL;{obj_t OBJ1_392_74;
OBJ1_392_74=CDR( CDR_433_247_212 );if( EQP( OBJ1_392_74, OBJ2_393_57 ))
if( EQP( CDR_174_244_104, OBJ2_393_57 ))
if( PAIRP( CDR_174_244_104 ))
{obj_t CAR_744_250_211;
CAR_744_250_211=CAR( CDR_174_244_104 );if( PAIRP( CAR_744_250_211 ))
{obj_t CDR_764_251_40;
CDR_764_251_40=CDR( CAR_744_250_211 );{obj_t OBJ1_395_139;
OBJ1_395_139=CAR( CAR_744_250_211 );if( EQP( OBJ1_395_139, LAMBDA_0___EXPANDER_DEFINE_204 ))
if( PAIRP( CDR_764_251_40 ))
{obj_t CDR_798_252_190;
CDR_798_252_190=CDR( CDR_764_251_40 );if( EQP( CDR_798_252_190, OBJ2_393_57 ))
{obj_t OBJ1_397_191;
OBJ1_397_191=CDR( CDR_174_244_104 );if( EQP( OBJ1_397_191, OBJ2_393_57 ))
{
VALUE_338_204=CAR_744_250_211;
NAME_337_26=CAR_173_245_202;
{_TAG_119_240_255:

{obj_t VA_ARG_589_19;
VA_ARG_589_19=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_590_44;
{obj_t AUX_698_210;
AUX_698_210=PROCEDURE_ENTRY( E_237_166 )( E_237_166, VALUE_338_204, E_237_166, BEOA );VA_ARG_590_44=MAKE_PAIR( AUX_698_210, VA_ARG_589_19 );}{obj_t VA_ARG_591_38;
VA_ARG_591_38=MAKE_PAIR( NAME_337_26, VA_ARG_590_44 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_591_38 );}}}}
}else
{_TAG_120_241_176:

FAILURE( BREF( &DEFINE_4___EXPANDER_DEFINE_103), BREF( &ILLEGAL__2___EXPANDER_DEFINE_180), X_236_177 );}}else
{obj_t OBJ1_401_50;
OBJ1_401_50=CDR( CDR_174_244_104 );if( EQP( OBJ1_401_50, OBJ2_393_57 ))
{obj_t C_CAR_404_243;
C_CAR_404_243=CAR( CDR_764_251_40 );{
BODY_336_183=CDR_798_252_190;
ARGS_335_87=C_CAR_404_243;
NAME_334_145=CAR_173_245_202;
{_TAG_118_239_255:

{obj_t VA_ARG_592_31;
VA_ARG_592_31=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_593_149;
{obj_t VA_ARG_595_0;
VA_ARG_595_0=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_596_216;
{obj_t AUX_699_28;
{obj_t AUX_700_201;
AUX_700_201=NORMALIZE_PROGN___PROGN_138( BODY_336_183 );AUX_699_28=PROCEDURE_ENTRY( E_237_166 )( E_237_166, AUX_700_201, E_237_166, BEOA );}VA_ARG_596_216=MAKE_PAIR( AUX_699_28, VA_ARG_595_0 );}{obj_t VA_ARG_597_52;
VA_ARG_597_52=MAKE_PAIR( ARGS_335_87, VA_ARG_596_216 );{obj_t AUX_701_158;
AUX_701_158=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_597_52 );VA_ARG_593_149=MAKE_PAIR( AUX_701_158, VA_ARG_592_31 );}}}}{obj_t VA_ARG_594_135;
VA_ARG_594_135=MAKE_PAIR( NAME_334_145, VA_ARG_593_149 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_594_135 );}}}}
}}else
goto _TAG_120_241_176;}}else
{obj_t OBJ1_405_100;
OBJ1_405_100=CDR( CDR_174_244_104 );if( EQP( OBJ1_405_100, OBJ2_393_57 ))
{
VALUE_338_204=CAR_744_250_211;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_409_16;
OBJ1_409_16=CDR( CDR_174_244_104 );if( EQP( OBJ1_409_16, OBJ2_393_57 ))
{
VALUE_338_204=CAR_744_250_211;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}else
{obj_t OBJ1_413_55;
OBJ1_413_55=CDR( CDR_174_244_104 );if( EQP( OBJ1_413_55, OBJ2_393_57 ))
{
VALUE_338_204=CAR_744_250_211;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}else
goto _TAG_120_241_176;else
{obj_t C_CAR_421_250;
C_CAR_421_250=CAR( CAR_297_246_93 );{obj_t C_CAR_422_88;
C_CAR_422_88=CAR( CDR_433_247_212 );{obj_t C_CDR_423_149;
C_CDR_423_149=CDR( CAR_173_245_202 );{
BODY_333_147=CDR_174_244_104;
ARGS_332_68=C_CDR_423_149;
NAME_331_8=C_CAR_422_88;
TYPE_330_182=C_CAR_421_250;
{
{obj_t VA_ARG_598_63;
VA_ARG_598_63=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_599_23;
{obj_t VA_ARG_603_211;
VA_ARG_603_211=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_604_104;
{obj_t AUX_702_106;
{obj_t AUX_703_82;
AUX_703_82=NORMALIZE_PROGN___PROGN_138( BODY_333_147 );AUX_702_106=PROCEDURE_ENTRY( E_237_166 )( E_237_166, AUX_703_82, E_237_166, BEOA );}VA_ARG_604_104=MAKE_PAIR( AUX_702_106, VA_ARG_603_211 );}{obj_t VA_ARG_605_190;
VA_ARG_605_190=MAKE_PAIR( ARGS_332_68, VA_ARG_604_104 );{obj_t AUX_704_240;
AUX_704_240=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_605_190 );VA_ARG_599_23=MAKE_PAIR( AUX_704_240, VA_ARG_598_63 );}}}}{obj_t VA_ARG_600_148;
{obj_t VA_ARG_601_223;
VA_ARG_601_223=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_602_57;
VA_ARG_602_57=MAKE_PAIR( NAME_331_8, VA_ARG_601_223 );{obj_t AUX_705_255;
AUX_705_255=CONS____R4_PAIRS_AND_LISTS_6_3_28( TYPE_330_182, VA_ARG_602_57 );VA_ARG_600_148=MAKE_PAIR( AUX_705_255, VA_ARG_599_23 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_600_148 );}}}}
}}}}else
if( EQP( CDR_174_244_104, OBJ2_393_57 ))
if( PAIRP( CDR_174_244_104 ))
{obj_t CAR_624_268_249;
CAR_624_268_249=CAR( CDR_174_244_104 );if( PAIRP( CAR_624_268_249 ))
{obj_t CDR_644_269_107;
CDR_644_269_107=CDR( CAR_624_268_249 );{obj_t OBJ1_425_52;
OBJ1_425_52=CAR( CAR_624_268_249 );if( EQP( OBJ1_425_52, LAMBDA_0___EXPANDER_DEFINE_204 ))
if( PAIRP( CDR_644_269_107 ))
{obj_t CDR_678_270_123;
CDR_678_270_123=CDR( CDR_644_269_107 );if( EQP( CDR_678_270_123, OBJ2_393_57 ))
{obj_t OBJ1_427_0;
OBJ1_427_0=CDR( CDR_174_244_104 );if( EQP( OBJ1_427_0, OBJ2_393_57 ))
{
VALUE_338_204=CAR_624_268_249;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_431_186;
OBJ1_431_186=CDR( CDR_174_244_104 );if( EQP( OBJ1_431_186, OBJ2_393_57 ))
{obj_t C_CAR_434_153;
C_CAR_434_153=CAR( CDR_644_269_107 );{
BODY_336_183=CDR_678_270_123;
ARGS_335_87=C_CAR_434_153;
NAME_334_145=CAR_173_245_202;
goto _TAG_118_239_255;
}}else
goto _TAG_120_241_176;}}else
{obj_t OBJ1_435_115;
OBJ1_435_115=CDR( CDR_174_244_104 );if( EQP( OBJ1_435_115, OBJ2_393_57 ))
{
VALUE_338_204=CAR_624_268_249;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_439_211;
OBJ1_439_211=CDR( CDR_174_244_104 );if( EQP( OBJ1_439_211, OBJ2_393_57 ))
{
VALUE_338_204=CAR_624_268_249;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}else
{obj_t OBJ1_443_25;
OBJ1_443_25=CDR( CDR_174_244_104 );if( EQP( OBJ1_443_25, OBJ2_393_57 ))
{
VALUE_338_204=CAR_624_268_249;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}else
goto _TAG_120_241_176;else
{obj_t C_CDR_452_16;
C_CDR_452_16=CDR( CAR_173_245_202 );{
BODY_336_183=CDR_174_244_104;
ARGS_335_87=C_CDR_452_16;
NAME_334_145=CAR_297_246_93;
goto _TAG_118_239_255;
}}}}else
{obj_t OBJ2_453_177;
OBJ2_453_177=BNIL;if( EQP( CDR_174_244_104, OBJ2_453_177 ))
if( PAIRP( CDR_174_244_104 ))
{obj_t CAR_490_286_134;
CAR_490_286_134=CAR( CDR_174_244_104 );if( PAIRP( CAR_490_286_134 ))
{obj_t CDR_510_287_111;
CDR_510_287_111=CDR( CAR_490_286_134 );{obj_t OBJ1_454_83;
OBJ1_454_83=CAR( CAR_490_286_134 );if( EQP( OBJ1_454_83, LAMBDA_0___EXPANDER_DEFINE_204 ))
if( PAIRP( CDR_510_287_111 ))
{obj_t CDR_544_288_26;
CDR_544_288_26=CDR( CDR_510_287_111 );if( EQP( CDR_544_288_26, OBJ2_453_177 ))
{obj_t OBJ1_456_66;
OBJ1_456_66=CDR( CDR_174_244_104 );if( EQP( OBJ1_456_66, OBJ2_453_177 ))
{
VALUE_338_204=CAR_490_286_134;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_460_144;
OBJ1_460_144=CDR( CDR_174_244_104 );if( EQP( OBJ1_460_144, OBJ2_453_177 ))
{obj_t C_CAR_463_198;
C_CAR_463_198=CAR( CDR_510_287_111 );{
BODY_336_183=CDR_544_288_26;
ARGS_335_87=C_CAR_463_198;
NAME_334_145=CAR_173_245_202;
goto _TAG_118_239_255;
}}else
goto _TAG_120_241_176;}}else
{obj_t OBJ1_464_157;
OBJ1_464_157=CDR( CDR_174_244_104 );if( EQP( OBJ1_464_157, OBJ2_453_177 ))
{
VALUE_338_204=CAR_490_286_134;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_468_78;
OBJ1_468_78=CDR( CDR_174_244_104 );if( EQP( OBJ1_468_78, OBJ2_453_177 ))
{
VALUE_338_204=CAR_490_286_134;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}else
{obj_t OBJ1_472_12;
OBJ1_472_12=CDR( CDR_174_244_104 );if( EQP( OBJ1_472_12, OBJ2_453_177 ))
{
VALUE_338_204=CAR_490_286_134;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}else
goto _TAG_120_241_176;else
{obj_t C_CDR_481_143;
C_CDR_481_143=CDR( CAR_173_245_202 );{
BODY_336_183=CDR_174_244_104;
ARGS_335_87=C_CDR_481_143;
NAME_334_145=CAR_297_246_93;
goto _TAG_118_239_255;
}}}}else
{obj_t OBJ2_482_5;
OBJ2_482_5=BNIL;if( EQP( CDR_174_244_104, OBJ2_482_5 ))
if( PAIRP( CDR_174_244_104 ))
{obj_t CAR_355_304_120;
CAR_355_304_120=CAR( CDR_174_244_104 );if( PAIRP( CAR_355_304_120 ))
{obj_t CDR_375_305_19;
CDR_375_305_19=CDR( CAR_355_304_120 );{obj_t OBJ1_483_125;
OBJ1_483_125=CAR( CAR_355_304_120 );if( EQP( OBJ1_483_125, LAMBDA_0___EXPANDER_DEFINE_204 ))
if( PAIRP( CDR_375_305_19 ))
{obj_t CDR_409_306_123;
CDR_409_306_123=CDR( CDR_375_305_19 );if( EQP( CDR_409_306_123, OBJ2_482_5 ))
{obj_t OBJ1_485_27;
OBJ1_485_27=CDR( CDR_174_244_104 );if( EQP( OBJ1_485_27, OBJ2_482_5 ))
{
VALUE_338_204=CAR_355_304_120;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_489_1;
OBJ1_489_1=CDR( CDR_174_244_104 );if( EQP( OBJ1_489_1, OBJ2_482_5 ))
{obj_t C_CAR_492_170;
C_CAR_492_170=CAR( CDR_375_305_19 );{
BODY_336_183=CDR_409_306_123;
ARGS_335_87=C_CAR_492_170;
NAME_334_145=CAR_173_245_202;
goto _TAG_118_239_255;
}}else
goto _TAG_120_241_176;}}else
{obj_t OBJ1_493_44;
OBJ1_493_44=CDR( CDR_174_244_104 );if( EQP( OBJ1_493_44, OBJ2_482_5 ))
{
VALUE_338_204=CAR_355_304_120;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_497_135;
OBJ1_497_135=CDR( CDR_174_244_104 );if( EQP( OBJ1_497_135, OBJ2_482_5 ))
{
VALUE_338_204=CAR_355_304_120;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}else
{obj_t OBJ1_501_210;
OBJ1_501_210=CDR( CDR_174_244_104 );if( EQP( OBJ1_501_210, OBJ2_482_5 ))
{
VALUE_338_204=CAR_355_304_120;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}else
goto _TAG_120_241_176;else
{obj_t C_CDR_510_132;
C_CDR_510_132=CDR( CAR_173_245_202 );{
BODY_336_183=CDR_174_244_104;
ARGS_335_87=C_CDR_510_132;
NAME_334_145=CAR_297_246_93;
goto _TAG_118_239_255;
}}}}else
if( PAIRP( CDR_174_244_104 ))
{obj_t CAR_207_319_242;
CAR_207_319_242=CAR( CDR_174_244_104 );if( PAIRP( CAR_207_319_242 ))
{obj_t CDR_230_320_78;
CDR_230_320_78=CDR( CAR_207_319_242 );{obj_t OBJ1_511_127;
OBJ1_511_127=CAR( CAR_207_319_242 );if( EQP( OBJ1_511_127, LAMBDA_0___EXPANDER_DEFINE_204 ))
if( PAIRP( CDR_230_320_78 ))
{obj_t CDR_270_321_192;
CDR_270_321_192=CDR( CDR_230_320_78 );{obj_t OBJ2_512_75;
OBJ2_512_75=BNIL;if( EQP( CDR_270_321_192, OBJ2_512_75 ))
{obj_t OBJ1_513_91;
OBJ1_513_91=CDR( CDR_174_244_104 );if( EQP( OBJ1_513_91, OBJ2_512_75 ))
{
VALUE_338_204=CAR_207_319_242;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}else
{obj_t OBJ1_517_81;
OBJ1_517_81=CDR( CDR_174_244_104 );if( EQP( OBJ1_517_81, OBJ2_512_75 ))
{obj_t C_CAR_520_12;
C_CAR_520_12=CAR( CDR_230_320_78 );{
BODY_336_183=CDR_270_321_192;
ARGS_335_87=C_CAR_520_12;
NAME_334_145=CAR_173_245_202;
goto _TAG_118_239_255;
}}else
goto _TAG_120_241_176;}}}else
{obj_t OBJ2_522_194;
OBJ2_522_194=BNIL;{obj_t OBJ1_521_40;
OBJ1_521_40=CDR( CDR_174_244_104 );if( EQP( OBJ1_521_40, OBJ2_522_194 ))
{
VALUE_338_204=CAR_207_319_242;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}else
{obj_t OBJ2_526_134;
OBJ2_526_134=BNIL;{obj_t OBJ1_525_7;
OBJ1_525_7=CDR( CDR_174_244_104 );if( EQP( OBJ1_525_7, OBJ2_526_134 ))
{
VALUE_338_204=CAR_207_319_242;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}}else
{obj_t OBJ2_530_183;
OBJ2_530_183=BNIL;{obj_t OBJ1_529_169;
OBJ1_529_169=CDR( CDR_174_244_104 );if( EQP( OBJ1_529_169, OBJ2_530_183 ))
{
VALUE_338_204=CAR_207_319_242;
NAME_337_26=CAR_173_245_202;
goto _TAG_119_240_255;
}else
goto _TAG_120_241_176;}}}else
goto _TAG_120_241_176;}else
goto _TAG_120_241_176;}else
goto _TAG_120_241_176;}
}

static obj_t
#if defined( __STDC__ )
INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79(obj_t OLD_EXPANDER_339_80)
#else
INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79( OLD_EXPANDER_339_80 )
obj_t OLD_EXPANDER_339_80;
#endif
{

{obj_t LAMBDA_2_0_ENV_638_74;
LAMBDA_2_0_ENV_638_74=make_fx_procedure( LAMBDA_2_0_340_215, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_0_ENV_638_74, 0, OLD_EXPANDER_339_80 );
return LAMBDA_2_0_ENV_638_74;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_340_215(obj_t LAMBDA_2_0_ENV_639_59,obj_t EXPR_341_20,obj_t EXPANDER_342_130)
#else
LAMBDA_2_0_340_215( LAMBDA_2_0_ENV_639_59, EXPR_341_20, EXPANDER_342_130 )
obj_t LAMBDA_2_0_ENV_639_59, EXPR_341_20, EXPANDER_342_130;
#endif
{

{obj_t OLD_EXPANDER_339_80;
OLD_EXPANDER_339_80=PROCEDURE_ENV_REF( LAMBDA_2_0_ENV_639_59, 0 );{obj_t REST_347_184;
if( PAIRP( EXPR_341_20 ))
{obj_t OBJ1_544_39;
OBJ1_544_39=CAR( EXPR_341_20 );if( EQP( OBJ1_544_39, BEGIN_5___EXPANDER_DEFINE_104 ))
{obj_t OBJ2_546_6;
OBJ2_546_6=BNIL;{obj_t OBJ1_545_117;
OBJ1_545_117=CDR( EXPR_341_20 );if( EQP( OBJ1_545_117, OBJ2_546_6 ))
{
FAILURE( BEGIN_5___EXPANDER_DEFINE_104, BREF( &ILLEGAL__2___EXPANDER_DEFINE_180), EXPR_341_20 );}else
{
REST_347_184=OBJ1_545_117;
{
{obj_t VA_ARG_606_49;
{obj_t AUX_694_104;
{obj_t AUX_697_213, AUX_695_190;
AUX_697_213=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );{obj_t AUX_696_49;
if( NULLP( REST_347_184 ))
AUX_696_49=BNIL;else
{obj_t HEAD_349_43;
{obj_t OBJ2_537_144;
OBJ2_537_144=BNIL;{obj_t OBJ1_536_87;
{obj_t X_355_53;
X_355_53=CAR( REST_347_184 );OBJ1_536_87=PROCEDURE_ENTRY( EXPANDER_342_130 )( EXPANDER_342_130, X_355_53, EXPANDER_342_130, BEOA );}HEAD_349_43=MAKE_PAIR( OBJ1_536_87, OBJ2_537_144 );}}{obj_t g1000_351_233, TAIL_352_79;
{obj_t C_CDR_543_83;
C_CDR_543_83=CDR( REST_347_184 );{
TAIL_352_79=HEAD_349_43;
g1000_351_233=C_CDR_543_83;
{_g1001_350_163:

if( NULLP( g1000_351_233 ))
AUX_696_49=HEAD_349_43;else
{obj_t NEW_TAIL_353_162;
{obj_t OBJ2_539_181;
OBJ2_539_181=BNIL;{obj_t OBJ1_538_36;
{obj_t X_354_162;
X_354_162=CAR( g1000_351_233 );OBJ1_538_36=PROCEDURE_ENTRY( EXPANDER_342_130 )( EXPANDER_342_130, X_354_162, EXPANDER_342_130, BEOA );}NEW_TAIL_353_162=MAKE_PAIR( OBJ1_538_36, OBJ2_539_181 );}}{
SET_CDR( TAIL_352_79, NEW_TAIL_353_162 );
{obj_t C_CDR_542_128;
C_CDR_542_128=CDR( g1000_351_233 );{
TAIL_352_79=NEW_TAIL_353_162;
g1000_351_233=C_CDR_542_128;
goto _g1001_350_163;
}}
}}}
}}}}AUX_695_190=LAMBDA_DEFINES___EXPANDER_DEFINE_25( AUX_696_49 );}AUX_694_104=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_695_190, AUX_697_213 );}VA_ARG_606_49=MAKE_PAIR( AUX_694_104, BNIL );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_5___EXPANDER_DEFINE_104, VA_ARG_606_49 );}}
}}}else
{_TAG_823_345_229:

return PROCEDURE_ENTRY( OLD_EXPANDER_339_80 )( OLD_EXPANDER_339_80, EXPR_341_20, EXPANDER_342_130, BEOA );}}else
goto _TAG_823_345_229;}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_DEFINES___EXPANDER_DEFINE_25(obj_t BODY_356_161)
#else
LAMBDA_DEFINES___EXPANDER_DEFINE_25( BODY_356_161 )
obj_t BODY_356_161;
#endif
{

{obj_t OLDFORMS_358_81, NEWFORMS_359_202, VARS_360_55, SETS_361_28;
{
SETS_361_28=BNIL;
VARS_360_55=BNIL;
NEWFORMS_359_202=BNIL;
OLDFORMS_358_81=BODY_356_161;
{_LOOP_357_28:

if( PAIRP( OLDFORMS_358_81 ))
{obj_t FORM_362_186;
FORM_362_186=CAR( OLDFORMS_358_81 );{bool_t __ortest_1002_660_161;
{obj_t AUX_679_114;
if( PAIRP( FORM_362_186 ))
AUX_679_114=BFALSE;else
AUX_679_114=BTRUE;__ortest_1002_660_161=BBOOL_TO_CBOOL( AUX_679_114 );}{if( __ortest_1002_660_161)
goto _true_3;else
{bool_t OBJ_661_223;
{obj_t AUX_680_125;
{obj_t OBJ1_551_174;
OBJ1_551_174=CAR( FORM_362_186 );AUX_680_125=CBOOL_TO_BBOOL( EQP( OBJ1_551_174, DEFINE_3___EXPANDER_DEFINE_37 ) );}OBJ_661_223=BBOOL_TO_CBOOL( AUX_680_125 );}if( OBJ_661_223)
goto _false_4;else
goto _true_3;}_true_3:
{obj_t C_CDR_552_155;
C_CDR_552_155=CDR( OLDFORMS_358_81 );{obj_t C_CONS_553_228;
C_CONS_553_228=MAKE_PAIR( FORM_362_186, NEWFORMS_359_202 );{
NEWFORMS_359_202=C_CONS_553_228;
OLDFORMS_358_81=C_CDR_552_155;
goto _LOOP_357_28;
}}}_false_4:
{obj_t C_CDR_554_9;
C_CDR_554_9=CDR( OLDFORMS_358_81 );{obj_t OBJ1_555_14;
{obj_t PAIR_558_47;
PAIR_558_47=CDR( FORM_362_186 );OBJ1_555_14=CAR( PAIR_558_47 );}{obj_t C_CONS_556_232;
C_CONS_556_232=MAKE_PAIR( OBJ1_555_14, VARS_360_55 );{obj_t OBJ1_559_233;
{obj_t VA_ARG_609_28;
VA_ARG_609_28=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_610_125;
{obj_t PAIR_564_114;
{obj_t PAIR_566_179;
PAIR_566_179=CDR( FORM_362_186 );PAIR_564_114=CDR( PAIR_566_179 );}{obj_t C_CAR_565_107;
C_CAR_565_107=CAR( PAIR_564_114 );VA_ARG_610_125=MAKE_PAIR( C_CAR_565_107, VA_ARG_609_28 );}}{obj_t VA_ARG_611_118;
{obj_t PAIR_561_96;
PAIR_561_96=CDR( FORM_362_186 );{obj_t C_CAR_562_234;
C_CAR_562_234=CAR( PAIR_561_96 );VA_ARG_611_118=MAKE_PAIR( C_CAR_562_234, VA_ARG_610_125 );}}OBJ1_559_233=CONS____R4_PAIRS_AND_LISTS_6_3_28( SET__6___EXPANDER_DEFINE_168, VA_ARG_611_118 );}}}{obj_t C_CONS_560_231;
C_CONS_560_231=MAKE_PAIR( OBJ1_559_233, SETS_361_28 );{
SETS_361_28=C_CONS_560_231;
VARS_360_55=C_CONS_556_232;
OLDFORMS_358_81=C_CDR_554_9;
goto _LOOP_357_28;
}}}}}};
}}}else
if( NULLP( VARS_360_55 ))
return BODY_356_161;else
{obj_t VA_ARG_612_138;
VA_ARG_612_138=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_613_170;
{obj_t VA_ARG_615_51;
{obj_t AUX_681_118;
{obj_t AUX_683_170, AUX_682_138;
{obj_t AUX_684_140;
{obj_t AUX_686_27, AUX_685_51;
AUX_686_27=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_685_51=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( NEWFORMS_359_202 );AUX_684_140=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_685_51, AUX_686_27 );}AUX_683_170=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_684_140, BNIL );}AUX_682_138=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( SETS_361_28 );AUX_681_118=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_682_138, AUX_683_170 );}VA_ARG_615_51=MAKE_PAIR( AUX_681_118, BNIL );}{obj_t AUX_687_233;
AUX_687_233=CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_5___EXPANDER_DEFINE_104, VA_ARG_615_51 );VA_ARG_613_170=MAKE_PAIR( AUX_687_233, VA_ARG_612_138 );}}{obj_t VA_ARG_614_140;
VA_ARG_614_140=MAKE_PAIR( VARS_360_55, VA_ARG_613_170 );{obj_t VA_ARG_616_27;
{obj_t C_MAKE_VECTOR_567_146;
{obj_t AUX_688_110;
AUX_688_110=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( VARS_360_55 );C_MAKE_VECTOR_567_146=make_vector( AUX_688_110, BINT( 0 ) );}{obj_t AUX_689_25;
{obj_t AUX_691_223, AUX_690_148;
AUX_691_223=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_690_148=VECTOR__LIST___R4_VECTORS_6_8_45( C_MAKE_VECTOR_567_146 );AUX_689_25=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_690_148, AUX_691_223 );}VA_ARG_616_27=MAKE_PAIR( AUX_689_25, BNIL );}}{obj_t VA_ARG_617_233;
VA_ARG_617_233=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_692_57;
{obj_t AUX_693_211;
AUX_693_211=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_614_140 );AUX_692_57=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_693_211, VA_ARG_616_27 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_692_57, VA_ARG_617_233 );}}}}}}}
}}
}

static obj_t
#if defined( __STDC__ )
EXPAND_EVAL_EXTERNAL_DEFINE___EXPANDER_DEFINE_250(obj_t X_364_7,obj_t E_365_146)
#else
EXPAND_EVAL_EXTERNAL_DEFINE___EXPANDER_DEFINE_250( X_364_7, E_365_146 )
obj_t X_364_7, E_365_146;
#endif
{

{
INTERNAL_DEFINITION____EXPANDER_DEFINE_50=BTRUE;
{obj_t E_366_117;
E_366_117=INTERNAL_BEGIN_EXPANDER___EXPANDER_DEFINE_79( E_365_146 );{obj_t RES_367_153;
{if( PAIRP( X_364_7 ))
{bool_t __andtest_1004_664_96;
{obj_t AUX_672_205;
{bool_t OBJ_663_211;
OBJ_663_211=PAIRP( CDR( X_364_7 ) );AUX_672_205=CBOOL_TO_BBOOL( OBJ_663_211 );}__andtest_1004_664_96=BBOOL_TO_CBOOL( AUX_672_205 );}if( __andtest_1004_664_96)
{bool_t OBJ_665_190;
{obj_t AUX_673_180;
{obj_t PAIR_571_85;
PAIR_571_85=CDR( X_364_7 );AUX_673_180=CDR( PAIR_571_85 );}OBJ_665_190=PAIRP( AUX_673_180 );}if( OBJ_665_190)
goto _true_0;else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t TYPE_370_166;
{obj_t PAIR_572_253;
PAIR_572_253=CDR( X_364_7 );TYPE_370_166=CAR( PAIR_572_253 );}if( PAIRP( TYPE_370_166 ))
{obj_t VA_ARG_618_110;
VA_ARG_618_110=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_619_25;
{obj_t VA_ARG_621_16;
VA_ARG_621_16=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_622_150;
{obj_t PAIR_575_154;
PAIR_575_154=CDR( X_364_7 );{obj_t C_CDR_576_169;
C_CDR_576_169=CDR( PAIR_575_154 );{obj_t AUX_674_160;
{obj_t AUX_675_215;
AUX_675_215=NORMALIZE_PROGN___PROGN_138( C_CDR_576_169 );AUX_674_160=PROCEDURE_ENTRY( E_366_117 )( E_366_117, AUX_675_215, E_366_117, BEOA );}VA_ARG_622_150=MAKE_PAIR( AUX_674_160, VA_ARG_621_16 );}}}{obj_t VA_ARG_623_26;
{obj_t C_CDR_574_68;
C_CDR_574_68=CDR( TYPE_370_166 );VA_ARG_623_26=MAKE_PAIR( C_CDR_574_68, VA_ARG_622_150 );}{obj_t AUX_676_162;
AUX_676_162=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_623_26 );VA_ARG_619_25=MAKE_PAIR( AUX_676_162, VA_ARG_618_110 );}}}}{obj_t VA_ARG_620_145;
{obj_t C_CAR_573_65;
C_CAR_573_65=CAR( TYPE_370_166 );VA_ARG_620_145=MAKE_PAIR( C_CAR_573_65, VA_ARG_619_25 );}{RES_367_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_620_145 );
goto _endif_2;}}}}else
{obj_t VA_ARG_624_189;
VA_ARG_624_189=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_625_8;
{obj_t PAIR_577_88;
PAIR_577_88=CDR( X_364_7 );{obj_t C_CDR_578_73;
C_CDR_578_73=CDR( PAIR_577_88 );{obj_t AUX_677_53;
{obj_t AUX_678_246;
AUX_678_246=NORMALIZE_PROGN___PROGN_138( C_CDR_578_73 );AUX_677_53=PROCEDURE_ENTRY( E_366_117 )( E_366_117, AUX_678_246, E_366_117, BEOA );}VA_ARG_625_8=MAKE_PAIR( AUX_677_53, VA_ARG_624_189 );}}}{obj_t VA_ARG_626_33;
VA_ARG_626_33=MAKE_PAIR( TYPE_370_166, VA_ARG_625_8 );{RES_367_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_626_33 );
goto _endif_2;}}}}}_false_1:
FAILURE( BREF( &DEFINE_4___EXPANDER_DEFINE_103), BREF( &ILLEGAL__2___EXPANDER_DEFINE_180), X_364_7 );_endif_2:
;
}{
INTERNAL_DEFINITION____EXPANDER_DEFINE_50=BFALSE;
return RES_367_153;
}}}
}
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255(obj_t X_371_182,obj_t E_372_183)
#else
EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255( X_371_182, E_372_183 )
obj_t X_371_182, E_372_183;
#endif
{

{obj_t FUN_379_41, FORMALS_380_6, BODY_381_168;
if( PAIRP( X_371_182 ))
{obj_t CDR_847_376_96;
CDR_847_376_96=CDR( X_371_182 );if( PAIRP( CDR_847_376_96 ))
{obj_t CAR_851_378_31, CDR_852_377_176;
CAR_851_378_31=CAR( CDR_847_376_96 );CDR_852_377_176=CDR( CDR_847_376_96 );if( PAIRP( CAR_851_378_31 ))
{obj_t OBJ2_579_115;
OBJ2_579_115=BNIL;if( EQP( CDR_852_377_176, OBJ2_579_115 ))
{_TAG_838_374_61:

FAILURE( BREF( &DEFINE_I_7___EXPANDER_DEFINE_48), BREF( &ILLEGAL__2___EXPANDER_DEFINE_180), X_371_182 );}else
{obj_t C_CAR_580_143;
C_CAR_580_143=CAR( CAR_851_378_31 );{obj_t C_CDR_581_3;
C_CDR_581_3=CDR( CAR_851_378_31 );{
BODY_381_168=CDR_852_377_176;
FORMALS_380_6=C_CDR_581_3;
FUN_379_41=C_CAR_580_143;
{
{obj_t VA_ARG_631_189;
VA_ARG_631_189=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_632_4;
{obj_t VA_ARG_634_16;
VA_ARG_634_16=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_635_145;
{obj_t AUX_669_127;
{obj_t AUX_670_47;
AUX_670_47=NORMALIZE_PROGN___PROGN_138( BODY_381_168 );AUX_669_127=PROCEDURE_ENTRY( E_372_183 )( E_372_183, AUX_670_47, E_372_183, BEOA );}VA_ARG_635_145=MAKE_PAIR( AUX_669_127, VA_ARG_634_16 );}{obj_t VA_ARG_636_26;
VA_ARG_636_26=MAKE_PAIR( FORMALS_380_6, VA_ARG_635_145 );{obj_t AUX_671_109;
AUX_671_109=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_DEFINE_204, VA_ARG_636_26 );VA_ARG_632_4=MAKE_PAIR( AUX_671_109, VA_ARG_631_189 );}}}}{obj_t VA_ARG_633_33;
VA_ARG_633_33=MAKE_PAIR( FUN_379_41, VA_ARG_632_4 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_3___EXPANDER_DEFINE_37, VA_ARG_633_33 );}}}}
}}}}else
goto _TAG_838_374_61;}else
goto _TAG_838_374_61;}else
goto _TAG_838_374_61;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_84(obj_t ENV_637_71,obj_t X_371_182,obj_t E_372_183)
#else
__EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_84( ENV_637_71, X_371_182, E_372_183 )
obj_t ENV_637_71, X_371_182, E_372_183;
#endif
{

return EXPAND_EVAL_DEFINE_INLINE___EXPANDER_DEFINE_255( X_371_182, E_372_183 );
}

