/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-do.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( DO_LOOP__0___EXPANDER_DO_237, "do-loop--", 9);
static obj_t EXP_9___EXPANDER_DO_145 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t LETREC_8___EXPANDER_DO_0 = BUNSPEC;
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
extern obj_t GENSYM___R4_SYMBOLS_6_4_130;
static obj_t IF_6___EXPANDER_DO_79 = BUNSPEC;
extern obj_t ___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119();
static obj_t LAMBDA_7___EXPANDER_DO_85 = BUNSPEC;
static obj_t BEGIN_5___EXPANDER_DO_139 = BUNSPEC;
obj_t EXPAND_DO_ENV___EXPANDER_DO_240 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPAND_DO___EXPANDER_DO_112(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_DO___EXPANDER_DO_112();
#endif
obj_t ___EXPANDER_DO_INITIALISATION_ENV___EXPANDER_DO_244 = BUNSPEC;
DEFINE_STRING( DO_1___EXPANDER_DO_117, "do", 2);
static obj_t REQUIRE_INITIALISATION____EXPANDER_DO_1 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ____EXPANDER_DO_INITIALISATION___EXPANDER_DO_211(obj_t);
#else
extern obj_t ____EXPANDER_DO_INITIALISATION___EXPANDER_DO_211();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t DO_3___EXPANDER_DO_210 = BUNSPEC;
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
DEFINE_STRING( ILLEGAL__2___EXPANDER_DO_55, "Illegal form", 12);
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( ILLEGAL__4___EXPANDER_DO_117, "Illegal form:", 13);
#if defined( __STDC__ )
extern obj_t EXPAND_DO___EXPANDER_DO_52(obj_t, obj_t);
#else
extern obj_t EXPAND_DO___EXPANDER_DO_52();
#endif
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();


obj_t
#if defined( __STDC__ )
___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119()
#else
___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_DO_1 ))
{
REQUIRE_INITIALISATION____EXPANDER_DO_1=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
DO_3___EXPANDER_DO_210=c_string_to_symbol( "DO" );
LETREC_8___EXPANDER_DO_0=c_string_to_symbol( "LETREC" );
IF_6___EXPANDER_DO_79=c_string_to_symbol( "IF" );
EXP_9___EXPANDER_DO_145=c_string_to_symbol( "EXP" );
LAMBDA_7___EXPANDER_DO_85=c_string_to_symbol( "LAMBDA" );
BEGIN_5___EXPANDER_DO_139=c_string_to_symbol( "BEGIN" );
{
___EXPANDER_DO_INITIALISATION_ENV___EXPANDER_DO_244=make_fx_procedure( ____EXPANDER_DO_INITIALISATION___EXPANDER_DO_211, 0, 0 );
EXPAND_DO_ENV___EXPANDER_DO_240=make_fx_procedure( __EXPAND_DO___EXPANDER_DO_112, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_DO_INITIALISATION___EXPANDER_DO_211(obj_t ENV_304_250)
#else
____EXPANDER_DO_INITIALISATION___EXPANDER_DO_211( ENV_304_250 )
obj_t ENV_304_250;
#endif
{

return ___EXPANDER_DO_INITIALISATION___EXPANDER_DO_119();
}

obj_t
#if defined( __STDC__ )
EXPAND_DO___EXPANDER_DO_52(obj_t EXP_222_242,obj_t E_223_62)
#else
EXPAND_DO___EXPANDER_DO_52( EXP_222_242, E_223_62 )
obj_t EXP_222_242, E_223_62;
#endif
{

{obj_t BINDINGS_229_168, END_230_157, COMMAND_231_139;
if( PAIRP( EXP_222_242 ))
{obj_t CDR_111_227_186;
CDR_111_227_186=CDR( EXP_222_242 );if( PAIRP( CDR_111_227_186 ))
{obj_t CDR_116_228_160;
CDR_116_228_160=CDR( CDR_111_227_186 );if( PAIRP( CDR_116_228_160 ))
{obj_t C_CAR_276_198;
C_CAR_276_198=CAR( CDR_111_227_186 );{obj_t C_CAR_277_168;
C_CAR_277_168=CAR( CDR_116_228_160 );{obj_t C_CDR_278_19;
C_CDR_278_19=CDR( CDR_116_228_160 );{
COMMAND_231_139=C_CDR_278_19;
END_230_157=C_CAR_277_168;
BINDINGS_229_168=C_CAR_276_198;
{
{obj_t VARS_233_2;
VARS_233_2=BNIL;{obj_t INITS_234_111;
INITS_234_111=BNIL;{obj_t STEPS_235_163;
STEPS_235_163=BNIL;{obj_t LOOP_236_197;
{obj_t STRING_CAST_281_127;
STRING_CAST_281_127=BREF( &DO_LOOP__0___EXPANDER_DO_237);LOOP_236_197=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, STRING_CAST_281_127, BEOA );}{obj_t TEST_237_187;
if( PAIRP( END_230_157 ))
TEST_237_187=CAR( END_230_157 );else
FAILURE( BREF( &DO_1___EXPANDER_DO_117), BREF( &ILLEGAL__2___EXPANDER_DO_55), EXP_222_242 );{obj_t ENDING_238_31;
{obj_t OBJ_253_176;
OBJ_253_176=CDR( END_230_157 );if( NULLP( OBJ_253_176 ))
ENDING_238_31=MAKE_PAIR( BFALSE, BNIL );else
ENDING_238_31=OBJ_253_176;}{
{obj_t g1000_241_233;
{
g1000_241_233=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( BINDINGS_229_168 );
{_g1001_240_206:

if( PAIRP( g1000_241_233 ))
{
{obj_t VAR_INIT_STEP_242_1;
VAR_INIT_STEP_242_1=CAR( g1000_241_233 );{bool_t __andtest_1002_308_9;
{obj_t AUX_310_97;
{obj_t N1_259_244;
N1_259_244=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( VAR_INIT_STEP_242_1 );AUX_310_97=CBOOL_TO_BBOOL( GE_I( N1_259_244, BINT( 2 ) ) );}__andtest_1002_308_9=BBOOL_TO_CBOOL( AUX_310_97 );}{if( __andtest_1002_308_9)
{obj_t N1_262_89;
N1_262_89=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( VAR_INIT_STEP_242_1 );if( LE_I( N1_262_89, BINT( 3 ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t VAR_244_62;
VAR_244_62=CAR( VAR_INIT_STEP_242_1 );{obj_t INIT_245_172;
{obj_t PAIR_264_26;
PAIR_264_26=CDR( VAR_INIT_STEP_242_1 );INIT_245_172=CAR( PAIR_264_26 );}{obj_t STEP_246_71;
{bool_t OBJ_309_148;
{obj_t AUX_311_174;
{obj_t PAIR_267_145;
PAIR_267_145=CDR( VAR_INIT_STEP_242_1 );AUX_311_174=CDR( PAIR_267_145 );}OBJ_309_148=NULLP( AUX_311_174 );}if( OBJ_309_148)
STEP_246_71=VAR_244_62;else
{obj_t PAIR_268_175;
{obj_t PAIR_269_195;
PAIR_269_195=CDR( VAR_INIT_STEP_242_1 );PAIR_268_175=CDR( PAIR_269_195 );}STEP_246_71=CAR( PAIR_268_175 );}}{
{obj_t OBJ2_272_65;
OBJ2_272_65=VARS_233_2;VARS_233_2=MAKE_PAIR( VAR_244_62, OBJ2_272_65 );}
{obj_t OBJ2_273_36;
OBJ2_273_36=STEPS_235_163;STEPS_235_163=MAKE_PAIR( STEP_246_71, OBJ2_273_36 );}
{obj_t OBJ2_274_7;
OBJ2_274_7=INITS_234_111;{INITS_234_111=MAKE_PAIR( INIT_245_172, OBJ2_274_7 );
goto _endif_2;}}
}}}}_false_1:
FAILURE( DO_3___EXPANDER_DO_210, BREF( &ILLEGAL__4___EXPANDER_DO_117), VAR_INIT_STEP_242_1 );_endif_2:
;
}}}
{obj_t C_CDR_275_236;
C_CDR_275_236=CDR( g1000_241_233 );{
g1000_241_233=C_CDR_275_236;
goto _g1001_240_206;
}}
}else
BTRUE;}
}}
{obj_t VA_ARG_285_192;
VA_ARG_285_192=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_286_54;
{obj_t VA_ARG_302_3;
{obj_t AUX_312_132;
{obj_t AUX_313_119;
AUX_313_119=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_312_132=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( INITS_234_111, AUX_313_119 );}VA_ARG_302_3=MAKE_PAIR( AUX_312_132, BNIL );}{obj_t AUX_314_1;
AUX_314_1=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOOP_236_197, VA_ARG_302_3 );VA_ARG_286_54=MAKE_PAIR( AUX_314_1, VA_ARG_285_192 );}}{obj_t VA_ARG_287_221;
{obj_t VA_ARG_288_178;
VA_ARG_288_178=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_289_85;
{obj_t VA_ARG_290_185;
VA_ARG_290_185=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_291_194;
{obj_t VA_ARG_293_164;
VA_ARG_293_164=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_294_105;
{obj_t VA_ARG_298_130;
{obj_t VA_ARG_299_122;
{obj_t AUX_315_14;
{obj_t AUX_316_110;
AUX_316_110=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_315_14=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( STEPS_235_163, AUX_316_110 );}VA_ARG_299_122=MAKE_PAIR( AUX_315_14, BNIL );}{obj_t VA_ARG_300_9;
VA_ARG_300_9=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_317_25;
{obj_t AUX_318_27;
{obj_t AUX_319_233;
AUX_319_233=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOOP_236_197, VA_ARG_299_122 );AUX_318_27=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_319_233, VA_ARG_300_9 );}AUX_317_25=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( COMMAND_231_139, AUX_318_27 );}VA_ARG_298_130=MAKE_PAIR( AUX_317_25, BNIL );}}}{obj_t AUX_320_32;
AUX_320_32=CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_5___EXPANDER_DO_139, VA_ARG_298_130 );VA_ARG_294_105=MAKE_PAIR( AUX_320_32, VA_ARG_293_164 );}}{obj_t VA_ARG_295_134;
{obj_t VA_ARG_297_55;
{obj_t AUX_321_13;
{obj_t AUX_322_187;
AUX_322_187=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_321_13=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( ENDING_238_31, AUX_322_187 );}VA_ARG_297_55=MAKE_PAIR( AUX_321_13, BNIL );}{obj_t AUX_323_199;
AUX_323_199=CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_5___EXPANDER_DO_139, VA_ARG_297_55 );VA_ARG_295_134=MAKE_PAIR( AUX_323_199, VA_ARG_294_105 );}}{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( TEST_237_187, VA_ARG_295_134 );{obj_t AUX_324_214;
AUX_324_214=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_6___EXPANDER_DO_79, VA_ARG_296_143 );VA_ARG_291_194=MAKE_PAIR( AUX_324_214, VA_ARG_290_185 );}}}}}{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( VARS_233_2, VA_ARG_291_194 );{obj_t AUX_325_18;
AUX_325_18=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_7___EXPANDER_DO_85, VA_ARG_292_29 );VA_ARG_289_85=MAKE_PAIR( AUX_325_18, VA_ARG_288_178 );}}}}{obj_t VA_ARG_301_89;
VA_ARG_301_89=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_326_226;
{obj_t AUX_327_84;
AUX_327_84=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOOP_236_197, VA_ARG_289_85 );AUX_326_226=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_327_84, VA_ARG_301_89 );}VA_ARG_287_221=MAKE_PAIR( AUX_326_226, VA_ARG_286_54 );}}}}{obj_t AUX_328_43;
AUX_328_43=CONS____R4_PAIRS_AND_LISTS_6_3_28( LETREC_8___EXPANDER_DO_0, VA_ARG_287_221 );return PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_328_43, E_223_62, BEOA );}}}}
}}}}}}}}
}}}}else
{_TAG_102_225_139:

FAILURE( DO_3___EXPANDER_DO_210, BREF( &ILLEGAL__2___EXPANDER_DO_55), EXP_9___EXPANDER_DO_145 );}}else
goto _TAG_102_225_139;}else
goto _TAG_102_225_139;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_DO___EXPANDER_DO_112(obj_t ENV_303_237,obj_t EXP_222_242,obj_t E_223_62)
#else
__EXPAND_DO___EXPANDER_DO_112( ENV_303_237, EXP_222_242, E_223_62 )
obj_t ENV_303_237, EXP_222_242, E_223_62;
#endif
{

return EXPAND_DO___EXPANDER_DO_52( EXP_222_242, E_223_62 );
}

