/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-struct.c                                        */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t NOT_29___EXPANDER_STRUCT_238 = BUNSPEC;
static obj_t __SET__8___EXPANDER_STRUCT_240 = BUNSPEC;
obj_t EXPAND_EVAL_DEFINE_STRUCT_ENV___EXPANDER_STRUCT_156 = BUNSPEC;
static obj_t CAR_25___EXPANDER_STRUCT_99 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
static obj_t ERROR_2___EXPANDER_STRUCT_202 = BUNSPEC;
DEFINE_STRING( DEFINE_S_32___EXPANDER_STRUCT_115, "define-struct", 13);
static obj_t ___6___EXPANDER_STRUCT_222 = BUNSPEC;
static obj_t V_3___EXPANDER_STRUCT_110 = BUNSPEC;
extern obj_t MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246();
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26();
static obj_t LET_23___EXPANDER_STRUCT_142 = BUNSPEC;
static obj_t O_17___EXPANDER_STRUCT_56 = BUNSPEC;
static obj_t CDR_27___EXPANDER_STRUCT_161 = BUNSPEC;
DEFINE_STRING( TOO_MANY_26___EXPANDER_STRUCT_166, "Too many argument provided", 26);
DEFINE_STRING( NOT_AN_I_0___EXPANDER_STRUCT_172, "not an instance of", 18);
static obj_t S_4___EXPANDER_STRUCT_144 = BUNSPEC;
DEFINE_STRING( ILLEGAL__33___EXPANDER_STRUCT_155, "Illegal form", 12);
static obj_t QUOTE_16___EXPANDER_STRUCT_53 = BUNSPEC;
static obj_t MAKE__22___EXPANDER_STRUCT_71 = BUNSPEC;
DEFINE_STRING( STRUCT_S_1___EXPANDER_STRUCT_42, "struct-set!", 11);
static obj_t REQUIRE_INITIALISATION____EXPANDER_STRUCT_187 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t NEW_21___EXPANDER_STRUCT_37 = BUNSPEC;
static obj_t STRUCT_K_18___EXPANDER_STRUCT_49 = BUNSPEC;
static obj_t STRUCT_R_12___EXPANDER_STRUCT_8 = BUNSPEC;
extern obj_t ___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223();
obj_t ___EXPANDER_STRUCT_INITIALISATION_ENV___EXPANDER_STRUCT_123 = BUNSPEC;
static obj_t LIST_15___EXPANDER_STRUCT_205 = BUNSPEC;
static obj_t MAKE_STR_30___EXPANDER_STRUCT_123 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t INIT_24___EXPANDER_STRUCT_37 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_95(obj_t);
#else
extern obj_t ____EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_95();
#endif
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
extern obj_t make_fx_procedure();
extern obj_t ___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155();
static obj_t STRUCT__20___EXPANDER_STRUCT_147 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t UNSPECIF_13___EXPANDER_STRUCT_223 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206();
#endif
static obj_t IF_7___EXPANDER_STRUCT_70 = BUNSPEC;
static obj_t BEGIN_31___EXPANDER_STRUCT_139 = BUNSPEC;
static obj_t EQ__19___EXPANDER_STRUCT_5 = BUNSPEC;
static obj_t NULL__28___EXPANDER_STRUCT_247 = BUNSPEC;
static obj_t LIST_14___EXPANDER_STRUCT_171 = BUNSPEC;
DEFINE_STRING( STRUCT_R_11___EXPANDER_STRUCT_47, "struct-ref", 10);
static obj_t ___9___EXPANDER_STRUCT_115 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_107(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_107();
#endif
static obj_t DEFINE_I_10___EXPANDER_STRUCT_218 = BUNSPEC;
static obj_t STRUCT_S_5___EXPANDER_STRUCT_82 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155()
#else
___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_STRUCT_187 ))
{
REQUIRE_INITIALISATION____EXPANDER_STRUCT_187=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223();
S_4___EXPANDER_STRUCT_144=c_string_to_symbol( "S" );
QUOTE_16___EXPANDER_STRUCT_53=c_string_to_symbol( "QUOTE" );
INIT_24___EXPANDER_STRUCT_37=c_string_to_symbol( "INIT" );
__SET__8___EXPANDER_STRUCT_240=c_string_to_symbol( "-SET!" );
STRUCT_S_5___EXPANDER_STRUCT_82=c_string_to_symbol( "STRUCT-SET!" );
MAKE__22___EXPANDER_STRUCT_71=c_string_to_symbol( "MAKE-" );
MAKE_STR_30___EXPANDER_STRUCT_123=c_string_to_symbol( "MAKE-STRUCT" );
LET_23___EXPANDER_STRUCT_142=c_string_to_symbol( "LET" );
___6___EXPANDER_STRUCT_222=c_string_to_symbol( "?" );
STRUCT_K_18___EXPANDER_STRUCT_49=c_string_to_symbol( "STRUCT-KEY" );
CAR_25___EXPANDER_STRUCT_99=c_string_to_symbol( "CAR" );
IF_7___EXPANDER_STRUCT_70=c_string_to_symbol( "IF" );
STRUCT__20___EXPANDER_STRUCT_147=c_string_to_symbol( "STRUCT?" );
CDR_27___EXPANDER_STRUCT_161=c_string_to_symbol( "CDR" );
EQ__19___EXPANDER_STRUCT_5=c_string_to_symbol( "EQ?" );
DEFINE_I_10___EXPANDER_STRUCT_218=c_string_to_symbol( "DEFINE-INLINE" );
ERROR_2___EXPANDER_STRUCT_202=c_string_to_symbol( "ERROR" );
V_3___EXPANDER_STRUCT_110=c_string_to_symbol( "V" );
NEW_21___EXPANDER_STRUCT_37=c_string_to_symbol( "NEW" );
BEGIN_31___EXPANDER_STRUCT_139=c_string_to_symbol( "BEGIN" );
___9___EXPANDER_STRUCT_115=c_string_to_symbol( "-" );
NULL__28___EXPANDER_STRUCT_247=c_string_to_symbol( "NULL?" );
STRUCT_R_12___EXPANDER_STRUCT_8=c_string_to_symbol( "STRUCT-REF" );
O_17___EXPANDER_STRUCT_56=c_string_to_symbol( "O" );
NOT_29___EXPANDER_STRUCT_238=c_string_to_symbol( "NOT" );
UNSPECIF_13___EXPANDER_STRUCT_223=c_string_to_symbol( "UNSPECIFIED" );
LIST_14___EXPANDER_STRUCT_171=MAKE_PAIR( UNSPECIF_13___EXPANDER_STRUCT_223, BNIL );
LIST_15___EXPANDER_STRUCT_205=MAKE_PAIR( LIST_14___EXPANDER_STRUCT_171, BNIL );
{
___EXPANDER_STRUCT_INITIALISATION_ENV___EXPANDER_STRUCT_123=make_fx_procedure( ____EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_95, 0, 0 );
EXPAND_EVAL_DEFINE_STRUCT_ENV___EXPANDER_STRUCT_156=make_fx_procedure( __EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_107, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_95(obj_t ENV_411_198)
#else
____EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_95( ENV_411_198 )
obj_t ENV_411_198;
#endif
{

return ___EXPANDER_STRUCT_INITIALISATION___EXPANDER_STRUCT_155();
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

{obj_t NAME_228_125, SLOTS_229_21;
if( PAIRP( X_222_34 ))
{obj_t CDR_109_227_121;
CDR_109_227_121=CDR( X_222_34 );if( PAIRP( CDR_109_227_121 ))
{obj_t C_CAR_272_241;
C_CAR_272_241=CAR( CDR_109_227_121 );{obj_t C_CDR_273_136;
C_CDR_273_136=CDR( CDR_109_227_121 );{
SLOTS_229_21=C_CDR_273_136;
NAME_228_125=C_CAR_272_241;
{
{
MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246( X_222_34 );
{obj_t LEN_230_96;
LEN_230_96=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( SLOTS_229_21 );{obj_t OBJ2_244_162;
{obj_t OBJ2_247_215;
{obj_t OBJ2_249_179;
{obj_t OBJ2_259_249;
{obj_t I_235_130, SLOTS_236_115, RES_237_221;
{
RES_237_221=LIST_15___EXPANDER_STRUCT_205;
SLOTS_236_115=SLOTS_229_21;
I_235_130=BINT( 0 );
{_LOOP_234_107:

if( EQ_I( I_235_130, LEN_230_96 ))
OBJ2_259_249=RES_237_221;else
{obj_t PR_238_77;
PR_238_77=CAR( SLOTS_236_115 );{obj_t C_CDR_265_30;
C_CDR_265_30=CDR( SLOTS_236_115 );{obj_t OBJ2_267_244;
{obj_t OBJ1_270_27;
{obj_t VA_ARG_276_29;
VA_ARG_276_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_277_164;
{obj_t VA_ARG_286_54;
VA_ARG_286_54=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_287_221;
{obj_t VA_ARG_298_130;
VA_ARG_298_130=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_299_122;
{obj_t AUX_413_63;
AUX_413_63=SYMBOL_TO_STRING( NAME_228_125 );VA_ARG_299_122=MAKE_PAIR( AUX_413_63, VA_ARG_298_130 );}{obj_t VA_ARG_300_9;
{obj_t STRING_CAST_303_180;
STRING_CAST_303_180=BREF( &NOT_AN_I_0___EXPANDER_STRUCT_172);VA_ARG_300_9=MAKE_PAIR( STRING_CAST_303_180, VA_ARG_299_122 );}{obj_t VA_ARG_301_89;
{obj_t STRING_CAST_302_205;
STRING_CAST_302_205=BREF( &STRUCT_S_1___EXPANDER_STRUCT_42);VA_ARG_301_89=MAKE_PAIR( STRING_CAST_302_205, VA_ARG_300_9 );}{obj_t AUX_414_184;
AUX_414_184=CONS____R4_PAIRS_AND_LISTS_6_3_28( ERROR_2___EXPANDER_STRUCT_202, VA_ARG_301_89 );VA_ARG_287_221=MAKE_PAIR( AUX_414_184, VA_ARG_286_54 );}}}}}{obj_t VA_ARG_288_178;
{obj_t VA_ARG_294_105;
VA_ARG_294_105=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_295_134;
VA_ARG_295_134=MAKE_PAIR( V_3___EXPANDER_STRUCT_110, VA_ARG_294_105 );{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( I_235_130, VA_ARG_295_134 );{obj_t VA_ARG_297_55;
VA_ARG_297_55=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_296_143 );{obj_t AUX_415_146;
AUX_415_146=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT_S_5___EXPANDER_STRUCT_82, VA_ARG_297_55 );VA_ARG_288_178=MAKE_PAIR( AUX_415_146, VA_ARG_287_221 );}}}}}{obj_t VA_ARG_289_85;
{obj_t VA_ARG_290_185;
VA_ARG_290_185=MAKE_PAIR( ___6___EXPANDER_STRUCT_222, BNIL );{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( NAME_228_125, VA_ARG_290_185 );{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_293_164;
VA_ARG_293_164=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_292_29 );{obj_t AUX_416_117;
{obj_t AUX_417_39;
AUX_417_39=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_291_194 );AUX_416_117=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_417_39, VA_ARG_293_164 );}VA_ARG_289_85=MAKE_PAIR( AUX_416_117, VA_ARG_288_178 );}}}}}{obj_t AUX_418_149;
AUX_418_149=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_7___EXPANDER_STRUCT_70, VA_ARG_289_85 );VA_ARG_277_164=MAKE_PAIR( AUX_418_149, VA_ARG_276_29 );}}}}}{obj_t VA_ARG_278_77;
{obj_t VA_ARG_279_72;
VA_ARG_279_72=MAKE_PAIR( __SET__8___EXPANDER_STRUCT_240, BNIL );{obj_t VA_ARG_280_35;
VA_ARG_280_35=MAKE_PAIR( PR_238_77, VA_ARG_279_72 );{obj_t VA_ARG_281_206;
VA_ARG_281_206=MAKE_PAIR( ___9___EXPANDER_STRUCT_115, VA_ARG_280_35 );{obj_t VA_ARG_282_95;
VA_ARG_282_95=MAKE_PAIR( NAME_228_125, VA_ARG_281_206 );{obj_t VA_ARG_283_116;
VA_ARG_283_116=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_284_252;
VA_ARG_284_252=MAKE_PAIR( V_3___EXPANDER_STRUCT_110, VA_ARG_283_116 );{obj_t VA_ARG_285_192;
VA_ARG_285_192=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_284_252 );{obj_t AUX_419_31;
{obj_t AUX_420_244;
AUX_420_244=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_282_95 );AUX_419_31=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_420_244, VA_ARG_285_192 );}VA_ARG_278_77=MAKE_PAIR( AUX_419_31, VA_ARG_277_164 );}}}}}}}}{obj_t AUX_421_45;
AUX_421_45=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_I_10___EXPANDER_STRUCT_218, VA_ARG_278_77 );OBJ1_270_27=PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_421_45, E_223_62, BEOA );}}}}OBJ2_267_244=MAKE_PAIR( OBJ1_270_27, RES_237_221 );}{obj_t OBJ1_266_175;
{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_305_159;
{obj_t VA_ARG_312_159;
VA_ARG_312_159=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_313_93;
{obj_t VA_ARG_323_168;
VA_ARG_323_168=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_324_46;
{obj_t AUX_422_236;
AUX_422_236=SYMBOL_TO_STRING( NAME_228_125 );VA_ARG_324_46=MAKE_PAIR( AUX_422_236, VA_ARG_323_168 );}{obj_t VA_ARG_325_79;
{obj_t STRING_CAST_328_194;
STRING_CAST_328_194=BREF( &NOT_AN_I_0___EXPANDER_STRUCT_172);VA_ARG_325_79=MAKE_PAIR( STRING_CAST_328_194, VA_ARG_324_46 );}{obj_t VA_ARG_326_241;
{obj_t STRING_CAST_327_121;
STRING_CAST_327_121=BREF( &STRUCT_R_11___EXPANDER_STRUCT_47);VA_ARG_326_241=MAKE_PAIR( STRING_CAST_327_121, VA_ARG_325_79 );}{obj_t AUX_423_249;
AUX_423_249=CONS____R4_PAIRS_AND_LISTS_6_3_28( ERROR_2___EXPANDER_STRUCT_202, VA_ARG_326_241 );VA_ARG_313_93=MAKE_PAIR( AUX_423_249, VA_ARG_312_159 );}}}}}{obj_t VA_ARG_314_61;
{obj_t VA_ARG_320_254;
VA_ARG_320_254=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_321_41;
VA_ARG_321_41=MAKE_PAIR( I_235_130, VA_ARG_320_254 );{obj_t VA_ARG_322_198;
VA_ARG_322_198=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_321_41 );{obj_t AUX_424_136;
AUX_424_136=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT_R_12___EXPANDER_STRUCT_8, VA_ARG_322_198 );VA_ARG_314_61=MAKE_PAIR( AUX_424_136, VA_ARG_313_93 );}}}}{obj_t VA_ARG_315_3;
{obj_t VA_ARG_316_89;
VA_ARG_316_89=MAKE_PAIR( ___6___EXPANDER_STRUCT_222, BNIL );{obj_t VA_ARG_317_9;
VA_ARG_317_9=MAKE_PAIR( NAME_228_125, VA_ARG_316_89 );{obj_t VA_ARG_318_82;
VA_ARG_318_82=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_319_106;
VA_ARG_319_106=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_318_82 );{obj_t AUX_425_153;
{obj_t AUX_426_182;
AUX_426_182=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_317_9 );AUX_425_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_426_182, VA_ARG_319_106 );}VA_ARG_315_3=MAKE_PAIR( AUX_425_153, VA_ARG_314_61 );}}}}}{obj_t AUX_427_111;
AUX_427_111=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_7___EXPANDER_STRUCT_70, VA_ARG_315_3 );VA_ARG_305_159=MAKE_PAIR( AUX_427_111, VA_ARG_304_93 );}}}}}{obj_t VA_ARG_306_155;
{obj_t VA_ARG_307_42;
VA_ARG_307_42=MAKE_PAIR( PR_238_77, BNIL );{obj_t VA_ARG_308_240;
VA_ARG_308_240=MAKE_PAIR( ___9___EXPANDER_STRUCT_115, VA_ARG_307_42 );{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( NAME_228_125, VA_ARG_308_240 );{obj_t VA_ARG_310_42;
VA_ARG_310_42=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_311_155;
VA_ARG_311_155=MAKE_PAIR( S_4___EXPANDER_STRUCT_144, VA_ARG_310_42 );{obj_t AUX_428_202;
{obj_t AUX_429_217;
AUX_429_217=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_309_255 );AUX_428_202=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_429_217, VA_ARG_311_155 );}VA_ARG_306_155=MAKE_PAIR( AUX_428_202, VA_ARG_305_159 );}}}}}}{obj_t AUX_430_129;
AUX_430_129=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_I_10___EXPANDER_STRUCT_218, VA_ARG_306_155 );OBJ1_266_175=PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_430_129, E_223_62, BEOA );}}}}{obj_t C_CONS_268_193;
C_CONS_268_193=MAKE_PAIR( OBJ1_266_175, OBJ2_267_244 );{obj_t I_431_122;
I_431_122=I_235_130;{
RES_237_221=C_CONS_268_193;
SLOTS_236_115=C_CDR_265_30;
I_235_130=ADD_I_PTAG( I_431_122, PSUB_TAG( 1 ) );
goto _LOOP_234_107;
}}}}}}}}
}}{obj_t OBJ1_258_94;
{obj_t VA_ARG_329_128;
VA_ARG_329_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_330_213;
{obj_t VA_ARG_336_223;
VA_ARG_336_223=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_337_148;
VA_ARG_337_148=MAKE_PAIR( BFALSE, VA_ARG_336_223 );{obj_t VA_ARG_338_115;
{obj_t VA_ARG_342_240;
VA_ARG_342_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_343_255;
{obj_t VA_ARG_347_158;
VA_ARG_347_158=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_348_3;
VA_ARG_348_3=MAKE_PAIR( NAME_228_125, VA_ARG_347_158 );{obj_t AUX_432_217;
AUX_432_217=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_16___EXPANDER_STRUCT_53, VA_ARG_348_3 );VA_ARG_343_255=MAKE_PAIR( AUX_432_217, VA_ARG_342_240 );}}}{obj_t VA_ARG_344_106;
{obj_t VA_ARG_345_82;
VA_ARG_345_82=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_346_201;
VA_ARG_346_201=MAKE_PAIR( O_17___EXPANDER_STRUCT_56, VA_ARG_345_82 );{obj_t AUX_433_202;
AUX_433_202=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT_K_18___EXPANDER_STRUCT_49, VA_ARG_346_201 );VA_ARG_344_106=MAKE_PAIR( AUX_433_202, VA_ARG_343_255 );}}}{obj_t AUX_434_19;
AUX_434_19=CONS____R4_PAIRS_AND_LISTS_6_3_28( EQ__19___EXPANDER_STRUCT_5, VA_ARG_344_106 );VA_ARG_338_115=MAKE_PAIR( AUX_434_19, VA_ARG_337_148 );}}}}{obj_t VA_ARG_339_48;
{obj_t VA_ARG_340_218;
VA_ARG_340_218=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_341_102;
VA_ARG_341_102=MAKE_PAIR( O_17___EXPANDER_STRUCT_56, VA_ARG_340_218 );{obj_t AUX_435_165;
AUX_435_165=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT__20___EXPANDER_STRUCT_147, VA_ARG_341_102 );VA_ARG_339_48=MAKE_PAIR( AUX_435_165, VA_ARG_338_115 );}}}{obj_t AUX_436_231;
AUX_436_231=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_7___EXPANDER_STRUCT_70, VA_ARG_339_48 );VA_ARG_330_213=MAKE_PAIR( AUX_436_231, VA_ARG_329_128 );}}}}}{obj_t VA_ARG_331_49;
{obj_t VA_ARG_332_190;
VA_ARG_332_190=MAKE_PAIR( ___6___EXPANDER_STRUCT_222, BNIL );{obj_t VA_ARG_333_104;
VA_ARG_333_104=MAKE_PAIR( NAME_228_125, VA_ARG_332_190 );{obj_t VA_ARG_334_211;
VA_ARG_334_211=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_335_57;
VA_ARG_335_57=MAKE_PAIR( O_17___EXPANDER_STRUCT_56, VA_ARG_334_211 );{obj_t AUX_437_71;
{obj_t AUX_438_249;
AUX_438_249=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_333_104 );AUX_437_71=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_438_249, VA_ARG_335_57 );}VA_ARG_331_49=MAKE_PAIR( AUX_437_71, VA_ARG_330_213 );}}}}}{obj_t AUX_439_236;
AUX_439_236=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_I_10___EXPANDER_STRUCT_218, VA_ARG_331_49 );OBJ1_258_94=PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_439_236, E_223_62, BEOA );}}}}OBJ2_249_179=MAKE_PAIR( OBJ1_258_94, OBJ2_259_249 );}}{obj_t OBJ1_248_9;
{obj_t VA_ARG_349_61;
VA_ARG_349_61=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_350_57;
{obj_t VA_ARG_353_223;
{obj_t SLOTS_232_186, RES_233_116;
{obj_t VA_ARG_368_172;
VA_ARG_368_172=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_440_215;
{obj_t AUX_443_162, AUX_441_160;
AUX_443_162=CONS____R4_PAIRS_AND_LISTS_6_3_28( NEW_21___EXPANDER_STRUCT_37, VA_ARG_368_172 );{
RES_233_116=BNIL;
SLOTS_232_186=SLOTS_229_21;
{_LOOP_231_56:

if( NULLP( SLOTS_232_186 ))
AUX_441_160=RES_233_116;else
{obj_t C_CDR_252_47;
C_CDR_252_47=CDR( SLOTS_232_186 );{obj_t OBJ1_253_214;
{obj_t VA_ARG_361_78;
VA_ARG_361_78=MAKE_PAIR( __SET__8___EXPANDER_STRUCT_240, BNIL );{obj_t VA_ARG_362_22;
{obj_t C_CAR_256_113;
C_CAR_256_113=CAR( SLOTS_232_186 );VA_ARG_362_22=MAKE_PAIR( C_CAR_256_113, VA_ARG_361_78 );}{obj_t VA_ARG_363_58;
VA_ARG_363_58=MAKE_PAIR( ___9___EXPANDER_STRUCT_115, VA_ARG_362_22 );{obj_t VA_ARG_364_103;
VA_ARG_364_103=MAKE_PAIR( NAME_228_125, VA_ARG_363_58 );{obj_t VA_ARG_365_70;
VA_ARG_365_70=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_366_12;
{obj_t C_CAR_257_112;
C_CAR_257_112=CAR( SLOTS_232_186 );VA_ARG_366_12=MAKE_PAIR( C_CAR_257_112, VA_ARG_365_70 );}{obj_t VA_ARG_367_181;
VA_ARG_367_181=MAKE_PAIR( NEW_21___EXPANDER_STRUCT_37, VA_ARG_366_12 );{obj_t AUX_442_53;
AUX_442_53=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_364_103 );OBJ1_253_214=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_442_53, VA_ARG_367_181 );}}}}}}}}{obj_t C_CONS_254_217;
C_CONS_254_217=MAKE_PAIR( OBJ1_253_214, RES_233_116 );{
RES_233_116=C_CONS_254_217;
SLOTS_232_186=C_CDR_252_47;
goto _LOOP_231_56;
}}}}}
}AUX_440_215=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_441_160, AUX_443_162 );}VA_ARG_353_223=MAKE_PAIR( AUX_440_215, BNIL );}}}{obj_t VA_ARG_354_49;
{obj_t VA_ARG_355_213;
VA_ARG_355_213=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_356_104;
{obj_t VA_ARG_357_190;
VA_ARG_357_190=MAKE_PAIR( NAME_228_125, BNIL );{obj_t VA_ARG_358_67;
VA_ARG_358_67=MAKE_PAIR( MAKE__22___EXPANDER_STRUCT_71, VA_ARG_357_190 );{obj_t VA_ARG_359_186;
VA_ARG_359_186=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_444_109;
{obj_t AUX_445_47;
AUX_445_47=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_358_67 );AUX_444_109=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_445_47, VA_ARG_359_186 );}VA_ARG_356_104=MAKE_PAIR( AUX_444_109, VA_ARG_355_213 );}}}}{obj_t VA_ARG_360_75;
VA_ARG_360_75=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_446_180;
{obj_t AUX_447_205;
AUX_447_205=CONS____R4_PAIRS_AND_LISTS_6_3_28( NEW_21___EXPANDER_STRUCT_37, VA_ARG_356_104 );AUX_446_180=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_447_205, VA_ARG_360_75 );}VA_ARG_354_49=MAKE_PAIR( AUX_446_180, VA_ARG_353_223 );}}}}{obj_t AUX_448_227;
AUX_448_227=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_23___EXPANDER_STRUCT_142, VA_ARG_354_49 );VA_ARG_350_57=MAKE_PAIR( AUX_448_227, VA_ARG_349_61 );}}}{obj_t VA_ARG_351_211;
{obj_t VA_ARG_352_148;
{obj_t AUX_449_96;
{obj_t AUX_450_146;
AUX_450_146=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_449_96=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( SLOTS_229_21, AUX_450_146 );}VA_ARG_352_148=MAKE_PAIR( AUX_449_96, BNIL );}{obj_t AUX_451_184;
AUX_451_184=CONS____R4_PAIRS_AND_LISTS_6_3_28( NAME_228_125, VA_ARG_352_148 );VA_ARG_351_211=MAKE_PAIR( AUX_451_184, VA_ARG_350_57 );}}{obj_t AUX_452_39;
AUX_452_39=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_I_10___EXPANDER_STRUCT_218, VA_ARG_351_211 );OBJ1_248_9=PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_452_39, E_223_62, BEOA );}}}}OBJ2_247_215=MAKE_PAIR( OBJ1_248_9, OBJ2_249_179 );}}{obj_t OBJ1_246_106;
{obj_t VA_ARG_369_144;
VA_ARG_369_144=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_370_48;
{obj_t VA_ARG_375_186;
VA_ARG_375_186=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_376_210;
{obj_t VA_ARG_381_176;
VA_ARG_381_176=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_382_86;
{obj_t VA_ARG_389_156;
VA_ARG_389_156=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_390_176;
{obj_t VA_ARG_408_194;
VA_ARG_408_194=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_409_185;
VA_ARG_409_185=MAKE_PAIR( INIT_24___EXPANDER_STRUCT_37, VA_ARG_408_194 );{obj_t AUX_453_117;
AUX_453_117=CONS____R4_PAIRS_AND_LISTS_6_3_28( CAR_25___EXPANDER_STRUCT_99, VA_ARG_409_185 );VA_ARG_390_176=MAKE_PAIR( AUX_453_117, VA_ARG_389_156 );}}}{obj_t VA_ARG_391_161;
{obj_t VA_ARG_399_241;
VA_ARG_399_241=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_400_122;
VA_ARG_400_122=MAKE_PAIR( INIT_24___EXPANDER_STRUCT_37, VA_ARG_399_241 );{obj_t VA_ARG_401_130;
{obj_t STRING_CAST_407_182;
STRING_CAST_407_182=BREF( &TOO_MANY_26___EXPANDER_STRUCT_166);VA_ARG_401_130=MAKE_PAIR( STRING_CAST_407_182, VA_ARG_400_122 );}{obj_t VA_ARG_402_245;
{obj_t VA_ARG_403_208;
VA_ARG_403_208=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_404_72;
{obj_t VA_ARG_405_77;
VA_ARG_405_77=MAKE_PAIR( NAME_228_125, BNIL );{obj_t VA_ARG_406_64;
VA_ARG_406_64=MAKE_PAIR( MAKE__22___EXPANDER_STRUCT_71, VA_ARG_405_77 );{obj_t AUX_454_37;
AUX_454_37=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_406_64 );VA_ARG_404_72=MAKE_PAIR( AUX_454_37, VA_ARG_403_208 );}}}{obj_t AUX_455_69;
AUX_455_69=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_16___EXPANDER_STRUCT_53, VA_ARG_404_72 );VA_ARG_402_245=MAKE_PAIR( AUX_455_69, VA_ARG_401_130 );}}}{obj_t AUX_456_63;
AUX_456_63=CONS____R4_PAIRS_AND_LISTS_6_3_28( ERROR_2___EXPANDER_STRUCT_202, VA_ARG_402_245 );VA_ARG_391_161=MAKE_PAIR( AUX_456_63, VA_ARG_390_176 );}}}}}{obj_t VA_ARG_392_141;
{obj_t VA_ARG_393_86;
VA_ARG_393_86=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_394_60;
{obj_t VA_ARG_395_66;
VA_ARG_395_66=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_396_128;
{obj_t VA_ARG_397_83;
VA_ARG_397_83=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_398_156;
VA_ARG_398_156=MAKE_PAIR( INIT_24___EXPANDER_STRUCT_37, VA_ARG_397_83 );{obj_t AUX_457_23;
AUX_457_23=CONS____R4_PAIRS_AND_LISTS_6_3_28( CDR_27___EXPANDER_STRUCT_161, VA_ARG_398_156 );VA_ARG_396_128=MAKE_PAIR( AUX_457_23, VA_ARG_395_66 );}}}{obj_t AUX_458_216;
AUX_458_216=CONS____R4_PAIRS_AND_LISTS_6_3_28( NULL__28___EXPANDER_STRUCT_247, VA_ARG_396_128 );VA_ARG_394_60=MAKE_PAIR( AUX_458_216, VA_ARG_393_86 );}}}{obj_t AUX_459_52;
AUX_459_52=CONS____R4_PAIRS_AND_LISTS_6_3_28( NOT_29___EXPANDER_STRUCT_238, VA_ARG_394_60 );VA_ARG_392_141=MAKE_PAIR( AUX_459_52, VA_ARG_391_161 );}}}{obj_t AUX_460_152;
AUX_460_152=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_7___EXPANDER_STRUCT_70, VA_ARG_392_141 );VA_ARG_382_86=MAKE_PAIR( AUX_460_152, VA_ARG_381_176 );}}}}}{obj_t VA_ARG_383_141;
{obj_t VA_ARG_387_128;
VA_ARG_387_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_388_241;
VA_ARG_388_241=MAKE_PAIR( BNIL, VA_ARG_387_128 );{obj_t AUX_461_131;
AUX_461_131=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_16___EXPANDER_STRUCT_53, VA_ARG_388_241 );VA_ARG_383_141=MAKE_PAIR( AUX_461_131, VA_ARG_382_86 );}}}{obj_t VA_ARG_384_66;
{obj_t VA_ARG_385_60;
VA_ARG_385_60=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_386_83;
VA_ARG_386_83=MAKE_PAIR( INIT_24___EXPANDER_STRUCT_37, VA_ARG_385_60 );{obj_t AUX_462_123;
AUX_462_123=CONS____R4_PAIRS_AND_LISTS_6_3_28( NULL__28___EXPANDER_STRUCT_247, VA_ARG_386_83 );VA_ARG_384_66=MAKE_PAIR( AUX_462_123, VA_ARG_383_141 );}}}{obj_t AUX_463_229;
AUX_463_229=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_7___EXPANDER_STRUCT_70, VA_ARG_384_66 );VA_ARG_376_210=MAKE_PAIR( AUX_463_229, VA_ARG_375_186 );}}}}}{obj_t VA_ARG_377_28;
VA_ARG_377_28=MAKE_PAIR( LEN_230_96, VA_ARG_376_210 );{obj_t VA_ARG_378_49;
{obj_t VA_ARG_379_213;
VA_ARG_379_213=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_380_161;
VA_ARG_380_161=MAKE_PAIR( NAME_228_125, VA_ARG_379_213 );{obj_t AUX_464_203;
AUX_464_203=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_16___EXPANDER_STRUCT_53, VA_ARG_380_161 );VA_ARG_378_49=MAKE_PAIR( AUX_464_203, VA_ARG_377_28 );}}}{obj_t AUX_465_76;
AUX_465_76=CONS____R4_PAIRS_AND_LISTS_6_3_28( MAKE_STR_30___EXPANDER_STRUCT_123, VA_ARG_378_49 );VA_ARG_370_48=MAKE_PAIR( AUX_465_76, VA_ARG_369_144 );}}}}}{obj_t VA_ARG_371_115;
{obj_t VA_ARG_372_15;
VA_ARG_372_15=MAKE_PAIR( NAME_228_125, BNIL );{obj_t VA_ARG_373_2;
VA_ARG_373_2=MAKE_PAIR( MAKE__22___EXPANDER_STRUCT_71, VA_ARG_372_15 );{obj_t VA_ARG_374_67;
VA_ARG_374_67=MAKE_PAIR( INIT_24___EXPANDER_STRUCT_37, BNIL );{obj_t AUX_466_120;
{obj_t AUX_467_209;
AUX_467_209=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_373_2 );AUX_466_120=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_467_209, VA_ARG_374_67 );}VA_ARG_371_115=MAKE_PAIR( AUX_466_120, VA_ARG_370_48 );}}}}{obj_t AUX_468_163;
AUX_468_163=CONS____R4_PAIRS_AND_LISTS_6_3_28( DEFINE_I_10___EXPANDER_STRUCT_218, VA_ARG_371_115 );OBJ1_246_106=PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_468_163, E_223_62, BEOA );}}}}OBJ2_244_162=MAKE_PAIR( OBJ1_246_106, OBJ2_247_215 );}}return MAKE_PAIR( BEGIN_31___EXPANDER_STRUCT_139, OBJ2_244_162 );}}
}}
}}}else
{_TAG_102_225_139:

FAILURE( BREF( &DEFINE_S_32___EXPANDER_STRUCT_115), BREF( &ILLEGAL__33___EXPANDER_STRUCT_155), X_222_34 );}}else
goto _TAG_102_225_139;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_107(obj_t ENV_410_168,obj_t X_222_34,obj_t E_223_62)
#else
__EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_107( ENV_410_168, X_222_34, E_223_62 )
obj_t ENV_410_168, X_222_34, E_223_62;
#endif
{

return EXPAND_EVAL_DEFINE_STRUCT___EXPANDER_STRUCT_206( X_222_34, E_223_62 );
}

