/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/flonum.c                                             */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __ACOSFL___R4_NUMBERS_6_5_FLONUM_63(obj_t, obj_t);
#else
extern obj_t __ACOSFL___R4_NUMBERS_6_5_FLONUM_63();
#endif
obj_t NEGFL_ENV___R4_NUMBERS_6_5_FLONUM_211 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPFL___R4_NUMBERS_6_5_FLONUM_47(obj_t);
#else
extern obj_t EXPFL___R4_NUMBERS_6_5_FLONUM_47();
#endif
obj_t EXPTFL_ENV___R4_NUMBERS_6_5_FLONUM_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPTFL___R4_NUMBERS_6_5_FLONUM_132(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPTFL___R4_NUMBERS_6_5_FLONUM_132();
#endif
obj_t TANFL_ENV___R4_NUMBERS_6_5_FLONUM_14 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPFL___R4_NUMBERS_6_5_FLONUM_197(obj_t, obj_t);
#else
extern obj_t __EXPFL___R4_NUMBERS_6_5_FLONUM_197();
#endif
#if defined( __STDC__ )
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_14(obj_t, obj_t, obj_t);
#else
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_14();
#endif
DEFINE_STRING( ATANFL_1___R4_NUMBERS_6_5_FLONUM_159, "atanfl", 6);
#if defined( __STDC__ )
extern obj_t __MAXFL___R4_NUMBERS_6_5_FLONUM_123(obj_t, obj_t, obj_t);
#else
extern obj_t __MAXFL___R4_NUMBERS_6_5_FLONUM_123();
#endif
obj_t MAXFL_ENV___R4_NUMBERS_6_5_FLONUM_138 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REAL____R4_NUMBERS_6_5_FLONUM_86(obj_t);
#else
extern obj_t REAL____R4_NUMBERS_6_5_FLONUM_86();
#endif
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_109 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80(obj_t, obj_t);
#else
extern obj_t __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80();
#endif
DEFINE_STRING( SQRT_3___R4_NUMBERS_6_5_FLONUM_247, "sqrt", 4);
obj_t LOGFL_ENV___R4_NUMBERS_6_5_FLONUM_199 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ASINFL___R4_NUMBERS_6_5_FLONUM_47(obj_t, obj_t);
#else
extern obj_t __ASINFL___R4_NUMBERS_6_5_FLONUM_47();
#endif
#if defined( __STDC__ )
extern obj_t ACOSFL___R4_NUMBERS_6_5_FLONUM_151(obj_t);
#else
extern obj_t ACOSFL___R4_NUMBERS_6_5_FLONUM_151();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_87(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_87();
#endif
#if defined( __STDC__ )
extern obj_t EXPTFL___R4_NUMBERS_6_5_FLONUM_138(obj_t, obj_t);
#else
extern obj_t EXPTFL___R4_NUMBERS_6_5_FLONUM_138();
#endif
obj_t NEGATIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131(obj_t, obj_t);
#else
extern obj_t __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131();
#endif
obj_t ROUNDFL_ENV___R4_NUMBERS_6_5_FLONUM_25 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REAL____R4_NUMBERS_6_5_FLONUM_35(obj_t, obj_t);
#else
extern obj_t __REAL____R4_NUMBERS_6_5_FLONUM_35();
#endif
obj_t ASINFL_ENV___R4_NUMBERS_6_5_FLONUM_54 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_176 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172(obj_t, obj_t);
#else
extern obj_t __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172();
#endif
obj_t CEILINGFL_ENV___R4_NUMBERS_6_5_FLONUM_213 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95(obj_t, obj_t);
#else
extern obj_t __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_179(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_179();
#endif
extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_133(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_133();
#endif
obj_t ATANFL_ENV___R4_NUMBERS_6_5_FLONUM_195 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FLOORFL___R4_NUMBERS_6_5_FLONUM_36(obj_t);
#else
extern obj_t FLOORFL___R4_NUMBERS_6_5_FLONUM_36();
#endif
obj_t REAL__ENV___R4_NUMBERS_6_5_FLONUM_104 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_10 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
#if defined( __STDC__ )
extern obj_t ATANFL___R4_NUMBERS_6_5_FLONUM_207(obj_t, obj_t);
#else
extern obj_t ATANFL___R4_NUMBERS_6_5_FLONUM_207();
#endif
#if defined( __STDC__ )
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_223(obj_t, obj_t, obj_t);
#else
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_223();
#endif
obj_t SINFL_ENV___R4_NUMBERS_6_5_FLONUM_131 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LOGFL___R4_NUMBERS_6_5_FLONUM_35(obj_t);
#else
extern obj_t LOGFL___R4_NUMBERS_6_5_FLONUM_35();
#endif
obj_t FLOORFL_ENV___R4_NUMBERS_6_5_FLONUM_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229(obj_t, obj_t);
#else
extern obj_t __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229();
#endif
#if defined( __STDC__ )
extern obj_t COSFL___R4_NUMBERS_6_5_FLONUM_153(obj_t);
#else
extern obj_t COSFL___R4_NUMBERS_6_5_FLONUM_153();
#endif
#if defined( __STDC__ )
extern obj_t __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54(obj_t, obj_t);
#else
extern obj_t __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_46(obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_46();
#endif
#if defined( __STDC__ )
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106(obj_t);
#else
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106();
#endif
DEFINE_STRING( DOMAIN_E_2___R4_NUMBERS_6_5_FLONUM_107, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_85(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_85();
#endif
#if defined( __STDC__ )
extern obj_t __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15(obj_t, obj_t);
#else
extern obj_t __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15();
#endif
#if defined( __STDC__ )
extern obj_t __LOGFL___R4_NUMBERS_6_5_FLONUM_143(obj_t, obj_t);
#else
extern obj_t __LOGFL___R4_NUMBERS_6_5_FLONUM_143();
#endif
#if defined( __STDC__ )
extern obj_t __NEGFL___R4_NUMBERS_6_5_FLONUM_116(obj_t, obj_t);
#else
extern obj_t __NEGFL___R4_NUMBERS_6_5_FLONUM_116();
#endif
obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION_ENV___R4_NUMBERS_6_5_FLONUM_20 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MINFL___R4_NUMBERS_6_5_FLONUM_5(obj_t, obj_t, obj_t);
#else
extern obj_t __MINFL___R4_NUMBERS_6_5_FLONUM_5();
#endif
#if defined( __STDC__ )
extern obj_t POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100(obj_t);
#else
extern obj_t POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100();
#endif
#if defined( __STDC__ )
extern obj_t SQRTFL___R4_NUMBERS_6_5_FLONUM_117(obj_t);
#else
extern obj_t SQRTFL___R4_NUMBERS_6_5_FLONUM_117();
#endif
#if defined( __STDC__ )
extern obj_t NEGFL___R4_NUMBERS_6_5_FLONUM_14(obj_t);
#else
extern obj_t NEGFL___R4_NUMBERS_6_5_FLONUM_14();
#endif
obj_t ACOSFL_ENV___R4_NUMBERS_6_5_FLONUM_109 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_45 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_11(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_11();
#endif
static obj_t REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ROUNDFL___R4_NUMBERS_6_5_FLONUM_152(obj_t);
#else
extern obj_t ROUNDFL___R4_NUMBERS_6_5_FLONUM_152();
#endif
#if defined( __STDC__ )
extern obj_t TANFL___R4_NUMBERS_6_5_FLONUM_216(obj_t);
#else
extern obj_t TANFL___R4_NUMBERS_6_5_FLONUM_216();
#endif
obj_t TRUNCATEFL_ENV___R4_NUMBERS_6_5_FLONUM_129 = BUNSPEC;
obj_t ABSFL_ENV___R4_NUMBERS_6_5_FLONUM_15 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_94 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_217(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_217();
#endif
#if defined( __STDC__ )
extern obj_t __SINFL___R4_NUMBERS_6_5_FLONUM_15(obj_t, obj_t);
#else
extern obj_t __SINFL___R4_NUMBERS_6_5_FLONUM_15();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_72(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_72();
#endif
#if defined( __STDC__ )
extern obj_t MAXFL___R4_NUMBERS_6_5_FLONUM_18(obj_t, obj_t);
#else
extern obj_t MAXFL___R4_NUMBERS_6_5_FLONUM_18();
#endif
#if defined( __STDC__ )
extern obj_t __TANFL___R4_NUMBERS_6_5_FLONUM_17(obj_t, obj_t);
#else
extern obj_t __TANFL___R4_NUMBERS_6_5_FLONUM_17();
#endif
#if defined( __STDC__ )
extern obj_t MINFL___R4_NUMBERS_6_5_FLONUM_231(obj_t, obj_t);
#else
extern obj_t MINFL___R4_NUMBERS_6_5_FLONUM_231();
#endif
obj_t ___FL_ENV___R4_NUMBERS_6_5_FLONUM_100 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REAL__STRING___R4_NUMBERS_6_5_FLONUM_54(obj_t);
#else
extern obj_t REAL__STRING___R4_NUMBERS_6_5_FLONUM_54();
#endif
#if defined( __STDC__ )
extern obj_t SINFL___R4_NUMBERS_6_5_FLONUM_48(obj_t);
#else
extern obj_t SINFL___R4_NUMBERS_6_5_FLONUM_48();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_165(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_165();
#endif
obj_t STRING__REAL_ENV___R4_NUMBERS_6_5_FLONUM_134 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ABSFL___R4_NUMBERS_6_5_FLONUM_242(obj_t, obj_t);
#else
extern obj_t __ABSFL___R4_NUMBERS_6_5_FLONUM_242();
#endif
obj_t ___FL_ENV___R4_NUMBERS_6_5_FLONUM_62 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112(obj_t);
#else
extern obj_t NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112();
#endif
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_17 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_248(obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_248();
#endif
#if defined( __STDC__ )
extern obj_t __COSFL___R4_NUMBERS_6_5_FLONUM_22(obj_t, obj_t);
#else
extern obj_t __COSFL___R4_NUMBERS_6_5_FLONUM_22();
#endif
obj_t REAL__STRING_ENV___R4_NUMBERS_6_5_FLONUM_86 = BUNSPEC;
obj_t COSFL_ENV___R4_NUMBERS_6_5_FLONUM_120 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_73(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_73();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_151(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_151();
#endif
obj_t EXPFL_ENV___R4_NUMBERS_6_5_FLONUM_152 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SQRTFL___R4_NUMBERS_6_5_FLONUM_116(obj_t, obj_t);
#else
extern obj_t __SQRTFL___R4_NUMBERS_6_5_FLONUM_116();
#endif
extern double strtod();
obj_t ZEROFL__ENV___R4_NUMBERS_6_5_FLONUM_195 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_35(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_35();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_100(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_100();
#endif
obj_t POSITIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_94 = BUNSPEC;
obj_t SQRTFL_ENV___R4_NUMBERS_6_5_FLONUM_54 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ZEROFL____R4_NUMBERS_6_5_FLONUM_210(obj_t, obj_t);
#else
extern obj_t __ZEROFL____R4_NUMBERS_6_5_FLONUM_210();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_175(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_175();
#endif
#if defined( __STDC__ )
extern obj_t __FLOORFL___R4_NUMBERS_6_5_FLONUM_112(obj_t, obj_t);
#else
extern obj_t __FLOORFL___R4_NUMBERS_6_5_FLONUM_112();
#endif
#if defined( __STDC__ )
extern obj_t ABSFL___R4_NUMBERS_6_5_FLONUM_206(obj_t);
#else
extern obj_t ABSFL___R4_NUMBERS_6_5_FLONUM_206();
#endif
extern char * real_to_string();
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_188(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_188();
#endif
#if defined( __STDC__ )
extern obj_t ZEROFL____R4_NUMBERS_6_5_FLONUM_207(obj_t);
#else
extern obj_t ZEROFL____R4_NUMBERS_6_5_FLONUM_207();
#endif
#if defined( __STDC__ )
extern obj_t ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50(obj_t);
#else
extern obj_t ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50();
#endif
#if defined( __STDC__ )
extern obj_t __ATANFL___R4_NUMBERS_6_5_FLONUM_98(obj_t, obj_t, obj_t);
#else
extern obj_t __ATANFL___R4_NUMBERS_6_5_FLONUM_98();
#endif
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_6 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ASINFL___R4_NUMBERS_6_5_FLONUM_117(obj_t);
#else
extern obj_t ASINFL___R4_NUMBERS_6_5_FLONUM_117();
#endif
obj_t MINFL_ENV___R4_NUMBERS_6_5_FLONUM_72 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CEILINGFL___R4_NUMBERS_6_5_FLONUM_161(obj_t);
#else
extern obj_t CEILINGFL___R4_NUMBERS_6_5_FLONUM_161();
#endif
DEFINE_REAL( A_REAL_0___R4_NUMBERS_6_5_FLONUM_234, 0.);
#if defined( __STDC__ )
extern obj_t TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121(obj_t);
#else
extern obj_t TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121();
#endif


obj_t
#if defined( __STDC__ )
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59()
#else
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120 ))
{
REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
___R4_NUMBERS_6_5_FLONUM_INITIALISATION_ENV___R4_NUMBERS_6_5_FLONUM_20=make_fx_procedure( ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50, 0, 0 );
REAL__ENV___R4_NUMBERS_6_5_FLONUM_104=make_fx_procedure( __REAL____R4_NUMBERS_6_5_FLONUM_35, 1, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_6=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_72, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_109=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_11, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_94=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_35, 2, 0 );
___FL_ENV___R4_NUMBERS_6_5_FLONUM_62=make_fx_procedure( ____FL___R4_NUMBERS_6_5_FLONUM_14, 2, 0 );
___FL_ENV___R4_NUMBERS_6_5_FLONUM_100=make_fx_procedure( ____FL___R4_NUMBERS_6_5_FLONUM_223, 2, 0 );
ZEROFL__ENV___R4_NUMBERS_6_5_FLONUM_195=make_fx_procedure( __ZEROFL____R4_NUMBERS_6_5_FLONUM_210, 1, 0 );
POSITIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_94=make_fx_procedure( __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54, 1, 0 );
NEGATIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_77=make_fx_procedure( __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131, 1, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_10=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_175, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_45=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_165, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_176=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_179, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_17=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_85, 2, 0 );
NEGFL_ENV___R4_NUMBERS_6_5_FLONUM_211=make_fx_procedure( __NEGFL___R4_NUMBERS_6_5_FLONUM_116, 1, 0 );
MAXFL_ENV___R4_NUMBERS_6_5_FLONUM_138=make_va_procedure( __MAXFL___R4_NUMBERS_6_5_FLONUM_123, -2, 0 );
MINFL_ENV___R4_NUMBERS_6_5_FLONUM_72=make_va_procedure( __MINFL___R4_NUMBERS_6_5_FLONUM_5, -2, 0 );
ABSFL_ENV___R4_NUMBERS_6_5_FLONUM_15=make_fx_procedure( __ABSFL___R4_NUMBERS_6_5_FLONUM_242, 1, 0 );
FLOORFL_ENV___R4_NUMBERS_6_5_FLONUM_64=make_fx_procedure( __FLOORFL___R4_NUMBERS_6_5_FLONUM_112, 1, 0 );
CEILINGFL_ENV___R4_NUMBERS_6_5_FLONUM_213=make_fx_procedure( __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229, 1, 0 );
TRUNCATEFL_ENV___R4_NUMBERS_6_5_FLONUM_129=make_fx_procedure( __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172, 1, 0 );
ROUNDFL_ENV___R4_NUMBERS_6_5_FLONUM_25=make_fx_procedure( __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15, 1, 0 );
EXPFL_ENV___R4_NUMBERS_6_5_FLONUM_152=make_fx_procedure( __EXPFL___R4_NUMBERS_6_5_FLONUM_197, 1, 0 );
LOGFL_ENV___R4_NUMBERS_6_5_FLONUM_199=make_fx_procedure( __LOGFL___R4_NUMBERS_6_5_FLONUM_143, 1, 0 );
SINFL_ENV___R4_NUMBERS_6_5_FLONUM_131=make_fx_procedure( __SINFL___R4_NUMBERS_6_5_FLONUM_15, 1, 0 );
COSFL_ENV___R4_NUMBERS_6_5_FLONUM_120=make_fx_procedure( __COSFL___R4_NUMBERS_6_5_FLONUM_22, 1, 0 );
TANFL_ENV___R4_NUMBERS_6_5_FLONUM_14=make_fx_procedure( __TANFL___R4_NUMBERS_6_5_FLONUM_17, 1, 0 );
ASINFL_ENV___R4_NUMBERS_6_5_FLONUM_54=make_fx_procedure( __ASINFL___R4_NUMBERS_6_5_FLONUM_47, 1, 0 );
ACOSFL_ENV___R4_NUMBERS_6_5_FLONUM_109=make_fx_procedure( __ACOSFL___R4_NUMBERS_6_5_FLONUM_63, 1, 0 );
ATANFL_ENV___R4_NUMBERS_6_5_FLONUM_195=make_va_procedure( __ATANFL___R4_NUMBERS_6_5_FLONUM_98, -2, 0 );
SQRTFL_ENV___R4_NUMBERS_6_5_FLONUM_54=make_fx_procedure( __SQRTFL___R4_NUMBERS_6_5_FLONUM_116, 1, 0 );
EXPTFL_ENV___R4_NUMBERS_6_5_FLONUM_67=make_fx_procedure( __EXPTFL___R4_NUMBERS_6_5_FLONUM_132, 2, 0 );
STRING__REAL_ENV___R4_NUMBERS_6_5_FLONUM_134=make_fx_procedure( __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80, 1, 0 );
REAL__STRING_ENV___R4_NUMBERS_6_5_FLONUM_86=make_fx_procedure( __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50(obj_t ENV_355_83)
#else
____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50( ENV_355_83 )
obj_t ENV_355_83;
#endif
{

return ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
}

obj_t
#if defined( __STDC__ )
REAL____R4_NUMBERS_6_5_FLONUM_86(obj_t OBJ_222_44)
#else
REAL____R4_NUMBERS_6_5_FLONUM_86( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

if( INTEGERP( OBJ_222_44 ))
return CBOOL_TO_BBOOL( INTEGERP( OBJ_222_44 ) );else
return CBOOL_TO_BBOOL( REALP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__REAL____R4_NUMBERS_6_5_FLONUM_35(obj_t ENV_354_128,obj_t OBJ_222_44)
#else
__REAL____R4_NUMBERS_6_5_FLONUM_35( ENV_354_128, OBJ_222_44 )
obj_t ENV_354_128, OBJ_222_44;
#endif
{

return REAL____R4_NUMBERS_6_5_FLONUM_86( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_133(obj_t R1_224_23,obj_t R2_225_242)
#else
__FL___R4_NUMBERS_6_5_FLONUM_133( R1_224_23, R2_225_242 )
obj_t R1_224_23, R2_225_242;
#endif
{

return CBOOL_TO_BBOOL( EQ_R( R1_224_23, R2_225_242 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_72(obj_t ENV_353_161,obj_t R1_224_23,obj_t R2_225_242)
#else
___FL___R4_NUMBERS_6_5_FLONUM_72( ENV_353_161, R1_224_23, R2_225_242 )
obj_t ENV_353_161, R1_224_23, R2_225_242;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_133( R1_224_23, R2_225_242 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_151(obj_t R1_226_69,obj_t R2_227_239)
#else
__FL___R4_NUMBERS_6_5_FLONUM_151( R1_226_69, R2_227_239 )
obj_t R1_226_69, R2_227_239;
#endif
{

return CBOOL_TO_BBOOL( LT_R( R1_226_69, R2_227_239 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_11(obj_t ENV_352_176,obj_t R1_226_69,obj_t R2_227_239)
#else
___FL___R4_NUMBERS_6_5_FLONUM_11( ENV_352_176, R1_226_69, R2_227_239 )
obj_t ENV_352_176, R1_226_69, R2_227_239;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_151( R1_226_69, R2_227_239 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_100(obj_t R1_228_0,obj_t R2_229_139)
#else
__FL___R4_NUMBERS_6_5_FLONUM_100( R1_228_0, R2_229_139 )
obj_t R1_228_0, R2_229_139;
#endif
{

return CBOOL_TO_BBOOL( GT_R( R1_228_0, R2_229_139 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_35(obj_t ENV_351_86,obj_t R1_228_0,obj_t R2_229_139)
#else
___FL___R4_NUMBERS_6_5_FLONUM_35( ENV_351_86, R1_228_0, R2_229_139 )
obj_t ENV_351_86, R1_228_0, R2_229_139;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_100( R1_228_0, R2_229_139 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_46(obj_t R1_230_132,obj_t R2_231_218)
#else
___FL___R4_NUMBERS_6_5_FLONUM_46( R1_230_132, R2_231_218 )
obj_t R1_230_132, R2_231_218;
#endif
{

return CBOOL_TO_BBOOL( LE_R( R1_230_132, R2_231_218 ) );
}

obj_t
#if defined( __STDC__ )
____FL___R4_NUMBERS_6_5_FLONUM_14(obj_t ENV_350_141,obj_t R1_230_132,obj_t R2_231_218)
#else
____FL___R4_NUMBERS_6_5_FLONUM_14( ENV_350_141, R1_230_132, R2_231_218 )
obj_t ENV_350_141, R1_230_132, R2_231_218;
#endif
{

return ___FL___R4_NUMBERS_6_5_FLONUM_46( R1_230_132, R2_231_218 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_248(obj_t R1_232_97,obj_t R2_233_240)
#else
___FL___R4_NUMBERS_6_5_FLONUM_248( R1_232_97, R2_233_240 )
obj_t R1_232_97, R2_233_240;
#endif
{

return CBOOL_TO_BBOOL( GE_R( R1_232_97, R2_233_240 ) );
}

obj_t
#if defined( __STDC__ )
____FL___R4_NUMBERS_6_5_FLONUM_223(obj_t ENV_349_71,obj_t R1_232_97,obj_t R2_233_240)
#else
____FL___R4_NUMBERS_6_5_FLONUM_223( ENV_349_71, R1_232_97, R2_233_240 )
obj_t ENV_349_71, R1_232_97, R2_233_240;
#endif
{

return ___FL___R4_NUMBERS_6_5_FLONUM_248( R1_232_97, R2_233_240 );
}

obj_t
#if defined( __STDC__ )
ZEROFL____R4_NUMBERS_6_5_FLONUM_207(obj_t R_234_173)
#else
ZEROFL____R4_NUMBERS_6_5_FLONUM_207( R_234_173 )
obj_t R_234_173;
#endif
{

return CBOOL_TO_BBOOL( ZEROP_R( R_234_173 ) );
}

obj_t
#if defined( __STDC__ )
__ZEROFL____R4_NUMBERS_6_5_FLONUM_210(obj_t ENV_348_231,obj_t R_234_173)
#else
__ZEROFL____R4_NUMBERS_6_5_FLONUM_210( ENV_348_231, R_234_173 )
obj_t ENV_348_231, R_234_173;
#endif
{

return ZEROFL____R4_NUMBERS_6_5_FLONUM_207( R_234_173 );
}

obj_t
#if defined( __STDC__ )
POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100(obj_t R_235_73)
#else
POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100( R_235_73 )
obj_t R_235_73;
#endif
{

return CBOOL_TO_BBOOL( POSITIVEP_R( R_235_73 ) );
}

obj_t
#if defined( __STDC__ )
__POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54(obj_t ENV_347_236,obj_t R_235_73)
#else
__POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54( ENV_347_236, R_235_73 )
obj_t ENV_347_236, R_235_73;
#endif
{

return POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100( R_235_73 );
}

obj_t
#if defined( __STDC__ )
NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112(obj_t R_236_30)
#else
NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112( R_236_30 )
obj_t R_236_30;
#endif
{

return CBOOL_TO_BBOOL( NEGATIVEP_R( R_236_30 ) );
}

obj_t
#if defined( __STDC__ )
__NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131(obj_t ENV_346_249,obj_t R_236_30)
#else
__NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131( ENV_346_249, R_236_30 )
obj_t ENV_346_249, R_236_30;
#endif
{

return NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112( R_236_30 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_73(obj_t R1_237_14,obj_t R2_238_61)
#else
__FL___R4_NUMBERS_6_5_FLONUM_73( R1_237_14, R2_238_61 )
obj_t R1_237_14, R2_238_61;
#endif
{

return DOUBLE_TO_REAL( ADD_R( R1_237_14, R2_238_61 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_175(obj_t ENV_345_244,obj_t R1_237_14,obj_t R2_238_61)
#else
___FL___R4_NUMBERS_6_5_FLONUM_175( ENV_345_244, R1_237_14, R2_238_61 )
obj_t ENV_345_244, R1_237_14, R2_238_61;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_73( R1_237_14, R2_238_61 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_87(obj_t R1_239_51,obj_t R2_240_250)
#else
__FL___R4_NUMBERS_6_5_FLONUM_87( R1_239_51, R2_240_250 )
obj_t R1_239_51, R2_240_250;
#endif
{

return DOUBLE_TO_REAL( SUB_R( R1_239_51, R2_240_250 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_165(obj_t ENV_344_45,obj_t R1_239_51,obj_t R2_240_250)
#else
___FL___R4_NUMBERS_6_5_FLONUM_165( ENV_344_45, R1_239_51, R2_240_250 )
obj_t ENV_344_45, R1_239_51, R2_240_250;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_87( R1_239_51, R2_240_250 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_217(obj_t R1_241_209,obj_t R2_242_133)
#else
__FL___R4_NUMBERS_6_5_FLONUM_217( R1_241_209, R2_242_133 )
obj_t R1_241_209, R2_242_133;
#endif
{

return DOUBLE_TO_REAL( MUL_R( R1_241_209, R2_242_133 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_179(obj_t ENV_343_182,obj_t R1_241_209,obj_t R2_242_133)
#else
___FL___R4_NUMBERS_6_5_FLONUM_179( ENV_343_182, R1_241_209, R2_242_133 )
obj_t ENV_343_182, R1_241_209, R2_242_133;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_217( R1_241_209, R2_242_133 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_188(obj_t R1_243_76,obj_t R2_244_178)
#else
__FL___R4_NUMBERS_6_5_FLONUM_188( R1_243_76, R2_244_178 )
obj_t R1_243_76, R2_244_178;
#endif
{

return DOUBLE_TO_REAL( DIV_R( R1_243_76, R2_244_178 ) );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_85(obj_t ENV_342_111,obj_t R1_243_76,obj_t R2_244_178)
#else
___FL___R4_NUMBERS_6_5_FLONUM_85( ENV_342_111, R1_243_76, R2_244_178 )
obj_t ENV_342_111, R1_243_76, R2_244_178;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_188( R1_243_76, R2_244_178 );
}

obj_t
#if defined( __STDC__ )
NEGFL___R4_NUMBERS_6_5_FLONUM_14(obj_t R1_245_229)
#else
NEGFL___R4_NUMBERS_6_5_FLONUM_14( R1_245_229 )
obj_t R1_245_229;
#endif
{

return DOUBLE_TO_REAL( NEG_R( R1_245_229 ) );
}

obj_t
#if defined( __STDC__ )
__NEGFL___R4_NUMBERS_6_5_FLONUM_116(obj_t ENV_341_136,obj_t R1_245_229)
#else
__NEGFL___R4_NUMBERS_6_5_FLONUM_116( ENV_341_136, R1_245_229 )
obj_t ENV_341_136, R1_245_229;
#endif
{

return NEGFL___R4_NUMBERS_6_5_FLONUM_14( R1_245_229 );
}

obj_t
#if defined( __STDC__ )
MAXFL___R4_NUMBERS_6_5_FLONUM_18(obj_t R1_246_152,obj_t RN_247_116)
#else
MAXFL___R4_NUMBERS_6_5_FLONUM_18( R1_246_152, RN_247_116 )
obj_t R1_246_152, RN_247_116;
#endif
{

{obj_t MAX_249_158, RN_250_194;
{
RN_250_194=RN_247_116;
MAX_249_158=R1_246_152;
{_LOOP_248_33:

if( NULLP( RN_250_194 ))
return MAX_249_158;else
{obj_t R1_278_201;
R1_278_201=CAR( RN_250_194 );if( GT_R( R1_278_201, MAX_249_158 ))
{obj_t RN_378_163;
RN_378_163=RN_250_194;{
RN_250_194=CDR( RN_378_163 );
MAX_249_158=R1_278_201;
goto _LOOP_248_33;
}}else
{obj_t RN_379_200;
RN_379_200=RN_250_194;{
RN_250_194=CDR( RN_379_200 );
goto _LOOP_248_33;
}}}}
}}
}

obj_t
#if defined( __STDC__ )
__MAXFL___R4_NUMBERS_6_5_FLONUM_123(obj_t ENV_340_153,obj_t R1_246_152,obj_t RN_247_116)
#else
__MAXFL___R4_NUMBERS_6_5_FLONUM_123( ENV_340_153, R1_246_152, RN_247_116 )
obj_t ENV_340_153, R1_246_152, RN_247_116;
#endif
{

return MAXFL___R4_NUMBERS_6_5_FLONUM_18( R1_246_152, RN_247_116 );
}

obj_t
#if defined( __STDC__ )
MINFL___R4_NUMBERS_6_5_FLONUM_231(obj_t R1_251_177,obj_t RN_252_164)
#else
MINFL___R4_NUMBERS_6_5_FLONUM_231( R1_251_177, RN_252_164 )
obj_t R1_251_177, RN_252_164;
#endif
{

{obj_t MIN_254_80, RN_255_105;
{
RN_255_105=RN_252_164;
MIN_254_80=R1_251_177;
{_LOOP_253_56:

if( NULLP( RN_255_105 ))
return MIN_254_80;else
{obj_t R1_284_113;
R1_284_113=CAR( RN_255_105 );if( LT_R( R1_284_113, MIN_254_80 ))
{obj_t RN_376_120;
RN_376_120=RN_255_105;{
RN_255_105=CDR( RN_376_120 );
MIN_254_80=R1_284_113;
goto _LOOP_253_56;
}}else
{obj_t RN_377_209;
RN_377_209=RN_255_105;{
RN_255_105=CDR( RN_377_209 );
goto _LOOP_253_56;
}}}}
}}
}

obj_t
#if defined( __STDC__ )
__MINFL___R4_NUMBERS_6_5_FLONUM_5(obj_t ENV_339_32,obj_t R1_251_177,obj_t RN_252_164)
#else
__MINFL___R4_NUMBERS_6_5_FLONUM_5( ENV_339_32, R1_251_177, RN_252_164 )
obj_t ENV_339_32, R1_251_177, RN_252_164;
#endif
{

return MINFL___R4_NUMBERS_6_5_FLONUM_231( R1_251_177, RN_252_164 );
}

obj_t
#if defined( __STDC__ )
ABSFL___R4_NUMBERS_6_5_FLONUM_206(obj_t R_256_163)
#else
ABSFL___R4_NUMBERS_6_5_FLONUM_206( R_256_163 )
obj_t R_256_163;
#endif
{

return ABS_R( R_256_163 );
}

obj_t
#if defined( __STDC__ )
__ABSFL___R4_NUMBERS_6_5_FLONUM_242(obj_t ENV_338_13,obj_t R_256_163)
#else
__ABSFL___R4_NUMBERS_6_5_FLONUM_242( ENV_338_13, R_256_163 )
obj_t ENV_338_13, R_256_163;
#endif
{

return ABSFL___R4_NUMBERS_6_5_FLONUM_206( R_256_163 );
}

obj_t
#if defined( __STDC__ )
FLOORFL___R4_NUMBERS_6_5_FLONUM_36(obj_t R_257_200)
#else
FLOORFL___R4_NUMBERS_6_5_FLONUM_36( R_257_200 )
obj_t R_257_200;
#endif
{

{double AUX_375_107;
AUX_375_107=floor( REAL_TO_DOUBLE( R_257_200 ) );return DOUBLE_TO_REAL( AUX_375_107 );}
}

obj_t
#if defined( __STDC__ )
__FLOORFL___R4_NUMBERS_6_5_FLONUM_112(obj_t ENV_337_220,obj_t R_257_200)
#else
__FLOORFL___R4_NUMBERS_6_5_FLONUM_112( ENV_337_220, R_257_200 )
obj_t ENV_337_220, R_257_200;
#endif
{

return FLOORFL___R4_NUMBERS_6_5_FLONUM_36( R_257_200 );
}

obj_t
#if defined( __STDC__ )
CEILINGFL___R4_NUMBERS_6_5_FLONUM_161(obj_t R_258_120)
#else
CEILINGFL___R4_NUMBERS_6_5_FLONUM_161( R_258_120 )
obj_t R_258_120;
#endif
{

{double AUX_374_177;
AUX_374_177=ceil( REAL_TO_DOUBLE( R_258_120 ) );return DOUBLE_TO_REAL( AUX_374_177 );}
}

obj_t
#if defined( __STDC__ )
__CEILINGFL___R4_NUMBERS_6_5_FLONUM_229(obj_t ENV_336_94,obj_t R_258_120)
#else
__CEILINGFL___R4_NUMBERS_6_5_FLONUM_229( ENV_336_94, R_258_120 )
obj_t ENV_336_94, R_258_120;
#endif
{

return CEILINGFL___R4_NUMBERS_6_5_FLONUM_161( R_258_120 );
}

obj_t
#if defined( __STDC__ )
TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121(obj_t R_259_209)
#else
TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121( R_259_209 )
obj_t R_259_209;
#endif
{

if( NEGATIVEP_R( R_259_209 ))
{double AUX_372_234;
AUX_372_234=ceil( REAL_TO_DOUBLE( R_259_209 ) );return DOUBLE_TO_REAL( AUX_372_234 );}else
{double AUX_373_169;
AUX_373_169=floor( REAL_TO_DOUBLE( R_259_209 ) );return DOUBLE_TO_REAL( AUX_373_169 );}
}

obj_t
#if defined( __STDC__ )
__TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172(obj_t ENV_335_212,obj_t R_259_209)
#else
__TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172( ENV_335_212, R_259_209 )
obj_t ENV_335_212, R_259_209;
#endif
{

return TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121( R_259_209 );
}

obj_t
#if defined( __STDC__ )
ROUNDFL___R4_NUMBERS_6_5_FLONUM_152(obj_t R_260_7)
#else
ROUNDFL___R4_NUMBERS_6_5_FLONUM_152( R_260_7 )
obj_t R_260_7;
#endif
{

{double AUX_371_68;
AUX_371_68=ROUND_R( REAL_TO_DOUBLE( R_260_7 ) );return DOUBLE_TO_REAL( AUX_371_68 );}
}

obj_t
#if defined( __STDC__ )
__ROUNDFL___R4_NUMBERS_6_5_FLONUM_15(obj_t ENV_334_224,obj_t R_260_7)
#else
__ROUNDFL___R4_NUMBERS_6_5_FLONUM_15( ENV_334_224, R_260_7 )
obj_t ENV_334_224, R_260_7;
#endif
{

return ROUNDFL___R4_NUMBERS_6_5_FLONUM_152( R_260_7 );
}

obj_t
#if defined( __STDC__ )
EXPFL___R4_NUMBERS_6_5_FLONUM_47(obj_t X_261_26)
#else
EXPFL___R4_NUMBERS_6_5_FLONUM_47( X_261_26 )
obj_t X_261_26;
#endif
{

{double AUX_370_56;
AUX_370_56=exp( REAL_TO_DOUBLE( X_261_26 ) );return DOUBLE_TO_REAL( AUX_370_56 );}
}

obj_t
#if defined( __STDC__ )
__EXPFL___R4_NUMBERS_6_5_FLONUM_197(obj_t ENV_333_204,obj_t X_261_26)
#else
__EXPFL___R4_NUMBERS_6_5_FLONUM_197( ENV_333_204, X_261_26 )
obj_t ENV_333_204, X_261_26;
#endif
{

return EXPFL___R4_NUMBERS_6_5_FLONUM_47( X_261_26 );
}

obj_t
#if defined( __STDC__ )
LOGFL___R4_NUMBERS_6_5_FLONUM_35(obj_t X_262_145)
#else
LOGFL___R4_NUMBERS_6_5_FLONUM_35( X_262_145 )
obj_t X_262_145;
#endif
{

{double AUX_369_169;
AUX_369_169=log( REAL_TO_DOUBLE( X_262_145 ) );return DOUBLE_TO_REAL( AUX_369_169 );}
}

obj_t
#if defined( __STDC__ )
__LOGFL___R4_NUMBERS_6_5_FLONUM_143(obj_t ENV_332_247,obj_t X_262_145)
#else
__LOGFL___R4_NUMBERS_6_5_FLONUM_143( ENV_332_247, X_262_145 )
obj_t ENV_332_247, X_262_145;
#endif
{

return LOGFL___R4_NUMBERS_6_5_FLONUM_35( X_262_145 );
}

obj_t
#if defined( __STDC__ )
SINFL___R4_NUMBERS_6_5_FLONUM_48(obj_t X_263_16)
#else
SINFL___R4_NUMBERS_6_5_FLONUM_48( X_263_16 )
obj_t X_263_16;
#endif
{

{double AUX_368_234;
AUX_368_234=sin( REAL_TO_DOUBLE( X_263_16 ) );return DOUBLE_TO_REAL( AUX_368_234 );}
}

obj_t
#if defined( __STDC__ )
__SINFL___R4_NUMBERS_6_5_FLONUM_15(obj_t ENV_331_43,obj_t X_263_16)
#else
__SINFL___R4_NUMBERS_6_5_FLONUM_15( ENV_331_43, X_263_16 )
obj_t ENV_331_43, X_263_16;
#endif
{

return SINFL___R4_NUMBERS_6_5_FLONUM_48( X_263_16 );
}

obj_t
#if defined( __STDC__ )
COSFL___R4_NUMBERS_6_5_FLONUM_153(obj_t X_264_33)
#else
COSFL___R4_NUMBERS_6_5_FLONUM_153( X_264_33 )
obj_t X_264_33;
#endif
{

{double AUX_367_73;
AUX_367_73=cos( REAL_TO_DOUBLE( X_264_33 ) );return DOUBLE_TO_REAL( AUX_367_73 );}
}

obj_t
#if defined( __STDC__ )
__COSFL___R4_NUMBERS_6_5_FLONUM_22(obj_t ENV_330_196,obj_t X_264_33)
#else
__COSFL___R4_NUMBERS_6_5_FLONUM_22( ENV_330_196, X_264_33 )
obj_t ENV_330_196, X_264_33;
#endif
{

return COSFL___R4_NUMBERS_6_5_FLONUM_153( X_264_33 );
}

obj_t
#if defined( __STDC__ )
TANFL___R4_NUMBERS_6_5_FLONUM_216(obj_t X_265_4)
#else
TANFL___R4_NUMBERS_6_5_FLONUM_216( X_265_4 )
obj_t X_265_4;
#endif
{

{double AUX_366_173;
AUX_366_173=tan( REAL_TO_DOUBLE( X_265_4 ) );return DOUBLE_TO_REAL( AUX_366_173 );}
}

obj_t
#if defined( __STDC__ )
__TANFL___R4_NUMBERS_6_5_FLONUM_17(obj_t ENV_329_109,obj_t X_265_4)
#else
__TANFL___R4_NUMBERS_6_5_FLONUM_17( ENV_329_109, X_265_4 )
obj_t ENV_329_109, X_265_4;
#endif
{

return TANFL___R4_NUMBERS_6_5_FLONUM_216( X_265_4 );
}

obj_t
#if defined( __STDC__ )
ASINFL___R4_NUMBERS_6_5_FLONUM_117(obj_t X_266_189)
#else
ASINFL___R4_NUMBERS_6_5_FLONUM_117( X_266_189 )
obj_t X_266_189;
#endif
{

{double AUX_365_7;
AUX_365_7=asin( REAL_TO_DOUBLE( X_266_189 ) );return DOUBLE_TO_REAL( AUX_365_7 );}
}

obj_t
#if defined( __STDC__ )
__ASINFL___R4_NUMBERS_6_5_FLONUM_47(obj_t ENV_328_47,obj_t X_266_189)
#else
__ASINFL___R4_NUMBERS_6_5_FLONUM_47( ENV_328_47, X_266_189 )
obj_t ENV_328_47, X_266_189;
#endif
{

return ASINFL___R4_NUMBERS_6_5_FLONUM_117( X_266_189 );
}

obj_t
#if defined( __STDC__ )
ACOSFL___R4_NUMBERS_6_5_FLONUM_151(obj_t X_267_8)
#else
ACOSFL___R4_NUMBERS_6_5_FLONUM_151( X_267_8 )
obj_t X_267_8;
#endif
{

{double AUX_364_30;
AUX_364_30=acos( REAL_TO_DOUBLE( X_267_8 ) );return DOUBLE_TO_REAL( AUX_364_30 );}
}

obj_t
#if defined( __STDC__ )
__ACOSFL___R4_NUMBERS_6_5_FLONUM_63(obj_t ENV_327_142,obj_t X_267_8)
#else
__ACOSFL___R4_NUMBERS_6_5_FLONUM_63( ENV_327_142, X_267_8 )
obj_t ENV_327_142, X_267_8;
#endif
{

return ACOSFL___R4_NUMBERS_6_5_FLONUM_151( X_267_8 );
}

obj_t
#if defined( __STDC__ )
ATANFL___R4_NUMBERS_6_5_FLONUM_207(obj_t X_268_80,obj_t Y_269_155)
#else
ATANFL___R4_NUMBERS_6_5_FLONUM_207( X_268_80, Y_269_155 )
obj_t X_268_80, Y_269_155;
#endif
{

if( NULLP( Y_269_155 ))
{double AUX_362_36;
AUX_362_36=atan( REAL_TO_DOUBLE( X_268_80 ) );return DOUBLE_TO_REAL( AUX_362_36 );}else
{obj_t Y_270_96;
Y_270_96=CAR( Y_269_155 );{if( EQ_R( X_268_80, BREAL( &A_REAL_0___R4_NUMBERS_6_5_FLONUM_234) ))
if( EQ_R( Y_270_96, BREAL( &A_REAL_0___R4_NUMBERS_6_5_FLONUM_234) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
FAILURE( BREF( &ATANFL_1___R4_NUMBERS_6_5_FLONUM_159), BREF( &DOMAIN_E_2___R4_NUMBERS_6_5_FLONUM_107), BREAL( &A_REAL_0___R4_NUMBERS_6_5_FLONUM_234) );_false_1:
{double AUX_363_65;
AUX_363_65=atan2( REAL_TO_DOUBLE( X_268_80 ), REAL_TO_DOUBLE( Y_270_96 ) );return DOUBLE_TO_REAL( AUX_363_65 );};
}}
}

obj_t
#if defined( __STDC__ )
__ATANFL___R4_NUMBERS_6_5_FLONUM_98(obj_t ENV_326_230,obj_t X_268_80,obj_t Y_269_155)
#else
__ATANFL___R4_NUMBERS_6_5_FLONUM_98( ENV_326_230, X_268_80, Y_269_155 )
obj_t ENV_326_230, X_268_80, Y_269_155;
#endif
{

return ATANFL___R4_NUMBERS_6_5_FLONUM_207( X_268_80, Y_269_155 );
}

obj_t
#if defined( __STDC__ )
SQRTFL___R4_NUMBERS_6_5_FLONUM_117(obj_t R_272_19)
#else
SQRTFL___R4_NUMBERS_6_5_FLONUM_117( R_272_19 )
obj_t R_272_19;
#endif
{

if( LT_R( R_272_19, BREAL( &A_REAL_0___R4_NUMBERS_6_5_FLONUM_234) ))
FAILURE( BREF( &SQRT_3___R4_NUMBERS_6_5_FLONUM_247), BREF( &DOMAIN_E_2___R4_NUMBERS_6_5_FLONUM_107), R_272_19 );else
{double AUX_361_40;
AUX_361_40=sqrt( REAL_TO_DOUBLE( R_272_19 ) );return DOUBLE_TO_REAL( AUX_361_40 );}
}

obj_t
#if defined( __STDC__ )
__SQRTFL___R4_NUMBERS_6_5_FLONUM_116(obj_t ENV_325_227,obj_t R_272_19)
#else
__SQRTFL___R4_NUMBERS_6_5_FLONUM_116( ENV_325_227, R_272_19 )
obj_t ENV_325_227, R_272_19;
#endif
{

return SQRTFL___R4_NUMBERS_6_5_FLONUM_117( R_272_19 );
}

obj_t
#if defined( __STDC__ )
EXPTFL___R4_NUMBERS_6_5_FLONUM_138(obj_t R1_273_42,obj_t R2_274_10)
#else
EXPTFL___R4_NUMBERS_6_5_FLONUM_138( R1_273_42, R2_274_10 )
obj_t R1_273_42, R2_274_10;
#endif
{

{double AUX_360_188;
AUX_360_188=pow( REAL_TO_DOUBLE( R1_273_42 ), REAL_TO_DOUBLE( R2_274_10 ) );return DOUBLE_TO_REAL( AUX_360_188 );}
}

obj_t
#if defined( __STDC__ )
__EXPTFL___R4_NUMBERS_6_5_FLONUM_132(obj_t ENV_324_96,obj_t R1_273_42,obj_t R2_274_10)
#else
__EXPTFL___R4_NUMBERS_6_5_FLONUM_132( ENV_324_96, R1_273_42, R2_274_10 )
obj_t ENV_324_96, R1_273_42, R2_274_10;
#endif
{

return EXPTFL___R4_NUMBERS_6_5_FLONUM_138( R1_273_42, R2_274_10 );
}

obj_t
#if defined( __STDC__ )
STRING__REAL___R4_NUMBERS_6_5_FLONUM_106(obj_t STRING_275_94)
#else
STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_275_94 )
obj_t STRING_275_94;
#endif
{

{double AUX_359_21;
AUX_359_21=strtod( BSTRING_TO_CSTRING( STRING_275_94 ), 0 );return DOUBLE_TO_REAL( AUX_359_21 );}
}

obj_t
#if defined( __STDC__ )
__STRING__REAL___R4_NUMBERS_6_5_FLONUM_80(obj_t ENV_323_179,obj_t STRING_275_94)
#else
__STRING__REAL___R4_NUMBERS_6_5_FLONUM_80( ENV_323_179, STRING_275_94 )
obj_t ENV_323_179, STRING_275_94;
#endif
{

return STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_275_94 );
}

obj_t
#if defined( __STDC__ )
REAL__STRING___R4_NUMBERS_6_5_FLONUM_54(obj_t REAL_276_81)
#else
REAL__STRING___R4_NUMBERS_6_5_FLONUM_54( REAL_276_81 )
obj_t REAL_276_81;
#endif
{

{char * AUX_358_98;
AUX_358_98=real_to_string( REAL_TO_DOUBLE( REAL_276_81 ) );return CSTRING_TO_BSTRING( AUX_358_98 );}
}

obj_t
#if defined( __STDC__ )
__REAL__STRING___R4_NUMBERS_6_5_FLONUM_95(obj_t ENV_322_62,obj_t REAL_276_81)
#else
__REAL__STRING___R4_NUMBERS_6_5_FLONUM_95( ENV_322_62, REAL_276_81 )
obj_t ENV_322_62, REAL_276_81;
#endif
{

return REAL__STRING___R4_NUMBERS_6_5_FLONUM_54( REAL_276_81 );
}

