/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/input.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
#if defined( __STDC__ )
extern obj_t READ_RP___R4_INPUT_6_10_2_90(obj_t, obj_t);
#else
extern obj_t READ_RP___R4_INPUT_6_10_2_90();
#endif
#if defined( __STDC__ )
extern obj_t EOF_OBJECT____R4_INPUT_6_10_2_140(obj_t);
#else
extern obj_t EOF_OBJECT____R4_INPUT_6_10_2_140();
#endif
obj_t CHAR_READY__ENV___R4_INPUT_6_10_2_244 = BUNSPEC;
DEFINE_STRING( TOKEN_TO_3___R4_INPUT_6_10_2_196, "token too large", 15);
extern obj_t input_port_get_string();
#if defined( __STDC__ )
extern obj_t __PEEK_CHAR___R4_INPUT_6_10_2_211(obj_t, obj_t);
#else
extern obj_t __PEEK_CHAR___R4_INPUT_6_10_2_211();
#endif
obj_t READ_RP_UT_ENV___R4_INPUT_6_10_2_144 = BUNSPEC;
obj_t READ_STRING_ENV___R4_INPUT_6_10_2_170 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_STRING___R4_INPUT_6_10_2_23(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_STRING___R4_INPUT_6_10_2_23();
#endif
#if defined( __STDC__ )
extern obj_t __EOF_OBJECT____R4_INPUT_6_10_2_209(obj_t, obj_t);
#else
extern obj_t __EOF_OBJECT____R4_INPUT_6_10_2_209();
#endif
obj_t EOF_OBJECT__ENV___R4_INPUT_6_10_2_43 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
obj_t ___R4_INPUT_6_10_2_INITIALISATION_ENV___R4_INPUT_6_10_2_12 = BUNSPEC;
extern obj_t make_va_procedure();
DEFINE_STRING( REGULAR__2___R4_INPUT_6_10_2_198, "regular-grammar", 15);
static obj_t BINPUT_P_5___R4_INPUT_6_10_2_51 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_READY____R4_INPUT_6_10_2_123(obj_t);
#else
extern obj_t __CHAR_READY____R4_INPUT_6_10_2_123();
#endif
#if defined( __STDC__ )
extern obj_t READ_CHAR___R4_INPUT_6_10_2_86(obj_t);
#else
extern obj_t READ_CHAR___R4_INPUT_6_10_2_86();
#endif
static obj_t PORT_6___R4_INPUT_6_10_2_230 = BUNSPEC;
DEFINE_STRING( __1___R4_INPUT_6_10_2_147, "", 0);
DEFINE_STRING( READ_RP_4___R4_INPUT_6_10_2_131, "read/rp", 7);
static obj_t PROCEDURE_0___R4_INPUT_6_10_2_123 = BUNSPEC;
extern obj_t intput_port_read_string();
static obj_t REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __READ_RP___R4_INPUT_6_10_2_95(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_RP___R4_INPUT_6_10_2_95();
#endif
#if defined( __STDC__ )
extern obj_t PEEK_CHAR___R4_INPUT_6_10_2_201(obj_t);
#else
extern obj_t PEEK_CHAR___R4_INPUT_6_10_2_201();
#endif
obj_t READ_LINE___R4_INPUT_6_10_2_31 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __READ_CHAR___R4_INPUT_6_10_2_173(obj_t, obj_t);
#else
extern obj_t __READ_CHAR___R4_INPUT_6_10_2_173();
#endif
extern obj_t CHAR_READY____R4_INPUT_6_10_2_158();
obj_t READ_RP_ENV___R4_INPUT_6_10_2_47 = BUNSPEC;
obj_t PEEK_CHAR_ENV___R4_INPUT_6_10_2_240 = BUNSPEC;
obj_t READ_CHAR_ENV___R4_INPUT_6_10_2_55 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226(obj_t);
#else
extern obj_t ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226();
#endif
extern obj_t current_input_port;
#if defined( __STDC__ )
extern obj_t READ_RP_UT___R4_INPUT_6_10_2_160(obj_t, obj_t);
#else
extern obj_t READ_RP_UT___R4_INPUT_6_10_2_160();
#endif
#if defined( __STDC__ )
extern obj_t READ_STRING___R4_INPUT_6_10_2_184(obj_t, obj_t);
#else
extern obj_t READ_STRING___R4_INPUT_6_10_2_184();
#endif
#if defined( __STDC__ )
extern obj_t __READ_RP_UT___R4_INPUT_6_10_2_99(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_RP_UT___R4_INPUT_6_10_2_99();
#endif

static obj_t LAMBDA_1_0_234_145();

obj_t
#if defined( __STDC__ )
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100()
#else
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65 ))
{
REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
PORT_6___R4_INPUT_6_10_2_230=c_string_to_symbol( "PORT" );
BINPUT_P_5___R4_INPUT_6_10_2_51=c_string_to_symbol( "BINPUT-PORT" );
PROCEDURE_0___R4_INPUT_6_10_2_123=make_fx_procedure( LAMBDA_1_0_234_145, 1, 0 );
{
___R4_INPUT_6_10_2_INITIALISATION_ENV___R4_INPUT_6_10_2_12=make_fx_procedure( ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226, 0, 0 );
READ_RP_ENV___R4_INPUT_6_10_2_47=make_fx_procedure( __READ_RP___R4_INPUT_6_10_2_95, 2, 0 );
READ_RP_UT_ENV___R4_INPUT_6_10_2_144=make_fx_procedure( __READ_RP_UT___R4_INPUT_6_10_2_99, 2, 0 );
READ_CHAR_ENV___R4_INPUT_6_10_2_55=make_va_procedure( __READ_CHAR___R4_INPUT_6_10_2_173, -1, 0 );
PEEK_CHAR_ENV___R4_INPUT_6_10_2_240=make_va_procedure( __PEEK_CHAR___R4_INPUT_6_10_2_211, -1, 0 );
EOF_OBJECT__ENV___R4_INPUT_6_10_2_43=make_fx_procedure( __EOF_OBJECT____R4_INPUT_6_10_2_209, 1, 0 );
CHAR_READY__ENV___R4_INPUT_6_10_2_244=make_fx_procedure( __CHAR_READY____R4_INPUT_6_10_2_123, 0, 0 );
READ_STRING_ENV___R4_INPUT_6_10_2_170=make_fx_procedure( __READ_STRING___R4_INPUT_6_10_2_23, 2, 0 );
{
{obj_t LAMBDA_1_0_ENV_290_147;
LAMBDA_1_0_ENV_290_147=PROCEDURE_0___R4_INPUT_6_10_2_123;{obj_t A_FUNCTION_281_139;
A_FUNCTION_281_139=LAMBDA_1_0_ENV_290_147;READ_LINE___R4_INPUT_6_10_2_31=A_FUNCTION_281_139;}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226(obj_t ENV_292_151)
#else
____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226( ENV_292_151 )
obj_t ENV_292_151;
#endif
{

return ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_234_145(obj_t LAMBDA_1_0_ENV_291_124,obj_t INPUT_PORT_235_30)
#else
LAMBDA_1_0_234_145( LAMBDA_1_0_ENV_291_124, INPUT_PORT_235_30 )
obj_t LAMBDA_1_0_ENV_291_124, INPUT_PORT_235_30;
#endif
{

{obj_t INPUT_PORT_237_173;
if( INPUT_PORTP( INPUT_PORT_235_30 ))
{
INPUT_PORT_237_173=INPUT_PORT_235_30;
{
{obj_t CURRENT_CONTEXT_238_222;
CURRENT_CONTEXT_238_222=BINT( 0 );{obj_t RULE_248_82;
{
{long RULE_295_62;
{obj_t AUX_297_58;
{
RULE_248_82=BINT( 0 );
{
{obj_t MR_251_244, MR_253_236;
{
MR_251_244=RULE_248_82;
{_STATE_0_249_236:

{long C_293_51;
C_293_51=INPUT_PORT_READ_CHAR( INPUT_PORT_237_173 );if( EQ_I( C_293_51, 10 ))
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
AUX_297_58=BINT( 2 );
}else
if( EQ_I( C_293_51, 0 ))
if( input_port_fill_buffer( INPUT_PORT_237_173 ))
goto _STATE_0_249_236;else
AUX_297_58=MR_251_244;else
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
{
MR_253_236=BINT( 1 );
{_STATE_2_250_172:

{long C_294_138;
C_294_138=INPUT_PORT_READ_CHAR( INPUT_PORT_237_173 );if( EQ_I( C_294_138, 10 ))
AUX_297_58=MR_253_236;else
if( EQ_I( C_294_138, 0 ))
if( input_port_fill_buffer( INPUT_PORT_237_173 ))
goto _STATE_2_250_172;else
AUX_297_58=MR_253_236;else
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
{
MR_253_236=BINT( 1 );
goto _STATE_2_250_172;
}
}}}
}
}}}
}}}
}RULE_295_62=CINT( AUX_297_58 );}{
INPUT_PORT_AJUST_CURSOR( INPUT_PORT_237_173 );
switch( (long)RULE_295_62){case 2 : 
return BREF( &__1___R4_INPUT_6_10_2_147);break;case 1 : 
{obj_t STRING_257_122;
{
STRING_257_122=input_port_get_string( INPUT_PORT_237_173 );}{
INPUT_PORT_STOLE_CHAR( INPUT_PORT_237_173 );
return STRING_257_122;
}}break;default: 
{
if( INPUT_PORT_TOKEN_TOO_LARGEP( INPUT_PORT_237_173 ))
{obj_t OBJECT_264_212;
OBJECT_264_212=BUNSPEC;FAILURE( BREF( &REGULAR__2___R4_INPUT_6_10_2_198), BREF( &TOKEN_TO_3___R4_INPUT_6_10_2_196), OBJECT_264_212 );}else
BFALSE;
{
return INPUT_PORT_STOLE_CHAR( INPUT_PORT_237_173 );}
}}
}}}}}}
}else
FAILURE( BREF( &READ_RP_4___R4_INPUT_6_10_2_131), TYPE_ERROR___ERROR_146( BINPUT_P_5___R4_INPUT_6_10_2_51, PORT_6___R4_INPUT_6_10_2_230 ), INPUT_PORT_235_30 );}
}

obj_t
#if defined( __STDC__ )
READ_RP___R4_INPUT_6_10_2_90(obj_t GRAMMAR_222_19,obj_t PORT_223_99)
#else
READ_RP___R4_INPUT_6_10_2_90( GRAMMAR_222_19, PORT_223_99 )
obj_t GRAMMAR_222_19, PORT_223_99;
#endif
{

if( INPUT_PORTP( PORT_223_99 ))
return PROCEDURE_ENTRY( GRAMMAR_222_19 )( GRAMMAR_222_19, PORT_223_99, BEOA );else
FAILURE( BREF( &READ_RP_4___R4_INPUT_6_10_2_131), TYPE_ERROR___ERROR_146( BINPUT_P_5___R4_INPUT_6_10_2_51, PORT_6___R4_INPUT_6_10_2_230 ), PORT_223_99 );
}

obj_t
#if defined( __STDC__ )
__READ_RP___R4_INPUT_6_10_2_95(obj_t ENV_289_107,obj_t GRAMMAR_222_19,obj_t PORT_223_99)
#else
__READ_RP___R4_INPUT_6_10_2_95( ENV_289_107, GRAMMAR_222_19, PORT_223_99 )
obj_t ENV_289_107, GRAMMAR_222_19, PORT_223_99;
#endif
{

return READ_RP___R4_INPUT_6_10_2_90( GRAMMAR_222_19, PORT_223_99 );
}

obj_t
#if defined( __STDC__ )
READ_RP_UT___R4_INPUT_6_10_2_160(obj_t GRAMMAR_224_217,obj_t PORT_225_80)
#else
READ_RP_UT___R4_INPUT_6_10_2_160( GRAMMAR_224_217, PORT_225_80 )
obj_t GRAMMAR_224_217, PORT_225_80;
#endif
{

return PROCEDURE_ENTRY( GRAMMAR_224_217 )( GRAMMAR_224_217, PORT_225_80, BEOA );
}

obj_t
#if defined( __STDC__ )
__READ_RP_UT___R4_INPUT_6_10_2_99(obj_t ENV_288_177,obj_t GRAMMAR_224_217,obj_t PORT_225_80)
#else
__READ_RP_UT___R4_INPUT_6_10_2_99( ENV_288_177, GRAMMAR_224_217, PORT_225_80 )
obj_t ENV_288_177, GRAMMAR_224_217, PORT_225_80;
#endif
{

return READ_RP_UT___R4_INPUT_6_10_2_160( GRAMMAR_224_217, PORT_225_80 );
}

obj_t
#if defined( __STDC__ )
READ_CHAR___R4_INPUT_6_10_2_86(obj_t PORT_226_50)
#else
READ_CHAR___R4_INPUT_6_10_2_86( PORT_226_50 )
obj_t PORT_226_50;
#endif
{

{obj_t PORT_227_34;
if( NULLP( PORT_226_50 ))
PORT_227_34=current_input_port;else
PORT_227_34=CAR( PORT_226_50 );return READ_CHAR( PORT_227_34 );}
}

obj_t
#if defined( __STDC__ )
__READ_CHAR___R4_INPUT_6_10_2_173(obj_t ENV_287_40,obj_t PORT_226_50)
#else
__READ_CHAR___R4_INPUT_6_10_2_173( ENV_287_40, PORT_226_50 )
obj_t ENV_287_40, PORT_226_50;
#endif
{

return READ_CHAR___R4_INPUT_6_10_2_86( PORT_226_50 );
}

obj_t
#if defined( __STDC__ )
PEEK_CHAR___R4_INPUT_6_10_2_201(obj_t PORT_228_4)
#else
PEEK_CHAR___R4_INPUT_6_10_2_201( PORT_228_4 )
obj_t PORT_228_4;
#endif
{

{obj_t PORT_229_33;
if( NULLP( PORT_228_4 ))
PORT_229_33=current_input_port;else
PORT_229_33=CAR( PORT_228_4 );return PEEK_CHAR( PORT_229_33 );}
}

obj_t
#if defined( __STDC__ )
__PEEK_CHAR___R4_INPUT_6_10_2_211(obj_t ENV_286_188,obj_t PORT_228_4)
#else
__PEEK_CHAR___R4_INPUT_6_10_2_211( ENV_286_188, PORT_228_4 )
obj_t ENV_286_188, PORT_228_4;
#endif
{

return PEEK_CHAR___R4_INPUT_6_10_2_201( PORT_228_4 );
}

obj_t
#if defined( __STDC__ )
EOF_OBJECT____R4_INPUT_6_10_2_140(obj_t OBJECT_230_5)
#else
EOF_OBJECT____R4_INPUT_6_10_2_140( OBJECT_230_5 )
obj_t OBJECT_230_5;
#endif
{

{bool_t AUX_296_22;
AUX_296_22=EOF_OBJECTP( OBJECT_230_5 );return CBOOL_TO_BBOOL( AUX_296_22 );}
}

obj_t
#if defined( __STDC__ )
__EOF_OBJECT____R4_INPUT_6_10_2_209(obj_t ENV_285_65,obj_t OBJECT_230_5)
#else
__EOF_OBJECT____R4_INPUT_6_10_2_209( ENV_285_65, OBJECT_230_5 )
obj_t ENV_285_65, OBJECT_230_5;
#endif
{

return EOF_OBJECT____R4_INPUT_6_10_2_140( OBJECT_230_5 );
}

obj_t
#if defined( __STDC__ )
CHAR_READY____R4_INPUT_6_10_2_158()
#else
CHAR_READY____R4_INPUT_6_10_2_158()
#endif
{

return BTRUE;
}

obj_t
#if defined( __STDC__ )
__CHAR_READY____R4_INPUT_6_10_2_123(obj_t ENV_284_36)
#else
__CHAR_READY____R4_INPUT_6_10_2_123( ENV_284_36 )
obj_t ENV_284_36;
#endif
{

return CHAR_READY____R4_INPUT_6_10_2_158();
}

obj_t
#if defined( __STDC__ )
READ_STRING___R4_INPUT_6_10_2_184(obj_t INPUT_PORT_231_188,obj_t NUMBER_232_52)
#else
READ_STRING___R4_INPUT_6_10_2_184( INPUT_PORT_231_188, NUMBER_232_52 )
obj_t INPUT_PORT_231_188, NUMBER_232_52;
#endif
{

return intput_port_read_string( INPUT_PORT_231_188, NUMBER_232_52 );
}

obj_t
#if defined( __STDC__ )
__READ_STRING___R4_INPUT_6_10_2_23(obj_t ENV_283_7,obj_t INPUT_PORT_231_188,obj_t NUMBER_232_52)
#else
__READ_STRING___R4_INPUT_6_10_2_23( ENV_283_7, INPUT_PORT_231_188, NUMBER_232_52 )
obj_t ENV_283_7, INPUT_PORT_231_188, NUMBER_232_52;
#endif
{

return READ_STRING___R4_INPUT_6_10_2_184( INPUT_PORT_231_188, NUMBER_232_52 );
}

