/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/numbers.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_167(obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_167();
#endif
DEFINE_STRING( LOG_19___R4_NUMBERS_6_5_169, "log", 3);
obj_t TAN_ENV___R4_NUMBERS_6_5_83 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __COMPLEX____R4_NUMBERS_6_5_113(obj_t, obj_t);
#else
extern obj_t __COMPLEX____R4_NUMBERS_6_5_113();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_255(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_255();
#endif
DEFINE_STRING( NOT_A_NU_1___R4_NUMBERS_6_5_21, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __ROUND___R4_NUMBERS_6_5_114(obj_t, obj_t);
#else
extern obj_t __ROUND___R4_NUMBERS_6_5_114();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_35(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_35();
#endif
#if defined( __STDC__ )
extern obj_t COS___R4_NUMBERS_6_5_115(obj_t);
#else
extern obj_t COS___R4_NUMBERS_6_5_115();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_30(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_30();
#endif
obj_t ___ENV___R4_NUMBERS_6_5_73 = BUNSPEC;
obj_t EXACT__ENV___R4_NUMBERS_6_5_62 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_188 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
#if defined( __STDC__ )
extern obj_t __CEILING___R4_NUMBERS_6_5_75(obj_t, obj_t);
#else
extern obj_t __CEILING___R4_NUMBERS_6_5_75();
#endif
DEFINE_STRING( ___3___R4_NUMBERS_6_5_10, ">", 1);
DEFINE_STRING( POSITIVE_7___R4_NUMBERS_6_5_19, "positive", 8);
#if defined( __STDC__ )
extern obj_t TRUNCATE___R4_NUMBERS_6_5_202(obj_t);
#else
extern obj_t TRUNCATE___R4_NUMBERS_6_5_202();
#endif
obj_t TRUNCATE_ENV___R4_NUMBERS_6_5_42 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_216(obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_216();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_49(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_49();
#endif
obj_t CEILING_ENV___R4_NUMBERS_6_5_246 = BUNSPEC;
obj_t SIN_ENV___R4_NUMBERS_6_5_102 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t RATIONAL____R4_NUMBERS_6_5_163(obj_t);
#else
extern obj_t RATIONAL____R4_NUMBERS_6_5_163();
#endif
DEFINE_STRING( SIN_20___R4_NUMBERS_6_5_37, "sin", 3);
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_143(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_143();
#endif
#if defined( __STDC__ )
extern obj_t __ASIN___R4_NUMBERS_6_5_248(obj_t, obj_t);
#else
extern obj_t __ASIN___R4_NUMBERS_6_5_248();
#endif
#if defined( __STDC__ )
extern obj_t EXACT__INEXACT___R4_NUMBERS_6_5_78(obj_t);
#else
extern obj_t EXACT__INEXACT___R4_NUMBERS_6_5_78();
#endif
obj_t COMPLEX__ENV___R4_NUMBERS_6_5_224 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _______R4_NUMBERS_6_5_110(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t _______R4_NUMBERS_6_5_110();
#endif
#if defined( __STDC__ )
extern obj_t __ATAN___R4_NUMBERS_6_5_94(obj_t, obj_t, obj_t);
#else
extern obj_t __ATAN___R4_NUMBERS_6_5_94();
#endif
#if defined( __STDC__ )
extern obj_t ROUND___R4_NUMBERS_6_5_160(obj_t);
#else
extern obj_t ROUND___R4_NUMBERS_6_5_160();
#endif
#if defined( __STDC__ )
extern obj_t __MIN___R4_NUMBERS_6_5_170(obj_t, obj_t, obj_t);
#else
extern obj_t __MIN___R4_NUMBERS_6_5_170();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_102(obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_102();
#endif
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_57(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_57();
#endif
#if defined( __STDC__ )
extern obj_t __COS___R4_NUMBERS_6_5_235(obj_t, obj_t);
#else
extern obj_t __COS___R4_NUMBERS_6_5_235();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_57(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_57();
#endif
obj_t FLONUM__FIXNUM_ENV___R4_NUMBERS_6_5_255 = BUNSPEC;
DEFINE_STRING( EXPT_31___R4_NUMBERS_6_5_115, "expt", 4);
#if defined( __STDC__ )
extern obj_t __2_____R4_NUMBERS_6_5_55(obj_t, obj_t, obj_t);
#else
extern obj_t __2_____R4_NUMBERS_6_5_55();
#endif
DEFINE_STRING( NEGATIVE_8___R4_NUMBERS_6_5_245, "negative", 8);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_255(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_255();
#endif
obj_t NUMBER__ENV___R4_NUMBERS_6_5_4 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NUMBER____R4_NUMBERS_6_5_234(obj_t, obj_t);
#else
extern obj_t __NUMBER____R4_NUMBERS_6_5_234();
#endif
obj_t EXPT_ENV___R4_NUMBERS_6_5_113 = BUNSPEC;
DEFINE_STRING( CEILING_15___R4_NUMBERS_6_5_199, "ceiling", 7);
#if defined( __STDC__ )
extern obj_t SIN___R4_NUMBERS_6_5_226(obj_t);
#else
extern obj_t SIN___R4_NUMBERS_6_5_226();
#endif
obj_t INEXACT__EXACT_ENV___R4_NUMBERS_6_5_90 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __TRUNCATE___R4_NUMBERS_6_5_184(obj_t, obj_t);
#else
extern obj_t __TRUNCATE___R4_NUMBERS_6_5_184();
#endif
obj_t LOG_ENV___R4_NUMBERS_6_5_21 = BUNSPEC;
obj_t FLOOR_ENV___R4_NUMBERS_6_5_89 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_33 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t TAN___R4_NUMBERS_6_5_201(obj_t);
#else
extern obj_t TAN___R4_NUMBERS_6_5_201();
#endif
#if defined( __STDC__ )
extern obj_t CEILING___R4_NUMBERS_6_5_198(obj_t);
#else
extern obj_t CEILING___R4_NUMBERS_6_5_198();
#endif
#if defined( __STDC__ )
extern obj_t MIN___R4_NUMBERS_6_5_9(obj_t, obj_t);
#else
extern obj_t MIN___R4_NUMBERS_6_5_9();
#endif
DEFINE_STRING( COS_21___R4_NUMBERS_6_5_242, "cos", 3);
obj_t NUMBER__STRING_ENV___R4_NUMBERS_6_5_243 = BUNSPEC;
DEFINE_STRING( EXP_18___R4_NUMBERS_6_5_86, "exp", 3);
obj_t FIXNUM__FLONUM_ENV___R4_NUMBERS_6_5_246 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_222 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ACOS___R4_NUMBERS_6_5_40(obj_t);
#else
extern obj_t ACOS___R4_NUMBERS_6_5_40();
#endif
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_148(obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_148();
#endif
obj_t _2__ENV___R4_NUMBERS_6_5_128 = BUNSPEC;
DEFINE_STRING( ___0___R4_NUMBERS_6_5_217, "=", 1);
obj_t _2__ENV___R4_NUMBERS_6_5_54 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ASIN___R4_NUMBERS_6_5_77(obj_t);
#else
extern obj_t ASIN___R4_NUMBERS_6_5_77();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_131(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_131();
#endif
#if defined( __STDC__ )
extern obj_t __NUMBER__STRING___R4_NUMBERS_6_5_203(obj_t, obj_t, obj_t);
#else
extern obj_t __NUMBER__STRING___R4_NUMBERS_6_5_203();
#endif
#if defined( __STDC__ )
extern obj_t __2_____R4_NUMBERS_6_5_159(obj_t, obj_t, obj_t);
#else
extern obj_t __2_____R4_NUMBERS_6_5_159();
#endif
obj_t ___ENV___R4_NUMBERS_6_5_36 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_166(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_166();
#endif
DEFINE_STRING( ATANFL_27___R4_NUMBERS_6_5_222, "atanfl", 6);
#if defined( __STDC__ )
extern obj_t __FIXNUM__FLONUM___R4_NUMBERS_6_5_225(obj_t, obj_t);
#else
extern obj_t __FIXNUM__FLONUM___R4_NUMBERS_6_5_225();
#endif
extern obj_t make_va_procedure();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
DEFINE_STRING( ___10___R4_NUMBERS_6_5_230, "*", 1);
DEFINE_STRING( SQRT_29___R4_NUMBERS_6_5_178, "sqrt", 4);
DEFINE_STRING( ASIN_23___R4_NUMBERS_6_5_0, "asin", 4);
obj_t ___ENV___R4_NUMBERS_6_5_119 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLOOR___R4_NUMBERS_6_5_103(obj_t, obj_t);
#else
extern obj_t __FLOOR___R4_NUMBERS_6_5_103();
#endif
DEFINE_STRING( ____5___R4_NUMBERS_6_5_235, ">=", 2);
#if defined( __STDC__ )
extern obj_t FLOOR___R4_NUMBERS_6_5_49(obj_t);
#else
extern obj_t FLOOR___R4_NUMBERS_6_5_49();
#endif
extern obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_15(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_15();
#endif
obj_t _2__ENV___R4_NUMBERS_6_5_207 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INEXACT__EXACT___R4_NUMBERS_6_5_56(obj_t);
#else
extern obj_t INEXACT__EXACT___R4_NUMBERS_6_5_56();
#endif
#if defined( __STDC__ )
extern obj_t __TAN___R4_NUMBERS_6_5_81(obj_t, obj_t);
#else
extern obj_t __TAN___R4_NUMBERS_6_5_81();
#endif
#if defined( __STDC__ )
extern obj_t __POSITIVE____R4_NUMBERS_6_5_129(obj_t, obj_t);
#else
extern obj_t __POSITIVE____R4_NUMBERS_6_5_129();
#endif
obj_t POSITIVE__ENV___R4_NUMBERS_6_5_191 = BUNSPEC;
DEFINE_REAL( A_REAL_30___R4_NUMBERS_6_5_70, 1.);
#if defined( __STDC__ )
extern obj_t __SQRT___R4_NUMBERS_6_5_111(obj_t, obj_t);
#else
extern obj_t __SQRT___R4_NUMBERS_6_5_111();
#endif
obj_t ___ENV___R4_NUMBERS_6_5_27 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_89 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXP___R4_NUMBERS_6_5_248(obj_t);
#else
extern obj_t EXP___R4_NUMBERS_6_5_248();
#endif
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106();
#if defined( __STDC__ )
extern obj_t __STRING__NUMBER___R4_NUMBERS_6_5_64(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING__NUMBER___R4_NUMBERS_6_5_64();
#endif
#if defined( __STDC__ )
extern obj_t COMPLEX____R4_NUMBERS_6_5_3(obj_t);
#else
extern obj_t COMPLEX____R4_NUMBERS_6_5_3();
#endif
#if defined( __STDC__ )
extern obj_t ZERO____R4_NUMBERS_6_5_157(obj_t);
#else
extern obj_t ZERO____R4_NUMBERS_6_5_157();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_207(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_207();
#endif
#if defined( __STDC__ )
extern obj_t INEXACT____R4_NUMBERS_6_5_170(obj_t);
#else
extern obj_t INEXACT____R4_NUMBERS_6_5_170();
#endif
#if defined( __STDC__ )
extern obj_t ATAN___R4_NUMBERS_6_5_14(obj_t, obj_t);
#else
extern obj_t ATAN___R4_NUMBERS_6_5_14();
#endif
#if defined( __STDC__ )
extern obj_t __ACOS___R4_NUMBERS_6_5_107(obj_t, obj_t);
#else
extern obj_t __ACOS___R4_NUMBERS_6_5_107();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_28(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_28();
#endif
#if defined( __STDC__ )
extern obj_t SQRT___R4_NUMBERS_6_5_77(obj_t);
#else
extern obj_t SQRT___R4_NUMBERS_6_5_77();
#endif
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_142(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_142();
#endif
obj_t ___R4_NUMBERS_6_5_INITIALISATION_ENV___R4_NUMBERS_6_5_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_38(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_38();
#endif
#if defined( __STDC__ )
extern obj_t __INEXACT____R4_NUMBERS_6_5_110(obj_t, obj_t);
#else
extern obj_t __INEXACT____R4_NUMBERS_6_5_110();
#endif
obj_t COS_ENV___R4_NUMBERS_6_5_46 = BUNSPEC;
DEFINE_STRING( ____4___R4_NUMBERS_6_5_90, "<=", 2);
#if defined( __STDC__ )
extern obj_t __ABS___R4_NUMBERS_6_5_20(obj_t, obj_t);
#else
extern obj_t __ABS___R4_NUMBERS_6_5_20();
#endif
#if defined( __STDC__ )
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157(obj_t, obj_t);
#else
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157();
#endif
DEFINE_STRING( FLOOR_14___R4_NUMBERS_6_5_229, "floor", 5);
DEFINE_STRING( ___11___R4_NUMBERS_6_5_138, "-", 1);
#if defined( __STDC__ )
extern obj_t __EXPT___R4_NUMBERS_6_5_156(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPT___R4_NUMBERS_6_5_156();
#endif
extern obj_t STRING__INTEGER___R4_NUMBERS_6_5_FIXNUM_235();
#if defined( __STDC__ )
extern obj_t __LOG___R4_NUMBERS_6_5_176(obj_t, obj_t);
#else
extern obj_t __LOG___R4_NUMBERS_6_5_176();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_45(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_45();
#endif
obj_t ____ENV___R4_NUMBERS_6_5_164 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLONUM__FIXNUM___R4_NUMBERS_6_5_39(obj_t, obj_t);
#else
extern obj_t __FLONUM__FIXNUM___R4_NUMBERS_6_5_39();
#endif
DEFINE_STRING( ZERO_6___R4_NUMBERS_6_5_222, "zero", 4);
static obj_t REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180(obj_t);
#else
extern obj_t ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180();
#endif
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_128(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_128();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_144(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_144();
#endif
obj_t ROUND_ENV___R4_NUMBERS_6_5_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NEGATIVE____R4_NUMBERS_6_5_117(obj_t, obj_t);
#else
extern obj_t __NEGATIVE____R4_NUMBERS_6_5_117();
#endif
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_40(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_40();
#endif
#if defined( __STDC__ )
extern obj_t POSITIVE____R4_NUMBERS_6_5_164(obj_t);
#else
extern obj_t POSITIVE____R4_NUMBERS_6_5_164();
#endif
DEFINE_STRING( ___12___R4_NUMBERS_6_5_75, "/", 1);
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_47(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_47();
#endif
#if defined( __STDC__ )
extern obj_t EXACT____R4_NUMBERS_6_5_111(obj_t);
#else
extern obj_t EXACT____R4_NUMBERS_6_5_111();
#endif
#if defined( __STDC__ )
extern obj_t __ZERO____R4_NUMBERS_6_5_58(obj_t, obj_t);
#else
extern obj_t __ZERO____R4_NUMBERS_6_5_58();
#endif
obj_t STRING__NUMBER_ENV___R4_NUMBERS_6_5_195 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SIN___R4_NUMBERS_6_5_114(obj_t, obj_t);
#else
extern obj_t __SIN___R4_NUMBERS_6_5_114();
#endif
DEFINE_STRING( ACOS_24___R4_NUMBERS_6_5_75, "acos", 4);
#if defined( __STDC__ )
extern obj_t ABS___R4_NUMBERS_6_5_209(obj_t);
#else
extern obj_t ABS___R4_NUMBERS_6_5_209();
#endif
#if defined( __STDC__ )
extern obj_t __EXACT__INEXACT___R4_NUMBERS_6_5_82(obj_t, obj_t);
#else
extern obj_t __EXACT__INEXACT___R4_NUMBERS_6_5_82();
#endif
#if defined( __STDC__ )
extern obj_t LOG___R4_NUMBERS_6_5_45(obj_t);
#else
extern obj_t LOG___R4_NUMBERS_6_5_45();
#endif
DEFINE_STRING( DOMAIN_E_28___R4_NUMBERS_6_5_223, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_196(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_196();
#endif
#if defined( __STDC__ )
extern obj_t __EXACT____R4_NUMBERS_6_5_239(obj_t, obj_t);
#else
extern obj_t __EXACT____R4_NUMBERS_6_5_239();
#endif
#if defined( __STDC__ )
extern obj_t __INEXACT__EXACT___R4_NUMBERS_6_5_100(obj_t, obj_t);
#else
extern obj_t __INEXACT__EXACT___R4_NUMBERS_6_5_100();
#endif
#if defined( __STDC__ )
extern obj_t NUMBER____R4_NUMBERS_6_5_95(obj_t);
#else
extern obj_t NUMBER____R4_NUMBERS_6_5_95();
#endif
#if defined( __STDC__ )
extern obj_t __EXP___R4_NUMBERS_6_5_239(obj_t, obj_t);
#else
extern obj_t __EXP___R4_NUMBERS_6_5_239();
#endif
#if defined( __STDC__ )
extern obj_t _______R4_NUMBERS_6_5_18(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t _______R4_NUMBERS_6_5_18();
#endif
obj_t ATAN_ENV___R4_NUMBERS_6_5_110 = BUNSPEC;
obj_t INEXACT__ENV___R4_NUMBERS_6_5_193 = BUNSPEC;
DEFINE_STRING( ___2___R4_NUMBERS_6_5_44, "<", 1);
obj_t _2___ENV___R4_NUMBERS_6_5_227 = BUNSPEC;
obj_t MAX_ENV___R4_NUMBERS_6_5_40 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2_____R4_NUMBERS_6_5_203(obj_t, obj_t);
#else
extern obj_t _2_____R4_NUMBERS_6_5_203();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_86(obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_86();
#endif
#if defined( __STDC__ )
extern obj_t __RATIONAL____R4_NUMBERS_6_5_139(obj_t, obj_t);
#else
extern obj_t __RATIONAL____R4_NUMBERS_6_5_139();
#endif
obj_t EXP_ENV___R4_NUMBERS_6_5_232 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_217(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_217();
#endif
extern obj_t make_fx_procedure();
obj_t NEGATIVE__ENV___R4_NUMBERS_6_5_9 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAX___R4_NUMBERS_6_5_36(obj_t, obj_t, obj_t);
#else
extern obj_t __MAX___R4_NUMBERS_6_5_36();
#endif
obj_t _2___ENV___R4_NUMBERS_6_5_156 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_182 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_60 = BUNSPEC;
DEFINE_REAL( A_REAL_26___R4_NUMBERS_6_5_158, 0.);
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_140(obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_140();
#endif
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
DEFINE_STRING( TRUNCATE_16___R4_NUMBERS_6_5_171, "truncate", 8);
#if defined( __STDC__ )
extern obj_t FLONUM__FIXNUM___R4_NUMBERS_6_5_186(obj_t);
#else
extern obj_t FLONUM__FIXNUM___R4_NUMBERS_6_5_186();
#endif
obj_t ASIN_ENV___R4_NUMBERS_6_5_78 = BUNSPEC;
obj_t ABS_ENV___R4_NUMBERS_6_5_51 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_44(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_44();
#endif
obj_t SQRT_ENV___R4_NUMBERS_6_5_78 = BUNSPEC;
obj_t MIN_ENV___R4_NUMBERS_6_5_76 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2_____R4_NUMBERS_6_5_228(obj_t, obj_t);
#else
extern obj_t _2_____R4_NUMBERS_6_5_228();
#endif
DEFINE_STRING( ATAN_25___R4_NUMBERS_6_5_249, "atan", 4);
obj_t RATIONAL__ENV___R4_NUMBERS_6_5_218 = BUNSPEC;
DEFINE_STRING( ROUND_17___R4_NUMBERS_6_5_58, "round", 5);
DEFINE_STRING( ABS_13___R4_NUMBERS_6_5_87, "abs", 3);
obj_t ____ENV___R4_NUMBERS_6_5_88 = BUNSPEC;
obj_t ZERO__ENV___R4_NUMBERS_6_5_243 = BUNSPEC;
obj_t ACOS_ENV___R4_NUMBERS_6_5_27 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_14 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING__NUMBER___R4_NUMBERS_6_5_34(obj_t, obj_t);
#else
extern obj_t STRING__NUMBER___R4_NUMBERS_6_5_34();
#endif
#if defined( __STDC__ )
extern obj_t EXPT___R4_NUMBERS_6_5_82(obj_t, obj_t);
#else
extern obj_t EXPT___R4_NUMBERS_6_5_82();
#endif
DEFINE_STRING( ___9___R4_NUMBERS_6_5_189, "+", 1);
extern char * real_to_string();
#if defined( __STDC__ )
extern obj_t NEGATIVE____R4_NUMBERS_6_5_8(obj_t);
#else
extern obj_t NEGATIVE____R4_NUMBERS_6_5_8();
#endif
obj_t EXACT__INEXACT_ENV___R4_NUMBERS_6_5_168 = BUNSPEC;
DEFINE_STRING( TAN_22___R4_NUMBERS_6_5_97, "tan", 3);
#if defined( __STDC__ )
extern obj_t FIXNUM__FLONUM___R4_NUMBERS_6_5_198(obj_t);
#else
extern obj_t FIXNUM__FLONUM___R4_NUMBERS_6_5_198();
#endif
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_183(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_183();
#endif
#if defined( __STDC__ )
extern obj_t MAX___R4_NUMBERS_6_5_192(obj_t, obj_t);
#else
extern obj_t MAX___R4_NUMBERS_6_5_192();
#endif


obj_t
#if defined( __STDC__ )
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98()
#else
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62 ))
{
REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
{
___R4_NUMBERS_6_5_INITIALISATION_ENV___R4_NUMBERS_6_5_1=make_fx_procedure( ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180, 0, 0 );
NUMBER__ENV___R4_NUMBERS_6_5_4=make_fx_procedure( __NUMBER____R4_NUMBERS_6_5_234, 1, 0 );
EXACT__ENV___R4_NUMBERS_6_5_62=make_fx_procedure( __EXACT____R4_NUMBERS_6_5_239, 1, 0 );
INEXACT__ENV___R4_NUMBERS_6_5_193=make_fx_procedure( __INEXACT____R4_NUMBERS_6_5_110, 1, 0 );
COMPLEX__ENV___R4_NUMBERS_6_5_224=make_fx_procedure( __COMPLEX____R4_NUMBERS_6_5_113, 1, 0 );
RATIONAL__ENV___R4_NUMBERS_6_5_218=make_fx_procedure( __RATIONAL____R4_NUMBERS_6_5_139, 1, 0 );
FLONUM__FIXNUM_ENV___R4_NUMBERS_6_5_255=make_fx_procedure( __FLONUM__FIXNUM___R4_NUMBERS_6_5_39, 1, 0 );
FIXNUM__FLONUM_ENV___R4_NUMBERS_6_5_246=make_fx_procedure( __FIXNUM__FLONUM___R4_NUMBERS_6_5_225, 1, 0 );
_2__ENV___R4_NUMBERS_6_5_128=make_fx_procedure( __2____R4_NUMBERS_6_5_183, 2, 0 );
___ENV___R4_NUMBERS_6_5_33=make_va_procedure( ______R4_NUMBERS_6_5_28, -3, 0 );
_2__ENV___R4_NUMBERS_6_5_89=make_fx_procedure( __2____R4_NUMBERS_6_5_217, 2, 0 );
___ENV___R4_NUMBERS_6_5_27=make_va_procedure( ______R4_NUMBERS_6_5_38, -3, 0 );
_2__ENV___R4_NUMBERS_6_5_182=make_fx_procedure( __2____R4_NUMBERS_6_5_44, 2, 0 );
___ENV___R4_NUMBERS_6_5_60=make_va_procedure( ______R4_NUMBERS_6_5_45, -3, 0 );
_2___ENV___R4_NUMBERS_6_5_156=make_fx_procedure( __2_____R4_NUMBERS_6_5_159, 2, 0 );
____ENV___R4_NUMBERS_6_5_88=make_va_procedure( _______R4_NUMBERS_6_5_18, -3, 0 );
_2___ENV___R4_NUMBERS_6_5_227=make_fx_procedure( __2_____R4_NUMBERS_6_5_55, 2, 0 );
____ENV___R4_NUMBERS_6_5_164=make_va_procedure( _______R4_NUMBERS_6_5_110, -3, 0 );
ZERO__ENV___R4_NUMBERS_6_5_243=make_fx_procedure( __ZERO____R4_NUMBERS_6_5_58, 1, 0 );
POSITIVE__ENV___R4_NUMBERS_6_5_191=make_fx_procedure( __POSITIVE____R4_NUMBERS_6_5_129, 1, 0 );
NEGATIVE__ENV___R4_NUMBERS_6_5_9=make_fx_procedure( __NEGATIVE____R4_NUMBERS_6_5_117, 1, 0 );
MAX_ENV___R4_NUMBERS_6_5_40=make_va_procedure( __MAX___R4_NUMBERS_6_5_36, -2, 0 );
MIN_ENV___R4_NUMBERS_6_5_76=make_va_procedure( __MIN___R4_NUMBERS_6_5_170, -2, 0 );
_2__ENV___R4_NUMBERS_6_5_188=make_fx_procedure( __2____R4_NUMBERS_6_5_166, 2, 0 );
___ENV___R4_NUMBERS_6_5_119=make_va_procedure( ______R4_NUMBERS_6_5_102, -1, 0 );
_2__ENV___R4_NUMBERS_6_5_222=make_fx_procedure( __2____R4_NUMBERS_6_5_255, 2, 0 );
___ENV___R4_NUMBERS_6_5_36=make_va_procedure( ______R4_NUMBERS_6_5_86, -1, 0 );
_2__ENV___R4_NUMBERS_6_5_207=make_fx_procedure( __2____R4_NUMBERS_6_5_196, 2, 0 );
___ENV___R4_NUMBERS_6_5_14=make_va_procedure( ______R4_NUMBERS_6_5_131, -2, 0 );
_2__ENV___R4_NUMBERS_6_5_54=make_fx_procedure( __2____R4_NUMBERS_6_5_57, 2, 0 );
___ENV___R4_NUMBERS_6_5_73=make_va_procedure( ______R4_NUMBERS_6_5_35, -2, 0 );
ABS_ENV___R4_NUMBERS_6_5_51=make_fx_procedure( __ABS___R4_NUMBERS_6_5_20, 1, 0 );
FLOOR_ENV___R4_NUMBERS_6_5_89=make_fx_procedure( __FLOOR___R4_NUMBERS_6_5_103, 1, 0 );
CEILING_ENV___R4_NUMBERS_6_5_246=make_fx_procedure( __CEILING___R4_NUMBERS_6_5_75, 1, 0 );
TRUNCATE_ENV___R4_NUMBERS_6_5_42=make_fx_procedure( __TRUNCATE___R4_NUMBERS_6_5_184, 1, 0 );
ROUND_ENV___R4_NUMBERS_6_5_77=make_fx_procedure( __ROUND___R4_NUMBERS_6_5_114, 1, 0 );
EXP_ENV___R4_NUMBERS_6_5_232=make_fx_procedure( __EXP___R4_NUMBERS_6_5_239, 1, 0 );
LOG_ENV___R4_NUMBERS_6_5_21=make_fx_procedure( __LOG___R4_NUMBERS_6_5_176, 1, 0 );
SIN_ENV___R4_NUMBERS_6_5_102=make_fx_procedure( __SIN___R4_NUMBERS_6_5_114, 1, 0 );
COS_ENV___R4_NUMBERS_6_5_46=make_fx_procedure( __COS___R4_NUMBERS_6_5_235, 1, 0 );
TAN_ENV___R4_NUMBERS_6_5_83=make_fx_procedure( __TAN___R4_NUMBERS_6_5_81, 1, 0 );
ASIN_ENV___R4_NUMBERS_6_5_78=make_fx_procedure( __ASIN___R4_NUMBERS_6_5_248, 1, 0 );
ACOS_ENV___R4_NUMBERS_6_5_27=make_fx_procedure( __ACOS___R4_NUMBERS_6_5_107, 1, 0 );
ATAN_ENV___R4_NUMBERS_6_5_110=make_va_procedure( __ATAN___R4_NUMBERS_6_5_94, -2, 0 );
SQRT_ENV___R4_NUMBERS_6_5_78=make_fx_procedure( __SQRT___R4_NUMBERS_6_5_111, 1, 0 );
EXPT_ENV___R4_NUMBERS_6_5_113=make_fx_procedure( __EXPT___R4_NUMBERS_6_5_156, 2, 0 );
EXACT__INEXACT_ENV___R4_NUMBERS_6_5_168=make_fx_procedure( __EXACT__INEXACT___R4_NUMBERS_6_5_82, 1, 0 );
INEXACT__EXACT_ENV___R4_NUMBERS_6_5_90=make_fx_procedure( __INEXACT__EXACT___R4_NUMBERS_6_5_100, 1, 0 );
NUMBER__STRING_ENV___R4_NUMBERS_6_5_243=make_va_procedure( __NUMBER__STRING___R4_NUMBERS_6_5_203, -2, 0 );
STRING__NUMBER_ENV___R4_NUMBERS_6_5_195=make_va_procedure( __STRING__NUMBER___R4_NUMBERS_6_5_64, -2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180(obj_t ENV_769_191)
#else
____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180( ENV_769_191 )
obj_t ENV_769_191;
#endif
{

return ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
}

obj_t
#if defined( __STDC__ )
NUMBER____R4_NUMBERS_6_5_95(obj_t OBJ_222_44)
#else
NUMBER____R4_NUMBERS_6_5_95( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

if( INTEGERP( OBJ_222_44 ))
return CBOOL_TO_BBOOL( INTEGERP( OBJ_222_44 ) );else
return CBOOL_TO_BBOOL( REALP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__NUMBER____R4_NUMBERS_6_5_234(obj_t ENV_768_108,obj_t OBJ_222_44)
#else
__NUMBER____R4_NUMBERS_6_5_234( ENV_768_108, OBJ_222_44 )
obj_t ENV_768_108, OBJ_222_44;
#endif
{

return NUMBER____R4_NUMBERS_6_5_95( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
EXACT____R4_NUMBERS_6_5_111(obj_t Z_224_240)
#else
EXACT____R4_NUMBERS_6_5_111( Z_224_240 )
obj_t Z_224_240;
#endif
{

return CBOOL_TO_BBOOL( INTEGERP( Z_224_240 ) );
}

obj_t
#if defined( __STDC__ )
__EXACT____R4_NUMBERS_6_5_239(obj_t ENV_767_242,obj_t Z_224_240)
#else
__EXACT____R4_NUMBERS_6_5_239( ENV_767_242, Z_224_240 )
obj_t ENV_767_242, Z_224_240;
#endif
{

return EXACT____R4_NUMBERS_6_5_111( Z_224_240 );
}

obj_t
#if defined( __STDC__ )
INEXACT____R4_NUMBERS_6_5_170(obj_t Z_225_255)
#else
INEXACT____R4_NUMBERS_6_5_170( Z_225_255 )
obj_t Z_225_255;
#endif
{

return CBOOL_TO_BBOOL( REALP( Z_225_255 ) );
}

obj_t
#if defined( __STDC__ )
__INEXACT____R4_NUMBERS_6_5_110(obj_t ENV_766_101,obj_t Z_225_255)
#else
__INEXACT____R4_NUMBERS_6_5_110( ENV_766_101, Z_225_255 )
obj_t ENV_766_101, Z_225_255;
#endif
{

return INEXACT____R4_NUMBERS_6_5_170( Z_225_255 );
}

obj_t
#if defined( __STDC__ )
COMPLEX____R4_NUMBERS_6_5_3(obj_t X_226_99)
#else
COMPLEX____R4_NUMBERS_6_5_3( X_226_99 )
obj_t X_226_99;
#endif
{

if( INTEGERP( X_226_99 ))
return CBOOL_TO_BBOOL( INTEGERP( X_226_99 ) );else
return CBOOL_TO_BBOOL( REALP( X_226_99 ) );
}

obj_t
#if defined( __STDC__ )
__COMPLEX____R4_NUMBERS_6_5_113(obj_t ENV_765_239,obj_t X_226_99)
#else
__COMPLEX____R4_NUMBERS_6_5_113( ENV_765_239, X_226_99 )
obj_t ENV_765_239, X_226_99;
#endif
{

return COMPLEX____R4_NUMBERS_6_5_3( X_226_99 );
}

obj_t
#if defined( __STDC__ )
RATIONAL____R4_NUMBERS_6_5_163(obj_t X_227_100)
#else
RATIONAL____R4_NUMBERS_6_5_163( X_227_100 )
obj_t X_227_100;
#endif
{

if( INTEGERP( X_227_100 ))
return CBOOL_TO_BBOOL( INTEGERP( X_227_100 ) );else
return CBOOL_TO_BBOOL( REALP( X_227_100 ) );
}

obj_t
#if defined( __STDC__ )
__RATIONAL____R4_NUMBERS_6_5_139(obj_t ENV_764_193,obj_t X_227_100)
#else
__RATIONAL____R4_NUMBERS_6_5_139( ENV_764_193, X_227_100 )
obj_t ENV_764_193, X_227_100;
#endif
{

return RATIONAL____R4_NUMBERS_6_5_163( X_227_100 );
}

obj_t
#if defined( __STDC__ )
FLONUM__FIXNUM___R4_NUMBERS_6_5_186(obj_t X_228_150)
#else
FLONUM__FIXNUM___R4_NUMBERS_6_5_186( X_228_150 )
obj_t X_228_150;
#endif
{

return REAL_TO_INT( X_228_150 );
}

obj_t
#if defined( __STDC__ )
__FLONUM__FIXNUM___R4_NUMBERS_6_5_39(obj_t ENV_763_11,obj_t X_228_150)
#else
__FLONUM__FIXNUM___R4_NUMBERS_6_5_39( ENV_763_11, X_228_150 )
obj_t ENV_763_11, X_228_150;
#endif
{

return FLONUM__FIXNUM___R4_NUMBERS_6_5_186( X_228_150 );
}

obj_t
#if defined( __STDC__ )
FIXNUM__FLONUM___R4_NUMBERS_6_5_198(obj_t X_229_26)
#else
FIXNUM__FLONUM___R4_NUMBERS_6_5_198( X_229_26 )
obj_t X_229_26;
#endif
{

return INT_TO_REAL( X_229_26 );
}

obj_t
#if defined( __STDC__ )
__FIXNUM__FLONUM___R4_NUMBERS_6_5_225(obj_t ENV_762_126,obj_t X_229_26)
#else
__FIXNUM__FLONUM___R4_NUMBERS_6_5_225( ENV_762_126, X_229_26 )
obj_t ENV_762_126, X_229_26;
#endif
{

return FIXNUM__FLONUM___R4_NUMBERS_6_5_198( X_229_26 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_144(obj_t X_230_234,obj_t Y_231_105)
#else
_2____R4_NUMBERS_6_5_144( X_230_234, Y_231_105 )
obj_t X_230_234, Y_231_105;
#endif
{

if( INTEGERP( X_230_234 ))
if( INTEGERP( Y_231_105 ))
return CBOOL_TO_BBOOL( EQ_I( X_230_234, Y_231_105 ) );else
if( REALP( Y_231_105 ))
{obj_t R1_366_181;
R1_366_181=INT_TO_REAL( X_230_234 );return CBOOL_TO_BBOOL( EQ_R( R1_366_181, Y_231_105 ) );}else
FAILURE( BREF( &___0___R4_NUMBERS_6_5_217), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_231_105 );else
if( REALP( X_230_234 ))
if( REALP( Y_231_105 ))
return CBOOL_TO_BBOOL( EQ_R( X_230_234, Y_231_105 ) );else
if( INTEGERP( Y_231_105 ))
{obj_t R2_370_128;
R2_370_128=INT_TO_REAL( Y_231_105 );return CBOOL_TO_BBOOL( EQ_R( X_230_234, R2_370_128 ) );}else
FAILURE( BREF( &___0___R4_NUMBERS_6_5_217), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_231_105 );else
FAILURE( BREF( &___0___R4_NUMBERS_6_5_217), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_230_234 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_183(obj_t ENV_761_171,obj_t X_230_234,obj_t Y_231_105)
#else
__2____R4_NUMBERS_6_5_183( ENV_761_171, X_230_234, Y_231_105 )
obj_t ENV_761_171, X_230_234, Y_231_105;
#endif
{

return _2____R4_NUMBERS_6_5_144( X_230_234, Y_231_105 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_142(obj_t X_232_56,obj_t Y_233_143,obj_t Z_234_200)
#else
_____R4_NUMBERS_6_5_142( X_232_56, Y_233_143, Z_234_200 )
obj_t X_232_56, Y_233_143, Z_234_200;
#endif
{

{obj_t X_238_188, Z_239_203;
{bool_t __andtest_1001_773_107;
{obj_t AUX_870_70;
AUX_870_70=_2____R4_NUMBERS_6_5_144( X_232_56, Y_233_143 );__andtest_1001_773_107=BBOOL_TO_CBOOL( AUX_870_70 );}if( __andtest_1001_773_107)
{
Z_239_203=Z_234_200;
X_238_188=Y_233_143;
{____LIST_235_8:

if( NULLP( Z_239_203 ))
return BTRUE;else
{obj_t AUX_872_181;
AUX_872_181=_2____R4_NUMBERS_6_5_144( X_238_188, CAR( Z_239_203 ) );if( BBOOL_TO_CBOOL( AUX_872_181 ))
{obj_t Z_871_115;
Z_871_115=Z_239_203;{
Z_239_203=CDR( Z_871_115 );
goto ____LIST_235_8;
}}else
return BFALSE;}}
}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_28(obj_t ENV_760_5,obj_t X_232_56,obj_t Y_233_143,obj_t Z_234_200)
#else
______R4_NUMBERS_6_5_28( ENV_760_5, X_232_56, Y_233_143, Z_234_200 )
obj_t ENV_760_5, X_232_56, Y_233_143, Z_234_200;
#endif
{

return _____R4_NUMBERS_6_5_142( X_232_56, Y_233_143, Z_234_200 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_49(obj_t X_240_78,obj_t Y_241_190)
#else
_2____R4_NUMBERS_6_5_49( X_240_78, Y_241_190 )
obj_t X_240_78, Y_241_190;
#endif
{

if( INTEGERP( X_240_78 ))
if( INTEGERP( Y_241_190 ))
return CBOOL_TO_BBOOL( LT_I( X_240_78, Y_241_190 ) );else
if( REALP( Y_241_190 ))
{obj_t R1_380_175;
R1_380_175=INT_TO_REAL( X_240_78 );return CBOOL_TO_BBOOL( LT_R( R1_380_175, Y_241_190 ) );}else
FAILURE( BREF( &___2___R4_NUMBERS_6_5_44), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_241_190 );else
if( REALP( X_240_78 ))
if( REALP( Y_241_190 ))
return CBOOL_TO_BBOOL( LT_R( X_240_78, Y_241_190 ) );else
if( INTEGERP( Y_241_190 ))
{obj_t R2_381_178;
R2_381_178=INT_TO_REAL( Y_241_190 );return CBOOL_TO_BBOOL( LT_R( X_240_78, R2_381_178 ) );}else
FAILURE( BREF( &___2___R4_NUMBERS_6_5_44), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_241_190 );else
FAILURE( BREF( &___2___R4_NUMBERS_6_5_44), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_240_78 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_217(obj_t ENV_759_121,obj_t X_240_78,obj_t Y_241_190)
#else
__2____R4_NUMBERS_6_5_217( ENV_759_121, X_240_78, Y_241_190 )
obj_t ENV_759_121, X_240_78, Y_241_190;
#endif
{

return _2____R4_NUMBERS_6_5_49( X_240_78, Y_241_190 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_40(obj_t X_242_58,obj_t Y_243_213,obj_t Z_244_27)
#else
_____R4_NUMBERS_6_5_40( X_242_58, Y_243_213, Z_244_27 )
obj_t X_242_58, Y_243_213, Z_244_27;
#endif
{

{obj_t X_248_144, Z_249_14;
{bool_t __andtest_1002_774_216;
{obj_t AUX_867_125;
AUX_867_125=_2____R4_NUMBERS_6_5_49( X_242_58, Y_243_213 );__andtest_1002_774_216=BBOOL_TO_CBOOL( AUX_867_125 );}if( __andtest_1002_774_216)
{
Z_249_14=Z_244_27;
X_248_144=Y_243_213;
{____LIST_245_247:

if( NULLP( Z_249_14 ))
return BTRUE;else
{obj_t AUX_869_97;
AUX_869_97=_2____R4_NUMBERS_6_5_49( X_248_144, CAR( Z_249_14 ) );if( BBOOL_TO_CBOOL( AUX_869_97 ))
{obj_t Z_868_172;
Z_868_172=Z_249_14;{
Z_249_14=CDR( Z_868_172 );
X_248_144=CAR( Z_868_172 );
goto ____LIST_245_247;
}}else
return BFALSE;}}
}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_38(obj_t ENV_758_64,obj_t X_242_58,obj_t Y_243_213,obj_t Z_244_27)
#else
______R4_NUMBERS_6_5_38( ENV_758_64, X_242_58, Y_243_213, Z_244_27 )
obj_t ENV_758_64, X_242_58, Y_243_213, Z_244_27;
#endif
{

return _____R4_NUMBERS_6_5_40( X_242_58, Y_243_213, Z_244_27 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_143(obj_t X_250_210,obj_t Y_251_52)
#else
_2____R4_NUMBERS_6_5_143( X_250_210, Y_251_52 )
obj_t X_250_210, Y_251_52;
#endif
{

if( INTEGERP( X_250_210 ))
if( INTEGERP( Y_251_52 ))
return CBOOL_TO_BBOOL( GT_I( X_250_210, Y_251_52 ) );else
if( REALP( Y_251_52 ))
{obj_t R1_389_33;
R1_389_33=INT_TO_REAL( X_250_210 );return CBOOL_TO_BBOOL( GT_R( R1_389_33, Y_251_52 ) );}else
FAILURE( BREF( &___3___R4_NUMBERS_6_5_10), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_251_52 );else
if( REALP( X_250_210 ))
if( REALP( Y_251_52 ))
return CBOOL_TO_BBOOL( GT_R( X_250_210, Y_251_52 ) );else
if( INTEGERP( Y_251_52 ))
{obj_t R2_390_232;
R2_390_232=INT_TO_REAL( Y_251_52 );return CBOOL_TO_BBOOL( GT_R( X_250_210, R2_390_232 ) );}else
FAILURE( BREF( &___3___R4_NUMBERS_6_5_10), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_251_52 );else
FAILURE( BREF( &___3___R4_NUMBERS_6_5_10), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_250_210 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_44(obj_t ENV_757_185,obj_t X_250_210,obj_t Y_251_52)
#else
__2____R4_NUMBERS_6_5_44( ENV_757_185, X_250_210, Y_251_52 )
obj_t ENV_757_185, X_250_210, Y_251_52;
#endif
{

return _2____R4_NUMBERS_6_5_143( X_250_210, Y_251_52 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_128(obj_t X_252_67,obj_t Y_253_0,obj_t Z_254_166)
#else
_____R4_NUMBERS_6_5_128( X_252_67, Y_253_0, Z_254_166 )
obj_t X_252_67, Y_253_0, Z_254_166;
#endif
{

{obj_t X_258_148, Z_259_33;
{bool_t __andtest_1003_775_79;
{obj_t AUX_864_170;
AUX_864_170=_2____R4_NUMBERS_6_5_143( X_252_67, Y_253_0 );__andtest_1003_775_79=BBOOL_TO_CBOOL( AUX_864_170 );}if( __andtest_1003_775_79)
{
Z_259_33=Z_254_166;
X_258_148=Y_253_0;
{____LIST_255_61:

if( NULLP( Z_259_33 ))
return BTRUE;else
{obj_t AUX_866_118;
AUX_866_118=_2____R4_NUMBERS_6_5_143( X_258_148, CAR( Z_259_33 ) );if( BBOOL_TO_CBOOL( AUX_866_118 ))
{obj_t Z_865_70;
Z_865_70=Z_259_33;{
Z_259_33=CDR( Z_865_70 );
X_258_148=CAR( Z_865_70 );
goto ____LIST_255_61;
}}else
return BFALSE;}}
}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_45(obj_t ENV_756_194,obj_t X_252_67,obj_t Y_253_0,obj_t Z_254_166)
#else
______R4_NUMBERS_6_5_45( ENV_756_194, X_252_67, Y_253_0, Z_254_166 )
obj_t ENV_756_194, X_252_67, Y_253_0, Z_254_166;
#endif
{

return _____R4_NUMBERS_6_5_128( X_252_67, Y_253_0, Z_254_166 );
}

obj_t
#if defined( __STDC__ )
_2_____R4_NUMBERS_6_5_203(obj_t X_260_150,obj_t Y_261_106)
#else
_2_____R4_NUMBERS_6_5_203( X_260_150, Y_261_106 )
obj_t X_260_150, Y_261_106;
#endif
{

if( INTEGERP( X_260_150 ))
if( INTEGERP( Y_261_106 ))
return CBOOL_TO_BBOOL( LE_I( X_260_150, Y_261_106 ) );else
if( REALP( Y_261_106 ))
{obj_t R1_398_1;
R1_398_1=INT_TO_REAL( X_260_150 );return CBOOL_TO_BBOOL( LE_R( R1_398_1, Y_261_106 ) );}else
FAILURE( BREF( &____4___R4_NUMBERS_6_5_90), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_261_106 );else
if( REALP( X_260_150 ))
if( REALP( Y_261_106 ))
return CBOOL_TO_BBOOL( LE_R( X_260_150, Y_261_106 ) );else
if( INTEGERP( Y_261_106 ))
{obj_t R2_399_11;
R2_399_11=INT_TO_REAL( Y_261_106 );return CBOOL_TO_BBOOL( LE_R( X_260_150, R2_399_11 ) );}else
FAILURE( BREF( &____4___R4_NUMBERS_6_5_90), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_261_106 );else
FAILURE( BREF( &____4___R4_NUMBERS_6_5_90), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_260_150 );
}

obj_t
#if defined( __STDC__ )
__2_____R4_NUMBERS_6_5_159(obj_t ENV_755_29,obj_t X_260_150,obj_t Y_261_106)
#else
__2_____R4_NUMBERS_6_5_159( ENV_755_29, X_260_150, Y_261_106 )
obj_t ENV_755_29, X_260_150, Y_261_106;
#endif
{

return _2_____R4_NUMBERS_6_5_203( X_260_150, Y_261_106 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_207(obj_t X_262_145,obj_t Y_263_201,obj_t Z_264_47)
#else
______R4_NUMBERS_6_5_207( X_262_145, Y_263_201, Z_264_47 )
obj_t X_262_145, Y_263_201, Z_264_47;
#endif
{

{obj_t X_268_80, Z_269_227;
{bool_t __andtest_1004_776_37;
{obj_t AUX_861_27;
AUX_861_27=_2_____R4_NUMBERS_6_5_203( X_262_145, Y_263_201 );__andtest_1004_776_37=BBOOL_TO_CBOOL( AUX_861_27 );}if( __andtest_1004_776_37)
{
Z_269_227=Z_264_47;
X_268_80=Y_263_201;
{_____LIST_265_67:

if( NULLP( Z_269_227 ))
return BTRUE;else
{obj_t AUX_863_140;
AUX_863_140=_2_____R4_NUMBERS_6_5_203( X_268_80, CAR( Z_269_227 ) );if( BBOOL_TO_CBOOL( AUX_863_140 ))
{obj_t Z_862_22;
Z_862_22=Z_269_227;{
Z_269_227=CDR( Z_862_22 );
X_268_80=CAR( Z_862_22 );
goto _____LIST_265_67;
}}else
return BFALSE;}}
}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
_______R4_NUMBERS_6_5_18(obj_t ENV_754_164,obj_t X_262_145,obj_t Y_263_201,obj_t Z_264_47)
#else
_______R4_NUMBERS_6_5_18( ENV_754_164, X_262_145, Y_263_201, Z_264_47 )
obj_t ENV_754_164, X_262_145, Y_263_201, Z_264_47;
#endif
{

return ______R4_NUMBERS_6_5_207( X_262_145, Y_263_201, Z_264_47 );
}

obj_t
#if defined( __STDC__ )
_2_____R4_NUMBERS_6_5_228(obj_t X_270_191,obj_t Y_271_227)
#else
_2_____R4_NUMBERS_6_5_228( X_270_191, Y_271_227 )
obj_t X_270_191, Y_271_227;
#endif
{

if( INTEGERP( X_270_191 ))
if( INTEGERP( Y_271_227 ))
return CBOOL_TO_BBOOL( GE_I( X_270_191, Y_271_227 ) );else
if( REALP( Y_271_227 ))
{obj_t R1_407_59;
R1_407_59=INT_TO_REAL( X_270_191 );return CBOOL_TO_BBOOL( GE_R( R1_407_59, Y_271_227 ) );}else
FAILURE( BREF( &____5___R4_NUMBERS_6_5_235), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_271_227 );else
if( REALP( X_270_191 ))
if( REALP( Y_271_227 ))
return CBOOL_TO_BBOOL( GE_R( X_270_191, Y_271_227 ) );else
if( INTEGERP( Y_271_227 ))
{obj_t R2_408_91;
R2_408_91=INT_TO_REAL( Y_271_227 );return CBOOL_TO_BBOOL( GE_R( X_270_191, R2_408_91 ) );}else
FAILURE( BREF( &____5___R4_NUMBERS_6_5_235), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_271_227 );else
FAILURE( BREF( &____5___R4_NUMBERS_6_5_235), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_270_191 );
}

obj_t
#if defined( __STDC__ )
__2_____R4_NUMBERS_6_5_55(obj_t ENV_753_105,obj_t X_270_191,obj_t Y_271_227)
#else
__2_____R4_NUMBERS_6_5_55( ENV_753_105, X_270_191, Y_271_227 )
obj_t ENV_753_105, X_270_191, Y_271_227;
#endif
{

return _2_____R4_NUMBERS_6_5_228( X_270_191, Y_271_227 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_15(obj_t X_272_139,obj_t Y_273_142,obj_t Z_274_191)
#else
______R4_NUMBERS_6_5_15( X_272_139, Y_273_142, Z_274_191 )
obj_t X_272_139, Y_273_142, Z_274_191;
#endif
{

{obj_t X_278_171, Z_279_193;
{bool_t __andtest_1005_777_85;
{obj_t AUX_858_181;
AUX_858_181=_2_____R4_NUMBERS_6_5_228( X_272_139, Y_273_142 );__andtest_1005_777_85=BBOOL_TO_CBOOL( AUX_858_181 );}if( __andtest_1005_777_85)
{
Z_279_193=Z_274_191;
X_278_171=Y_273_142;
{_____LIST_275_185:

if( NULLP( Z_279_193 ))
return BTRUE;else
{obj_t AUX_860_233;
AUX_860_233=_2_____R4_NUMBERS_6_5_228( X_278_171, CAR( Z_279_193 ) );if( BBOOL_TO_CBOOL( AUX_860_233 ))
{obj_t Z_859_186;
Z_859_186=Z_279_193;{
Z_279_193=CDR( Z_859_186 );
X_278_171=CAR( Z_859_186 );
goto _____LIST_275_185;
}}else
return BFALSE;}}
}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
_______R4_NUMBERS_6_5_110(obj_t ENV_752_134,obj_t X_272_139,obj_t Y_273_142,obj_t Z_274_191)
#else
_______R4_NUMBERS_6_5_110( ENV_752_134, X_272_139, Y_273_142, Z_274_191 )
obj_t ENV_752_134, X_272_139, Y_273_142, Z_274_191;
#endif
{

return ______R4_NUMBERS_6_5_15( X_272_139, Y_273_142, Z_274_191 );
}

obj_t
#if defined( __STDC__ )
ZERO____R4_NUMBERS_6_5_157(obj_t X_280_59)
#else
ZERO____R4_NUMBERS_6_5_157( X_280_59 )
obj_t X_280_59;
#endif
{

if( INTEGERP( X_280_59 ))
return CBOOL_TO_BBOOL( EQ_I( X_280_59, BINT( 0 ) ) );else
if( REALP( X_280_59 ))
return CBOOL_TO_BBOOL( ZEROP_R( X_280_59 ) );else
FAILURE( BREF( &ZERO_6___R4_NUMBERS_6_5_222), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_280_59 );
}

obj_t
#if defined( __STDC__ )
__ZERO____R4_NUMBERS_6_5_58(obj_t ENV_751_143,obj_t X_280_59)
#else
__ZERO____R4_NUMBERS_6_5_58( ENV_751_143, X_280_59 )
obj_t ENV_751_143, X_280_59;
#endif
{

return ZERO____R4_NUMBERS_6_5_157( X_280_59 );
}

obj_t
#if defined( __STDC__ )
POSITIVE____R4_NUMBERS_6_5_164(obj_t X_281_74)
#else
POSITIVE____R4_NUMBERS_6_5_164( X_281_74 )
obj_t X_281_74;
#endif
{

if( INTEGERP( X_281_74 ))
return CBOOL_TO_BBOOL( GT_I( X_281_74, BINT( 0 ) ) );else
if( REALP( X_281_74 ))
return CBOOL_TO_BBOOL( POSITIVEP_R( X_281_74 ) );else
FAILURE( BREF( &POSITIVE_7___R4_NUMBERS_6_5_19), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_281_74 );
}

obj_t
#if defined( __STDC__ )
__POSITIVE____R4_NUMBERS_6_5_129(obj_t ENV_750_55,obj_t X_281_74)
#else
__POSITIVE____R4_NUMBERS_6_5_129( ENV_750_55, X_281_74 )
obj_t ENV_750_55, X_281_74;
#endif
{

return POSITIVE____R4_NUMBERS_6_5_164( X_281_74 );
}

obj_t
#if defined( __STDC__ )
NEGATIVE____R4_NUMBERS_6_5_8(obj_t X_282_228)
#else
NEGATIVE____R4_NUMBERS_6_5_8( X_282_228 )
obj_t X_282_228;
#endif
{

if( INTEGERP( X_282_228 ))
return CBOOL_TO_BBOOL( LT_I( X_282_228, BINT( 0 ) ) );else
if( REALP( X_282_228 ))
return CBOOL_TO_BBOOL( NEGATIVEP_R( X_282_228 ) );else
FAILURE( BREF( &NEGATIVE_8___R4_NUMBERS_6_5_245), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_282_228 );
}

obj_t
#if defined( __STDC__ )
__NEGATIVE____R4_NUMBERS_6_5_117(obj_t ENV_749_229,obj_t X_282_228)
#else
__NEGATIVE____R4_NUMBERS_6_5_117( ENV_749_229, X_282_228 )
obj_t ENV_749_229, X_282_228;
#endif
{

return NEGATIVE____R4_NUMBERS_6_5_8( X_282_228 );
}

obj_t
#if defined( __STDC__ )
MAX___R4_NUMBERS_6_5_192(obj_t X_283_137,obj_t Y_284_163)
#else
MAX___R4_NUMBERS_6_5_192( X_283_137, Y_284_163 )
obj_t X_283_137, Y_284_163;
#endif
{

{obj_t X_286_139, Y_287_235;
{
Y_287_235=Y_284_163;
X_286_139=X_283_137;
{_LOOP_285_14:

if( PAIRP( Y_287_235 ))
{obj_t Z_420_152;
Z_420_152=BNIL;{obj_t Y_419_101;
Y_419_101=CAR( Y_287_235 );{obj_t X_422_222, Z_423_229;
{bool_t __andtest_1003_778_83;
{obj_t AUX_854_147;
AUX_854_147=_2____R4_NUMBERS_6_5_143( X_286_139, Y_419_101 );__andtest_1003_778_83=BBOOL_TO_CBOOL( AUX_854_147 );}{obj_t C_CDR_429_23;
C_CDR_429_23=CDR( Y_287_235 );{obj_t AUX_855_124;
{if( __andtest_1003_778_83)
{obj_t AUX_856_144;
{
Z_423_229=Z_420_152;
X_422_222=Y_419_101;
{____LIST_421_222:

if( NULLP( Z_423_229 ))
AUX_856_144=BTRUE;else
{obj_t C_CAR_424_85;
C_CAR_424_85=CAR( Z_423_229 );{obj_t AUX_857_172;
AUX_857_172=_2____R4_NUMBERS_6_5_143( X_422_222, C_CAR_424_85 );if( BBOOL_TO_CBOOL( AUX_857_172 ))
{obj_t C_CAR_425_178;
C_CAR_425_178=CAR( Z_423_229 );{obj_t C_CDR_426_216;
C_CDR_426_216=CDR( Z_423_229 );{
Z_423_229=C_CDR_426_216;
X_422_222=C_CAR_425_178;
goto ____LIST_421_222;
}}}else
AUX_856_144=BFALSE;}}}
}if( BBOOL_TO_CBOOL( AUX_856_144 ))
goto _true_18;else
goto _false_19;}else
goto _false_19;_true_18:
{AUX_855_124=X_286_139;
goto _endif_20;}_false_19:
AUX_855_124=CAR( Y_287_235 );_endif_20:
;
}{
Y_287_235=C_CDR_429_23;
X_286_139=AUX_855_124;
goto _LOOP_285_14;
}}}}}}}else
return X_286_139;}
}}
}

obj_t
#if defined( __STDC__ )
__MAX___R4_NUMBERS_6_5_36(obj_t ENV_748_123,obj_t X_283_137,obj_t Y_284_163)
#else
__MAX___R4_NUMBERS_6_5_36( ENV_748_123, X_283_137, Y_284_163 )
obj_t ENV_748_123, X_283_137, Y_284_163;
#endif
{

return MAX___R4_NUMBERS_6_5_192( X_283_137, Y_284_163 );
}

obj_t
#if defined( __STDC__ )
MIN___R4_NUMBERS_6_5_9(obj_t X_288_239,obj_t Y_289_76)
#else
MIN___R4_NUMBERS_6_5_9( X_288_239, Y_289_76 )
obj_t X_288_239, Y_289_76;
#endif
{

{obj_t X_291_215, Y_292_7;
{
Y_292_7=Y_289_76;
X_291_215=X_288_239;
{_LOOP_290_63:

if( PAIRP( Y_292_7 ))
{obj_t Z_431_101;
Z_431_101=BNIL;{obj_t Y_430_157;
Y_430_157=CAR( Y_292_7 );{obj_t X_433_71, Z_434_11;
{bool_t __andtest_1002_779_69;
{obj_t AUX_850_167;
AUX_850_167=_2____R4_NUMBERS_6_5_49( X_291_215, Y_430_157 );__andtest_1002_779_69=BBOOL_TO_CBOOL( AUX_850_167 );}{obj_t C_CDR_440_33;
C_CDR_440_33=CDR( Y_292_7 );{obj_t AUX_851_183;
{if( __andtest_1002_779_69)
{obj_t AUX_852_157;
{
Z_434_11=Z_431_101;
X_433_71=Y_430_157;
{____LIST_432_147:

if( NULLP( Z_434_11 ))
AUX_852_157=BTRUE;else
{obj_t C_CAR_435_136;
C_CAR_435_136=CAR( Z_434_11 );{obj_t AUX_853_238;
AUX_853_238=_2____R4_NUMBERS_6_5_49( X_433_71, C_CAR_435_136 );if( BBOOL_TO_CBOOL( AUX_853_238 ))
{obj_t C_CAR_436_111;
C_CAR_436_111=CAR( Z_434_11 );{obj_t C_CDR_437_45;
C_CDR_437_45=CDR( Z_434_11 );{
Z_434_11=C_CDR_437_45;
X_433_71=C_CAR_436_111;
goto ____LIST_432_147;
}}}else
AUX_852_157=BFALSE;}}}
}if( BBOOL_TO_CBOOL( AUX_852_157 ))
goto _true_15;else
goto _false_16;}else
goto _false_16;_true_15:
{AUX_851_183=X_291_215;
goto _endif_17;}_false_16:
AUX_851_183=CAR( Y_292_7 );_endif_17:
;
}{
Y_292_7=C_CDR_440_33;
X_291_215=AUX_851_183;
goto _LOOP_290_63;
}}}}}}}else
return X_291_215;}
}}
}

obj_t
#if defined( __STDC__ )
__MIN___R4_NUMBERS_6_5_170(obj_t ENV_747_243,obj_t X_288_239,obj_t Y_289_76)
#else
__MIN___R4_NUMBERS_6_5_170( ENV_747_243, X_288_239, Y_289_76 )
obj_t ENV_747_243, X_288_239, Y_289_76;
#endif
{

return MIN___R4_NUMBERS_6_5_9( X_288_239, Y_289_76 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_47(obj_t X_293_53,obj_t Y_294_65)
#else
_2____R4_NUMBERS_6_5_47( X_293_53, Y_294_65 )
obj_t X_293_53, Y_294_65;
#endif
{

if( INTEGERP( X_293_53 ))
if( INTEGERP( Y_294_65 ))
return ADD_I( X_293_53, Y_294_65 );else
if( REALP( Y_294_65 ))
{obj_t R1_446_183;
R1_446_183=INT_TO_REAL( X_293_53 );return DOUBLE_TO_REAL( ADD_R( R1_446_183, Y_294_65 ) );}else
FAILURE( BREF( &___9___R4_NUMBERS_6_5_189), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_294_65 );else
if( REALP( X_293_53 ))
if( REALP( Y_294_65 ))
return DOUBLE_TO_REAL( ADD_R( X_293_53, Y_294_65 ) );else
if( INTEGERP( Y_294_65 ))
{obj_t R2_447_129;
R2_447_129=INT_TO_REAL( Y_294_65 );return DOUBLE_TO_REAL( ADD_R( X_293_53, R2_447_129 ) );}else
FAILURE( BREF( &___9___R4_NUMBERS_6_5_189), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_294_65 );else
FAILURE( BREF( &___9___R4_NUMBERS_6_5_189), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_293_53 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_166(obj_t ENV_746_248,obj_t X_293_53,obj_t Y_294_65)
#else
__2____R4_NUMBERS_6_5_166( ENV_746_248, X_293_53, Y_294_65 )
obj_t ENV_746_248, X_293_53, Y_294_65;
#endif
{

return _2____R4_NUMBERS_6_5_47( X_293_53, Y_294_65 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_216(obj_t X_295_109)
#else
_____R4_NUMBERS_6_5_216( X_295_109 )
obj_t X_295_109;
#endif
{

{obj_t SUM_297_233, X_298_96;
{
X_298_96=X_295_109;
SUM_297_233=BINT( 0 );
{_LOOP_296_146:

if( PAIRP( X_298_96 ))
{obj_t AUX_848_218;
AUX_848_218=_2____R4_NUMBERS_6_5_47( SUM_297_233, CAR( X_298_96 ) );{obj_t X_849_77;
X_849_77=X_298_96;{
X_298_96=CDR( X_849_77 );
SUM_297_233=AUX_848_218;
goto _LOOP_296_146;
}}}else
return SUM_297_233;}
}}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_102(obj_t ENV_745_10,obj_t X_295_109)
#else
______R4_NUMBERS_6_5_102( ENV_745_10, X_295_109 )
obj_t ENV_745_10, X_295_109;
#endif
{

return _____R4_NUMBERS_6_5_216( X_295_109 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_57(obj_t X_299_227,obj_t Y_300_120)
#else
_2____R4_NUMBERS_6_5_57( X_299_227, Y_300_120 )
obj_t X_299_227, Y_300_120;
#endif
{

if( INTEGERP( X_299_227 ))
if( INTEGERP( Y_300_120 ))
return MUL_I( X_299_227, Y_300_120 );else
if( REALP( Y_300_120 ))
{obj_t R1_455_22;
R1_455_22=INT_TO_REAL( X_299_227 );return DOUBLE_TO_REAL( MUL_R( R1_455_22, Y_300_120 ) );}else
FAILURE( BREF( &___10___R4_NUMBERS_6_5_230), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_300_120 );else
if( REALP( X_299_227 ))
if( REALP( Y_300_120 ))
return DOUBLE_TO_REAL( MUL_R( X_299_227, Y_300_120 ) );else
if( INTEGERP( Y_300_120 ))
{obj_t R2_456_153;
R2_456_153=INT_TO_REAL( Y_300_120 );return DOUBLE_TO_REAL( MUL_R( X_299_227, R2_456_153 ) );}else
FAILURE( BREF( &___10___R4_NUMBERS_6_5_230), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_300_120 );else
FAILURE( BREF( &___10___R4_NUMBERS_6_5_230), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_299_227 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_255(obj_t ENV_744_219,obj_t X_299_227,obj_t Y_300_120)
#else
__2____R4_NUMBERS_6_5_255( ENV_744_219, X_299_227, Y_300_120 )
obj_t ENV_744_219, X_299_227, Y_300_120;
#endif
{

return _2____R4_NUMBERS_6_5_57( X_299_227, Y_300_120 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_167(obj_t X_301_54)
#else
_____R4_NUMBERS_6_5_167( X_301_54 )
obj_t X_301_54;
#endif
{

{obj_t PRODUCT_303_247, X_304_116;
{
X_304_116=X_301_54;
PRODUCT_303_247=BINT( 1 );
{_LOOP_302_198:

if( PAIRP( X_304_116 ))
{obj_t AUX_846_93;
AUX_846_93=_2____R4_NUMBERS_6_5_57( PRODUCT_303_247, CAR( X_304_116 ) );{obj_t X_847_29;
X_847_29=X_304_116;{
X_304_116=CDR( X_847_29 );
PRODUCT_303_247=AUX_846_93;
goto _LOOP_302_198;
}}}else
return PRODUCT_303_247;}
}}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_86(obj_t ENV_743_200,obj_t X_301_54)
#else
______R4_NUMBERS_6_5_86( ENV_743_200, X_301_54 )
obj_t ENV_743_200, X_301_54;
#endif
{

return _____R4_NUMBERS_6_5_167( X_301_54 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_30(obj_t X_305_95,obj_t Y_306_152)
#else
_2____R4_NUMBERS_6_5_30( X_305_95, Y_306_152 )
obj_t X_305_95, Y_306_152;
#endif
{

if( INTEGERP( X_305_95 ))
if( INTEGERP( Y_306_152 ))
return SUB_I( X_305_95, Y_306_152 );else
if( REALP( Y_306_152 ))
{obj_t R1_464_186;
R1_464_186=INT_TO_REAL( X_305_95 );return DOUBLE_TO_REAL( SUB_R( R1_464_186, Y_306_152 ) );}else
FAILURE( BREF( &___11___R4_NUMBERS_6_5_138), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_306_152 );else
if( REALP( X_305_95 ))
if( REALP( Y_306_152 ))
return DOUBLE_TO_REAL( SUB_R( X_305_95, Y_306_152 ) );else
if( INTEGERP( Y_306_152 ))
{obj_t R2_465_237;
R2_465_237=INT_TO_REAL( Y_306_152 );return DOUBLE_TO_REAL( SUB_R( X_305_95, R2_465_237 ) );}else
FAILURE( BREF( &___11___R4_NUMBERS_6_5_138), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_306_152 );else
FAILURE( BREF( &___11___R4_NUMBERS_6_5_138), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_305_95 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_196(obj_t ENV_742_163,obj_t X_305_95,obj_t Y_306_152)
#else
__2____R4_NUMBERS_6_5_196( ENV_742_163, X_305_95, Y_306_152 )
obj_t ENV_742_163, X_305_95, Y_306_152;
#endif
{

return _2____R4_NUMBERS_6_5_30( X_305_95, Y_306_152 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_148(obj_t X_307_35,obj_t Y_308_219)
#else
_____R4_NUMBERS_6_5_148( X_307_35, Y_308_219 )
obj_t X_307_35, Y_308_219;
#endif
{

if( PAIRP( Y_308_219 ))
{obj_t RESULT_310_148, ARGS_311_140;
{
ARGS_311_140=CDR( Y_308_219 );
RESULT_310_148=_2____R4_NUMBERS_6_5_30( X_307_35, CAR( Y_308_219 ) );
{_LOOP_309_128:

if( PAIRP( ARGS_311_140 ))
{obj_t AUX_844_155;
AUX_844_155=_2____R4_NUMBERS_6_5_30( RESULT_310_148, CAR( ARGS_311_140 ) );{obj_t ARGS_845_11;
ARGS_845_11=ARGS_311_140;{
ARGS_311_140=CDR( ARGS_845_11 );
RESULT_310_148=AUX_844_155;
goto _LOOP_309_128;
}}}else
return RESULT_310_148;}
}}else
return _2____R4_NUMBERS_6_5_30( BINT( 0 ), X_307_35 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_131(obj_t ENV_741_235,obj_t X_307_35,obj_t Y_308_219)
#else
______R4_NUMBERS_6_5_131( ENV_741_235, X_307_35, Y_308_219 )
obj_t ENV_741_235, X_307_35, Y_308_219;
#endif
{

return _____R4_NUMBERS_6_5_148( X_307_35, Y_308_219 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_255(obj_t X_312_208,obj_t Y_313_87)
#else
_2____R4_NUMBERS_6_5_255( X_312_208, Y_313_87 )
obj_t X_312_208, Y_313_87;
#endif
{

if( INTEGERP( X_312_208 ))
if( INTEGERP( Y_313_87 ))
if( EQ_I( REMAINDER_I( X_312_208, Y_313_87 ), BINT( 0 ) ))
return DIV_I( X_312_208, Y_313_87 );else
{obj_t R2_479_149;
R2_479_149=INT_TO_REAL( Y_313_87 );{obj_t R1_478_133;
R1_478_133=INT_TO_REAL( X_312_208 );return DOUBLE_TO_REAL( DIV_R( R1_478_133, R2_479_149 ) );}}else
if( REALP( Y_313_87 ))
{obj_t R1_480_53;
R1_480_53=INT_TO_REAL( X_312_208 );return DOUBLE_TO_REAL( DIV_R( R1_480_53, Y_313_87 ) );}else
FAILURE( BREF( &___12___R4_NUMBERS_6_5_75), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_313_87 );else
if( REALP( X_312_208 ))
if( REALP( Y_313_87 ))
return DOUBLE_TO_REAL( DIV_R( X_312_208, Y_313_87 ) );else
if( INTEGERP( Y_313_87 ))
{obj_t R2_481_113;
R2_481_113=INT_TO_REAL( Y_313_87 );return DOUBLE_TO_REAL( DIV_R( X_312_208, R2_481_113 ) );}else
FAILURE( BREF( &___12___R4_NUMBERS_6_5_75), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_313_87 );else
FAILURE( BREF( &___12___R4_NUMBERS_6_5_75), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_312_208 );
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_57(obj_t ENV_740_222,obj_t X_312_208,obj_t Y_313_87)
#else
__2____R4_NUMBERS_6_5_57( ENV_740_222, X_312_208, Y_313_87 )
obj_t ENV_740_222, X_312_208, Y_313_87;
#endif
{

return _2____R4_NUMBERS_6_5_255( X_312_208, Y_313_87 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_140(obj_t X_314_77,obj_t Y_315_56)
#else
_____R4_NUMBERS_6_5_140( X_314_77, Y_315_56 )
obj_t X_314_77, Y_315_56;
#endif
{

if( PAIRP( Y_315_56 ))
{obj_t RESULT_317_213, Z_318_213;
{
Z_318_213=CDR( Y_315_56 );
RESULT_317_213=_2____R4_NUMBERS_6_5_255( X_314_77, CAR( Y_315_56 ) );
{_LOOP_316_223:

if( PAIRP( Z_318_213 ))
{obj_t AUX_842_9;
AUX_842_9=_2____R4_NUMBERS_6_5_255( RESULT_317_213, CAR( Z_318_213 ) );{obj_t Z_843_255;
Z_843_255=Z_318_213;{
Z_318_213=CDR( Z_843_255 );
RESULT_317_213=AUX_842_9;
goto _LOOP_316_223;
}}}else
return RESULT_317_213;}
}}else
return _2____R4_NUMBERS_6_5_255( BINT( 1 ), X_314_77 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_35(obj_t ENV_739_13,obj_t X_314_77,obj_t Y_315_56)
#else
______R4_NUMBERS_6_5_35( ENV_739_13, X_314_77, Y_315_56 )
obj_t ENV_739_13, X_314_77, Y_315_56;
#endif
{

return _____R4_NUMBERS_6_5_140( X_314_77, Y_315_56 );
}

obj_t
#if defined( __STDC__ )
ABS___R4_NUMBERS_6_5_209(obj_t X_319_194)
#else
ABS___R4_NUMBERS_6_5_209( X_319_194 )
obj_t X_319_194;
#endif
{

if( INTEGERP( X_319_194 ))
return ABS_I( X_319_194 );else
if( REALP( X_319_194 ))
return ABS_R( X_319_194 );else
FAILURE( BREF( &ABS_13___R4_NUMBERS_6_5_87), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_319_194 );
}

obj_t
#if defined( __STDC__ )
__ABS___R4_NUMBERS_6_5_20(obj_t ENV_738_32,obj_t X_319_194)
#else
__ABS___R4_NUMBERS_6_5_20( ENV_738_32, X_319_194 )
obj_t ENV_738_32, X_319_194;
#endif
{

return ABS___R4_NUMBERS_6_5_209( X_319_194 );
}

obj_t
#if defined( __STDC__ )
FLOOR___R4_NUMBERS_6_5_49(obj_t X_320_151)
#else
FLOOR___R4_NUMBERS_6_5_49( X_320_151 )
obj_t X_320_151;
#endif
{

if( INTEGERP( X_320_151 ))
return X_320_151;else
if( REALP( X_320_151 ))
{double AUX_841_61;
AUX_841_61=floor( REAL_TO_DOUBLE( X_320_151 ) );return DOUBLE_TO_REAL( AUX_841_61 );}else
FAILURE( BREF( &FLOOR_14___R4_NUMBERS_6_5_229), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_320_151 );
}

obj_t
#if defined( __STDC__ )
__FLOOR___R4_NUMBERS_6_5_103(obj_t ENV_737_94,obj_t X_320_151)
#else
__FLOOR___R4_NUMBERS_6_5_103( ENV_737_94, X_320_151 )
obj_t ENV_737_94, X_320_151;
#endif
{

return FLOOR___R4_NUMBERS_6_5_49( X_320_151 );
}

obj_t
#if defined( __STDC__ )
CEILING___R4_NUMBERS_6_5_198(obj_t X_321_251)
#else
CEILING___R4_NUMBERS_6_5_198( X_321_251 )
obj_t X_321_251;
#endif
{

if( INTEGERP( X_321_251 ))
return X_321_251;else
if( REALP( X_321_251 ))
{double AUX_840_3;
AUX_840_3=ceil( REAL_TO_DOUBLE( X_321_251 ) );return DOUBLE_TO_REAL( AUX_840_3 );}else
FAILURE( BREF( &CEILING_15___R4_NUMBERS_6_5_199), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_321_251 );
}

obj_t
#if defined( __STDC__ )
__CEILING___R4_NUMBERS_6_5_75(obj_t ENV_736_220,obj_t X_321_251)
#else
__CEILING___R4_NUMBERS_6_5_75( ENV_736_220, X_321_251 )
obj_t ENV_736_220, X_321_251;
#endif
{

return CEILING___R4_NUMBERS_6_5_198( X_321_251 );
}

obj_t
#if defined( __STDC__ )
TRUNCATE___R4_NUMBERS_6_5_202(obj_t X_322_207)
#else
TRUNCATE___R4_NUMBERS_6_5_202( X_322_207 )
obj_t X_322_207;
#endif
{

if( INTEGERP( X_322_207 ))
return X_322_207;else
if( REALP( X_322_207 ))
if( NEGATIVEP_R( X_322_207 ))
{double AUX_838_20;
AUX_838_20=ceil( REAL_TO_DOUBLE( X_322_207 ) );return DOUBLE_TO_REAL( AUX_838_20 );}else
{double AUX_839_81;
AUX_839_81=floor( REAL_TO_DOUBLE( X_322_207 ) );return DOUBLE_TO_REAL( AUX_839_81 );}else
FAILURE( BREF( &TRUNCATE_16___R4_NUMBERS_6_5_171), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_322_207 );
}

obj_t
#if defined( __STDC__ )
__TRUNCATE___R4_NUMBERS_6_5_184(obj_t ENV_735_224,obj_t X_322_207)
#else
__TRUNCATE___R4_NUMBERS_6_5_184( ENV_735_224, X_322_207 )
obj_t ENV_735_224, X_322_207;
#endif
{

return TRUNCATE___R4_NUMBERS_6_5_202( X_322_207 );
}

obj_t
#if defined( __STDC__ )
ROUND___R4_NUMBERS_6_5_160(obj_t X_323_225)
#else
ROUND___R4_NUMBERS_6_5_160( X_323_225 )
obj_t X_323_225;
#endif
{

if( INTEGERP( X_323_225 ))
return X_323_225;else
if( REALP( X_323_225 ))
{double AUX_837_21;
AUX_837_21=ROUND_R( REAL_TO_DOUBLE( X_323_225 ) );return DOUBLE_TO_REAL( AUX_837_21 );}else
FAILURE( BREF( &ROUND_17___R4_NUMBERS_6_5_58), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_323_225 );
}

obj_t
#if defined( __STDC__ )
__ROUND___R4_NUMBERS_6_5_114(obj_t ENV_734_212,obj_t X_323_225)
#else
__ROUND___R4_NUMBERS_6_5_114( ENV_734_212, X_323_225 )
obj_t ENV_734_212, X_323_225;
#endif
{

return ROUND___R4_NUMBERS_6_5_160( X_323_225 );
}

obj_t
#if defined( __STDC__ )
EXP___R4_NUMBERS_6_5_248(obj_t X_324_98)
#else
EXP___R4_NUMBERS_6_5_248( X_324_98 )
obj_t X_324_98;
#endif
{

if( INTEGERP( X_324_98 ))
{double X_780_82;
{obj_t AUX_834_112;
AUX_834_112=INT_TO_REAL( X_324_98 );X_780_82=REAL_TO_DOUBLE( AUX_834_112 );}{double AUX_835_113;
AUX_835_113=exp( X_780_82 );return DOUBLE_TO_REAL( AUX_835_113 );}}else
if( REALP( X_324_98 ))
{double AUX_836_98;
AUX_836_98=exp( REAL_TO_DOUBLE( X_324_98 ) );return DOUBLE_TO_REAL( AUX_836_98 );}else
FAILURE( BREF( &EXP_18___R4_NUMBERS_6_5_86), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_324_98 );
}

obj_t
#if defined( __STDC__ )
__EXP___R4_NUMBERS_6_5_239(obj_t ENV_733_247,obj_t X_324_98)
#else
__EXP___R4_NUMBERS_6_5_239( ENV_733_247, X_324_98 )
obj_t ENV_733_247, X_324_98;
#endif
{

return EXP___R4_NUMBERS_6_5_248( X_324_98 );
}

obj_t
#if defined( __STDC__ )
LOG___R4_NUMBERS_6_5_45(obj_t X_325_21)
#else
LOG___R4_NUMBERS_6_5_45( X_325_21 )
obj_t X_325_21;
#endif
{

if( INTEGERP( X_325_21 ))
{double X_781_106;
{obj_t AUX_831_225;
AUX_831_225=INT_TO_REAL( X_325_21 );X_781_106=REAL_TO_DOUBLE( AUX_831_225 );}{double AUX_832_151;
AUX_832_151=log( X_781_106 );return DOUBLE_TO_REAL( AUX_832_151 );}}else
if( REALP( X_325_21 ))
{double AUX_833_251;
AUX_833_251=log( REAL_TO_DOUBLE( X_325_21 ) );return DOUBLE_TO_REAL( AUX_833_251 );}else
FAILURE( BREF( &LOG_19___R4_NUMBERS_6_5_169), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_325_21 );
}

obj_t
#if defined( __STDC__ )
__LOG___R4_NUMBERS_6_5_176(obj_t ENV_732_204,obj_t X_325_21)
#else
__LOG___R4_NUMBERS_6_5_176( ENV_732_204, X_325_21 )
obj_t ENV_732_204, X_325_21;
#endif
{

return LOG___R4_NUMBERS_6_5_45( X_325_21 );
}

obj_t
#if defined( __STDC__ )
SIN___R4_NUMBERS_6_5_226(obj_t X_326_112)
#else
SIN___R4_NUMBERS_6_5_226( X_326_112 )
obj_t X_326_112;
#endif
{

if( INTEGERP( X_326_112 ))
{double X_782_158;
{obj_t AUX_828_177;
AUX_828_177=INT_TO_REAL( X_326_112 );X_782_158=REAL_TO_DOUBLE( AUX_828_177 );}{double AUX_829_107;
AUX_829_107=sin( X_782_158 );return DOUBLE_TO_REAL( AUX_829_107 );}}else
if( REALP( X_326_112 ))
{double AUX_830_207;
AUX_830_207=sin( REAL_TO_DOUBLE( X_326_112 ) );return DOUBLE_TO_REAL( AUX_830_207 );}else
FAILURE( BREF( &SIN_20___R4_NUMBERS_6_5_37), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_326_112 );
}

obj_t
#if defined( __STDC__ )
__SIN___R4_NUMBERS_6_5_114(obj_t ENV_731_196,obj_t X_326_112)
#else
__SIN___R4_NUMBERS_6_5_114( ENV_731_196, X_326_112 )
obj_t ENV_731_196, X_326_112;
#endif
{

return SIN___R4_NUMBERS_6_5_226( X_326_112 );
}

obj_t
#if defined( __STDC__ )
COS___R4_NUMBERS_6_5_115(obj_t X_327_113)
#else
COS___R4_NUMBERS_6_5_115( X_327_113 )
obj_t X_327_113;
#endif
{

if( INTEGERP( X_327_113 ))
{double X_783_201;
{obj_t AUX_825_65;
AUX_825_65=INT_TO_REAL( X_327_113 );X_783_201=REAL_TO_DOUBLE( AUX_825_65 );}{double AUX_826_188;
AUX_826_188=cos( X_783_201 );return DOUBLE_TO_REAL( AUX_826_188 );}}else
if( REALP( X_327_113 ))
{double AUX_827_40;
AUX_827_40=cos( REAL_TO_DOUBLE( X_327_113 ) );return DOUBLE_TO_REAL( AUX_827_40 );}else
FAILURE( BREF( &COS_21___R4_NUMBERS_6_5_242), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_327_113 );
}

obj_t
#if defined( __STDC__ )
__COS___R4_NUMBERS_6_5_235(obj_t ENV_730_43,obj_t X_327_113)
#else
__COS___R4_NUMBERS_6_5_235( ENV_730_43, X_327_113 )
obj_t ENV_730_43, X_327_113;
#endif
{

return COS___R4_NUMBERS_6_5_115( X_327_113 );
}

obj_t
#if defined( __STDC__ )
TAN___R4_NUMBERS_6_5_201(obj_t X_328_24)
#else
TAN___R4_NUMBERS_6_5_201( X_328_24 )
obj_t X_328_24;
#endif
{

if( INTEGERP( X_328_24 ))
{double X_784_102;
{obj_t AUX_822_30;
AUX_822_30=INT_TO_REAL( X_328_24 );X_784_102=REAL_TO_DOUBLE( AUX_822_30 );}{double AUX_823_7;
AUX_823_7=tan( X_784_102 );return DOUBLE_TO_REAL( AUX_823_7 );}}else
if( REALP( X_328_24 ))
{double AUX_824_36;
AUX_824_36=tan( REAL_TO_DOUBLE( X_328_24 ) );return DOUBLE_TO_REAL( AUX_824_36 );}else
FAILURE( BREF( &TAN_22___R4_NUMBERS_6_5_97), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_328_24 );
}

obj_t
#if defined( __STDC__ )
__TAN___R4_NUMBERS_6_5_81(obj_t ENV_729_140,obj_t X_328_24)
#else
__TAN___R4_NUMBERS_6_5_81( ENV_729_140, X_328_24 )
obj_t ENV_729_140, X_328_24;
#endif
{

return TAN___R4_NUMBERS_6_5_201( X_328_24 );
}

obj_t
#if defined( __STDC__ )
ASIN___R4_NUMBERS_6_5_77(obj_t X_329_6)
#else
ASIN___R4_NUMBERS_6_5_77( X_329_6 )
obj_t X_329_6;
#endif
{

if( INTEGERP( X_329_6 ))
{double X_785_218;
{obj_t AUX_819_82;
AUX_819_82=INT_TO_REAL( X_329_6 );X_785_218=REAL_TO_DOUBLE( AUX_819_82 );}{double AUX_820_173;
AUX_820_173=asin( X_785_218 );return DOUBLE_TO_REAL( AUX_820_173 );}}else
if( REALP( X_329_6 ))
{double AUX_821_73;
AUX_821_73=asin( REAL_TO_DOUBLE( X_329_6 ) );return DOUBLE_TO_REAL( AUX_821_73 );}else
FAILURE( BREF( &ASIN_23___R4_NUMBERS_6_5_0), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_329_6 );
}

obj_t
#if defined( __STDC__ )
__ASIN___R4_NUMBERS_6_5_248(obj_t ENV_728_51,obj_t X_329_6)
#else
__ASIN___R4_NUMBERS_6_5_248( ENV_728_51, X_329_6 )
obj_t ENV_728_51, X_329_6;
#endif
{

return ASIN___R4_NUMBERS_6_5_77( X_329_6 );
}

obj_t
#if defined( __STDC__ )
ACOS___R4_NUMBERS_6_5_40(obj_t X_330_94)
#else
ACOS___R4_NUMBERS_6_5_40( X_330_94 )
obj_t X_330_94;
#endif
{

if( INTEGERP( X_330_94 ))
{double X_786_255;
{obj_t AUX_816_9;
AUX_816_9=INT_TO_REAL( X_330_94 );X_786_255=REAL_TO_DOUBLE( AUX_816_9 );}{double AUX_817_89;
AUX_817_89=acos( X_786_255 );return DOUBLE_TO_REAL( AUX_817_89 );}}else
if( REALP( X_330_94 ))
{double AUX_818_106;
AUX_818_106=acos( REAL_TO_DOUBLE( X_330_94 ) );return DOUBLE_TO_REAL( AUX_818_106 );}else
FAILURE( BREF( &ACOS_24___R4_NUMBERS_6_5_75), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_330_94 );
}

obj_t
#if defined( __STDC__ )
__ACOS___R4_NUMBERS_6_5_107(obj_t ENV_727_1,obj_t X_330_94)
#else
__ACOS___R4_NUMBERS_6_5_107( ENV_727_1, X_330_94 )
obj_t ENV_727_1, X_330_94;
#endif
{

return ACOS___R4_NUMBERS_6_5_40( X_330_94 );
}

obj_t
#if defined( __STDC__ )
ATAN___R4_NUMBERS_6_5_14(obj_t X_331_220,obj_t Y_332_155)
#else
ATAN___R4_NUMBERS_6_5_14( X_331_220, Y_332_155 )
obj_t X_331_220, Y_332_155;
#endif
{

{obj_t Y_333_42;
if( PAIRP( Y_332_155 ))
{obj_t Y_337_61;
Y_337_61=CAR( Y_332_155 );if( INTEGERP( Y_337_61 ))
Y_333_42=INT_TO_REAL( Y_337_61 );else
if( REALP( Y_337_61 ))
Y_333_42=Y_337_61;else
FAILURE( BREF( &ATAN_25___R4_NUMBERS_6_5_249), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_337_61 );}else
Y_333_42=BFALSE;{obj_t X_336_196;
if( INTEGERP( X_331_220 ))
{
X_336_196=INT_TO_REAL( X_331_220 );
{_DO_ATANFL_334_66:

{if( INTEGERP( Y_333_42 ))
goto _true_9;else
if( REALP( Y_333_42 ))
goto _true_9;else
goto _false_10;_true_9:
{obj_t Y_512_80;
Y_512_80=MAKE_PAIR( Y_333_42, BNIL );{obj_t Y_513_166;
Y_513_166=CAR( Y_512_80 );{if( EQ_R( X_336_196, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
if( EQ_R( Y_513_166, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
FAILURE( BREF( &ATANFL_27___R4_NUMBERS_6_5_222), BREF( &DOMAIN_E_28___R4_NUMBERS_6_5_223), BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) );_false_13:
{double AUX_815_61;
AUX_815_61=atan2( REAL_TO_DOUBLE( X_336_196 ), REAL_TO_DOUBLE( Y_513_166 ) );return DOUBLE_TO_REAL( AUX_815_61 );};
}}}_false_10:
{obj_t Y_515_100;
Y_515_100=BNIL;{double AUX_814_3;
AUX_814_3=atan( REAL_TO_DOUBLE( X_336_196 ) );return DOUBLE_TO_REAL( AUX_814_3 );}};
}}
}else
if( REALP( X_331_220 ))
{
X_336_196=X_331_220;
goto _DO_ATANFL_334_66;
}else
FAILURE( BREF( &ATAN_25___R4_NUMBERS_6_5_249), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_331_220 );}}
}

obj_t
#if defined( __STDC__ )
__ATAN___R4_NUMBERS_6_5_94(obj_t ENV_726_14,obj_t X_331_220,obj_t Y_332_155)
#else
__ATAN___R4_NUMBERS_6_5_94( ENV_726_14, X_331_220, Y_332_155 )
obj_t ENV_726_14, X_331_220, Y_332_155;
#endif
{

return ATAN___R4_NUMBERS_6_5_14( X_331_220, Y_332_155 );
}

obj_t
#if defined( __STDC__ )
SQRT___R4_NUMBERS_6_5_77(obj_t X_338_84)
#else
SQRT___R4_NUMBERS_6_5_77( X_338_84 )
obj_t X_338_84;
#endif
{

if( INTEGERP( X_338_84 ))
{obj_t R_519_2;
R_519_2=INT_TO_REAL( X_338_84 );if( LT_R( R_519_2, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
FAILURE( BREF( &SQRT_29___R4_NUMBERS_6_5_178), BREF( &DOMAIN_E_28___R4_NUMBERS_6_5_223), R_519_2 );else
{double AUX_812_93;
AUX_812_93=sqrt( REAL_TO_DOUBLE( R_519_2 ) );return DOUBLE_TO_REAL( AUX_812_93 );}}else
if( REALP( X_338_84 ))
if( LT_R( X_338_84, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
FAILURE( BREF( &SQRT_29___R4_NUMBERS_6_5_178), BREF( &DOMAIN_E_28___R4_NUMBERS_6_5_223), X_338_84 );else
{double AUX_813_159;
AUX_813_159=sqrt( REAL_TO_DOUBLE( X_338_84 ) );return DOUBLE_TO_REAL( AUX_813_159 );}else
FAILURE( BREF( &SQRT_29___R4_NUMBERS_6_5_178), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_338_84 );
}

obj_t
#if defined( __STDC__ )
__SQRT___R4_NUMBERS_6_5_111(obj_t ENV_725_110,obj_t X_338_84)
#else
__SQRT___R4_NUMBERS_6_5_111( ENV_725_110, X_338_84 )
obj_t ENV_725_110, X_338_84;
#endif
{

return SQRT___R4_NUMBERS_6_5_77( X_338_84 );
}

obj_t
#if defined( __STDC__ )
EXPT___R4_NUMBERS_6_5_82(obj_t X_339_226,obj_t Y_340_163)
#else
EXPT___R4_NUMBERS_6_5_82( X_339_226, Y_340_163 )
obj_t X_339_226, Y_340_163;
#endif
{

{if( REALP( X_339_226 ))
if( REALP( Y_340_163 ))
if( EQ_R( X_339_226, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
if( EQ_R( Y_340_163, BREAL( &A_REAL_26___R4_NUMBERS_6_5_158) ))
goto _true_3;else
goto _false_4;else
goto _false_4;else
goto _false_4;else
goto _false_4;_true_3:
return BREAL( &A_REAL_30___R4_NUMBERS_6_5_70);_false_4:
{if( INTEGERP( X_339_226 ))
if( INTEGERP( Y_340_163 ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t X_520_44;
{double R2_796_14;
{obj_t AUX_809_91;
AUX_809_91=INT_TO_REAL( Y_340_163 );R2_796_14=REAL_TO_DOUBLE( AUX_809_91 );}{double R1_795_140;
{obj_t AUX_810_155;
AUX_810_155=INT_TO_REAL( X_339_226 );R1_795_140=REAL_TO_DOUBLE( AUX_810_155 );}{double AUX_811_42;
AUX_811_42=pow( R1_795_140, R2_796_14 );X_520_44=DOUBLE_TO_REAL( AUX_811_42 );}}}return REAL_TO_INT( X_520_44 );}_false_7:
if( INTEGERP( X_339_226 ))
if( REALP( Y_340_163 ))
{double R1_797_27;
{obj_t AUX_804_207;
AUX_804_207=INT_TO_REAL( X_339_226 );R1_797_27=REAL_TO_DOUBLE( AUX_804_207 );}{double AUX_805_225;
AUX_805_225=pow( R1_797_27, REAL_TO_DOUBLE( Y_340_163 ) );return DOUBLE_TO_REAL( AUX_805_225 );}}else
FAILURE( BREF( &EXPT_31___R4_NUMBERS_6_5_115), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_340_163 );else
if( REALP( X_339_226 ))
if( REALP( Y_340_163 ))
{double AUX_806_151;
AUX_806_151=pow( REAL_TO_DOUBLE( X_339_226 ), REAL_TO_DOUBLE( Y_340_163 ) );return DOUBLE_TO_REAL( AUX_806_151 );}else
if( INTEGERP( Y_340_163 ))
{double R2_798_51;
{obj_t AUX_807_251;
AUX_807_251=INT_TO_REAL( Y_340_163 );R2_798_51=REAL_TO_DOUBLE( AUX_807_251 );}{double AUX_808_92;
AUX_808_92=pow( REAL_TO_DOUBLE( X_339_226 ), R2_798_51 );return DOUBLE_TO_REAL( AUX_808_92 );}}else
FAILURE( BREF( &EXPT_31___R4_NUMBERS_6_5_115), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), Y_340_163 );else
FAILURE( BREF( &EXPT_31___R4_NUMBERS_6_5_115), BREF( &NOT_A_NU_1___R4_NUMBERS_6_5_21), X_339_226 );;
};
}
}

obj_t
#if defined( __STDC__ )
__EXPT___R4_NUMBERS_6_5_156(obj_t ENV_724_25,obj_t X_339_226,obj_t Y_340_163)
#else
__EXPT___R4_NUMBERS_6_5_156( ENV_724_25, X_339_226, Y_340_163 )
obj_t ENV_724_25, X_339_226, Y_340_163;
#endif
{

return EXPT___R4_NUMBERS_6_5_82( X_339_226, Y_340_163 );
}

obj_t
#if defined( __STDC__ )
EXACT__INEXACT___R4_NUMBERS_6_5_78(obj_t Z_345_226)
#else
EXACT__INEXACT___R4_NUMBERS_6_5_78( Z_345_226 )
obj_t Z_345_226;
#endif
{

if( INTEGERP( Z_345_226 ))
return INT_TO_REAL( Z_345_226 );else
return Z_345_226;
}

obj_t
#if defined( __STDC__ )
__EXACT__INEXACT___R4_NUMBERS_6_5_82(obj_t ENV_723_97,obj_t Z_345_226)
#else
__EXACT__INEXACT___R4_NUMBERS_6_5_82( ENV_723_97, Z_345_226 )
obj_t ENV_723_97, Z_345_226;
#endif
{

return EXACT__INEXACT___R4_NUMBERS_6_5_78( Z_345_226 );
}

obj_t
#if defined( __STDC__ )
INEXACT__EXACT___R4_NUMBERS_6_5_56(obj_t Z_346_18)
#else
INEXACT__EXACT___R4_NUMBERS_6_5_56( Z_346_18 )
obj_t Z_346_18;
#endif
{

if( REALP( Z_346_18 ))
return REAL_TO_INT( Z_346_18 );else
return Z_346_18;
}

obj_t
#if defined( __STDC__ )
__INEXACT__EXACT___R4_NUMBERS_6_5_100(obj_t ENV_722_174,obj_t Z_346_18)
#else
__INEXACT__EXACT___R4_NUMBERS_6_5_100( ENV_722_174, Z_346_18 )
obj_t ENV_722_174, Z_346_18;
#endif
{

return INEXACT__EXACT___R4_NUMBERS_6_5_56( Z_346_18 );
}

obj_t
#if defined( __STDC__ )
NUMBER__STRING___R4_NUMBERS_6_5_157(obj_t X_347_231,obj_t RADIX_348_33)
#else
NUMBER__STRING___R4_NUMBERS_6_5_157( X_347_231, RADIX_348_33 )
obj_t X_347_231, RADIX_348_33;
#endif
{

{
{bool_t OBJ_799_50;
OBJ_799_50=NULLP( RADIX_348_33 );if( OBJ_799_50)
RADIX_348_33=BINT( 10 );else
{obj_t PAIR_528_79;
PAIR_528_79=RADIX_348_33;RADIX_348_33=CAR( PAIR_528_79 );}}
if( INTEGERP( X_347_231 ))
{obj_t VA_ARG_710_201;
VA_ARG_710_201=MAKE_PAIR( RADIX_348_33, BNIL );return INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( X_347_231, VA_ARG_710_201 );}else
if( REALP( X_347_231 ))
{char * AUX_803_21;
AUX_803_21=real_to_string( REAL_TO_DOUBLE( X_347_231 ) );return CSTRING_TO_BSTRING( AUX_803_21 );}else
return BFALSE;
}
}

obj_t
#if defined( __STDC__ )
__NUMBER__STRING___R4_NUMBERS_6_5_203(obj_t ENV_721_132,obj_t X_347_231,obj_t RADIX_348_33)
#else
__NUMBER__STRING___R4_NUMBERS_6_5_203( ENV_721_132, X_347_231, RADIX_348_33 )
obj_t ENV_721_132, X_347_231, RADIX_348_33;
#endif
{

return NUMBER__STRING___R4_NUMBERS_6_5_157( X_347_231, RADIX_348_33 );
}

obj_t
#if defined( __STDC__ )
STRING__NUMBER___R4_NUMBERS_6_5_34(obj_t X_349_249,obj_t RADIX_350_169)
#else
STRING__NUMBER___R4_NUMBERS_6_5_34( X_349_249, RADIX_350_169 )
obj_t X_349_249, RADIX_350_169;
#endif
{

{obj_t X_353_109;
{obj_t AUX_801_113;
{
X_353_109=X_349_249;
{
{obj_t I_355_38;
{obj_t L_546_136;
L_546_136=STRING_LENGTH( X_353_109 );{
I_355_38=SUB_I_PTAG( L_546_136, PSUB_TAG( 1 ) );
{_LOOP_354_67:

if( EQ_I( I_355_38, BINT( -1 ) ))
AUX_801_113=BTRUE;else
{obj_t CHAR1_532_143;
CHAR1_532_143=BCHAR( STRING_REF( X_353_109, CINT( I_355_38 ) ) );if( EQP( CHAR1_532_143, BCHAR( '-' ) ))
AUX_801_113=CBOOL_TO_BBOOL( EQ_I( I_355_38, BINT( 0 ) ) );else
{bool_t __andtest_1010_800_253;
__andtest_1010_800_253=CHAR_GE( CHAR1_532_143, BCHAR( '0' ) );{if( __andtest_1010_800_253)
if( CHAR_LE( CHAR1_532_143, BCHAR( '9' ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t I_802_235;
I_802_235=I_355_38;{
I_355_38=SUB_I_PTAG( I_802_235, PSUB_TAG( 1 ) );
goto _LOOP_354_67;
}}_false_1:
AUX_801_113=BFALSE;;
}}}}
}}}}
}if( BBOOL_TO_CBOOL( AUX_801_113 ))
{obj_t A1_717_217, A0_716_90;
A1_717_217=BUNSPEC;A0_716_90=BUNSPEC;{
{obj_t C_CONS_551_59;
C_CONS_551_59=MAKE_PAIR( X_349_249, RADIX_350_169 );A1_717_217=C_CONS_551_59;}
A0_716_90=CAR( A1_717_217 );
A1_717_217=CDR( A1_717_217 );
return STRING__INTEGER___R4_NUMBERS_6_5_FIXNUM_235( A0_716_90, A1_717_217 );
}}else
{obj_t STRING_719_187, AUX_718_76;
STRING_719_187=BUNSPEC;AUX_718_76=BUNSPEC;{
{obj_t C_CONS_552_137;
C_CONS_552_137=MAKE_PAIR( X_349_249, RADIX_350_169 );AUX_718_76=C_CONS_552_137;}
STRING_719_187=CAR( AUX_718_76 );
AUX_718_76=CDR( AUX_718_76 );
return STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_719_187 );
}}}}
}

obj_t
#if defined( __STDC__ )
__STRING__NUMBER___R4_NUMBERS_6_5_64(obj_t ENV_720_119,obj_t X_349_249,obj_t RADIX_350_169)
#else
__STRING__NUMBER___R4_NUMBERS_6_5_64( ENV_720_119, X_349_249, RADIX_350_169 )
obj_t ENV_720_119, X_349_249, RADIX_350_169;
#endif
{

return STRING__NUMBER___R4_NUMBERS_6_5_34( X_349_249, RADIX_350_169 );
}

