/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/ports.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126(obj_t);
#else
extern obj_t FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126();
#endif
#if defined( __STDC__ )
extern obj_t __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27(obj_t);
#else
extern obj_t __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27();
#endif
obj_t WITH_OUTPUT_TO_FILE_ENV___R4_PORTS_6_10_1_70 = BUNSPEC;
obj_t CURRENT_INPUT_PORT_ENV___R4_PORTS_6_10_1_243 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150(obj_t, obj_t);
#else
extern obj_t __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150();
#endif
obj_t APPEND_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_201 = BUNSPEC;
obj_t OPEN_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_50 = BUNSPEC;
obj_t OUTPUT_PORT__ENV___R4_PORTS_6_10_1_114 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76(obj_t, obj_t);
#else
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
#endif
#if defined( __STDC__ )
extern obj_t CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174(obj_t, obj_t);
#else
extern obj_t CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174();
#endif
obj_t ___R4_PORTS_6_10_1_INITIALISATION_ENV___R4_PORTS_6_10_1_128 = BUNSPEC;
obj_t DELETE_FILE_ENV___R4_PORTS_6_10_1_93 = BUNSPEC;
obj_t CURRENT_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_64 = BUNSPEC;
extern bool_t unlink();
#if defined( __STDC__ )
extern obj_t __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109(obj_t, obj_t, obj_t);
#else
extern obj_t __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109();
#endif
extern bool_t fexists();
#if defined( __STDC__ )
extern obj_t __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168(obj_t, obj_t);
#else
extern obj_t __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168();
#endif
#if defined( __STDC__ )
extern obj_t __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24(obj_t, obj_t, obj_t);
#else
extern obj_t __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24();
#endif
obj_t CALL_WITH_INPUT_FILE_ENV___R4_PORTS_6_10_1_134 = BUNSPEC;
obj_t CALL_WITH_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_71 = BUNSPEC;
extern obj_t OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240();
extern obj_t default_io_bufsiz;
extern obj_t CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130();
obj_t FLUSH_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INPUT_PORT____R4_PORTS_6_10_1_237(obj_t);
#else
extern obj_t INPUT_PORT____R4_PORTS_6_10_1_237();
#endif
#if defined( __STDC__ )
extern obj_t APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152(obj_t);
#else
extern obj_t APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152();
#endif
DEFINE_STRING( CALL_WIT_0___R4_PORTS_6_10_1_209, "call-with-input-file", 20);
extern obj_t make_va_procedure();
obj_t OPEN_OUTPUT_STRING_ENV___R4_PORTS_6_10_1_33 = BUNSPEC;
DEFINE_STRING( WITH_OUT_4___R4_PORTS_6_10_1_246, "with-output-to-file", 19);
#if defined( __STDC__ )
extern obj_t __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7(obj_t);
#else
extern obj_t __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7();
#endif
extern obj_t current_error_port;
#if defined( __STDC__ )
extern obj_t WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194(obj_t, obj_t);
#else
extern obj_t WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194();
#endif
extern obj_t current_output_port;
#if defined( __STDC__ )
extern obj_t WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93(obj_t, obj_t);
#else
extern obj_t WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93();
#endif
extern obj_t close_output_port();
#if defined( __STDC__ )
extern obj_t FILE_EXISTS____R4_PORTS_6_10_1_122(obj_t);
#else
extern obj_t FILE_EXISTS____R4_PORTS_6_10_1_122();
#endif
#if defined( __STDC__ )
extern obj_t __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83(obj_t, obj_t, obj_t);
#else
extern obj_t __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83();
#endif
extern obj_t append_output_file();
obj_t INPUT_PORT__ENV___R4_PORTS_6_10_1_175 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OUTPUT_PORT____R4_PORTS_6_10_1_115(obj_t);
#else
extern obj_t OUTPUT_PORT____R4_PORTS_6_10_1_115();
#endif
extern obj_t open_input_string();
DEFINE_STRING( OPEN_INP_5___R4_PORTS_6_10_1_89, "open-input-file", 15);
extern int rename();
DEFINE_STRING( CAN_T_OP_1___R4_PORTS_6_10_1_97, "can't open file", 15);
extern obj_t close_input_port();
#if defined( __STDC__ )
extern obj_t DELETE_FILE___R4_PORTS_6_10_1_147(obj_t);
#else
extern obj_t DELETE_FILE___R4_PORTS_6_10_1_147();
#endif
#if defined( __STDC__ )
extern obj_t __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4(obj_t, obj_t, obj_t);
#else
extern obj_t __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4();
#endif
#if defined( __STDC__ )
extern obj_t __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215(obj_t, obj_t);
#else
extern obj_t __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215();
#endif
#if defined( __STDC__ )
extern obj_t __OUTPUT_PORT____R4_PORTS_6_10_1_74(obj_t, obj_t);
#else
extern obj_t __OUTPUT_PORT____R4_PORTS_6_10_1_74();
#endif
#if defined( __STDC__ )
extern obj_t __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182(obj_t);
#else
extern obj_t __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182();
#endif
static obj_t REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55(obj_t, obj_t);
#else
extern obj_t __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55();
#endif
DEFINE_STRING( CALL_WIT_2___R4_PORTS_6_10_1_39, "call-with-output-file", 21);
#if defined( __STDC__ )
extern obj_t __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93(obj_t, obj_t, obj_t);
#else
extern obj_t __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93();
#endif
#if defined( __STDC__ )
extern obj_t RENAME_FILE___R4_PORTS_6_10_1_209(obj_t, obj_t);
#else
extern obj_t RENAME_FILE___R4_PORTS_6_10_1_209();
#endif
#if defined( __STDC__ )
extern obj_t __FILE_EXISTS____R4_PORTS_6_10_1_169(obj_t, obj_t);
#else
extern obj_t __FILE_EXISTS____R4_PORTS_6_10_1_169();
#endif
#if defined( __STDC__ )
extern obj_t OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117(obj_t);
#else
extern obj_t OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117();
#endif
#if defined( __STDC__ )
extern obj_t __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46(obj_t);
#else
extern obj_t __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46();
#endif
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t open_input_file();
obj_t OPEN_INPUT_STRING_ENV___R4_PORTS_6_10_1_79 = BUNSPEC;
obj_t FILE_EXISTS__ENV___R4_PORTS_6_10_1_20 = BUNSPEC;
extern obj_t make_fx_procedure();
DEFINE_STRING( WITH_INP_3___R4_PORTS_6_10_1_183, "with-input-from-file", 20);
obj_t WITH_INPUT_FROM_FILE_ENV___R4_PORTS_6_10_1_3 = BUNSPEC;
extern obj_t open_output_string();
extern obj_t CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160();
#if defined( __STDC__ )
extern obj_t __DELETE_FILE___R4_PORTS_6_10_1_49(obj_t, obj_t);
#else
extern obj_t __DELETE_FILE___R4_PORTS_6_10_1_49();
#endif
obj_t RENAME_FILE_ENV___R4_PORTS_6_10_1_177 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INPUT_PORT____R4_PORTS_6_10_1_20(obj_t, obj_t);
#else
extern obj_t __INPUT_PORT____R4_PORTS_6_10_1_20();
#endif
#if defined( __STDC__ )
extern obj_t ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109(obj_t);
#else
extern obj_t ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109();
#endif
extern obj_t open_output_file();
#if defined( __STDC__ )
extern obj_t __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177(obj_t, obj_t);
#else
extern obj_t __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177();
#endif
obj_t CLOSE_INPUT_PORT_ENV___R4_PORTS_6_10_1_205 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48(obj_t);
#else
extern obj_t CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48();
#endif
obj_t CLOSE_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_53 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __RENAME_FILE___R4_PORTS_6_10_1_104(obj_t, obj_t, obj_t);
#else
extern obj_t __RENAME_FILE___R4_PORTS_6_10_1_104();
#endif
obj_t CURRENT_ERROR_PORT_ENV___R4_PORTS_6_10_1_208 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43(obj_t);
#else
extern obj_t CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43();
#endif
DEFINE_STRING( NOT_A_NU_6___R4_PORTS_6_10_1_126, "not a number", 12);
extern obj_t current_input_port;
extern obj_t CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45();
#if defined( __STDC__ )
extern obj_t __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251(obj_t, obj_t);
#else
extern obj_t __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251();
#endif
#if defined( __STDC__ )
extern obj_t CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154(obj_t, obj_t);
#else
extern obj_t CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154();
#endif
#if defined( __STDC__ )
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200(obj_t);
#else
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
#endif
obj_t OPEN_INPUT_FILE_ENV___R4_PORTS_6_10_1_7 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107()
#else
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231 ))
{
REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
___R4_PORTS_6_10_1_INITIALISATION_ENV___R4_PORTS_6_10_1_128=make_fx_procedure( ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109, 0, 0 );
CALL_WITH_INPUT_FILE_ENV___R4_PORTS_6_10_1_134=make_fx_procedure( __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4, 2, 0 );
CALL_WITH_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_71=make_fx_procedure( __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93, 2, 0 );
INPUT_PORT__ENV___R4_PORTS_6_10_1_175=make_fx_procedure( __INPUT_PORT____R4_PORTS_6_10_1_20, 1, 0 );
OUTPUT_PORT__ENV___R4_PORTS_6_10_1_114=make_fx_procedure( __OUTPUT_PORT____R4_PORTS_6_10_1_74, 1, 0 );
CURRENT_INPUT_PORT_ENV___R4_PORTS_6_10_1_243=make_fx_procedure( __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7, 0, 0 );
CURRENT_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_64=make_fx_procedure( __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182, 0, 0 );
CURRENT_ERROR_PORT_ENV___R4_PORTS_6_10_1_208=make_fx_procedure( __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46, 0, 0 );
WITH_INPUT_FROM_FILE_ENV___R4_PORTS_6_10_1_3=make_fx_procedure( __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83, 2, 0 );
WITH_OUTPUT_TO_FILE_ENV___R4_PORTS_6_10_1_70=make_fx_procedure( __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109, 2, 0 );
OPEN_INPUT_FILE_ENV___R4_PORTS_6_10_1_7=make_va_procedure( __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24, -2, 0 );
OPEN_INPUT_STRING_ENV___R4_PORTS_6_10_1_79=make_fx_procedure( __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168, 1, 0 );
OPEN_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_50=make_fx_procedure( __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55, 1, 0 );
OPEN_OUTPUT_STRING_ENV___R4_PORTS_6_10_1_33=make_fx_procedure( __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27, 0, 0 );
CLOSE_INPUT_PORT_ENV___R4_PORTS_6_10_1_205=make_fx_procedure( __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251, 1, 0 );
CLOSE_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_53=make_fx_procedure( __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215, 1, 0 );
FLUSH_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_156=make_fx_procedure( __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150, 1, 0 );
FILE_EXISTS__ENV___R4_PORTS_6_10_1_20=make_fx_procedure( __FILE_EXISTS____R4_PORTS_6_10_1_169, 1, 0 );
APPEND_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_201=make_fx_procedure( __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177, 1, 0 );
DELETE_FILE_ENV___R4_PORTS_6_10_1_93=make_fx_procedure( __DELETE_FILE___R4_PORTS_6_10_1_49, 1, 0 );
RENAME_FILE_ENV___R4_PORTS_6_10_1_177=make_fx_procedure( __RENAME_FILE___R4_PORTS_6_10_1_104, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109(obj_t ENV_294_112)
#else
____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109( ENV_294_112 )
obj_t ENV_294_112;
#endif
{

return ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
}

obj_t
#if defined( __STDC__ )
CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174(obj_t STRING_222_218,obj_t PROC_223_224)
#else
CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174( STRING_222_218, PROC_223_224 )
obj_t STRING_222_218, PROC_223_224;
#endif
{

{obj_t PORT_224_166;
PORT_224_166=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_222_218, BNIL );if( INPUT_PORTP( PORT_224_166 ))
{obj_t RES_225_134;
RES_225_134=PROCEDURE_ENTRY( PROC_223_224 )( PROC_223_224, PORT_224_166, BEOA );{
close_input_port( PORT_224_166 );
return RES_225_134;
}}else
FAILURE( BREF( &CALL_WIT_0___R4_PORTS_6_10_1_209), BREF( &CAN_T_OP_1___R4_PORTS_6_10_1_97), STRING_222_218 );}
}

obj_t
#if defined( __STDC__ )
__CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4(obj_t ENV_293_251,obj_t STRING_222_218,obj_t PROC_223_224)
#else
__CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4( ENV_293_251, STRING_222_218, PROC_223_224 )
obj_t ENV_293_251, STRING_222_218, PROC_223_224;
#endif
{

return CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174( STRING_222_218, PROC_223_224 );
}

obj_t
#if defined( __STDC__ )
CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154(obj_t STRING_226_106,obj_t PROC_227_196)
#else
CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154( STRING_226_106, PROC_227_196 )
obj_t STRING_226_106, PROC_227_196;
#endif
{

{obj_t PORT_228_4;
PORT_228_4=open_output_file( STRING_226_106 );if( OUTPUT_PORTP( PORT_228_4 ))
{obj_t RES_229_122;
RES_229_122=PROCEDURE_ENTRY( PROC_227_196 )( PROC_227_196, PORT_228_4, BEOA );{
close_output_port( PORT_228_4 );
return RES_229_122;
}}else
FAILURE( BREF( &CALL_WIT_2___R4_PORTS_6_10_1_39), BREF( &CAN_T_OP_1___R4_PORTS_6_10_1_97), STRING_226_106 );}
}

obj_t
#if defined( __STDC__ )
__CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93(obj_t ENV_292_151,obj_t STRING_226_106,obj_t PROC_227_196)
#else
__CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93( ENV_292_151, STRING_226_106, PROC_227_196 )
obj_t ENV_292_151, STRING_226_106, PROC_227_196;
#endif
{

return CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154( STRING_226_106, PROC_227_196 );
}

obj_t
#if defined( __STDC__ )
INPUT_PORT____R4_PORTS_6_10_1_237(obj_t OBJ_230_67)
#else
INPUT_PORT____R4_PORTS_6_10_1_237( OBJ_230_67 )
obj_t OBJ_230_67;
#endif
{

{bool_t AUX_300_63;
AUX_300_63=INPUT_PORTP( OBJ_230_67 );return CBOOL_TO_BBOOL( AUX_300_63 );}
}

obj_t
#if defined( __STDC__ )
__INPUT_PORT____R4_PORTS_6_10_1_20(obj_t ENV_291_225,obj_t OBJ_230_67)
#else
__INPUT_PORT____R4_PORTS_6_10_1_20( ENV_291_225, OBJ_230_67 )
obj_t ENV_291_225, OBJ_230_67;
#endif
{

return INPUT_PORT____R4_PORTS_6_10_1_237( OBJ_230_67 );
}

obj_t
#if defined( __STDC__ )
OUTPUT_PORT____R4_PORTS_6_10_1_115(obj_t OBJ_231_186)
#else
OUTPUT_PORT____R4_PORTS_6_10_1_115( OBJ_231_186 )
obj_t OBJ_231_186;
#endif
{

{bool_t AUX_299_157;
AUX_299_157=OUTPUT_PORTP( OBJ_231_186 );return CBOOL_TO_BBOOL( AUX_299_157 );}
}

obj_t
#if defined( __STDC__ )
__OUTPUT_PORT____R4_PORTS_6_10_1_74(obj_t ENV_290_207,obj_t OBJ_231_186)
#else
__OUTPUT_PORT____R4_PORTS_6_10_1_74( ENV_290_207, OBJ_231_186 )
obj_t ENV_290_207, OBJ_231_186;
#endif
{

return OUTPUT_PORT____R4_PORTS_6_10_1_115( OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160()
#else
CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160()
#endif
{

return current_input_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7(obj_t ENV_289_107)
#else
__CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7( ENV_289_107 )
obj_t ENV_289_107;
#endif
{

return CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160();
}

obj_t
#if defined( __STDC__ )
CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45()
#else
CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45()
#endif
{

return current_output_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182(obj_t ENV_288_177)
#else
__CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182( ENV_288_177 )
obj_t ENV_288_177;
#endif
{

return CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45();
}

obj_t
#if defined( __STDC__ )
CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130()
#else
CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130()
#endif
{

return current_error_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46(obj_t ENV_287_40)
#else
__CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46( ENV_287_40 )
obj_t ENV_287_40;
#endif
{

return CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130();
}

obj_t
#if defined( __STDC__ )
WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93(obj_t STRING_232_18,obj_t THUNK_233_85)
#else
WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93( STRING_232_18, THUNK_233_85 )
obj_t STRING_232_18, THUNK_233_85;
#endif
{

{obj_t PORT_234_27;
PORT_234_27=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_232_18, BNIL );if( INPUT_PORTP( PORT_234_27 ))
{obj_t OLD_INPUT_PORT_236_177, RESULT_235_189;
OLD_INPUT_PORT_236_177=current_input_port;RESULT_235_189=BNIL;{
current_input_port=PORT_234_27;
RESULT_235_189=PROCEDURE_ENTRY( THUNK_233_85 )( THUNK_233_85, BEOA );
close_input_port( PORT_234_27 );
current_input_port=OLD_INPUT_PORT_236_177;
return RESULT_235_189;
}}else
FAILURE( BREF( &WITH_INP_3___R4_PORTS_6_10_1_183), BREF( &CAN_T_OP_1___R4_PORTS_6_10_1_97), STRING_232_18 );}
}

obj_t
#if defined( __STDC__ )
__WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83(obj_t ENV_286_188,obj_t STRING_232_18,obj_t THUNK_233_85)
#else
__WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83( ENV_286_188, STRING_232_18, THUNK_233_85 )
obj_t ENV_286_188, STRING_232_18, THUNK_233_85;
#endif
{

return WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93( STRING_232_18, THUNK_233_85 );
}

obj_t
#if defined( __STDC__ )
WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194(obj_t STRING_237_32,obj_t THUNK_238_95)
#else
WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194( STRING_237_32, THUNK_238_95 )
obj_t STRING_237_32, THUNK_238_95;
#endif
{

{obj_t PORT_239_14;
PORT_239_14=open_output_file( STRING_237_32 );if( OUTPUT_PORTP( PORT_239_14 ))
{obj_t OLD_OUTPUT_PORT_241_26, RESULT_240_212;
OLD_OUTPUT_PORT_241_26=current_output_port;RESULT_240_212=BNIL;{
current_output_port=PORT_239_14;
RESULT_240_212=PROCEDURE_ENTRY( THUNK_238_95 )( THUNK_238_95, BEOA );
close_output_port( PORT_239_14 );
current_output_port=OLD_OUTPUT_PORT_241_26;
return RESULT_240_212;
}}else
FAILURE( BREF( &WITH_OUT_4___R4_PORTS_6_10_1_246), BREF( &CAN_T_OP_1___R4_PORTS_6_10_1_97), STRING_237_32 );}
}

obj_t
#if defined( __STDC__ )
__WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109(obj_t ENV_285_65,obj_t STRING_237_32,obj_t THUNK_238_95)
#else
__WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109( ENV_285_65, STRING_237_32, THUNK_238_95 )
obj_t ENV_285_65, STRING_237_32, THUNK_238_95;
#endif
{

return WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194( STRING_237_32, THUNK_238_95 );
}

obj_t
#if defined( __STDC__ )
OPEN_INPUT_FILE___R4_PORTS_6_10_1_76(obj_t STRING_242_242,obj_t BUFSIZ_243_201)
#else
OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_242_242, BUFSIZ_243_201 )
obj_t STRING_242_242, BUFSIZ_243_201;
#endif
{

{obj_t SIZE_244_131;
if( NULLP( BUFSIZ_243_201 ))
SIZE_244_131=default_io_bufsiz;else
SIZE_244_131=CAR( BUFSIZ_243_201 );if( INTEGERP( SIZE_244_131 ))
return open_input_file( STRING_242_242, SIZE_244_131 );else
FAILURE( BREF( &OPEN_INP_5___R4_PORTS_6_10_1_89), BREF( &NOT_A_NU_6___R4_PORTS_6_10_1_126), SIZE_244_131 );}
}

obj_t
#if defined( __STDC__ )
__OPEN_INPUT_FILE___R4_PORTS_6_10_1_24(obj_t ENV_284_36,obj_t STRING_242_242,obj_t BUFSIZ_243_201)
#else
__OPEN_INPUT_FILE___R4_PORTS_6_10_1_24( ENV_284_36, STRING_242_242, BUFSIZ_243_201 )
obj_t ENV_284_36, STRING_242_242, BUFSIZ_243_201;
#endif
{

return OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_242_242, BUFSIZ_243_201 );
}

obj_t
#if defined( __STDC__ )
OPEN_INPUT_STRING___R4_PORTS_6_10_1_200(obj_t STRING_245_5)
#else
OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( STRING_245_5 )
obj_t STRING_245_5;
#endif
{

return open_input_string( STRING_245_5 );
}

obj_t
#if defined( __STDC__ )
__OPEN_INPUT_STRING___R4_PORTS_6_10_1_168(obj_t ENV_283_7,obj_t STRING_245_5)
#else
__OPEN_INPUT_STRING___R4_PORTS_6_10_1_168( ENV_283_7, STRING_245_5 )
obj_t ENV_283_7, STRING_245_5;
#endif
{

return OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( STRING_245_5 );
}

obj_t
#if defined( __STDC__ )
OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117(obj_t STRING_246_11)
#else
OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117( STRING_246_11 )
obj_t STRING_246_11;
#endif
{

return open_output_file( STRING_246_11 );
}

obj_t
#if defined( __STDC__ )
__OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55(obj_t ENV_282_30,obj_t STRING_246_11)
#else
__OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55( ENV_282_30, STRING_246_11 )
obj_t ENV_282_30, STRING_246_11;
#endif
{

return OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117( STRING_246_11 );
}

obj_t
#if defined( __STDC__ )
OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240()
#else
OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240()
#endif
{

return open_output_string();
}

obj_t
#if defined( __STDC__ )
__OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27(obj_t ENV_281_73)
#else
__OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27( ENV_281_73 )
obj_t ENV_281_73;
#endif
{

return OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240();
}

obj_t
#if defined( __STDC__ )
CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48(obj_t PORT_247_222)
#else
CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48( PORT_247_222 )
obj_t PORT_247_222;
#endif
{

return close_input_port( PORT_247_222 );
}

obj_t
#if defined( __STDC__ )
__CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251(obj_t ENV_280_173,obj_t PORT_247_222)
#else
__CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251( ENV_280_173, PORT_247_222 )
obj_t ENV_280_173, PORT_247_222;
#endif
{

return CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48( PORT_247_222 );
}

obj_t
#if defined( __STDC__ )
CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43(obj_t PORT_248_76)
#else
CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43( PORT_248_76 )
obj_t PORT_248_76;
#endif
{

return close_output_port( PORT_248_76 );
}

obj_t
#if defined( __STDC__ )
__CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215(obj_t ENV_279_90,obj_t PORT_248_76)
#else
__CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215( ENV_279_90, PORT_248_76 )
obj_t ENV_279_90, PORT_248_76;
#endif
{

return CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43( PORT_248_76 );
}

obj_t
#if defined( __STDC__ )
FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126(obj_t PORT_249_203)
#else
FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126( PORT_249_203 )
obj_t PORT_249_203;
#endif
{

return FLUSH_OUTPUT_PORT( PORT_249_203 );
}

obj_t
#if defined( __STDC__ )
__FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150(obj_t ENV_278_129,obj_t PORT_249_203)
#else
__FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150( ENV_278_129, PORT_249_203 )
obj_t ENV_278_129, PORT_249_203;
#endif
{

return FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126( PORT_249_203 );
}

obj_t
#if defined( __STDC__ )
FILE_EXISTS____R4_PORTS_6_10_1_122(obj_t NAME_250_235)
#else
FILE_EXISTS____R4_PORTS_6_10_1_122( NAME_250_235 )
obj_t NAME_250_235;
#endif
{

{bool_t AUX_298_238;
AUX_298_238=fexists( BSTRING_TO_CSTRING( NAME_250_235 ) );return CBOOL_TO_BBOOL( AUX_298_238 );}
}

obj_t
#if defined( __STDC__ )
__FILE_EXISTS____R4_PORTS_6_10_1_169(obj_t ENV_277_136,obj_t NAME_250_235)
#else
__FILE_EXISTS____R4_PORTS_6_10_1_169( ENV_277_136, NAME_250_235 )
obj_t ENV_277_136, NAME_250_235;
#endif
{

return FILE_EXISTS____R4_PORTS_6_10_1_122( NAME_250_235 );
}

obj_t
#if defined( __STDC__ )
APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152(obj_t STRING_251_64)
#else
APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152( STRING_251_64 )
obj_t STRING_251_64;
#endif
{

return append_output_file( STRING_251_64 );
}

obj_t
#if defined( __STDC__ )
__APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177(obj_t ENV_276_153,obj_t STRING_251_64)
#else
__APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177( ENV_276_153, STRING_251_64 )
obj_t ENV_276_153, STRING_251_64;
#endif
{

return APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152( STRING_251_64 );
}

obj_t
#if defined( __STDC__ )
DELETE_FILE___R4_PORTS_6_10_1_147(obj_t STRING_252_77)
#else
DELETE_FILE___R4_PORTS_6_10_1_147( STRING_252_77 )
obj_t STRING_252_77;
#endif
{

{bool_t AUX_297_58;
AUX_297_58=unlink( BSTRING_TO_CSTRING( STRING_252_77 ) );return CBOOL_TO_BBOOL( AUX_297_58 );}
}

obj_t
#if defined( __STDC__ )
__DELETE_FILE___R4_PORTS_6_10_1_49(obj_t ENV_275_182,obj_t STRING_252_77)
#else
__DELETE_FILE___R4_PORTS_6_10_1_49( ENV_275_182, STRING_252_77 )
obj_t ENV_275_182, STRING_252_77;
#endif
{

return DELETE_FILE___R4_PORTS_6_10_1_147( STRING_252_77 );
}

obj_t
#if defined( __STDC__ )
RENAME_FILE___R4_PORTS_6_10_1_209(obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
RENAME_FILE___R4_PORTS_6_10_1_209( STRING1_253_70, STRING2_254_130 )
obj_t STRING1_253_70, STRING2_254_130;
#endif
{

{obj_t OBJ1_263_80;
{int AUX_296_22;
AUX_296_22=rename( BSTRING_TO_CSTRING( STRING1_253_70 ), BSTRING_TO_CSTRING( STRING2_254_130 ) );OBJ1_263_80=BINT( AUX_296_22 );}if( EQP( OBJ1_263_80, BINT( 0 ) ))
return BTRUE;else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__RENAME_FILE___R4_PORTS_6_10_1_104(obj_t ENV_274_111,obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
__RENAME_FILE___R4_PORTS_6_10_1_104( ENV_274_111, STRING1_253_70, STRING2_254_130 )
obj_t ENV_274_111, STRING1_253_70, STRING2_254_130;
#endif
{

return RENAME_FILE___R4_PORTS_6_10_1_209( STRING1_253_70, STRING2_254_130 );
}

