/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/symbols.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t SYMBOL_PLIST_ENV___R4_SYMBOLS_6_4_16 = BUNSPEC;
extern obj_t string_append();
obj_t GENSYM___R4_SYMBOLS_6_4_130 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL____R4_SYMBOLS_6_4_139(obj_t, obj_t);
#else
extern obj_t __SYMBOL____R4_SYMBOLS_6_4_139();
#endif
#if defined( __STDC__ )
extern obj_t GETPROP___R4_SYMBOLS_6_4_49(obj_t, obj_t);
#else
extern obj_t GETPROP___R4_SYMBOLS_6_4_49();
#endif
obj_t SYMBOL_APPEND_ENV___R4_SYMBOLS_6_4_48 = BUNSPEC;
obj_t PUTPROP__ENV___R4_SYMBOLS_6_4_109 = BUNSPEC;
extern obj_t make_va_procedure();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
#if defined( __STDC__ )
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26(obj_t);
#else
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26();
#endif
obj_t SYMBOL__STRING_ENV___R4_SYMBOLS_6_4_81 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL__STRING___R4_SYMBOLS_6_4_177(obj_t, obj_t);
#else
extern obj_t __SYMBOL__STRING___R4_SYMBOLS_6_4_177();
#endif
#if defined( __STDC__ )
extern obj_t __SYMBOL_APPEND___R4_SYMBOLS_6_4_217(obj_t, obj_t);
#else
extern obj_t __SYMBOL_APPEND___R4_SYMBOLS_6_4_217();
#endif
#if defined( __STDC__ )
extern obj_t STRING__SYMBOL___R4_SYMBOLS_6_4_216(obj_t);
#else
extern obj_t STRING__SYMBOL___R4_SYMBOLS_6_4_216();
#endif
#if defined( __STDC__ )
extern obj_t __GETPROP___R4_SYMBOLS_6_4_110(obj_t, obj_t, obj_t);
#else
extern obj_t __GETPROP___R4_SYMBOLS_6_4_110();
#endif
#if defined( __STDC__ )
extern obj_t SYMBOL____R4_SYMBOLS_6_4_102(obj_t);
#else
extern obj_t SYMBOL____R4_SYMBOLS_6_4_102();
#endif
static obj_t REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t GETPROP_ENV___R4_SYMBOLS_6_4_95 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
DEFINE_STRING( __3___R4_SYMBOLS_6_4_10, "", 0);
#if defined( __STDC__ )
extern obj_t __STRING__SYMBOL___R4_SYMBOLS_6_4_196(obj_t, obj_t);
#else
extern obj_t __STRING__SYMBOL___R4_SYMBOLS_6_4_196();
#endif
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
obj_t STRING__SYMBOL_ENV___R4_SYMBOLS_6_4_69 = BUNSPEC;
DEFINE_STRING( ILLEGAL__2___R4_SYMBOLS_6_4_151, "Illegal argument", 16);
DEFINE_STRING( G_0___R4_SYMBOLS_6_4_118, "g", 1);
#if defined( __STDC__ )
extern obj_t ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203(obj_t);
#else
extern obj_t ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203();
#endif
extern obj_t make_fx_procedure();
obj_t ___R4_SYMBOLS_6_4_INITIALISATION_ENV___R4_SYMBOLS_6_4_216 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REMPROP____R4_SYMBOLS_6_4_119(obj_t, obj_t);
#else
extern obj_t REMPROP____R4_SYMBOLS_6_4_119();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t SYMBOL__ENV___R4_SYMBOLS_6_4_104 = BUNSPEC;
obj_t REMPROP__ENV___R4_SYMBOLS_6_4_16 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
DEFINE_STRING( GENSYM_1___R4_SYMBOLS_6_4_13, "gensym", 6);
#if defined( __STDC__ )
extern obj_t SYMBOL_PLIST___R4_SYMBOLS_6_4_119(obj_t);
#else
extern obj_t SYMBOL_PLIST___R4_SYMBOLS_6_4_119();
#endif
#if defined( __STDC__ )
extern obj_t __SYMBOL_PLIST___R4_SYMBOLS_6_4_61(obj_t, obj_t);
#else
extern obj_t __SYMBOL_PLIST___R4_SYMBOLS_6_4_61();
#endif
#if defined( __STDC__ )
extern obj_t __PUTPROP____R4_SYMBOLS_6_4_98(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __PUTPROP____R4_SYMBOLS_6_4_98();
#endif
#if defined( __STDC__ )
extern obj_t PUTPROP____R4_SYMBOLS_6_4_111(obj_t, obj_t, obj_t);
#else
extern obj_t PUTPROP____R4_SYMBOLS_6_4_111();
#endif
#if defined( __STDC__ )
extern obj_t SYMBOL__STRING___R4_SYMBOLS_6_4_112(obj_t);
#else
extern obj_t SYMBOL__STRING___R4_SYMBOLS_6_4_112();
#endif
#if defined( __STDC__ )
extern obj_t __REMPROP____R4_SYMBOLS_6_4_197(obj_t, obj_t, obj_t);
#else
extern obj_t __REMPROP____R4_SYMBOLS_6_4_197();
#endif

static obj_t LAMBDA__1_0_229_123();
static obj_t LOOP_226_86();

obj_t
#if defined( __STDC__ )
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135()
#else
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87 ))
{
REQUIRE_INITIALISATION____R4_SYMBOLS_6_4_87=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
{
___R4_SYMBOLS_6_4_INITIALISATION_ENV___R4_SYMBOLS_6_4_216=make_fx_procedure( ____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203, 0, 0 );
SYMBOL__ENV___R4_SYMBOLS_6_4_104=make_fx_procedure( __SYMBOL____R4_SYMBOLS_6_4_139, 1, 0 );
SYMBOL__STRING_ENV___R4_SYMBOLS_6_4_81=make_fx_procedure( __SYMBOL__STRING___R4_SYMBOLS_6_4_177, 1, 0 );
STRING__SYMBOL_ENV___R4_SYMBOLS_6_4_69=make_fx_procedure( __STRING__SYMBOL___R4_SYMBOLS_6_4_196, 1, 0 );
SYMBOL_APPEND_ENV___R4_SYMBOLS_6_4_48=make_va_procedure( __SYMBOL_APPEND___R4_SYMBOLS_6_4_217, -1, 0 );
SYMBOL_PLIST_ENV___R4_SYMBOLS_6_4_16=make_fx_procedure( __SYMBOL_PLIST___R4_SYMBOLS_6_4_61, 1, 0 );
GETPROP_ENV___R4_SYMBOLS_6_4_95=make_fx_procedure( __GETPROP___R4_SYMBOLS_6_4_110, 2, 0 );
PUTPROP__ENV___R4_SYMBOLS_6_4_109=make_fx_procedure( __PUTPROP____R4_SYMBOLS_6_4_98, 3, 0 );
REMPROP__ENV___R4_SYMBOLS_6_4_16=make_fx_procedure( __REMPROP____R4_SYMBOLS_6_4_197, 2, 0 );
{
{obj_t COUNTER_228_32;
COUNTER_228_32=MAKE_CELL( BINT( 999 ) );{obj_t LAMBDA__1_0_ENV_310_117;
LAMBDA__1_0_ENV_310_117=make_va_procedure( LAMBDA__1_0_229_123, -1, 1 );{
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_310_117, 0, COUNTER_228_32 );
{obj_t A_FUNCTION_298_206;
A_FUNCTION_298_206=LAMBDA__1_0_ENV_310_117;GENSYM___R4_SYMBOLS_6_4_130=A_FUNCTION_298_206;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203(obj_t ENV_312_142)
#else
____R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_203( ENV_312_142 )
obj_t ENV_312_142;
#endif
{

return ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_0_229_123(obj_t LAMBDA__1_0_ENV_311_39,obj_t STRING_230_84)
#else
LAMBDA__1_0_229_123( LAMBDA__1_0_ENV_311_39, STRING_230_84 )
obj_t LAMBDA__1_0_ENV_311_39, STRING_230_84;
#endif
{

{obj_t COUNTER_228_32;
COUNTER_228_32=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_311_39, 0 );{obj_t STRING_231_226;
if( NULLP( STRING_230_84 ))
STRING_231_226=BREF( &G_0___R4_SYMBOLS_6_4_118);else
{obj_t OBJ_251_141;
OBJ_251_141=CAR( STRING_230_84 );if( SYMBOLP( OBJ_251_141 ))
STRING_231_226=SYMBOL_TO_STRING( OBJ_251_141 );else
if( STRINGP( OBJ_251_141 ))
STRING_231_226=OBJ_251_141;else
FAILURE( BREF( &GENSYM_1___R4_SYMBOLS_6_4_13), BREF( &ILLEGAL__2___R4_SYMBOLS_6_4_151), OBJ_251_141 );}{{_LOOP_232_169:

{
{obj_t L_262_221;
L_262_221=CELL_REF( COUNTER_228_32 );CELL_SET( COUNTER_228_32, ADD_I_PTAG( L_262_221, PSUB_TAG( 1 ) ) );}
{obj_t NAME_233_197;
{obj_t AUX_319_233;
{obj_t AUX_320_32;
AUX_320_32=CELL_REF( COUNTER_228_32 );AUX_319_233=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_320_32, BNIL );}NAME_233_197=string_append( STRING_231_226, AUX_319_233 );}if( symbol_exists_p( BSTRING_TO_CSTRING( NAME_233_197 ) ))
goto _LOOP_232_169;else
return c_string_to_symbol( BSTRING_TO_CSTRING( NAME_233_197 ) );}
}}}}}
}

obj_t
#if defined( __STDC__ )
SYMBOL____R4_SYMBOLS_6_4_102(obj_t OBJ_222_44)
#else
SYMBOL____R4_SYMBOLS_6_4_102( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( SYMBOLP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__SYMBOL____R4_SYMBOLS_6_4_139(obj_t ENV_309_206,obj_t OBJ_222_44)
#else
__SYMBOL____R4_SYMBOLS_6_4_139( ENV_309_206, OBJ_222_44 )
obj_t ENV_309_206, OBJ_222_44;
#endif
{

return SYMBOL____R4_SYMBOLS_6_4_102( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
SYMBOL__STRING___R4_SYMBOLS_6_4_112(obj_t SYMBOL_223_236)
#else
SYMBOL__STRING___R4_SYMBOLS_6_4_112( SYMBOL_223_236 )
obj_t SYMBOL_223_236;
#endif
{

return SYMBOL_TO_STRING( SYMBOL_223_236 );
}

obj_t
#if defined( __STDC__ )
__SYMBOL__STRING___R4_SYMBOLS_6_4_177(obj_t ENV_308_35,obj_t SYMBOL_223_236)
#else
__SYMBOL__STRING___R4_SYMBOLS_6_4_177( ENV_308_35, SYMBOL_223_236 )
obj_t ENV_308_35, SYMBOL_223_236;
#endif
{

return SYMBOL__STRING___R4_SYMBOLS_6_4_112( SYMBOL_223_236 );
}

obj_t
#if defined( __STDC__ )
STRING__SYMBOL___R4_SYMBOLS_6_4_216(obj_t STRING_224_201)
#else
STRING__SYMBOL___R4_SYMBOLS_6_4_216( STRING_224_201 )
obj_t STRING_224_201;
#endif
{

return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_224_201 ) );
}

obj_t
#if defined( __STDC__ )
__STRING__SYMBOL___R4_SYMBOLS_6_4_196(obj_t ENV_307_88,obj_t STRING_224_201)
#else
__STRING__SYMBOL___R4_SYMBOLS_6_4_196( ENV_307_88, STRING_224_201 )
obj_t ENV_307_88, STRING_224_201;
#endif
{

return STRING__SYMBOL___R4_SYMBOLS_6_4_216( STRING_224_201 );
}

obj_t
#if defined( __STDC__ )
SYMBOL_APPEND___R4_SYMBOLS_6_4_26(obj_t LIST_225_29)
#else
SYMBOL_APPEND___R4_SYMBOLS_6_4_26( LIST_225_29 )
obj_t LIST_225_29;
#endif
{

{obj_t STRING_264_255;
if( NULLP( LIST_225_29 ))
STRING_264_255=BREF( &__3___R4_SYMBOLS_6_4_10);else
STRING_264_255=LOOP_226_86( LIST_225_29 );return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_264_255 ) );}
}

static obj_t
#if defined( __STDC__ )
LOOP_226_86(obj_t LIST_227_185)
#else
LOOP_226_86( LIST_227_185 )
obj_t LIST_227_185;
#endif
{

{obj_t OBJ_265_238;
OBJ_265_238=CDR( LIST_227_185 );if( NULLP( OBJ_265_238 ))
{obj_t SYMBOL_267_124;
SYMBOL_267_124=CAR( LIST_227_185 );return SYMBOL_TO_STRING( SYMBOL_267_124 );}else
{obj_t SYMBOL_268_70;
SYMBOL_268_70=CAR( LIST_227_185 );{obj_t AUX_318_27;
obj_t AUX_317_25;
AUX_318_27=LOOP_226_86( OBJ_265_238 );AUX_317_25=SYMBOL_TO_STRING( SYMBOL_268_70 );return string_append( AUX_317_25, AUX_318_27 );}}}
}

obj_t
#if defined( __STDC__ )
__SYMBOL_APPEND___R4_SYMBOLS_6_4_217(obj_t ENV_306_133,obj_t LIST_225_29)
#else
__SYMBOL_APPEND___R4_SYMBOLS_6_4_217( ENV_306_133, LIST_225_29 )
obj_t ENV_306_133, LIST_225_29;
#endif
{

return SYMBOL_APPEND___R4_SYMBOLS_6_4_26( LIST_225_29 );
}

obj_t
#if defined( __STDC__ )
SYMBOL_PLIST___R4_SYMBOLS_6_4_119(obj_t SYMBOL_234_85)
#else
SYMBOL_PLIST___R4_SYMBOLS_6_4_119( SYMBOL_234_85 )
obj_t SYMBOL_234_85;
#endif
{

return GET_SYMBOL_PLIST( SYMBOL_234_85 );
}

obj_t
#if defined( __STDC__ )
__SYMBOL_PLIST___R4_SYMBOLS_6_4_61(obj_t ENV_305_154,obj_t SYMBOL_234_85)
#else
__SYMBOL_PLIST___R4_SYMBOLS_6_4_61( ENV_305_154, SYMBOL_234_85 )
obj_t ENV_305_154, SYMBOL_234_85;
#endif
{

return SYMBOL_PLIST___R4_SYMBOLS_6_4_119( SYMBOL_234_85 );
}

obj_t
#if defined( __STDC__ )
GETPROP___R4_SYMBOLS_6_4_49(obj_t SYMBOL_235_178,obj_t KEY_236_205)
#else
GETPROP___R4_SYMBOLS_6_4_49( SYMBOL_235_178, KEY_236_205 )
obj_t SYMBOL_235_178, KEY_236_205;
#endif
{

{obj_t PL_238_24;
{
PL_238_24=GET_SYMBOL_PLIST( SYMBOL_235_178 );
{_LOOP_237_87:

if( NULLP( PL_238_24 ))
return BFALSE;else
{obj_t OBJ1_272_140;
OBJ1_272_140=CAR( PL_238_24 );if( EQP( OBJ1_272_140, KEY_236_205 ))
{obj_t PAIR_274_209;
PAIR_274_209=CDR( PL_238_24 );return CAR( PAIR_274_209 );}else
{obj_t PAIR_277_203;
PAIR_277_203=CDR( PL_238_24 );{obj_t C_CDR_278_19;
C_CDR_278_19=CDR( PAIR_277_203 );{
PL_238_24=C_CDR_278_19;
goto _LOOP_237_87;
}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__GETPROP___R4_SYMBOLS_6_4_110(obj_t ENV_304_250,obj_t SYMBOL_235_178,obj_t KEY_236_205)
#else
__GETPROP___R4_SYMBOLS_6_4_110( ENV_304_250, SYMBOL_235_178, KEY_236_205 )
obj_t ENV_304_250, SYMBOL_235_178, KEY_236_205;
#endif
{

return GETPROP___R4_SYMBOLS_6_4_49( SYMBOL_235_178, KEY_236_205 );
}

obj_t
#if defined( __STDC__ )
PUTPROP____R4_SYMBOLS_6_4_111(obj_t SYMBOL_239_252,obj_t KEY_240_116,obj_t VAL_241_6)
#else
PUTPROP____R4_SYMBOLS_6_4_111( SYMBOL_239_252, KEY_240_116, VAL_241_6 )
obj_t SYMBOL_239_252, KEY_240_116, VAL_241_6;
#endif
{

{obj_t PL_243_109;
{
PL_243_109=GET_SYMBOL_PLIST( SYMBOL_239_252 );
{_LOOP_242_99:

if( NULLP( PL_243_109 ))
{obj_t NEW_244_141;
{obj_t VA_ARG_300_9;
{obj_t AUX_316_110;
AUX_316_110=GET_SYMBOL_PLIST( SYMBOL_239_252 );VA_ARG_300_9=MAKE_PAIR( AUX_316_110, BNIL );}{obj_t VA_ARG_301_89;
VA_ARG_301_89=MAKE_PAIR( VAL_241_6, VA_ARG_300_9 );NEW_244_141=CONS____R4_PAIRS_AND_LISTS_6_3_28( KEY_240_116, VA_ARG_301_89 );}}{
SET_SYMBOL_PLIST( SYMBOL_239_252, NEW_244_141 );
return NEW_244_141;
}}else
{obj_t OBJ1_279_174;
OBJ1_279_174=CAR( PL_243_109 );if( EQP( OBJ1_279_174, KEY_240_116 ))
{obj_t PAIR_282_53;
PAIR_282_53=CDR( PL_243_109 );return SET_CAR( PAIR_282_53, VAL_241_6 );}else
{obj_t PAIR_283_162;
PAIR_283_162=CDR( PL_243_109 );{obj_t C_CDR_284_223;
C_CDR_284_223=CDR( PAIR_283_162 );{
PL_243_109=C_CDR_284_223;
goto _LOOP_242_99;
}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__PUTPROP____R4_SYMBOLS_6_4_98(obj_t ENV_303_237,obj_t SYMBOL_239_252,obj_t KEY_240_116,obj_t VAL_241_6)
#else
__PUTPROP____R4_SYMBOLS_6_4_98( ENV_303_237, SYMBOL_239_252, KEY_240_116, VAL_241_6 )
obj_t ENV_303_237, SYMBOL_239_252, KEY_240_116, VAL_241_6;
#endif
{

return PUTPROP____R4_SYMBOLS_6_4_111( SYMBOL_239_252, KEY_240_116, VAL_241_6 );
}

obj_t
#if defined( __STDC__ )
REMPROP____R4_SYMBOLS_6_4_119(obj_t SYMBOL_245_232,obj_t KEY_246_192)
#else
REMPROP____R4_SYMBOLS_6_4_119( SYMBOL_245_232, KEY_246_192 )
obj_t SYMBOL_245_232, KEY_246_192;
#endif
{

{obj_t OLD_248_43, L_249_164;
{
L_249_164=GET_SYMBOL_PLIST( SYMBOL_245_232 );
OLD_248_43=BNIL;
{_LOOP_247_50:

if( NULLP( L_249_164 ))
return BFALSE;else
{obj_t OBJ1_285_73;
OBJ1_285_73=CAR( L_249_164 );if( EQP( OBJ1_285_73, KEY_246_192 ))
if( PAIRP( OLD_248_43 ))
{obj_t OBJ_289_1;
{obj_t PAIR_290_146;
PAIR_290_146=CDR( L_249_164 );OBJ_289_1=CDR( PAIR_290_146 );}return SET_CDR( OLD_248_43, OBJ_289_1 );}else
{obj_t PAIR_291_184;
PAIR_291_184=CDR( L_249_164 );{obj_t C_CDR_292_11;
C_CDR_292_11=CDR( PAIR_291_184 );return SET_SYMBOL_PLIST( SYMBOL_245_232, C_CDR_292_11 );}}else
{obj_t PAIR_293_117;
PAIR_293_117=CDR( L_249_164 );{obj_t C_CDR_294_239;
C_CDR_294_239=CDR( PAIR_293_117 );{obj_t L_315_238;
L_315_238=L_249_164;{
L_249_164=C_CDR_294_239;
OLD_248_43=L_315_238;
goto _LOOP_247_50;
}}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__REMPROP____R4_SYMBOLS_6_4_197(obj_t ENV_302_253,obj_t SYMBOL_245_232,obj_t KEY_246_192)
#else
__REMPROP____R4_SYMBOLS_6_4_197( ENV_302_253, SYMBOL_245_232, KEY_246_192 )
obj_t ENV_302_253, SYMBOL_245_232, KEY_246_192;
#endif
{

return REMPROP____R4_SYMBOLS_6_4_119( SYMBOL_245_232, KEY_246_192 );
}

