/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/vectors.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __VECTOR__LIST___R4_VECTORS_6_8_10(obj_t, obj_t);
#else
extern obj_t __VECTOR__LIST___R4_VECTORS_6_8_10();
#endif
obj_t VECTOR_TAG_ENV___R4_VECTORS_6_8_123 = BUNSPEC;
obj_t VECTOR_SET_UR__ENV___R4_VECTORS_6_8_63 = BUNSPEC;
obj_t ___R4_VECTORS_6_8_INITIALISATION_ENV___R4_VECTORS_6_8_15 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_VECTOR___R4_VECTORS_6_8_229(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_VECTOR___R4_VECTORS_6_8_229();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_TAG___R4_VECTORS_6_8_23(obj_t);
#else
extern obj_t VECTOR_TAG___R4_VECTORS_6_8_23();
#endif
obj_t VECTOR_REF_ENV___R4_VECTORS_6_8_14 = BUNSPEC;
DEFINE_STRING( INDEX_OU_1___R4_VECTORS_6_8_75, "index out of range", 18);
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
extern obj_t fill_vector();
obj_t VECTOR__ENV___R4_VECTORS_6_8_148 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_SET____R4_VECTORS_6_8_123(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_SET____R4_VECTORS_6_8_123();
#endif
#if defined( __STDC__ )
extern obj_t ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131(obj_t);
#else
extern obj_t ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131();
#endif
DEFINE_STRING( VECTOR_R_0___R4_VECTORS_6_8_129, "vector-ref", 10);
#if defined( __STDC__ )
extern obj_t __LIST__VECTOR___R4_VECTORS_6_8_201(obj_t, obj_t);
#else
extern obj_t __LIST__VECTOR___R4_VECTORS_6_8_201();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_SET____R4_VECTORS_6_8_35(obj_t, obj_t, obj_t);
#else
extern obj_t VECTOR_SET____R4_VECTORS_6_8_35();
#endif
extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t __VECTOR_REF_UR___R4_VECTORS_6_8_10(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_REF_UR___R4_VECTORS_6_8_10();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR_TAG_SET____R4_VECTORS_6_8_196(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_TAG_SET____R4_VECTORS_6_8_196();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_REF___R4_VECTORS_6_8_181(obj_t, obj_t);
#else
extern obj_t VECTOR_REF___R4_VECTORS_6_8_181();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_FILL____R4_VECTORS_6_8_68(obj_t, obj_t);
#else
extern obj_t VECTOR_FILL____R4_VECTORS_6_8_68();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR___R4_VECTORS_6_8_2(obj_t, obj_t);
#else
extern obj_t __VECTOR___R4_VECTORS_6_8_2();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR____R4_VECTORS_6_8_123(obj_t);
#else
extern obj_t VECTOR____R4_VECTORS_6_8_123();
#endif
obj_t VECTOR_TAG_SET__ENV___R4_VECTORS_6_8_16 = BUNSPEC;
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t REQUIRE_INITIALISATION____R4_VECTORS_6_8_140 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t LIST__VECTOR_ENV___R4_VECTORS_6_8_40 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_SET_UR____R4_VECTORS_6_8_86(obj_t, obj_t, obj_t);
#else
extern obj_t VECTOR_SET_UR____R4_VECTORS_6_8_86();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR____R4_VECTORS_6_8_229(obj_t, obj_t);
#else
extern obj_t __VECTOR____R4_VECTORS_6_8_229();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_REF_UR___R4_VECTORS_6_8_188(obj_t, obj_t);
#else
extern obj_t VECTOR_REF_UR___R4_VECTORS_6_8_188();
#endif
extern obj_t make_vector();
obj_t VECTOR_LENGTH_ENV___R4_VECTORS_6_8_217 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_LENGTH___R4_VECTORS_6_8_252(obj_t, obj_t);
#else
extern obj_t __VECTOR_LENGTH___R4_VECTORS_6_8_252();
#endif
obj_t VECTOR_ENV___R4_VECTORS_6_8_43 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_TAG___R4_VECTORS_6_8_156(obj_t, obj_t);
#else
extern obj_t __VECTOR_TAG___R4_VECTORS_6_8_156();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45(obj_t);
#else
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR_FILL____R4_VECTORS_6_8_132(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_FILL____R4_VECTORS_6_8_132();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR_SET_UR____R4_VECTORS_6_8_35(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_SET_UR____R4_VECTORS_6_8_35();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t VECTOR___R4_VECTORS_6_8_80(obj_t);
#else
extern obj_t VECTOR___R4_VECTORS_6_8_80();
#endif
DEFINE_STRING( VECTOR_S_2___R4_VECTORS_6_8_23, "vector-set!", 11);
obj_t VECTOR_SET__ENV___R4_VECTORS_6_8_11 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LIST__VECTOR___R4_VECTORS_6_8_97(obj_t);
#else
extern obj_t LIST__VECTOR___R4_VECTORS_6_8_97();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
extern obj_t VECTOR_LENGTH___R4_VECTORS_6_8_55(obj_t);
#else
extern obj_t VECTOR_LENGTH___R4_VECTORS_6_8_55();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_VECTOR___R4_VECTORS_6_8_22(obj_t, obj_t);
#else
extern obj_t MAKE_VECTOR___R4_VECTORS_6_8_22();
#endif
obj_t MAKE_VECTOR_ENV___R4_VECTORS_6_8_149 = BUNSPEC;
obj_t VECTOR_FILL__ENV___R4_VECTORS_6_8_9 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_REF___R4_VECTORS_6_8_148(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_REF___R4_VECTORS_6_8_148();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_TAG_SET____R4_VECTORS_6_8_87(obj_t, obj_t);
#else
extern obj_t VECTOR_TAG_SET____R4_VECTORS_6_8_87();
#endif
obj_t VECTOR__LIST_ENV___R4_VECTORS_6_8_61 = BUNSPEC;
obj_t VECTOR_REF_UR_ENV___R4_VECTORS_6_8_246 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215()
#else
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_VECTORS_6_8_140 ))
{
REQUIRE_INITIALISATION____R4_VECTORS_6_8_140=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
{
___R4_VECTORS_6_8_INITIALISATION_ENV___R4_VECTORS_6_8_15=make_fx_procedure( ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131, 0, 0 );
VECTOR__ENV___R4_VECTORS_6_8_148=make_fx_procedure( __VECTOR____R4_VECTORS_6_8_229, 1, 0 );
MAKE_VECTOR_ENV___R4_VECTORS_6_8_149=make_va_procedure( __MAKE_VECTOR___R4_VECTORS_6_8_229, -2, 0 );
VECTOR_ENV___R4_VECTORS_6_8_43=make_va_procedure( __VECTOR___R4_VECTORS_6_8_2, -1, 0 );
VECTOR_LENGTH_ENV___R4_VECTORS_6_8_217=make_fx_procedure( __VECTOR_LENGTH___R4_VECTORS_6_8_252, 1, 0 );
VECTOR_REF_ENV___R4_VECTORS_6_8_14=make_fx_procedure( __VECTOR_REF___R4_VECTORS_6_8_148, 2, 0 );
VECTOR_SET__ENV___R4_VECTORS_6_8_11=make_fx_procedure( __VECTOR_SET____R4_VECTORS_6_8_123, 3, 0 );
VECTOR_REF_UR_ENV___R4_VECTORS_6_8_246=make_fx_procedure( __VECTOR_REF_UR___R4_VECTORS_6_8_10, 2, 0 );
VECTOR_SET_UR__ENV___R4_VECTORS_6_8_63=make_fx_procedure( __VECTOR_SET_UR____R4_VECTORS_6_8_35, 3, 0 );
VECTOR__LIST_ENV___R4_VECTORS_6_8_61=make_fx_procedure( __VECTOR__LIST___R4_VECTORS_6_8_10, 1, 0 );
LIST__VECTOR_ENV___R4_VECTORS_6_8_40=make_fx_procedure( __LIST__VECTOR___R4_VECTORS_6_8_201, 1, 0 );
VECTOR_FILL__ENV___R4_VECTORS_6_8_9=make_fx_procedure( __VECTOR_FILL____R4_VECTORS_6_8_132, 2, 0 );
VECTOR_TAG_ENV___R4_VECTORS_6_8_123=make_fx_procedure( __VECTOR_TAG___R4_VECTORS_6_8_156, 1, 0 );
VECTOR_TAG_SET__ENV___R4_VECTORS_6_8_16=make_fx_procedure( __VECTOR_TAG_SET____R4_VECTORS_6_8_196, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131(obj_t ENV_309_206)
#else
____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131( ENV_309_206 )
obj_t ENV_309_206;
#endif
{

return ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
}

obj_t
#if defined( __STDC__ )
VECTOR____R4_VECTORS_6_8_123(obj_t OBJ_222_44)
#else
VECTOR____R4_VECTORS_6_8_123( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( VECTORP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__VECTOR____R4_VECTORS_6_8_229(obj_t ENV_308_35,obj_t OBJ_222_44)
#else
__VECTOR____R4_VECTORS_6_8_229( ENV_308_35, OBJ_222_44 )
obj_t ENV_308_35, OBJ_222_44;
#endif
{

return VECTOR____R4_VECTORS_6_8_123( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
MAKE_VECTOR___R4_VECTORS_6_8_22(obj_t INT_223_180,obj_t FILL_224_176)
#else
MAKE_VECTOR___R4_VECTORS_6_8_22( INT_223_180, FILL_224_176 )
obj_t INT_223_180, FILL_224_176;
#endif
{

if( NULLP( FILL_224_176 ))
return make_vector( INT_223_180, BUNSPEC );else
{obj_t C_CAR_256_113;
C_CAR_256_113=CAR( FILL_224_176 );return make_vector( INT_223_180, C_CAR_256_113 );}
}

obj_t
#if defined( __STDC__ )
__MAKE_VECTOR___R4_VECTORS_6_8_229(obj_t ENV_307_88,obj_t INT_223_180,obj_t FILL_224_176)
#else
__MAKE_VECTOR___R4_VECTORS_6_8_229( ENV_307_88, INT_223_180, FILL_224_176 )
obj_t ENV_307_88, INT_223_180, FILL_224_176;
#endif
{

return MAKE_VECTOR___R4_VECTORS_6_8_22( INT_223_180, FILL_224_176 );
}

obj_t
#if defined( __STDC__ )
VECTOR___R4_VECTORS_6_8_80(obj_t ARGS_225_98)
#else
VECTOR___R4_VECTORS_6_8_80( ARGS_225_98 )
obj_t ARGS_225_98;
#endif
{

return LIST__VECTOR___R4_VECTORS_6_8_97( ARGS_225_98 );
}

obj_t
#if defined( __STDC__ )
__VECTOR___R4_VECTORS_6_8_2(obj_t ENV_306_133,obj_t ARGS_225_98)
#else
__VECTOR___R4_VECTORS_6_8_2( ENV_306_133, ARGS_225_98 )
obj_t ENV_306_133, ARGS_225_98;
#endif
{

return VECTOR___R4_VECTORS_6_8_80( ARGS_225_98 );
}

obj_t
#if defined( __STDC__ )
VECTOR_LENGTH___R4_VECTORS_6_8_55(obj_t VECTOR_226_34)
#else
VECTOR_LENGTH___R4_VECTORS_6_8_55( VECTOR_226_34 )
obj_t VECTOR_226_34;
#endif
{

return VECTOR_LENGTH( VECTOR_226_34 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_LENGTH___R4_VECTORS_6_8_252(obj_t ENV_305_154,obj_t VECTOR_226_34)
#else
__VECTOR_LENGTH___R4_VECTORS_6_8_252( ENV_305_154, VECTOR_226_34 )
obj_t ENV_305_154, VECTOR_226_34;
#endif
{

return VECTOR_LENGTH___R4_VECTORS_6_8_55( VECTOR_226_34 );
}

obj_t
#if defined( __STDC__ )
VECTOR_REF___R4_VECTORS_6_8_181(obj_t VECTOR_227_50,obj_t K_228_105)
#else
VECTOR_REF___R4_VECTORS_6_8_181( VECTOR_227_50, K_228_105 )
obj_t VECTOR_227_50, K_228_105;
#endif
{

if( BOUND_CHECK( K_228_105, VECTOR_LENGTH( VECTOR_227_50 ) ))
return VECTOR_REF( VECTOR_227_50, K_228_105 );else
FAILURE( BREF( &VECTOR_R_0___R4_VECTORS_6_8_129), BREF( &INDEX_OU_1___R4_VECTORS_6_8_75), K_228_105 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_REF___R4_VECTORS_6_8_148(obj_t ENV_304_250,obj_t VECTOR_227_50,obj_t K_228_105)
#else
__VECTOR_REF___R4_VECTORS_6_8_148( ENV_304_250, VECTOR_227_50, K_228_105 )
obj_t ENV_304_250, VECTOR_227_50, K_228_105;
#endif
{

return VECTOR_REF___R4_VECTORS_6_8_181( VECTOR_227_50, K_228_105 );
}

obj_t
#if defined( __STDC__ )
VECTOR_SET____R4_VECTORS_6_8_35(obj_t VECTOR_229_4,obj_t K_230_106,obj_t OBJ_231_186)
#else
VECTOR_SET____R4_VECTORS_6_8_35( VECTOR_229_4, K_230_106, OBJ_231_186 )
obj_t VECTOR_229_4, K_230_106, OBJ_231_186;
#endif
{

if( BOUND_CHECK( K_230_106, VECTOR_LENGTH( VECTOR_229_4 ) ))
return VECTOR_SET( VECTOR_229_4, K_230_106, OBJ_231_186 );else
FAILURE( BREF( &VECTOR_S_2___R4_VECTORS_6_8_23), BREF( &INDEX_OU_1___R4_VECTORS_6_8_75), K_230_106 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_SET____R4_VECTORS_6_8_123(obj_t ENV_303_237,obj_t VECTOR_229_4,obj_t K_230_106,obj_t OBJ_231_186)
#else
__VECTOR_SET____R4_VECTORS_6_8_123( ENV_303_237, VECTOR_229_4, K_230_106, OBJ_231_186 )
obj_t ENV_303_237, VECTOR_229_4, K_230_106, OBJ_231_186;
#endif
{

return VECTOR_SET____R4_VECTORS_6_8_35( VECTOR_229_4, K_230_106, OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
VECTOR_REF_UR___R4_VECTORS_6_8_188(obj_t VECTOR_232_68,obj_t K_233_158)
#else
VECTOR_REF_UR___R4_VECTORS_6_8_188( VECTOR_232_68, K_233_158 )
obj_t VECTOR_232_68, K_233_158;
#endif
{

return VECTOR_REF( VECTOR_232_68, K_233_158 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_REF_UR___R4_VECTORS_6_8_10(obj_t ENV_302_253,obj_t VECTOR_232_68,obj_t K_233_158)
#else
__VECTOR_REF_UR___R4_VECTORS_6_8_10( ENV_302_253, VECTOR_232_68, K_233_158 )
obj_t ENV_302_253, VECTOR_232_68, K_233_158;
#endif
{

return VECTOR_REF_UR___R4_VECTORS_6_8_188( VECTOR_232_68, K_233_158 );
}

obj_t
#if defined( __STDC__ )
VECTOR_SET_UR____R4_VECTORS_6_8_86(obj_t VECTOR_234_197,obj_t K_235_102,obj_t OBJ_236_15)
#else
VECTOR_SET_UR____R4_VECTORS_6_8_86( VECTOR_234_197, K_235_102, OBJ_236_15 )
obj_t VECTOR_234_197, K_235_102, OBJ_236_15;
#endif
{

return VECTOR_SET( VECTOR_234_197, K_235_102, OBJ_236_15 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_SET_UR____R4_VECTORS_6_8_35(obj_t ENV_301_85,obj_t VECTOR_234_197,obj_t K_235_102,obj_t OBJ_236_15)
#else
__VECTOR_SET_UR____R4_VECTORS_6_8_35( ENV_301_85, VECTOR_234_197, K_235_102, OBJ_236_15 )
obj_t ENV_301_85, VECTOR_234_197, K_235_102, OBJ_236_15;
#endif
{

return VECTOR_SET_UR____R4_VECTORS_6_8_86( VECTOR_234_197, K_235_102, OBJ_236_15 );
}

obj_t
#if defined( __STDC__ )
VECTOR__LIST___R4_VECTORS_6_8_45(obj_t VECTOR_237_177)
#else
VECTOR__LIST___R4_VECTORS_6_8_45( VECTOR_237_177 )
obj_t VECTOR_237_177;
#endif
{

{obj_t VLEN_238_89;
VLEN_238_89=VECTOR_LENGTH( VECTOR_237_177 );if( EQ_I( VLEN_238_89, BINT( 0 ) ))
return BNIL;else
{obj_t I_240_178, ACC_241_4;
{
ACC_241_4=BNIL;
I_240_178=SUB_I_PTAG( VLEN_238_89, PSUB_TAG( 1 ) );
{_LOOP_239_36:

if( EQ_I( I_240_178, BINT( 0 ) ))
{obj_t OBJ1_271_233;
OBJ1_271_233=VECTOR_REF( VECTOR_237_177, I_240_178 );return MAKE_PAIR( OBJ1_271_233, ACC_241_4 );}else
{obj_t OBJ1_277_118;
OBJ1_277_118=VECTOR_REF( VECTOR_237_177, I_240_178 );{obj_t C_CONS_278_120;
C_CONS_278_120=MAKE_PAIR( OBJ1_277_118, ACC_241_4 );{obj_t I_311_173;
I_311_173=I_240_178;{
ACC_241_4=C_CONS_278_120;
I_240_178=SUB_I_PTAG( I_311_173, PSUB_TAG( 1 ) );
goto _LOOP_239_36;
}}}}}
}}}
}

obj_t
#if defined( __STDC__ )
__VECTOR__LIST___R4_VECTORS_6_8_10(obj_t ENV_300_178,obj_t VECTOR_237_177)
#else
__VECTOR__LIST___R4_VECTORS_6_8_10( ENV_300_178, VECTOR_237_177 )
obj_t ENV_300_178, VECTOR_237_177;
#endif
{

return VECTOR__LIST___R4_VECTORS_6_8_45( VECTOR_237_177 );
}

obj_t
#if defined( __STDC__ )
LIST__VECTOR___R4_VECTORS_6_8_97(obj_t LIST_242_204)
#else
LIST__VECTOR___R4_VECTORS_6_8_97( LIST_242_204 )
obj_t LIST_242_204;
#endif
{

{obj_t LEN_243_172;
LEN_243_172=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_242_204 );{obj_t VEC_244_252;
{obj_t FILL_281_82;
FILL_281_82=MAKE_PAIR( BNIL, BNIL );{obj_t C_CAR_284_136;
C_CAR_284_136=CAR( FILL_281_82 );VEC_244_252=make_vector( LEN_243_172, C_CAR_284_136 );}}{obj_t I_246_133, L_247_72;
{
L_247_72=LIST_242_204;
I_246_133=BINT( 0 );
{_LOOP_245_166:

if( EQ_I( I_246_133, LEN_243_172 ))
return VEC_244_252;else
{
{obj_t OBJ_285_27;
OBJ_285_27=CAR( L_247_72 );VECTOR_SET( VEC_244_252, I_246_133, OBJ_285_27 );}
{obj_t C_CDR_290_171;
C_CDR_290_171=CDR( L_247_72 );{obj_t I_310_73;
I_310_73=I_246_133;{
L_247_72=C_CDR_290_171;
I_246_133=ADD_I_PTAG( I_310_73, PSUB_TAG( 1 ) );
goto _LOOP_245_166;
}}}
}}
}}}}
}

obj_t
#if defined( __STDC__ )
__LIST__VECTOR___R4_VECTORS_6_8_201(obj_t ENV_299_81,obj_t LIST_242_204)
#else
__LIST__VECTOR___R4_VECTORS_6_8_201( ENV_299_81, LIST_242_204 )
obj_t ENV_299_81, LIST_242_204;
#endif
{

return LIST__VECTOR___R4_VECTORS_6_8_97( LIST_242_204 );
}

obj_t
#if defined( __STDC__ )
VECTOR_FILL____R4_VECTORS_6_8_68(obj_t VECTOR_248_198,obj_t FILL_249_131)
#else
VECTOR_FILL____R4_VECTORS_6_8_68( VECTOR_248_198, FILL_249_131 )
obj_t VECTOR_248_198, FILL_249_131;
#endif
{

return fill_vector( VECTOR_248_198, VECTOR_LENGTH( VECTOR_248_198 ), FILL_249_131 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_FILL____R4_VECTORS_6_8_132(obj_t ENV_298_20,obj_t VECTOR_248_198,obj_t FILL_249_131)
#else
__VECTOR_FILL____R4_VECTORS_6_8_132( ENV_298_20, VECTOR_248_198, FILL_249_131 )
obj_t ENV_298_20, VECTOR_248_198, FILL_249_131;
#endif
{

return VECTOR_FILL____R4_VECTORS_6_8_68( VECTOR_248_198, FILL_249_131 );
}

obj_t
#if defined( __STDC__ )
VECTOR_TAG___R4_VECTORS_6_8_23(obj_t VECTOR_250_68)
#else
VECTOR_TAG___R4_VECTORS_6_8_23( VECTOR_250_68 )
obj_t VECTOR_250_68;
#endif
{

return VECTOR_TAG( VECTOR_250_68 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_TAG___R4_VECTORS_6_8_156(obj_t ENV_297_21,obj_t VECTOR_250_68)
#else
__VECTOR_TAG___R4_VECTORS_6_8_156( ENV_297_21, VECTOR_250_68 )
obj_t ENV_297_21, VECTOR_250_68;
#endif
{

return VECTOR_TAG___R4_VECTORS_6_8_23( VECTOR_250_68 );
}

obj_t
#if defined( __STDC__ )
VECTOR_TAG_SET____R4_VECTORS_6_8_87(obj_t VECTOR_251_56,obj_t TAG_252_237)
#else
VECTOR_TAG_SET____R4_VECTORS_6_8_87( VECTOR_251_56, TAG_252_237 )
obj_t VECTOR_251_56, TAG_252_237;
#endif
{

return VECTOR_TAG_SET( VECTOR_251_56, TAG_252_237 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_TAG_SET____R4_VECTORS_6_8_196(obj_t ENV_296_98,obj_t VECTOR_251_56,obj_t TAG_252_237)
#else
__VECTOR_TAG_SET____R4_VECTORS_6_8_196( ENV_296_98, VECTOR_251_56, TAG_252_237 )
obj_t ENV_296_98, VECTOR_251_56, TAG_252_237;
#endif
{

return VECTOR_TAG_SET____R4_VECTORS_6_8_87( VECTOR_251_56, TAG_252_237 );
}

