/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/casting.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __DOUBLE__REAL___CASTING_163(obj_t, obj_t);
#else
extern obj_t __DOUBLE__REAL___CASTING_163();
#endif
obj_t CINT__BINT_ENV___CASTING_60 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t DOUBLE__REAL___CASTING_153(obj_t);
#else
extern obj_t DOUBLE__REAL___CASTING_153();
#endif
#if defined( __STDC__ )
extern obj_t __CINT__BINT___CASTING_52(obj_t, obj_t);
#else
extern obj_t __CINT__BINT___CASTING_52();
#endif
obj_t BCHAR__CCHAR_ENV___CASTING_73 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BCHAR__CCHAR___CASTING_125(obj_t);
#else
extern obj_t BCHAR__CCHAR___CASTING_125();
#endif
#if defined( __STDC__ )
extern obj_t CINT__BINT___CASTING_46(obj_t);
#else
extern obj_t CINT__BINT___CASTING_46();
#endif
#if defined( __STDC__ )
extern obj_t CSTRING__BSTRING___CASTING_89(obj_t);
#else
extern obj_t CSTRING__BSTRING___CASTING_89();
#endif
#if defined( __STDC__ )
extern obj_t __BCHAR__CCHAR___CASTING_71(obj_t, obj_t);
#else
extern obj_t __BCHAR__CCHAR___CASTING_71();
#endif
#if defined( __STDC__ )
extern obj_t __BBOOL__CBOOL___CASTING_6(obj_t, obj_t);
#else
extern obj_t __BBOOL__CBOOL___CASTING_6();
#endif
#if defined( __STDC__ )
extern obj_t BSTRING__CSTRING___CASTING_12(obj_t);
#else
extern obj_t BSTRING__CSTRING___CASTING_12();
#endif
obj_t BSTRING__CSTRING_ENV___CASTING_57 = BUNSPEC;
obj_t CCHAR__BCHAR_ENV___CASTING_83 = BUNSPEC;
obj_t BBOOL__CBOOL_ENV___CASTING_132 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BINT__CINT___CASTING_214(obj_t, obj_t);
#else
extern obj_t __BINT__CINT___CASTING_214();
#endif
#if defined( __STDC__ )
extern obj_t BINT__CINT___CASTING_148(obj_t);
#else
extern obj_t BINT__CINT___CASTING_148();
#endif
#if defined( __STDC__ )
extern obj_t __CCHAR__BCHAR___CASTING_154(obj_t, obj_t);
#else
extern obj_t __CCHAR__BCHAR___CASTING_154();
#endif
static obj_t REQUIRE_INITIALISATION____CASTING_134 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BSTRING__CSTRING___CASTING_218(obj_t, obj_t);
#else
extern obj_t __BSTRING__CSTRING___CASTING_218();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t REAL__DOUBLE_ENV___CASTING_71 = BUNSPEC;
obj_t CBOOL__BBOOL_ENV___CASTING_7 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BBOOL__CBOOL___CASTING_114(obj_t);
#else
extern obj_t BBOOL__CBOOL___CASTING_114();
#endif
obj_t BINT__CINT_ENV___CASTING_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CCHAR__BCHAR___CASTING_188(obj_t);
#else
extern obj_t CCHAR__BCHAR___CASTING_188();
#endif
#if defined( __STDC__ )
extern obj_t __CBOOL__BBOOL___CASTING_176(obj_t, obj_t);
#else
extern obj_t __CBOOL__BBOOL___CASTING_176();
#endif
obj_t ___CASTING_INITIALISATION_ENV___CASTING_128 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t ____CASTING_INITIALISATION___CASTING_176(obj_t);
#else
extern obj_t ____CASTING_INITIALISATION___CASTING_176();
#endif
extern obj_t ___CASTING_INITIALISATION___CASTING_82();
#if defined( __STDC__ )
extern obj_t CBOOL__BBOOL___CASTING_56(obj_t);
#else
extern obj_t CBOOL__BBOOL___CASTING_56();
#endif
obj_t DOUBLE__REAL_ENV___CASTING_35 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CSTRING__BSTRING___CASTING_50(obj_t, obj_t);
#else
extern obj_t __CSTRING__BSTRING___CASTING_50();
#endif
#if defined( __STDC__ )
extern obj_t REAL__DOUBLE___CASTING_150(obj_t);
#else
extern obj_t REAL__DOUBLE___CASTING_150();
#endif
#if defined( __STDC__ )
extern obj_t __REAL__DOUBLE___CASTING_32(obj_t, obj_t);
#else
extern obj_t __REAL__DOUBLE___CASTING_32();
#endif
obj_t CSTRING__BSTRING_ENV___CASTING_167 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___CASTING_INITIALISATION___CASTING_82()
#else
___CASTING_INITIALISATION___CASTING_82()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____CASTING_134 ))
{
REQUIRE_INITIALISATION____CASTING_134=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
___CASTING_INITIALISATION_ENV___CASTING_128=make_fx_procedure( ____CASTING_INITIALISATION___CASTING_176, 0, 0 );
CBOOL__BBOOL_ENV___CASTING_7=make_fx_procedure( __CBOOL__BBOOL___CASTING_176, 1, 0 );
BBOOL__CBOOL_ENV___CASTING_132=make_fx_procedure( __BBOOL__CBOOL___CASTING_6, 1, 0 );
CINT__BINT_ENV___CASTING_60=make_fx_procedure( __CINT__BINT___CASTING_52, 1, 0 );
BINT__CINT_ENV___CASTING_1=make_fx_procedure( __BINT__CINT___CASTING_214, 1, 0 );
CSTRING__BSTRING_ENV___CASTING_167=make_fx_procedure( __CSTRING__BSTRING___CASTING_50, 1, 0 );
BSTRING__CSTRING_ENV___CASTING_57=make_fx_procedure( __BSTRING__CSTRING___CASTING_218, 1, 0 );
CCHAR__BCHAR_ENV___CASTING_83=make_fx_procedure( __CCHAR__BCHAR___CASTING_154, 1, 0 );
BCHAR__CCHAR_ENV___CASTING_73=make_fx_procedure( __BCHAR__CCHAR___CASTING_71, 1, 0 );
DOUBLE__REAL_ENV___CASTING_35=make_fx_procedure( __DOUBLE__REAL___CASTING_163, 1, 0 );
REAL__DOUBLE_ENV___CASTING_71=make_fx_procedure( __REAL__DOUBLE___CASTING_32, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____CASTING_INITIALISATION___CASTING_176(obj_t ENV_249_221)
#else
____CASTING_INITIALISATION___CASTING_176( ENV_249_221 )
obj_t ENV_249_221;
#endif
{

return ___CASTING_INITIALISATION___CASTING_82();
}

obj_t
#if defined( __STDC__ )
CBOOL__BBOOL___CASTING_56(obj_t VOID_222_108)
#else
CBOOL__BBOOL___CASTING_56( VOID_222_108 )
obj_t VOID_222_108;
#endif
{

return VOID_222_108;
}

obj_t
#if defined( __STDC__ )
__CBOOL__BBOOL___CASTING_176(obj_t ENV_248_54,obj_t VOID_222_108)
#else
__CBOOL__BBOOL___CASTING_176( ENV_248_54, VOID_222_108 )
obj_t ENV_248_54, VOID_222_108;
#endif
{

return CBOOL__BBOOL___CASTING_56( VOID_222_108 );
}

obj_t
#if defined( __STDC__ )
BBOOL__CBOOL___CASTING_114(obj_t BOOL_223_224)
#else
BBOOL__CBOOL___CASTING_114( BOOL_223_224 )
obj_t BOOL_223_224;
#endif
{

return BOOL_223_224;
}

obj_t
#if defined( __STDC__ )
__BBOOL__CBOOL___CASTING_6(obj_t ENV_247_85,obj_t BOOL_223_224)
#else
__BBOOL__CBOOL___CASTING_6( ENV_247_85, BOOL_223_224 )
obj_t ENV_247_85, BOOL_223_224;
#endif
{

return BBOOL__CBOOL___CASTING_114( BOOL_223_224 );
}

obj_t
#if defined( __STDC__ )
CINT__BINT___CASTING_46(obj_t INT_224_160)
#else
CINT__BINT___CASTING_46( INT_224_160 )
obj_t INT_224_160;
#endif
{

return INT_224_160;
}

obj_t
#if defined( __STDC__ )
__CINT__BINT___CASTING_52(obj_t ENV_246_178,obj_t INT_224_160)
#else
__CINT__BINT___CASTING_52( ENV_246_178, INT_224_160 )
obj_t ENV_246_178, INT_224_160;
#endif
{

return CINT__BINT___CASTING_46( INT_224_160 );
}

obj_t
#if defined( __STDC__ )
BINT__CINT___CASTING_148(obj_t INT_225_215)
#else
BINT__CINT___CASTING_148( INT_225_215 )
obj_t INT_225_215;
#endif
{

return INT_225_215;
}

obj_t
#if defined( __STDC__ )
__BINT__CINT___CASTING_214(obj_t ENV_245_237,obj_t INT_225_215)
#else
__BINT__CINT___CASTING_214( ENV_245_237, INT_225_215 )
obj_t ENV_245_237, INT_225_215;
#endif
{

return BINT__CINT___CASTING_148( INT_225_215 );
}

obj_t
#if defined( __STDC__ )
CSTRING__BSTRING___CASTING_89(obj_t STRING_226_106)
#else
CSTRING__BSTRING___CASTING_89( STRING_226_106 )
obj_t STRING_226_106;
#endif
{

return CSTRING_TO_BSTRING( BSTRING_TO_CSTRING( STRING_226_106 ) );
}

obj_t
#if defined( __STDC__ )
__CSTRING__BSTRING___CASTING_50(obj_t ENV_244_253,obj_t STRING_226_106)
#else
__CSTRING__BSTRING___CASTING_50( ENV_244_253, STRING_226_106 )
obj_t ENV_244_253, STRING_226_106;
#endif
{

return CSTRING__BSTRING___CASTING_89( STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
BSTRING__CSTRING___CASTING_12(obj_t STRING_227_82)
#else
BSTRING__CSTRING___CASTING_12( STRING_227_82 )
obj_t STRING_227_82;
#endif
{

return CSTRING_TO_BSTRING( BSTRING_TO_CSTRING( STRING_227_82 ) );
}

obj_t
#if defined( __STDC__ )
__BSTRING__CSTRING___CASTING_218(obj_t ENV_243_154,obj_t STRING_227_82)
#else
__BSTRING__CSTRING___CASTING_218( ENV_243_154, STRING_227_82 )
obj_t ENV_243_154, STRING_227_82;
#endif
{

return BSTRING__CSTRING___CASTING_12( STRING_227_82 );
}

obj_t
#if defined( __STDC__ )
CCHAR__BCHAR___CASTING_188(obj_t CHAR_228_165)
#else
CCHAR__BCHAR___CASTING_188( CHAR_228_165 )
obj_t CHAR_228_165;
#endif
{

return CHAR_228_165;
}

obj_t
#if defined( __STDC__ )
__CCHAR__BCHAR___CASTING_154(obj_t ENV_242_250,obj_t CHAR_228_165)
#else
__CCHAR__BCHAR___CASTING_154( ENV_242_250, CHAR_228_165 )
obj_t ENV_242_250, CHAR_228_165;
#endif
{

return CCHAR__BCHAR___CASTING_188( CHAR_228_165 );
}

obj_t
#if defined( __STDC__ )
BCHAR__CCHAR___CASTING_125(obj_t CHAR_229_19)
#else
BCHAR__CCHAR___CASTING_125( CHAR_229_19 )
obj_t CHAR_229_19;
#endif
{

return CCHAR( CHAR_229_19 );
}

obj_t
#if defined( __STDC__ )
__BCHAR__CCHAR___CASTING_71(obj_t ENV_241_88,obj_t CHAR_229_19)
#else
__BCHAR__CCHAR___CASTING_71( ENV_241_88, CHAR_229_19 )
obj_t ENV_241_88, CHAR_229_19;
#endif
{

return BCHAR__CCHAR___CASTING_125( CHAR_229_19 );
}

obj_t
#if defined( __STDC__ )
DOUBLE__REAL___CASTING_153(obj_t DOUBLE_230_204)
#else
DOUBLE__REAL___CASTING_153( DOUBLE_230_204 )
obj_t DOUBLE_230_204;
#endif
{

return DOUBLE_TO_REAL( REAL_TO_DOUBLE( DOUBLE_230_204 ) );
}

obj_t
#if defined( __STDC__ )
__DOUBLE__REAL___CASTING_163(obj_t ENV_240_133,obj_t DOUBLE_230_204)
#else
__DOUBLE__REAL___CASTING_163( ENV_240_133, DOUBLE_230_204 )
obj_t ENV_240_133, DOUBLE_230_204;
#endif
{

return DOUBLE__REAL___CASTING_153( DOUBLE_230_204 );
}

obj_t
#if defined( __STDC__ )
REAL__DOUBLE___CASTING_150(obj_t REAL_231_206)
#else
REAL__DOUBLE___CASTING_150( REAL_231_206 )
obj_t REAL_231_206;
#endif
{

return DOUBLE_TO_REAL( REAL_TO_DOUBLE( REAL_231_206 ) );
}

obj_t
#if defined( __STDC__ )
__REAL__DOUBLE___CASTING_32(obj_t ENV_239_163,obj_t REAL_231_206)
#else
__REAL__DOUBLE___CASTING_32( ENV_239_163, REAL_231_206 )
obj_t ENV_239_163, REAL_231_206;
#endif
{

return REAL__DOUBLE___CASTING_150( REAL_231_206 );
}

