/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/error.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>
#include <signal.h>

extern obj_t ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
DEFINE_STRING( ARGUMENT_50___ERROR_152, "argument not a char", 19);
#if defined( __STDC__ )
extern obj_t DUMP_LAMBDA_STACK___ERROR_16(obj_t);
#else
extern obj_t DUMP_LAMBDA_STACK___ERROR_16();
#endif
DEFINE_STRING( CHAR___47___ERROR_132, "char=?", 6);
DEFINE_STRING( ___40___ERROR_132, "#", 1);
#if defined( __STDC__ )
static obj_t __SIGILL_ERROR_HANDLER___ERROR_53(obj_t, obj_t);
#else
static obj_t __SIGILL_ERROR_HANDLER___ERROR_53();
#endif
#if defined( __STDC__ )
extern obj_t __GET_LAMBDA_STACK___ERROR_9(obj_t);
#else
extern obj_t __GET_LAMBDA_STACK___ERROR_9();
#endif
DEFINE_STRING( ___7___ERROR_90, ":", 1);
DEFINE_STRING( ___38___ERROR_148, "^", 1);
#if defined( __STDC__ )
extern obj_t __WARNING_LOCATION___ERROR_37(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __WARNING_LOCATION___ERROR_37();
#endif
DEFINE_STRING( REACHED_12___ERROR_198, "reached", 7);
#if defined( __STDC__ )
static obj_t ERROR_LOCATION_FILE___ERROR_154(obj_t, obj_t);
#else
static obj_t ERROR_LOCATION_FILE___ERROR_154();
#endif
DEFINE_STRING( ___29___ERROR_64, "#", 1);
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
DEFINE_STRING( ______6___ERROR_1, " -- ", 4);
extern obj_t bigloo_exit();
DEFINE_STRING( _____ERRO_5___ERROR_45, "*** ERROR:bigloo:", 17);
#if defined( __STDC__ )
static obj_t MAKE_LOCATION_NOTIFIER___ERROR_249(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCATION_NOTIFIER___ERROR_249();
#endif
#if defined( __STDC__ )
static obj_t DO_WARN_LOCATION___ERROR_171(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t DO_WARN_LOCATION___ERROR_171();
#endif
static obj_t PROCEDURE_24___ERROR_7 = BUNSPEC;
DEFINE_STRING( ______35___ERROR_175, " -- ", 4);
#if defined( __STDC__ )
extern obj_t EXIT___ERROR_51(obj_t);
#else
extern obj_t EXIT___ERROR_51();
#endif
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
static obj_t DONE_46___ERROR_219 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ERROR___ERROR_148(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ERROR___ERROR_148();
#endif
DEFINE_STRING( REACHED_18___ERROR_117, "reached", 7);
#if defined( __STDC__ )
static obj_t FIX_TABULATION____ERROR_100(obj_t, obj_t, obj_t);
#else
static obj_t FIX_TABULATION____ERROR_100();
#endif
DEFINE_STRING( CHAR___49___ERROR_79, "char=?", 6);
#if defined( __STDC__ )
static obj_t __SIGBUS_ERROR_HANDLER___ERROR_24(obj_t, obj_t);
#else
static obj_t __SIGBUS_ERROR_HANDLER___ERROR_24();
#endif
DEFINE_STRING( __FLOATIN_11___ERROR_63, "`floating point' exception", 26);
#if defined( __STDC__ )
static obj_t SIGFPE_ERROR_HANDLER___ERROR_103(obj_t);
#else
static obj_t SIGFPE_ERROR_HANDLER___ERROR_103();
#endif
DEFINE_STRING( ___CHARAC_42___ERROR_159, ", character ", 12);
obj_t THE_FAILURE_ENV___ERROR_171 = BUNSPEC;
DEFINE_STRING( ___39___ERROR_210, "#", 1);
DEFINE_STRING( __37___ERROR_10, "", 0);
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t __WARNING____ERROR_215 = BUNSPEC;
DEFINE_STRING( ____LINE__32___ERROR_169, "\", line ", 8);
DEFINE_STRING( BIGLOO_16___ERROR_29, "bigloo", 6);
DEFINE_STRING( __ILLEGAL_14___ERROR_11, "`illegal instruction' exception", 31);
obj_t ___ERROR_INITIALISATION_ENV___ERROR_250 = BUNSPEC;
obj_t WARNING_LOCATION_ENV___ERROR_19 = BUNSPEC;
obj_t ERROR_LOCATION_ENV___ERROR_59 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t TYPE_ERROR___ERROR_146(obj_t, obj_t);
#else
extern obj_t TYPE_ERROR___ERROR_146();
#endif
#if defined( __STDC__ )
extern obj_t __DUMP_LAMBDA_STACK___ERROR_87(obj_t, obj_t);
#else
extern obj_t __DUMP_LAMBDA_STACK___ERROR_87();
#endif
DEFINE_STRING( ___27___ERROR_201, "^", 1);
extern obj_t make_string();
DEFINE_STRING( ____36___ERROR_22, "# ", 2);
extern obj_t make_va_procedure();
extern obj_t dump_lambda_stack();
DEFINE_STRING( __STDIN__2___ERROR_235, "[stdin]", 7);
#if defined( __STDC__ )
extern obj_t __REMOVE_ERROR_HANDLER____ERROR_200(obj_t);
#else
extern obj_t __REMOVE_ERROR_HANDLER____ERROR_200();
#endif
DEFINE_STRING( BIGLOO_19___ERROR_191, "bigloo", 6);
DEFINE_STRING( __26___ERROR_141, "", 0);
extern obj_t current_error_port;
DEFINE_STRING( __STRING__1___ERROR_15, "[string]", 8);
DEFINE_STRING( _____WARN_0___ERROR_238, "*** WARNING:bigloo:", 19);
#if defined( __STDC__ )
extern obj_t ERROR___ERROR_210(obj_t, obj_t, obj_t);
#else
extern obj_t ERROR___ERROR_210();
#endif
#if defined( __STDC__ )
extern obj_t ____ERROR_INITIALISATION___ERROR_102(obj_t);
#else
extern obj_t ____ERROR_INITIALISATION___ERROR_102();
#endif
DEFINE_STRING( __STDIN__23___ERROR_33, "[stdin]", 7);
extern obj_t current_output_port;
#if defined( __STDC__ )
extern obj_t __SET_LAMBDA_STACK____ERROR_231(obj_t, obj_t);
#else
extern obj_t __SET_LAMBDA_STACK____ERROR_231();
#endif
DEFINE_STRING( _______ER_34___ERROR_52, "# *** ERROR:bigloo:", 19);
#if defined( __STDC__ )
static obj_t SIGILL_ERROR_HANDLER___ERROR_122(obj_t);
#else
static obj_t SIGILL_ERROR_HANDLER___ERROR_122();
#endif
#if defined( __STDC__ )
extern obj_t WARNING___ERROR_212(obj_t);
#else
extern obj_t WARNING___ERROR_212();
#endif
static obj_t PROCEDURE_25___ERROR_81 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FAILURE___ERROR_233(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __FAILURE___ERROR_233();
#endif
DEFINE_STRING( ___30___ERROR_248, ":", 1);
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
DEFINE_STRING( ARITHMET_10___ERROR_79, "arithmetic procedure", 20);
static obj_t SIGSEGV_ERROR_HANDLER_ENV___ERROR_247 = BUNSPEC;
DEFINE_STRING( __SEGMENT_20___ERROR_141, "`segmentation violation' exception", 34);
#if defined( __STDC__ )
static obj_t SIGBUS_ERROR_HANDLER___ERROR_237(obj_t);
#else
static obj_t SIGBUS_ERROR_HANDLER___ERROR_237();
#endif
static obj_t __ERROR_HANDLER____ERROR_161 = BUNSPEC;
DEFINE_STRING( ___EXPECT_8___ERROR_192, "' expected for variable ", 24);
#if defined( __STDC__ )
extern obj_t __THE_FAILURE___ERROR_207(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __THE_FAILURE___ERROR_207();
#endif
#if defined( __STDC__ )
extern obj_t __EXIT___ERROR_230(obj_t, obj_t);
#else
extern obj_t __EXIT___ERROR_230();
#endif
DEFINE_STRING( ARGUMENT_48___ERROR_224, "argument not a char", 19);
static obj_t REQUIRE_INITIALISATION____ERROR_89 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t WARNING_LOCATION___ERROR_230(obj_t, obj_t, obj_t);
#else
extern obj_t WARNING_LOCATION___ERROR_230();
#endif
obj_t NOTIFY_ERROR_ENV___ERROR_45 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ERROR_LOCATION___ERROR_58(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ERROR_LOCATION___ERROR_58();
#endif
obj_t TYPE_ERROR_ENV___ERROR_11 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ADD_ERROR_HANDLER____ERROR_166(obj_t, obj_t, obj_t);
#else
extern obj_t __ADD_ERROR_HANDLER____ERROR_166();
#endif
obj_t FAILURE_ENV___ERROR_225 = BUNSPEC;
obj_t ERROR_ENV___ERROR_206 = BUNSPEC;
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t READER_RESET____READER_76();
DEFINE_STRING( ___28___ERROR_157, "#", 1);
DEFINE_STRING( NOT_AN_E_4___ERROR_195, "Not an error handler", 20);
#if defined( __STDC__ )
extern obj_t ADD_ERROR_HANDLER____ERROR_27(obj_t, obj_t);
#else
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
#endif
DEFINE_STRING( _______WA_45___ERROR_86, "# *** WARNING:bigloo:", 21);
DEFINE_STRING( BIGLOO_13___ERROR_82, "bigloo", 6);
#if defined( __STDC__ )
static obj_t __SIGFPE_ERROR_HANDLER___ERROR_87(obj_t, obj_t);
#else
static obj_t __SIGFPE_ERROR_HANDLER___ERROR_87();
#endif
extern obj_t READ_LINE___R4_INPUT_6_10_2_31;
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
#if defined( __STDC__ )
extern obj_t __WARNING___ERROR_25(obj_t, obj_t);
#else
extern obj_t __WARNING___ERROR_25();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
obj_t GET_LAMBDA_STACK_ENV___ERROR_198 = BUNSPEC;
DEFINE_STRING( ___CHARAC_31___ERROR_227, ", character ", 12);
DEFINE_STRING( REACHED_21___ERROR_16, "reached", 7);
static obj_t SIGILL_ERROR_HANDLER_ENV___ERROR_73 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FAILURE___ERROR_52(obj_t, obj_t, obj_t);
#else
extern obj_t FAILURE___ERROR_52();
#endif
static obj_t SIGFPE_ERROR_HANDLER_ENV___ERROR_247 = BUNSPEC;
DEFINE_STRING( ___41___ERROR_197, ":", 1);
DEFINE_STRING( REACHED_15___ERROR_69, "reached", 7);
extern obj_t SIGNAL___SYSTEM_12();
#if defined( __STDC__ )
extern obj_t SET_LAMBDA_STACK____ERROR_132(obj_t);
#else
extern obj_t SET_LAMBDA_STACK____ERROR_132();
#endif
extern obj_t make_fx_procedure();
obj_t WARNING_ENV___ERROR_46 = BUNSPEC;
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
#if defined( __STDC__ )
static obj_t __SIGSEGV_ERROR_HANDLER___ERROR_81(obj_t, obj_t);
#else
static obj_t __SIGSEGV_ERROR_HANDLER___ERROR_81();
#endif
DEFINE_STRING( TYPE___9___ERROR_209, "type `", 6);
DEFINE_STRING( FILE___44___ERROR_103, "File \"", 6);
DEFINE_STRING( __BUS_ERR_17___ERROR_201, "`bus error' exception", 21);
#if defined( __STDC__ )
extern obj_t ERROR_LOCATION___ERROR_177(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ERROR_LOCATION___ERROR_177();
#endif
DEFINE_STRING( FILE___33___ERROR_56, "File \"", 6);
#if defined( __STDC__ )
extern obj_t NOTIFY_ERROR___ERROR_187(obj_t, obj_t, obj_t);
#else
extern obj_t NOTIFY_ERROR___ERROR_187();
#endif
extern obj_t SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68();
#if defined( __STDC__ )
extern obj_t __TYPE_ERROR___ERROR_3(obj_t, obj_t, obj_t);
#else
extern obj_t __TYPE_ERROR___ERROR_3();
#endif
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();
obj_t DUMP_LAMBDA_STACK_ENV___ERROR_15 = BUNSPEC;
obj_t REMOVE_ERROR_HANDLER__ENV___ERROR_203 = BUNSPEC;
obj_t EXIT_ENV___ERROR_145 = BUNSPEC;
#if defined( __STDC__ )
static obj_t WARNING_LOCATION_FILE___ERROR_158(obj_t, obj_t, obj_t);
#else
static obj_t WARNING_LOCATION_FILE___ERROR_158();
#endif
obj_t ADD_ERROR_HANDLER__ENV___ERROR_238 = BUNSPEC;
extern bool_t bigloo_strcmp();
obj_t SET_LAMBDA_STACK__ENV___ERROR_26 = BUNSPEC;
DEFINE_STRING( ____LINE__43___ERROR_239, "\", line ", 8);
#if defined( __STDC__ )
static obj_t SIGSEGV_ERROR_HANDLER___ERROR_103(obj_t);
#else
static obj_t SIGSEGV_ERROR_HANDLER___ERROR_103();
#endif
#if defined( __STDC__ )
extern obj_t the_failure(obj_t, obj_t, obj_t);
#else
extern obj_t the_failure();
#endif
DEFINE_STRING( __STRING__22___ERROR_253, "[string]", 8);
static obj_t __ERROR_NOTIFIER____ERROR_69 = BUNSPEC;
static obj_t SIGBUS_ERROR_HANDLER_ENV___ERROR_151 = BUNSPEC;
extern obj_t GET_LAMBDA_STACK___ERROR_206();
DEFINE_STRING( ERROR_3___ERROR_32, "error", 5);
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
#if defined( __STDC__ )
extern obj_t __NOTIFY_ERROR___ERROR_67(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __NOTIFY_ERROR___ERROR_67();
#endif

static obj_t LAMBDA_3_1_278_201();
static obj_t LAMBDA_3_0_271_72();
static obj_t LAMBDA_3_2_288_48();

obj_t
#if defined( __STDC__ )
___ERROR_INITIALISATION___ERROR_92()
#else
___ERROR_INITIALISATION___ERROR_92()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____ERROR_89 ))
{
REQUIRE_INITIALISATION____ERROR_89=BFALSE;
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___SYSTEM_INITIALISATION___SYSTEM_109();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
DONE_46___ERROR_219=c_string_to_symbol( "DONE" );
PROCEDURE_25___ERROR_81=make_fx_procedure( LAMBDA_3_0_271_72, 3, 0 );
PROCEDURE_24___ERROR_7=make_fx_procedure( LAMBDA_3_1_278_201, 3, 0 );
{
___ERROR_INITIALISATION_ENV___ERROR_250=make_fx_procedure( ____ERROR_INITIALISATION___ERROR_102, 0, 0 );
GET_LAMBDA_STACK_ENV___ERROR_198=make_fx_procedure( __GET_LAMBDA_STACK___ERROR_9, 0, 0 );
SET_LAMBDA_STACK__ENV___ERROR_26=make_fx_procedure( __SET_LAMBDA_STACK____ERROR_231, 1, 0 );
EXIT_ENV___ERROR_145=make_fx_procedure( __EXIT___ERROR_230, 1, 0 );
DUMP_LAMBDA_STACK_ENV___ERROR_15=make_va_procedure( __DUMP_LAMBDA_STACK___ERROR_87, -1, 0 );
ADD_ERROR_HANDLER__ENV___ERROR_238=make_fx_procedure( __ADD_ERROR_HANDLER____ERROR_166, 2, 0 );
REMOVE_ERROR_HANDLER__ENV___ERROR_203=make_fx_procedure( __REMOVE_ERROR_HANDLER____ERROR_200, 0, 0 );
FAILURE_ENV___ERROR_225=make_fx_procedure( __FAILURE___ERROR_233, 3, 0 );
ERROR_ENV___ERROR_206=make_fx_procedure( __ERROR___ERROR_148, 3, 0 );
WARNING_ENV___ERROR_46=make_va_procedure( __WARNING___ERROR_25, -1, 0 );
WARNING_LOCATION_ENV___ERROR_19=make_va_procedure( __WARNING_LOCATION___ERROR_37, -3, 0 );
THE_FAILURE_ENV___ERROR_171=make_fx_procedure( __THE_FAILURE___ERROR_207, 3, 0 );
NOTIFY_ERROR_ENV___ERROR_45=make_fx_procedure( __NOTIFY_ERROR___ERROR_67, 3, 0 );
TYPE_ERROR_ENV___ERROR_11=make_fx_procedure( __TYPE_ERROR___ERROR_3, 2, 0 );
SIGFPE_ERROR_HANDLER_ENV___ERROR_247=make_fx_procedure( __SIGFPE_ERROR_HANDLER___ERROR_87, 1, 0 );
SIGILL_ERROR_HANDLER_ENV___ERROR_73=make_fx_procedure( __SIGILL_ERROR_HANDLER___ERROR_53, 1, 0 );
SIGBUS_ERROR_HANDLER_ENV___ERROR_151=make_fx_procedure( __SIGBUS_ERROR_HANDLER___ERROR_24, 1, 0 );
SIGSEGV_ERROR_HANDLER_ENV___ERROR_247=make_fx_procedure( __SIGSEGV_ERROR_HANDLER___ERROR_81, 1, 0 );
ERROR_LOCATION_ENV___ERROR_59=make_fx_procedure( __ERROR_LOCATION___ERROR_58, 5, 0 );
{
__WARNING____ERROR_215=BTRUE;
__ERROR_HANDLER____ERROR_161=BNIL;
__ERROR_NOTIFIER____ERROR_69=BUNSPEC;
{obj_t A_FUNCTION_402_141;
A_FUNCTION_402_141=SIGFPE_ERROR_HANDLER_ENV___ERROR_247;SIGNAL___SYSTEM_12( BINT( SIGFPE ), A_FUNCTION_402_141 );}
{obj_t A_FUNCTION_403_86;
A_FUNCTION_403_86=SIGILL_ERROR_HANDLER_ENV___ERROR_73;SIGNAL___SYSTEM_12( BINT( SIGILL ), A_FUNCTION_403_86 );}
{obj_t A_FUNCTION_404_60;
A_FUNCTION_404_60=SIGBUS_ERROR_HANDLER_ENV___ERROR_151;SIGNAL___SYSTEM_12( BINT( SIGBUS ), A_FUNCTION_404_60 );}
{obj_t A_FUNCTION_405_66;
A_FUNCTION_405_66=SIGSEGV_ERROR_HANDLER_ENV___ERROR_247;SIGNAL___SYSTEM_12( BINT( SIGSEGV ), A_FUNCTION_405_66 );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____ERROR_INITIALISATION___ERROR_102(obj_t ENV_508_93)
#else
____ERROR_INITIALISATION___ERROR_102( ENV_508_93 )
obj_t ENV_508_93;
#endif
{

return ___ERROR_INITIALISATION___ERROR_92();
}

obj_t
#if defined( __STDC__ )
GET_LAMBDA_STACK___ERROR_206()
#else
GET_LAMBDA_STACK___ERROR_206()
#endif
{

return GET_LAMBDA_STACK();
}

obj_t
#if defined( __STDC__ )
__GET_LAMBDA_STACK___ERROR_9(obj_t ENV_507_102)
#else
__GET_LAMBDA_STACK___ERROR_9( ENV_507_102 )
obj_t ENV_507_102;
#endif
{

return GET_LAMBDA_STACK___ERROR_206();
}

obj_t
#if defined( __STDC__ )
SET_LAMBDA_STACK____ERROR_132(obj_t OBJ_222_44)
#else
SET_LAMBDA_STACK____ERROR_132( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return SET_LAMBDA_STACK( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
__SET_LAMBDA_STACK____ERROR_231(obj_t ENV_506_218,obj_t OBJ_222_44)
#else
__SET_LAMBDA_STACK____ERROR_231( ENV_506_218, OBJ_222_44 )
obj_t ENV_506_218, OBJ_222_44;
#endif
{

return SET_LAMBDA_STACK____ERROR_132( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
EXIT___ERROR_51(obj_t N_223_241)
#else
EXIT___ERROR_51( N_223_241 )
obj_t N_223_241;
#endif
{

return bigloo_exit( N_223_241 );
}

obj_t
#if defined( __STDC__ )
__EXIT___ERROR_230(obj_t ENV_505_255,obj_t N_223_241)
#else
__EXIT___ERROR_230( ENV_505_255, N_223_241 )
obj_t ENV_505_255, N_223_241;
#endif
{

return EXIT___ERROR_51( N_223_241 );
}

obj_t
#if defined( __STDC__ )
DUMP_LAMBDA_STACK___ERROR_16(obj_t DEPTH_224_89)
#else
DUMP_LAMBDA_STACK___ERROR_16( DEPTH_224_89 )
obj_t DEPTH_224_89;
#endif
{

{obj_t DEPTH_225_9;
{obj_t __ortest_1000_226_92;
__ortest_1000_226_92=CBOOL_TO_BBOOL( NULLP( DEPTH_224_89 ) );{if( BBOOL_TO_CBOOL( __ortest_1000_226_92 ))
goto _true_6;else
{obj_t OBJ_325_7;
{obj_t OBJ_327_73;
OBJ_327_73=CAR( DEPTH_224_89 );OBJ_325_7=CBOOL_TO_BBOOL( INTEGERP( OBJ_327_73 ) );}if( BBOOL_TO_CBOOL( OBJ_325_7 ))
goto _false_7;else
goto _true_6;}_true_6:
{DEPTH_225_9=BINT( 10 );
goto _endif_8;}_false_7:
DEPTH_225_9=CAR( DEPTH_224_89 );_endif_8:
;
}}return dump_lambda_stack( current_error_port, CINT( DEPTH_225_9 ) );}
}

obj_t
#if defined( __STDC__ )
__DUMP_LAMBDA_STACK___ERROR_87(obj_t ENV_504_240,obj_t DEPTH_224_89)
#else
__DUMP_LAMBDA_STACK___ERROR_87( ENV_504_240, DEPTH_224_89 )
obj_t ENV_504_240, DEPTH_224_89;
#endif
{

return DUMP_LAMBDA_STACK___ERROR_16( DEPTH_224_89 );
}

obj_t
#if defined( __STDC__ )
ADD_ERROR_HANDLER____ERROR_27(obj_t HANDLER_227_50,obj_t ESCAPE_228_89)
#else
ADD_ERROR_HANDLER____ERROR_27( HANDLER_227_50, ESCAPE_228_89 )
obj_t HANDLER_227_50, ESCAPE_228_89;
#endif
{

{obj_t OBJ2_332_92;
OBJ2_332_92=__ERROR_HANDLER____ERROR_161;{obj_t OBJ1_331_48;
OBJ1_331_48=MAKE_PAIR( HANDLER_227_50, ESCAPE_228_89 );__ERROR_HANDLER____ERROR_161=MAKE_PAIR( OBJ1_331_48, OBJ2_332_92 );}}
}

obj_t
#if defined( __STDC__ )
__ADD_ERROR_HANDLER____ERROR_166(obj_t ENV_503_82,obj_t HANDLER_227_50,obj_t ESCAPE_228_89)
#else
__ADD_ERROR_HANDLER____ERROR_166( ENV_503_82, HANDLER_227_50, ESCAPE_228_89 )
obj_t ENV_503_82, HANDLER_227_50, ESCAPE_228_89;
#endif
{

return ADD_ERROR_HANDLER____ERROR_27( HANDLER_227_50, ESCAPE_228_89 );
}

obj_t
#if defined( __STDC__ )
REMOVE_ERROR_HANDLER____ERROR_19()
#else
REMOVE_ERROR_HANDLER____ERROR_19()
#endif
{

{
{obj_t OBJ_334_177;
OBJ_334_177=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_334_177 ))
{obj_t PAIR_336_134;
PAIR_336_134=__ERROR_HANDLER____ERROR_161;__ERROR_HANDLER____ERROR_161=CDR( PAIR_336_134 );}else
BFALSE;}
return __ERROR_HANDLER____ERROR_161;
}
}

obj_t
#if defined( __STDC__ )
__REMOVE_ERROR_HANDLER____ERROR_200(obj_t ENV_502_106)
#else
__REMOVE_ERROR_HANDLER____ERROR_200( ENV_502_106 )
obj_t ENV_502_106;
#endif
{

return REMOVE_ERROR_HANDLER____ERROR_19();
}

obj_t
#if defined( __STDC__ )
FAILURE___ERROR_52(obj_t PROC_229_84,obj_t MESSAGE_230_22,obj_t OBJECT_231_171)
#else
FAILURE___ERROR_52( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 )
obj_t PROC_229_84, MESSAGE_230_22, OBJECT_231_171;
#endif
{

FAILURE( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 );
}

obj_t
#if defined( __STDC__ )
__FAILURE___ERROR_233(obj_t ENV_501_158,obj_t PROC_229_84,obj_t MESSAGE_230_22,obj_t OBJECT_231_171)
#else
__FAILURE___ERROR_233( ENV_501_158, PROC_229_84, MESSAGE_230_22, OBJECT_231_171 )
obj_t ENV_501_158, PROC_229_84, MESSAGE_230_22, OBJECT_231_171;
#endif
{

return FAILURE___ERROR_52( PROC_229_84, MESSAGE_230_22, OBJECT_231_171 );
}

obj_t
#if defined( __STDC__ )
ERROR___ERROR_210(obj_t PROC_232_246,obj_t MESSAGE_233_78,obj_t OBJECT_234_193)
#else
ERROR___ERROR_210( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 )
obj_t PROC_232_246, MESSAGE_233_78, OBJECT_234_193;
#endif
{

FAILURE( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 );
}

obj_t
#if defined( __STDC__ )
__ERROR___ERROR_148(obj_t ENV_500_201,obj_t PROC_232_246,obj_t MESSAGE_233_78,obj_t OBJECT_234_193)
#else
__ERROR___ERROR_148( ENV_500_201, PROC_232_246, MESSAGE_233_78, OBJECT_234_193 )
obj_t ENV_500_201, PROC_232_246, MESSAGE_233_78, OBJECT_234_193;
#endif
{

return ERROR___ERROR_210( PROC_232_246, MESSAGE_233_78, OBJECT_234_193 );
}

obj_t
#if defined( __STDC__ )
WARNING___ERROR_212(obj_t ARGS_235_13)
#else
WARNING___ERROR_212( ARGS_235_13 )
obj_t ARGS_235_13;
#endif
{

if( BBOOL_TO_CBOOL( __WARNING____ERROR_215 ))
{
{obj_t PORT_338_252;
PORT_338_252=current_output_port;FLUSH_OUTPUT_PORT( PORT_338_252 );}
{obj_t VA_ARG_406_64;
VA_ARG_406_64=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_406_64 );}
{obj_t VA_ARG_407_121;
VA_ARG_407_121=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_____WARN_0___ERROR_238), VA_ARG_407_121 );}
if( NULLP( ARGS_235_13 ))
BFALSE;else
{
{obj_t VA_ARG_408_194;
VA_ARG_408_194=MAKE_PAIR( CAR( ARGS_235_13 ), BNIL );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_408_194 );}
{obj_t g1001_237_242;
{
g1001_237_242=CDR( ARGS_235_13 );
{_g1002_236_63:

if( PAIRP( g1001_237_242 ))
{
{obj_t A_238_233;
A_238_233=CAR( g1001_237_242 );{obj_t VA_ARG_409_185;
VA_ARG_409_185=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_238_233, VA_ARG_409_185 );}}
{obj_t g1001_523_66;
g1001_523_66=g1001_237_242;{
g1001_237_242=CDR( g1001_523_66 );
goto _g1002_236_63;
}}
}else
BTRUE;}
}}
}
{obj_t VA_ARG_410_11;
VA_ARG_410_11=MAKE_PAIR( current_error_port, BNIL );return NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_410_11 );}
}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__WARNING___ERROR_25(obj_t ENV_499_28,obj_t ARGS_235_13)
#else
__WARNING___ERROR_25( ENV_499_28, ARGS_235_13 )
obj_t ENV_499_28, ARGS_235_13;
#endif
{

return WARNING___ERROR_212( ARGS_235_13 );
}

obj_t
#if defined( __STDC__ )
WARNING_LOCATION___ERROR_230(obj_t FNAME_239_104,obj_t LOCATION_240_222,obj_t ARGS_241_241)
#else
WARNING_LOCATION___ERROR_230( FNAME_239_104, LOCATION_240_222, ARGS_241_241 )
obj_t FNAME_239_104, LOCATION_240_222, ARGS_241_241;
#endif
{

if( BBOOL_TO_CBOOL( __WARNING____ERROR_215 ))
if( bigloo_strcmp( FNAME_239_104, BREF( &__STRING__1___ERROR_15) ))
{obj_t ARGS_235_411_55;
ARGS_235_411_55=BUNSPEC;{
ARGS_235_411_55=ARGS_241_241;
return WARNING___ERROR_212( ARGS_235_411_55 );
}}else
if( bigloo_strcmp( FNAME_239_104, BREF( &__STDIN__2___ERROR_235) ))
{obj_t ARGS_235_412_105;
ARGS_235_412_105=BUNSPEC;{
ARGS_235_412_105=ARGS_241_241;
return WARNING___ERROR_212( ARGS_235_412_105 );
}}else
return WARNING_LOCATION_FILE___ERROR_158( FNAME_239_104, LOCATION_240_222, ARGS_241_241 );else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__WARNING_LOCATION___ERROR_37(obj_t ENV_498_210,obj_t FNAME_239_104,obj_t LOCATION_240_222,obj_t ARGS_241_241)
#else
__WARNING_LOCATION___ERROR_37( ENV_498_210, FNAME_239_104, LOCATION_240_222, ARGS_241_241 )
obj_t ENV_498_210, FNAME_239_104, LOCATION_240_222, ARGS_241_241;
#endif
{

return WARNING_LOCATION___ERROR_230( FNAME_239_104, LOCATION_240_222, ARGS_241_241 );
}

obj_t
#if defined( __STDC__ )
the_failure(obj_t PROC_242_54,obj_t MESSAGE_243_81,obj_t OBJECT_244_192)
#else
the_failure( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 )
obj_t PROC_242_54, MESSAGE_243_81, OBJECT_244_192;
#endif
{

{
READER_RESET____READER_76();
{obj_t OBJ_341_23;
OBJ_341_23=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_341_23 ))
{obj_t HANDLER_246_86, ESCAPE_245_217;
{obj_t PAIR_344_210;
{obj_t PAIR_345_28;
PAIR_345_28=__ERROR_HANDLER____ERROR_161;PAIR_344_210=CAR( PAIR_345_28 );}HANDLER_246_86=CAR( PAIR_344_210 );}{obj_t PAIR_342_48;
{obj_t PAIR_343_115;
PAIR_343_115=__ERROR_HANDLER____ERROR_161;PAIR_342_48=CAR( PAIR_343_115 );}ESCAPE_245_217=CDR( PAIR_342_48 );}{
{
{obj_t OBJ_346_146;
OBJ_346_146=__ERROR_HANDLER____ERROR_161;if( PAIRP( OBJ_346_146 ))
{obj_t PAIR_347_186;
PAIR_347_186=__ERROR_HANDLER____ERROR_161;__ERROR_HANDLER____ERROR_161=CDR( PAIR_347_186 );}else
BFALSE;}
__ERROR_HANDLER____ERROR_161;
}
{obj_t __andtest_1003_247_189;
__andtest_1003_247_189=CBOOL_TO_BBOOL( PROCEDUREP( HANDLER_246_86 ) );{if( BBOOL_TO_CBOOL( __andtest_1003_247_189 ))
{obj_t N1_351_179;
N1_351_179=BINT( PROCEDURE_ARITY( HANDLER_246_86 ) );if( EQ_I( N1_351_179, BINT( 4 ) ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
return PROCEDURE_ENTRY( HANDLER_246_86 )( HANDLER_246_86, ESCAPE_245_217, PROC_242_54, MESSAGE_243_81, OBJECT_244_192, BEOA );_false_4:
{
NOTIFY_ERROR___ERROR_187( BREF( &ERROR_3___ERROR_32), BREF( &NOT_AN_E_4___ERROR_195), HANDLER_246_86 );
bigloo_exit( BINT( -1 ) );
return BINT( -1 );
};
}}
}}else
{
NOTIFY_ERROR___ERROR_187( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 );
bigloo_exit( BINT( -1 ) );
return BINT( -1 );
}}
}
}

obj_t
#if defined( __STDC__ )
__THE_FAILURE___ERROR_207(obj_t ENV_497_213,obj_t PROC_242_54,obj_t MESSAGE_243_81,obj_t OBJECT_244_192)
#else
__THE_FAILURE___ERROR_207( ENV_497_213, PROC_242_54, MESSAGE_243_81, OBJECT_244_192 )
obj_t ENV_497_213, PROC_242_54, MESSAGE_243_81, OBJECT_244_192;
#endif
{

return the_failure( PROC_242_54, MESSAGE_243_81, OBJECT_244_192 );
}

obj_t
#if defined( __STDC__ )
NOTIFY_ERROR___ERROR_187(obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

{obj_t OBJ_352_132;
OBJ_352_132=__ERROR_NOTIFIER____ERROR_69;if( PROCEDUREP( OBJ_352_132 ))
return PROCEDURE_ENTRY( __ERROR_NOTIFIER____ERROR_69 )( __ERROR_NOTIFIER____ERROR_69, PROC_248_250, MES_249_181, OBJ_250_86, BEOA );else
{
{obj_t PORT_353_171;
PORT_353_171=current_output_port;FLUSH_OUTPUT_PORT( PORT_353_171 );}
{obj_t VA_ARG_413_5;
VA_ARG_413_5=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_413_5 );}
{obj_t OLD_LENGTH_251_91;
OLD_LENGTH_251_91=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();{
SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( BINT( 80 ) );
{obj_t VA_ARG_414_242;
VA_ARG_414_242=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_____ERRO_5___ERROR_45), VA_ARG_414_242 );}
{obj_t VA_ARG_415_101;
VA_ARG_415_101=MAKE_PAIR( OBJ_250_86, BNIL );{obj_t VA_ARG_416_239;
VA_ARG_416_239=MAKE_PAIR( BREF( &______6___ERROR_1), VA_ARG_415_101 );{obj_t VA_ARG_417_193;
VA_ARG_417_193=MAKE_PAIR( MES_249_181, VA_ARG_416_239 );{obj_t VA_ARG_418_139;
VA_ARG_418_139=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_417_193 );{obj_t VA_ARG_419_232;
VA_ARG_419_232=MAKE_PAIR( BREF( &___7___ERROR_90), VA_ARG_418_139 );{obj_t VA_ARG_420_47;
VA_ARG_420_47=MAKE_PAIR( PROC_248_250, VA_ARG_419_232 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_420_47 );}}}}}}
{obj_t DEPTH_354_43;
DEPTH_354_43=BNIL;{obj_t DEPTH_355_196;
{obj_t __ortest_1000_356_4;
__ortest_1000_356_4=CBOOL_TO_BBOOL( NULLP( DEPTH_354_43 ) );{if( BBOOL_TO_CBOOL( __ortest_1000_356_4 ))
goto _true_0;else
{obj_t OBJ_357_25;
{obj_t OBJ_358_27;
OBJ_358_27=CAR( DEPTH_354_43 );OBJ_357_25=CBOOL_TO_BBOOL( INTEGERP( OBJ_358_27 ) );}if( BBOOL_TO_CBOOL( OBJ_357_25 ))
goto _false_1;else
goto _true_0;}_true_0:
{DEPTH_355_196=BINT( 10 );
goto _endif_2;}_false_1:
DEPTH_355_196=CAR( DEPTH_354_43 );_endif_2:
;
}}dump_lambda_stack( current_error_port, CINT( DEPTH_355_196 ) );}}
return SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( OLD_LENGTH_251_91 );
}}
}}
}

obj_t
#if defined( __STDC__ )
__NOTIFY_ERROR___ERROR_67(obj_t ENV_496_49,obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
__NOTIFY_ERROR___ERROR_67( ENV_496_49, PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t ENV_496_49, PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

return NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 );
}

obj_t
#if defined( __STDC__ )
TYPE_ERROR___ERROR_146(obj_t TYPE_252_155,obj_t NAME_253_163)
#else
TYPE_ERROR___ERROR_146( TYPE_252_155, NAME_253_163 )
obj_t TYPE_252_155, NAME_253_163;
#endif
{

{obj_t TYPE_STRING_254_43;
TYPE_STRING_254_43=SYMBOL_TO_STRING( TYPE_252_155 );{obj_t VA_ARG_421_109;
{obj_t AUX_522_174;
AUX_522_174=SYMBOL_TO_STRING( NAME_253_163 );VA_ARG_421_109=MAKE_PAIR( AUX_522_174, BNIL );}{obj_t VA_ARG_422_205;
VA_ARG_422_205=MAKE_PAIR( BREF( &___EXPECT_8___ERROR_192), VA_ARG_421_109 );{obj_t VA_ARG_423_180;
VA_ARG_423_180=MAKE_PAIR( TYPE_STRING_254_43, VA_ARG_422_205 );{obj_t VA_ARG_424_160;
VA_ARG_424_160=MAKE_PAIR( BREF( &TYPE___9___ERROR_209), VA_ARG_423_180 );return STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_424_160 );}}}}}
}

obj_t
#if defined( __STDC__ )
__TYPE_ERROR___ERROR_3(obj_t ENV_495_190,obj_t TYPE_252_155,obj_t NAME_253_163)
#else
__TYPE_ERROR___ERROR_3( ENV_495_190, TYPE_252_155, NAME_253_163 )
obj_t ENV_495_190, TYPE_252_155, NAME_253_163;
#endif
{

return TYPE_ERROR___ERROR_146( TYPE_252_155, NAME_253_163 );
}

static obj_t
#if defined( __STDC__ )
SIGFPE_ERROR_HANDLER___ERROR_103(obj_t N_259_176)
#else
SIGFPE_ERROR_HANDLER___ERROR_103( N_259_176 )
obj_t N_259_176;
#endif
{

FAILURE( BREF( &ARITHMET_10___ERROR_79), BREF( &__FLOATIN_11___ERROR_63), BREF( &REACHED_12___ERROR_198) );
}

static obj_t
#if defined( __STDC__ )
__SIGFPE_ERROR_HANDLER___ERROR_87(obj_t ENV_494_104,obj_t N_259_176)
#else
__SIGFPE_ERROR_HANDLER___ERROR_87( ENV_494_104, N_259_176 )
obj_t ENV_494_104, N_259_176;
#endif
{

return SIGFPE_ERROR_HANDLER___ERROR_103( N_259_176 );
}

static obj_t
#if defined( __STDC__ )
SIGILL_ERROR_HANDLER___ERROR_122(obj_t N_260_26)
#else
SIGILL_ERROR_HANDLER___ERROR_122( N_260_26 )
obj_t N_260_26;
#endif
{

FAILURE( BREF( &BIGLOO_13___ERROR_82), BREF( &__ILLEGAL_14___ERROR_11), BREF( &REACHED_15___ERROR_69) );
}

static obj_t
#if defined( __STDC__ )
__SIGILL_ERROR_HANDLER___ERROR_53(obj_t ENV_493_211,obj_t N_260_26)
#else
__SIGILL_ERROR_HANDLER___ERROR_53( ENV_493_211, N_260_26 )
obj_t ENV_493_211, N_260_26;
#endif
{

return SIGILL_ERROR_HANDLER___ERROR_122( N_260_26 );
}

static obj_t
#if defined( __STDC__ )
SIGBUS_ERROR_HANDLER___ERROR_237(obj_t N_261_150)
#else
SIGBUS_ERROR_HANDLER___ERROR_237( N_261_150 )
obj_t N_261_150;
#endif
{

FAILURE( BREF( &BIGLOO_16___ERROR_29), BREF( &__BUS_ERR_17___ERROR_201), BREF( &REACHED_18___ERROR_117) );
}

static obj_t
#if defined( __STDC__ )
__SIGBUS_ERROR_HANDLER___ERROR_24(obj_t ENV_492_57,obj_t N_261_150)
#else
__SIGBUS_ERROR_HANDLER___ERROR_24( ENV_492_57, N_261_150 )
obj_t ENV_492_57, N_261_150;
#endif
{

return SIGBUS_ERROR_HANDLER___ERROR_237( N_261_150 );
}

static obj_t
#if defined( __STDC__ )
SIGSEGV_ERROR_HANDLER___ERROR_103(obj_t N_262_16)
#else
SIGSEGV_ERROR_HANDLER___ERROR_103( N_262_16 )
obj_t N_262_16;
#endif
{

FAILURE( BREF( &BIGLOO_19___ERROR_191), BREF( &__SEGMENT_20___ERROR_141), BREF( &REACHED_21___ERROR_16) );
}

static obj_t
#if defined( __STDC__ )
__SIGSEGV_ERROR_HANDLER___ERROR_81(obj_t ENV_491_223,obj_t N_262_16)
#else
__SIGSEGV_ERROR_HANDLER___ERROR_81( ENV_491_223, N_262_16 )
obj_t ENV_491_223, N_262_16;
#endif
{

return SIGSEGV_ERROR_HANDLER___ERROR_103( N_262_16 );
}

obj_t
#if defined( __STDC__ )
ERROR_LOCATION___ERROR_177(obj_t PROC_263_215,obj_t MESSAGE_264_81,obj_t OBJECT_265_224,obj_t FNAME_266_108,obj_t LOCATION_267_242)
#else
ERROR_LOCATION___ERROR_177( PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 )
obj_t PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242;
#endif
{

if( bigloo_strcmp( FNAME_266_108, BREF( &__STRING__22___ERROR_253) ))
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );else
if( bigloo_strcmp( FNAME_266_108, BREF( &__STDIN__23___ERROR_33) ))
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );else
{
__ERROR_NOTIFIER____ERROR_69=ERROR_LOCATION_FILE___ERROR_154( FNAME_266_108, LOCATION_267_242 );
FAILURE( PROC_263_215, MESSAGE_264_81, OBJECT_265_224 );
}
}

obj_t
#if defined( __STDC__ )
__ERROR_LOCATION___ERROR_58(obj_t ENV_490_148,obj_t PROC_263_215,obj_t MESSAGE_264_81,obj_t OBJECT_265_224,obj_t FNAME_266_108,obj_t LOCATION_267_242)
#else
__ERROR_LOCATION___ERROR_58( ENV_490_148, PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 )
obj_t ENV_490_148, PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242;
#endif
{

return ERROR_LOCATION___ERROR_177( PROC_263_215, MESSAGE_264_81, OBJECT_265_224, FNAME_266_108, LOCATION_267_242 );
}

static obj_t
#if defined( __STDC__ )
ERROR_LOCATION_FILE___ERROR_154(obj_t FILE_NAME_268_168,obj_t LOCATION_269_191)
#else
ERROR_LOCATION_FILE___ERROR_154( FILE_NAME_268_168, LOCATION_269_191 )
obj_t FILE_NAME_268_168, LOCATION_269_191;
#endif
{

{obj_t PORT_270_64;
PORT_270_64=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( FILE_NAME_268_168, BNIL );if( INPUT_PORTP( PORT_270_64 ))
{obj_t LINE_STRING_276_198, LINE_NUM_277_101;
{
LINE_NUM_277_101=BINT( 1 );
LINE_STRING_276_198=PROCEDURE_ENTRY( READ_LINE___R4_INPUT_6_10_2_31 )( READ_LINE___R4_INPUT_6_10_2_31, PORT_270_64, BEOA );
{_LOOP_275_125:

if( EOF_OBJECTP( LINE_STRING_276_198 ))
{
close_input_port( PORT_270_64 );
{obj_t LAMBDA_3_1_ENV_488_6;
LAMBDA_3_1_ENV_488_6=PROCEDURE_24___ERROR_7;{obj_t A_FUNCTION_425_88;
A_FUNCTION_425_88=LAMBDA_3_1_ENV_488_6;return A_FUNCTION_425_88;}}
}else
{obj_t N1_365_189;
{long AUX_517_54;
AUX_517_54=INPUT_PORT_FILEPOS( PORT_270_64 );N1_365_189=BINT( AUX_517_54 );}if( GE_I( N1_365_189, LOCATION_269_191 ))
{
close_input_port( PORT_270_64 );
{obj_t L_368_77;
{obj_t Z2_372_158;
{obj_t Z1_374_238;
{long AUX_518_85;
AUX_518_85=INPUT_PORT_FILEPOS( PORT_270_64 );Z1_374_238=BINT( AUX_518_85 );}Z2_372_158=SUB_I( Z1_374_238, LOCATION_269_191 );}{obj_t Z1_371_144;
Z1_371_144=STRING_LENGTH( LINE_STRING_276_198 );L_368_77=SUB_I( Z1_371_144, Z2_372_158 );}}return MAKE_LOCATION_NOTIFIER___ERROR_249( FILE_NAME_268_168, LINE_NUM_277_101, LOCATION_269_191, LINE_STRING_276_198, ADD_I_PTAG( L_368_77, PSUB_TAG( 1 ) ) );}
}else
{obj_t OLD_POS_282_12;
{long AUX_519_178;
AUX_519_178=INPUT_PORT_FILEPOS( PORT_270_64 );OLD_POS_282_12=BINT( AUX_519_178 );}{obj_t AUX_520_119;
AUX_520_119=PROCEDURE_ENTRY( READ_LINE___R4_INPUT_6_10_2_31 )( READ_LINE___R4_INPUT_6_10_2_31, PORT_270_64, BEOA );{obj_t LINE_NUM_521_252;
LINE_NUM_521_252=LINE_NUM_277_101;{
LINE_NUM_277_101=ADD_I_PTAG( LINE_NUM_521_252, PSUB_TAG( 1 ) );
LINE_STRING_276_198=AUX_520_119;
goto _LOOP_275_125;
}}}}}}
}}else
{obj_t LAMBDA_3_0_ENV_486_142;
LAMBDA_3_0_ENV_486_142=PROCEDURE_25___ERROR_81;{obj_t A_FUNCTION_426_250;
A_FUNCTION_426_250=LAMBDA_3_0_ENV_486_142;return A_FUNCTION_426_250;}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_1_278_201(obj_t LAMBDA_3_1_ENV_489_24,obj_t PROC_279_18,obj_t MSG_280_208,obj_t OBJ_281_138)
#else
LAMBDA_3_1_278_201( LAMBDA_3_1_ENV_489_24, PROC_279_18, MSG_280_208, OBJ_281_138 )
obj_t LAMBDA_3_1_ENV_489_24, PROC_279_18, MSG_280_208, OBJ_281_138;
#endif
{

FAILURE( PROC_279_18, MSG_280_208, OBJ_281_138 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_0_271_72(obj_t LAMBDA_3_0_ENV_487_230,obj_t PROC_272_220,obj_t MSG_273_237,obj_t OBJ_274_75)
#else
LAMBDA_3_0_271_72( LAMBDA_3_0_ENV_487_230, PROC_272_220, MSG_273_237, OBJ_274_75 )
obj_t LAMBDA_3_0_ENV_487_230, PROC_272_220, MSG_273_237, OBJ_274_75;
#endif
{

FAILURE( PROC_272_220, MSG_273_237, OBJ_274_75 );
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCATION_NOTIFIER___ERROR_249(obj_t FNAME_283_60,obj_t LINE_284_49,obj_t CHAR_285_10,obj_t STRING_286_163,obj_t MARKER_287_77)
#else
MAKE_LOCATION_NOTIFIER___ERROR_249( FNAME_283_60, LINE_284_49, CHAR_285_10, STRING_286_163, MARKER_287_77 )
obj_t FNAME_283_60, LINE_284_49, CHAR_285_10, STRING_286_163, MARKER_287_77;
#endif
{

{obj_t LAMBDA_3_2_ENV_484_3;
LAMBDA_3_2_ENV_484_3=make_fx_procedure( LAMBDA_3_2_288_48, 3, 5 );{
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_484_3, 4, FNAME_283_60 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_484_3, 3, LINE_284_49 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_484_3, 2, CHAR_285_10 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_484_3, 1, STRING_286_163 );
PROCEDURE_ENV_SET( LAMBDA_3_2_ENV_484_3, 0, MARKER_287_77 );
{obj_t A_FUNCTION_448_10;
A_FUNCTION_448_10=LAMBDA_3_2_ENV_484_3;return A_FUNCTION_448_10;}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_3_2_288_48(obj_t LAMBDA_3_2_ENV_485_61,obj_t PROC_289_152,obj_t MSG_290_76,obj_t OBJ_291_31)
#else
LAMBDA_3_2_288_48( LAMBDA_3_2_ENV_485_61, PROC_289_152, MSG_290_76, OBJ_291_31 )
obj_t LAMBDA_3_2_ENV_485_61, PROC_289_152, MSG_290_76, OBJ_291_31;
#endif
{

{obj_t MARKER_287_77, STRING_286_163, CHAR_285_10, LINE_284_49, FNAME_283_60;
MARKER_287_77=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_485_61, 0 );STRING_286_163=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_485_61, 1 );CHAR_285_10=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_485_61, 2 );LINE_284_49=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_485_61, 3 );FNAME_283_60=PROCEDURE_ENV_REF( LAMBDA_3_2_ENV_485_61, 4 );{
__ERROR_NOTIFIER____ERROR_69=BFALSE;
{obj_t PORT_375_119;
PORT_375_119=current_output_port;FLUSH_OUTPUT_PORT( PORT_375_119 );}
{obj_t VA_ARG_427_53;
VA_ARG_427_53=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_427_53 );}
{obj_t OLD_LENGTH_293_104, SPACE_STRING_292_6;
OLD_LENGTH_293_104=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();if( GT_I( MARKER_287_77, BINT( 0 ) ))
{obj_t CHAR_381_224;
CHAR_381_224=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t K_380_105;
K_380_105=SUB_I_PTAG( MARKER_287_77, PSUB_TAG( 1 ) );if( NULLP( CHAR_381_224 ))
SPACE_STRING_292_6=make_string( K_380_105, BCHAR( ' ' ) );else
SPACE_STRING_292_6=make_string( K_380_105, CAR( CHAR_381_224 ) );}}else
SPACE_STRING_292_6=BREF( &__26___ERROR_141);{
FIX_TABULATION____ERROR_100( MARKER_287_77, STRING_286_163, SPACE_STRING_292_6 );
{obj_t VA_ARG_428_246;
VA_ARG_428_246=MAKE_PAIR( BREF( &___27___ERROR_201), BNIL );{obj_t VA_ARG_429_114;
VA_ARG_429_114=MAKE_PAIR( SPACE_STRING_292_6, VA_ARG_428_246 );{obj_t VA_ARG_430_98;
VA_ARG_430_98=MAKE_PAIR( BREF( &___28___ERROR_157), VA_ARG_429_114 );{obj_t VA_ARG_431_21;
VA_ARG_431_21=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_430_98 );{obj_t VA_ARG_432_112;
VA_ARG_432_112=MAKE_PAIR( STRING_286_163, VA_ARG_431_21 );{obj_t VA_ARG_433_113;
VA_ARG_433_113=MAKE_PAIR( BREF( &___29___ERROR_64), VA_ARG_432_112 );{obj_t VA_ARG_434_151;
VA_ARG_434_151=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_433_113 );{obj_t VA_ARG_435_251;
VA_ARG_435_251=MAKE_PAIR( BREF( &___30___ERROR_248), VA_ARG_434_151 );{obj_t VA_ARG_436_207;
VA_ARG_436_207=MAKE_PAIR( CHAR_285_10, VA_ARG_435_251 );{obj_t VA_ARG_437_225;
VA_ARG_437_225=MAKE_PAIR( BREF( &___CHARAC_31___ERROR_227), VA_ARG_436_207 );{obj_t VA_ARG_438_17;
VA_ARG_438_17=MAKE_PAIR( LINE_284_49, VA_ARG_437_225 );{obj_t VA_ARG_439_127;
VA_ARG_439_127=MAKE_PAIR( BREF( &____LINE__32___ERROR_169), VA_ARG_438_17 );{obj_t VA_ARG_440_168;
VA_ARG_440_168=MAKE_PAIR( FNAME_283_60, VA_ARG_439_127 );{obj_t VA_ARG_441_198;
VA_ARG_441_198=MAKE_PAIR( BREF( &FILE___33___ERROR_56), VA_ARG_440_168 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_441_198 );}}}}}}}}}}}}}}
SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( BINT( 80 ) );
{obj_t VA_ARG_442_41;
VA_ARG_442_41=MAKE_PAIR( PROC_289_152, BNIL );{obj_t VA_ARG_443_254;
VA_ARG_443_254=MAKE_PAIR( BREF( &_______ER_34___ERROR_52), VA_ARG_442_41 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_443_254 );}}
{obj_t VA_ARG_444_156;
VA_ARG_444_156=MAKE_PAIR( OBJ_291_31, BNIL );{obj_t VA_ARG_445_241;
VA_ARG_445_241=MAKE_PAIR( BREF( &______35___ERROR_175), VA_ARG_444_156 );{obj_t VA_ARG_446_79;
VA_ARG_446_79=MAKE_PAIR( MSG_290_76, VA_ARG_445_241 );{obj_t VA_ARG_447_46;
VA_ARG_447_46=MAKE_PAIR( BREF( &____36___ERROR_22), VA_ARG_446_79 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_447_46 );}}}}
return SET_WRITE_LENGTH____R4_OUTPUT_6_10_3_68( OLD_LENGTH_293_104 );
}}
}}
}

static obj_t
#if defined( __STDC__ )
WARNING_LOCATION_FILE___ERROR_158(obj_t FILE_NAME_294_231,obj_t LOCATION_295_26,obj_t ARGS_296_180)
#else
WARNING_LOCATION_FILE___ERROR_158( FILE_NAME_294_231, LOCATION_295_26, ARGS_296_180 )
obj_t FILE_NAME_294_231, LOCATION_295_26, ARGS_296_180;
#endif
{

{obj_t PORT_297_134;
PORT_297_134=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( FILE_NAME_294_231, BNIL );if( INPUT_PORTP( PORT_297_134 ))
{obj_t LINE_STRING_299_236, LINE_NUM_300_142;
{
LINE_NUM_300_142=BINT( 1 );
LINE_STRING_299_236=PROCEDURE_ENTRY( READ_LINE___R4_INPUT_6_10_2_31 )( READ_LINE___R4_INPUT_6_10_2_31, PORT_297_134, BEOA );
{_LOOP_298_44:

if( EOF_OBJECTP( LINE_STRING_299_236 ))
{
close_input_port( PORT_297_134 );
{obj_t ARGS_235_449_188;
ARGS_235_449_188=BUNSPEC;{
ARGS_235_449_188=ARGS_296_180;
return WARNING___ERROR_212( ARGS_235_449_188 );
}}
}else
{obj_t N1_384_79;
{long AUX_512_116;
AUX_512_116=INPUT_PORT_FILEPOS( PORT_297_134 );N1_384_79=BINT( AUX_512_116 );}if( GE_I( N1_384_79, LOCATION_295_26 ))
{
close_input_port( PORT_297_134 );
{obj_t L_385_134;
{obj_t Z2_387_188;
{obj_t Z1_388_199;
{long AUX_513_95;
AUX_513_95=INPUT_PORT_FILEPOS( PORT_297_134 );Z1_388_199=BINT( AUX_513_95 );}Z2_387_188=SUB_I( Z1_388_199, LOCATION_295_26 );}{obj_t Z1_386_224;
Z1_386_224=STRING_LENGTH( LINE_STRING_299_236 );L_385_134=SUB_I( Z1_386_224, Z2_387_188 );}}return DO_WARN_LOCATION___ERROR_171( FILE_NAME_294_231, LINE_NUM_300_142, LOCATION_295_26, LINE_STRING_299_236, ADD_I_PTAG( L_385_134, PSUB_TAG( 1 ) ), ARGS_296_180 );}
}else
{obj_t OLD_POS_301_137;
{long AUX_514_192;
AUX_514_192=INPUT_PORT_FILEPOS( PORT_297_134 );OLD_POS_301_137=BINT( AUX_514_192 );}{obj_t AUX_515_252;
AUX_515_252=PROCEDURE_ENTRY( READ_LINE___R4_INPUT_6_10_2_31 )( READ_LINE___R4_INPUT_6_10_2_31, PORT_297_134, BEOA );{obj_t LINE_NUM_516_229;
LINE_NUM_516_229=LINE_NUM_300_142;{
LINE_NUM_300_142=ADD_I_PTAG( LINE_NUM_516_229, PSUB_TAG( 1 ) );
LINE_STRING_299_236=AUX_515_252;
goto _LOOP_298_44;
}}}}}}
}}else
{obj_t ARGS_235_450_195;
ARGS_235_450_195=BUNSPEC;{
ARGS_235_450_195=ARGS_296_180;
return WARNING___ERROR_212( ARGS_235_450_195 );
}}}
}

static obj_t
#if defined( __STDC__ )
DO_WARN_LOCATION___ERROR_171(obj_t FNAME_302_117,obj_t LINE_303_232,obj_t CHAR_304_144,obj_t STRING_305_80,obj_t MARKER_306_58,obj_t ARGS_307_49)
#else
DO_WARN_LOCATION___ERROR_171( FNAME_302_117, LINE_303_232, CHAR_304_144, STRING_305_80, MARKER_306_58, ARGS_307_49 )
obj_t FNAME_302_117, LINE_303_232, CHAR_304_144, STRING_305_80, MARKER_306_58, ARGS_307_49;
#endif
{

{
{obj_t PORT_389_30;
PORT_389_30=current_output_port;FLUSH_OUTPUT_PORT( PORT_389_30 );}
{obj_t VA_ARG_451_81;
VA_ARG_451_81=MAKE_PAIR( current_error_port, BNIL );NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_451_81 );}
{obj_t OLD_LENGTH_309_179, SPACE_STRING_308_131;
OLD_LENGTH_309_179=GET_WRITE_LENGTH___R4_OUTPUT_6_10_3_158();if( GT_I( MARKER_306_58, BINT( 0 ) ))
{obj_t CHAR_391_53;
CHAR_391_53=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t K_390_34;
K_390_34=SUB_I_PTAG( MARKER_306_58, PSUB_TAG( 1 ) );if( NULLP( CHAR_391_53 ))
SPACE_STRING_308_131=make_string( K_390_34, BCHAR( ' ' ) );else
SPACE_STRING_308_131=make_string( K_390_34, CAR( CHAR_391_53 ) );}}else
SPACE_STRING_308_131=BREF( &__37___ERROR_10);{
FIX_TABULATION____ERROR_100( MARKER_306_58, STRING_305_80, SPACE_STRING_308_131 );
{obj_t VA_ARG_452_24;
VA_ARG_452_24=MAKE_PAIR( BREF( &___38___ERROR_148), BNIL );{obj_t VA_ARG_453_6;
VA_ARG_453_6=MAKE_PAIR( SPACE_STRING_308_131, VA_ARG_452_24 );{obj_t VA_ARG_454_92;
VA_ARG_454_92=MAKE_PAIR( BREF( &___39___ERROR_210), VA_ARG_453_6 );{obj_t VA_ARG_455_91;
VA_ARG_455_91=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_454_92 );{obj_t VA_ARG_456_17;
VA_ARG_456_17=MAKE_PAIR( STRING_305_80, VA_ARG_455_91 );{obj_t VA_ARG_457_127;
VA_ARG_457_127=MAKE_PAIR( BREF( &___40___ERROR_132), VA_ARG_456_17 );{obj_t VA_ARG_458_207;
VA_ARG_458_207=MAKE_PAIR( BCHAR( '\n' ), VA_ARG_457_127 );{obj_t VA_ARG_459_225;
VA_ARG_459_225=MAKE_PAIR( BREF( &___41___ERROR_197), VA_ARG_458_207 );{obj_t VA_ARG_460_108;
VA_ARG_460_108=MAKE_PAIR( CHAR_304_144, VA_ARG_459_225 );{obj_t VA_ARG_461_191;
VA_ARG_461_191=MAKE_PAIR( BREF( &___CHARAC_42___ERROR_159), VA_ARG_460_108 );{obj_t VA_ARG_462_232;
VA_ARG_462_232=MAKE_PAIR( LINE_303_232, VA_ARG_461_191 );{obj_t VA_ARG_463_139;
VA_ARG_463_139=MAKE_PAIR( BREF( &____LINE__43___ERROR_239), VA_ARG_462_232 );{obj_t VA_ARG_464_74;
VA_ARG_464_74=MAKE_PAIR( FNAME_302_117, VA_ARG_463_139 );{obj_t VA_ARG_465_59;
VA_ARG_465_59=MAKE_PAIR( BREF( &FILE___44___ERROR_103), VA_ARG_464_74 );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_465_59 );}}}}}}}}}}}}}}
{obj_t VA_ARG_466_137;
VA_ARG_466_137=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( BREF( &_______WA_45___ERROR_86), VA_ARG_466_137 );}
if( NULLP( ARGS_307_49 ))
BFALSE;else
{
{obj_t VA_ARG_467_228;
VA_ARG_467_228=MAKE_PAIR( CAR( ARGS_307_49 ), BNIL );FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_467_228 );}
{obj_t g1004_311_68;
{
g1004_311_68=CDR( ARGS_307_49 );
{_g1005_310_229:

if( PAIRP( g1004_311_68 ))
{
{obj_t A_312_26;
A_312_26=CAR( g1004_311_68 );{obj_t VA_ARG_468_5;
VA_ARG_468_5=MAKE_PAIR( current_error_port, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_312_26, VA_ARG_468_5 );}}
{obj_t g1004_511_58;
g1004_511_58=g1004_311_68;{
g1004_311_68=CDR( g1004_511_58 );
goto _g1005_310_229;
}}
}else
BTRUE;}
}}
}
{obj_t VA_ARG_469_171;
VA_ARG_469_171=MAKE_PAIR( current_error_port, BNIL );return NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_469_171 );}
}}
}
}

static obj_t
#if defined( __STDC__ )
FIX_TABULATION____ERROR_100(obj_t MARKER_313_140,obj_t SRC_314_198,obj_t DST_315_139)
#else
FIX_TABULATION____ERROR_100( MARKER_313_140, SRC_314_198, DST_315_139 )
obj_t MARKER_313_140, SRC_314_198, DST_315_139;
#endif
{

{obj_t READ_317_60;
{
READ_317_60=SUB_I_PTAG( MARKER_313_140, PSUB_TAG( 1 ) );
{_LOOP_316_223:

if( EQ_I( READ_317_60, BINT( -1 ) ))
return DONE_46___ERROR_219;else
{obj_t CHAR1_394_188;
CHAR1_394_188=BCHAR( STRING_REF( SRC_314_198, CINT( READ_317_60 ) ) );if( CHARP( CHAR1_394_188 ))
if( CHARP( BCHAR( '\t' ) ))
if( EQP( CHAR1_394_188, BCHAR( '\t' ) ))
{
STRING_SET( DST_315_139, CINT( READ_317_60 ), '\t' );
{obj_t READ_509_107;
READ_509_107=READ_317_60;{
READ_317_60=SUB_I_PTAG( READ_509_107, PSUB_TAG( 1 ) );
goto _LOOP_316_223;
}}
}else
{obj_t READ_510_207;
READ_510_207=READ_317_60;{
READ_317_60=SUB_I_PTAG( READ_510_207, PSUB_TAG( 1 ) );
goto _LOOP_316_223;
}}else
FAILURE( BREF( &CHAR___47___ERROR_132), BREF( &ARGUMENT_48___ERROR_224), BCHAR( '\t' ) );else
FAILURE( BREF( &CHAR___49___ERROR_79), BREF( &ARGUMENT_50___ERROR_152), CHAR1_394_188 );}}
}}
}

