/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/struct.c                                             */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __STRUCT_LENGTH___STRUCTURE_73(obj_t, obj_t);
#else
extern obj_t __STRUCT_LENGTH___STRUCTURE_73();
#endif
DEFINE_STRING( STRUCT_U_0___STRUCTURE_18, "struct-update!", 14);
obj_t PEEK_ENV___STRUCTURE_112 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRUCT_LENGTH___STRUCTURE_238(obj_t);
#else
extern obj_t STRUCT_LENGTH___STRUCTURE_238();
#endif
extern obj_t make_struct();
#if defined( __STDC__ )
extern obj_t STRUCT_REF___STRUCTURE_22(obj_t, obj_t);
#else
extern obj_t STRUCT_REF___STRUCTURE_22();
#endif
DEFINE_STRING( INCOMPAT_1___STRUCTURE_98, "Incompatible structures", 23);
obj_t STRUCT_LENGTH_ENV___STRUCTURE_23 = BUNSPEC;
obj_t POKE__ENV___STRUCTURE_87 = BUNSPEC;
obj_t STRUCT__ENV___STRUCTURE_90 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRUCT_KEY___STRUCTURE_210(obj_t, obj_t);
#else
extern obj_t __STRUCT_KEY___STRUCTURE_210();
#endif
#if defined( __STDC__ )
extern obj_t PEEK___STRUCTURE_41(obj_t, obj_t);
#else
extern obj_t PEEK___STRUCTURE_41();
#endif
#if defined( __STDC__ )
extern obj_t __STRUCT_REF___STRUCTURE_7(obj_t, obj_t, obj_t);
#else
extern obj_t __STRUCT_REF___STRUCTURE_7();
#endif
#if defined( __STDC__ )
extern obj_t __MAKE_STRUCT___STRUCTURE_222(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_STRUCT___STRUCTURE_222();
#endif
obj_t MAKE_STRUCT_ENV___STRUCTURE_240 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____STRUCTURE_90 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t ___STRUCTURE_INITIALISATION_ENV___STRUCTURE_9 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRUCT____STRUCTURE_25(obj_t);
#else
extern obj_t STRUCT____STRUCTURE_25();
#endif
#if defined( __STDC__ )
extern obj_t STRUCT_KEY___STRUCTURE_111(obj_t);
#else
extern obj_t STRUCT_KEY___STRUCTURE_111();
#endif
obj_t STRUCT_SET__ENV___STRUCTURE_197 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRUCT_UPDATE____STRUCTURE_68(obj_t, obj_t);
#else
extern obj_t STRUCT_UPDATE____STRUCTURE_68();
#endif
#if defined( __STDC__ )
extern obj_t __STRUCT_UPDATE____STRUCTURE_60(obj_t, obj_t, obj_t);
#else
extern obj_t __STRUCT_UPDATE____STRUCTURE_60();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __STRUCT____STRUCTURE_141(obj_t, obj_t);
#else
extern obj_t __STRUCT____STRUCTURE_141();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_STRUCT___STRUCTURE_119(obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_STRUCT___STRUCTURE_119();
#endif
extern obj_t ___STRUCTURE_INITIALISATION___STRUCTURE_64();
#if defined( __STDC__ )
extern obj_t __PEEK___STRUCTURE_181(obj_t, obj_t, obj_t);
#else
extern obj_t __PEEK___STRUCTURE_181();
#endif
#if defined( __STDC__ )
extern obj_t STRUCT_SET____STRUCTURE_246(obj_t, obj_t, obj_t);
#else
extern obj_t STRUCT_SET____STRUCTURE_246();
#endif
#if defined( __STDC__ )
extern obj_t __POKE____STRUCTURE_14(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __POKE____STRUCTURE_14();
#endif
obj_t STRUCT_KEY_ENV___STRUCTURE_148 = BUNSPEC;
obj_t STRUCT_REF_ENV___STRUCTURE_109 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____STRUCTURE_INITIALISATION___STRUCTURE_75(obj_t);
#else
extern obj_t ____STRUCTURE_INITIALISATION___STRUCTURE_75();
#endif
#if defined( __STDC__ )
extern obj_t __STRUCT_SET____STRUCTURE_44(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STRUCT_SET____STRUCTURE_44();
#endif
#if defined( __STDC__ )
extern obj_t POKE____STRUCTURE_78(obj_t, obj_t, obj_t);
#else
extern obj_t POKE____STRUCTURE_78();
#endif
obj_t STRUCT_UPDATE__ENV___STRUCTURE_247 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___STRUCTURE_INITIALISATION___STRUCTURE_64()
#else
___STRUCTURE_INITIALISATION___STRUCTURE_64()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____STRUCTURE_90 ))
{
REQUIRE_INITIALISATION____STRUCTURE_90=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
___STRUCTURE_INITIALISATION_ENV___STRUCTURE_9=make_fx_procedure( ____STRUCTURE_INITIALISATION___STRUCTURE_75, 0, 0 );
MAKE_STRUCT_ENV___STRUCTURE_240=make_fx_procedure( __MAKE_STRUCT___STRUCTURE_222, 3, 0 );
PEEK_ENV___STRUCTURE_112=make_fx_procedure( __PEEK___STRUCTURE_181, 2, 0 );
POKE__ENV___STRUCTURE_87=make_fx_procedure( __POKE____STRUCTURE_14, 3, 0 );
STRUCT__ENV___STRUCTURE_90=make_fx_procedure( __STRUCT____STRUCTURE_141, 1, 0 );
STRUCT_KEY_ENV___STRUCTURE_148=make_fx_procedure( __STRUCT_KEY___STRUCTURE_210, 1, 0 );
STRUCT_LENGTH_ENV___STRUCTURE_23=make_fx_procedure( __STRUCT_LENGTH___STRUCTURE_73, 1, 0 );
STRUCT_REF_ENV___STRUCTURE_109=make_fx_procedure( __STRUCT_REF___STRUCTURE_7, 2, 0 );
STRUCT_SET__ENV___STRUCTURE_197=make_fx_procedure( __STRUCT_SET____STRUCTURE_44, 3, 0 );
STRUCT_UPDATE__ENV___STRUCTURE_247=make_fx_procedure( __STRUCT_UPDATE____STRUCTURE_60, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____STRUCTURE_INITIALISATION___STRUCTURE_75(obj_t ENV_280_173)
#else
____STRUCTURE_INITIALISATION___STRUCTURE_75( ENV_280_173 )
obj_t ENV_280_173;
#endif
{

return ___STRUCTURE_INITIALISATION___STRUCTURE_64();
}

obj_t
#if defined( __STDC__ )
MAKE_STRUCT___STRUCTURE_119(obj_t KEY_222_228,obj_t LEN_223_201,obj_t INIT_224_215)
#else
MAKE_STRUCT___STRUCTURE_119( KEY_222_228, LEN_223_201, INIT_224_215 )
obj_t KEY_222_228, LEN_223_201, INIT_224_215;
#endif
{

return make_struct( KEY_222_228, LEN_223_201, INIT_224_215 );
}

obj_t
#if defined( __STDC__ )
__MAKE_STRUCT___STRUCTURE_222(obj_t ENV_279_90,obj_t KEY_222_228,obj_t LEN_223_201,obj_t INIT_224_215)
#else
__MAKE_STRUCT___STRUCTURE_222( ENV_279_90, KEY_222_228, LEN_223_201, INIT_224_215 )
obj_t ENV_279_90, KEY_222_228, LEN_223_201, INIT_224_215;
#endif
{

return MAKE_STRUCT___STRUCTURE_119( KEY_222_228, LEN_223_201, INIT_224_215 );
}

obj_t
#if defined( __STDC__ )
PEEK___STRUCTURE_41(obj_t STRUCT_225_69,obj_t OFFSET_226_62)
#else
PEEK___STRUCTURE_41( STRUCT_225_69, OFFSET_226_62 )
obj_t STRUCT_225_69, OFFSET_226_62;
#endif
{

return PEEK( STRUCT_225_69, OFFSET_226_62 );
}

obj_t
#if defined( __STDC__ )
__PEEK___STRUCTURE_181(obj_t ENV_278_129,obj_t STRUCT_225_69,obj_t OFFSET_226_62)
#else
__PEEK___STRUCTURE_181( ENV_278_129, STRUCT_225_69, OFFSET_226_62 )
obj_t ENV_278_129, STRUCT_225_69, OFFSET_226_62;
#endif
{

return PEEK___STRUCTURE_41( STRUCT_225_69, OFFSET_226_62 );
}

obj_t
#if defined( __STDC__ )
POKE____STRUCTURE_78(obj_t STRUCT_227_23,obj_t OFFSET_228_160,obj_t VALUE_229_249)
#else
POKE____STRUCTURE_78( STRUCT_227_23, OFFSET_228_160, VALUE_229_249 )
obj_t STRUCT_227_23, OFFSET_228_160, VALUE_229_249;
#endif
{

return POKE( STRUCT_227_23, OFFSET_228_160, VALUE_229_249 );
}

obj_t
#if defined( __STDC__ )
__POKE____STRUCTURE_14(obj_t ENV_277_136,obj_t STRUCT_227_23,obj_t OFFSET_228_160,obj_t VALUE_229_249)
#else
__POKE____STRUCTURE_14( ENV_277_136, STRUCT_227_23, OFFSET_228_160, VALUE_229_249 )
obj_t ENV_277_136, STRUCT_227_23, OFFSET_228_160, VALUE_229_249;
#endif
{

return POKE____STRUCTURE_78( STRUCT_227_23, OFFSET_228_160, VALUE_229_249 );
}

obj_t
#if defined( __STDC__ )
STRUCT____STRUCTURE_25(obj_t O_230_51)
#else
STRUCT____STRUCTURE_25( O_230_51 )
obj_t O_230_51;
#endif
{

return CBOOL_TO_BBOOL( STRUCTP( O_230_51 ) );
}

obj_t
#if defined( __STDC__ )
__STRUCT____STRUCTURE_141(obj_t ENV_276_153,obj_t O_230_51)
#else
__STRUCT____STRUCTURE_141( ENV_276_153, O_230_51 )
obj_t ENV_276_153, O_230_51;
#endif
{

return STRUCT____STRUCTURE_25( O_230_51 );
}

obj_t
#if defined( __STDC__ )
STRUCT_KEY___STRUCTURE_111(obj_t S_231_80)
#else
STRUCT_KEY___STRUCTURE_111( S_231_80 )
obj_t S_231_80;
#endif
{

return STRUCT_KEY( S_231_80 );
}

obj_t
#if defined( __STDC__ )
__STRUCT_KEY___STRUCTURE_210(obj_t ENV_275_182,obj_t S_231_80)
#else
__STRUCT_KEY___STRUCTURE_210( ENV_275_182, S_231_80 )
obj_t ENV_275_182, S_231_80;
#endif
{

return STRUCT_KEY___STRUCTURE_111( S_231_80 );
}

obj_t
#if defined( __STDC__ )
STRUCT_LENGTH___STRUCTURE_238(obj_t S_232_50)
#else
STRUCT_LENGTH___STRUCTURE_238( S_232_50 )
obj_t S_232_50;
#endif
{

return STRUCT_LENGTH( S_232_50 );
}

obj_t
#if defined( __STDC__ )
__STRUCT_LENGTH___STRUCTURE_73(obj_t ENV_274_111,obj_t S_232_50)
#else
__STRUCT_LENGTH___STRUCTURE_73( ENV_274_111, S_232_50 )
obj_t ENV_274_111, S_232_50;
#endif
{

return STRUCT_LENGTH___STRUCTURE_238( S_232_50 );
}

obj_t
#if defined( __STDC__ )
STRUCT_REF___STRUCTURE_22(obj_t S_233_34,obj_t K_234_218)
#else
STRUCT_REF___STRUCTURE_22( S_233_34, K_234_218 )
obj_t S_233_34, K_234_218;
#endif
{

return STRUCT_SLOT_REF( S_233_34, K_234_218 );
}

obj_t
#if defined( __STDC__ )
__STRUCT_REF___STRUCTURE_7(obj_t ENV_273_244,obj_t S_233_34,obj_t K_234_218)
#else
__STRUCT_REF___STRUCTURE_7( ENV_273_244, S_233_34, K_234_218 )
obj_t ENV_273_244, S_233_34, K_234_218;
#endif
{

return STRUCT_REF___STRUCTURE_22( S_233_34, K_234_218 );
}

obj_t
#if defined( __STDC__ )
STRUCT_SET____STRUCTURE_246(obj_t S_235_195,obj_t K_236_240,obj_t O_237_138)
#else
STRUCT_SET____STRUCTURE_246( S_235_195, K_236_240, O_237_138 )
obj_t S_235_195, K_236_240, O_237_138;
#endif
{

return STRUCT_SLOT_SET( S_235_195, K_236_240, O_237_138 );
}

obj_t
#if defined( __STDC__ )
__STRUCT_SET____STRUCTURE_44(obj_t ENV_272_45,obj_t S_235_195,obj_t K_236_240,obj_t O_237_138)
#else
__STRUCT_SET____STRUCTURE_44( ENV_272_45, S_235_195, K_236_240, O_237_138 )
obj_t ENV_272_45, S_235_195, K_236_240, O_237_138;
#endif
{

return STRUCT_SET____STRUCTURE_246( S_235_195, K_236_240, O_237_138 );
}

obj_t
#if defined( __STDC__ )
STRUCT_UPDATE____STRUCTURE_68(obj_t DST_238_116,obj_t SRC_239_173)
#else
STRUCT_UPDATE____STRUCTURE_68( DST_238_116, SRC_239_173 )
obj_t DST_238_116, SRC_239_173;
#endif
{

{if( EQP( STRUCT_KEY( DST_238_116 ), STRUCT_KEY( SRC_239_173 ) ))
{obj_t N2_254_55;
N2_254_55=STRUCT_LENGTH( SRC_239_173 );{obj_t N1_253_90;
N1_253_90=STRUCT_LENGTH( DST_238_116 );if( EQ_I( N1_253_90, N2_254_55 ))
goto _true_0;else
goto _false_1;}}else
goto _false_1;_true_0:
{obj_t I_242_253;
{obj_t L_260_192;
L_260_192=STRUCT_LENGTH( DST_238_116 );{
I_242_253=SUB_I_PTAG( L_260_192, PSUB_TAG( 1 ) );
{_LOOP_241_175:

if( EQ_I( I_242_253, BINT( -1 ) ))
return DST_238_116;else
{
{obj_t O_255_92;
O_255_92=STRUCT_SLOT_REF( SRC_239_173, I_242_253 );STRUCT_SLOT_SET( DST_238_116, I_242_253, O_255_92 );}
{obj_t I_282_40;
I_282_40=I_242_253;{
I_242_253=SUB_I_PTAG( I_282_40, PSUB_TAG( 1 ) );
goto _LOOP_241_175;
}}
}}
}}}_false_1:
{obj_t OBJECT_265_224;
{obj_t C_CONS_268_193;
C_CONS_268_193=MAKE_PAIR( SRC_239_173, BNIL );OBJECT_265_224=MAKE_PAIR( DST_238_116, C_CONS_268_193 );}FAILURE( BREF( &STRUCT_U_0___STRUCTURE_18), BREF( &INCOMPAT_1___STRUCTURE_98), OBJECT_265_224 );};
}
}

obj_t
#if defined( __STDC__ )
__STRUCT_UPDATE____STRUCTURE_60(obj_t ENV_271_236,obj_t DST_238_116,obj_t SRC_239_173)
#else
__STRUCT_UPDATE____STRUCTURE_60( ENV_271_236, DST_238_116, SRC_239_173 )
obj_t ENV_271_236, DST_238_116, SRC_239_173;
#endif
{

return STRUCT_UPDATE____STRUCTURE_68( DST_238_116, SRC_239_173 );
}

