/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/unix-file.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t SUFFIX___UNIX_FILE_231(obj_t);
#else
extern obj_t SUFFIX___UNIX_FILE_231();
#endif
obj_t DIRNAME_ENV___UNIX_FILE_75 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PREFIX___UNIX_FILE_1(obj_t, obj_t);
#else
extern obj_t __PREFIX___UNIX_FILE_1();
#endif
extern obj_t _2____R4_NUMBERS_6_5_30();
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t c_substring();
#if defined( __STDC__ )
extern obj_t PREFIX___UNIX_FILE_45(obj_t);
#else
extern obj_t PREFIX___UNIX_FILE_45();
#endif
DEFINE_STRING( ___0___UNIX_FILE_210, ".", 1);
obj_t SUFFIX_ENV___UNIX_FILE_93 = BUNSPEC;
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
#if defined( __STDC__ )
extern obj_t BASENAME___UNIX_FILE_111(obj_t);
#else
extern obj_t BASENAME___UNIX_FILE_111();
#endif
#if defined( __STDC__ )
extern obj_t __BASENAME___UNIX_FILE_243(obj_t, obj_t);
#else
extern obj_t __BASENAME___UNIX_FILE_243();
#endif
#if defined( __STDC__ )
extern obj_t __DIRNAME___UNIX_FILE_168(obj_t, obj_t);
#else
extern obj_t __DIRNAME___UNIX_FILE_168();
#endif
DEFINE_STRING( __1___UNIX_FILE_32, "", 0);
#if defined( __STDC__ )
extern obj_t DIRNAME___UNIX_FILE_11(obj_t);
#else
extern obj_t DIRNAME___UNIX_FILE_11();
#endif
static obj_t REQUIRE_INITIALISATION____UNIX_FILE_52 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __SUFFIX___UNIX_FILE_145(obj_t, obj_t);
#else
extern obj_t __SUFFIX___UNIX_FILE_145();
#endif
extern obj_t make_fx_procedure();
obj_t BASENAME_ENV___UNIX_FILE_173 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____UNIX_FILE_INITIALISATION___UNIX_FILE_132(obj_t);
#else
extern obj_t ____UNIX_FILE_INITIALISATION___UNIX_FILE_132();
#endif
obj_t PREFIX_ENV___UNIX_FILE_66 = BUNSPEC;
obj_t ___UNIX_FILE_INITIALISATION_ENV___UNIX_FILE_198 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___UNIX_FILE_INITIALISATION___UNIX_FILE_247()
#else
___UNIX_FILE_INITIALISATION___UNIX_FILE_247()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____UNIX_FILE_52 ))
{
REQUIRE_INITIALISATION____UNIX_FILE_52=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
{
___UNIX_FILE_INITIALISATION_ENV___UNIX_FILE_198=make_fx_procedure( ____UNIX_FILE_INITIALISATION___UNIX_FILE_132, 0, 0 );
BASENAME_ENV___UNIX_FILE_173=make_fx_procedure( __BASENAME___UNIX_FILE_243, 1, 0 );
PREFIX_ENV___UNIX_FILE_66=make_fx_procedure( __PREFIX___UNIX_FILE_1, 1, 0 );
DIRNAME_ENV___UNIX_FILE_75=make_fx_procedure( __DIRNAME___UNIX_FILE_168, 1, 0 );
SUFFIX_ENV___UNIX_FILE_93=make_fx_procedure( __SUFFIX___UNIX_FILE_145, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____UNIX_FILE_INITIALISATION___UNIX_FILE_132(obj_t ENV_309_206)
#else
____UNIX_FILE_INITIALISATION___UNIX_FILE_132( ENV_309_206 )
obj_t ENV_309_206;
#endif
{

return ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
}

obj_t
#if defined( __STDC__ )
BASENAME___UNIX_FILE_111(obj_t STRING_222_218)
#else
BASENAME___UNIX_FILE_111( STRING_222_218 )
obj_t STRING_222_218;
#endif
{

{obj_t INDEX_224_21;
{obj_t L_264_206;
L_264_206=STRING_LENGTH( STRING_222_218 );{
INDEX_224_21=SUB_I_PTAG( L_264_206, PSUB_TAG( 1 ) );
{_LOOP_223_128:

if( EQ_I( INDEX_224_21, BINT( -1 ) ))
return STRING_222_218;else
if( EQP( BCHAR( STRING_REF( STRING_222_218, CINT( INDEX_224_21 ) ) ), BCHAR( '/' ) ))
{obj_t END_255_160;
END_255_160=STRING_LENGTH( STRING_222_218 );return c_substring( STRING_222_218, ADD_I_PTAG( INDEX_224_21, PSUB_TAG( 1 ) ), END_255_160 );}else
{obj_t INDEX_316_170;
INDEX_316_170=INDEX_224_21;{
INDEX_224_21=SUB_I_PTAG( INDEX_316_170, PSUB_TAG( 1 ) );
goto _LOOP_223_128;
}}}
}}}
}

obj_t
#if defined( __STDC__ )
__BASENAME___UNIX_FILE_243(obj_t ENV_308_35,obj_t STRING_222_218)
#else
__BASENAME___UNIX_FILE_243( ENV_308_35, STRING_222_218 )
obj_t ENV_308_35, STRING_222_218;
#endif
{

return BASENAME___UNIX_FILE_111( STRING_222_218 );
}

obj_t
#if defined( __STDC__ )
PREFIX___UNIX_FILE_45(obj_t STRING_225_158)
#else
PREFIX___UNIX_FILE_45( STRING_225_158 )
obj_t STRING_225_158;
#endif
{

{obj_t LEN_226_255;
{obj_t L_266_116;
L_266_116=STRING_LENGTH( STRING_225_158 );LEN_226_255=SUB_I_PTAG( L_266_116, PSUB_TAG( 1 ) );}{obj_t E_228_109, S_229_176;
{
S_229_176=LEN_226_255;
E_228_109=LEN_226_255;
{_LOOP_227_141:

if( LE_I( S_229_176, BINT( 0 ) ))
return c_substring( STRING_225_158, BINT( 0 ), ADD_I_PTAG( PSUB_TAG( 1 ), E_228_109 ) );else
{if( EQP( BCHAR( STRING_REF( STRING_225_158, CINT( S_229_176 ) ) ), BCHAR( '.' ) ))
if( EQ_I( E_228_109, LEN_226_255 ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t AUX_314_1;
AUX_314_1=_2____R4_NUMBERS_6_5_30( S_229_176, BINT( 1 ) );{obj_t S_315_201;
S_315_201=S_229_176;{
S_229_176=AUX_314_1;
E_228_109=SUB_I_PTAG( S_315_201, PSUB_TAG( 1 ) );
goto _LOOP_227_141;
}}}_false_1:
{obj_t S_313_218;
S_313_218=S_229_176;{
S_229_176=SUB_I_PTAG( S_313_218, PSUB_TAG( 1 ) );
goto _LOOP_227_141;
}};
}}
}}}
}

obj_t
#if defined( __STDC__ )
__PREFIX___UNIX_FILE_1(obj_t ENV_307_88,obj_t STRING_225_158)
#else
__PREFIX___UNIX_FILE_1( ENV_307_88, STRING_225_158 )
obj_t ENV_307_88, STRING_225_158;
#endif
{

return PREFIX___UNIX_FILE_45( STRING_225_158 );
}

obj_t
#if defined( __STDC__ )
DIRNAME___UNIX_FILE_11(obj_t STRING_231_226)
#else
DIRNAME___UNIX_FILE_11( STRING_231_226 )
obj_t STRING_231_226;
#endif
{

{obj_t LEN_232_230;
{obj_t L_278_68;
L_278_68=STRING_LENGTH( STRING_231_226 );LEN_232_230=SUB_I_PTAG( L_278_68, PSUB_TAG( 1 ) );}{obj_t READ_234_140;
{
READ_234_140=LEN_232_230;
{_LOOP_233_234:

if( LE_I( READ_234_140, BINT( 0 ) ))
return BREF( &___0___UNIX_FILE_210);else
if( EQP( BCHAR( STRING_REF( STRING_231_226, CINT( READ_234_140 ) ) ), BCHAR( '/' ) ))
return c_substring( STRING_231_226, BINT( 0 ), READ_234_140 );else
{obj_t READ_312_161;
READ_312_161=READ_234_140;{
READ_234_140=SUB_I_PTAG( READ_312_161, PSUB_TAG( 1 ) );
goto _LOOP_233_234;
}}}
}}}
}

obj_t
#if defined( __STDC__ )
__DIRNAME___UNIX_FILE_168(obj_t ENV_306_133,obj_t STRING_231_226)
#else
__DIRNAME___UNIX_FILE_168( ENV_306_133, STRING_231_226 )
obj_t ENV_306_133, STRING_231_226;
#endif
{

return DIRNAME___UNIX_FILE_11( STRING_231_226 );
}

obj_t
#if defined( __STDC__ )
SUFFIX___UNIX_FILE_231(obj_t STRING_235_187)
#else
SUFFIX___UNIX_FILE_231( STRING_235_187 )
obj_t STRING_235_187;
#endif
{

{obj_t LEN_236_62;
LEN_236_62=STRING_LENGTH( STRING_235_187 );{obj_t READ_238_110;
{
READ_238_110=SUB_I_PTAG( LEN_236_62, PSUB_TAG( 1 ) );
{_LOOP_237_87:

if( LT_I( READ_238_110, BINT( 0 ) ))
return BREF( &__1___UNIX_FILE_32);else
if( EQP( BCHAR( STRING_REF( STRING_235_187, CINT( READ_238_110 ) ) ), BCHAR( '.' ) ))
return c_substring( STRING_235_187, ADD_I_PTAG( READ_238_110, PSUB_TAG( 1 ) ), LEN_236_62 );else
{obj_t READ_311_141;
READ_311_141=READ_238_110;{
READ_238_110=SUB_I_PTAG( READ_311_141, PSUB_TAG( 1 ) );
goto _LOOP_237_87;
}}}
}}}
}

obj_t
#if defined( __STDC__ )
__SUFFIX___UNIX_FILE_145(obj_t ENV_305_154,obj_t STRING_235_187)
#else
__SUFFIX___UNIX_FILE_145( ENV_305_154, STRING_235_187 )
obj_t ENV_305_154, STRING_235_187;
#endif
{

return SUFFIX___UNIX_FILE_231( STRING_235_187 );
}

