/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Match/normalize.c                                         */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t LIST_53___MATCH_NORMALIZE_130 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_112(obj_t, obj_t, obj_t);
#else
extern obj_t __EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_112();
#endif
DEFINE_STRING( NO_SUCH__30___MATCH_NORMALIZE_156, "No such structure ", 18);
static obj_t ___BAD_LU_14___MATCH_NORMALIZE_148 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
static obj_t PROCEDURE_10___MATCH_NORMALIZE_120 = BUNSPEC;
static obj_t _____40___MATCH_NORMALIZE_202 = BUNSPEC;
extern obj_t _____R4_NUMBERS_6_5_216();
static obj_t ON_45___MATCH_NORMALIZE_101 = BUNSPEC;
extern obj_t c_substring();
static obj_t STRUCT_P_16___MATCH_NORMALIZE_207 = BUNSPEC;
static obj_t VALUE_41___MATCH_NORMALIZE_92 = BUNSPEC;
static obj_t KWOTE_13___MATCH_NORMALIZE_30 = BUNSPEC;
extern obj_t _2____R4_NUMBERS_6_5_143();
#if defined( __STDC__ )
static obj_t STANDARDIZE_TREE_VARIABLE___MATCH_NORMALIZE_37(obj_t, obj_t, obj_t);
#else
static obj_t STANDARDIZE_TREE_VARIABLE___MATCH_NORMALIZE_37();
#endif
static obj_t CONS_20___MATCH_NORMALIZE_125 = BUNSPEC;
static obj_t PROCEDURE_6___MATCH_NORMALIZE_234 = BUNSPEC;
static obj_t END_SSET_47___MATCH_NORMALIZE_91 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t LIST_57___MATCH_NORMALIZE_182 = BUNSPEC;
static obj_t PROCEDURE_8___MATCH_NORMALIZE_219 = BUNSPEC;
static obj_t TAGGED_O_52___MATCH_NORMALIZE_15 = BUNSPEC;
static obj_t PROCEDURE_28___MATCH_NORMALIZE_139 = BUNSPEC;
static obj_t PROCEDURE_4___MATCH_NORMALIZE_164 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_55(obj_t);
#else
extern obj_t ____MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_55();
#endif
#if defined( __STDC__ )
static obj_t SEGMENT_VARIABLE____MATCH_NORMALIZE_118(obj_t);
#else
static obj_t SEGMENT_VARIABLE____MATCH_NORMALIZE_118();
#endif
#if defined( __STDC__ )
static obj_t PATTERN_LENGTH___MATCH_NORMALIZE_44(obj_t);
#else
static obj_t PATTERN_LENGTH___MATCH_NORMALIZE_44();
#endif
static obj_t AND_7___MATCH_NORMALIZE_32 = BUNSPEC;
static obj_t PROCEDURE_15___MATCH_NORMALIZE_35 = BUNSPEC;
DEFINE_STRING( TOO_MANY_21___MATCH_NORMALIZE_214, "Too many patterns provided for atom", 35);
static obj_t ATOM_1___MATCH_NORMALIZE_100 = BUNSPEC;
#if defined( __STDC__ )
static obj_t STANDARDIZE_ANY___MATCH_NORMALIZE_198(obj_t);
#else
static obj_t STANDARDIZE_ANY___MATCH_NORMALIZE_198();
#endif
static obj_t OR_3___MATCH_NORMALIZE_3 = BUNSPEC;
static obj_t HOLE_36___MATCH_NORMALIZE_201 = BUNSPEC;
static obj_t _____37___MATCH_NORMALIZE_214 = BUNSPEC;
#if defined( __STDC__ )
static obj_t LISPISH_SEGMENT_VARIABLE____MATCH_NORMALIZE_95(obj_t);
#else
static obj_t LISPISH_SEGMENT_VARIABLE____MATCH_NORMALIZE_95();
#endif
extern obj_t ATOM____MATCH_S2CFUN_134();
#if defined( __STDC__ )
static obj_t STANDARDIZE_VECTOR___MATCH_NORMALIZE_252(obj_t);
#else
static obj_t STANDARDIZE_VECTOR___MATCH_NORMALIZE_252();
#endif
static obj_t VECTOR_B_65___MATCH_NORMALIZE_216 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246(obj_t);
#else
extern obj_t MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246();
#endif
static obj_t EVAL_APP_50___MATCH_NORMALIZE_204 = BUNSPEC;
DEFINE_STRING( G_43___MATCH_NORMALIZE_139, "g", 1);
#if defined( __STDC__ )
extern obj_t EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_138(obj_t, obj_t);
#else
extern obj_t EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_138();
#endif
static obj_t PROCEDURE_17___MATCH_NORMALIZE_68 = BUNSPEC;
#if defined( __STDC__ )
static obj_t STANDARDIZE_PATTERN___MATCH_NORMALIZE_91(obj_t);
#else
static obj_t STANDARDIZE_PATTERN___MATCH_NORMALIZE_91();
#endif
extern obj_t make_va_procedure();
static obj_t ______38___MATCH_NORMALIZE_127 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_225(obj_t, obj_t);
#else
extern obj_t __MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_225();
#endif
#if defined( __STDC__ )
extern obj_t __NORMALIZE_PATTERN___MATCH_NORMALIZE_18(obj_t, obj_t);
#else
extern obj_t __NORMALIZE_PATTERN___MATCH_NORMALIZE_18();
#endif
static obj_t __MATCH_STRUCTURES____MATCH_NORMALIZE_111 = BUNSPEC;
static obj_t SSETQ_AP_49___MATCH_NORMALIZE_50 = BUNSPEC;
#if defined( __STDC__ )
static obj_t COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5(obj_t, obj_t);
#else
static obj_t COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5();
#endif
static obj_t ____31___MATCH_NORMALIZE_207 = BUNSPEC;
#if defined( __STDC__ )
static obj_t OC_COUNT___MATCH_NORMALIZE_13(obj_t, obj_t);
#else
static obj_t OC_COUNT___MATCH_NORMALIZE_13();
#endif
static obj_t ABORTED_69___MATCH_NORMALIZE_45 = BUNSPEC;
static obj_t PROCEDURE_12___MATCH_NORMALIZE_230 = BUNSPEC;
static obj_t LIST_61___MATCH_NORMALIZE_212 = BUNSPEC;
DEFINE_STRING( ERREUR___23___MATCH_NORMALIZE_2, "ERREUR: ", 8);
obj_t ___MATCH_NORMALIZE_INITIALISATION_ENV___MATCH_NORMALIZE_219 = BUNSPEC;
static obj_t NOT_9___MATCH_NORMALIZE_25 = BUNSPEC;
static obj_t PROCEDURE_33___MATCH_NORMALIZE_198 = BUNSPEC;
static obj_t __STRUCTU_18___MATCH_NORMALIZE_71 = BUNSPEC;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
static obj_t PROCEDURE_32___MATCH_NORMALIZE_204 = BUNSPEC;
#if defined( __STDC__ )
static obj_t STANDARDIZE_REPETITION___MATCH_NORMALIZE_0(obj_t, obj_t);
#else
static obj_t STANDARDIZE_REPETITION___MATCH_NORMALIZE_0();
#endif
static obj_t ___11___MATCH_NORMALIZE_183 = BUNSPEC;
static obj_t PROCEDURE_0___MATCH_NORMALIZE_154 = BUNSPEC;
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t REQUIRE_INITIALISATION____MATCH_NORMALIZE_193 = BUNSPEC;
static obj_t TIMES_44___MATCH_NORMALIZE_1 = BUNSPEC;
static obj_t DEFINE_S_70___MATCH_NORMALIZE_53 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
static obj_t LIST_55___MATCH_NORMALIZE_128 = BUNSPEC;
obj_t MATCH_DEFINE_STRUCTURE__ENV___MATCH_NORMALIZE_107 = BUNSPEC;
extern obj_t _2____R4_NUMBERS_6_5_47();
static obj_t SEGMENT_51___MATCH_NORMALIZE_25 = BUNSPEC;
obj_t NORMALIZE_PATTERN_ENV___MATCH_NORMALIZE_101 = BUNSPEC;
static obj_t LIST_62___MATCH_NORMALIZE_134 = BUNSPEC;
static obj_t XCONS_42___MATCH_NORMALIZE_181 = BUNSPEC;
extern obj_t ___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223();
static obj_t UNBOUND_PATTERN___MATCH_NORMALIZE_168 = BUNSPEC;
static obj_t CHECK_25___MATCH_NORMALIZE_196 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t ANY_19___MATCH_NORMALIZE_12 = BUNSPEC;
static obj_t PROCEDURE_54___MATCH_NORMALIZE_166 = BUNSPEC;
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
static obj_t QUOTE_26___MATCH_NORMALIZE_129 = BUNSPEC;
static obj_t PATTERN__22___MATCH_NORMALIZE_65 = BUNSPEC;
static obj_t LIST_59___MATCH_NORMALIZE_137 = BUNSPEC;
static obj_t PROCEDURE_27___MATCH_NORMALIZE_254 = BUNSPEC;
static obj_t OFF_46___MATCH_NORMALIZE_200 = BUNSPEC;
extern obj_t ASSOC___R4_PAIRS_AND_LISTS_6_3_8();
static obj_t R_MACRO_PATTERN___MATCH_NORMALIZE_79 = BUNSPEC;
#if defined( __STDC__ )
static obj_t STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175(obj_t);
#else
static obj_t STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175();
#endif
extern obj_t make_fx_procedure();
static obj_t VECTOR_A_56___MATCH_NORMALIZE_204 = BUNSPEC;
static obj_t LIST_63___MATCH_NORMALIZE_254 = BUNSPEC;
extern obj_t JIM_GENSYM___MATCH_S2CFUN_61;
#if defined( __STDC__ )
static obj_t STANDARDIZE_LISPISH_SEGMENT_VARIABLE___MATCH_NORMALIZE_165(obj_t, obj_t);
#else
static obj_t STANDARDIZE_LISPISH_SEGMENT_VARIABLE___MATCH_NORMALIZE_165();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t __PREFER_XCONS____MATCH_NORMALIZE_213 = BUNSPEC;
#if defined( __STDC__ )
static obj_t TREE_VARIABLE____MATCH_NORMALIZE_58(obj_t);
#else
static obj_t TREE_VARIABLE____MATCH_NORMALIZE_58();
#endif
static obj_t T_OR_5___MATCH_NORMALIZE_61 = BUNSPEC;
static obj_t VECTOR_E_60___MATCH_NORMALIZE_107 = BUNSPEC;
static obj_t PROCEDURE_2___MATCH_NORMALIZE_8 = BUNSPEC;
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
DEFINE_STRING( NO_SUCH__29___MATCH_NORMALIZE_238, "No such structure: ", 19);
static obj_t TREE_48___MATCH_NORMALIZE_57 = BUNSPEC;
static obj_t MAKE_TOGGLE___MATCH_NORMALIZE_127();
#if defined( __STDC__ )
static obj_t STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22(obj_t, obj_t);
#else
static obj_t STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22();
#endif
static obj_t PROCEDURE_39___MATCH_NORMALIZE_121 = BUNSPEC;
DEFINE_STRING( INCORREC_68___MATCH_NORMALIZE_227, "Incorrect declaration: ", 23);
static obj_t VAR_34___MATCH_NORMALIZE_98 = BUNSPEC;
obj_t EXTEND_R_MACRO_ENV_ENV___MATCH_NORMALIZE_221 = BUNSPEC;
static obj_t VECTOR_T_64___MATCH_NORMALIZE_145 = BUNSPEC;
static obj_t LIST_67___MATCH_NORMALIZE_76 = BUNSPEC;
extern obj_t ___MATCH_S2CFUN_INITIALISATION___MATCH_S2CFUN_189();
static obj_t VECTOR_C_58___MATCH_NORMALIZE_246 = BUNSPEC;
DEFINE_STRING( INCOMPAT_24___MATCH_NORMALIZE_178, "Incompatible alternative", 24);
static obj_t R_MACRO_PATTERN_INIT___MATCH_NORMALIZE_146 = BUNSPEC;
DEFINE_STRING( HOLE__35___MATCH_NORMALIZE_149, "HOLE-", 5);
#if defined( __STDC__ )
extern obj_t NORMALIZE_PATTERN___MATCH_NORMALIZE_228(obj_t);
#else
extern obj_t NORMALIZE_PATTERN___MATCH_NORMALIZE_228();
#endif
static obj_t LIST_66___MATCH_NORMALIZE_179 = BUNSPEC;

static obj_t LAMBDA_2_27_384_72();
static obj_t LAMBDA_2_26_381_211();
static obj_t LAMBDA__2_25_378_140();
static obj_t LAMBDA_2_31_396_156();
static obj_t LAMBDA_2_30_393_187();
static obj_t LAMBDA_2_29_390_106();
static obj_t LAMBDA__2_28_387_44();
static obj_t LAMBDA_2_35_409_94();
static obj_t LAMBDA_2_34_406_146();
static obj_t LAMBDA_2_33_403_244();
static obj_t LAMBDA__2_32_400_63();
static obj_t LAMBDA_2_39_422_202();
static obj_t LAMBDA_2_38_419_254();
static obj_t LAMBDA_2_37_416_235();
static obj_t LAMBDA__2_36_413_12();
static obj_t LAMBDA_2_42_430_233();
static obj_t LAMBDA_2_41_427_32();
static obj_t LAMBDA_1_40_425_180();
static obj_t LAMBDA_2_44_435_151();
static obj_t LAMBDA_1_43_433_4();
static obj_t LAMBDA_2_46_440_29();
static obj_t LAMBDA_1_45_438_59();
static obj_t LAMBDA_2_0_549_98();
static obj_t LAMBDA_2_0_556_23();
static obj_t LAMBDA_2_49_472_233();
static obj_t LAMBDA__2_48_469_182();
static obj_t LAMBDA_2_51_483_30();
static obj_t LAMBDA__1_50_481_53();
static obj_t LAMBDA_2_0_251_143();
static obj_t LAMBDA_2_4_655_66();
static obj_t LAMBDA_2_12_663_134();
static obj_t LAMBDA_2_13_675_171();
static obj_t LAMBDA_2_14_683_215();
static obj_t LAMBDA_2_24_700_227();
static obj_t LAMBDA_2_11_728_234();
static obj_t LAMBDA_2_10_725_247();
static obj_t LAMBDA_2_9_722_211();
static obj_t LAMBDA_2_8_737_0();
static obj_t LAMBDA_2_7_734_119();
static obj_t LAMBDA_2_6_731_247();
static obj_t LAMBDA_2_14_740_255();
static obj_t LAMBDA_2_3_264_125();
static obj_t LAMBDA_2_2_261_32();
static obj_t LAMBDA_2_1_258_33();
static obj_t LAMBDA_1_5_275_17();
static obj_t LAMBDA_2_16_320_69();
static obj_t LAMBDA_2_17_324_144();
static obj_t LAMBDA_2_15_316_43();
static obj_t LAMBDA_2_20_337_84();
static obj_t LAMBDA_2_19_334_252();
static obj_t LAMBDA_2_18_330_192();
static obj_t LAMBDA_2_21_352_79();
static obj_t LAMBDA_2_23_360_205();
static obj_t LAMBDA_2_22_357_251();
static obj_t LAMBDA_2_0_827_12();
static obj_t LAMBDA_2_47_457_109();
static obj_t VECTORIFY_456_82();

obj_t
#if defined( __STDC__ )
___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223()
#else
___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____MATCH_NORMALIZE_193 ))
{
REQUIRE_INITIALISATION____MATCH_NORMALIZE_193=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___MATCH_S2CFUN_INITIALISATION___MATCH_S2CFUN_189();
_____40___MATCH_NORMALIZE_202=c_string_to_symbol( "..." );
QUOTE_26___MATCH_NORMALIZE_129=c_string_to_symbol( "QUOTE" );
PATTERN__22___MATCH_NORMALIZE_65=c_string_to_symbol( "PATTERN-MATCHING" );
HOLE_36___MATCH_NORMALIZE_201=c_string_to_symbol( "HOLE" );
ANY_19___MATCH_NORMALIZE_12=c_string_to_symbol( "ANY" );
XCONS_42___MATCH_NORMALIZE_181=c_string_to_symbol( "XCONS" );
SSETQ_AP_49___MATCH_NORMALIZE_50=c_string_to_symbol( "SSETQ-APPEND" );
ON_45___MATCH_NORMALIZE_101=c_string_to_symbol( "ON" );
VECTOR_T_64___MATCH_NORMALIZE_145=c_string_to_symbol( "VECTOR-TIMES" );
VECTOR_B_65___MATCH_NORMALIZE_216=c_string_to_symbol( "VECTOR-BEGIN" );
SEGMENT_51___MATCH_NORMALIZE_25=c_string_to_symbol( "SEGMENT" );
___11___MATCH_NORMALIZE_183=c_string_to_symbol( "?" );
VECTOR_C_58___MATCH_NORMALIZE_246=c_string_to_symbol( "VECTOR-CONS" );
VAR_34___MATCH_NORMALIZE_98=c_string_to_symbol( "VAR" );
__STRUCTU_18___MATCH_NORMALIZE_71=c_string_to_symbol( "_STRUCTURE_" );
OR_3___MATCH_NORMALIZE_3=c_string_to_symbol( "OR" );
______38___MATCH_NORMALIZE_127=c_string_to_symbol( "???-" );
___BAD_LU_14___MATCH_NORMALIZE_148=c_string_to_symbol( "**BAD-LUCK096561123523452**" );
TAGGED_O_52___MATCH_NORMALIZE_15=c_string_to_symbol( "TAGGED-OR" );
AND_7___MATCH_NORMALIZE_32=c_string_to_symbol( "AND" );
STRUCT_P_16___MATCH_NORMALIZE_207=c_string_to_symbol( "STRUCT-PAT" );
_____37___MATCH_NORMALIZE_214=c_string_to_symbol( "??-" );
ABORTED_69___MATCH_NORMALIZE_45=c_string_to_symbol( "ABORTED" );
VECTOR_E_60___MATCH_NORMALIZE_107=c_string_to_symbol( "VECTOR-END" );
CHECK_25___MATCH_NORMALIZE_196=c_string_to_symbol( "CHECK" );
OFF_46___MATCH_NORMALIZE_200=c_string_to_symbol( "OFF" );
EVAL_APP_50___MATCH_NORMALIZE_204=c_string_to_symbol( "EVAL-APPEND" );
TIMES_44___MATCH_NORMALIZE_1=c_string_to_symbol( "TIMES" );
____31___MATCH_NORMALIZE_207=c_string_to_symbol( "?-" );
END_SSET_47___MATCH_NORMALIZE_91=c_string_to_symbol( "END-SSETQ" );
VALUE_41___MATCH_NORMALIZE_92=c_string_to_symbol( "VALUE" );
T_OR_5___MATCH_NORMALIZE_61=c_string_to_symbol( "T-OR" );
KWOTE_13___MATCH_NORMALIZE_30=c_string_to_symbol( "KWOTE" );
VECTOR_A_56___MATCH_NORMALIZE_204=c_string_to_symbol( "VECTOR-ANY" );
CONS_20___MATCH_NORMALIZE_125=c_string_to_symbol( "CONS" );
ATOM_1___MATCH_NORMALIZE_100=c_string_to_symbol( "ATOM" );
TREE_48___MATCH_NORMALIZE_57=c_string_to_symbol( "TREE" );
NOT_9___MATCH_NORMALIZE_25=c_string_to_symbol( "NOT" );
DEFINE_S_70___MATCH_NORMALIZE_53=c_string_to_symbol( "DEFINE-STRUCT" );
{obj_t AUX_1451_182;
{obj_t AUX_1452_153;
{obj_t AUX_1453_136;
{obj_t AUX_1454_249;
{obj_t AUX_1455_236;
AUX_1455_236=MAKE_PAIR( NOT_9___MATCH_NORMALIZE_25, BNIL );AUX_1454_249=MAKE_PAIR( CONS_20___MATCH_NORMALIZE_125, AUX_1455_236 );}AUX_1453_136=MAKE_PAIR( TAGGED_O_52___MATCH_NORMALIZE_15, AUX_1454_249 );}AUX_1452_153=MAKE_PAIR( T_OR_5___MATCH_NORMALIZE_61, AUX_1453_136 );}AUX_1451_182=MAKE_PAIR( AND_7___MATCH_NORMALIZE_32, AUX_1452_153 );}LIST_53___MATCH_NORMALIZE_130=MAKE_PAIR( OR_3___MATCH_NORMALIZE_3, AUX_1451_182 );}
LIST_55___MATCH_NORMALIZE_128=MAKE_PAIR( ANY_19___MATCH_NORMALIZE_12, BNIL );
LIST_57___MATCH_NORMALIZE_182=MAKE_PAIR( VECTOR_A_56___MATCH_NORMALIZE_204, BNIL );
{obj_t AUX_1456_45;
AUX_1456_45=MAKE_PAIR( BNIL, BNIL );LIST_59___MATCH_NORMALIZE_137=MAKE_PAIR( QUOTE_26___MATCH_NORMALIZE_129, AUX_1456_45 );}
LIST_61___MATCH_NORMALIZE_212=MAKE_PAIR( VECTOR_E_60___MATCH_NORMALIZE_107, BNIL );
{obj_t AUX_1457_244;
{obj_t AUX_1458_19;
AUX_1458_19=MAKE_PAIR( NOT_9___MATCH_NORMALIZE_25, BNIL );AUX_1457_244=MAKE_PAIR( OR_3___MATCH_NORMALIZE_3, AUX_1458_19 );}LIST_62___MATCH_NORMALIZE_134=MAKE_PAIR( AND_7___MATCH_NORMALIZE_32, AUX_1457_244 );}
{obj_t AUX_1459_165;
AUX_1459_165=MAKE_PAIR( TREE_48___MATCH_NORMALIZE_57, BNIL );LIST_63___MATCH_NORMALIZE_254=MAKE_PAIR( TIMES_44___MATCH_NORMALIZE_1, AUX_1459_165 );}
{obj_t AUX_1460_90;
AUX_1460_90=MAKE_PAIR( ______38___MATCH_NORMALIZE_127, BNIL );LIST_66___MATCH_NORMALIZE_179=MAKE_PAIR( _____37___MATCH_NORMALIZE_214, AUX_1460_90 );}
{obj_t AUX_1461_129;
{obj_t AUX_1462_202;
{obj_t AUX_1463_217;
AUX_1463_217=MAKE_PAIR( TAGGED_O_52___MATCH_NORMALIZE_15, BNIL );AUX_1462_202=MAKE_PAIR( T_OR_5___MATCH_NORMALIZE_61, AUX_1463_217 );}AUX_1461_129=MAKE_PAIR( AND_7___MATCH_NORMALIZE_32, AUX_1462_202 );}LIST_67___MATCH_NORMALIZE_76=MAKE_PAIR( OR_3___MATCH_NORMALIZE_3, AUX_1461_129 );}
PROCEDURE_54___MATCH_NORMALIZE_166=make_fx_procedure( LAMBDA_2_0_827_12, 2, 0 );
PROCEDURE_39___MATCH_NORMALIZE_121=make_fx_procedure( LAMBDA_2_24_700_227, 2, 0 );
PROCEDURE_33___MATCH_NORMALIZE_198=make_fx_procedure( LAMBDA_2_4_655_66, 2, 0 );
PROCEDURE_32___MATCH_NORMALIZE_204=make_fx_procedure( LAMBDA_2_0_251_143, 2, 0 );
PROCEDURE_28___MATCH_NORMALIZE_139=make_fx_procedure( LAMBDA_2_0_556_23, 2, 0 );
PROCEDURE_27___MATCH_NORMALIZE_254=make_fx_procedure( LAMBDA_2_0_549_98, 2, 0 );
PROCEDURE_17___MATCH_NORMALIZE_68=make_va_procedure( LAMBDA__1_50_481_53, -1, 0 );
PROCEDURE_15___MATCH_NORMALIZE_35=make_va_procedure( LAMBDA__2_48_469_182, -2, 0 );
PROCEDURE_12___MATCH_NORMALIZE_230=make_fx_procedure( LAMBDA_1_45_438_59, 1, 0 );
PROCEDURE_10___MATCH_NORMALIZE_120=make_fx_procedure( LAMBDA_1_43_433_4, 1, 0 );
PROCEDURE_8___MATCH_NORMALIZE_219=make_fx_procedure( LAMBDA_1_40_425_180, 1, 0 );
PROCEDURE_6___MATCH_NORMALIZE_234=make_va_procedure( LAMBDA__2_36_413_12, -2, 0 );
PROCEDURE_4___MATCH_NORMALIZE_164=make_va_procedure( LAMBDA__2_32_400_63, -2, 0 );
PROCEDURE_2___MATCH_NORMALIZE_8=make_va_procedure( LAMBDA__2_28_387_44, -2, 0 );
PROCEDURE_0___MATCH_NORMALIZE_154=make_va_procedure( LAMBDA__2_25_378_140, -2, 0 );
{
___MATCH_NORMALIZE_INITIALISATION_ENV___MATCH_NORMALIZE_219=make_fx_procedure( ____MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_55, 0, 0 );
NORMALIZE_PATTERN_ENV___MATCH_NORMALIZE_101=make_fx_procedure( __NORMALIZE_PATTERN___MATCH_NORMALIZE_18, 1, 0 );
EXTEND_R_MACRO_ENV_ENV___MATCH_NORMALIZE_221=make_fx_procedure( __EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_112, 2, 0 );
MATCH_DEFINE_STRUCTURE__ENV___MATCH_NORMALIZE_107=make_fx_procedure( __MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_225, 1, 0 );
{
__PREFER_XCONS____MATCH_NORMALIZE_213=MAKE_TOGGLE___MATCH_NORMALIZE_127();
R_MACRO_PATTERN_INIT___MATCH_NORMALIZE_146=BNIL;
R_MACRO_PATTERN___MATCH_NORMALIZE_79=R_MACRO_PATTERN_INIT___MATCH_NORMALIZE_146;
{obj_t FUN_512_92;
{obj_t LAMBDA__2_25_ENV_1292_4;
LAMBDA__2_25_ENV_1292_4=PROCEDURE_0___MATCH_NORMALIZE_154;FUN_512_92=LAMBDA__2_25_ENV_1292_4;}{obj_t FN_513_250;
FN_513_250=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_516_20;
OBJ1_516_20=MAKE_PAIR( ATOM_1___MATCH_NORMALIZE_100, FUN_512_92 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_516_20, FN_513_250 );}}}
ATOM_1___MATCH_NORMALIZE_100;
{obj_t FUN_522_36;
{obj_t LAMBDA__2_28_ENV_1281_63;
LAMBDA__2_28_ENV_1281_63=PROCEDURE_2___MATCH_NORMALIZE_8;FUN_522_36=LAMBDA__2_28_ENV_1281_63;}{obj_t FN_523_130;
FN_523_130=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_524_30;
OBJ1_524_30=MAKE_PAIR( OR_3___MATCH_NORMALIZE_3, FUN_522_36 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_524_30, FN_523_130 );}}}
OR_3___MATCH_NORMALIZE_3;
{obj_t FUN_526_173;
{obj_t LAMBDA__2_32_ENV_1270_89;
LAMBDA__2_32_ENV_1270_89=PROCEDURE_4___MATCH_NORMALIZE_164;FUN_526_173=LAMBDA__2_32_ENV_1270_89;}{obj_t FN_527_77;
FN_527_77=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_528_234;
OBJ1_528_234=MAKE_PAIR( T_OR_5___MATCH_NORMALIZE_61, FUN_526_173 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_528_234, FN_527_77 );}}}
T_OR_5___MATCH_NORMALIZE_61;
{obj_t FUN_530_56;
{obj_t LAMBDA__2_36_ENV_1259_112;
LAMBDA__2_36_ENV_1259_112=PROCEDURE_6___MATCH_NORMALIZE_234;FUN_530_56=LAMBDA__2_36_ENV_1259_112;}{obj_t FN_531_147;
FN_531_147=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_532_234;
OBJ1_532_234=MAKE_PAIR( AND_7___MATCH_NORMALIZE_32, FUN_530_56 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_532_234, FN_531_147 );}}}
AND_7___MATCH_NORMALIZE_32;
{obj_t FUN_533_169;
{obj_t LAMBDA_1_40_ENV_1252_199;
LAMBDA_1_40_ENV_1252_199=PROCEDURE_8___MATCH_NORMALIZE_219;FUN_533_169=LAMBDA_1_40_ENV_1252_199;}{obj_t FN_534_183;
FN_534_183=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_535_107;
OBJ1_535_107=MAKE_PAIR( NOT_9___MATCH_NORMALIZE_25, FUN_533_169 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_535_107, FN_534_183 );}}}
NOT_9___MATCH_NORMALIZE_25;
{obj_t FUN_536_87;
{obj_t LAMBDA_1_43_ENV_1248_226;
LAMBDA_1_43_ENV_1248_226=PROCEDURE_10___MATCH_NORMALIZE_120;FUN_536_87=LAMBDA_1_43_ENV_1248_226;}{obj_t FN_537_157;
FN_537_157=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_538_36;
OBJ1_538_36=MAKE_PAIR( ___11___MATCH_NORMALIZE_183, FUN_536_87 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_538_36, FN_537_157 );}}}
___11___MATCH_NORMALIZE_183;
{obj_t FUN_539_65;
{obj_t LAMBDA_1_45_ENV_1244_140;
LAMBDA_1_45_ENV_1244_140=PROCEDURE_12___MATCH_NORMALIZE_230;FUN_539_65=LAMBDA_1_45_ENV_1244_140;}{obj_t FN_540_8;
FN_540_8=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_541_23;
OBJ1_541_23=MAKE_PAIR( KWOTE_13___MATCH_NORMALIZE_30, FUN_539_65 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_541_23, FN_540_8 );}}}
KWOTE_13___MATCH_NORMALIZE_30;
UNBOUND_PATTERN___MATCH_NORMALIZE_168=___BAD_LU_14___MATCH_NORMALIZE_148;
__MATCH_STRUCTURES____MATCH_NORMALIZE_111=BNIL;
{obj_t FUN_542_37;
{obj_t LAMBDA__2_48_ENV_1234_253;
LAMBDA__2_48_ENV_1234_253=PROCEDURE_15___MATCH_NORMALIZE_35;FUN_542_37=LAMBDA__2_48_ENV_1234_253;}{obj_t FN_543_33;
FN_543_33=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_544_39;
OBJ1_544_39=MAKE_PAIR( STRUCT_P_16___MATCH_NORMALIZE_207, FUN_542_37 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_544_39, FN_543_33 );}}}
STRUCT_P_16___MATCH_NORMALIZE_207;
{obj_t FUN_564_214;
{obj_t LAMBDA__1_50_ENV_1229_80;
LAMBDA__1_50_ENV_1229_80=PROCEDURE_17___MATCH_NORMALIZE_68;FUN_564_214=LAMBDA__1_50_ENV_1229_80;}{obj_t FN_565_51;
FN_565_51=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_566_226;
OBJ1_566_226=MAKE_PAIR( __STRUCTU_18___MATCH_NORMALIZE_71, FUN_564_214 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=MAKE_PAIR( OBJ1_566_226, FN_565_51 );}}}
__STRUCTU_18___MATCH_NORMALIZE_71;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_55(obj_t ENV_1298_203)
#else
____MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_55( ENV_1298_203 )
obj_t ENV_1298_203;
#endif
{

return ___MATCH_NORMALIZE_INITIALISATION___MATCH_NORMALIZE_223();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_27_384_72(obj_t LAMBDA_2_27_ENV_1297_65,obj_t PATTERN_385_255,obj_t RR_386_165)
#else
LAMBDA_2_27_384_72( LAMBDA_2_27_ENV_1297_65, PATTERN_385_255, RR_386_165 )
obj_t LAMBDA_2_27_ENV_1297_65, PATTERN_385_255, RR_386_165;
#endif
{

{obj_t C_383_173;
C_383_173=PROCEDURE_ENV_REF( LAMBDA_2_27_ENV_1297_65, 0 );{obj_t VA_ARG_879_11;
VA_ARG_879_11=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_880_198;
VA_ARG_880_198=MAKE_PAIR( PATTERN_385_255, VA_ARG_879_11 );{obj_t VA_ARG_881_168;
{obj_t VA_ARG_882_254;
VA_ARG_882_254=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_883_41;
{obj_t VA_ARG_884_241;
VA_ARG_884_241=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_885_156;
{obj_t VA_ARG_888_66;
VA_ARG_888_66=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1446_73;
AUX_1446_73=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_888_66 );VA_ARG_885_156=MAKE_PAIR( AUX_1446_73, VA_ARG_884_241 );}}{obj_t VA_ARG_886_46;
{obj_t VA_ARG_887_79;
VA_ARG_887_79=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1447_173;
AUX_1447_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_887_79 );VA_ARG_886_46=MAKE_PAIR( AUX_1447_173, VA_ARG_885_156 );}}{obj_t AUX_1448_169;
AUX_1448_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONS_20___MATCH_NORMALIZE_125, VA_ARG_886_46 );VA_ARG_883_41=MAKE_PAIR( AUX_1448_169, VA_ARG_882_254 );}}}}{obj_t AUX_1449_234;
AUX_1449_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( NOT_9___MATCH_NORMALIZE_25, VA_ARG_883_41 );VA_ARG_881_168=MAKE_PAIR( AUX_1449_234, VA_ARG_880_198 );}}}{obj_t AUX_1450_111;
AUX_1450_111=CONS____R4_PAIRS_AND_LISTS_6_3_28( AND_7___MATCH_NORMALIZE_32, VA_ARG_881_168 );return PROCEDURE_ENTRY( C_383_173 )( C_383_173, AUX_1450_111, RR_386_165, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_26_381_211(obj_t LAMBDA_2_26_ENV_1296_106,obj_t R_382_211,obj_t C_383_173)
#else
LAMBDA_2_26_381_211( LAMBDA_2_26_ENV_1296_106, R_382_211, C_383_173 )
obj_t LAMBDA_2_26_ENV_1296_106, R_382_211, C_383_173;
#endif
{

{bool_t E__1299_62;
obj_t E_379_70;
E__1299_62=PAIRP( PROCEDURE_ENV_REF( LAMBDA_2_26_ENV_1296_106, 0 ) );E_379_70=PROCEDURE_ENV_REF( LAMBDA_2_26_ENV_1296_106, 1 );if( E__1299_62)
{obj_t ARGS_518_178;
{obj_t STRING_CAST_877_203;
STRING_CAST_877_203=BREF( &TOO_MANY_21___MATCH_NORMALIZE_214);ARGS_518_178=MAKE_PAIR( STRING_CAST_877_203, BNIL );}FAILURE( PATTERN__22___MATCH_NORMALIZE_65, BREF( &ERREUR___23___MATCH_NORMALIZE_2), ARGS_518_178 );}else
{obj_t LAMBDA_2_27_ENV_1295_40;
LAMBDA_2_27_ENV_1295_40=make_fx_procedure( LAMBDA_2_27_384_72, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_27_ENV_1295_40, 0, C_383_173 );
{obj_t A_FUNCTION_889_226;
A_FUNCTION_889_226=LAMBDA_2_27_ENV_1295_40;{obj_t CLO_1294_243;
CLO_1294_243=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_379_70 );return PROCEDURE_ENTRY( CLO_1294_243 )( CLO_1294_243, R_382_211, A_FUNCTION_889_226, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_25_378_140(obj_t LAMBDA__2_25_ENV_1293_33,obj_t E_379_70,obj_t E__380_119)
#else
LAMBDA__2_25_378_140( LAMBDA__2_25_ENV_1293_33, E_379_70, E__380_119 )
obj_t LAMBDA__2_25_ENV_1293_33, E_379_70, E__380_119;
#endif
{

{obj_t LAMBDA_2_26_ENV_1291_255;
LAMBDA_2_26_ENV_1291_255=make_fx_procedure( LAMBDA_2_26_381_211, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_26_ENV_1291_255, 1, E_379_70 );
PROCEDURE_ENV_SET( LAMBDA_2_26_ENV_1291_255, 0, E__380_119 );
return LAMBDA_2_26_ENV_1291_255;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_31_396_156(obj_t LAMBDA_2_31_ENV_1290_62,obj_t PATTERN2_397_36,obj_t RRR_398_170)
#else
LAMBDA_2_31_396_156( LAMBDA_2_31_ENV_1290_62, PATTERN2_397_36, RRR_398_170 )
obj_t LAMBDA_2_31_ENV_1290_62, PATTERN2_397_36, RRR_398_170;
#endif
{

{obj_t RR_395_81, PATTERN1_394_235, C_392_19;
RR_395_81=PROCEDURE_ENV_REF( LAMBDA_2_31_ENV_1290_62, 0 );PATTERN1_394_235=PROCEDURE_ENV_REF( LAMBDA_2_31_ENV_1290_62, 1 );C_392_19=PROCEDURE_ENV_REF( LAMBDA_2_31_ENV_1290_62, 2 );{bool_t __andtest_1018_1300_35;
{obj_t AUX_1443_36;
AUX_1443_36=COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5( RR_395_81, RRR_398_170 );__andtest_1018_1300_35=BBOOL_TO_CBOOL( AUX_1443_36 );}{if( __andtest_1018_1300_35)
{obj_t AUX_1444_7;
AUX_1444_7=COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5( RRR_398_170, RR_395_81 );if( BBOOL_TO_CBOOL( AUX_1444_7 ))
goto _true_18;else
goto _false_19;}else
goto _false_19;_true_18:
{obj_t VA_ARG_892_60;
VA_ARG_892_60=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_893_66;
VA_ARG_893_66=MAKE_PAIR( PATTERN2_397_36, VA_ARG_892_60 );{obj_t VA_ARG_894_141;
VA_ARG_894_141=MAKE_PAIR( PATTERN1_394_235, VA_ARG_893_66 );{obj_t AUX_1445_30;
AUX_1445_30=CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_3___MATCH_NORMALIZE_3, VA_ARG_894_141 );return PROCEDURE_ENTRY( C_392_19 )( C_392_19, AUX_1445_30, RRR_398_170, BEOA );}}}}_false_19:
{obj_t ARGS_525_44;
{obj_t STRING_CAST_895_69;
STRING_CAST_895_69=BREF( &INCOMPAT_24___MATCH_NORMALIZE_178);ARGS_525_44=MAKE_PAIR( STRING_CAST_895_69, BNIL );}FAILURE( PATTERN__22___MATCH_NORMALIZE_65, BREF( &ERREUR___23___MATCH_NORMALIZE_2), ARGS_525_44 );};
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_30_393_187(obj_t LAMBDA_2_30_ENV_1289_126,obj_t PATTERN1_394_235,obj_t RR_395_81)
#else
LAMBDA_2_30_393_187( LAMBDA_2_30_ENV_1289_126, PATTERN1_394_235, RR_395_81 )
obj_t LAMBDA_2_30_ENV_1289_126, PATTERN1_394_235, RR_395_81;
#endif
{

{obj_t E__389_140, R_391_140, C_392_19;
E__389_140=PROCEDURE_ENV_REF( LAMBDA_2_30_ENV_1289_126, 0 );R_391_140=PROCEDURE_ENV_REF( LAMBDA_2_30_ENV_1289_126, 1 );C_392_19=PROCEDURE_ENV_REF( LAMBDA_2_30_ENV_1289_126, 2 );{obj_t VA_ARG_898_41;
VA_ARG_898_41=MAKE_PAIR( E__389_140, BNIL );{obj_t LAMBDA_2_31_ENV_1288_226;
LAMBDA_2_31_ENV_1288_226=make_fx_procedure( LAMBDA_2_31_396_156, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_31_ENV_1288_226, 2, C_392_19 );
PROCEDURE_ENV_SET( LAMBDA_2_31_ENV_1288_226, 1, PATTERN1_394_235 );
PROCEDURE_ENV_SET( LAMBDA_2_31_ENV_1288_226, 0, RR_395_81 );
{obj_t A_FUNCTION_897_113;
A_FUNCTION_897_113=LAMBDA_2_31_ENV_1288_226;{obj_t CLO_1287_162;
{obj_t AUX_1442_65;
AUX_1442_65=CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_3___MATCH_NORMALIZE_3, VA_ARG_898_41 );CLO_1287_162=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( AUX_1442_65 );}return PROCEDURE_ENTRY( CLO_1287_162 )( CLO_1287_162, R_391_140, A_FUNCTION_897_113, BEOA );}}
}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_29_390_106(obj_t LAMBDA_2_29_ENV_1286_90,obj_t R_391_140,obj_t C_392_19)
#else
LAMBDA_2_29_390_106( LAMBDA_2_29_ENV_1286_90, R_391_140, C_392_19 )
obj_t LAMBDA_2_29_ENV_1286_90, R_391_140, C_392_19;
#endif
{

{obj_t E_388_6, E__389_140;
E_388_6=PROCEDURE_ENV_REF( LAMBDA_2_29_ENV_1286_90, 0 );E__389_140=PROCEDURE_ENV_REF( LAMBDA_2_29_ENV_1286_90, 1 );if( PAIRP( E__389_140 ))
{obj_t LAMBDA_2_30_ENV_1284_228;
LAMBDA_2_30_ENV_1284_228=make_fx_procedure( LAMBDA_2_30_393_187, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_30_ENV_1284_228, 2, C_392_19 );
PROCEDURE_ENV_SET( LAMBDA_2_30_ENV_1284_228, 1, R_391_140 );
PROCEDURE_ENV_SET( LAMBDA_2_30_ENV_1284_228, 0, E__389_140 );
{obj_t A_FUNCTION_899_6;
A_FUNCTION_899_6=LAMBDA_2_30_ENV_1284_228;{obj_t CLO_1283_205;
CLO_1283_205=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_388_6 );return PROCEDURE_ENTRY( CLO_1283_205 )( CLO_1283_205, R_391_140, A_FUNCTION_899_6, BEOA );}}
}}else
{obj_t CLO_1285_160;
CLO_1285_160=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_388_6 );return PROCEDURE_ENTRY( CLO_1285_160 )( CLO_1285_160, R_391_140, C_392_19, BEOA );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_28_387_44(obj_t LAMBDA__2_28_ENV_1282_69,obj_t E_388_6,obj_t E__389_140)
#else
LAMBDA__2_28_387_44( LAMBDA__2_28_ENV_1282_69, E_388_6, E__389_140 )
obj_t LAMBDA__2_28_ENV_1282_69, E_388_6, E__389_140;
#endif
{

{obj_t LAMBDA_2_29_ENV_1280_71;
LAMBDA_2_29_ENV_1280_71=make_fx_procedure( LAMBDA_2_29_390_106, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_29_ENV_1280_71, 1, E__389_140 );
PROCEDURE_ENV_SET( LAMBDA_2_29_ENV_1280_71, 0, E_388_6 );
return LAMBDA_2_29_ENV_1280_71;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_35_409_94(obj_t LAMBDA_2_35_ENV_1279_70,obj_t PATTERN2_410_124,obj_t RRR_411_72)
#else
LAMBDA_2_35_409_94( LAMBDA_2_35_ENV_1279_70, PATTERN2_410_124, RRR_411_72 )
obj_t LAMBDA_2_35_ENV_1279_70, PATTERN2_410_124, RRR_411_72;
#endif
{

{obj_t RR_408_141, PATTERN1_407_174, C_405_78;
RR_408_141=PROCEDURE_ENV_REF( LAMBDA_2_35_ENV_1279_70, 0 );PATTERN1_407_174=PROCEDURE_ENV_REF( LAMBDA_2_35_ENV_1279_70, 1 );C_405_78=PROCEDURE_ENV_REF( LAMBDA_2_35_ENV_1279_70, 2 );{bool_t __andtest_1019_1302_139;
{obj_t AUX_1439_194;
AUX_1439_194=COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5( RR_408_141, RRR_411_72 );__andtest_1019_1302_139=BBOOL_TO_CBOOL( AUX_1439_194 );}{if( __andtest_1019_1302_139)
{obj_t AUX_1440_40;
AUX_1440_40=COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5( RRR_411_72, RR_408_141 );if( BBOOL_TO_CBOOL( AUX_1440_40 ))
goto _true_15;else
goto _false_16;}else
goto _false_16;_true_15:
{obj_t VA_ARG_902_72;
VA_ARG_902_72=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_903_77;
VA_ARG_903_77=MAKE_PAIR( PATTERN2_410_124, VA_ARG_902_72 );{obj_t VA_ARG_904_245;
VA_ARG_904_245=MAKE_PAIR( PATTERN1_407_174, VA_ARG_903_77 );{obj_t AUX_1441_188;
AUX_1441_188=CONS____R4_PAIRS_AND_LISTS_6_3_28( T_OR_5___MATCH_NORMALIZE_61, VA_ARG_904_245 );return PROCEDURE_ENTRY( C_405_78 )( C_405_78, AUX_1441_188, RRR_411_72, BEOA );}}}}_false_16:
{obj_t ARGS_529_39;
{obj_t STRING_CAST_905_181;
STRING_CAST_905_181=BREF( &INCOMPAT_24___MATCH_NORMALIZE_178);ARGS_529_39=MAKE_PAIR( STRING_CAST_905_181, BNIL );}FAILURE( PATTERN__22___MATCH_NORMALIZE_65, BREF( &ERREUR___23___MATCH_NORMALIZE_2), ARGS_529_39 );};
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_34_406_146(obj_t LAMBDA_2_34_ENV_1278_255,obj_t PATTERN1_407_174,obj_t RR_408_141)
#else
LAMBDA_2_34_406_146( LAMBDA_2_34_ENV_1278_255, PATTERN1_407_174, RR_408_141 )
obj_t LAMBDA_2_34_ENV_1278_255, PATTERN1_407_174, RR_408_141;
#endif
{

{obj_t E__402_170, R_404_71, C_405_78;
E__402_170=PROCEDURE_ENV_REF( LAMBDA_2_34_ENV_1278_255, 0 );R_404_71=PROCEDURE_ENV_REF( LAMBDA_2_34_ENV_1278_255, 1 );C_405_78=PROCEDURE_ENV_REF( LAMBDA_2_34_ENV_1278_255, 2 );{obj_t VA_ARG_908_55;
VA_ARG_908_55=MAKE_PAIR( E__402_170, BNIL );{obj_t LAMBDA_2_35_ENV_1277_147;
LAMBDA_2_35_ENV_1277_147=make_fx_procedure( LAMBDA_2_35_409_94, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_35_ENV_1277_147, 2, C_405_78 );
PROCEDURE_ENV_SET( LAMBDA_2_35_ENV_1277_147, 1, PATTERN1_407_174 );
PROCEDURE_ENV_SET( LAMBDA_2_35_ENV_1277_147, 0, RR_408_141 );
{obj_t A_FUNCTION_907_231;
A_FUNCTION_907_231=LAMBDA_2_35_ENV_1277_147;{obj_t CLO_1276_47;
{obj_t AUX_1438_185;
AUX_1438_185=CONS____R4_PAIRS_AND_LISTS_6_3_28( T_OR_5___MATCH_NORMALIZE_61, VA_ARG_908_55 );CLO_1276_47=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( AUX_1438_185 );}return PROCEDURE_ENTRY( CLO_1276_47 )( CLO_1276_47, R_404_71, A_FUNCTION_907_231, BEOA );}}
}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_33_403_244(obj_t LAMBDA_2_33_ENV_1275_167,obj_t R_404_71,obj_t C_405_78)
#else
LAMBDA_2_33_403_244( LAMBDA_2_33_ENV_1275_167, R_404_71, C_405_78 )
obj_t LAMBDA_2_33_ENV_1275_167, R_404_71, C_405_78;
#endif
{

{obj_t E_401_42, E__402_170;
E_401_42=PROCEDURE_ENV_REF( LAMBDA_2_33_ENV_1275_167, 0 );E__402_170=PROCEDURE_ENV_REF( LAMBDA_2_33_ENV_1275_167, 1 );if( PAIRP( E__402_170 ))
{obj_t LAMBDA_2_34_ENV_1273_3;
LAMBDA_2_34_ENV_1273_3=make_fx_procedure( LAMBDA_2_34_406_146, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_34_ENV_1273_3, 2, C_405_78 );
PROCEDURE_ENV_SET( LAMBDA_2_34_ENV_1273_3, 1, R_404_71 );
PROCEDURE_ENV_SET( LAMBDA_2_34_ENV_1273_3, 0, E__402_170 );
{obj_t A_FUNCTION_909_249;
A_FUNCTION_909_249=LAMBDA_2_34_ENV_1273_3;{obj_t CLO_1272_160;
CLO_1272_160=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_401_42 );return PROCEDURE_ENTRY( CLO_1272_160 )( CLO_1272_160, R_404_71, A_FUNCTION_909_249, BEOA );}}
}}else
{obj_t CLO_1274_205;
CLO_1274_205=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_401_42 );return PROCEDURE_ENTRY( CLO_1274_205 )( CLO_1274_205, R_404_71, C_405_78, BEOA );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_32_400_63(obj_t LAMBDA__2_32_ENV_1271_9,obj_t E_401_42,obj_t E__402_170)
#else
LAMBDA__2_32_400_63( LAMBDA__2_32_ENV_1271_9, E_401_42, E__402_170 )
obj_t LAMBDA__2_32_ENV_1271_9, E_401_42, E__402_170;
#endif
{

{obj_t LAMBDA_2_33_ENV_1269_29;
LAMBDA_2_33_ENV_1269_29=make_fx_procedure( LAMBDA_2_33_403_244, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_33_ENV_1269_29, 1, E__402_170 );
PROCEDURE_ENV_SET( LAMBDA_2_33_ENV_1269_29, 0, E_401_42 );
return LAMBDA_2_33_ENV_1269_29;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_39_422_202(obj_t LAMBDA_2_39_ENV_1268_37,obj_t PATTERN2_423_195,obj_t RRR_424_53)
#else
LAMBDA_2_39_422_202( LAMBDA_2_39_ENV_1268_37, PATTERN2_423_195, RRR_424_53 )
obj_t LAMBDA_2_39_ENV_1268_37, PATTERN2_423_195, RRR_424_53;
#endif
{

{obj_t PATTERN1_420_126, C_418_78;
PATTERN1_420_126=PROCEDURE_ENV_REF( LAMBDA_2_39_ENV_1268_37, 0 );C_418_78=PROCEDURE_ENV_REF( LAMBDA_2_39_ENV_1268_37, 1 );{obj_t VA_ARG_912_206;
VA_ARG_912_206=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_913_35;
VA_ARG_913_35=MAKE_PAIR( PATTERN2_423_195, VA_ARG_912_206 );{obj_t VA_ARG_914_221;
VA_ARG_914_221=MAKE_PAIR( PATTERN1_420_126, VA_ARG_913_35 );{obj_t AUX_1437_64;
AUX_1437_64=CONS____R4_PAIRS_AND_LISTS_6_3_28( AND_7___MATCH_NORMALIZE_32, VA_ARG_914_221 );return PROCEDURE_ENTRY( C_418_78 )( C_418_78, AUX_1437_64, RRR_424_53, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_38_419_254(obj_t LAMBDA_2_38_ENV_1267_146,obj_t PATTERN1_420_126,obj_t RR_421_111)
#else
LAMBDA_2_38_419_254( LAMBDA_2_38_ENV_1267_146, PATTERN1_420_126, RR_421_111 )
obj_t LAMBDA_2_38_ENV_1267_146, PATTERN1_420_126, RR_421_111;
#endif
{

{obj_t E__415_189, C_418_78;
E__415_189=PROCEDURE_ENV_REF( LAMBDA_2_38_ENV_1267_146, 0 );C_418_78=PROCEDURE_ENV_REF( LAMBDA_2_38_ENV_1267_146, 1 );{obj_t VA_ARG_916_192;
VA_ARG_916_192=MAKE_PAIR( E__415_189, BNIL );{obj_t LAMBDA_2_39_ENV_1266_135;
LAMBDA_2_39_ENV_1266_135=make_fx_procedure( LAMBDA_2_39_422_202, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_39_ENV_1266_135, 1, C_418_78 );
PROCEDURE_ENV_SET( LAMBDA_2_39_ENV_1266_135, 0, PATTERN1_420_126 );
{obj_t A_FUNCTION_915_53;
A_FUNCTION_915_53=LAMBDA_2_39_ENV_1266_135;{obj_t CLO_1265_196;
{obj_t AUX_1436_121;
AUX_1436_121=CONS____R4_PAIRS_AND_LISTS_6_3_28( AND_7___MATCH_NORMALIZE_32, VA_ARG_916_192 );CLO_1265_196=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( AUX_1436_121 );}return PROCEDURE_ENTRY( CLO_1265_196 )( CLO_1265_196, RR_421_111, A_FUNCTION_915_53, BEOA );}}
}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_37_416_235(obj_t LAMBDA_2_37_ENV_1264_56,obj_t R_417_6,obj_t C_418_78)
#else
LAMBDA_2_37_416_235( LAMBDA_2_37_ENV_1264_56, R_417_6, C_418_78 )
obj_t LAMBDA_2_37_ENV_1264_56, R_417_6, C_418_78;
#endif
{

{obj_t E_414_207, E__415_189;
E_414_207=PROCEDURE_ENV_REF( LAMBDA_2_37_ENV_1264_56, 0 );E__415_189=PROCEDURE_ENV_REF( LAMBDA_2_37_ENV_1264_56, 1 );if( PAIRP( E__415_189 ))
{obj_t LAMBDA_2_38_ENV_1262_69;
LAMBDA_2_38_ENV_1262_69=make_fx_procedure( LAMBDA_2_38_419_254, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_38_ENV_1262_69, 1, C_418_78 );
PROCEDURE_ENV_SET( LAMBDA_2_38_ENV_1262_69, 0, E__415_189 );
{obj_t A_FUNCTION_917_215;
A_FUNCTION_917_215=LAMBDA_2_38_ENV_1262_69;{obj_t CLO_1261_224;
CLO_1261_224=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_414_207 );return PROCEDURE_ENTRY( CLO_1261_224 )( CLO_1261_224, R_417_6, A_FUNCTION_917_215, BEOA );}}
}}else
{obj_t CLO_1263_94;
CLO_1263_94=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_414_207 );return PROCEDURE_ENTRY( CLO_1263_94 )( CLO_1263_94, R_417_6, C_418_78, BEOA );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_36_413_12(obj_t LAMBDA__2_36_ENV_1260_49,obj_t E_414_207,obj_t E__415_189)
#else
LAMBDA__2_36_413_12( LAMBDA__2_36_ENV_1260_49, E_414_207, E__415_189 )
obj_t LAMBDA__2_36_ENV_1260_49, E_414_207, E__415_189;
#endif
{

{obj_t LAMBDA_2_37_ENV_1258_232;
LAMBDA_2_37_ENV_1258_232=make_fx_procedure( LAMBDA_2_37_416_235, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_37_ENV_1258_232, 1, E__415_189 );
PROCEDURE_ENV_SET( LAMBDA_2_37_ENV_1258_232, 0, E_414_207 );
return LAMBDA_2_37_ENV_1258_232;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_42_430_233(obj_t LAMBDA_2_42_ENV_1257_187,obj_t PATTERN_431_53,obj_t RR_432_31)
#else
LAMBDA_2_42_430_233( LAMBDA_2_42_ENV_1257_187, PATTERN_431_53, RR_432_31 )
obj_t LAMBDA_2_42_ENV_1257_187, PATTERN_431_53, RR_432_31;
#endif
{

{obj_t C_429_79, R_428_53;
C_429_79=PROCEDURE_ENV_REF( LAMBDA_2_42_ENV_1257_187, 0 );R_428_53=PROCEDURE_ENV_REF( LAMBDA_2_42_ENV_1257_187, 1 );{obj_t VA_ARG_920_201;
VA_ARG_920_201=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_921_158;
VA_ARG_921_158=MAKE_PAIR( PATTERN_431_53, VA_ARG_920_201 );{obj_t AUX_1435_72;
AUX_1435_72=CONS____R4_PAIRS_AND_LISTS_6_3_28( NOT_9___MATCH_NORMALIZE_25, VA_ARG_921_158 );return PROCEDURE_ENTRY( C_429_79 )( C_429_79, AUX_1435_72, R_428_53, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_41_427_32(obj_t LAMBDA_2_41_ENV_1256_73,obj_t R_428_53,obj_t C_429_79)
#else
LAMBDA_2_41_427_32( LAMBDA_2_41_ENV_1256_73, R_428_53, C_429_79 )
obj_t LAMBDA_2_41_ENV_1256_73, R_428_53, C_429_79;
#endif
{

{obj_t E_426_98;
E_426_98=PROCEDURE_ENV_REF( LAMBDA_2_41_ENV_1256_73, 0 );{obj_t LAMBDA_2_42_ENV_1255_32;
LAMBDA_2_42_ENV_1255_32=make_fx_procedure( LAMBDA_2_42_430_233, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_42_ENV_1255_32, 1, R_428_53 );
PROCEDURE_ENV_SET( LAMBDA_2_42_ENV_1255_32, 0, C_429_79 );
{obj_t A_FUNCTION_922_65;
A_FUNCTION_922_65=LAMBDA_2_42_ENV_1255_32;{obj_t CLO_1254_35;
CLO_1254_35=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_426_98 );return PROCEDURE_ENTRY( CLO_1254_35 )( CLO_1254_35, R_428_53, A_FUNCTION_922_65, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_40_425_180(obj_t LAMBDA_1_40_ENV_1253_187,obj_t E_426_98)
#else
LAMBDA_1_40_425_180( LAMBDA_1_40_ENV_1253_187, E_426_98 )
obj_t LAMBDA_1_40_ENV_1253_187, E_426_98;
#endif
{

{obj_t LAMBDA_2_41_ENV_1251_188;
LAMBDA_2_41_ENV_1251_188=make_fx_procedure( LAMBDA_2_41_427_32, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_41_ENV_1251_188, 0, E_426_98 );
return LAMBDA_2_41_ENV_1251_188;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_44_435_151(obj_t LAMBDA_2_44_ENV_1250_218,obj_t R_436_131,obj_t C_437_119)
#else
LAMBDA_2_44_435_151( LAMBDA_2_44_ENV_1250_218, R_436_131, C_437_119 )
obj_t LAMBDA_2_44_ENV_1250_218, R_436_131, C_437_119;
#endif
{

{obj_t E_434_36;
E_434_36=PROCEDURE_ENV_REF( LAMBDA_2_44_ENV_1250_218, 0 );{obj_t VA_ARG_925_255;
VA_ARG_925_255=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_926_218;
VA_ARG_926_218=MAKE_PAIR( E_434_36, VA_ARG_925_255 );{obj_t AUX_1434_77;
AUX_1434_77=CONS____R4_PAIRS_AND_LISTS_6_3_28( CHECK_25___MATCH_NORMALIZE_196, VA_ARG_926_218 );return PROCEDURE_ENTRY( C_437_119 )( C_437_119, AUX_1434_77, R_436_131, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_43_433_4(obj_t LAMBDA_1_43_ENV_1249_84,obj_t E_434_36)
#else
LAMBDA_1_43_433_4( LAMBDA_1_43_ENV_1249_84, E_434_36 )
obj_t LAMBDA_1_43_ENV_1249_84, E_434_36;
#endif
{

{obj_t LAMBDA_2_44_ENV_1247_190;
LAMBDA_2_44_ENV_1247_190=make_fx_procedure( LAMBDA_2_44_435_151, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_44_ENV_1247_190, 0, E_434_36 );
return LAMBDA_2_44_ENV_1247_190;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_46_440_29(obj_t LAMBDA_2_46_ENV_1246_135,obj_t R_441_57,obj_t C_442_210)
#else
LAMBDA_2_46_440_29( LAMBDA_2_46_ENV_1246_135, R_441_57, C_442_210 )
obj_t LAMBDA_2_46_ENV_1246_135, R_441_57, C_442_210;
#endif
{

{obj_t E_439_107;
E_439_107=PROCEDURE_ENV_REF( LAMBDA_2_46_ENV_1246_135, 0 );{obj_t VA_ARG_929_159;
VA_ARG_929_159=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_930_243;
VA_ARG_930_243=MAKE_PAIR( E_439_107, VA_ARG_929_159 );{obj_t AUX_1433_245;
AUX_1433_245=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_26___MATCH_NORMALIZE_129, VA_ARG_930_243 );return PROCEDURE_ENTRY( C_442_210 )( C_442_210, AUX_1433_245, R_441_57, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_45_438_59(obj_t LAMBDA_1_45_ENV_1245_51,obj_t E_439_107)
#else
LAMBDA_1_45_438_59( LAMBDA_1_45_ENV_1245_51, E_439_107 )
obj_t LAMBDA_1_45_ENV_1245_51, E_439_107;
#endif
{

{obj_t LAMBDA_2_46_ENV_1243_38;
LAMBDA_2_46_ENV_1243_38=make_fx_procedure( LAMBDA_2_46_440_29, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_46_ENV_1243_38, 0, E_439_107 );
return LAMBDA_2_46_ENV_1243_38;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_549_98(obj_t LAMBDA_2_0_ENV_1242_69,obj_t PATTERN_550_22,obj_t RR_551_250)
#else
LAMBDA_2_0_549_98( LAMBDA_2_0_ENV_1242_69, PATTERN_550_22, RR_551_250 )
obj_t LAMBDA_2_0_ENV_1242_69, PATTERN_550_22, RR_551_250;
#endif
{

return PATTERN_550_22;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_556_23(obj_t LAMBDA_2_0_ENV_1241_63,obj_t PATTERN_557_70,obj_t RR_558_192)
#else
LAMBDA_2_0_556_23( LAMBDA_2_0_ENV_1241_63, PATTERN_557_70, RR_558_192 )
obj_t LAMBDA_2_0_ENV_1241_63, PATTERN_557_70, RR_558_192;
#endif
{

return PATTERN_557_70;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_49_472_233(obj_t LAMBDA_2_49_ENV_1240_29,obj_t R_473_86,obj_t C_474_99)
#else
LAMBDA_2_49_472_233( LAMBDA_2_49_ENV_1240_29, R_473_86, C_474_99 )
obj_t LAMBDA_2_49_ENV_1240_29, R_473_86, C_474_99;
#endif
{

{obj_t E__471_53, NAME_470_219;
E__471_53=PROCEDURE_ENV_REF( LAMBDA_2_49_ENV_1240_29, 0 );NAME_470_219=PROCEDURE_ENV_REF( LAMBDA_2_49_ENV_1240_29, 1 );{obj_t VA_ARG_933_219;
{obj_t AUX_1429_133;
{obj_t AUX_1431_122, AUX_1430_130;
AUX_1431_122=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( NULLP( E__471_53 ))
AUX_1430_130=BNIL;else
{obj_t HEAD_476_222;
{obj_t OBJ2_547_24;
OBJ2_547_24=BNIL;{obj_t OBJ1_546_146;
{obj_t E_548_143;
E_548_143=CAR( E__471_53 );{obj_t LAMBDA_2_0_ENV_1239_108;
LAMBDA_2_0_ENV_1239_108=PROCEDURE_27___MATCH_NORMALIZE_254;{obj_t A_FUNCTION_935_236;
A_FUNCTION_935_236=LAMBDA_2_0_ENV_1239_108;{obj_t CLO_1238_226;
CLO_1238_226=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_548_143 );OBJ1_546_146=PROCEDURE_ENTRY( CLO_1238_226 )( CLO_1238_226, R_MACRO_PATTERN___MATCH_NORMALIZE_79, A_FUNCTION_935_236, BEOA );}}}}HEAD_476_222=MAKE_PAIR( OBJ1_546_146, OBJ2_547_24 );}}{obj_t g1023_478_220, TAIL_479_206;
{obj_t C_CDR_563_76;
C_CDR_563_76=CDR( E__471_53 );{
TAIL_479_206=HEAD_476_222;
g1023_478_220=C_CDR_563_76;
{_g1024_477_199:

if( NULLP( g1023_478_220 ))
AUX_1430_130=HEAD_476_222;else
{obj_t NEW_TAIL_480_237;
{obj_t OBJ2_554_210;
OBJ2_554_210=BNIL;{obj_t OBJ1_553_119;
{obj_t E_555_5;
E_555_5=CAR( g1023_478_220 );{obj_t LAMBDA_2_0_ENV_1237_101;
LAMBDA_2_0_ENV_1237_101=PROCEDURE_28___MATCH_NORMALIZE_139;{obj_t A_FUNCTION_936_45;
A_FUNCTION_936_45=LAMBDA_2_0_ENV_1237_101;{obj_t CLO_1236_43;
CLO_1236_43=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_555_5 );OBJ1_553_119=PROCEDURE_ENTRY( CLO_1236_43 )( CLO_1236_43, R_MACRO_PATTERN___MATCH_NORMALIZE_79, A_FUNCTION_936_45, BEOA );}}}}NEW_TAIL_480_237=MAKE_PAIR( OBJ1_553_119, OBJ2_554_210 );}}{
SET_CDR( TAIL_479_206, NEW_TAIL_480_237 );
{obj_t C_CDR_562_203;
C_CDR_562_203=CDR( g1023_478_220 );{
TAIL_479_206=NEW_TAIL_480_237;
g1023_478_220=C_CDR_562_203;
goto _g1024_477_199;
}}
}}}
}}}}AUX_1429_133=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_1430_130, AUX_1431_122 );}VA_ARG_933_219=MAKE_PAIR( AUX_1429_133, BNIL );}{obj_t VA_ARG_934_200;
VA_ARG_934_200=MAKE_PAIR( NAME_470_219, VA_ARG_933_219 );{obj_t AUX_1432_208;
AUX_1432_208=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT_P_16___MATCH_NORMALIZE_207, VA_ARG_934_200 );return PROCEDURE_ENTRY( C_474_99 )( C_474_99, AUX_1432_208, R_473_86, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__2_48_469_182(obj_t LAMBDA__2_48_ENV_1235_237,obj_t NAME_470_219,obj_t E__471_53)
#else
LAMBDA__2_48_469_182( LAMBDA__2_48_ENV_1235_237, NAME_470_219, E__471_53 )
obj_t LAMBDA__2_48_ENV_1235_237, NAME_470_219, E__471_53;
#endif
{

{obj_t LAMBDA_2_49_ENV_1233_16;
LAMBDA_2_49_ENV_1233_16=make_fx_procedure( LAMBDA_2_49_472_233, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_49_ENV_1233_16, 1, NAME_470_219 );
PROCEDURE_ENV_SET( LAMBDA_2_49_ENV_1233_16, 0, E__471_53 );
return LAMBDA_2_49_ENV_1233_16;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_51_483_30(obj_t LAMBDA_2_51_ENV_1232_228,obj_t R_484_103,obj_t C_485_134)
#else
LAMBDA_2_51_483_30( LAMBDA_2_51_ENV_1232_228, R_484_103, C_485_134 )
obj_t LAMBDA_2_51_ENV_1232_228, R_484_103, C_485_134;
#endif
{

{obj_t F_482_164;
F_482_164=PROCEDURE_ENV_REF( LAMBDA_2_51_ENV_1232_228, 0 );{obj_t PROVIDED_FIELDS_507_85;
{obj_t STRUCTURE_487_137;
{obj_t OBJ_575_141;
OBJ_575_141=CAR( F_482_164 );if( PAIRP( OBJ_575_141 ))
{obj_t g1027_500_67;
g1027_500_67=CDR( F_482_164 );{
if( NULLP( g1027_500_67 ))
PROVIDED_FIELDS_507_85=BNIL;else
{obj_t HEAD_501_51;
{obj_t OBJ2_577_223;
OBJ2_577_223=BNIL;{obj_t OBJ1_576_75;
{obj_t PAIR_578_35;
PAIR_578_35=CAR( g1027_500_67 );OBJ1_576_75=CAR( PAIR_578_35 );}HEAD_501_51=MAKE_PAIR( OBJ1_576_75, OBJ2_577_223 );}}{obj_t g1027_503_28, TAIL_504_173;
{obj_t C_CDR_583_9;
C_CDR_583_9=CDR( g1027_500_67 );{
TAIL_504_173=HEAD_501_51;
g1027_503_28=C_CDR_583_9;
{_g1028_502_162:

if( NULLP( g1027_503_28 ))
PROVIDED_FIELDS_507_85=HEAD_501_51;else
{obj_t NEW_TAIL_505_197;
{obj_t OBJ2_580_235;
OBJ2_580_235=BNIL;{obj_t OBJ1_579_167;
{obj_t PAIR_581_245;
PAIR_581_245=CAR( g1027_503_28 );OBJ1_579_167=CAR( PAIR_581_245 );}NEW_TAIL_505_197=MAKE_PAIR( OBJ1_579_167, OBJ2_580_235 );}}{
SET_CDR( TAIL_504_173, NEW_TAIL_505_197 );
{obj_t C_CDR_582_89;
C_CDR_582_89=CDR( g1027_503_28 );{
TAIL_504_173=NEW_TAIL_505_197;
g1027_503_28=C_CDR_582_89;
goto _g1028_502_162;
}}
}}}
}}}}
{
{obj_t S_509_97;
{
S_509_97=__MATCH_STRUCTURES____MATCH_NORMALIZE_111;
{_LOOP1_508_242:

{obj_t P_F_511_83;
{
P_F_511_83=PROVIDED_FIELDS_507_85;
{_LOOP2_510_2:

if( NULLP( S_509_97 ))
{obj_t OBJECT_567_97;
OBJECT_567_97=BNIL;FAILURE( BREF( &NO_SUCH__29___MATCH_NORMALIZE_238), PROVIDED_FIELDS_507_85, OBJECT_567_97 );}else
if( NULLP( P_F_511_83 ))
STRUCTURE_487_137=CAR( S_509_97 );else
{obj_t C_CAR_569_65;
C_CAR_569_65=CAR( P_F_511_83 );{obj_t PAIR_571_85;
PAIR_571_85=CAR( S_509_97 );{obj_t C_CDR_572_197;
C_CDR_572_197=CDR( PAIR_571_85 );{obj_t AUX_1422_192;
AUX_1422_192=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_569_65, C_CDR_572_197 );if( BBOOL_TO_CBOOL( AUX_1422_192 ))
{obj_t C_CDR_573_87;
C_CDR_573_87=CDR( P_F_511_83 );{
P_F_511_83=C_CDR_573_87;
goto _LOOP2_510_2;
}}else
{obj_t C_CDR_574_68;
C_CDR_574_68=CDR( S_509_97 );{
S_509_97=C_CDR_574_68;
goto _LOOP1_508_242;
}}}}}}}
}}}
}}}
}}else
{obj_t AUX_1423_252;
AUX_1423_252=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( OBJ_575_141, __MATCH_STRUCTURES____MATCH_NORMALIZE_111 );if( BBOOL_TO_CBOOL( AUX_1423_252 ))
{obj_t C_CAR_585_164;
C_CAR_585_164=CAR( F_482_164 );STRUCTURE_487_137=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( C_CAR_585_164, __MATCH_STRUCTURES____MATCH_NORMALIZE_111 );}else
{obj_t OBJECT_586_183;
OBJECT_586_183=__MATCH_STRUCTURES____MATCH_NORMALIZE_111;FAILURE( BREF( &NO_SUCH__30___MATCH_NORMALIZE_156), F_482_164, OBJECT_586_183 );}}}{obj_t NAME_488_187;
NAME_488_187=CAR( STRUCTURE_487_137 );{obj_t FIELDS_489_155;
FIELDS_489_155=CDR( STRUCTURE_487_137 );{obj_t PROVIDED_FIELDS_490_212;
{bool_t OBJ_1308_128;
OBJ_1308_128=PAIRP( CAR( F_482_164 ) );if( OBJ_1308_128)
PROVIDED_FIELDS_490_212=F_482_164;else
PROVIDED_FIELDS_490_212=CDR( F_482_164 );}{obj_t PATTERN_491_22;
{obj_t VA_ARG_941_170;
{bool_t OBJ_1309_83;
OBJ_1309_83=PAIRP( CAR( F_482_164 ) );{obj_t AUX_1424_116;
{obj_t AUX_1428_88, AUX_1425_95;
AUX_1428_88=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( OBJ_1309_83)
if( NULLP( FIELDS_489_155 ))
AUX_1425_95=BNIL;else
{obj_t HEAD_493_201;
{obj_t OBJ2_590_139;
OBJ2_590_139=BNIL;{obj_t OBJ1_589_188;
{obj_t FIELD_499_194;
FIELD_499_194=CAR( FIELDS_489_155 );{obj_t AUX_1426_206;
AUX_1426_206=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( FIELD_499_194, PROVIDED_FIELDS_490_212 );if( BBOOL_TO_CBOOL( AUX_1426_206 ))
{obj_t PAIR_592_209;
PAIR_592_209=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( FIELD_499_194, PROVIDED_FIELDS_490_212 );{obj_t PAIR_593_120;
PAIR_593_120=CDR( PAIR_592_209 );OBJ1_589_188=CAR( PAIR_593_120 );}}else
OBJ1_589_188=____31___MATCH_NORMALIZE_207;}}HEAD_493_201=MAKE_PAIR( OBJ1_589_188, OBJ2_590_139 );}}{obj_t g1025_495_249, TAIL_496_229;
{obj_t C_CDR_599_247;
C_CDR_599_247=CDR( FIELDS_489_155 );{
TAIL_496_229=HEAD_493_201;
g1025_495_249=C_CDR_599_247;
{_g1026_494_106:

if( NULLP( g1025_495_249 ))
AUX_1425_95=HEAD_493_201;else
{obj_t NEW_TAIL_497_237;
{obj_t OBJ2_595_137;
OBJ2_595_137=BNIL;{obj_t OBJ1_594_80;
{obj_t FIELD_498_185;
FIELD_498_185=CAR( g1025_495_249 );{obj_t AUX_1427_35;
AUX_1427_35=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( FIELD_498_185, PROVIDED_FIELDS_490_212 );if( BBOOL_TO_CBOOL( AUX_1427_35 ))
{obj_t PAIR_596_229;
PAIR_596_229=ASSOC___R4_PAIRS_AND_LISTS_6_3_8( FIELD_498_185, PROVIDED_FIELDS_490_212 );{obj_t PAIR_597_123;
PAIR_597_123=CDR( PAIR_596_229 );OBJ1_594_80=CAR( PAIR_597_123 );}}else
OBJ1_594_80=____31___MATCH_NORMALIZE_207;}}NEW_TAIL_497_237=MAKE_PAIR( OBJ1_594_80, OBJ2_595_137 );}}{
SET_CDR( TAIL_496_229, NEW_TAIL_497_237 );
{obj_t C_CDR_598_204;
C_CDR_598_204=CDR( g1025_495_249 );{
TAIL_496_229=NEW_TAIL_497_237;
g1025_495_249=C_CDR_598_204;
goto _g1026_494_106;
}}
}}}
}}}}else
AUX_1425_95=CDR( F_482_164 );AUX_1424_116=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_1425_95, AUX_1428_88 );}VA_ARG_941_170=MAKE_PAIR( AUX_1424_116, BNIL );}}{obj_t VA_ARG_942_125;
VA_ARG_942_125=MAKE_PAIR( NAME_488_187, VA_ARG_941_170 );PATTERN_491_22=CONS____R4_PAIRS_AND_LISTS_6_3_28( STRUCT_P_16___MATCH_NORMALIZE_207, VA_ARG_942_125 );}}{obj_t CLO_1231_94;
CLO_1231_94=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( PATTERN_491_22 );return PROCEDURE_ENTRY( CLO_1231_94 )( CLO_1231_94, R_484_103, C_485_134, BEOA );}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_50_481_53(obj_t LAMBDA__1_50_ENV_1230_33,obj_t F_482_164)
#else
LAMBDA__1_50_481_53( LAMBDA__1_50_ENV_1230_33, F_482_164 )
obj_t LAMBDA__1_50_ENV_1230_33, F_482_164;
#endif
{

{obj_t LAMBDA_2_51_ENV_1228_96;
LAMBDA_2_51_ENV_1228_96=make_fx_procedure( LAMBDA_2_51_483_30, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_51_ENV_1228_96, 0, F_482_164 );
return LAMBDA_2_51_ENV_1228_96;
}}
}

static obj_t
#if defined( __STDC__ )
SEGMENT_VARIABLE____MATCH_NORMALIZE_118(obj_t E_225_96)
#else
SEGMENT_VARIABLE____MATCH_NORMALIZE_118( E_225_96 )
obj_t E_225_96;
#endif
{

if( SYMBOLP( E_225_96 ))
{bool_t __andtest_1003_1312_77;
{obj_t AUX_1419_226;
{obj_t STRING_613_92;
STRING_613_92=SYMBOL_TO_STRING( E_225_96 );{obj_t AUX_1420_221;
AUX_1420_221=STRING_LENGTH( STRING_613_92 );AUX_1419_226=_2____R4_NUMBERS_6_5_143( AUX_1420_221, BINT( 2 ) );}}__andtest_1003_1312_77=BBOOL_TO_CBOOL( AUX_1419_226 );}if( __andtest_1003_1312_77)
{bool_t __andtest_1004_1313_222;
{obj_t AUX_1421_54;
{obj_t CHAR1_614_210;
{obj_t STRING_615_24;
STRING_615_24=SYMBOL_TO_STRING( E_225_96 );CHAR1_614_210=BCHAR( STRING_REF( STRING_615_24, 0 ) );}AUX_1421_54=CBOOL_TO_BBOOL( EQP( CHAR1_614_210, BCHAR( '?' ) ) );}__andtest_1004_1313_222=BBOOL_TO_CBOOL( AUX_1421_54 );}if( __andtest_1004_1313_222)
{obj_t CHAR1_616_67;
{obj_t STRING_617_20;
STRING_617_20=SYMBOL_TO_STRING( E_225_96 );CHAR1_616_67=BCHAR( STRING_REF( STRING_617_20, 1 ) );}return CBOOL_TO_BBOOL( EQP( CHAR1_616_67, BCHAR( '?' ) ) );}else
return BFALSE;}else
return BFALSE;}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
LISPISH_SEGMENT_VARIABLE____MATCH_NORMALIZE_95(obj_t E_229_47)
#else
LISPISH_SEGMENT_VARIABLE____MATCH_NORMALIZE_95( E_229_47 )
obj_t E_229_47;
#endif
{

if( SYMBOLP( E_229_47 ))
{bool_t __andtest_1006_1315_152;
{obj_t AUX_1415_204;
{obj_t STRING_618_21;
STRING_618_21=SYMBOL_TO_STRING( E_229_47 );{obj_t AUX_1416_196;
AUX_1416_196=STRING_LENGTH( STRING_618_21 );AUX_1415_204=_2____R4_NUMBERS_6_5_143( AUX_1416_196, BINT( 3 ) );}}__andtest_1006_1315_152=BBOOL_TO_CBOOL( AUX_1415_204 );}if( __andtest_1006_1315_152)
{bool_t __andtest_1007_1316_73;
{obj_t AUX_1417_43;
{obj_t CHAR1_619_190;
{obj_t STRING_620_149;
STRING_620_149=SYMBOL_TO_STRING( E_229_47 );CHAR1_619_190=BCHAR( STRING_REF( STRING_620_149, 0 ) );}AUX_1417_43=CBOOL_TO_BBOOL( EQP( CHAR1_619_190, BCHAR( '?' ) ) );}__andtest_1007_1316_73=BBOOL_TO_CBOOL( AUX_1417_43 );}if( __andtest_1007_1316_73)
{bool_t __andtest_1008_1317_235;
{obj_t AUX_1418_84;
{obj_t CHAR1_621_6;
{obj_t STRING_622_38;
STRING_622_38=SYMBOL_TO_STRING( E_229_47 );CHAR1_621_6=BCHAR( STRING_REF( STRING_622_38, 1 ) );}AUX_1418_84=CBOOL_TO_BBOOL( EQP( CHAR1_621_6, BCHAR( '?' ) ) );}__andtest_1008_1317_235=BBOOL_TO_CBOOL( AUX_1418_84 );}if( __andtest_1008_1317_235)
{obj_t CHAR1_623_81;
{obj_t STRING_624_52;
STRING_624_52=SYMBOL_TO_STRING( E_229_47 );CHAR1_623_81=BCHAR( STRING_REF( STRING_624_52, 2 ) );}return CBOOL_TO_BBOOL( EQP( CHAR1_623_81, BCHAR( '?' ) ) );}else
return BFALSE;}else
return BFALSE;}else
return BFALSE;}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
TREE_VARIABLE____MATCH_NORMALIZE_58(obj_t E_234_34)
#else
TREE_VARIABLE____MATCH_NORMALIZE_58( E_234_34 )
obj_t E_234_34;
#endif
{

if( SYMBOLP( E_234_34 ))
{bool_t __andtest_1010_1319_235;
{obj_t AUX_1413_212;
{obj_t STRING_625_216;
STRING_625_216=SYMBOL_TO_STRING( E_234_34 );{obj_t AUX_1414_247;
AUX_1414_247=STRING_LENGTH( STRING_625_216 );AUX_1413_212=_2____R4_NUMBERS_6_5_143( AUX_1414_247, BINT( 1 ) );}}__andtest_1010_1319_235=BBOOL_TO_CBOOL( AUX_1413_212 );}if( __andtest_1010_1319_235)
{obj_t CHAR1_626_92;
{obj_t STRING_627_135;
STRING_627_135=SYMBOL_TO_STRING( E_234_34 );CHAR1_626_92=BCHAR( STRING_REF( STRING_627_135, 0 ) );}return CBOOL_TO_BBOOL( EQP( CHAR1_626_92, BCHAR( '!' ) ) );}else
return BFALSE;}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
NORMALIZE_PATTERN___MATCH_NORMALIZE_228(obj_t E_250_89)
#else
NORMALIZE_PATTERN___MATCH_NORMALIZE_228( E_250_89 )
obj_t E_250_89;
#endif
{

{obj_t LAMBDA_2_0_ENV_1224_223;
LAMBDA_2_0_ENV_1224_223=PROCEDURE_32___MATCH_NORMALIZE_204;{obj_t A_FUNCTION_977_43;
A_FUNCTION_977_43=LAMBDA_2_0_ENV_1224_223;{obj_t CLO_1226_96;
CLO_1226_96=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_250_89 );return PROCEDURE_ENTRY( CLO_1226_96 )( CLO_1226_96, R_MACRO_PATTERN___MATCH_NORMALIZE_79, A_FUNCTION_977_43, BEOA );}}}
}

obj_t
#if defined( __STDC__ )
__NORMALIZE_PATTERN___MATCH_NORMALIZE_18(obj_t ENV_1227_29,obj_t E_250_89)
#else
__NORMALIZE_PATTERN___MATCH_NORMALIZE_18( ENV_1227_29, E_250_89 )
obj_t ENV_1227_29, E_250_89;
#endif
{

return NORMALIZE_PATTERN___MATCH_NORMALIZE_228( E_250_89 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_251_143(obj_t LAMBDA_2_0_ENV_1225_148,obj_t PATTERN_252_174,obj_t RR_253_138)
#else
LAMBDA_2_0_251_143( LAMBDA_2_0_ENV_1225_148, PATTERN_252_174, RR_253_138 )
obj_t LAMBDA_2_0_ENV_1225_148, PATTERN_252_174, RR_253_138;
#endif
{

return PATTERN_252_174;
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_PATTERN___MATCH_NORMALIZE_91(obj_t E_254_159)
#else
STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_254_159 )
obj_t E_254_159;
#endif
{

{if( PAIRP( E_254_159 ))
{obj_t N_647_212;
N_647_212=CAR( E_254_159 );{obj_t R_646_129;
R_646_129=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t AUX_1405_21;
AUX_1405_21=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_647_212, R_646_129 );if( BBOOL_TO_CBOOL( AUX_1405_21 ))
{obj_t PAIR_648_186;
PAIR_648_186=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_647_212, R_646_129 );{bool_t C_CDR_1321_175;
C_CDR_1321_175=BBOOL_TO_CBOOL( CDR( PAIR_648_186 ) );if( C_CDR_1321_175)
goto _true_6;else
goto _false_7;}}else
goto _false_7;}}}else
goto _false_7;_true_6:
{obj_t LEN_978_217;
LEN_978_217=CDR( E_254_159 );{obj_t N_651_110;
N_651_110=CAR( E_254_159 );{obj_t R_650_7;
R_650_7=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t AUX_1411_220;
{obj_t AUX_1412_224;
AUX_1412_224=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_651_110, R_650_7 );if( BBOOL_TO_CBOOL( AUX_1412_224 ))
{obj_t PAIR_652_178;
PAIR_652_178=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_651_110, R_650_7 );AUX_1411_220=CDR( PAIR_652_178 );}else
AUX_1411_220=BFALSE;}return apply( AUX_1411_220,LEN_978_217 );}}}}_false_7:
if( EQP( E_254_159, ____31___MATCH_NORMALIZE_207 ))
{obj_t LAMBDA_2_4_ENV_1222_238;
LAMBDA_2_4_ENV_1222_238=PROCEDURE_33___MATCH_NORMALIZE_198;return LAMBDA_2_4_ENV_1222_238;}else
{if( SYMBOLP( E_254_159 ))
{bool_t __andtest_1001_1323_190;
{obj_t AUX_1406_112;
{obj_t STRING_660_0;
STRING_660_0=SYMBOL_TO_STRING( E_254_159 );{obj_t AUX_1407_113;
AUX_1407_113=STRING_LENGTH( STRING_660_0 );AUX_1406_112=_2____R4_NUMBERS_6_5_143( AUX_1407_113, BINT( 1 ) );}}__andtest_1001_1323_190=BBOOL_TO_CBOOL( AUX_1406_112 );}if( __andtest_1001_1323_190)
{obj_t CHAR1_661_29;
{obj_t STRING_662_52;
STRING_662_52=SYMBOL_TO_STRING( E_254_159 );CHAR1_661_29=BCHAR( STRING_REF( STRING_662_52, 0 ) );}if( EQP( CHAR1_661_29, BCHAR( '?' ) ))
goto _true_9;else
goto _false_10;}else
goto _false_10;}else
goto _false_10;_true_9:
{obj_t LAMBDA_2_12_ENV_1220_84;
LAMBDA_2_12_ENV_1220_84=make_fx_procedure( LAMBDA_2_12_663_134, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_12_ENV_1220_84, 0, E_254_159 );
return LAMBDA_2_12_ENV_1220_84;
}}_false_10:
{if( SYMBOLP( E_254_159 ))
{bool_t __andtest_1012_1324_70;
{obj_t AUX_1408_24;
{obj_t STRING_672_25;
STRING_672_25=SYMBOL_TO_STRING( E_254_159 );{obj_t AUX_1409_6;
AUX_1409_6=STRING_LENGTH( STRING_672_25 );AUX_1408_24=_2____R4_NUMBERS_6_5_143( AUX_1409_6, BINT( 1 ) );}}__andtest_1012_1324_70=BBOOL_TO_CBOOL( AUX_1408_24 );}if( __andtest_1012_1324_70)
{obj_t CHAR1_673_157;
{obj_t STRING_674_174;
STRING_674_174=SYMBOL_TO_STRING( E_254_159 );CHAR1_673_157=BCHAR( STRING_REF( STRING_674_174, 0 ) );}if( EQP( CHAR1_673_157, BCHAR( '^' ) ))
goto _true_12;else
goto _false_13;}else
goto _false_13;}else
goto _false_13;_true_12:
{obj_t LAMBDA_2_13_ENV_1218_180;
LAMBDA_2_13_ENV_1218_180=make_fx_procedure( LAMBDA_2_13_675_171, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_13_ENV_1218_180, 0, E_254_159 );
return LAMBDA_2_13_ENV_1218_180;
}}_false_13:
if( VECTORP( E_254_159 ))
return STANDARDIZE_VECTOR___MATCH_NORMALIZE_252( E_254_159 );else
{obj_t AUX_1410_94;
AUX_1410_94=ATOM____MATCH_S2CFUN_134( E_254_159 );if( BBOOL_TO_CBOOL( AUX_1410_94 ))
{obj_t LAMBDA_2_14_ENV_1216_148;
LAMBDA_2_14_ENV_1216_148=make_fx_procedure( LAMBDA_2_14_683_215, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_14_ENV_1216_148, 0, E_254_159 );
return LAMBDA_2_14_ENV_1216_148;
}}else
return STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( E_254_159 );};
};
};
}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_4_655_66(obj_t LAMBDA_2_4_ENV_1223_157,obj_t R_656_65,obj_t C_657_69)
#else
LAMBDA_2_4_655_66( LAMBDA_2_4_ENV_1223_157, R_656_65, C_657_69 )
obj_t LAMBDA_2_4_ENV_1223_157, R_656_65, C_657_69;
#endif
{

{obj_t VA_ARG_979_193;
VA_ARG_979_193=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1404_98;
AUX_1404_98=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_979_193 );return PROCEDURE_ENTRY( C_657_69 )( C_657_69, AUX_1404_98, R_656_65, BEOA );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_12_663_134(obj_t LAMBDA_2_12_ENV_1221_226,obj_t R_664_222,obj_t C_665_179)
#else
LAMBDA_2_12_663_134( LAMBDA_2_12_ENV_1221_226, R_664_222, C_665_179 )
obj_t LAMBDA_2_12_ENV_1221_226, R_664_222, C_665_179;
#endif
{

{obj_t E_254_159;
E_254_159=PROCEDURE_ENV_REF( LAMBDA_2_12_ENV_1221_226, 0 );{obj_t NAME_666_45;
{obj_t S_667_57;
S_667_57=SYMBOL_TO_STRING( E_254_159 );{obj_t STRING_668_117;
{obj_t END_669_78;
END_669_78=STRING_LENGTH( S_667_57 );STRING_668_117=c_substring( S_667_57, BINT( 1 ), END_669_78 );}NAME_666_45=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_668_117 ) );}}{obj_t VA_ARG_985_74;
VA_ARG_985_74=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_986_228;
VA_ARG_986_228=MAKE_PAIR( NAME_666_45, VA_ARG_985_74 );{obj_t AUX_1403_225;
AUX_1403_225=CONS____R4_PAIRS_AND_LISTS_6_3_28( VAR_34___MATCH_NORMALIZE_98, VA_ARG_986_228 );return PROCEDURE_ENTRY( C_665_179 )( C_665_179, AUX_1403_225, R_664_222, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_13_675_171(obj_t LAMBDA_2_13_ENV_1219_205,obj_t R_676_232,obj_t C_677_149)
#else
LAMBDA_2_13_675_171( LAMBDA_2_13_ENV_1219_205, R_676_232, C_677_149 )
obj_t LAMBDA_2_13_ENV_1219_205, R_676_232, C_677_149;
#endif
{

{obj_t E_254_159;
E_254_159=PROCEDURE_ENV_REF( LAMBDA_2_13_ENV_1219_205, 0 );{obj_t NAME_678_169;
{obj_t S_679_108;
S_679_108=SYMBOL_TO_STRING( E_254_159 );{obj_t STRING_680_67;
{obj_t END_681_110;
END_681_110=STRING_LENGTH( S_679_108 );STRING_680_67=c_substring( S_679_108, BINT( 1 ), END_681_110 );}NAME_678_169=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_680_67 ) );}}{obj_t VA_ARG_992_145;
VA_ARG_992_145=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_993_16;
{obj_t STRING_CAST_995_219;
STRING_CAST_995_219=BREF( &HOLE__35___MATCH_NORMALIZE_149);{obj_t AUX_1401_251;
AUX_1401_251=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_995_219, BEOA );VA_ARG_993_16=MAKE_PAIR( AUX_1401_251, VA_ARG_992_145 );}}{obj_t VA_ARG_994_33;
VA_ARG_994_33=MAKE_PAIR( NAME_678_169, VA_ARG_993_16 );{obj_t AUX_1402_207;
AUX_1402_207=CONS____R4_PAIRS_AND_LISTS_6_3_28( HOLE_36___MATCH_NORMALIZE_201, VA_ARG_994_33 );return PROCEDURE_ENTRY( C_677_149 )( C_677_149, AUX_1402_207, R_676_232, BEOA );}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_14_683_215(obj_t LAMBDA_2_14_ENV_1217_223,obj_t R_684_255,obj_t C_685_222)
#else
LAMBDA_2_14_683_215( LAMBDA_2_14_ENV_1217_223, R_684_255, C_685_222 )
obj_t LAMBDA_2_14_ENV_1217_223, R_684_255, C_685_222;
#endif
{

{obj_t E_254_159;
E_254_159=PROCEDURE_ENV_REF( LAMBDA_2_14_ENV_1217_223, 0 );{obj_t VA_ARG_997_8;
VA_ARG_997_8=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_998_80;
VA_ARG_998_80=MAKE_PAIR( E_254_159, VA_ARG_997_8 );{obj_t AUX_1400_151;
AUX_1400_151=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_26___MATCH_NORMALIZE_129, VA_ARG_998_80 );return PROCEDURE_ENTRY( C_685_222 )( C_685_222, AUX_1400_151, R_684_255, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175(obj_t E__255_25)
#else
STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( E__255_25 )
obj_t E__255_25;
#endif
{

if( PAIRP( E__255_25 ))
{if( PAIRP( E__255_25 ))
{obj_t N_688_133;
N_688_133=CAR( E__255_25 );{obj_t R_687_218;
R_687_218=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t AUX_1393_107;
AUX_1393_107=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_688_133, R_687_218 );if( BBOOL_TO_CBOOL( AUX_1393_107 ))
{obj_t PAIR_689_144;
PAIR_689_144=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_688_133, R_687_218 );{bool_t C_CDR_1326_34;
C_CDR_1326_34=BBOOL_TO_CBOOL( CDR( PAIR_689_144 ) );if( C_CDR_1326_34)
goto _true_0;else
goto _false_1;}}else
goto _false_1;}}}else
goto _false_1;_true_0:
{obj_t LEN_1000_18;
LEN_1000_18=CDR( E__255_25 );{obj_t N_692_2;
N_692_2=CAR( E__255_25 );{obj_t R_691_247;
R_691_247=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t AUX_1398_30;
{obj_t AUX_1399_7;
AUX_1399_7=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_692_2, R_691_247 );if( BBOOL_TO_CBOOL( AUX_1399_7 ))
{obj_t PAIR_693_2;
PAIR_693_2=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( N_692_2, R_691_247 );AUX_1398_30=CDR( PAIR_693_2 );}else
AUX_1398_30=BFALSE;}return apply( AUX_1398_30,LEN_1000_18 );}}}}_false_1:
{obj_t OBJ1_696_8;
OBJ1_696_8=CAR( E__255_25 );if( EQP( OBJ1_696_8, _____37___MATCH_NORMALIZE_214 ))
{obj_t C_CDR_697_179;
C_CDR_697_179=CDR( E__255_25 );return STANDARDIZE_ANY___MATCH_NORMALIZE_198( C_CDR_697_179 );}else
if( EQP( OBJ1_696_8, ______38___MATCH_NORMALIZE_127 ))
{obj_t F__699_4;
F__699_4=CDR( E__255_25 );if( NULLP( F__699_4 ))
{obj_t LAMBDA_2_24_ENV_1214_133;
LAMBDA_2_24_ENV_1214_133=PROCEDURE_39___MATCH_NORMALIZE_121;return LAMBDA_2_24_ENV_1214_133;}else
return STANDARDIZE_ANY___MATCH_NORMALIZE_198( F__699_4 );}else
{obj_t AUX_1397_68;
AUX_1397_68=LISPISH_SEGMENT_VARIABLE____MATCH_NORMALIZE_95( OBJ1_696_8 );if( BBOOL_TO_CBOOL( AUX_1397_68 ))
{obj_t C_CAR_704_137;
C_CAR_704_137=CAR( E__255_25 );{obj_t C_CDR_705_81;
C_CDR_705_81=CDR( E__255_25 );return STANDARDIZE_LISPISH_SEGMENT_VARIABLE___MATCH_NORMALIZE_165( C_CAR_704_137, C_CDR_705_81 );}}else
{obj_t C_CAR_706_74;
C_CAR_706_74=CAR( E__255_25 );{obj_t AUX_1396_56;
AUX_1396_56=SEGMENT_VARIABLE____MATCH_NORMALIZE_118( C_CAR_706_74 );if( BBOOL_TO_CBOOL( AUX_1396_56 ))
{obj_t C_CAR_707_59;
C_CAR_707_59=CAR( E__255_25 );{obj_t C_CDR_708_112;
C_CDR_708_112=CDR( E__255_25 );return STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22( C_CAR_707_59, C_CDR_708_112 );}}else
{obj_t C_CAR_709_11;
C_CAR_709_11=CAR( E__255_25 );{obj_t AUX_1395_169;
AUX_1395_169=TREE_VARIABLE____MATCH_NORMALIZE_58( C_CAR_709_11 );if( BBOOL_TO_CBOOL( AUX_1395_169 ))
{obj_t C_CAR_710_85;
C_CAR_710_85=CAR( E__255_25 );{obj_t PAIR_711_190;
PAIR_711_190=CDR( E__255_25 );{obj_t C_CAR_712_237;
C_CAR_712_237=CAR( PAIR_711_190 );{obj_t PAIR_714_148;
PAIR_714_148=CDR( PAIR_711_190 );{obj_t C_CAR_715_250;
C_CAR_715_250=CAR( PAIR_714_148 );return STANDARDIZE_TREE_VARIABLE___MATCH_NORMALIZE_37( C_CAR_710_85, C_CAR_712_237, C_CAR_715_250 );}}}}}else
{obj_t F__718_77;
F__718_77=CDR( E__255_25 );{obj_t F_717_236;
F_717_236=CAR( E__255_25 );{if( PAIRP( F__718_77 ))
{obj_t OBJ1_720_102;
OBJ1_720_102=CAR( F__718_77 );if( EQP( OBJ1_720_102, _____40___MATCH_NORMALIZE_202 ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{obj_t C_CDR_721_120;
C_CDR_721_120=CDR( F__718_77 );return STANDARDIZE_REPETITION___MATCH_NORMALIZE_0( F_717_236, C_CDR_721_120 );}_false_4:
{obj_t AUX_1394_234;
AUX_1394_234=PROCEDURE_ENTRY( __PREFER_XCONS____MATCH_NORMALIZE_213 )( __PREFER_XCONS____MATCH_NORMALIZE_213, VALUE_41___MATCH_NORMALIZE_92, BEOA );if( BBOOL_TO_CBOOL( AUX_1394_234 ))
{obj_t LAMBDA_2_9_ENV_1208_174;
LAMBDA_2_9_ENV_1208_174=make_fx_procedure( LAMBDA_2_9_722_211, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_9_ENV_1208_174, 1, F_717_236 );
PROCEDURE_ENV_SET( LAMBDA_2_9_ENV_1208_174, 0, F__718_77 );
return LAMBDA_2_9_ENV_1208_174;
}}else
{obj_t LAMBDA_2_6_ENV_1200_72;
LAMBDA_2_6_ENV_1200_72=make_fx_procedure( LAMBDA_2_6_731_247, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_6_ENV_1200_72, 1, F__718_77 );
PROCEDURE_ENV_SET( LAMBDA_2_6_ENV_1200_72, 0, F_717_236 );
return LAMBDA_2_6_ENV_1200_72;
}}};
}}}}}}}}};
}else
{obj_t LAMBDA_2_14_ENV_1196_28;
LAMBDA_2_14_ENV_1196_28=make_fx_procedure( LAMBDA_2_14_740_255, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_14_ENV_1196_28, 0, E__255_25 );
return LAMBDA_2_14_ENV_1196_28;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_24_700_227(obj_t LAMBDA_2_24_ENV_1215_88,obj_t R_701_77,obj_t C_702_2)
#else
LAMBDA_2_24_700_227( LAMBDA_2_24_ENV_1215_88, R_701_77, C_702_2 )
obj_t LAMBDA_2_24_ENV_1215_88, R_701_77, C_702_2;
#endif
{

{obj_t VA_ARG_1001_14;
VA_ARG_1001_14=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1392_177;
AUX_1392_177=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_1001_14 );return PROCEDURE_ENTRY( C_702_2 )( C_702_2, AUX_1392_177, R_701_77, BEOA );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_11_728_234(obj_t LAMBDA_2_11_ENV_1213_157,obj_t PATTERN2_729_157,obj_t RRR_730_27)
#else
LAMBDA_2_11_728_234( LAMBDA_2_11_ENV_1213_157, PATTERN2_729_157, RRR_730_27 )
obj_t LAMBDA_2_11_ENV_1213_157, PATTERN2_729_157, RRR_730_27;
#endif
{

{obj_t PATTERN1_726_57, C_724_238;
PATTERN1_726_57=PROCEDURE_ENV_REF( LAMBDA_2_11_ENV_1213_157, 0 );C_724_238=PROCEDURE_ENV_REF( LAMBDA_2_11_ENV_1213_157, 1 );{obj_t VA_ARG_1003_25;
VA_ARG_1003_25=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1004_97;
VA_ARG_1004_97=MAKE_PAIR( PATTERN1_726_57, VA_ARG_1003_25 );{obj_t VA_ARG_1005_174;
VA_ARG_1005_174=MAKE_PAIR( PATTERN2_729_157, VA_ARG_1004_97 );{obj_t AUX_1391_197;
AUX_1391_197=CONS____R4_PAIRS_AND_LISTS_6_3_28( XCONS_42___MATCH_NORMALIZE_181, VA_ARG_1005_174 );return PROCEDURE_ENTRY( C_724_238 )( C_724_238, AUX_1391_197, RRR_730_27, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_10_725_247(obj_t LAMBDA_2_10_ENV_1212_144,obj_t PATTERN1_726_57,obj_t RR_727_83)
#else
LAMBDA_2_10_725_247( LAMBDA_2_10_ENV_1212_144, PATTERN1_726_57, RR_727_83 )
obj_t LAMBDA_2_10_ENV_1212_144, PATTERN1_726_57, RR_727_83;
#endif
{

{obj_t F_717_236, C_724_238;
F_717_236=PROCEDURE_ENV_REF( LAMBDA_2_10_ENV_1212_144, 0 );C_724_238=PROCEDURE_ENV_REF( LAMBDA_2_10_ENV_1212_144, 1 );{obj_t LAMBDA_2_11_ENV_1211_167;
LAMBDA_2_11_ENV_1211_167=make_fx_procedure( LAMBDA_2_11_728_234, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_11_ENV_1211_167, 1, C_724_238 );
PROCEDURE_ENV_SET( LAMBDA_2_11_ENV_1211_167, 0, PATTERN1_726_57 );
{obj_t A_FUNCTION_1006_147;
A_FUNCTION_1006_147=LAMBDA_2_11_ENV_1211_167;{obj_t CLO_1210_16;
CLO_1210_16=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( F_717_236 );return PROCEDURE_ENTRY( CLO_1210_16 )( CLO_1210_16, RR_727_83, A_FUNCTION_1006_147, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_9_722_211(obj_t LAMBDA_2_9_ENV_1209_97,obj_t R_723_161,obj_t C_724_238)
#else
LAMBDA_2_9_722_211( LAMBDA_2_9_ENV_1209_97, R_723_161, C_724_238 )
obj_t LAMBDA_2_9_ENV_1209_97, R_723_161, C_724_238;
#endif
{

{obj_t F__718_77, F_717_236;
F__718_77=PROCEDURE_ENV_REF( LAMBDA_2_9_ENV_1209_97, 0 );F_717_236=PROCEDURE_ENV_REF( LAMBDA_2_9_ENV_1209_97, 1 );{obj_t LAMBDA_2_10_ENV_1207_68;
LAMBDA_2_10_ENV_1207_68=make_fx_procedure( LAMBDA_2_10_725_247, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_10_ENV_1207_68, 1, C_724_238 );
PROCEDURE_ENV_SET( LAMBDA_2_10_ENV_1207_68, 0, F_717_236 );
{obj_t A_FUNCTION_1007_124;
A_FUNCTION_1007_124=LAMBDA_2_10_ENV_1207_68;{obj_t CLO_1206_233;
CLO_1206_233=STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( F__718_77 );return PROCEDURE_ENTRY( CLO_1206_233 )( CLO_1206_233, R_723_161, A_FUNCTION_1007_124, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_8_737_0(obj_t LAMBDA_2_8_ENV_1205_239,obj_t PATTERN2_738_78,obj_t RRR_739_174)
#else
LAMBDA_2_8_737_0( LAMBDA_2_8_ENV_1205_239, PATTERN2_738_78, RRR_739_174 )
obj_t LAMBDA_2_8_ENV_1205_239, PATTERN2_738_78, RRR_739_174;
#endif
{

{obj_t PATTERN1_735_149, C_733_103;
PATTERN1_735_149=PROCEDURE_ENV_REF( LAMBDA_2_8_ENV_1205_239, 0 );C_733_103=PROCEDURE_ENV_REF( LAMBDA_2_8_ENV_1205_239, 1 );{obj_t VA_ARG_1009_170;
VA_ARG_1009_170=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1010_86;
VA_ARG_1010_86=MAKE_PAIR( PATTERN2_738_78, VA_ARG_1009_170 );{obj_t VA_ARG_1011_141;
VA_ARG_1011_141=MAKE_PAIR( PATTERN1_735_149, VA_ARG_1010_86 );{obj_t AUX_1390_87;
AUX_1390_87=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONS_20___MATCH_NORMALIZE_125, VA_ARG_1011_141 );return PROCEDURE_ENTRY( C_733_103 )( C_733_103, AUX_1390_87, RRR_739_174, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_7_734_119(obj_t LAMBDA_2_7_ENV_1204_16,obj_t PATTERN1_735_149,obj_t RR_736_83)
#else
LAMBDA_2_7_734_119( LAMBDA_2_7_ENV_1204_16, PATTERN1_735_149, RR_736_83 )
obj_t LAMBDA_2_7_ENV_1204_16, PATTERN1_735_149, RR_736_83;
#endif
{

{obj_t F__718_77, C_733_103;
F__718_77=PROCEDURE_ENV_REF( LAMBDA_2_7_ENV_1204_16, 0 );C_733_103=PROCEDURE_ENV_REF( LAMBDA_2_7_ENV_1204_16, 1 );{obj_t LAMBDA_2_8_ENV_1203_11;
LAMBDA_2_8_ENV_1203_11=make_fx_procedure( LAMBDA_2_8_737_0, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_8_ENV_1203_11, 1, C_733_103 );
PROCEDURE_ENV_SET( LAMBDA_2_8_ENV_1203_11, 0, PATTERN1_735_149 );
{obj_t A_FUNCTION_1012_168;
A_FUNCTION_1012_168=LAMBDA_2_8_ENV_1203_11;{obj_t CLO_1202_170;
CLO_1202_170=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( F__718_77 );return PROCEDURE_ENTRY( CLO_1202_170 )( CLO_1202_170, RR_736_83, A_FUNCTION_1012_168, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_6_731_247(obj_t LAMBDA_2_6_ENV_1201_77,obj_t R_732_111,obj_t C_733_103)
#else
LAMBDA_2_6_731_247( LAMBDA_2_6_ENV_1201_77, R_732_111, C_733_103 )
obj_t LAMBDA_2_6_ENV_1201_77, R_732_111, C_733_103;
#endif
{

{obj_t F_717_236, F__718_77;
F_717_236=PROCEDURE_ENV_REF( LAMBDA_2_6_ENV_1201_77, 0 );F__718_77=PROCEDURE_ENV_REF( LAMBDA_2_6_ENV_1201_77, 1 );{obj_t LAMBDA_2_7_ENV_1199_124;
LAMBDA_2_7_ENV_1199_124=make_fx_procedure( LAMBDA_2_7_734_119, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_7_ENV_1199_124, 1, C_733_103 );
PROCEDURE_ENV_SET( LAMBDA_2_7_ENV_1199_124, 0, F__718_77 );
{obj_t A_FUNCTION_1013_198;
A_FUNCTION_1013_198=LAMBDA_2_7_ENV_1199_124;{obj_t CLO_1198_75;
CLO_1198_75=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( F_717_236 );return PROCEDURE_ENTRY( CLO_1198_75 )( CLO_1198_75, R_732_111, A_FUNCTION_1013_198, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_14_740_255(obj_t LAMBDA_2_14_ENV_1197_210,obj_t R_741_43,obj_t C_742_66)
#else
LAMBDA_2_14_740_255( LAMBDA_2_14_ENV_1197_210, R_741_43, C_742_66 )
obj_t LAMBDA_2_14_ENV_1197_210, R_741_43, C_742_66;
#endif
{

{obj_t E__255_25;
E__255_25=PROCEDURE_ENV_REF( LAMBDA_2_14_ENV_1197_210, 0 );{obj_t VA_ARG_1015_128;
VA_ARG_1015_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1016_66;
VA_ARG_1016_66=MAKE_PAIR( E__255_25, VA_ARG_1015_128 );{obj_t AUX_1389_22;
AUX_1389_22=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_26___MATCH_NORMALIZE_129, VA_ARG_1016_66 );return PROCEDURE_ENTRY( C_742_66 )( C_742_66, AUX_1389_22, R_741_43, BEOA );}}}}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_REPETITION___MATCH_NORMALIZE_0(obj_t E_256_42,obj_t E__257_14)
#else
STANDARDIZE_REPETITION___MATCH_NORMALIZE_0( E_256_42, E__257_14 )
obj_t E_256_42, E__257_14;
#endif
{

{obj_t LAMBDA_2_1_ENV_1190_25;
LAMBDA_2_1_ENV_1190_25=make_fx_procedure( LAMBDA_2_1_258_33, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_1_ENV_1190_25, 1, E__257_14 );
PROCEDURE_ENV_SET( LAMBDA_2_1_ENV_1190_25, 0, E_256_42 );
return LAMBDA_2_1_ENV_1190_25;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_3_264_125(obj_t LAMBDA_2_3_ENV_1195_226,obj_t F__265_101,obj_t RRR_266_169)
#else
LAMBDA_2_3_264_125( LAMBDA_2_3_ENV_1195_226, F__265_101, RRR_266_169 )
obj_t LAMBDA_2_3_ENV_1195_226, F__265_101, RRR_266_169;
#endif
{

{obj_t F_262_131, C_260_36;
F_262_131=PROCEDURE_ENV_REF( LAMBDA_2_3_ENV_1195_226, 0 );C_260_36=PROCEDURE_ENV_REF( LAMBDA_2_3_ENV_1195_226, 1 );{obj_t LABEL_267_47;
{obj_t STRING_CAST_1018_185;
STRING_CAST_1018_185=BREF( &G_43___MATCH_NORMALIZE_139);LABEL_267_47=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1018_185, BEOA );}{obj_t VA_ARG_1019_79;
VA_ARG_1019_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1020_144;
VA_ARG_1020_144=MAKE_PAIR( F__265_101, VA_ARG_1019_79 );{obj_t VA_ARG_1021_172;
{obj_t VA_ARG_1023_124;
VA_ARG_1023_124=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1024_157;
{obj_t VA_ARG_1026_167;
VA_ARG_1026_167=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1027_183;
{obj_t STRING_CAST_1029_6;
STRING_CAST_1029_6=BREF( &HOLE__35___MATCH_NORMALIZE_149);{obj_t AUX_1385_183;
AUX_1385_183=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1029_6, BEOA );VA_ARG_1027_183=MAKE_PAIR( AUX_1385_183, VA_ARG_1026_167 );}}{obj_t VA_ARG_1028_78;
VA_ARG_1028_78=MAKE_PAIR( LABEL_267_47, VA_ARG_1027_183 );{obj_t AUX_1386_157;
AUX_1386_157=CONS____R4_PAIRS_AND_LISTS_6_3_28( HOLE_36___MATCH_NORMALIZE_201, VA_ARG_1028_78 );VA_ARG_1024_157=MAKE_PAIR( AUX_1386_157, VA_ARG_1023_124 );}}}}{obj_t VA_ARG_1025_238;
VA_ARG_1025_238=MAKE_PAIR( F_262_131, VA_ARG_1024_157 );{obj_t AUX_1387_238;
AUX_1387_238=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONS_20___MATCH_NORMALIZE_125, VA_ARG_1025_238 );VA_ARG_1021_172=MAKE_PAIR( AUX_1387_238, VA_ARG_1020_144 );}}}}{obj_t VA_ARG_1022_147;
VA_ARG_1022_147=MAKE_PAIR( LABEL_267_47, VA_ARG_1021_172 );{obj_t AUX_1388_58;
AUX_1388_58=CONS____R4_PAIRS_AND_LISTS_6_3_28( TIMES_44___MATCH_NORMALIZE_1, VA_ARG_1022_147 );return PROCEDURE_ENTRY( C_260_36 )( C_260_36, AUX_1388_58, RRR_266_169, BEOA );}}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_2_261_32(obj_t LAMBDA_2_2_ENV_1194_252,obj_t F_262_131,obj_t RR_263_224)
#else
LAMBDA_2_2_261_32( LAMBDA_2_2_ENV_1194_252, F_262_131, RR_263_224 )
obj_t LAMBDA_2_2_ENV_1194_252, F_262_131, RR_263_224;
#endif
{

{obj_t E__257_14, C_260_36;
E__257_14=PROCEDURE_ENV_REF( LAMBDA_2_2_ENV_1194_252, 0 );C_260_36=PROCEDURE_ENV_REF( LAMBDA_2_2_ENV_1194_252, 1 );{obj_t LAMBDA_2_3_ENV_1193_32;
LAMBDA_2_3_ENV_1193_32=make_fx_procedure( LAMBDA_2_3_264_125, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_3_ENV_1193_32, 1, C_260_36 );
PROCEDURE_ENV_SET( LAMBDA_2_3_ENV_1193_32, 0, F_262_131 );
{obj_t A_FUNCTION_1030_58;
A_FUNCTION_1030_58=LAMBDA_2_3_ENV_1193_32;{obj_t CLO_1192_124;
CLO_1192_124=STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( E__257_14 );return PROCEDURE_ENTRY( CLO_1192_124 )( CLO_1192_124, RR_263_224, A_FUNCTION_1030_58, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_1_258_33(obj_t LAMBDA_2_1_ENV_1191_110,obj_t R_259_209,obj_t C_260_36)
#else
LAMBDA_2_1_258_33( LAMBDA_2_1_ENV_1191_110, R_259_209, C_260_36 )
obj_t LAMBDA_2_1_ENV_1191_110, R_259_209, C_260_36;
#endif
{

{obj_t E_256_42, E__257_14;
E_256_42=PROCEDURE_ENV_REF( LAMBDA_2_1_ENV_1191_110, 0 );E__257_14=PROCEDURE_ENV_REF( LAMBDA_2_1_ENV_1191_110, 1 );{obj_t LAMBDA_2_2_ENV_1189_122;
LAMBDA_2_2_ENV_1189_122=make_fx_procedure( LAMBDA_2_2_261_32, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_2_ENV_1189_122, 1, C_260_36 );
PROCEDURE_ENV_SET( LAMBDA_2_2_ENV_1189_122, 0, E__257_14 );
{obj_t A_FUNCTION_1031_22;
A_FUNCTION_1031_22=LAMBDA_2_2_ENV_1189_122;{obj_t CLO_1188_167;
CLO_1188_167=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_256_42 );return PROCEDURE_ENTRY( CLO_1188_167 )( CLO_1188_167, R_259_209, A_FUNCTION_1031_22, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_TOGGLE___MATCH_NORMALIZE_127()
#else
MAKE_TOGGLE___MATCH_NORMALIZE_127()
#endif
{

{obj_t VALUE_274_77;
VALUE_274_77=MAKE_CELL( BFALSE );{obj_t LAMBDA_1_5_ENV_1186_198;
LAMBDA_1_5_ENV_1186_198=make_fx_procedure( LAMBDA_1_5_275_17, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_5_ENV_1186_198, 0, VALUE_274_77 );
return LAMBDA_1_5_ENV_1186_198;
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_5_275_17(obj_t LAMBDA_1_5_ENV_1187_168,obj_t MSG_276_133)
#else
LAMBDA_1_5_275_17( LAMBDA_1_5_ENV_1187_168, MSG_276_133 )
obj_t LAMBDA_1_5_ENV_1187_168, MSG_276_133;
#endif
{

{obj_t VALUE_274_77;
VALUE_274_77=PROCEDURE_ENV_REF( LAMBDA_1_5_ENV_1187_168, 0 );if( EQP( MSG_276_133, VALUE_41___MATCH_NORMALIZE_92 ))
return CELL_REF( VALUE_274_77 );else
if( EQP( MSG_276_133, ON_45___MATCH_NORMALIZE_101 ))
return CELL_SET( VALUE_274_77, BTRUE );else
if( EQP( MSG_276_133, OFF_46___MATCH_NORMALIZE_200 ))
return CELL_SET( VALUE_274_77, BFALSE );else
return BFALSE;}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22(obj_t E_314_203,obj_t F__315_34)
#else
STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22( E_314_203, F__315_34 )
obj_t E_314_203, F__315_34;
#endif
{

{obj_t LAMBDA_2_15_ENV_1182_248;
LAMBDA_2_15_ENV_1182_248=make_fx_procedure( LAMBDA_2_15_316_43, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_15_ENV_1182_248, 1, F__315_34 );
PROCEDURE_ENV_SET( LAMBDA_2_15_ENV_1182_248, 0, E_314_203 );
return LAMBDA_2_15_ENV_1182_248;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_16_320_69(obj_t LAMBDA_2_16_ENV_1185_39,obj_t PATTERN_321_108,obj_t RR_322_240)
#else
LAMBDA_2_16_320_69( LAMBDA_2_16_ENV_1185_39, PATTERN_321_108, RR_322_240 )
obj_t LAMBDA_2_16_ENV_1185_39, PATTERN_321_108, RR_322_240;
#endif
{

{obj_t NAME_319_17, C_318_9;
NAME_319_17=PROCEDURE_ENV_REF( LAMBDA_2_16_ENV_1185_39, 0 );C_318_9=PROCEDURE_ENV_REF( LAMBDA_2_16_ENV_1185_39, 1 );{obj_t LABEL_323_115;
{obj_t STRING_CAST_1071_182;
STRING_CAST_1071_182=BREF( &G_43___MATCH_NORMALIZE_139);LABEL_323_115=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1071_182, BEOA );}{obj_t VA_ARG_1072_210;
VA_ARG_1072_210=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1073_28;
VA_ARG_1073_28=MAKE_PAIR( PATTERN_321_108, VA_ARG_1072_210 );{obj_t VA_ARG_1074_48;
{obj_t VA_ARG_1076_15;
VA_ARG_1076_15=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1077_2;
{obj_t VA_ARG_1088_170;
VA_ARG_1088_170=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1089_138;
VA_ARG_1089_138=MAKE_PAIR( NAME_319_17, VA_ARG_1088_170 );{obj_t AUX_1378_135;
AUX_1378_135=CONS____R4_PAIRS_AND_LISTS_6_3_28( END_SSET_47___MATCH_NORMALIZE_91, VA_ARG_1089_138 );VA_ARG_1077_2=MAKE_PAIR( AUX_1378_135, VA_ARG_1076_15 );}}}{obj_t VA_ARG_1078_57;
{obj_t VA_ARG_1080_14;
VA_ARG_1080_14=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1081_1;
{obj_t VA_ARG_1084_174;
VA_ARG_1084_174=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1085_97;
{obj_t STRING_CAST_1087_57;
STRING_CAST_1087_57=BREF( &HOLE__35___MATCH_NORMALIZE_149);{obj_t AUX_1379_0;
AUX_1379_0=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1087_57, BEOA );VA_ARG_1085_97=MAKE_PAIR( AUX_1379_0, VA_ARG_1084_174 );}}{obj_t VA_ARG_1086_119;
VA_ARG_1086_119=MAKE_PAIR( LABEL_323_115, VA_ARG_1085_97 );{obj_t AUX_1380_147;
AUX_1380_147=CONS____R4_PAIRS_AND_LISTS_6_3_28( HOLE_36___MATCH_NORMALIZE_201, VA_ARG_1086_119 );VA_ARG_1081_1=MAKE_PAIR( AUX_1380_147, VA_ARG_1080_14 );}}}}{obj_t VA_ARG_1082_25;
{obj_t VA_ARG_1083_110;
VA_ARG_1083_110=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1381_124;
AUX_1381_124=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_1083_110 );VA_ARG_1082_25=MAKE_PAIR( AUX_1381_124, VA_ARG_1081_1 );}}{obj_t AUX_1382_144;
AUX_1382_144=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONS_20___MATCH_NORMALIZE_125, VA_ARG_1082_25 );VA_ARG_1078_57=MAKE_PAIR( AUX_1382_144, VA_ARG_1077_2 );}}}}{obj_t VA_ARG_1079_211;
VA_ARG_1079_211=MAKE_PAIR( LABEL_323_115, VA_ARG_1078_57 );{obj_t AUX_1383_172;
AUX_1383_172=CONS____R4_PAIRS_AND_LISTS_6_3_28( TREE_48___MATCH_NORMALIZE_57, VA_ARG_1079_211 );VA_ARG_1074_48=MAKE_PAIR( AUX_1383_172, VA_ARG_1073_28 );}}}}}{obj_t VA_ARG_1075_115;
VA_ARG_1075_115=MAKE_PAIR( NAME_319_17, VA_ARG_1074_48 );{obj_t AUX_1384_167;
AUX_1384_167=CONS____R4_PAIRS_AND_LISTS_6_3_28( SSETQ_AP_49___MATCH_NORMALIZE_50, VA_ARG_1075_115 );return PROCEDURE_ENTRY( C_318_9 )( C_318_9, AUX_1384_167, RR_322_240, BEOA );}}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_17_324_144(obj_t LAMBDA_2_17_ENV_1184_97,obj_t PATTERN_325_74,obj_t RR_326_201)
#else
LAMBDA_2_17_324_144( LAMBDA_2_17_ENV_1184_97, PATTERN_325_74, RR_326_201 )
obj_t LAMBDA_2_17_ENV_1184_97, PATTERN_325_74, RR_326_201;
#endif
{

{obj_t NAME_319_17, C_318_9;
NAME_319_17=PROCEDURE_ENV_REF( LAMBDA_2_17_ENV_1184_97, 0 );C_318_9=PROCEDURE_ENV_REF( LAMBDA_2_17_ENV_1184_97, 1 );{obj_t VA_ARG_1091_135;
VA_ARG_1091_135=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1092_52;
VA_ARG_1092_52=MAKE_PAIR( PATTERN_325_74, VA_ARG_1091_135 );{obj_t VA_ARG_1093_216;
VA_ARG_1093_216=MAKE_PAIR( NAME_319_17, VA_ARG_1092_52 );{obj_t AUX_1377_69;
AUX_1377_69=CONS____R4_PAIRS_AND_LISTS_6_3_28( EVAL_APP_50___MATCH_NORMALIZE_204, VA_ARG_1093_216 );return PROCEDURE_ENTRY( C_318_9 )( C_318_9, AUX_1377_69, RR_326_201, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_15_316_43(obj_t LAMBDA_2_15_ENV_1183_243,obj_t R_317_73,obj_t C_318_9)
#else
LAMBDA_2_15_316_43( LAMBDA_2_15_ENV_1183_243, R_317_73, C_318_9 )
obj_t LAMBDA_2_15_ENV_1183_243, R_317_73, C_318_9;
#endif
{

{obj_t E_314_203, F__315_34;
E_314_203=PROCEDURE_ENV_REF( LAMBDA_2_15_ENV_1183_243, 0 );F__315_34=PROCEDURE_ENV_REF( LAMBDA_2_15_ENV_1183_243, 1 );{obj_t NAME_319_17;
{obj_t S_769_67;
S_769_67=SYMBOL_TO_STRING( E_314_203 );{obj_t STRING_770_224;
{obj_t END_771_93;
END_771_93=STRING_LENGTH( S_769_67 );STRING_770_224=c_substring( S_769_67, BINT( 2 ), END_771_93 );}NAME_319_17=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_770_224 ) );}}{obj_t OBJ2_773_173;
OBJ2_773_173=UNBOUND_PATTERN___MATCH_NORMALIZE_168;{obj_t OBJ1_772_191;
{obj_t AUX_1376_37;
AUX_1376_37=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( NAME_319_17, R_317_73 );if( BBOOL_TO_CBOOL( AUX_1376_37 ))
{obj_t PAIR_774_235;
PAIR_774_235=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( NAME_319_17, R_317_73 );OBJ1_772_191=CDR( PAIR_774_235 );}else
OBJ1_772_191=BFALSE;}if( EQP( OBJ1_772_191, OBJ2_773_173 ))
{obj_t OBJ1_775_137;
OBJ1_775_137=MAKE_PAIR( NAME_319_17, SEGMENT_51___MATCH_NORMALIZE_25 );{obj_t C_CONS_776_148;
C_CONS_776_148=MAKE_PAIR( OBJ1_775_137, R_317_73 );{obj_t LAMBDA_2_16_ENV_1179_194;
LAMBDA_2_16_ENV_1179_194=make_fx_procedure( LAMBDA_2_16_320_69, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_16_ENV_1179_194, 1, C_318_9 );
PROCEDURE_ENV_SET( LAMBDA_2_16_ENV_1179_194, 0, NAME_319_17 );
{obj_t A_FUNCTION_1090_162;
A_FUNCTION_1090_162=LAMBDA_2_16_ENV_1179_194;{obj_t CLO_1178_118;
CLO_1178_118=STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( F__315_34 );return PROCEDURE_ENTRY( CLO_1178_118 )( CLO_1178_118, C_CONS_776_148, A_FUNCTION_1090_162, BEOA );}}
}}}}else
{obj_t LAMBDA_2_17_ENV_1181_14;
LAMBDA_2_17_ENV_1181_14=make_fx_procedure( LAMBDA_2_17_324_144, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_17_ENV_1181_14, 1, C_318_9 );
PROCEDURE_ENV_SET( LAMBDA_2_17_ENV_1181_14, 0, NAME_319_17 );
{obj_t A_FUNCTION_1094_205;
A_FUNCTION_1094_205=LAMBDA_2_17_ENV_1181_14;{obj_t CLO_1180_181;
CLO_1180_181=STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( F__315_34 );return PROCEDURE_ENTRY( CLO_1180_181 )( CLO_1180_181, R_317_73, A_FUNCTION_1094_205, BEOA );}}
}}}}}}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_TREE_VARIABLE___MATCH_NORMALIZE_37(obj_t E_327_23,obj_t F1_328_191,obj_t F2_329_105)
#else
STANDARDIZE_TREE_VARIABLE___MATCH_NORMALIZE_37( E_327_23, F1_328_191, F2_329_105 )
obj_t E_327_23, F1_328_191, F2_329_105;
#endif
{

{obj_t LAMBDA_2_18_ENV_1172_132;
LAMBDA_2_18_ENV_1172_132=make_fx_procedure( LAMBDA_2_18_330_192, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_18_ENV_1172_132, 2, F2_329_105 );
PROCEDURE_ENV_SET( LAMBDA_2_18_ENV_1172_132, 1, F1_328_191 );
PROCEDURE_ENV_SET( LAMBDA_2_18_ENV_1172_132, 0, E_327_23 );
return LAMBDA_2_18_ENV_1172_132;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_20_337_84(obj_t LAMBDA_2_20_ENV_1177_28,obj_t PATTERNS_338_84,obj_t RRR_339_75)
#else
LAMBDA_2_20_337_84( LAMBDA_2_20_ENV_1177_28, PATTERNS_338_84, RRR_339_75 )
obj_t LAMBDA_2_20_ENV_1177_28, PATTERNS_338_84, RRR_339_75;
#endif
{

{obj_t HOLE_PATTERN_335_47, NAME_333_4, C_332_166;
HOLE_PATTERN_335_47=PROCEDURE_ENV_REF( LAMBDA_2_20_ENV_1177_28, 0 );NAME_333_4=PROCEDURE_ENV_REF( LAMBDA_2_20_ENV_1177_28, 1 );C_332_166=PROCEDURE_ENV_REF( LAMBDA_2_20_ENV_1177_28, 2 );{obj_t AUX_1374_63;
{obj_t AUX_1375_23;
AUX_1375_23=OC_COUNT___MATCH_NORMALIZE_13( NAME_333_4, PATTERNS_338_84 );AUX_1374_63=_2____R4_NUMBERS_6_5_143( AUX_1375_23, BINT( 1 ) );}if( BBOOL_TO_CBOOL( AUX_1374_63 ))
{obj_t VA_ARG_1096_149;
VA_ARG_1096_149=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1097_31;
VA_ARG_1097_31=MAKE_PAIR( HOLE_PATTERN_335_47, VA_ARG_1096_149 );{obj_t VA_ARG_1098_117;
VA_ARG_1098_117=MAKE_PAIR( PATTERNS_338_84, VA_ARG_1097_31 );{obj_t VA_ARG_1099_39;
VA_ARG_1099_39=MAKE_PAIR( NAME_333_4, VA_ARG_1098_117 );{obj_t AUX_1372_146;
AUX_1372_146=CONS____R4_PAIRS_AND_LISTS_6_3_28( TREE_48___MATCH_NORMALIZE_57, VA_ARG_1099_39 );return PROCEDURE_ENTRY( C_332_166 )( C_332_166, AUX_1372_146, RRR_339_75, BEOA );}}}}}else
{obj_t VA_ARG_1100_145;
VA_ARG_1100_145=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1101_16;
VA_ARG_1101_16=MAKE_PAIR( HOLE_PATTERN_335_47, VA_ARG_1100_145 );{obj_t VA_ARG_1102_150;
VA_ARG_1102_150=MAKE_PAIR( PATTERNS_338_84, VA_ARG_1101_16 );{obj_t VA_ARG_1103_26;
VA_ARG_1103_26=MAKE_PAIR( NAME_333_4, VA_ARG_1102_150 );{obj_t AUX_1373_184;
AUX_1373_184=CONS____R4_PAIRS_AND_LISTS_6_3_28( TIMES_44___MATCH_NORMALIZE_1, VA_ARG_1103_26 );return PROCEDURE_ENTRY( C_332_166 )( C_332_166, AUX_1373_184, RRR_339_75, BEOA );}}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_19_334_252(obj_t LAMBDA_2_19_ENV_1176_119,obj_t HOLE_PATTERN_335_47,obj_t RR_336_104)
#else
LAMBDA_2_19_334_252( LAMBDA_2_19_ENV_1176_119, HOLE_PATTERN_335_47, RR_336_104 )
obj_t LAMBDA_2_19_ENV_1176_119, HOLE_PATTERN_335_47, RR_336_104;
#endif
{

{obj_t F2_329_105, C_332_166, NAME_333_4;
F2_329_105=PROCEDURE_ENV_REF( LAMBDA_2_19_ENV_1176_119, 0 );C_332_166=PROCEDURE_ENV_REF( LAMBDA_2_19_ENV_1176_119, 1 );NAME_333_4=PROCEDURE_ENV_REF( LAMBDA_2_19_ENV_1176_119, 2 );{obj_t LAMBDA_2_20_ENV_1175_186;
LAMBDA_2_20_ENV_1175_186=make_fx_procedure( LAMBDA_2_20_337_84, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_20_ENV_1175_186, 2, C_332_166 );
PROCEDURE_ENV_SET( LAMBDA_2_20_ENV_1175_186, 1, NAME_333_4 );
PROCEDURE_ENV_SET( LAMBDA_2_20_ENV_1175_186, 0, HOLE_PATTERN_335_47 );
{obj_t A_FUNCTION_1104_41;
A_FUNCTION_1104_41=LAMBDA_2_20_ENV_1175_186;{obj_t CLO_1174_119;
CLO_1174_119=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( F2_329_105 );return PROCEDURE_ENTRY( CLO_1174_119 )( CLO_1174_119, RR_336_104, A_FUNCTION_1104_41, BEOA );}}
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_18_330_192(obj_t LAMBDA_2_18_ENV_1173_119,obj_t R_331_210,obj_t C_332_166)
#else
LAMBDA_2_18_330_192( LAMBDA_2_18_ENV_1173_119, R_331_210, C_332_166 )
obj_t LAMBDA_2_18_ENV_1173_119, R_331_210, C_332_166;
#endif
{

{obj_t E_327_23, F1_328_191, F2_329_105;
E_327_23=PROCEDURE_ENV_REF( LAMBDA_2_18_ENV_1173_119, 0 );F1_328_191=PROCEDURE_ENV_REF( LAMBDA_2_18_ENV_1173_119, 1 );F2_329_105=PROCEDURE_ENV_REF( LAMBDA_2_18_ENV_1173_119, 2 );{obj_t NAME_333_4;
{obj_t S_777_154;
S_777_154=SYMBOL_TO_STRING( E_327_23 );{obj_t STRING_778_18;
{obj_t END_779_201;
END_779_201=STRING_LENGTH( S_777_154 );STRING_778_18=c_substring( S_777_154, BINT( 1 ), END_779_201 );}NAME_333_4=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_778_18 ) );}}{obj_t OBJ1_780_24;
OBJ1_780_24=MAKE_PAIR( NAME_333_4, TREE_48___MATCH_NORMALIZE_57 );{obj_t C_CONS_781_222;
C_CONS_781_222=MAKE_PAIR( OBJ1_780_24, R_331_210 );{obj_t LAMBDA_2_19_ENV_1171_1;
LAMBDA_2_19_ENV_1171_1=make_fx_procedure( LAMBDA_2_19_334_252, 2, 3 );{
PROCEDURE_ENV_SET( LAMBDA_2_19_ENV_1171_1, 2, NAME_333_4 );
PROCEDURE_ENV_SET( LAMBDA_2_19_ENV_1171_1, 1, C_332_166 );
PROCEDURE_ENV_SET( LAMBDA_2_19_ENV_1171_1, 0, F2_329_105 );
{obj_t A_FUNCTION_1105_254;
A_FUNCTION_1105_254=LAMBDA_2_19_ENV_1171_1;{obj_t CLO_1170_25;
CLO_1170_25=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( F1_328_191 );return PROCEDURE_ENTRY( CLO_1170_25 )( CLO_1170_25, C_CONS_781_222, A_FUNCTION_1105_254, BEOA );}}
}}}}}}
}

static obj_t
#if defined( __STDC__ )
OC_COUNT___MATCH_NORMALIZE_13(obj_t NAME_340_219,obj_t PATTERN_341_164)
#else
OC_COUNT___MATCH_NORMALIZE_13( NAME_340_219, PATTERN_341_164 )
obj_t NAME_340_219, PATTERN_341_164;
#endif
{

if( NULLP( PATTERN_341_164 ))
return BINT( 0 );else
{obj_t OBJ1_782_20;
OBJ1_782_20=CAR( PATTERN_341_164 );if( EQP( OBJ1_782_20, HOLE_36___MATCH_NORMALIZE_201 ))
{obj_t OBJ1_783_81;
{obj_t PAIR_784_44;
PAIR_784_44=CDR( PATTERN_341_164 );OBJ1_783_81=CAR( PAIR_784_44 );}if( EQP( OBJ1_783_81, NAME_340_219 ))
return BINT( 1 );else
return BINT( 0 );}else
{obj_t AUX_1371_117;
AUX_1371_117=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( OBJ1_782_20, LIST_53___MATCH_NORMALIZE_130 );if( BBOOL_TO_CBOOL( AUX_1371_117 ))
{obj_t A0_1107_209;
A0_1107_209=BUNSPEC;{
{obj_t g1014_342_160;
g1014_342_160=CDR( PATTERN_341_164 );if( NULLP( g1014_342_160 ))
A0_1107_209=BNIL;else
{obj_t HEAD_343_187;
{obj_t OBJ2_787_126;
OBJ2_787_126=BNIL;{obj_t OBJ1_786_92;
{obj_t PAT_349_59;
PAT_349_59=CAR( g1014_342_160 );OBJ1_786_92=OC_COUNT___MATCH_NORMALIZE_13( NAME_340_219, PAT_349_59 );}HEAD_343_187=MAKE_PAIR( OBJ1_786_92, OBJ2_787_126 );}}{obj_t g1014_345_180, TAIL_346_52;
{obj_t C_CDR_791_78;
C_CDR_791_78=CDR( g1014_342_160 );{
TAIL_346_52=HEAD_343_187;
g1014_345_180=C_CDR_791_78;
{_g1015_344_217:

if( NULLP( g1014_345_180 ))
A0_1107_209=HEAD_343_187;else
{obj_t NEW_TAIL_347_23;
{obj_t OBJ2_789_74;
OBJ2_789_74=BNIL;{obj_t OBJ1_788_151;
{obj_t PAT_348_74;
PAT_348_74=CAR( g1014_345_180 );OBJ1_788_151=OC_COUNT___MATCH_NORMALIZE_13( NAME_340_219, PAT_348_74 );}NEW_TAIL_347_23=MAKE_PAIR( OBJ1_788_151, OBJ2_789_74 );}}{
SET_CDR( TAIL_346_52, NEW_TAIL_347_23 );
{obj_t C_CDR_790_75;
C_CDR_790_75=CDR( g1014_345_180 );{
TAIL_346_52=NEW_TAIL_347_23;
g1014_345_180=C_CDR_790_75;
goto _g1015_344_217;
}}
}}}
}}}}}
return _____R4_NUMBERS_6_5_216( A0_1107_209 );
}}else
return BINT( 0 );}}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_LISPISH_SEGMENT_VARIABLE___MATCH_NORMALIZE_165(obj_t E_350_244,obj_t F__351_189)
#else
STANDARDIZE_LISPISH_SEGMENT_VARIABLE___MATCH_NORMALIZE_165( E_350_244, F__351_189 )
obj_t E_350_244, F__351_189;
#endif
{

if( NULLP( F__351_189 ))
{obj_t LAMBDA_2_21_ENV_1168_80;
LAMBDA_2_21_ENV_1168_80=make_fx_procedure( LAMBDA_2_21_352_79, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_21_ENV_1168_80, 0, E_350_244 );
return LAMBDA_2_21_ENV_1168_80;
}}else
return STANDARDIZE_SEGMENT_VARIABLE___MATCH_NORMALIZE_22( E_350_244, F__351_189 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_21_352_79(obj_t LAMBDA_2_21_ENV_1169_166,obj_t R_353_199,obj_t C_354_255)
#else
LAMBDA_2_21_352_79( LAMBDA_2_21_ENV_1169_166, R_353_199, C_354_255 )
obj_t LAMBDA_2_21_ENV_1169_166, R_353_199, C_354_255;
#endif
{

{obj_t E_350_244;
E_350_244=PROCEDURE_ENV_REF( LAMBDA_2_21_ENV_1169_166, 0 );{obj_t NAME_355_191;
{obj_t S_792_148;
S_792_148=SYMBOL_TO_STRING( E_350_244 );{obj_t STRING_793_32;
{obj_t END_794_167;
END_794_167=STRING_LENGTH( S_792_148 );STRING_793_32=c_substring( S_792_148, BINT( 3 ), END_794_167 );}NAME_355_191=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_793_32 ) );}}{obj_t OBJ2_796_130;
OBJ2_796_130=UNBOUND_PATTERN___MATCH_NORMALIZE_168;{obj_t OBJ1_795_211;
{obj_t AUX_1367_3;
AUX_1367_3=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( NAME_355_191, R_353_199 );if( BBOOL_TO_CBOOL( AUX_1367_3 ))
{obj_t PAIR_797_114;
PAIR_797_114=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( NAME_355_191, R_353_199 );OBJ1_795_211=CDR( PAIR_797_114 );}else
OBJ1_795_211=BFALSE;}if( EQP( OBJ1_795_211, OBJ2_796_130 ))
{obj_t VA_ARG_1108_34;
VA_ARG_1108_34=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1109_50;
{obj_t VA_ARG_1111_189;
VA_ARG_1111_189=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1368_158;
AUX_1368_158=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_1111_189 );VA_ARG_1109_50=MAKE_PAIR( AUX_1368_158, VA_ARG_1108_34 );}}{obj_t VA_ARG_1110_8;
VA_ARG_1110_8=MAKE_PAIR( NAME_355_191, VA_ARG_1109_50 );{obj_t OBJ1_798_48;
OBJ1_798_48=MAKE_PAIR( NAME_355_191, SEGMENT_51___MATCH_NORMALIZE_25 );{obj_t C_CONS_799_126;
C_CONS_799_126=MAKE_PAIR( OBJ1_798_48, R_353_199 );{obj_t AUX_1369_201;
AUX_1369_201=CONS____R4_PAIRS_AND_LISTS_6_3_28( VAR_34___MATCH_NORMALIZE_98, VA_ARG_1110_8 );return PROCEDURE_ENTRY( C_354_255 )( C_354_255, AUX_1369_201, C_CONS_799_126, BEOA );}}}}}}else
{obj_t VA_ARG_1112_4;
VA_ARG_1112_4=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1113_33;
VA_ARG_1113_33=MAKE_PAIR( NAME_355_191, VA_ARG_1112_4 );{obj_t AUX_1370_39;
AUX_1370_39=CONS____R4_PAIRS_AND_LISTS_6_3_28( VAR_34___MATCH_NORMALIZE_98, VA_ARG_1113_33 );return PROCEDURE_ENTRY( C_354_255 )( C_354_255, AUX_1370_39, R_353_199, BEOA );}}}}}}}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_ANY___MATCH_NORMALIZE_198(obj_t F__356_26)
#else
STANDARDIZE_ANY___MATCH_NORMALIZE_198( F__356_26 )
obj_t F__356_26;
#endif
{

{obj_t LAMBDA_2_22_ENV_1165_193;
LAMBDA_2_22_ENV_1165_193=make_fx_procedure( LAMBDA_2_22_357_251, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_22_ENV_1165_193, 0, F__356_26 );
return LAMBDA_2_22_ENV_1165_193;
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_23_360_205(obj_t LAMBDA_2_23_ENV_1167_204,obj_t PATTERN_361_169,obj_t RR_362_3)
#else
LAMBDA_2_23_360_205( LAMBDA_2_23_ENV_1167_204, PATTERN_361_169, RR_362_3 )
obj_t LAMBDA_2_23_ENV_1167_204, PATTERN_361_169, RR_362_3;
#endif
{

{obj_t C_359_93;
C_359_93=PROCEDURE_ENV_REF( LAMBDA_2_23_ENV_1167_204, 0 );{obj_t LABEL_363_78;
{obj_t STRING_CAST_1115_55;
STRING_CAST_1115_55=BREF( &G_43___MATCH_NORMALIZE_139);LABEL_363_78=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1115_55, BEOA );}{obj_t AUX_1366_61;
AUX_1366_61=PROCEDURE_ENTRY( __PREFER_XCONS____MATCH_NORMALIZE_213 )( __PREFER_XCONS____MATCH_NORMALIZE_213, VALUE_41___MATCH_NORMALIZE_92, BEOA );if( BBOOL_TO_CBOOL( AUX_1366_61 ))
{obj_t VA_ARG_1116_26;
VA_ARG_1116_26=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1117_150;
VA_ARG_1117_150=MAKE_PAIR( PATTERN_361_169, VA_ARG_1116_26 );{obj_t VA_ARG_1118_100;
{obj_t VA_ARG_1120_148;
VA_ARG_1120_148=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1121_223;
{obj_t VA_ARG_1124_104;
VA_ARG_1124_104=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1125_190;
{obj_t STRING_CAST_1127_100;
STRING_CAST_1127_100=BREF( &HOLE__35___MATCH_NORMALIZE_149);{obj_t AUX_1356_31;
AUX_1356_31=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1127_100, BEOA );VA_ARG_1125_190=MAKE_PAIR( AUX_1356_31, VA_ARG_1124_104 );}}{obj_t VA_ARG_1126_49;
VA_ARG_1126_49=MAKE_PAIR( LABEL_363_78, VA_ARG_1125_190 );{obj_t AUX_1357_149;
AUX_1357_149=CONS____R4_PAIRS_AND_LISTS_6_3_28( HOLE_36___MATCH_NORMALIZE_201, VA_ARG_1126_49 );VA_ARG_1121_223=MAKE_PAIR( AUX_1357_149, VA_ARG_1120_148 );}}}}{obj_t VA_ARG_1122_57;
{obj_t VA_ARG_1123_211;
VA_ARG_1123_211=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1358_39;
AUX_1358_39=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_1123_211 );VA_ARG_1122_57=MAKE_PAIR( AUX_1358_39, VA_ARG_1121_223 );}}{obj_t AUX_1359_117;
AUX_1359_117=CONS____R4_PAIRS_AND_LISTS_6_3_28( XCONS_42___MATCH_NORMALIZE_181, VA_ARG_1122_57 );VA_ARG_1118_100=MAKE_PAIR( AUX_1359_117, VA_ARG_1117_150 );}}}}{obj_t VA_ARG_1119_99;
VA_ARG_1119_99=MAKE_PAIR( LABEL_363_78, VA_ARG_1118_100 );{obj_t AUX_1360_159;
AUX_1360_159=CONS____R4_PAIRS_AND_LISTS_6_3_28( TIMES_44___MATCH_NORMALIZE_1, VA_ARG_1119_99 );return PROCEDURE_ENTRY( C_359_93 )( C_359_93, AUX_1360_159, RR_362_3, BEOA );}}}}}else
{obj_t VA_ARG_1128_210;
VA_ARG_1128_210=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1129_28;
VA_ARG_1129_28=MAKE_PAIR( PATTERN_361_169, VA_ARG_1128_210 );{obj_t VA_ARG_1130_125;
{obj_t VA_ARG_1132_138;
VA_ARG_1132_138=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1133_170;
{obj_t VA_ARG_1136_27;
VA_ARG_1136_27=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1137_233;
{obj_t STRING_CAST_1139_40;
STRING_CAST_1139_40=BREF( &HOLE__35___MATCH_NORMALIZE_149);{obj_t AUX_1361_93;
AUX_1361_93=PROCEDURE_ENTRY( JIM_GENSYM___MATCH_S2CFUN_61 )( JIM_GENSYM___MATCH_S2CFUN_61, STRING_CAST_1139_40, BEOA );VA_ARG_1137_233=MAKE_PAIR( AUX_1361_93, VA_ARG_1136_27 );}}{obj_t VA_ARG_1138_110;
VA_ARG_1138_110=MAKE_PAIR( LABEL_363_78, VA_ARG_1137_233 );{obj_t AUX_1362_42;
AUX_1362_42=CONS____R4_PAIRS_AND_LISTS_6_3_28( HOLE_36___MATCH_NORMALIZE_201, VA_ARG_1138_110 );VA_ARG_1133_170=MAKE_PAIR( AUX_1362_42, VA_ARG_1132_138 );}}}}{obj_t VA_ARG_1134_140;
{obj_t VA_ARG_1135_51;
VA_ARG_1135_51=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1363_155;
AUX_1363_155=CONS____R4_PAIRS_AND_LISTS_6_3_28( ANY_19___MATCH_NORMALIZE_12, VA_ARG_1135_51 );VA_ARG_1134_140=MAKE_PAIR( AUX_1363_155, VA_ARG_1133_170 );}}{obj_t AUX_1364_89;
AUX_1364_89=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONS_20___MATCH_NORMALIZE_125, VA_ARG_1134_140 );VA_ARG_1130_125=MAKE_PAIR( AUX_1364_89, VA_ARG_1129_28 );}}}}{obj_t VA_ARG_1131_118;
VA_ARG_1131_118=MAKE_PAIR( LABEL_363_78, VA_ARG_1130_125 );{obj_t AUX_1365_9;
AUX_1365_9=CONS____R4_PAIRS_AND_LISTS_6_3_28( TIMES_44___MATCH_NORMALIZE_1, VA_ARG_1131_118 );return PROCEDURE_ENTRY( C_359_93 )( C_359_93, AUX_1365_9, RR_362_3, BEOA );}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_22_357_251(obj_t LAMBDA_2_22_ENV_1166_242,obj_t R_358_43,obj_t C_359_93)
#else
LAMBDA_2_22_357_251( LAMBDA_2_22_ENV_1166_242, R_358_43, C_359_93 )
obj_t LAMBDA_2_22_ENV_1166_242, R_358_43, C_359_93;
#endif
{

{obj_t F__356_26;
F__356_26=PROCEDURE_ENV_REF( LAMBDA_2_22_ENV_1166_242, 0 );{obj_t LAMBDA_2_23_ENV_1164_196;
LAMBDA_2_23_ENV_1164_196=make_fx_procedure( LAMBDA_2_23_360_205, 2, 1 );{
PROCEDURE_ENV_SET( LAMBDA_2_23_ENV_1164_196, 0, C_359_93 );
{obj_t A_FUNCTION_1140_26;
A_FUNCTION_1140_26=LAMBDA_2_23_ENV_1164_196;{obj_t CLO_1163_43;
CLO_1163_43=STANDARDIZE_PATTERNS___MATCH_NORMALIZE_175( F__356_26 );return PROCEDURE_ENTRY( CLO_1163_43 )( CLO_1163_43, R_358_43, A_FUNCTION_1140_26, BEOA );}}
}}}
}

obj_t
#if defined( __STDC__ )
EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_138(obj_t NAME_374_40,obj_t FUN_375_141)
#else
EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_138( NAME_374_40, FUN_375_141 )
obj_t NAME_374_40, FUN_375_141;
#endif
{

{obj_t FN_809_153;
FN_809_153=R_MACRO_PATTERN___MATCH_NORMALIZE_79;{obj_t OBJ1_810_222;
OBJ1_810_222=MAKE_PAIR( NAME_374_40, FUN_375_141 );{obj_t C_CONS_811_137;
C_CONS_811_137=MAKE_PAIR( OBJ1_810_222, FN_809_153 );R_MACRO_PATTERN___MATCH_NORMALIZE_79=C_CONS_811_137;}}}
}

obj_t
#if defined( __STDC__ )
__EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_112(obj_t ENV_1162_252,obj_t NAME_374_40,obj_t FUN_375_141)
#else
__EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_112( ENV_1162_252, NAME_374_40, FUN_375_141 )
obj_t ENV_1162_252, NAME_374_40, FUN_375_141;
#endif
{

return EXTEND_R_MACRO_ENV___MATCH_NORMALIZE_138( NAME_374_40, FUN_375_141 );
}

static obj_t
#if defined( __STDC__ )
COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5(obj_t R_443_148,obj_t RR_444_4)
#else
COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5( R_443_148, RR_444_4 )
obj_t R_443_148, RR_444_4;
#endif
{
_COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5:

{obj_t N_447_223, R_448_186;
if( PAIRP( R_443_148 ))
{obj_t AUX_1354_44;
{
R_448_186=RR_444_4;
N_447_223=CAR( CAR( R_443_148 ) );
{_LOOK_445_238:

if( PAIRP( R_448_186 ))
if( EQP( CAR( CAR( R_448_186 ) ), N_447_223 ))
AUX_1354_44=CBOOL_TO_BBOOL( EQP( CAR( CAR( R_448_186 ) ), N_447_223 ) );else
{obj_t R_1355_224;
R_1355_224=R_448_186;{
R_448_186=CDR( R_1355_224 );
goto _LOOK_445_238;
}}else
AUX_1354_44=BFALSE;}
}if( BBOOL_TO_CBOOL( AUX_1354_44 ))
{obj_t R_1353_247;
R_1353_247=R_443_148;{
R_443_148=CDR( R_1353_247 );
goto _COHERENT_ENVIRONMENT____MATCH_NORMALIZE_5;
}}else
return BFALSE;}else
return BTRUE;}
}

static obj_t
#if defined( __STDC__ )
STANDARDIZE_VECTOR___MATCH_NORMALIZE_252(obj_t E_454_155)
#else
STANDARDIZE_VECTOR___MATCH_NORMALIZE_252( E_454_155 )
obj_t E_454_155;
#endif
{

{obj_t TMP_455_208;
{obj_t E_826_56;
E_826_56=VECTOR__LIST___R4_VECTORS_6_8_45( E_454_155 );{obj_t LAMBDA_2_0_ENV_1159_130;
LAMBDA_2_0_ENV_1159_130=PROCEDURE_54___MATCH_NORMALIZE_166;{obj_t A_FUNCTION_1147_189;
A_FUNCTION_1147_189=LAMBDA_2_0_ENV_1159_130;{obj_t CLO_1161_204;
CLO_1161_204=STANDARDIZE_PATTERN___MATCH_NORMALIZE_91( E_826_56 );TMP_455_208=PROCEDURE_ENTRY( CLO_1161_204 )( CLO_1161_204, R_MACRO_PATTERN___MATCH_NORMALIZE_79, A_FUNCTION_1147_189, BEOA );}}}}{obj_t LAMBDA_2_47_ENV_1157_124;
LAMBDA_2_47_ENV_1157_124=make_fx_procedure( LAMBDA_2_47_457_109, 2, 2 );{
PROCEDURE_ENV_SET( LAMBDA_2_47_ENV_1157_124, 1, E_454_155 );
PROCEDURE_ENV_SET( LAMBDA_2_47_ENV_1157_124, 0, TMP_455_208 );
return LAMBDA_2_47_ENV_1157_124;
}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_0_827_12(obj_t LAMBDA_2_0_ENV_1160_162,obj_t PATTERN_828_66,obj_t RR_829_1)
#else
LAMBDA_2_0_827_12( LAMBDA_2_0_ENV_1160_162, PATTERN_828_66, RR_829_1 )
obj_t LAMBDA_2_0_ENV_1160_162, PATTERN_828_66, RR_829_1;
#endif
{

return PATTERN_828_66;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_47_457_109(obj_t LAMBDA_2_47_ENV_1158_70,obj_t R_458_95,obj_t C_459_69)
#else
LAMBDA_2_47_457_109( LAMBDA_2_47_ENV_1158_70, R_458_95, C_459_69 )
obj_t LAMBDA_2_47_ENV_1158_70, R_458_95, C_459_69;
#endif
{

{obj_t TMP_455_208, E_454_155;
TMP_455_208=PROCEDURE_ENV_REF( LAMBDA_2_47_ENV_1158_70, 0 );E_454_155=PROCEDURE_ENV_REF( LAMBDA_2_47_ENV_1158_70, 1 );{obj_t VA_ARG_1151_99;
VA_ARG_1151_99=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1152_175;
{obj_t AUX_1349_53;
AUX_1349_53=VECTORIFY_456_82( TMP_455_208 );VA_ARG_1152_175=MAKE_PAIR( AUX_1349_53, VA_ARG_1151_99 );}{obj_t VA_ARG_1153_195;
{obj_t AUX_1350_135;
{obj_t AUX_1351_0;
AUX_1351_0=VECTOR__LIST___R4_VECTORS_6_8_45( E_454_155 );AUX_1350_135=PATTERN_LENGTH___MATCH_NORMALIZE_44( AUX_1351_0 );}VA_ARG_1153_195=MAKE_PAIR( AUX_1350_135, VA_ARG_1152_175 );}{obj_t AUX_1352_216;
AUX_1352_216=CONS____R4_PAIRS_AND_LISTS_6_3_28( VECTOR_B_65___MATCH_NORMALIZE_216, VA_ARG_1153_195 );return PROCEDURE_ENTRY( C_459_69 )( C_459_69, AUX_1352_216, R_458_95, BEOA );}}}}}
}

static obj_t
#if defined( __STDC__ )
VECTORIFY_456_82(obj_t P_460_116)
#else
VECTORIFY_456_82( P_460_116 )
obj_t P_460_116;
#endif
{

{obj_t OBJ1_830_5;
OBJ1_830_5=CAR( P_460_116 );if( EQP( OBJ1_830_5, CONS_20___MATCH_NORMALIZE_125 ))
{obj_t VA_ARG_1148_221;
VA_ARG_1148_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1149_54;
{obj_t PAIR_833_27;
{obj_t PAIR_835_125;
PAIR_835_125=CDR( P_460_116 );PAIR_833_27=CDR( PAIR_835_125 );}{obj_t C_CAR_834_77;
C_CAR_834_77=CAR( PAIR_833_27 );{obj_t AUX_1340_230;
{obj_t AUX_1341_142;
AUX_1341_142=EQUAL____R4_EQUIVALENCE_6_2_234( C_CAR_834_77, LIST_55___MATCH_NORMALIZE_128 );if( BBOOL_TO_CBOOL( AUX_1341_142 ))
AUX_1340_230=LIST_57___MATCH_NORMALIZE_182;else
{obj_t PAIR_836_170;
{obj_t PAIR_838_119;
PAIR_838_119=CDR( P_460_116 );PAIR_836_170=CDR( PAIR_838_119 );}{obj_t C_CAR_837_64;
C_CAR_837_64=CAR( PAIR_836_170 );AUX_1340_230=VECTORIFY_456_82( C_CAR_837_64 );}}}VA_ARG_1149_54=MAKE_PAIR( AUX_1340_230, VA_ARG_1148_221 );}}}{obj_t VA_ARG_1150_100;
{obj_t PAIR_831_140;
PAIR_831_140=CDR( P_460_116 );{obj_t C_CAR_832_208;
C_CAR_832_208=CAR( PAIR_831_140 );VA_ARG_1150_100=MAKE_PAIR( C_CAR_832_208, VA_ARG_1149_54 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( VECTOR_C_58___MATCH_NORMALIZE_246, VA_ARG_1150_100 );}}}else
{obj_t AUX_1348_162;
AUX_1348_162=EQUAL____R4_EQUIVALENCE_6_2_234( P_460_116, LIST_59___MATCH_NORMALIZE_137 );if( BBOOL_TO_CBOOL( AUX_1348_162 ))
return LIST_61___MATCH_NORMALIZE_212;else
{obj_t AUX_1347_114;
AUX_1347_114=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( OBJ1_830_5, LIST_62___MATCH_NORMALIZE_134 );if( BBOOL_TO_CBOOL( AUX_1347_114 ))
{obj_t C_CAR_842_65;
C_CAR_842_65=CAR( P_460_116 );{obj_t C_CONS_849_152;
{obj_t PAIR_843_134;
PAIR_843_134=CDR( P_460_116 );{obj_t C_CAR_844_7;
C_CAR_844_7=CAR( PAIR_843_134 );{obj_t C_CONS_848_131;
{obj_t PAIR_845_164;
PAIR_845_164=CDR( PAIR_843_134 );{obj_t C_CAR_846_73;
C_CAR_846_73=CAR( PAIR_845_164 );{obj_t AUX_1342_96;
AUX_1342_96=VECTORIFY_456_82( C_CAR_846_73 );C_CONS_848_131=MAKE_PAIR( AUX_1342_96, BNIL );}}}{obj_t AUX_1343_227;
AUX_1343_227=VECTORIFY_456_82( C_CAR_844_7 );C_CONS_849_152=MAKE_PAIR( AUX_1343_227, C_CONS_848_131 );}}}}return MAKE_PAIR( C_CAR_842_65, C_CONS_849_152 );}}else
{obj_t C_CAR_850_111;
C_CAR_850_111=CAR( P_460_116 );{obj_t AUX_1346_246;
AUX_1346_246=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_850_111, LIST_63___MATCH_NORMALIZE_254 );if( BBOOL_TO_CBOOL( AUX_1346_246 ))
{obj_t C_CONS_864_85;
{obj_t PAIR_852_6;
PAIR_852_6=CDR( P_460_116 );{obj_t C_CAR_853_136;
C_CAR_853_136=CAR( PAIR_852_6 );{obj_t C_CONS_863_133;
{obj_t PAIR_854_91;
PAIR_854_91=CDR( PAIR_852_6 );{obj_t C_CAR_855_236;
C_CAR_855_236=CAR( PAIR_854_91 );{obj_t C_CONS_862_88;
{obj_t PAIR_858_225;
PAIR_858_225=CDR( PAIR_854_91 );{obj_t C_CAR_859_165;
C_CAR_859_165=CAR( PAIR_858_225 );{obj_t AUX_1344_62;
AUX_1344_62=VECTORIFY_456_82( C_CAR_859_165 );C_CONS_862_88=MAKE_PAIR( AUX_1344_62, BNIL );}}}{obj_t AUX_1345_179;
AUX_1345_179=VECTORIFY_456_82( C_CAR_855_236 );C_CONS_863_133=MAKE_PAIR( AUX_1345_179, C_CONS_862_88 );}}}}C_CONS_864_85=MAKE_PAIR( C_CAR_853_136, C_CONS_863_133 );}}}return MAKE_PAIR( VECTOR_T_64___MATCH_NORMALIZE_145, C_CONS_864_85 );}else
return P_460_116;}}}}}
}

static obj_t
#if defined( __STDC__ )
PATTERN_LENGTH___MATCH_NORMALIZE_44(obj_t P_461_95)
#else
PATTERN_LENGTH___MATCH_NORMALIZE_44( P_461_95 )
obj_t P_461_95;
#endif
{
_PATTERN_LENGTH___MATCH_NORMALIZE_44:

{obj_t AUX_1339_243;
AUX_1339_243=ATOM____MATCH_S2CFUN_134( P_461_95 );if( BBOOL_TO_CBOOL( AUX_1339_243 ))
return BINT( 0 );else
if( NULLP( P_461_95 ))
return BINT( 0 );else
{obj_t OBJ1_865_224;
OBJ1_865_224=CAR( P_461_95 );if( EQP( OBJ1_865_224, NOT_9___MATCH_NORMALIZE_25 ))
return BINT( 1 );else
{obj_t AUX_1338_248;
AUX_1338_248=TREE_VARIABLE____MATCH_NORMALIZE_58( OBJ1_865_224 );if( BBOOL_TO_CBOOL( AUX_1338_248 ))
return BINT( 0 );else
{obj_t C_CAR_867_231;
C_CAR_867_231=CAR( P_461_95 );{obj_t AUX_1337_229;
AUX_1337_229=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_867_231, LIST_66___MATCH_NORMALIZE_179 );if( BBOOL_TO_CBOOL( AUX_1337_229 ))
return BINT( 0 );else
{obj_t C_CAR_868_236;
C_CAR_868_236=CAR( P_461_95 );{obj_t AUX_1336_123;
AUX_1336_123=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_868_236, LIST_67___MATCH_NORMALIZE_76 );if( BBOOL_TO_CBOOL( AUX_1336_123 ))
{obj_t PAIR_869_168;
PAIR_869_168=CDR( P_461_95 );{obj_t C_CAR_870_205;
C_CAR_870_205=CAR( PAIR_869_168 );{
P_461_95=C_CAR_870_205;
goto _PATTERN_LENGTH___MATCH_NORMALIZE_44;
}}}else
{obj_t C_CDR_871_225;
C_CDR_871_225=CDR( P_461_95 );{obj_t AUX_1335_131;
AUX_1335_131=PATTERN_LENGTH___MATCH_NORMALIZE_44( C_CDR_871_225 );return _2____R4_NUMBERS_6_5_47( BINT( 1 ), AUX_1335_131 );}}}}}}}}}
}

obj_t
#if defined( __STDC__ )
MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246(obj_t EXP_462_147)
#else
MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246( EXP_462_147 )
obj_t EXP_462_147;
#endif
{

{obj_t NAME_467_139, FIELDS_468_203;
if( PAIRP( EXP_462_147 ))
{obj_t CDR_109_466_41;
CDR_109_466_41=CDR( EXP_462_147 );{obj_t OBJ1_874_25;
OBJ1_874_25=CAR( EXP_462_147 );if( EQP( OBJ1_874_25, DEFINE_S_70___MATCH_NORMALIZE_53 ))
if( PAIRP( CDR_109_466_41 ))
{obj_t C_CAR_875_53;
C_CAR_875_53=CAR( CDR_109_466_41 );{obj_t C_CDR_876_98;
C_CDR_876_98=CDR( CDR_109_466_41 );{
FIELDS_468_203=C_CDR_876_98;
NAME_467_139=C_CAR_875_53;
{
{obj_t OBJ2_873_249;
OBJ2_873_249=__MATCH_STRUCTURES____MATCH_NORMALIZE_111;{obj_t OBJ1_872_174;
OBJ1_872_174=CDR( EXP_462_147 );__MATCH_STRUCTURES____MATCH_NORMALIZE_111=MAKE_PAIR( OBJ1_872_174, OBJ2_873_249 );}}}
}}}else
{_TAG_102_464_152:

FAILURE( BREF( &INCORREC_68___MATCH_NORMALIZE_227), EXP_462_147, ABORTED_69___MATCH_NORMALIZE_45 );}else
goto _TAG_102_464_152;}}else
goto _TAG_102_464_152;}
}

obj_t
#if defined( __STDC__ )
__MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_225(obj_t ENV_1156_183,obj_t EXP_462_147)
#else
__MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_225( ENV_1156_183, EXP_462_147 )
obj_t ENV_1156_183, EXP_462_147;
#endif
{

return MATCH_DEFINE_STRUCTURE____MATCH_NORMALIZE_246( EXP_462_147 );
}

