/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Pp/pp.c                                                   */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t CASE_51___PP_102 = BUNSPEC;
static obj_t LIST_49___PP_178 = BUNSPEC;
#if defined( __STDC__ )
static obj_t REVERSE_STRING_APPEND___PP_243(obj_t);
#else
static obj_t REVERSE_STRING_APPEND___PP_243();
#endif
DEFINE_STRING( SPACE_14___PP_247, "space", 5);
obj_t ___PP_INITIALISATION_ENV___PP_117 = BUNSPEC;
extern obj_t _2____R4_NUMBERS_6_5_30();
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
DEFINE_STRING( ____12___PP_161, "#\"", 2);
DEFINE_STRING( ___3___PP_103, "#", 1);
#if defined( __STDC__ )
static obj_t GENERIC_WRITE___PP_149(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t GENERIC_WRITE___PP_149();
#endif
extern obj_t _2____R4_NUMBERS_6_5_49();
extern obj_t c_substring();
obj_t __PP_WIDTH____PP_209 = BUNSPEC;
extern obj_t string_append();
extern obj_t _2____R4_NUMBERS_6_5_143();
static obj_t LIST_54___PP_94 = BUNSPEC;
obj_t PP_ENV___PP_173 = BUNSPEC;
DEFINE_STRING( ____34___PP_244, ",@", 2);
static obj_t UNQUOTE__33___PP_109 = BUNSPEC;
static obj_t LET__38___PP_203 = BUNSPEC;
static obj_t DEFINE_42___PP_119 = BUNSPEC;
DEFINE_STRING( ___59___PP_75, "\n", 1);
static obj_t LETREC_37___PP_152 = BUNSPEC;
static obj_t UNQUOTE_31___PP_86 = BUNSPEC;
static obj_t LIST_46___PP_158 = BUNSPEC;
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t MIN___R4_NUMBERS_6_5_9();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
DEFINE_STRING( ____23___PP_19, "()", 2);
obj_t __PP_CASE____PP_52 = BUNSPEC;
DEFINE_STRING( ___24___PP_218, " ", 1);
extern obj_t WRITE___R4_OUTPUT_6_10_3_23();
static obj_t LET_55___PP_119 = BUNSPEC;
extern obj_t make_string();
extern obj_t make_va_procedure();
DEFINE_STRING( _____26___PP_139, " . ", 3);
static obj_t BEGIN_56___PP_47 = BUNSPEC;
static obj_t COMMENT_7___PP_144 = BUNSPEC;
static obj_t RESPECT_0___PP_64 = BUNSPEC;
static obj_t LIST_40___PP_233 = BUNSPEC;
extern obj_t current_output_port;
static obj_t DEFINE_I_41___PP_247 = BUNSPEC;
extern obj_t close_output_port();
static obj_t QUOTE_27___PP_67 = BUNSPEC;
extern obj_t make_light_procedure();
extern obj_t ___PP_INITIALISATION___PP_28();
DEFINE_STRING( _____58___PP_43, "({}", 3);
DEFINE_STRING( ___25___PP_18, ")", 1);
static obj_t DO_57___PP_24 = BUNSPEC;
DEFINE_STRING( ___22___PP_164, "(", 1);
static obj_t LAMBDA_39___PP_87 = BUNSPEC;
DEFINE_STRING( ___30___PP_18, "`", 1);
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
DEFINE_STRING( ____13___PP_167, "#\\", 2);
DEFINE_STRING( ____4___PP_9, "#0", 2);
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157();
DEFINE_STRING( PP_1___PP_204, "pp", 2);
DEFINE_STRING( RETURN_16___PP_164, "return", 6);
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t REQUIRE_INITIALISATION____PP_172 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
static obj_t VECTOR_PREFIX___PP_213(obj_t);
#else
static obj_t VECTOR_PREFIX___PP_213();
#endif
static obj_t DE_44___PP_250 = BUNSPEC;
DEFINE_STRING( TAB_17___PP_104, "tab", 3);
extern obj_t _2____R4_NUMBERS_6_5_47();
DEFINE_STRING( NEWLINE_15___PP_111, "newline", 7);
extern obj_t STRING_DOWNCASE___R4_STRINGS_6_7_199();
static obj_t COND_50___PP_203 = BUNSPEC;
DEFINE_STRING( ___28___PP_30, "'", 1);
DEFINE_STRING( __T_8___PP_177, "#t", 2);
DEFINE_STRING( ___32___PP_230, ",", 1);
#if defined( __STDC__ )
extern obj_t PP___PP_100(obj_t, obj_t);
#else
extern obj_t PP___PP_100();
#endif
DEFINE_STRING( ___OUTPUT_19___PP_153, "#[output-port]", 14);
static obj_t UPPER_10___PP_42 = BUNSPEC;
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
static obj_t IF_48___PP_34 = BUNSPEC;
static obj_t LIST_35___PP_107 = BUNSPEC;
extern obj_t _2_____R4_NUMBERS_6_5_203();
static obj_t AND_53___PP_41 = BUNSPEC;
extern obj_t make_fx_procedure();
DEFINE_STRING( ___EOF_OB_20___PP_83, "#[eof-object]", 13);
DEFINE_STRING( NOT_AN_I_2___PP_87, "not an input-port", 17);
DEFINE_STRING( ___PROCED_11___PP_139, "#<procedure>", 12);
extern obj_t open_output_string();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( ___21___PP_47, "\"", 1);
static obj_t QUASIQUO_29___PP_227 = BUNSPEC;
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
static obj_t LIST_43___PP_194 = BUNSPEC;
DEFINE_STRING( _____5___PP_209, "#00", 3);
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
static obj_t SET__47___PP_59 = BUNSPEC;
DEFINE_STRING( __F_9___PP_81, "#f", 2);
#if defined( __STDC__ )
extern obj_t __PP___PP_231(obj_t, obj_t, obj_t);
#else
extern obj_t __PP___PP_231();
#endif
#if defined( __STDC__ )
extern obj_t ____PP_INITIALISATION___PP_203(obj_t);
#else
extern obj_t ____PP_INITIALISATION___PP_203();
#endif
DEFINE_STRING( ___36___PP_189, ".", 1);
DEFINE_STRING( ___INPUT__18___PP_49, "#[input-port]", 13);
DEFINE_STRING( __________6___PP_67, "        ", 8);
extern obj_t string_for_read();
static obj_t DEFUN_45___PP_99 = BUNSPEC;
static obj_t OR_52___PP_203 = BUNSPEC;

static obj_t LAMBDA_1_0_225_73();
static obj_t INDENT_267_175();
static obj_t SPACES_268_175();
static obj_t OUT_236_182();
static obj_t PR_266_132();
static obj_t WR_235_78();
static obj_t LOOP_447_197();
static obj_t WR_LST_437_144();
static obj_t LOOP_458_234();
static obj_t WR_EXPR_438_0();
static obj_t READ_MACRO_PREFIX_237_33();
static obj_t READ_MACRO_BODY_238_35();
static obj_t READ_MACRO__239_28();
static obj_t LENGTH1__479_54();
static obj_t TAG_102_440_73();
static obj_t TAG_101_439_111();
static obj_t PP_LIST_263_92();
static obj_t PP_DOWN_261_135();
static obj_t LOOP_383_148();
static obj_t PP_GENERAL_260_22();
static obj_t TAIL1_347_248();
static obj_t TAIL2_346_147();
static obj_t TAIL3_345_133();
static obj_t PP_CALL_264_152();
static obj_t LAMBDA_1_26_424_212();
static obj_t PP_EXPR_265_191();
static obj_t PP_EXPR_LIST_259_85();
static obj_t PP_EXPR_DEFUN_258_34();
static obj_t PP_LAMBDA_255_52();
static obj_t PP_DEFINE_257_23();
static obj_t PP_DEFUN_256_138();
static obj_t PP_IF_253_236();
static obj_t PP_COND_252_89();
static obj_t PP_CASE_251_91();
static obj_t PP_AND_250_72();
static obj_t PP_LET_249_58();
static obj_t PP_BEGIN_248_99();
static obj_t PP_DO_247_112();
static obj_t PP_COMMENT_254_196();
static obj_t REV_STRING_APPEND_487_248();

obj_t
#if defined( __STDC__ )
___PP_INITIALISATION___PP_28()
#else
___PP_INITIALISATION___PP_28()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____PP_172 ))
{
REQUIRE_INITIALISATION____PP_172=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
DEFUN_45___PP_99=c_string_to_symbol( "DEFUN" );
SET__47___PP_59=c_string_to_symbol( "SET!" );
CASE_51___PP_102=c_string_to_symbol( "CASE" );
QUOTE_27___PP_67=c_string_to_symbol( "QUOTE" );
DO_57___PP_24=c_string_to_symbol( "DO" );
UNQUOTE__33___PP_109=c_string_to_symbol( "UNQUOTE-SPLICING" );
COND_50___PP_203=c_string_to_symbol( "COND" );
LET_55___PP_119=c_string_to_symbol( "LET" );
LETREC_37___PP_152=c_string_to_symbol( "LETREC" );
IF_48___PP_34=c_string_to_symbol( "IF" );
OR_52___PP_203=c_string_to_symbol( "OR" );
UPPER_10___PP_42=c_string_to_symbol( "UPPER" );
LET__38___PP_203=c_string_to_symbol( "LET*" );
AND_53___PP_41=c_string_to_symbol( "AND" );
DE_44___PP_250=c_string_to_symbol( "DE" );
DEFINE_I_41___PP_247=c_string_to_symbol( "DEFINE-INLINE" );
RESPECT_0___PP_64=c_string_to_symbol( "RESPECT" );
LAMBDA_39___PP_87=c_string_to_symbol( "LAMBDA" );
DEFINE_42___PP_119=c_string_to_symbol( "DEFINE" );
BEGIN_56___PP_47=c_string_to_symbol( "BEGIN" );
QUASIQUO_29___PP_227=c_string_to_symbol( "QUASIQUOTE" );
UNQUOTE_31___PP_86=c_string_to_symbol( "UNQUOTE" );
COMMENT_7___PP_144=c_string_to_symbol( "COMMENT" );
{obj_t AUX_915_176;
{obj_t AUX_916_86;
{obj_t AUX_917_141;
AUX_917_141=MAKE_PAIR( UNQUOTE__33___PP_109, BNIL );AUX_916_86=MAKE_PAIR( UNQUOTE_31___PP_86, AUX_917_141 );}AUX_915_176=MAKE_PAIR( QUASIQUO_29___PP_227, AUX_916_86 );}LIST_35___PP_107=MAKE_PAIR( QUOTE_27___PP_67, AUX_915_176 );}
{obj_t AUX_918_198;
{obj_t AUX_919_168;
AUX_919_168=MAKE_PAIR( LETREC_37___PP_152, BNIL );AUX_918_198=MAKE_PAIR( LET__38___PP_203, AUX_919_168 );}LIST_40___PP_233=MAKE_PAIR( LAMBDA_39___PP_87, AUX_918_198 );}
{obj_t AUX_920_81;
AUX_920_81=MAKE_PAIR( DEFINE_I_41___PP_247, BNIL );LIST_43___PP_194=MAKE_PAIR( DEFINE_42___PP_119, AUX_920_81 );}
{obj_t AUX_921_20;
AUX_921_20=MAKE_PAIR( DE_44___PP_250, BNIL );LIST_46___PP_158=MAKE_PAIR( DEFUN_45___PP_99, AUX_921_20 );}
{obj_t AUX_922_6;
AUX_922_6=MAKE_PAIR( SET__47___PP_59, BNIL );LIST_49___PP_178=MAKE_PAIR( IF_48___PP_34, AUX_922_6 );}
{obj_t AUX_923_24;
AUX_923_24=MAKE_PAIR( OR_52___PP_203, BNIL );LIST_54___PP_94=MAKE_PAIR( AND_53___PP_41, AUX_923_24 );}
{
___PP_INITIALISATION_ENV___PP_117=make_fx_procedure( ____PP_INITIALISATION___PP_203, 0, 0 );
PP_ENV___PP_173=make_va_procedure( __PP___PP_231, -2, 0 );
{
__PP_CASE____PP_52=RESPECT_0___PP_64;
__PP_WIDTH____PP_209=BINT( 80 );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____PP_INITIALISATION___PP_203(obj_t ENV_766_101)
#else
____PP_INITIALISATION___PP_203( ENV_766_101 )
obj_t ENV_766_101;
#endif
{

return ___PP_INITIALISATION___PP_28();
}

obj_t
#if defined( __STDC__ )
PP___PP_100(obj_t EXP_222_242,obj_t PORT_223_99)
#else
PP___PP_100( EXP_222_242, PORT_223_99 )
obj_t EXP_222_242, PORT_223_99;
#endif
{

{obj_t PORT_224_166;
if( NULLP( PORT_223_99 ))
PORT_224_166=current_output_port;else
{obj_t PORT_227_34;
PORT_227_34=CAR( PORT_223_99 );if( OUTPUT_PORTP( PORT_227_34 ))
PORT_224_166=PORT_227_34;else
FAILURE( BREF( &PP_1___PP_204), BREF( &NOT_AN_I_2___PP_87), PORT_227_34 );}{
{obj_t LAMBDA_1_0_ENV_762_88;
LAMBDA_1_0_ENV_762_88=make_light_procedure( LAMBDA_1_0_225_73, 1 );{
PROCEDURE_LIGHT_ENV_SET( LAMBDA_1_0_ENV_762_88, 0, PORT_224_166 );
{obj_t A_FUNCTION_630_78;
A_FUNCTION_630_78=LAMBDA_1_0_ENV_762_88;GENERIC_WRITE___PP_149( EXP_222_242, BFALSE, __PP_WIDTH____PP_209, A_FUNCTION_630_78 );}
}}
return BUNSPEC;
}}
}

obj_t
#if defined( __STDC__ )
__PP___PP_231(obj_t ENV_765_239,obj_t EXP_222_242,obj_t PORT_223_99)
#else
__PP___PP_231( ENV_765_239, EXP_222_242, PORT_223_99 )
obj_t ENV_765_239, EXP_222_242, PORT_223_99;
#endif
{

return PP___PP_100( EXP_222_242, PORT_223_99 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_225_73(obj_t LAMBDA_1_0_ENV_763_133,obj_t S_226_254)
#else
LAMBDA_1_0_225_73( LAMBDA_1_0_ENV_763_133, S_226_254 )
obj_t LAMBDA_1_0_ENV_763_133, S_226_254;
#endif
{

{obj_t PORT_224_166;
PORT_224_166=PROCEDURE_LIGHT_ENV_REF( LAMBDA_1_0_ENV_763_133, 0 );{
{obj_t VA_ARG_629_50;
VA_ARG_629_50=MAKE_PAIR( PORT_224_166, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( S_226_254, VA_ARG_629_50 );}
return BTRUE;
}}
}

static obj_t
#if defined( __STDC__ )
VECTOR_PREFIX___PP_213(obj_t OBJ_228_37)
#else
VECTOR_PREFIX___PP_213( OBJ_228_37 )
obj_t OBJ_228_37;
#endif
{

{obj_t TAG_229_49;
TAG_229_49=VECTOR_TAG( OBJ_228_37 );if( EQ_I( TAG_229_49, BINT( 0 ) ))
return BREF( &___3___PP_103);else
if( GE_I( TAG_229_49, BINT( 100 ) ))
{obj_t STRING_CAST_632_83;
STRING_CAST_632_83=BREF( &___3___PP_103);{obj_t AUX_912_83;
AUX_912_83=NUMBER__STRING___R4_NUMBERS_6_5_157( TAG_229_49, BNIL );return string_append( STRING_CAST_632_83, AUX_912_83 );}}else
if( GE_I( TAG_229_49, BINT( 10 ) ))
{obj_t STRING_CAST_633_128;
STRING_CAST_633_128=BREF( &____4___PP_9);{obj_t AUX_913_128;
AUX_913_128=NUMBER__STRING___R4_NUMBERS_6_5_157( TAG_229_49, BNIL );return string_append( STRING_CAST_633_128, AUX_913_128 );}}else
{obj_t STRING_CAST_634_161;
STRING_CAST_634_161=BREF( &_____5___PP_209);{obj_t AUX_914_161;
AUX_914_161=NUMBER__STRING___R4_NUMBERS_6_5_157( TAG_229_49, BNIL );return string_append( STRING_CAST_634_161, AUX_914_161 );}}}
}

static obj_t
#if defined( __STDC__ )
GENERIC_WRITE___PP_149(obj_t OBJ_230_67,obj_t DISPLAY__231_255,obj_t WIDTH_232_171,obj_t OUTPUT_233_54)
#else
GENERIC_WRITE___PP_149( OBJ_230_67, DISPLAY__231_255, WIDTH_232_171, OUTPUT_233_54 )
obj_t OBJ_230_67, DISPLAY__231_255, WIDTH_232_171, OUTPUT_233_54;
#endif
{

{obj_t OBJ_241_14, COL_242_32;
if( BBOOL_TO_CBOOL( WIDTH_232_171 ))
{obj_t CHAR_612_248;
CHAR_612_248=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_911_60, AUX_910_66;
{
COL_242_32=BINT( 0 );
OBJ_241_14=OBJ_230_67;
{
{obj_t MAX_EXPR_WIDTH_244_81, MAX_CALL_HEAD_WIDTH_245_64, INDENT_GENERAL_246_38;
MAX_EXPR_WIDTH_244_81=MAKE_CELL( BUNSPEC );MAX_CALL_HEAD_WIDTH_245_64=MAKE_CELL( BUNSPEC );INDENT_GENERAL_246_38=MAKE_CELL( BUNSPEC );{obj_t PP_DO_ENV_721_167, PP_BEGIN_ENV_722_74, PP_LET_ENV_723_146, PP_AND_ENV_724_122, PP_CASE_ENV_725_228, PP_COND_ENV_726_194, PP_IF_ENV_727_162, PP_COMMENT_ENV_720_214, PP_LAMBDA_ENV_730_226, PP_DEFUN_ENV_728_250, PP_DEFINE_ENV_729_8, PP_EXPR_DEFUN_ENV_719_49, PP_EXPR_LIST_ENV_718_228, PP_EXPR_ENV_717_43;
PP_DO_ENV_721_167=make_light_procedure( PP_DO_247_112, 7 );PP_BEGIN_ENV_722_74=make_light_procedure( PP_BEGIN_248_99, 6 );PP_LET_ENV_723_146=make_light_procedure( PP_LET_249_58, 7 );PP_AND_ENV_724_122=make_light_procedure( PP_AND_250_72, 5 );PP_CASE_ENV_725_228=make_light_procedure( PP_CASE_251_91, 7 );PP_COND_ENV_726_194=make_light_procedure( PP_COND_252_89, 6 );PP_IF_ENV_727_162=make_light_procedure( PP_IF_253_236, 6 );PP_COMMENT_ENV_720_214=make_light_procedure( PP_COMMENT_254_196, 6 );PP_LAMBDA_ENV_730_226=make_light_procedure( PP_LAMBDA_255_52, 7 );PP_DEFUN_ENV_728_250=make_light_procedure( PP_DEFUN_256_138, 7 );PP_DEFINE_ENV_729_8=make_light_procedure( PP_DEFINE_257_23, 7 );PP_EXPR_DEFUN_ENV_719_49=make_light_procedure( PP_EXPR_DEFUN_258_34, 5 );PP_EXPR_LIST_ENV_718_228=make_light_procedure( PP_EXPR_LIST_259_85, 5 );PP_EXPR_ENV_717_43=make_light_procedure( PP_EXPR_265_191, 17 );{
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 16, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 15, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 14, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 13, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 12, PP_LAMBDA_ENV_730_226 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 11, PP_DEFINE_ENV_729_8 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 10, PP_DEFUN_ENV_728_250 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 9, PP_IF_ENV_727_162 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 8, PP_COND_ENV_726_194 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 7, PP_CASE_ENV_725_228 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 6, PP_AND_ENV_724_122 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 5, PP_LET_ENV_723_146 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 4, PP_BEGIN_ENV_722_74 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 3, PP_DO_ENV_721_167 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 2, PP_COMMENT_ENV_720_214 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 1, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_ENV_717_43, 0, MAX_CALL_HEAD_WIDTH_245_64 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_LIST_ENV_718_228, 4, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_LIST_ENV_718_228, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_LIST_ENV_718_228, 2, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_LIST_ENV_718_228, 1, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_LIST_ENV_718_228, 0, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_DEFUN_ENV_719_49, 4, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_DEFUN_ENV_719_49, 3, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_DEFUN_ENV_719_49, 2, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_DEFUN_ENV_719_49, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_EXPR_DEFUN_ENV_719_49, 0, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFINE_ENV_729_8, 0, PP_EXPR_LIST_ENV_718_228 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_DEFUN_ENV_728_250, 0, PP_EXPR_DEFUN_ENV_719_49 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_LAMBDA_ENV_730_226, 0, PP_EXPR_LIST_ENV_718_228 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 5, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 4, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 2, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 1, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_COMMENT_ENV_720_214, 0, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 5, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 4, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 3, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 2, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 1, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_IF_ENV_727_162, 0, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 5, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 3, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_COND_ENV_726_194, 0, PP_EXPR_LIST_ENV_718_228 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_CASE_ENV_725_228, 0, PP_EXPR_LIST_ENV_718_228 );
PROCEDURE_LIGHT_ENV_SET( PP_AND_ENV_724_122, 4, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_AND_ENV_724_122, 3, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_AND_ENV_724_122, 2, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_AND_ENV_724_122, 1, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_AND_ENV_724_122, 0, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_LET_ENV_723_146, 0, PP_EXPR_LIST_ENV_718_228 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 5, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 4, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 3, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 2, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 1, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_BEGIN_ENV_722_74, 0, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 6, INDENT_GENERAL_246_38 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 5, MAX_EXPR_WIDTH_244_81 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 4, WIDTH_232_171 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 3, PP_EXPR_ENV_717_43 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 2, OUTPUT_233_54 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 1, DISPLAY__231_255 );
PROCEDURE_LIGHT_ENV_SET( PP_DO_ENV_721_167, 0, PP_EXPR_LIST_ENV_718_228 );
{
CELL_SET( MAX_EXPR_WIDTH_244_81, BINT( 50 ) );
CELL_SET( MAX_CALL_HEAD_WIDTH_245_64, BINT( 5 ) );
CELL_SET( INDENT_GENERAL_246_38, BINT( 2 ) );
{obj_t A_FUNCTION_711_230;
A_FUNCTION_711_230=PP_EXPR_ENV_717_43;AUX_911_60=PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, OBJ_241_14, COL_242_32, BINT( 0 ), A_FUNCTION_711_230 );}
}
}}}}
}{obj_t C_CAR_613_236;
C_CAR_613_236=CAR( CHAR_612_248 );AUX_910_66=make_string( BINT( 1 ), C_CAR_613_236 );}return OUT_236_182( OUTPUT_233_54, AUX_910_66, AUX_911_60 );}}else
return WR_235_78( DISPLAY__231_255, OUTPUT_233_54, OBJ_230_67, BINT( 0 ) );}
}

static obj_t
#if defined( __STDC__ )
INDENT_267_175(obj_t OUTPUT_233_54,obj_t TO_427_249,obj_t COL_428_175)
#else
INDENT_267_175( OUTPUT_233_54, TO_427_249, COL_428_175 )
obj_t OUTPUT_233_54, TO_427_249, COL_428_175;
#endif
{

if( BBOOL_TO_CBOOL( COL_428_175 ))
{obj_t AUX_909_36;
AUX_909_36=_2____R4_NUMBERS_6_5_49( TO_427_249, COL_428_175 );if( BBOOL_TO_CBOOL( AUX_909_36 ))
{bool_t __andtest_1007_767_115;
{obj_t AUX_906_197;
{obj_t CHAR_586_165;
CHAR_586_165=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_907_87;
{obj_t C_CAR_587_194;
C_CAR_587_194=CAR( CHAR_586_165 );AUX_907_87=make_string( BINT( 1 ), C_CAR_587_194 );}AUX_906_197=OUT_236_182( OUTPUT_233_54, AUX_907_87, COL_428_175 );}}__andtest_1007_767_115=BBOOL_TO_CBOOL( AUX_906_197 );}if( __andtest_1007_767_115)
return SPACES_268_175( OUTPUT_233_54, TO_427_249, BINT( 0 ) );else
return BFALSE;}else
{obj_t AUX_908_65;
AUX_908_65=_2____R4_NUMBERS_6_5_30( TO_427_249, COL_428_175 );return SPACES_268_175( OUTPUT_233_54, AUX_908_65, COL_428_175 );}}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
SPACES_268_175(obj_t OUTPUT_233_54,obj_t N_432_107,obj_t COL_433_152)
#else
SPACES_268_175( OUTPUT_233_54, N_432_107, COL_433_152 )
obj_t OUTPUT_233_54, N_432_107, COL_433_152;
#endif
{
_SPACES_268_175:

{obj_t AUX_905_177;
AUX_905_177=_2____R4_NUMBERS_6_5_143( N_432_107, BINT( 0 ) );if( BBOOL_TO_CBOOL( AUX_905_177 ))
{obj_t AUX_904_107;
AUX_904_107=_2____R4_NUMBERS_6_5_143( N_432_107, BINT( 7 ) );if( BBOOL_TO_CBOOL( AUX_904_107 ))
{obj_t STRING_CAST_659_4;
STRING_CAST_659_4=BREF( &__________6___PP_67);{obj_t AUX_903_234, AUX_902_169;
AUX_903_234=OUT_236_182( OUTPUT_233_54, STRING_CAST_659_4, COL_433_152 );AUX_902_169=_2____R4_NUMBERS_6_5_30( N_432_107, BINT( 8 ) );{
COL_433_152=AUX_903_234;
N_432_107=AUX_902_169;
goto _SPACES_268_175;
}}}else
{obj_t C_SUBSTRING_585_243;
{obj_t STRING_CAST_660_51;
STRING_CAST_660_51=BREF( &__________6___PP_67);C_SUBSTRING_585_243=c_substring( STRING_CAST_660_51, BINT( 0 ), N_432_107 );}return OUT_236_182( OUTPUT_233_54, C_SUBSTRING_585_243, COL_433_152 );}}else
return COL_433_152;}
}

static obj_t
#if defined( __STDC__ )
OUT_236_182(obj_t OUTPUT_233_54,obj_t STR_466_140,obj_t COL_467_199)
#else
OUT_236_182( OUTPUT_233_54, STR_466_140, COL_467_199 )
obj_t OUTPUT_233_54, STR_466_140, COL_467_199;
#endif
{

if( BBOOL_TO_CBOOL( COL_467_199 ))
{bool_t __andtest_1002_768_57;
{obj_t AUX_900_68;
AUX_900_68=PROCEDURE_LIGHT_ENTRY( OUTPUT_233_54 )( OUTPUT_233_54, STR_466_140 );__andtest_1002_768_57=BBOOL_TO_CBOOL( AUX_900_68 );}if( __andtest_1002_768_57)
{obj_t AUX_901_56;
AUX_901_56=STRING_LENGTH( STR_466_140 );return _2____R4_NUMBERS_6_5_47( COL_467_199, AUX_901_56 );}else
return BFALSE;}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
PR_266_132(obj_t MAX_EXPR_WIDTH_244_81,obj_t WIDTH_232_171,obj_t PP_EXPR_ENV_717_43,obj_t DISPLAY__231_255,obj_t OUTPUT_233_54,obj_t OBJ_417_224,obj_t COL_418_176,obj_t EXTRA_419_163,obj_t PP_PAIR_420_208)
#else
PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, OBJ_417_224, COL_418_176, EXTRA_419_163, PP_PAIR_420_208 )
obj_t MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t DISPLAY__231_255, OUTPUT_233_54, OBJ_417_224, COL_418_176, EXTRA_419_163, PP_PAIR_420_208;
#endif
{

{if( PAIRP( OBJ_417_224 ))
goto _true_18;else
if( VECTORP( OBJ_417_224 ))
goto _true_18;else
goto _false_19;_true_18:
{obj_t RESULT_423_217, LEFT_422_226;
RESULT_423_217=MAKE_CELL( BNIL );{obj_t AUX_888_91;
{obj_t VA_ARG_661_133;
{obj_t AUX_889_92;
AUX_889_92=CELL_REF( MAX_EXPR_WIDTH_244_81 );VA_ARG_661_133=MAKE_PAIR( AUX_889_92, BNIL );}{obj_t AUX_890_131;
{obj_t AUX_891_152;
{obj_t AUX_892_229;
AUX_892_229=_2____R4_NUMBERS_6_5_30( WIDTH_232_171, COL_418_176 );AUX_891_152=_2____R4_NUMBERS_6_5_30( AUX_892_229, EXTRA_419_163 );}AUX_890_131=_2____R4_NUMBERS_6_5_47( AUX_891_152, BINT( 1 ) );}AUX_888_91=MIN___R4_NUMBERS_6_5_9( AUX_890_131, VA_ARG_661_133 );}}LEFT_422_226=MAKE_CELL( AUX_888_91 );}{
{obj_t LAMBDA_1_26_ENV_759_116;
LAMBDA_1_26_ENV_759_116=make_light_procedure( LAMBDA_1_26_424_212, 2 );{
PROCEDURE_LIGHT_ENV_SET( LAMBDA_1_26_ENV_759_116, 1, LEFT_422_226 );
PROCEDURE_LIGHT_ENV_SET( LAMBDA_1_26_ENV_759_116, 0, RESULT_423_217 );
{obj_t A_FUNCTION_662_185;
A_FUNCTION_662_185=LAMBDA_1_26_ENV_759_116;GENERIC_WRITE___PP_149( OBJ_417_224, DISPLAY__231_255, BFALSE, A_FUNCTION_662_185 );}
}}
{obj_t AUX_898_200;
{obj_t AUX_899_163;
AUX_899_163=CELL_REF( LEFT_422_226 );AUX_898_200=_2____R4_NUMBERS_6_5_143( AUX_899_163, BINT( 0 ) );}if( BBOOL_TO_CBOOL( AUX_898_200 ))
{obj_t AUX_893_123;
{obj_t AUX_894_76;
AUX_894_76=CELL_REF( RESULT_423_217 );AUX_893_123=REVERSE_STRING_APPEND___PP_243( AUX_894_76 );}return OUT_236_182( OUTPUT_233_54, AUX_893_123, COL_418_176 );}else
if( PAIRP( OBJ_417_224 ))
return PROCEDURE_LIGHT_ENTRY( PP_PAIR_420_208 )( PP_PAIR_420_208, OBJ_417_224, COL_418_176, EXTRA_419_163 );else
{obj_t A_FUNCTION_663_194;
A_FUNCTION_663_194=PP_EXPR_ENV_717_43;{obj_t AUX_896_209, AUX_895_203;
{obj_t AUX_897_120;
AUX_897_120=VECTOR_PREFIX___PP_213( OBJ_417_224 );AUX_896_209=OUT_236_182( OUTPUT_233_54, AUX_897_120, COL_418_176 );}AUX_895_203=VECTOR__LIST___R4_VECTORS_6_8_45( OBJ_417_224 );return PP_LIST_263_92( DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, AUX_895_203, AUX_896_209, EXTRA_419_163, A_FUNCTION_663_194 );}}}
}}_false_19:
return WR_235_78( DISPLAY__231_255, OUTPUT_233_54, OBJ_417_224, COL_418_176 );;
}
}

static obj_t
#if defined( __STDC__ )
WR_235_78(obj_t DISPLAY__231_255,obj_t OUTPUT_233_54,obj_t OBJ_435_245,obj_t COL_436_76)
#else
WR_235_78( DISPLAY__231_255, OUTPUT_233_54, OBJ_435_245, COL_436_76 )
obj_t DISPLAY__231_255, OUTPUT_233_54, OBJ_435_245, COL_436_76;
#endif
{

{if( PAIRP( OBJ_435_245 ))
{obj_t CDR_105_442_191;
CDR_105_442_191=CDR( OBJ_435_245 );{obj_t OBJ1_541_23;
OBJ1_541_23=CAR( OBJ_435_245 );if( EQP( OBJ1_541_23, COMMENT_7___PP_144 ))
if( PAIRP( CDR_105_442_191 ))
{obj_t CDR_107_443_80;
CDR_107_443_80=CDR( CDR_105_442_191 );{bool_t OBJ_771_130;
OBJ_771_130=INTEGERP( CAR( CDR_105_442_191 ) );if( OBJ_771_130)
if( PAIRP( CDR_107_443_80 ))
{bool_t OBJ_773_208;
OBJ_773_208=STRINGP( CAR( CDR_107_443_80 ) );if( OBJ_773_208)
{obj_t OBJ2_547_24;
OBJ2_547_24=BNIL;{obj_t OBJ1_546_146;
OBJ1_546_146=CDR( CDR_107_443_80 );if( EQP( OBJ1_546_146, OBJ2_547_24 ))
{obj_t AUX_860_233;
AUX_860_233=TAG_101_439_111();if( BBOOL_TO_CBOOL( AUX_860_233 ))
goto _true_12;else
goto _false_13;}else
{obj_t AUX_861_27;
AUX_861_27=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_861_27 ))
goto _true_12;else
goto _false_13;}}}else
{obj_t AUX_862_51;
AUX_862_51=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_862_51 ))
goto _true_12;else
goto _false_13;}}else
{obj_t AUX_863_140;
AUX_863_140=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_863_140 ))
goto _true_12;else
goto _false_13;}else
{obj_t AUX_864_170;
AUX_864_170=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_864_170 ))
goto _true_12;else
goto _false_13;}}}else
{obj_t AUX_865_138;
AUX_865_138=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_865_138 ))
goto _true_12;else
goto _false_13;}else
{obj_t AUX_866_118;
AUX_866_118=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_866_118 ))
goto _true_12;else
goto _false_13;}}}else
{obj_t AUX_867_125;
AUX_867_125=TAG_102_440_73();if( BBOOL_TO_CBOOL( AUX_867_125 ))
goto _true_12;else
goto _false_13;}_true_12:
{obj_t ADD_444_72;
{obj_t STRING_548_76;
{obj_t PAIR_550_246;
{obj_t PAIR_551_114;
PAIR_551_114=CDR( OBJ_435_245 );PAIR_550_246=CDR( PAIR_551_114 );}STRING_548_76=CAR( PAIR_550_246 );}{obj_t AUX_883_98;
{obj_t AUX_884_225;
AUX_884_225=STRING_LENGTH( STRING_548_76 );AUX_883_98=_2____R4_NUMBERS_6_5_47( AUX_884_225, BINT( 3 ) );}ADD_444_72=_2____R4_NUMBERS_6_5_30( __PP_WIDTH____PP_209, AUX_883_98 );}}{obj_t AUX_887_151;
AUX_887_151=_2_____R4_NUMBERS_6_5_203( ADD_444_72, BINT( 0 ) );if( BBOOL_TO_CBOOL( AUX_887_151 ))
{obj_t PAIR_552_62;
{obj_t PAIR_554_96;
PAIR_554_96=CDR( OBJ_435_245 );PAIR_552_62=CDR( PAIR_554_96 );}{obj_t C_CAR_553_67;
C_CAR_553_67=CAR( PAIR_552_62 );return OUT_236_182( OUTPUT_233_54, C_CAR_553_67, COL_436_76 );}}else
{obj_t PAIR_555_227;
{obj_t PAIR_557_142;
PAIR_557_142=CDR( OBJ_435_245 );PAIR_555_227=CDR( PAIR_557_142 );}{obj_t C_CAR_556_115;
C_CAR_556_115=CAR( PAIR_555_227 );{obj_t CHAR_560_9;
CHAR_560_9=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t AUX_885_207;
{obj_t AUX_886_251;
{obj_t C_CAR_561_68;
C_CAR_561_68=CAR( CHAR_560_9 );AUX_886_251=make_string( ADD_444_72, C_CAR_561_68 );}AUX_885_207=string_append( C_CAR_556_115, AUX_886_251 );}return OUT_236_182( OUTPUT_233_54, AUX_885_207, COL_436_76 );}}}}}}_false_13:
if( PAIRP( OBJ_435_245 ))
return WR_EXPR_438_0( OUTPUT_233_54, DISPLAY__231_255, OBJ_435_245, COL_436_76 );else
if( NULLP( OBJ_435_245 ))
return WR_LST_437_144( DISPLAY__231_255, OUTPUT_233_54, OBJ_435_245, COL_436_76 );else
if( VECTORP( OBJ_435_245 ))
{obj_t AUX_869_97, AUX_868_174;
{obj_t AUX_870_70;
AUX_870_70=VECTOR_PREFIX___PP_213( OBJ_435_245 );AUX_869_97=OUT_236_182( OUTPUT_233_54, AUX_870_70, COL_436_76 );}AUX_868_174=VECTOR__LIST___R4_VECTORS_6_8_45( OBJ_435_245 );return WR_LST_437_144( DISPLAY__231_255, OUTPUT_233_54, AUX_868_174, AUX_869_97 );}else
if( BOOLEANP( OBJ_435_245 ))
{obj_t AUX_871_103;
if( BBOOL_TO_CBOOL( OBJ_435_245 ))
AUX_871_103=BREF( &__T_8___PP_177);else
AUX_871_103=BREF( &__F_9___PP_81);return OUT_236_182( OUTPUT_233_54, AUX_871_103, COL_436_76 );}else
{if( INTEGERP( OBJ_435_245 ))
goto _true_15;else
if( REALP( OBJ_435_245 ))
goto _true_15;else
goto _false_16;_true_15:
{obj_t AUX_882_21;
AUX_882_21=NUMBER__STRING___R4_NUMBERS_6_5_157( OBJ_435_245, BNIL );return OUT_236_182( OUTPUT_233_54, AUX_882_21, COL_436_76 );}_false_16:
if( SYMBOLP( OBJ_435_245 ))
{obj_t CASE_VALUE_445_160;
CASE_VALUE_445_160=__PP_CASE____PP_52;if( EQP( CASE_VALUE_445_160, RESPECT_0___PP_64 ))
{obj_t AUX_872_181;
AUX_872_181=SYMBOL_TO_STRING( OBJ_435_245 );return OUT_236_182( OUTPUT_233_54, AUX_872_181, COL_436_76 );}else
if( EQP( CASE_VALUE_445_160, UPPER_10___PP_42 ))
{obj_t AUX_873_12;
{obj_t AUX_874_78;
AUX_874_78=SYMBOL_TO_STRING( OBJ_435_245 );AUX_873_12=STRING_UPCASE___R4_STRINGS_6_7_251( AUX_874_78 );}return OUT_236_182( OUTPUT_233_54, AUX_873_12, COL_436_76 );}else
{obj_t AUX_875_75;
{obj_t AUX_876_58;
AUX_876_58=SYMBOL_TO_STRING( OBJ_435_245 );AUX_875_75=STRING_DOWNCASE___R4_STRINGS_6_7_199( AUX_876_58 );}return OUT_236_182( OUTPUT_233_54, AUX_875_75, COL_436_76 );}}else
if( PROCEDUREP( OBJ_435_245 ))
{obj_t STRING_CAST_647_177;
STRING_CAST_647_177=BREF( &___PROCED_11___PP_139);return OUT_236_182( OUTPUT_233_54, STRING_CAST_647_177, COL_436_76 );}else
if( STRINGP( OBJ_435_245 ))
{obj_t OBJ_446_106;
OBJ_446_106=string_for_read( OBJ_435_245 );if( BBOOL_TO_CBOOL( DISPLAY__231_255 ))
return OUT_236_182( OUTPUT_233_54, OBJ_446_106, COL_436_76 );else
{obj_t STRING_CAST_649_188;
STRING_CAST_649_188=BREF( &____12___PP_161);{obj_t AUX_877_22;
AUX_877_22=OUT_236_182( OUTPUT_233_54, STRING_CAST_649_188, COL_436_76 );return LOOP_447_197( OBJ_446_106, OUTPUT_233_54, BINT( 0 ), BINT( 0 ), AUX_877_22 );}}}else
if( CHARP( OBJ_435_245 ))
if( BBOOL_TO_CBOOL( DISPLAY__231_255 ))
{obj_t CHAR_578_82;
CHAR_578_82=MAKE_PAIR( OBJ_435_245, BNIL );{obj_t AUX_878_157;
{obj_t C_CAR_579_169;
C_CAR_579_169=CAR( CHAR_578_82 );AUX_878_157=make_string( BINT( 1 ), C_CAR_579_169 );}return OUT_236_182( OUTPUT_233_54, AUX_878_157, COL_436_76 );}}else
{obj_t STRING_CAST_654_80;
STRING_CAST_654_80=BREF( &____13___PP_167);{obj_t AUX_880_113, AUX_879_238;
AUX_880_113=OUT_236_182( OUTPUT_233_54, STRING_CAST_654_80, COL_436_76 );switch( (char)CCHAR( OBJ_435_245 )){case ' ' : 
AUX_879_238=BREF( &SPACE_14___PP_247);break;case '\n' : 
AUX_879_238=BREF( &NEWLINE_15___PP_111);break;case '\r' : 
AUX_879_238=BREF( &RETURN_16___PP_164);break;case '\t' : 
AUX_879_238=BREF( &TAB_17___PP_104);break;default: 
{obj_t CHAR_580_202;
CHAR_580_202=MAKE_PAIR( OBJ_435_245, BNIL );{obj_t C_CAR_581_55;
C_CAR_581_55=CAR( CHAR_580_202 );AUX_879_238=make_string( BINT( 1 ), C_CAR_581_55 );}}}return OUT_236_182( OUTPUT_233_54, AUX_879_238, AUX_880_113 );}}else
if( INPUT_PORTP( OBJ_435_245 ))
{obj_t STRING_CAST_655_166;
STRING_CAST_655_166=BREF( &___INPUT__18___PP_49);return OUT_236_182( OUTPUT_233_54, STRING_CAST_655_166, COL_436_76 );}else
if( OUTPUT_PORTP( OBJ_435_245 ))
{obj_t STRING_CAST_656_34;
STRING_CAST_656_34=BREF( &___OUTPUT_19___PP_153);return OUT_236_182( OUTPUT_233_54, STRING_CAST_656_34, COL_436_76 );}else
if( EOF_OBJECTP( OBJ_435_245 ))
{obj_t STRING_CAST_657_50;
STRING_CAST_657_50=BREF( &___EOF_OB_20___PP_83);return OUT_236_182( OUTPUT_233_54, STRING_CAST_657_50, COL_436_76 );}else
{obj_t P_454_240;
P_454_240=open_output_string();{obj_t AUX_881_112;
{
{obj_t VA_ARG_658_164;
VA_ARG_658_164=MAKE_PAIR( P_454_240, BNIL );WRITE___R4_OUTPUT_6_10_3_23( OBJ_435_245, VA_ARG_658_164 );}
AUX_881_112=close_output_port( P_454_240 );
}return OUT_236_182( OUTPUT_233_54, AUX_881_112, COL_436_76 );}};
};
}
}

static obj_t
#if defined( __STDC__ )
LOOP_447_197(obj_t OBJ_446_106,obj_t OUTPUT_233_54,obj_t I_448_169,obj_t J_449_93,obj_t COL_450_46)
#else
LOOP_447_197( OBJ_446_106, OUTPUT_233_54, I_448_169, J_449_93, COL_450_46 )
obj_t OBJ_446_106;
obj_t OUTPUT_233_54, I_448_169, J_449_93, COL_450_46;
#endif
{
_LOOP_447_197:

{if( BBOOL_TO_CBOOL( COL_450_46 ))
{obj_t AUX_856_144;
{obj_t AUX_857_172;
AUX_857_172=STRING_LENGTH( OBJ_446_106 );AUX_856_144=_2____R4_NUMBERS_6_5_49( J_449_93, AUX_857_172 );}if( BBOOL_TO_CBOOL( AUX_856_144 ))
goto _true_9;else
goto _false_10;}else
goto _false_10;_true_9:
{obj_t C_452_44;
C_452_44=BCHAR( STRING_REF( OBJ_446_106, CINT( J_449_93 ) ) );{obj_t AUX_859_12;
AUX_859_12=_2____R4_NUMBERS_6_5_47( J_449_93, BINT( 1 ) );{{
J_449_93=AUX_859_12;
goto _LOOP_447_197;
}
goto _endif_11;}}}_false_10:
{obj_t STRING_CAST_648_40;
STRING_CAST_648_40=BREF( &___21___PP_47);{obj_t AUX_858_181;
AUX_858_181=OUT_236_182( OUTPUT_233_54, c_substring( OBJ_446_106, I_448_169, J_449_93 ), COL_450_46 );return OUT_236_182( OUTPUT_233_54, STRING_CAST_648_40, AUX_858_181 );}}_endif_11:
;
}
}

static obj_t
#if defined( __STDC__ )
WR_LST_437_144(obj_t DISPLAY__231_255,obj_t OUTPUT_233_54,obj_t L_456_102,obj_t COL_457_168)
#else
WR_LST_437_144( DISPLAY__231_255, OUTPUT_233_54, L_456_102, COL_457_168 )
obj_t DISPLAY__231_255, OUTPUT_233_54, L_456_102, COL_457_168;
#endif
{

if( PAIRP( L_456_102 ))
{obj_t C_CDR_539_182;
C_CDR_539_182=CDR( L_456_102 );{obj_t C_CAR_540_17;
C_CAR_540_17=CAR( L_456_102 );{obj_t STRING_CAST_643_56;
STRING_CAST_643_56=BREF( &___22___PP_164);{obj_t AUX_854_147;
{obj_t AUX_855_124;
AUX_855_124=OUT_236_182( OUTPUT_233_54, STRING_CAST_643_56, COL_457_168 );AUX_854_147=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, C_CAR_540_17, AUX_855_124 );}return LOOP_458_234( OUTPUT_233_54, DISPLAY__231_255, C_CDR_539_182, AUX_854_147 );}}}}else
{obj_t STRING_CAST_644_197;
STRING_CAST_644_197=BREF( &____23___PP_19);return OUT_236_182( OUTPUT_233_54, STRING_CAST_644_197, COL_457_168 );}
}

static obj_t
#if defined( __STDC__ )
LOOP_458_234(obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t L_459_93,obj_t COL_460_214)
#else
LOOP_458_234( OUTPUT_233_54, DISPLAY__231_255, L_459_93, COL_460_214 )
obj_t OUTPUT_233_54, DISPLAY__231_255, L_459_93, COL_460_214;
#endif
{
_LOOP_458_234:

if( BBOOL_TO_CBOOL( COL_460_214 ))
if( PAIRP( L_459_93 ))
{obj_t C_CDR_537_202;
C_CDR_537_202=CDR( L_459_93 );{obj_t C_CAR_538_43;
C_CAR_538_43=CAR( L_459_93 );{obj_t STRING_CAST_639_168;
STRING_CAST_639_168=BREF( &___24___PP_218);{obj_t AUX_850_167;
{obj_t AUX_851_183;
AUX_851_183=OUT_236_182( OUTPUT_233_54, STRING_CAST_639_168, COL_460_214 );AUX_850_167=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, C_CAR_538_43, AUX_851_183 );}{
COL_460_214=AUX_850_167;
L_459_93=C_CDR_537_202;
goto _LOOP_458_234;
}}}}}else
if( NULLP( L_459_93 ))
{obj_t STRING_CAST_640_169;
STRING_CAST_640_169=BREF( &___25___PP_18);return OUT_236_182( OUTPUT_233_54, STRING_CAST_640_169, COL_460_214 );}else
{obj_t STRING_CAST_641_234;
STRING_CAST_641_234=BREF( &___25___PP_18);{obj_t STRING_CAST_642_68;
STRING_CAST_642_68=BREF( &_____26___PP_139);{obj_t AUX_852_157;
{obj_t AUX_853_238;
AUX_853_238=OUT_236_182( OUTPUT_233_54, STRING_CAST_642_68, COL_460_214 );AUX_852_157=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, L_459_93, AUX_853_238 );}return OUT_236_182( OUTPUT_233_54, STRING_CAST_641_234, AUX_852_157 );}}}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
WR_EXPR_438_0(obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t EXPR_463_129,obj_t COL_464_32)
#else
WR_EXPR_438_0( OUTPUT_233_54, DISPLAY__231_255, EXPR_463_129, COL_464_32 )
obj_t OUTPUT_233_54, DISPLAY__231_255, EXPR_463_129, COL_464_32;
#endif
{

{obj_t AUX_849_102;
AUX_849_102=READ_MACRO__239_28( EXPR_463_129 );if( BBOOL_TO_CBOOL( AUX_849_102 ))
{obj_t AUX_847_159, AUX_846_93;
{obj_t AUX_848_218;
AUX_848_218=READ_MACRO_PREFIX_237_33( EXPR_463_129 );AUX_847_159=OUT_236_182( OUTPUT_233_54, AUX_848_218, COL_464_32 );}AUX_846_93=READ_MACRO_BODY_238_35( EXPR_463_129 );return WR_235_78( DISPLAY__231_255, OUTPUT_233_54, AUX_846_93, AUX_847_159 );}else
return WR_LST_437_144( DISPLAY__231_255, OUTPUT_233_54, EXPR_463_129, COL_464_32 );}
}

static obj_t
#if defined( __STDC__ )
READ_MACRO_PREFIX_237_33(obj_t L_471_193)
#else
READ_MACRO_PREFIX_237_33( L_471_193 )
obj_t L_471_193;
#endif
{

{obj_t HEAD_473_10, TAIL_472_253;
HEAD_473_10=CAR( L_471_193 );TAIL_472_253=CDR( L_471_193 );if( EQP( HEAD_473_10, QUOTE_27___PP_67 ))
return BREF( &___28___PP_30);else
if( EQP( HEAD_473_10, QUASIQUO_29___PP_227 ))
return BREF( &___30___PP_18);else
if( EQP( HEAD_473_10, UNQUOTE_31___PP_86 ))
return BREF( &___32___PP_230);else
if( EQP( HEAD_473_10, UNQUOTE__33___PP_109 ))
return BREF( &____34___PP_244);else
return BFALSE;}
}

static obj_t
#if defined( __STDC__ )
READ_MACRO_BODY_238_35(obj_t L_476_11)
#else
READ_MACRO_BODY_238_35( L_476_11 )
obj_t L_476_11;
#endif
{

return CAR( CDR( L_476_11 ) );
}

static obj_t
#if defined( __STDC__ )
READ_MACRO__239_28(obj_t L_478_59)
#else
READ_MACRO__239_28( L_478_59 )
obj_t L_478_59;
#endif
{

{obj_t HEAD_481_227, TAIL_480_208;
HEAD_481_227=CAR( L_478_59 );TAIL_480_208=CDR( L_478_59 );{obj_t AUX_845_42;
AUX_845_42=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( HEAD_481_227, LIST_35___PP_107 );if( BBOOL_TO_CBOOL( AUX_845_42 ))
return LENGTH1__479_54( TAIL_480_208 );else
return BFALSE;}}
}

static obj_t
#if defined( __STDC__ )
LENGTH1__479_54(obj_t L_484_40)
#else
LENGTH1__479_54( L_484_40 )
obj_t L_484_40;
#endif
{

if( PAIRP( L_484_40 ))
return CBOOL_TO_BBOOL( NULLP( CDR( L_484_40 ) ) );else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
TAG_102_440_73()
#else
TAG_102_440_73()
#endif
{

return BFALSE;
}

static obj_t
#if defined( __STDC__ )
TAG_101_439_111()
#else
TAG_101_439_111()
#endif
{

return BTRUE;
}

static obj_t
#if defined( __STDC__ )
PP_LIST_263_92(obj_t DISPLAY__231_255,obj_t PP_EXPR_ENV_717_43,obj_t WIDTH_232_171,obj_t MAX_EXPR_WIDTH_244_81,obj_t OUTPUT_233_54,obj_t L_398_178,obj_t COL_399_16,obj_t EXTRA_400_113,obj_t PP_ITEM_401_196)
#else
PP_LIST_263_92( DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, L_398_178, COL_399_16, EXTRA_400_113, PP_ITEM_401_196 )
obj_t DISPLAY__231_255;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, L_398_178, COL_399_16, EXTRA_400_113, PP_ITEM_401_196;
#endif
{

{obj_t COL_402_149;
{obj_t STRING_CAST_669_132;
STRING_CAST_669_132=BREF( &___22___PP_164);COL_402_149=OUT_236_182( OUTPUT_233_54, STRING_CAST_669_132, COL_399_16 );}return PP_DOWN_261_135( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, L_398_178, COL_402_149, COL_402_149, EXTRA_400_113, PP_ITEM_401_196 );}
}

static obj_t
#if defined( __STDC__ )
PP_DOWN_261_135(obj_t MAX_EXPR_WIDTH_244_81,obj_t WIDTH_232_171,obj_t PP_EXPR_ENV_717_43,obj_t DISPLAY__231_255,obj_t OUTPUT_233_54,obj_t L_378_145,obj_t COL1_379_128,obj_t COL2_380_75,obj_t EXTRA_381_178,obj_t PP_ITEM_382_66)
#else
PP_DOWN_261_135( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, L_378_145, COL1_379_128, COL2_380_75, EXTRA_381_178, PP_ITEM_382_66 )
obj_t MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t DISPLAY__231_255, OUTPUT_233_54, L_378_145, COL1_379_128, COL2_380_75, EXTRA_381_178, PP_ITEM_382_66;
#endif
{

return LOOP_383_148( COL2_380_75, EXTRA_381_178, PP_ITEM_382_66, OUTPUT_233_54, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, L_378_145, COL1_379_128 );
}

static obj_t
#if defined( __STDC__ )
LOOP_383_148(obj_t COL2_380_75,obj_t EXTRA_381_178,obj_t PP_ITEM_382_66,obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t PP_EXPR_ENV_717_43,obj_t WIDTH_232_171,obj_t MAX_EXPR_WIDTH_244_81,obj_t L_384_105,obj_t COL_385_194)
#else
LOOP_383_148( COL2_380_75, EXTRA_381_178, PP_ITEM_382_66, OUTPUT_233_54, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, L_384_105, COL_385_194 )
obj_t COL2_380_75, EXTRA_381_178, PP_ITEM_382_66, OUTPUT_233_54, DISPLAY__231_255;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, L_384_105, COL_385_194;
#endif
{
_LOOP_383_148:

if( BBOOL_TO_CBOOL( COL_385_194 ))
if( PAIRP( L_384_105 ))
{obj_t REST_387_177;
REST_387_177=CDR( L_384_105 );{obj_t EXTRA_388_206;
if( NULLP( REST_387_177 ))
EXTRA_388_206=_2____R4_NUMBERS_6_5_47( EXTRA_381_178, BINT( 1 ) );else
EXTRA_388_206=BINT( 0 );{obj_t C_CAR_600_154;
C_CAR_600_154=CAR( L_384_105 );{obj_t AUX_838_20;
{obj_t AUX_839_81;
AUX_839_81=INDENT_267_175( OUTPUT_233_54, COL2_380_75, COL_385_194 );AUX_838_20=PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, C_CAR_600_154, AUX_839_81, EXTRA_388_206, PP_ITEM_382_66 );}{
COL_385_194=AUX_838_20;
L_384_105=REST_387_177;
goto _LOOP_383_148;
}}}}}else
if( NULLP( L_384_105 ))
{obj_t STRING_CAST_671_148;
STRING_CAST_671_148=BREF( &___25___PP_18);return OUT_236_182( OUTPUT_233_54, STRING_CAST_671_148, COL_385_194 );}else
{obj_t STRING_CAST_672_211;
STRING_CAST_672_211=BREF( &___25___PP_18);{obj_t STRING_CAST_673_57;
STRING_CAST_673_57=BREF( &___36___PP_189);{obj_t AUX_840_3;
{obj_t AUX_844_155, AUX_841_61;
AUX_844_155=_2____R4_NUMBERS_6_5_47( EXTRA_381_178, BINT( 1 ) );{obj_t AUX_842_9;
{obj_t AUX_843_89;
AUX_843_89=INDENT_267_175( OUTPUT_233_54, COL2_380_75, COL_385_194 );AUX_842_9=OUT_236_182( OUTPUT_233_54, STRING_CAST_673_57, AUX_843_89 );}AUX_841_61=INDENT_267_175( OUTPUT_233_54, COL2_380_75, AUX_842_9 );}AUX_840_3=PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, L_384_105, AUX_841_61, AUX_844_155, PP_ITEM_382_66 );}return OUT_236_182( OUTPUT_233_54, STRING_CAST_672_211, AUX_840_3 );}}}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
PP_GENERAL_260_22(obj_t INDENT_GENERAL_246_38,obj_t MAX_EXPR_WIDTH_244_81,obj_t WIDTH_232_171,obj_t PP_EXPR_ENV_717_43,obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t EXPR_338_28,obj_t COL_339_98,obj_t EXTRA_340_224,obj_t NAMED__341_229,obj_t PP_1_342_47,obj_t PP_2_343_225,obj_t PP_3_344_128)
#else
PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_338_28, COL_339_98, EXTRA_340_224, NAMED__341_229, PP_1_342_47, PP_2_343_225, PP_3_344_128 )
obj_t INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t OUTPUT_233_54, DISPLAY__231_255, EXPR_338_28, COL_339_98, EXTRA_340_224, NAMED__341_229, PP_1_342_47, PP_2_343_225, PP_3_344_128;
#endif
{

{obj_t HEAD_348_196;
HEAD_348_196=CAR( EXPR_338_28 );{obj_t REST_349_38;
REST_349_38=CDR( EXPR_338_28 );{obj_t COL__350_66;
{obj_t STRING_CAST_674_190;
STRING_CAST_674_190=BREF( &___22___PP_164);{obj_t AUX_830_207;
AUX_830_207=OUT_236_182( OUTPUT_233_54, STRING_CAST_674_190, COL_339_98 );COL__350_66=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, HEAD_348_196, AUX_830_207 );}}{if( BBOOL_TO_CBOOL( NAMED__341_229 ))
if( PAIRP( REST_349_38 ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t NAME_352_137;
NAME_352_137=CAR( REST_349_38 );{obj_t REST_353_119;
REST_353_119=CDR( REST_349_38 );{obj_t COL___354_174;
{obj_t STRING_CAST_675_104;
STRING_CAST_675_104=BREF( &___24___PP_218);{obj_t AUX_834_112;
AUX_834_112=OUT_236_182( OUTPUT_233_54, STRING_CAST_675_104, COL__350_66 );COL___354_174=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, NAME_352_137, AUX_834_112 );}}{obj_t AUX_837_21, AUX_835_113;
AUX_837_21=_2____R4_NUMBERS_6_5_47( COL___354_174, BINT( 1 ) );{obj_t AUX_836_98;
AUX_836_98=CELL_REF( INDENT_GENERAL_246_38 );AUX_835_113=_2____R4_NUMBERS_6_5_47( COL_339_98, AUX_836_98 );}return TAIL1_347_248( PP_1_342_47, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, PP_2_343_225, REST_353_119, AUX_835_113, COL___354_174, AUX_837_21 );}}}}_false_7:
{obj_t AUX_833_251, AUX_831_225;
AUX_833_251=_2____R4_NUMBERS_6_5_47( COL__350_66, BINT( 1 ) );{obj_t AUX_832_151;
AUX_832_151=CELL_REF( INDENT_GENERAL_246_38 );AUX_831_225=_2____R4_NUMBERS_6_5_47( COL_339_98, AUX_832_151 );}return TAIL1_347_248( PP_1_342_47, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, PP_2_343_225, REST_349_38, AUX_831_225, COL__350_66, AUX_833_251 );};
}}}}
}

static obj_t
#if defined( __STDC__ )
TAIL1_347_248(obj_t PP_1_342_47,obj_t DISPLAY__231_255,obj_t PP_EXPR_ENV_717_43,obj_t WIDTH_232_171,obj_t MAX_EXPR_WIDTH_244_81,obj_t EXTRA_340_224,obj_t PP_3_344_128,obj_t OUTPUT_233_54,obj_t PP_2_343_225,obj_t REST_369_196,obj_t COL1_370_254,obj_t COL2_371_161,obj_t COL3_372_216)
#else
TAIL1_347_248( PP_1_342_47, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, PP_2_343_225, REST_369_196, COL1_370_254, COL2_371_161, COL3_372_216 )
obj_t PP_1_342_47, DISPLAY__231_255;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, PP_2_343_225, REST_369_196, COL1_370_254, COL2_371_161, COL3_372_216;
#endif
{

{if( BBOOL_TO_CBOOL( PP_1_342_47 ))
if( PAIRP( REST_369_196 ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t VAL1_374_127;
VAL1_374_127=CAR( REST_369_196 );{obj_t REST_375_58;
REST_375_58=CDR( REST_369_196 );{obj_t EXTRA_376_176;
if( NULLP( REST_375_58 ))
EXTRA_376_176=_2____R4_NUMBERS_6_5_47( EXTRA_340_224, BINT( 1 ) );else
EXTRA_376_176=BINT( 0 );{obj_t AUX_828_177;
{obj_t AUX_829_107;
AUX_829_107=INDENT_267_175( OUTPUT_233_54, COL3_372_216, COL2_371_161 );AUX_828_177=PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, VAL1_374_127, AUX_829_107, EXTRA_376_176, PP_1_342_47 );}return TAIL2_346_147( PP_2_343_225, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, PP_3_344_128, EXTRA_340_224, REST_375_58, COL1_370_254, AUX_828_177, COL3_372_216 );}}}}_false_4:
return TAIL2_346_147( PP_2_343_225, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, PP_3_344_128, EXTRA_340_224, REST_369_196, COL1_370_254, COL2_371_161, COL3_372_216 );;
}
}

static obj_t
#if defined( __STDC__ )
TAIL2_346_147(obj_t PP_2_343_225,obj_t MAX_EXPR_WIDTH_244_81,obj_t WIDTH_232_171,obj_t PP_EXPR_ENV_717_43,obj_t DISPLAY__231_255,obj_t OUTPUT_233_54,obj_t PP_3_344_128,obj_t EXTRA_340_224,obj_t REST_360_32,obj_t COL1_361_49,obj_t COL2_362_86,obj_t COL3_363_227)
#else
TAIL2_346_147( PP_2_343_225, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, PP_3_344_128, EXTRA_340_224, REST_360_32, COL1_361_49, COL2_362_86, COL3_363_227 )
obj_t PP_2_343_225, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t DISPLAY__231_255, OUTPUT_233_54, PP_3_344_128, EXTRA_340_224, REST_360_32, COL1_361_49, COL2_362_86, COL3_363_227;
#endif
{

{if( BBOOL_TO_CBOOL( PP_2_343_225 ))
if( PAIRP( REST_360_32 ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t VAL1_365_59;
VAL1_365_59=CAR( REST_360_32 );{obj_t REST_366_226;
REST_366_226=CDR( REST_360_32 );{obj_t EXTRA_367_79;
if( NULLP( REST_366_226 ))
EXTRA_367_79=_2____R4_NUMBERS_6_5_47( EXTRA_340_224, BINT( 1 ) );else
EXTRA_367_79=BINT( 0 );{obj_t AUX_826_188;
{obj_t AUX_827_40;
AUX_827_40=INDENT_267_175( OUTPUT_233_54, COL3_363_227, COL2_362_86 );AUX_826_188=PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, VAL1_365_59, AUX_827_40, EXTRA_367_79, PP_2_343_225 );}return TAIL3_345_133( EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, REST_366_226, COL1_361_49, AUX_826_188 );}}}}_false_1:
return TAIL3_345_133( EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, REST_360_32, COL1_361_49, COL2_362_86 );;
}
}

static obj_t
#if defined( __STDC__ )
TAIL3_345_133(obj_t EXTRA_340_224,obj_t PP_3_344_128,obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t PP_EXPR_ENV_717_43,obj_t WIDTH_232_171,obj_t MAX_EXPR_WIDTH_244_81,obj_t REST_356_110,obj_t COL1_357_42,obj_t COL2_358_95)
#else
TAIL3_345_133( EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, REST_356_110, COL1_357_42, COL2_358_95 )
obj_t EXTRA_340_224, PP_3_344_128, OUTPUT_233_54, DISPLAY__231_255;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, REST_356_110, COL1_357_42, COL2_358_95;
#endif
{

return PP_DOWN_261_135( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, REST_356_110, COL2_358_95, COL1_357_42, EXTRA_340_224, PP_3_344_128 );
}

static obj_t
#if defined( __STDC__ )
PP_CALL_264_152(obj_t PP_EXPR_ENV_717_43,obj_t WIDTH_232_171,obj_t MAX_EXPR_WIDTH_244_81,obj_t OUTPUT_233_54,obj_t DISPLAY__231_255,obj_t EXPR_404_66,obj_t COL_405_135,obj_t EXTRA_406_251,obj_t PP_ITEM_407_94)
#else
PP_CALL_264_152( PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, DISPLAY__231_255, EXPR_404_66, COL_405_135, EXTRA_406_251, PP_ITEM_407_94 )
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, DISPLAY__231_255, EXPR_404_66, COL_405_135, EXTRA_406_251, PP_ITEM_407_94;
#endif
{

{obj_t COL__408_1;
{obj_t C_CAR_592_6;
C_CAR_592_6=CAR( EXPR_404_66 );{obj_t STRING_CAST_668_119;
STRING_CAST_668_119=BREF( &___22___PP_164);{obj_t AUX_824_36;
AUX_824_36=OUT_236_182( OUTPUT_233_54, STRING_CAST_668_119, COL_405_135 );COL__408_1=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, C_CAR_592_6, AUX_824_36 );}}}if( BBOOL_TO_CBOOL( COL_405_135 ))
{obj_t C_CDR_593_13;
C_CDR_593_13=CDR( EXPR_404_66 );{obj_t AUX_825_65;
AUX_825_65=_2____R4_NUMBERS_6_5_47( COL__408_1, BINT( 1 ) );return PP_DOWN_261_135( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, C_CDR_593_13, COL__408_1, AUX_825_65, EXTRA_406_251, PP_ITEM_407_94 );}}else
return BFALSE;}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_26_424_212(obj_t LAMBDA_1_26_ENV_760_161,obj_t STR_425_208)
#else
LAMBDA_1_26_424_212( LAMBDA_1_26_ENV_760_161, STR_425_208 )
obj_t LAMBDA_1_26_ENV_760_161, STR_425_208;
#endif
{

{obj_t RESULT_423_217, LEFT_422_226;
RESULT_423_217=PROCEDURE_LIGHT_ENV_REF( LAMBDA_1_26_ENV_760_161, 0 );LEFT_422_226=PROCEDURE_LIGHT_ENV_REF( LAMBDA_1_26_ENV_760_161, 1 );{
{obj_t OBJ2_590_139;
OBJ2_590_139=CELL_REF( RESULT_423_217 );{obj_t AUX_819_82;
AUX_819_82=MAKE_PAIR( STR_425_208, OBJ2_590_139 );CELL_SET( RESULT_423_217, AUX_819_82 );}}
{obj_t AUX_820_173;
{obj_t AUX_822_30;
obj_t AUX_821_73;
AUX_822_30=STRING_LENGTH( STR_425_208 );AUX_821_73=CELL_REF( LEFT_422_226 );AUX_820_173=_2____R4_NUMBERS_6_5_30( AUX_821_73, AUX_822_30 );}CELL_SET( LEFT_422_226, AUX_820_173 );}
{obj_t AUX_823_7;
AUX_823_7=CELL_REF( LEFT_422_226 );return _2____R4_NUMBERS_6_5_143( AUX_823_7, BINT( 0 ) );}
}}
}

static obj_t
#if defined( __STDC__ )
PP_EXPR_265_191(obj_t PP_EXPR_ENV_757_244,obj_t EXPR_411_161,obj_t COL_412_79,obj_t EXTRA_413_123)
#else
PP_EXPR_265_191( PP_EXPR_ENV_757_244, EXPR_411_161, COL_412_79, EXTRA_413_123 )
obj_t PP_EXPR_ENV_757_244, EXPR_411_161, COL_412_79, EXTRA_413_123;
#endif
{

{obj_t MAX_CALL_HEAD_WIDTH_245_64, INDENT_GENERAL_246_38;
obj_t PP_COMMENT_ENV_720_214, PP_DO_ENV_721_167, PP_BEGIN_ENV_722_74, PP_LET_ENV_723_146, PP_AND_ENV_724_122, PP_CASE_ENV_725_228, PP_COND_ENV_726_194, PP_IF_ENV_727_162, PP_DEFUN_ENV_728_250, PP_DEFINE_ENV_729_8, PP_LAMBDA_ENV_730_226;
obj_t OUTPUT_233_54, DISPLAY__231_255, WIDTH_232_171, MAX_EXPR_WIDTH_244_81;
MAX_CALL_HEAD_WIDTH_245_64=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 0 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 1 );PP_COMMENT_ENV_720_214=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 2 );PP_DO_ENV_721_167=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 3 );PP_BEGIN_ENV_722_74=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 4 );PP_LET_ENV_723_146=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 5 );PP_AND_ENV_724_122=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 6 );PP_CASE_ENV_725_228=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 7 );PP_COND_ENV_726_194=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 8 );PP_IF_ENV_727_162=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 9 );PP_DEFUN_ENV_728_250=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 10 );PP_DEFINE_ENV_729_8=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 11 );PP_LAMBDA_ENV_730_226=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 12 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 13 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 14 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 15 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_ENV_757_244, 16 );{obj_t HEAD_270_60;
{obj_t AUX_818_106;
AUX_818_106=READ_MACRO__239_28( EXPR_411_161 );if( BBOOL_TO_CBOOL( AUX_818_106 ))
{obj_t A_FUNCTION_664_143;
A_FUNCTION_664_143=PP_EXPR_ENV_757_244;{obj_t AUX_807_251, AUX_806_151;
{obj_t AUX_808_92;
AUX_808_92=READ_MACRO_PREFIX_237_33( EXPR_411_161 );AUX_807_251=OUT_236_182( OUTPUT_233_54, AUX_808_92, COL_412_79 );}AUX_806_151=READ_MACRO_BODY_238_35( EXPR_411_161 );return PR_266_132( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_757_244, DISPLAY__231_255, OUTPUT_233_54, AUX_806_151, AUX_807_251, EXTRA_413_123, A_FUNCTION_664_143 );}}else
{obj_t HEAD_414_89;
HEAD_414_89=CAR( EXPR_411_161 );if( SYMBOLP( HEAD_414_89 ))
{obj_t PROC_415_147;
{
HEAD_270_60=HEAD_414_89;
{
{obj_t CASE_VALUE_271_33;
{obj_t OBJ1_609_178;
OBJ1_609_178=__PP_CASE____PP_52;if( EQP( OBJ1_609_178, RESPECT_0___PP_64 ))
{obj_t STRING_611_17;
{obj_t AUX_809_91;
AUX_809_91=SYMBOL_TO_STRING( HEAD_270_60 );STRING_611_17=STRING_UPCASE___R4_STRINGS_6_7_251( AUX_809_91 );}CASE_VALUE_271_33=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_611_17 ) );}else
CASE_VALUE_271_33=HEAD_270_60;}{obj_t AUX_814_3;
AUX_814_3=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_271_33, LIST_40___PP_233 );if( BBOOL_TO_CBOOL( AUX_814_3 ))
PROC_415_147=PP_LAMBDA_ENV_730_226;else
{obj_t AUX_813_159;
AUX_813_159=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_271_33, LIST_43___PP_194 );if( BBOOL_TO_CBOOL( AUX_813_159 ))
PROC_415_147=PP_DEFINE_ENV_729_8;else
{obj_t AUX_812_93;
AUX_812_93=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_271_33, LIST_46___PP_158 );if( BBOOL_TO_CBOOL( AUX_812_93 ))
PROC_415_147=PP_DEFUN_ENV_728_250;else
{obj_t AUX_811_42;
AUX_811_42=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_271_33, LIST_49___PP_178 );if( BBOOL_TO_CBOOL( AUX_811_42 ))
PROC_415_147=PP_IF_ENV_727_162;else
if( EQP( CASE_VALUE_271_33, COND_50___PP_203 ))
PROC_415_147=PP_COND_ENV_726_194;else
if( EQP( CASE_VALUE_271_33, CASE_51___PP_102 ))
PROC_415_147=PP_CASE_ENV_725_228;else
{obj_t AUX_810_155;
AUX_810_155=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_271_33, LIST_54___PP_94 );if( BBOOL_TO_CBOOL( AUX_810_155 ))
PROC_415_147=PP_AND_ENV_724_122;else
if( EQP( CASE_VALUE_271_33, LET_55___PP_119 ))
PROC_415_147=PP_LET_ENV_723_146;else
if( EQP( CASE_VALUE_271_33, BEGIN_56___PP_47 ))
PROC_415_147=PP_BEGIN_ENV_722_74;else
if( EQP( CASE_VALUE_271_33, DO_57___PP_24 ))
PROC_415_147=PP_DO_ENV_721_167;else
if( EQP( CASE_VALUE_271_33, COMMENT_7___PP_144 ))
PROC_415_147=PP_COMMENT_ENV_720_214;else
PROC_415_147=BFALSE;}}}}}}}
}if( BBOOL_TO_CBOOL( PROC_415_147 ))
return PROCEDURE_LIGHT_ENTRY( PROC_415_147 )( PROC_415_147, EXPR_411_161, COL_412_79, EXTRA_413_123 );else
{obj_t STRING_591_164;
STRING_591_164=SYMBOL_TO_STRING( HEAD_414_89 );{obj_t AUX_815_61;
{obj_t AUX_817_89;
obj_t AUX_816_9;
AUX_817_89=CELL_REF( MAX_CALL_HEAD_WIDTH_245_64 );AUX_816_9=STRING_LENGTH( STRING_591_164 );AUX_815_61=_2____R4_NUMBERS_6_5_143( AUX_816_9, AUX_817_89 );}if( BBOOL_TO_CBOOL( AUX_815_61 ))
{obj_t A_FUNCTION_665_55;
A_FUNCTION_665_55=PP_EXPR_ENV_757_244;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_757_244, OUTPUT_233_54, DISPLAY__231_255, EXPR_411_161, COL_412_79, EXTRA_413_123, BFALSE, BFALSE, BFALSE, A_FUNCTION_665_55 );}else
{obj_t A_FUNCTION_666_105;
A_FUNCTION_666_105=PP_EXPR_ENV_757_244;return PP_CALL_264_152( PP_EXPR_ENV_757_244, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, DISPLAY__231_255, EXPR_411_161, COL_412_79, EXTRA_413_123, A_FUNCTION_666_105 );}}}}else
{obj_t A_FUNCTION_667_134;
A_FUNCTION_667_134=PP_EXPR_ENV_757_244;return PP_LIST_263_92( DISPLAY__231_255, PP_EXPR_ENV_757_244, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, EXPR_411_161, COL_412_79, EXTRA_413_123, A_FUNCTION_667_134 );}}}}}
}

static obj_t
#if defined( __STDC__ )
PP_EXPR_LIST_259_85(obj_t PP_EXPR_LIST_ENV_755_165,obj_t L_334_97,obj_t COL_335_24,obj_t EXTRA_336_174)
#else
PP_EXPR_LIST_259_85( PP_EXPR_LIST_ENV_755_165, L_334_97, COL_335_24, EXTRA_336_174 )
obj_t PP_EXPR_LIST_ENV_755_165, L_334_97, COL_335_24, EXTRA_336_174;
#endif
{

{obj_t OUTPUT_233_54, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t DISPLAY__231_255;
OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_LIST_ENV_755_165, 0 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_LIST_ENV_755_165, 1 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_LIST_ENV_755_165, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_LIST_ENV_755_165, 3 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_LIST_ENV_755_165, 4 );{obj_t A_FUNCTION_676_36;
A_FUNCTION_676_36=PP_EXPR_ENV_717_43;return PP_LIST_263_92( DISPLAY__231_255, PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, L_334_97, COL_335_24, EXTRA_336_174, A_FUNCTION_676_36 );}}
}

static obj_t
#if defined( __STDC__ )
PP_EXPR_DEFUN_258_34(obj_t PP_EXPR_DEFUN_ENV_753_60,obj_t L_330_1,obj_t COL_331_17,obj_t EXTRA_332_14)
#else
PP_EXPR_DEFUN_258_34( PP_EXPR_DEFUN_ENV_753_60, L_330_1, COL_331_17, EXTRA_332_14 )
obj_t PP_EXPR_DEFUN_ENV_753_60, L_330_1, COL_331_17, EXTRA_332_14;
#endif
{

{obj_t OUTPUT_233_54, DISPLAY__231_255, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_DEFUN_ENV_753_60, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_DEFUN_ENV_753_60, 1 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_DEFUN_ENV_753_60, 2 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_DEFUN_ENV_753_60, 3 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_EXPR_DEFUN_ENV_753_60, 4 );{obj_t EXPR_390_17, COL_391_50, EXTRA_392_108, PP_ITEM_393_32;
{obj_t A_FUNCTION_677_65;
A_FUNCTION_677_65=PP_EXPR_ENV_717_43;{
PP_ITEM_393_32=A_FUNCTION_677_65;
EXTRA_392_108=EXTRA_332_14;
COL_391_50=COL_331_17;
EXPR_390_17=L_330_1;
{
{obj_t COL_394_99;
{obj_t STRING_CAST_670_223;
STRING_CAST_670_223=BREF( &_____58___PP_43);COL_394_99=OUT_236_182( OUTPUT_233_54, STRING_CAST_670_223, COL_391_50 );}{obj_t COL2_395_186;
{obj_t C_CAR_594_91;
C_CAR_594_91=CAR( EXPR_390_17 );COL2_395_186=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, C_CAR_594_91, COL_394_99 );}{obj_t COL3_396_164;
{obj_t PAIR_595_152;
PAIR_595_152=CDR( EXPR_390_17 );{obj_t C_CAR_596_127;
C_CAR_596_127=CAR( PAIR_595_152 );COL3_396_164=WR_235_78( DISPLAY__231_255, OUTPUT_233_54, C_CAR_596_127, COL2_395_186 );}}{obj_t PAIR_598_243;
PAIR_598_243=CDR( EXPR_390_17 );{obj_t C_CDR_599_247;
C_CDR_599_247=CDR( PAIR_598_243 );{obj_t AUX_805_225;
AUX_805_225=_2____R4_NUMBERS_6_5_47( COL3_396_164, BINT( 1 ) );return PP_DOWN_261_135( MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, DISPLAY__231_255, OUTPUT_233_54, C_CDR_599_247, COL3_396_164, AUX_805_225, EXTRA_392_108, PP_ITEM_393_32 );}}}}}}}
}}}}
}

static obj_t
#if defined( __STDC__ )
PP_LAMBDA_255_52(obj_t PP_LAMBDA_ENV_751_246,obj_t EXPR_318_33,obj_t COL_319_1,obj_t EXTRA_320_247)
#else
PP_LAMBDA_255_52( PP_LAMBDA_ENV_751_246, EXPR_318_33, COL_319_1, EXTRA_320_247 )
obj_t PP_LAMBDA_ENV_751_246, EXPR_318_33, COL_319_1, EXTRA_320_247;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_LAMBDA_ENV_751_246, 6 );{obj_t A_FUNCTION_684_245;
A_FUNCTION_684_245=PP_EXPR_LIST_ENV_718_228;{obj_t A_FUNCTION_685_208;
A_FUNCTION_685_208=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_318_33, COL_319_1, EXTRA_320_247, BFALSE, A_FUNCTION_684_245, BFALSE, A_FUNCTION_685_208 );}}}
}

static obj_t
#if defined( __STDC__ )
PP_DEFINE_257_23(obj_t PP_DEFINE_ENV_749_240,obj_t EXPR_326_170,obj_t COL_327_63,obj_t EXTRA_328_199)
#else
PP_DEFINE_257_23( PP_DEFINE_ENV_749_240, EXPR_326_170, COL_327_63, EXTRA_328_199 )
obj_t PP_DEFINE_ENV_749_240, EXPR_326_170, COL_327_63, EXTRA_328_199;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_DEFINE_ENV_749_240, 6 );{
{obj_t A_FUNCTION_678_87;
A_FUNCTION_678_87=PP_EXPR_LIST_ENV_718_228;{obj_t A_FUNCTION_679_197;
A_FUNCTION_679_197=PP_EXPR_ENV_717_43;PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_326_170, COL_327_63, EXTRA_328_199, BFALSE, A_FUNCTION_678_87, BFALSE, A_FUNCTION_679_197 );}}
{obj_t STRING_CAST_680_63;
STRING_CAST_680_63=BREF( &___59___PP_75);return OUT_236_182( OUTPUT_233_54, STRING_CAST_680_63, BINT( 0 ) );}
}}
}

static obj_t
#if defined( __STDC__ )
PP_DEFUN_256_138(obj_t PP_DEFUN_ENV_747_196,obj_t EXPR_322_233,obj_t COL_323_39,obj_t EXTRA_324_94)
#else
PP_DEFUN_256_138( PP_DEFUN_ENV_747_196, EXPR_322_233, COL_323_39, EXTRA_324_94 )
obj_t PP_DEFUN_ENV_747_196, EXPR_322_233, COL_323_39, EXTRA_324_94;
#endif
{

{obj_t PP_EXPR_DEFUN_ENV_719_49;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_DEFUN_ENV_719_49=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_DEFUN_ENV_747_196, 6 );{
{obj_t A_FUNCTION_681_121;
A_FUNCTION_681_121=PP_EXPR_DEFUN_ENV_719_49;{obj_t A_FUNCTION_682_72;
A_FUNCTION_682_72=PP_EXPR_ENV_717_43;PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_322_233, COL_323_39, EXTRA_324_94, BTRUE, A_FUNCTION_681_121, BFALSE, A_FUNCTION_682_72 );}}
{obj_t STRING_CAST_683_69;
STRING_CAST_683_69=BREF( &___59___PP_75);return OUT_236_182( OUTPUT_233_54, STRING_CAST_683_69, BINT( 0 ) );}
}}
}

static obj_t
#if defined( __STDC__ )
PP_IF_253_236(obj_t PP_IF_ENV_745_172,obj_t EXPR_300_169,obj_t COL_301_31,obj_t EXTRA_302_115)
#else
PP_IF_253_236( PP_IF_ENV_745_172, EXPR_300_169, COL_301_31, EXTRA_302_115 )
obj_t PP_IF_ENV_745_172, EXPR_300_169, COL_301_31, EXTRA_302_115;
#endif
{

{obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 0 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 1 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 2 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 3 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 4 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_IF_ENV_745_172, 5 );{obj_t A_FUNCTION_688_55;
A_FUNCTION_688_55=PP_EXPR_ENV_717_43;{obj_t A_FUNCTION_689_143;
A_FUNCTION_689_143=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_300_169, COL_301_31, EXTRA_302_115, BFALSE, A_FUNCTION_688_55, BFALSE, A_FUNCTION_689_143 );}}}
}

static obj_t
#if defined( __STDC__ )
PP_COND_252_89(obj_t PP_COND_ENV_743_247,obj_t EXPR_296_69,obj_t COL_297_86,obj_t EXTRA_298_151)
#else
PP_COND_252_89( PP_COND_ENV_743_247, EXPR_296_69, COL_297_86, EXTRA_298_151 )
obj_t PP_COND_ENV_743_247, EXPR_296_69, COL_297_86, EXTRA_298_151;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 2 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 4 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_COND_ENV_743_247, 5 );{obj_t A_FUNCTION_690_116;
A_FUNCTION_690_116=PP_EXPR_LIST_ENV_718_228;return PP_CALL_264_152( PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, DISPLAY__231_255, EXPR_296_69, COL_297_86, EXTRA_298_151, A_FUNCTION_690_116 );}}
}

static obj_t
#if defined( __STDC__ )
PP_CASE_251_91(obj_t PP_CASE_ENV_741_48,obj_t EXPR_292_184,obj_t COL_293_83,obj_t EXTRA_294_17)
#else
PP_CASE_251_91( PP_CASE_ENV_741_48, EXPR_292_184, COL_293_83, EXTRA_294_17 )
obj_t PP_CASE_ENV_741_48, EXPR_292_184, COL_293_83, EXTRA_294_17;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_CASE_ENV_741_48, 6 );{obj_t A_FUNCTION_691_95;
A_FUNCTION_691_95=PP_EXPR_ENV_717_43;{obj_t A_FUNCTION_692_206;
A_FUNCTION_692_206=PP_EXPR_LIST_ENV_718_228;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_292_184, COL_293_83, EXTRA_294_17, BFALSE, A_FUNCTION_691_95, BFALSE, A_FUNCTION_692_206 );}}}
}

static obj_t
#if defined( __STDC__ )
PP_AND_250_72(obj_t PP_AND_ENV_739_119,obj_t EXPR_288_140,obj_t COL_289_158,obj_t EXTRA_290_24)
#else
PP_AND_250_72( PP_AND_ENV_739_119, EXPR_288_140, COL_289_158, EXTRA_290_24 )
obj_t PP_AND_ENV_739_119, EXPR_288_140, COL_289_158, EXTRA_290_24;
#endif
{

{obj_t DISPLAY__231_255, OUTPUT_233_54, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_AND_ENV_739_119, 0 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_AND_ENV_739_119, 1 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_AND_ENV_739_119, 2 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_AND_ENV_739_119, 3 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_AND_ENV_739_119, 4 );{obj_t A_FUNCTION_693_35;
A_FUNCTION_693_35=PP_EXPR_ENV_717_43;return PP_CALL_264_152( PP_EXPR_ENV_717_43, WIDTH_232_171, MAX_EXPR_WIDTH_244_81, OUTPUT_233_54, DISPLAY__231_255, EXPR_288_140, COL_289_158, EXTRA_290_24, A_FUNCTION_693_35 );}}
}

static obj_t
#if defined( __STDC__ )
PP_LET_249_58(obj_t PP_LET_ENV_737_14,obj_t EXPR_281_119,obj_t COL_282_155,obj_t EXTRA_283_190)
#else
PP_LET_249_58( PP_LET_ENV_737_14, EXPR_281_119, COL_282_155, EXTRA_283_190 )
obj_t PP_LET_ENV_737_14, EXPR_281_119, COL_282_155, EXTRA_283_190;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_LET_ENV_737_14, 6 );{obj_t REST_284_233;
REST_284_233=CDR( EXPR_281_119 );{obj_t NAMED__285_199;
if( PAIRP( REST_284_233 ))
{bool_t OBJ_785_145;
OBJ_785_145=SYMBOLP( CAR( REST_284_233 ) );NAMED__285_199=CBOOL_TO_BBOOL( OBJ_785_145 );}else
NAMED__285_199=BFALSE;{obj_t A_FUNCTION_694_221;
A_FUNCTION_694_221=PP_EXPR_LIST_ENV_718_228;{obj_t A_FUNCTION_695_54;
A_FUNCTION_695_54=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_281_119, COL_282_155, EXTRA_283_190, NAMED__285_199, A_FUNCTION_694_221, BFALSE, A_FUNCTION_695_54 );}}}}}
}

static obj_t
#if defined( __STDC__ )
PP_BEGIN_248_99(obj_t PP_BEGIN_ENV_735_43,obj_t EXPR_277_255,obj_t COL_278_81,obj_t EXTRA_279_123)
#else
PP_BEGIN_248_99( PP_BEGIN_ENV_735_43, EXPR_277_255, COL_278_81, EXTRA_279_123 )
obj_t PP_BEGIN_ENV_735_43, EXPR_277_255, COL_278_81, EXTRA_279_123;
#endif
{

{obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 0 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 1 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 2 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 3 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 4 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_BEGIN_ENV_735_43, 5 );{obj_t A_FUNCTION_696_192;
A_FUNCTION_696_192=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_277_255, COL_278_81, EXTRA_279_123, BFALSE, BFALSE, BFALSE, A_FUNCTION_696_192 );}}
}

static obj_t
#if defined( __STDC__ )
PP_DO_247_112(obj_t PP_DO_ENV_733_185,obj_t EXPR_273_158,obj_t COL_274_113,obj_t EXTRA_275_219)
#else
PP_DO_247_112( PP_DO_ENV_733_185, EXPR_273_158, COL_274_113, EXTRA_275_219 )
obj_t PP_DO_ENV_733_185, EXPR_273_158, COL_274_113, EXTRA_275_219;
#endif
{

{obj_t PP_EXPR_LIST_ENV_718_228;
obj_t DISPLAY__231_255, OUTPUT_233_54;
obj_t PP_EXPR_ENV_717_43;
obj_t WIDTH_232_171, MAX_EXPR_WIDTH_244_81, INDENT_GENERAL_246_38;
PP_EXPR_LIST_ENV_718_228=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 0 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 1 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 3 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 4 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 5 );INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_DO_ENV_733_185, 6 );{obj_t A_FUNCTION_697_252;
A_FUNCTION_697_252=PP_EXPR_LIST_ENV_718_228;{obj_t A_FUNCTION_698_237;
A_FUNCTION_698_237=PP_EXPR_LIST_ENV_718_228;{obj_t A_FUNCTION_699_253;
A_FUNCTION_699_253=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_273_158, COL_274_113, EXTRA_275_219, BFALSE, A_FUNCTION_697_252, A_FUNCTION_698_237, A_FUNCTION_699_253 );}}}}
}

static obj_t
#if defined( __STDC__ )
PP_COMMENT_254_196(obj_t PP_COMMENT_ENV_731_151,obj_t EXPR_304_197,obj_t COL_305_216,obj_t EXTRA_306_186)
#else
PP_COMMENT_254_196( PP_COMMENT_ENV_731_151, EXPR_304_197, COL_305_216, EXTRA_306_186 )
obj_t PP_COMMENT_ENV_731_151, EXPR_304_197, COL_305_216, EXTRA_306_186;
#endif
{

{obj_t INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171;
obj_t PP_EXPR_ENV_717_43;
obj_t DISPLAY__231_255, OUTPUT_233_54;
INDENT_GENERAL_246_38=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 0 );MAX_EXPR_WIDTH_244_81=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 1 );WIDTH_232_171=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 2 );PP_EXPR_ENV_717_43=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 3 );DISPLAY__231_255=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 4 );OUTPUT_233_54=PROCEDURE_LIGHT_ENV_REF( PP_COMMENT_ENV_731_151, 5 );{obj_t COLUMN_314_161, STRING_315_233;
if( PAIRP( EXPR_304_197 ))
{obj_t CDR_118_310_140;
CDR_118_310_140=CDR( EXPR_304_197 );{obj_t OBJ1_605_252;
OBJ1_605_252=CAR( EXPR_304_197 );if( EQP( OBJ1_605_252, COMMENT_7___PP_144 ))
if( PAIRP( CDR_118_310_140 ))
{obj_t CAR_121_312_236, CDR_122_311_2;
CAR_121_312_236=CAR( CDR_118_310_140 );CDR_122_311_2=CDR( CDR_118_310_140 );if( INTEGERP( CAR_121_312_236 ))
if( PAIRP( CDR_122_311_2 ))
{obj_t CAR_127_313_85;
CAR_127_313_85=CAR( CDR_122_311_2 );if( STRINGP( CAR_127_313_85 ))
{obj_t OBJ2_607_239;
OBJ2_607_239=BNIL;{obj_t OBJ1_606_221;
OBJ1_606_221=CDR( CDR_122_311_2 );if( EQP( OBJ1_606_221, OBJ2_607_239 ))
{
STRING_315_233=CAR_127_313_85;
COLUMN_314_161=CAR_121_312_236;
{
{obj_t ADD_316_134;
{obj_t AUX_797_12;
{obj_t AUX_798_144;
AUX_798_144=STRING_LENGTH( STRING_315_233 );AUX_797_12=_2____R4_NUMBERS_6_5_47( AUX_798_144, BINT( 3 ) );}ADD_316_134=_2____R4_NUMBERS_6_5_30( __PP_WIDTH____PP_209, AUX_797_12 );}if( EQ_I( COLUMN_314_161, BINT( 0 ) ))
{obj_t AUX_801_113;
AUX_801_113=_2____R4_NUMBERS_6_5_143( ADD_316_134, BINT( 0 ) );if( BBOOL_TO_CBOOL( AUX_801_113 ))
{obj_t CHAR_601_59;
CHAR_601_59=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t AUX_799_172;
{obj_t AUX_800_112;
{obj_t C_CAR_602_88;
C_CAR_602_88=CAR( CHAR_601_59 );AUX_800_112=make_string( ADD_316_134, C_CAR_602_88 );}AUX_799_172=string_append( STRING_315_233, AUX_800_112 );}return OUT_236_182( OUTPUT_233_54, AUX_799_172, BINT( 0 ) );}}else
return OUT_236_182( OUTPUT_233_54, STRING_315_233, BINT( 0 ) );}else
{obj_t AUX_804_207;
AUX_804_207=_2____R4_NUMBERS_6_5_143( ADD_316_134, BINT( 0 ) );if( BBOOL_TO_CBOOL( AUX_804_207 ))
{obj_t CHAR_603_228;
CHAR_603_228=MAKE_PAIR( BCHAR( ' ' ), BNIL );{obj_t AUX_802_98;
{obj_t AUX_803_21;
{obj_t C_CAR_604_85;
C_CAR_604_85=CAR( CHAR_603_228 );AUX_803_21=make_string( ADD_316_134, C_CAR_604_85 );}AUX_802_98=string_append( STRING_315_233, AUX_803_21 );}return OUT_236_182( OUTPUT_233_54, AUX_802_98, COL_305_216 );}}else
return OUT_236_182( OUTPUT_233_54, STRING_315_233, COL_305_216 );}}}
}else
{_TAG_111_308_54:

{obj_t A_FUNCTION_686_122;
A_FUNCTION_686_122=PP_EXPR_ENV_717_43;{obj_t A_FUNCTION_687_130;
A_FUNCTION_687_130=PP_EXPR_ENV_717_43;return PP_GENERAL_260_22( INDENT_GENERAL_246_38, MAX_EXPR_WIDTH_244_81, WIDTH_232_171, PP_EXPR_ENV_717_43, OUTPUT_233_54, DISPLAY__231_255, EXPR_304_197, COL_305_216, EXTRA_306_186, BFALSE, A_FUNCTION_686_122, BFALSE, A_FUNCTION_687_130 );}}}}}else
goto _TAG_111_308_54;}else
goto _TAG_111_308_54;else
goto _TAG_111_308_54;}else
goto _TAG_111_308_54;else
goto _TAG_111_308_54;}}else
goto _TAG_111_308_54;}}
}

static obj_t
#if defined( __STDC__ )
REVERSE_STRING_APPEND___PP_243(obj_t L_486_65)
#else
REVERSE_STRING_APPEND___PP_243( L_486_65 )
obj_t L_486_65;
#endif
{

return REV_STRING_APPEND_487_248( L_486_65, BINT( 0 ) );
}

static obj_t
#if defined( __STDC__ )
REV_STRING_APPEND_487_248(obj_t L_489_87,obj_t I_490_99)
#else
REV_STRING_APPEND_487_248( L_489_87, I_490_99 )
obj_t L_489_87, I_490_99;
#endif
{

if( PAIRP( L_489_87 ))
{obj_t STR_491_75;
STR_491_75=CAR( L_489_87 );{obj_t LEN_492_77;
LEN_492_77=STRING_LENGTH( STR_491_75 );{obj_t RESULT_493_131;
{obj_t C_CDR_614_63;
C_CDR_614_63=CDR( L_489_87 );{obj_t AUX_791_75;
AUX_791_75=_2____R4_NUMBERS_6_5_47( I_490_99, LEN_492_77 );RESULT_493_131=REV_STRING_APPEND_487_248( C_CDR_614_63, AUX_791_75 );}}{obj_t J_495_188, K_496_117;
{
{obj_t AUX_795_103;
{obj_t AUX_796_181;
AUX_796_181=STRING_LENGTH( RESULT_493_131 );AUX_795_103=_2____R4_NUMBERS_6_5_30( AUX_796_181, I_490_99 );}K_496_117=_2____R4_NUMBERS_6_5_30( AUX_795_103, LEN_492_77 );}
J_495_188=BINT( 0 );
{_LOOP_494_107:

{obj_t AUX_794_70;
AUX_794_70=_2____R4_NUMBERS_6_5_49( J_495_188, LEN_492_77 );if( BBOOL_TO_CBOOL( AUX_794_70 ))
{
STRING_SET( RESULT_493_131, CINT( K_496_117 ), STRING_REF( STR_491_75, CINT( J_495_188 ) ) );
{obj_t AUX_793_22, AUX_792_58;
AUX_793_22=_2____R4_NUMBERS_6_5_47( K_496_117, BINT( 1 ) );AUX_792_58=_2____R4_NUMBERS_6_5_47( J_495_188, BINT( 1 ) );{
K_496_117=AUX_793_22;
J_495_188=AUX_792_58;
goto _LOOP_494_107;
}}
}else
return RESULT_493_131;}}
}}}}}else
{obj_t CHAR_619_209;
CHAR_619_209=BNIL;return make_string( I_490_99, BCHAR( ' ' ) );}
}

