/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/automata.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( MAX_COST_7___RGC_AUTOMATA_142, "max cost (state.", 16);
static obj_t __STATES____RGC_AUTOMATA_124 = BUNSPEC;
static obj_t __UNCODED_STATE____RGC_AUTOMATA_219 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STATE__SYMBOL___RGC_AUTOMATA_156(obj_t);
#else
extern obj_t STATE__SYMBOL___RGC_AUTOMATA_156();
#endif
extern obj_t ___RGC_USTATE_INITIALISATION___RGC_USTATE_199();
obj_t ___RGC_AUTOMATA_INITIALISATION_ENV___RGC_AUTOMATA_121 = BUNSPEC;
extern obj_t DECL_USTATE___RGC_USTATE_4();
extern obj_t DECL_CSTATE___RGC_CSTATE_168();
DEFINE_STRING( STATE__1___RGC_AUTOMATA_68, "STATE_", 6);
static obj_t ABORT_10___RGC_AUTOMATA_60 = BUNSPEC;
extern obj_t string_append();
#if defined( __STDC__ )
extern obj_t BUILD_AUTOMATA___RGC_AUTOMATA_166(obj_t, obj_t, obj_t);
#else
extern obj_t BUILD_AUTOMATA___RGC_AUTOMATA_166();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
static obj_t LABELS_3___RGC_AUTOMATA_84 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BUILD_AUTOMATA___RGC_AUTOMATA_178(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __BUILD_AUTOMATA___RGC_AUTOMATA_178();
#endif
static obj_t __UNCOMPACT_STATE____RGC_AUTOMATA_227 = BUNSPEC;
static obj_t DONE_12___RGC_AUTOMATA_138 = BUNSPEC;
extern obj_t __RGC_FIRST_CHAR____RGC_PARAM_219;
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
static obj_t RGC_____19___RGC_AUTOMATA_250 = BUNSPEC;
#if defined( __STDC__ )
static obj_t DECL_AUTO_STATE___RGC_AUTOMATA_125(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t DECL_AUTO_STATE___RGC_AUTOMATA_125();
#endif
static obj_t __COST_MAX____RGC_AUTOMATA_220 = BUNSPEC;
extern obj_t MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181();
static obj_t NOT_21___RGC_AUTOMATA_24 = BUNSPEC;
static obj_t C_15___RGC_AUTOMATA_118 = BUNSPEC;
#if defined( __STDC__ )
static obj_t COST_TEST___RGC_AUTOMATA_204(obj_t, obj_t);
#else
static obj_t COST_TEST___RGC_AUTOMATA_204();
#endif
static obj_t __STATE_MAX_COST____RGC_AUTOMATA_15 = BUNSPEC;
extern obj_t ___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
extern obj_t ___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
static obj_t NO_CODE_4___RGC_AUTOMATA_246 = BUNSPEC;
DEFINE_STRING( __0___RGC_AUTOMATA_188, "", 0);
static obj_t DUMMY_9___RGC_AUTOMATA_43 = BUNSPEC;
extern obj_t __RGC_LAST_CHAR____RGC_PARAM_157;
static obj_t REQUIRE_INITIALISATION____RGC_AUTOMATA_146 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t NO_STATE_14___RGC_AUTOMATA_228 = BUNSPEC;
static obj_t RULE_2___RGC_AUTOMATA_151 = BUNSPEC;
extern obj_t make_vector();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t __COST____RGC_AUTOMATA_190 = BUNSPEC;
static obj_t UNCOMPAC_8___RGC_AUTOMATA_98 = BUNSPEC;
static obj_t RGC____16___RGC_AUTOMATA_26 = BUNSPEC;
static obj_t AND_20___RGC_AUTOMATA_80 = BUNSPEC;
extern obj_t PREPARE_OPTIMISATION___RGC_OPTIMIZE_224();
extern obj_t ___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8();
extern obj_t make_fx_procedure();
static obj_t RGC_____18___RGC_AUTOMATA_94 = BUNSPEC;
static obj_t LIST_11___RGC_AUTOMATA_44 = BUNSPEC;
static obj_t COMPACT_5___RGC_AUTOMATA_224 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t __RGC_COMPACT____RGC_PARAM_175;
#if defined( __STDC__ )
static obj_t SMART_INSORT_COST____RGC_AUTOMATA_198(obj_t, obj_t);
#else
static obj_t SMART_INSORT_COST____RGC_AUTOMATA_198();
#endif
DEFINE_STRING( ____6___RGC_AUTOMATA_177, ") ", 2);
#if defined( __STDC__ )
extern obj_t __STATE__SYMBOL___RGC_AUTOMATA_66(obj_t, obj_t);
#else
extern obj_t __STATE__SYMBOL___RGC_AUTOMATA_66();
#endif
static obj_t NO_TEST_13___RGC_AUTOMATA_237 = BUNSPEC;
extern obj_t ___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
#if defined( __STDC__ )
static obj_t KIND_OF_CODE___RGC_AUTOMATA_19(obj_t, obj_t, obj_t);
#else
static obj_t KIND_OF_CODE___RGC_AUTOMATA_19();
#endif
#if defined( __STDC__ )
extern obj_t ____RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_124(obj_t);
#else
extern obj_t ____RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_124();
#endif
extern obj_t ___RGC_CSTATE_INITIALISATION___RGC_CSTATE_116();
static obj_t OR_17___RGC_AUTOMATA_154 = BUNSPEC;
static obj_t __NB_LOOPING____RGC_AUTOMATA_80 = BUNSPEC;
obj_t STATE__SYMBOL_ENV___RGC_AUTOMATA_205 = BUNSPEC;
extern obj_t COMPUTE_LOOPING___RGC_OPTIMIZE_118();
obj_t BUILD_AUTOMATA_ENV___RGC_AUTOMATA_54 = BUNSPEC;

static obj_t LOOP_226_86();
static obj_t LOOP_258_40();
static obj_t MAKE_COST_CELL_268_56();

obj_t
#if defined( __STDC__ )
___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153()
#else
___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_AUTOMATA_146 ))
{
REQUIRE_INITIALISATION____RGC_AUTOMATA_146=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___RGC_USTATE_INITIALISATION___RGC_USTATE_199();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___RGC_CSTATE_INITIALISATION___RGC_CSTATE_116();
___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
RULE_2___RGC_AUTOMATA_151=c_string_to_symbol( "RULE" );
NO_TEST_13___RGC_AUTOMATA_237=c_string_to_symbol( "NO-TEST" );
RGC_____19___RGC_AUTOMATA_250=c_string_to_symbol( "RGC->=?" );
NO_STATE_14___RGC_AUTOMATA_228=c_string_to_symbol( "NO-STATE" );
NO_CODE_4___RGC_AUTOMATA_246=c_string_to_symbol( "NO-CODE" );
DUMMY_9___RGC_AUTOMATA_43=c_string_to_symbol( "DUMMY" );
COMPACT_5___RGC_AUTOMATA_224=c_string_to_symbol( "COMPACT" );
OR_17___RGC_AUTOMATA_154=c_string_to_symbol( "OR" );
C_15___RGC_AUTOMATA_118=c_string_to_symbol( "C" );
RGC_____18___RGC_AUTOMATA_94=c_string_to_symbol( "RGC-<=?" );
AND_20___RGC_AUTOMATA_80=c_string_to_symbol( "AND" );
UNCOMPAC_8___RGC_AUTOMATA_98=c_string_to_symbol( "UNCOMPACT" );
LABELS_3___RGC_AUTOMATA_84=c_string_to_symbol( "LABELS" );
ABORT_10___RGC_AUTOMATA_60=c_string_to_symbol( "ABORT" );
RGC____16___RGC_AUTOMATA_26=c_string_to_symbol( "RGC-=?" );
NOT_21___RGC_AUTOMATA_24=c_string_to_symbol( "NOT" );
DONE_12___RGC_AUTOMATA_138=c_string_to_symbol( "DONE" );
LIST_11___RGC_AUTOMATA_44=MAKE_PAIR( NO_CODE_4___RGC_AUTOMATA_246, BNIL );
{
___RGC_AUTOMATA_INITIALISATION_ENV___RGC_AUTOMATA_121=make_fx_procedure( ____RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_124, 0, 0 );
BUILD_AUTOMATA_ENV___RGC_AUTOMATA_54=make_fx_procedure( __BUILD_AUTOMATA___RGC_AUTOMATA_178, 3, 0 );
STATE__SYMBOL_ENV___RGC_AUTOMATA_205=make_fx_procedure( __STATE__SYMBOL___RGC_AUTOMATA_66, 1, 0 );
{
__COST____RGC_AUTOMATA_190=BINT( 0 );
__COST_MAX____RGC_AUTOMATA_220=BINT( 0 );
{obj_t STRING_CAST_528_86;
STRING_CAST_528_86=BREF( &__0___RGC_AUTOMATA_188);__STATE_MAX_COST____RGC_AUTOMATA_15=STRING_CAST_528_86;}
__UNCOMPACT_STATE____RGC_AUTOMATA_227=BINT( 0 );
__UNCODED_STATE____RGC_AUTOMATA_219=BINT( 0 );
__STATES____RGC_AUTOMATA_124=BNIL;
__NB_LOOPING____RGC_AUTOMATA_80=BINT( 0 );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_124(obj_t ENV_581_28)
#else
____RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_124( ENV_581_28 )
obj_t ENV_581_28;
#endif
{

return ___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
}

obj_t
#if defined( __STDC__ )
BUILD_AUTOMATA___RGC_AUTOMATA_166(obj_t NB_STATES_222_250,obj_t STATES_223_4,obj_t T_TRAP_224_85)
#else
BUILD_AUTOMATA___RGC_AUTOMATA_166( NB_STATES_222_250, STATES_223_4, T_TRAP_224_85 )
obj_t NB_STATES_222_250, STATES_223_4, T_TRAP_224_85;
#endif
{

{
__STATES____RGC_AUTOMATA_124=STATES_223_4;
__COST____RGC_AUTOMATA_190=BINT( 0 );
__UNCOMPACT_STATE____RGC_AUTOMATA_227=BINT( 0 );
__UNCODED_STATE____RGC_AUTOMATA_219=BINT( 0 );
__COST_MAX____RGC_AUTOMATA_220=BINT( 0 );
__COST____RGC_AUTOMATA_190=BINT( 0 );
{obj_t STRING_CAST_529_141;
STRING_CAST_529_141=BREF( &__0___RGC_AUTOMATA_188);__STATE_MAX_COST____RGC_AUTOMATA_15=STRING_CAST_529_141;}
__NB_LOOPING____RGC_AUTOMATA_80=BINT( 0 );
{obj_t ACCEPT__225_88;
ACCEPT__225_88=MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181( NB_STATES_222_250, STATES_223_4 );{
PREPARE_OPTIMISATION___RGC_OPTIMIZE_224( NB_STATES_222_250, STATES_223_4 );
{obj_t OBJ2_303_65;
{obj_t C_CONS_317_38;
{obj_t STRING_316_140;
{obj_t STRING_CAST_530_179;
STRING_CAST_530_179=BREF( &STATE__1___RGC_AUTOMATA_68);{obj_t AUX_624_127;
AUX_624_127=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( BINT( 0 ), BNIL );STRING_316_140=string_append( STRING_CAST_530_179, AUX_624_127 );}}{obj_t VA_ARG_531_143;
VA_ARG_531_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_532_134;
VA_ARG_532_134=MAKE_PAIR( RULE_2___RGC_AUTOMATA_151, VA_ARG_531_143 );{obj_t AUX_625_17;
AUX_625_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( c_string_to_symbol( BSTRING_TO_CSTRING( STRING_316_140 ) ), VA_ARG_532_134 );C_CONS_317_38=MAKE_PAIR( AUX_625_17, BNIL );}}}}{obj_t AUX_626_91;
AUX_626_91=LOOP_226_86( NB_STATES_222_250, STATES_223_4, ACCEPT__225_88, BINT( 0 ) );OBJ2_303_65=MAKE_PAIR( AUX_626_91, C_CONS_317_38 );}}return MAKE_PAIR( LABELS_3___RGC_AUTOMATA_84, OBJ2_303_65 );}
}}
}
}

static obj_t
#if defined( __STDC__ )
LOOP_226_86(obj_t NB_STATES_222_250,obj_t STATES_223_4,obj_t ACCEPT__225_88,obj_t STATE_NUM_227_140)
#else
LOOP_226_86( NB_STATES_222_250, STATES_223_4, ACCEPT__225_88, STATE_NUM_227_140 )
obj_t NB_STATES_222_250, STATES_223_4, ACCEPT__225_88, STATE_NUM_227_140;
#endif
{
_LOOP_226_86:

if( EQ_I( STATE_NUM_227_140, NB_STATES_222_250 ))
return BNIL;else
{obj_t NEW_DFA_STATE_228_54;
NEW_DFA_STATE_228_54=DECL_AUTO_STATE___RGC_AUTOMATA_125( NB_STATES_222_250, STATE_NUM_227_140, STATES_223_4, ACCEPT__225_88 );if( BBOOL_TO_CBOOL( NEW_DFA_STATE_228_54 ))
{obj_t OBJ2_309_169;
OBJ2_309_169=LOOP_226_86( NB_STATES_222_250, STATES_223_4, ACCEPT__225_88, ADD_I_PTAG( PSUB_TAG( 1 ), STATE_NUM_227_140 ) );return MAKE_PAIR( NEW_DFA_STATE_228_54, OBJ2_309_169 );}else
{obj_t STATE_NUM_623_139;
STATE_NUM_623_139=STATE_NUM_227_140;{
STATE_NUM_227_140=ADD_I_PTAG( PSUB_TAG( 1 ), STATE_NUM_623_139 );
goto _LOOP_226_86;
}}}
}

obj_t
#if defined( __STDC__ )
__BUILD_AUTOMATA___RGC_AUTOMATA_178(obj_t ENV_580_210,obj_t NB_STATES_222_250,obj_t STATES_223_4,obj_t T_TRAP_224_85)
#else
__BUILD_AUTOMATA___RGC_AUTOMATA_178( ENV_580_210, NB_STATES_222_250, STATES_223_4, T_TRAP_224_85 )
obj_t ENV_580_210, NB_STATES_222_250, STATES_223_4, T_TRAP_224_85;
#endif
{

return BUILD_AUTOMATA___RGC_AUTOMATA_166( NB_STATES_222_250, STATES_223_4, T_TRAP_224_85 );
}

static obj_t
#if defined( __STDC__ )
DECL_AUTO_STATE___RGC_AUTOMATA_125(obj_t NB_STATES_229_221,obj_t STATE_NUM_230_149,obj_t STATES_231_65,obj_t ACCEPT__232_223)
#else
DECL_AUTO_STATE___RGC_AUTOMATA_125( NB_STATES_229_221, STATE_NUM_230_149, STATES_231_65, ACCEPT__232_223 )
obj_t NB_STATES_229_221, STATE_NUM_230_149, STATES_231_65, ACCEPT__232_223;
#endif
{

{obj_t STATE_NAME_233_67;
{obj_t STRING_318_1;
{obj_t STRING_CAST_533_246;
STRING_CAST_533_246=BREF( &STATE__1___RGC_AUTOMATA_68);{obj_t AUX_619_66;
AUX_619_66=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( STATE_NUM_230_149, BNIL );STRING_318_1=string_append( STRING_CAST_533_246, AUX_619_66 );}}STATE_NAME_233_67=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_318_1 ) );}{obj_t KIND_234_204;
KIND_234_204=KIND_OF_CODE___RGC_AUTOMATA_19( NB_STATES_229_221, STATE_NUM_230_149, STATES_231_65 );{obj_t CASE_VALUE_236_187;
CASE_VALUE_236_187=CAR( KIND_234_204 );if( EQP( CASE_VALUE_236_187, NO_CODE_4___RGC_AUTOMATA_246 ))
{
{obj_t R_322_92;
R_322_92=__UNCODED_STATE____RGC_AUTOMATA_219;__UNCODED_STATE____RGC_AUTOMATA_219=ADD_I_PTAG( PSUB_TAG( 1 ), R_322_92 );}
return BFALSE;
}else
if( EQP( CASE_VALUE_236_187, COMPACT_5___RGC_AUTOMATA_224 ))
{
{obj_t Z2_327_29;
{obj_t PAIR_329_181;
{obj_t PAIR_332_194;
{obj_t PAIR_333_185;
PAIR_333_185=CDR( KIND_234_204 );PAIR_332_194=CDR( PAIR_333_185 );}PAIR_329_181=CDR( PAIR_332_194 );}{obj_t C_CAR_330_79;
C_CAR_330_79=CAR( PAIR_329_181 );{obj_t AUX_620_6;
AUX_620_6=COMPUTE_LOOPING___RGC_OPTIMIZE_118( STATE_NUM_230_149, C_CAR_330_79, ACCEPT__232_223, NB_STATES_229_221 );if( BBOOL_TO_CBOOL( AUX_620_6 ))
Z2_327_29=BINT( 1 );else
Z2_327_29=BINT( 0 );}}}{obj_t Z1_326_88;
Z1_326_88=__NB_LOOPING____RGC_AUTOMATA_80;__NB_LOOPING____RGC_AUTOMATA_80=ADD_I( Z1_326_88, Z2_327_29 );}}
{obj_t COST_237_153;
{obj_t PAIR_335_143;
PAIR_335_143=CDR( KIND_234_204 );COST_237_153=CAR( PAIR_335_143 );}{
{obj_t Z1_336_74;
Z1_336_74=__COST____RGC_AUTOMATA_190;__COST____RGC_AUTOMATA_190=ADD_I( Z1_336_74, COST_237_153 );}
{obj_t N2_339_214;
N2_339_214=__COST_MAX____RGC_AUTOMATA_220;if( GT_I( COST_237_153, N2_339_214 ))
{
__COST_MAX____RGC_AUTOMATA_220=COST_237_153;
{obj_t VA_ARG_534_164;
{obj_t STRING_CAST_538_180;
STRING_CAST_538_180=BREF( &____6___RGC_AUTOMATA_177);VA_ARG_534_164=MAKE_PAIR( STRING_CAST_538_180, BNIL );}{obj_t VA_ARG_535_29;
{obj_t AUX_621_24;
AUX_621_24=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( STATE_NUM_230_149, BNIL );VA_ARG_535_29=MAKE_PAIR( AUX_621_24, VA_ARG_534_164 );}{obj_t VA_ARG_536_194;
{obj_t STRING_CAST_537_96;
STRING_CAST_537_96=BREF( &MAX_COST_7___RGC_AUTOMATA_142);VA_ARG_536_194=MAKE_PAIR( STRING_CAST_537_96, VA_ARG_535_29 );}__STATE_MAX_COST____RGC_AUTOMATA_15=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_536_194 );}}}
}else
BFALSE;}
{obj_t PAIR_341_2;
{obj_t PAIR_343_115;
PAIR_343_115=CDR( KIND_234_204 );PAIR_341_2=CDR( PAIR_343_115 );}{obj_t C_CAR_342_46;
C_CAR_342_46=CAR( PAIR_341_2 );{obj_t PAIR_344_210;
{obj_t PAIR_346_67;
{obj_t PAIR_347_186;
PAIR_347_186=CDR( KIND_234_204 );PAIR_346_67=CDR( PAIR_347_186 );}PAIR_344_210=CDR( PAIR_346_67 );}{obj_t C_CAR_345_168;
C_CAR_345_168=CAR( PAIR_344_210 );return DECL_CSTATE___RGC_CSTATE_168( STATE_NAME_233_67, ACCEPT__232_223, STATE_NUM_230_149, C_CAR_342_46, C_CAR_345_168 );}}}}
}}
}else
if( EQP( CASE_VALUE_236_187, UNCOMPAC_8___RGC_AUTOMATA_98 ))
{
{obj_t Z2_349_184;
{obj_t PAIR_350_91;
PAIR_350_91=CDR( KIND_234_204 );{obj_t C_CAR_351_80;
C_CAR_351_80=CAR( PAIR_350_91 );{obj_t AUX_622_81;
AUX_622_81=COMPUTE_LOOPING___RGC_OPTIMIZE_118( STATE_NUM_230_149, C_CAR_351_80, ACCEPT__232_223, NB_STATES_229_221 );if( BBOOL_TO_CBOOL( AUX_622_81 ))
Z2_349_184=BINT( 1 );else
Z2_349_184=BINT( 0 );}}}{obj_t Z1_348_133;
Z1_348_133=__NB_LOOPING____RGC_AUTOMATA_80;__NB_LOOPING____RGC_AUTOMATA_80=ADD_I( Z1_348_133, Z2_349_184 );}}
{obj_t R_352_187;
R_352_187=__UNCOMPACT_STATE____RGC_AUTOMATA_227;__UNCOMPACT_STATE____RGC_AUTOMATA_227=ADD_I_PTAG( PSUB_TAG( 1 ), R_352_187 );}
{obj_t PAIR_354_81;
PAIR_354_81=CDR( KIND_234_204 );{obj_t C_CAR_355_195;
C_CAR_355_195=CAR( PAIR_354_81 );return DECL_USTATE___RGC_USTATE_4( STATE_NAME_233_67, C_CAR_355_195, ACCEPT__232_223, NB_STATES_229_221, STATE_NUM_230_149 );}}
}else
return BFALSE;}}}
}

static obj_t
#if defined( __STDC__ )
KIND_OF_CODE___RGC_AUTOMATA_19(obj_t NB_STATES_238_31,obj_t STATE_NUM_239_37,obj_t STATES_240_74)
#else
KIND_OF_CODE___RGC_AUTOMATA_19( NB_STATES_238_31, STATE_NUM_239_37, STATES_240_74 )
obj_t NB_STATES_238_31, STATE_NUM_239_37, STATES_240_74;
#endif
{

{obj_t ALPHA_ELSE_243_66;
obj_t TMP_242_10;
obj_t ELSE_C_T_241_181;
{obj_t R_356_226;
R_356_226=__RGC_LAST_CHAR____RGC_PARAM_157;ALPHA_ELSE_243_66=make_vector( ADD_I_PTAG( PSUB_TAG( 1 ), R_356_226 ), BTRUE );}TMP_242_10=make_vector( NB_STATES_238_31, BNIL );ELSE_C_T_241_181=MAKE_CELL( DUMMY_9___RGC_AUTOMATA_43 );{obj_t ABORT_244_139;
ABORT_244_139=BFALSE;{obj_t FLECHE__246_167;
{obj_t C_VECTOR_REF_372_249;
C_VECTOR_REF_372_249=VECTOR_REF( STATES_240_74, STATE_NUM_239_37 );{obj_t AUX_618_60;
{
FLECHE__246_167=C_VECTOR_REF_372_249;
{_LOOP_245_166:

if( NULLP( FLECHE__246_167 ))
AUX_618_60=ABORT_244_139;else
{obj_t PR_247_183;
PR_247_183=CAR( FLECHE__246_167 );{obj_t LETTRE_249_40, NEW_STATE_248_119;
LETTRE_249_40=CAR( PR_247_183 );NEW_STATE_248_119=CDR( PR_247_183 );if( CHARP( LETTRE_249_40 ))
{
ABORT_244_139=BTRUE;
{obj_t K_363_164;
K_363_164=CHAR_TO_INT( LETTRE_249_40 );VECTOR_SET( ALPHA_ELSE_243_66, K_363_164, BFALSE );}
{obj_t OBJ_365_18;
{obj_t OBJ2_367_184;
OBJ2_367_184=VECTOR_REF( TMP_242_10, NEW_STATE_248_119 );{obj_t OBJ1_366_18;
OBJ1_366_18=CHAR_TO_INT( LETTRE_249_40 );OBJ_365_18=MAKE_PAIR( OBJ1_366_18, OBJ2_367_184 );}}VECTOR_SET( TMP_242_10, NEW_STATE_248_119, OBJ_365_18 );}
{obj_t C_CDR_370_191;
C_CDR_370_191=CDR( FLECHE__246_167 );{
FLECHE__246_167=C_CDR_370_191;
goto _LOOP_245_166;
}}
}else
{obj_t C_CDR_371_108;
C_CDR_371_108=CDR( FLECHE__246_167 );{
FLECHE__246_167=C_CDR_371_108;
goto _LOOP_245_166;
}}}}}
}if( BBOOL_TO_CBOOL( AUX_618_60 ))
{
{obj_t ELSE_ALPHA_250_67;
{obj_t I_252_142, L_253_120;
{
L_253_120=BNIL;
I_252_142=__RGC_FIRST_CHAR____RGC_PARAM_219;
{_LOOP_251_234:

{obj_t N2_373_48;
N2_373_48=__RGC_LAST_CHAR____RGC_PARAM_157;if( EQ_I( I_252_142, N2_373_48 ))
ELSE_ALPHA_250_67=L_253_120;else
{bool_t C_VECTOR_REF_583_10;
C_VECTOR_REF_583_10=BBOOL_TO_CBOOL( VECTOR_REF( ALPHA_ELSE_243_66, I_252_142 ) );if( C_VECTOR_REF_583_10)
{obj_t C_CONS_378_72;
C_CONS_378_72=MAKE_PAIR( I_252_142, L_253_120 );{obj_t I_610_25;
I_610_25=I_252_142;{
L_253_120=C_CONS_378_72;
I_252_142=ADD_I_PTAG( I_610_25, PSUB_TAG( 1 ) );
goto _LOOP_251_234;
}}}else
{obj_t I_611_110;
I_611_110=I_252_142;{
I_252_142=ADD_I_PTAG( I_611_110, PSUB_TAG( 1 ) );
goto _LOOP_251_234;
}}}}}
}}{obj_t AUX_612_41;
AUX_612_41=COST_TEST___RGC_AUTOMATA_204( ELSE_ALPHA_250_67, ABORT_10___RGC_AUTOMATA_60 );CELL_SET( ELSE_C_T_241_181, AUX_612_41 );}}
{obj_t I_255_246, L_256_229;
{
L_256_229=BNIL;
I_255_246=BINT( 0 );
{_LOOP_254_197:

if( EQ_I( I_255_246, NB_STATES_238_31 ))
{obj_t C_257_207;
{obj_t R_380_223;
R_380_223=LOOP_258_40( ELSE_C_T_241_181, L_256_229 );C_257_207=ADD_I_PTAG( PSUB_TAG( 1 ), R_380_223 );}{obj_t N2_396_35;
N2_396_35=__RGC_COMPACT____RGC_PARAM_175;if( GT_I( C_257_207, N2_396_35 ))
{obj_t C_CONS_398_39;
C_CONS_398_39=MAKE_PAIR( TMP_242_10, BNIL );return MAKE_PAIR( UNCOMPAC_8___RGC_AUTOMATA_98, C_CONS_398_39 );}else
{obj_t C_CONS_403_171;
{obj_t C_CONS_402_5;
{obj_t C_CONS_401_11;
{obj_t C_CONS_400_126;
C_CONS_400_126=MAKE_PAIR( TMP_242_10, BNIL );{obj_t AUX_613_254;
AUX_613_254=CELL_REF( ELSE_C_T_241_181 );C_CONS_401_11=MAKE_PAIR( AUX_613_254, C_CONS_400_126 );}}C_CONS_402_5=MAKE_PAIR( L_256_229, C_CONS_401_11 );}C_CONS_403_171=MAKE_PAIR( C_257_207, C_CONS_402_5 );}return MAKE_PAIR( COMPACT_5___RGC_AUTOMATA_224, C_CONS_403_171 );}}}else
{obj_t REF_260_61;
REF_260_61=VECTOR_REF( TMP_242_10, I_255_246 );if( NULLP( REF_260_61 ))
{obj_t I_614_119;
I_614_119=I_255_246;{
I_255_246=ADD_I_PTAG( PSUB_TAG( 1 ), I_614_119 );
goto _LOOP_254_197;
}}else
{obj_t AUX_615_241;
{obj_t AUX_616_79;
AUX_616_79=COST_TEST___RGC_AUTOMATA_204( REF_260_61, I_255_246 );AUX_615_241=SMART_INSORT_COST____RGC_AUTOMATA_198( AUX_616_79, L_256_229 );}{obj_t I_617_97;
I_617_97=I_255_246;{
L_256_229=AUX_615_241;
I_255_246=ADD_I_PTAG( PSUB_TAG( 1 ), I_617_97 );
goto _LOOP_254_197;
}}}}}
}}
}else
return LIST_11___RGC_AUTOMATA_44;}}}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_258_40(obj_t ELSE_C_T_241_181,obj_t L_259_248)
#else
LOOP_258_40( ELSE_C_T_241_181, L_259_248 )
obj_t ELSE_C_T_241_181, L_259_248;
#endif
{

if( NULLP( L_259_248 ))
return BINT( 0 );else
{obj_t OBJ_382_68;
OBJ_382_68=CDR( L_259_248 );if( NULLP( OBJ_382_68 ))
{obj_t N2_384_186;
{obj_t PAIR_386_59;
PAIR_386_59=CELL_REF( ELSE_C_T_241_181 );N2_384_186=CAR( PAIR_386_59 );}{obj_t N1_383_198;
{obj_t PAIR_385_137;
PAIR_385_137=CAR( L_259_248 );N1_383_198=CAR( PAIR_385_137 );}if( GT_I( N1_383_198, N2_384_186 ))
{obj_t PAIR_387_74;
PAIR_387_74=CELL_REF( ELSE_C_T_241_181 );return CAR( PAIR_387_74 );}else
{obj_t PAIR_389_126;
PAIR_389_126=CAR( L_259_248 );return CAR( PAIR_389_126 );}}}else
{obj_t Z2_392_219;
Z2_392_219=LOOP_258_40( ELSE_C_T_241_181, OBJ_382_68 );{obj_t Z1_391_110;
{obj_t PAIR_394_10;
PAIR_394_10=CAR( L_259_248 );Z1_391_110=CAR( PAIR_394_10 );}return ADD_I( Z1_391_110, Z2_392_219 );}}}
}

static obj_t
#if defined( __STDC__ )
SMART_INSORT_COST____RGC_AUTOMATA_198(obj_t COST_CELL_261_94,obj_t L_262_221)
#else
SMART_INSORT_COST____RGC_AUTOMATA_198( COST_CELL_261_94, L_262_221 )
obj_t COST_CELL_261_94, L_262_221;
#endif
{

if( NULLP( L_262_221 ))
{obj_t OBJ2_406_67;
OBJ2_406_67=BNIL;return MAKE_PAIR( COST_CELL_261_94, OBJ2_406_67 );}else
{obj_t N2_409_228;
{obj_t PAIR_410_189;
PAIR_410_189=CAR( L_262_221 );N2_409_228=CAR( PAIR_410_189 );}{obj_t N1_408_140;
N1_408_140=CAR( COST_CELL_261_94 );if( GT_I( N1_408_140, N2_409_228 ))
{
{obj_t OBJ_413_196;
{obj_t C_CDR_414_41;
C_CDR_414_41=CDR( L_262_221 );OBJ_413_196=SMART_INSORT_COST____RGC_AUTOMATA_198( COST_CELL_261_94, C_CDR_414_41 );}SET_CDR( L_262_221, OBJ_413_196 );}
return L_262_221;
}else
{
{obj_t OBJ_415_94;
{obj_t OBJ2_417_24;
OBJ2_417_24=CDR( L_262_221 );{obj_t OBJ1_416_29;
OBJ1_416_29=CAR( L_262_221 );OBJ_415_94=MAKE_PAIR( OBJ1_416_29, OBJ2_417_24 );}}SET_CDR( L_262_221, OBJ_415_94 );}
SET_CAR( L_262_221, COST_CELL_261_94 );
return L_262_221;
}}}
}

static obj_t
#if defined( __STDC__ )
COST_TEST___RGC_AUTOMATA_204(obj_t LETTRE__263_28,obj_t NEW_STATE_264_197)
#else
COST_TEST___RGC_AUTOMATA_204( LETTRE__263_28, NEW_STATE_264_197 )
obj_t LETTRE__263_28, NEW_STATE_264_197;
#endif
{

{obj_t NEW_ALPHA_265_46;
{obj_t L_420_27;
L_420_27=__RGC_LAST_CHAR____RGC_PARAM_157;NEW_ALPHA_265_46=make_vector( ADD_I_PTAG( L_420_27, PSUB_TAG( 1 ) ), BFALSE );}{obj_t LETTRE__281_135, LETTRE__284_38, NOT__293_164;
if( NULLP( LETTRE__263_28 ))
return MAKE_COST_CELL_268_56( BINT( 0 ), NO_TEST_13___RGC_AUTOMATA_237, NO_STATE_14___RGC_AUTOMATA_228 );else
{
{
LETTRE__281_135=LETTRE__263_28;
{
{obj_t L_283_204;
{
L_283_204=LETTRE__281_135;
{_LOOP_282_132:

if( NULLP( L_283_204 ))
DONE_12___RGC_AUTOMATA_138;else
{
{obj_t K_461_18;
K_461_18=CAR( L_283_204 );VECTOR_SET( NEW_ALPHA_265_46, K_461_18, BTRUE );}
{obj_t C_CDR_462_46;
C_CDR_462_46=CDR( L_283_204 );{
L_283_204=C_CDR_462_46;
goto _LOOP_282_132;
}}
}}
}}}
}
{obj_t NOT_TEST_270_145;
{obj_t N2_464_73;
{obj_t Z1_467_112;
{obj_t L_470_239;
L_470_239=__RGC_LAST_CHAR____RGC_PARAM_157;Z1_467_112=SUB_I_PTAG( L_470_239, PSUB_TAG( 1 ) );}N2_464_73=DIV_I( Z1_467_112, BINT( 2 ) );}{obj_t N1_463_87;
N1_463_87=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LETTRE__263_28 );NOT_TEST_270_145=CBOOL_TO_BBOOL( GT_I( N1_463_87, N2_464_73 ) );}}{obj_t ALPHA_271_241;
if( BBOOL_TO_CBOOL( NOT_TEST_270_145 ))
{
LETTRE__284_38=LETTRE__263_28;
{
{obj_t I_286_7, L_287_220;
{
L_287_220=BNIL;
I_286_7=__RGC_FIRST_CHAR____RGC_PARAM_219;
{_LOOP_285_14:

{obj_t N2_452_130;
N2_452_130=__RGC_LAST_CHAR____RGC_PARAM_157;if( EQ_I( I_286_7, N2_452_130 ))
{obj_t J_289_50;
{
J_289_50=BINT( 0 );
{_LIIP_288_46:

{obj_t N2_453_122;
N2_453_122=__RGC_FIRST_CHAR____RGC_PARAM_219;if( EQ_I( J_289_50, N2_453_122 ))
ALPHA_271_241=L_287_220;else
{
VECTOR_SET( NEW_ALPHA_265_46, J_289_50, BTRUE );
{obj_t OBJ2_454_169;
OBJ2_454_169=L_287_220;L_287_220=MAKE_PAIR( J_289_50, OBJ2_454_169 );}
{obj_t J_593_209;
J_593_209=J_289_50;{
J_289_50=ADD_I_PTAG( J_593_209, PSUB_TAG( 1 ) );
goto _LIIP_288_46;
}}
}}}
}}else
{bool_t C_VECTOR_REF_588_203;
C_VECTOR_REF_588_203=BBOOL_TO_CBOOL( VECTOR_REF( NEW_ALPHA_265_46, I_286_7 ) );if( C_VECTOR_REF_588_203)
{
VECTOR_SET( NEW_ALPHA_265_46, I_286_7, BFALSE );
{obj_t I_594_173;
I_594_173=I_286_7;{
I_286_7=ADD_I_PTAG( I_594_173, PSUB_TAG( 1 ) );
goto _LOOP_285_14;
}}
}else
{
VECTOR_SET( NEW_ALPHA_265_46, I_286_7, BTRUE );
{obj_t OBJ2_459_30;
OBJ2_459_30=L_287_220;{obj_t C_CONS_460_250;
C_CONS_460_250=MAKE_PAIR( I_286_7, OBJ2_459_30 );{obj_t I_595_73;
I_595_73=I_286_7;{
L_287_220=C_CONS_460_250;
I_286_7=ADD_I_PTAG( I_595_73, PSUB_TAG( 1 ) );
goto _LOOP_285_14;
}}}}
}}}}
}}}
}else
ALPHA_271_241=LETTRE__263_28;{obj_t LEN_272_55;
LEN_272_55=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( ALPHA_271_241 );{obj_t CELL_273_32;
if( EQ_I( LEN_272_55, BINT( 1 ) ))
{obj_t VA_ARG_539_121;
VA_ARG_539_121=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_540_119;
{obj_t C_CAR_472_167;
C_CAR_472_167=CAR( ALPHA_271_241 );VA_ARG_540_119=MAKE_PAIR( C_CAR_472_167, VA_ARG_539_121 );}{obj_t VA_ARG_541_132;
VA_ARG_541_132=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_540_119 );{obj_t AUX_596_145;
AUX_596_145=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_541_132 );CELL_273_32=MAKE_COST_CELL_268_56( BINT( 1 ), AUX_596_145, NEW_STATE_264_197 );}}}}else
if( EQ_I( LEN_272_55, BINT( 2 ) ))
{obj_t VA_ARG_542_174;
VA_ARG_542_174=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_543_97;
{obj_t VA_ARG_548_51;
VA_ARG_548_51=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_549_140;
{obj_t PAIR_474_108;
PAIR_474_108=CDR( ALPHA_271_241 );{obj_t C_CAR_475_172;
C_CAR_475_172=CAR( PAIR_474_108 );VA_ARG_549_140=MAKE_PAIR( C_CAR_475_172, VA_ARG_548_51 );}}{obj_t VA_ARG_550_43;
VA_ARG_550_43=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_549_140 );{obj_t AUX_597_16;
AUX_597_16=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_550_43 );VA_ARG_543_97=MAKE_PAIR( AUX_597_16, VA_ARG_542_174 );}}}}{obj_t VA_ARG_544_25;
{obj_t VA_ARG_545_110;
VA_ARG_545_110=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_546_14;
{obj_t C_CAR_473_183;
C_CAR_473_183=CAR( ALPHA_271_241 );VA_ARG_546_14=MAKE_PAIR( C_CAR_473_183, VA_ARG_545_110 );}{obj_t VA_ARG_547_1;
VA_ARG_547_1=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_546_14 );{obj_t AUX_598_195;
AUX_598_195=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_547_1 );VA_ARG_544_25=MAKE_PAIR( AUX_598_195, VA_ARG_543_97 );}}}}{obj_t AUX_599_175;
AUX_599_175=CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_17___RGC_AUTOMATA_154, VA_ARG_544_25 );CELL_273_32=MAKE_COST_CELL_268_56( BINT( 3 ), AUX_599_175, NEW_STATE_264_197 );}}}}else
{obj_t INTERVALS__274_111;
{
NOT__293_164=NOT_TEST_270_145;
{
{obj_t L_296_230, START_295_116, END_294_134;
L_296_230=BNIL;START_295_116=BFALSE;{obj_t R_422_227;
R_422_227=__RGC_LAST_CHAR____RGC_PARAM_157;END_294_134=ADD_I_PTAG( PSUB_TAG( 1 ), R_422_227 );}{obj_t I_298_154;
{
if( BBOOL_TO_CBOOL( NOT__293_164 ))
I_298_154=BINT( 0 );else
I_298_154=__RGC_FIRST_CHAR____RGC_PARAM_219;
{_FOR_297_177:

{obj_t N2_424_5;
N2_424_5=__RGC_LAST_CHAR____RGC_PARAM_157;if( EQ_I( I_298_154, N2_424_5 ))
{
{bool_t __andtest_1000_589_190;
__andtest_1000_589_190=BBOOL_TO_CBOOL( START_295_116 );{if( __andtest_1000_589_190)
{bool_t OBJ_590_137;
{obj_t AUX_600_20;
{obj_t N2_427_11;
{obj_t R_428_53;
R_428_53=END_294_134;N2_427_11=ADD_I_PTAG( PSUB_TAG( 1 ), R_428_53 );}AUX_600_20=CBOOL_TO_BBOOL( EQ_I( I_298_154, N2_427_11 ) );}OBJ_590_137=BBOOL_TO_CBOOL( AUX_600_20 );}if( OBJ_590_137)
goto _false_1;else
goto _true_0;}else
goto _false_1;_true_0:
{obj_t OBJ2_431_6;
OBJ2_431_6=L_296_230;{obj_t OBJ1_430_67;
{obj_t OBJ2_433_81;
OBJ2_433_81=END_294_134;{obj_t OBJ1_432_210;
OBJ1_432_210=START_295_116;OBJ1_430_67=MAKE_PAIR( OBJ1_432_210, OBJ2_433_81 );}}{L_296_230=MAKE_PAIR( OBJ1_430_67, OBJ2_431_6 );
goto _endif_2;}}}_false_1:
BFALSE;_endif_2:
;
}}
INTERVALS__274_111=L_296_230;
}else
{
{bool_t C_VECTOR_REF_591_173;
C_VECTOR_REF_591_173=BBOOL_TO_CBOOL( VECTOR_REF( NEW_ALPHA_265_46, I_298_154 ) );if( C_VECTOR_REF_591_173)
{
VECTOR_SET( NEW_ALPHA_265_46, I_298_154, BFALSE );
if( BBOOL_TO_CBOOL( START_295_116 ))
{obj_t N2_435_31;
{obj_t R_436_131;
R_436_131=END_294_134;N2_435_31=ADD_I_PTAG( PSUB_TAG( 1 ), R_436_131 );}if( EQ_I( I_298_154, N2_435_31 ))
END_294_134=I_298_154;else
{
{obj_t OBJ2_439_251;
OBJ2_439_251=L_296_230;{obj_t OBJ1_438_57;
{obj_t OBJ2_441_58;
OBJ2_441_58=END_294_134;{obj_t OBJ1_440_1;
OBJ1_440_1=START_295_116;OBJ1_438_57=MAKE_PAIR( OBJ1_440_1, OBJ2_441_58 );}}L_296_230=MAKE_PAIR( OBJ1_438_57, OBJ2_439_251 );}}
END_294_134=I_298_154;
START_295_116=I_298_154;
}}else
{
START_295_116=I_298_154;
END_294_134=I_298_154;
}
}else
if( BBOOL_TO_CBOOL( START_295_116 ))
{
{obj_t OBJ2_443_78;
OBJ2_443_78=L_296_230;{obj_t OBJ1_442_110;
{obj_t OBJ2_445_181;
OBJ2_445_181=END_294_134;{obj_t OBJ1_444_97;
OBJ1_444_97=START_295_116;OBJ1_442_110=MAKE_PAIR( OBJ1_444_97, OBJ2_445_181 );}}L_296_230=MAKE_PAIR( OBJ1_442_110, OBJ2_443_78 );}}
{obj_t R_446_190;
R_446_190=__RGC_LAST_CHAR____RGC_PARAM_157;END_294_134=ADD_I_PTAG( PSUB_TAG( 1 ), R_446_190 );}
START_295_116=BFALSE;
}else
BFALSE;}
{obj_t I_601_204;
I_601_204=I_298_154;{
I_298_154=ADD_I_PTAG( I_601_204, PSUB_TAG( 1 ) );
goto _FOR_297_177;
}}
}}}
}}}}
}{obj_t RES_275_24;
RES_275_24=BNIL;{obj_t COST_276_163;
COST_276_163=BINT( 0 );{
{obj_t I__278_131;
{
I__278_131=INTERVALS__274_111;
{_LOOP_277_138:

if( NULLP( I__278_131 ))
BNIL;else
{
{obj_t PR_279_79;
PR_279_79=CAR( I__278_131 );{obj_t LEN_280_230;
{obj_t Z2_479_61;
Z2_479_61=CAR( PR_279_79 );{obj_t Z1_478_212;
Z1_478_212=CDR( PR_279_79 );LEN_280_230=SUB_I( Z1_478_212, Z2_479_61 );}}if( EQP( LEN_280_230, BINT( 0 ) ))
{
{obj_t OBJ2_481_11;
OBJ2_481_11=RES_275_24;{obj_t OBJ1_480_170;
{obj_t VA_ARG_551_196;
VA_ARG_551_196=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_552_204;
{obj_t C_CAR_482_26;
C_CAR_482_26=CAR( PR_279_79 );VA_ARG_552_204=MAKE_PAIR( C_CAR_482_26, VA_ARG_551_196 );}{obj_t VA_ARG_553_247;
VA_ARG_553_247=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_552_204 );OBJ1_480_170=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_553_247 );}}}RES_275_24=MAKE_PAIR( OBJ1_480_170, OBJ2_481_11 );}}
{obj_t R_483_58;
R_483_58=COST_276_163;COST_276_163=ADD_I_PTAG( PSUB_TAG( 1 ), R_483_58 );}
}else
if( EQP( LEN_280_230, BINT( 1 ) ))
{
{obj_t L_485_188;
{obj_t VA_ARG_554_212;
VA_ARG_554_212=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_555_224;
{obj_t C_CAR_486_4;
C_CAR_486_4=CAR( PR_279_79 );VA_ARG_555_224=MAKE_PAIR( C_CAR_486_4, VA_ARG_554_212 );}{obj_t VA_ARG_556_220;
VA_ARG_556_220=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_555_224 );{obj_t C_CONS_488_104;
{obj_t VA_ARG_557_94;
VA_ARG_557_94=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_558_32;
{obj_t C_CDR_487_185;
C_CDR_487_185=CDR( PR_279_79 );VA_ARG_558_32=MAKE_PAIR( C_CDR_487_185, VA_ARG_557_94 );}{obj_t VA_ARG_559_13;
VA_ARG_559_13=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_558_32 );{obj_t AUX_602_24;
AUX_602_24=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_559_13 );C_CONS_488_104=MAKE_PAIR( AUX_602_24, BNIL );}}}}{obj_t AUX_603_6;
AUX_603_6=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC____16___RGC_AUTOMATA_26, VA_ARG_556_220 );L_485_188=MAKE_PAIR( AUX_603_6, C_CONS_488_104 );}}}}}RES_275_24=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( L_485_188, RES_275_24 );}
{obj_t L_489_87;
L_489_87=COST_276_163;COST_276_163=ADD_I_PTAG( L_489_87, PSUB_TAG( 2 ) );}
}else
{obj_t N1_491_3;
N1_491_3=CAR( PR_279_79 );if( EQ_I( N1_491_3, BINT( 0 ) ))
{
{obj_t OBJ2_493_240;
OBJ2_493_240=RES_275_24;{obj_t OBJ1_492_38;
{obj_t VA_ARG_560_13;
VA_ARG_560_13=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_561_32;
{obj_t C_CDR_494_219;
C_CDR_494_219=CDR( PR_279_79 );VA_ARG_561_32=MAKE_PAIR( C_CDR_494_219, VA_ARG_560_13 );}{obj_t VA_ARG_562_199;
VA_ARG_562_199=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_561_32 );OBJ1_492_38=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC_____18___RGC_AUTOMATA_94, VA_ARG_562_199 );}}}RES_275_24=MAKE_PAIR( OBJ1_492_38, OBJ2_493_240 );}}
{obj_t R_495_186;
R_495_186=COST_276_163;COST_276_163=ADD_I_PTAG( PSUB_TAG( 1 ), R_495_186 );}
}else
{obj_t N2_498_13;
N2_498_13=__RGC_LAST_CHAR____RGC_PARAM_157;{obj_t N1_497_93;
N1_497_93=CDR( PR_279_79 );if( EQ_I( N1_497_93, N2_498_13 ))
{
{obj_t OBJ2_500_197;
OBJ2_500_197=RES_275_24;{obj_t OBJ1_499_37;
{obj_t VA_ARG_563_187;
VA_ARG_563_187=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_564_18;
VA_ARG_564_18=MAKE_PAIR( N1_491_3, VA_ARG_563_187 );{obj_t VA_ARG_565_214;
VA_ARG_565_214=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_564_18 );OBJ1_499_37=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC_____19___RGC_AUTOMATA_250, VA_ARG_565_214 );}}}RES_275_24=MAKE_PAIR( OBJ1_499_37, OBJ2_500_197 );}}
{obj_t R_502_135;
R_502_135=COST_276_163;COST_276_163=ADD_I_PTAG( PSUB_TAG( 1 ), R_502_135 );}
}else
{
{obj_t OBJ2_505_234;
OBJ2_505_234=RES_275_24;{obj_t OBJ1_504_2;
{obj_t VA_ARG_566_84;
VA_ARG_566_84=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_567_226;
{obj_t VA_ARG_572_116;
VA_ARG_572_116=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_573_95;
VA_ARG_573_95=MAKE_PAIR( N1_497_93, VA_ARG_572_116 );{obj_t VA_ARG_574_192;
VA_ARG_574_192=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_573_95 );{obj_t AUX_604_92;
AUX_604_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC_____18___RGC_AUTOMATA_94, VA_ARG_574_192 );VA_ARG_567_226=MAKE_PAIR( AUX_604_92, VA_ARG_566_84 );}}}}{obj_t VA_ARG_568_196;
{obj_t VA_ARG_569_43;
VA_ARG_569_43=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_570_206;
{obj_t C_CAR_506_110;
C_CAR_506_110=CAR( PR_279_79 );VA_ARG_570_206=MAKE_PAIR( C_CAR_506_110, VA_ARG_569_43 );}{obj_t VA_ARG_571_35;
VA_ARG_571_35=MAKE_PAIR( C_15___RGC_AUTOMATA_118, VA_ARG_570_206 );{obj_t AUX_605_91;
AUX_605_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( RGC_____19___RGC_AUTOMATA_250, VA_ARG_571_35 );VA_ARG_568_196=MAKE_PAIR( AUX_605_91, VA_ARG_567_226 );}}}}OBJ1_504_2=CONS____R4_PAIRS_AND_LISTS_6_3_28( AND_20___RGC_AUTOMATA_80, VA_ARG_568_196 );}}}RES_275_24=MAKE_PAIR( OBJ1_504_2, OBJ2_505_234 );}}
{obj_t L_508_120;
L_508_120=COST_276_163;COST_276_163=ADD_I_PTAG( L_508_120, PSUB_TAG( 3 ) );}
}}}}}}
{obj_t C_CDR_510_132;
C_CDR_510_132=CDR( I__278_131 );{
I__278_131=C_CDR_510_132;
goto _LOOP_277_138;
}}
}}
}}
{obj_t PAIR_511_51;
PAIR_511_51=RES_275_24;{bool_t C_CDR_587_93;
C_CDR_587_93=BBOOL_TO_CBOOL( CDR( PAIR_511_51 ) );if( C_CDR_587_93)
{obj_t Z2_514_216;
{obj_t L_516_232;
L_516_232=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RES_275_24 );Z2_514_216=SUB_I_PTAG( L_516_232, PSUB_TAG( 1 ) );}{obj_t Z1_513_77;
Z1_513_77=COST_276_163;{obj_t VA_ARG_575_252;
{obj_t AUX_606_17;
{obj_t AUX_607_127;
AUX_607_127=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_606_17=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( RES_275_24, AUX_607_127 );}VA_ARG_575_252=MAKE_PAIR( AUX_606_17, BNIL );}{obj_t AUX_608_207;
AUX_608_207=CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_17___RGC_AUTOMATA_154, VA_ARG_575_252 );CELL_273_32=MAKE_COST_CELL_268_56( ADD_I( Z1_513_77, Z2_514_216 ), AUX_608_207, NEW_STATE_264_197 );}}}}else
{obj_t PAIR_518_132;
PAIR_518_132=RES_275_24;{obj_t C_CAR_519_38;
C_CAR_519_38=CAR( PAIR_518_132 );CELL_273_32=MAKE_COST_CELL_268_56( COST_276_163, C_CAR_519_38, NEW_STATE_264_197 );}}}}
}}}}if( BBOOL_TO_CBOOL( NOT_TEST_270_145 ))
{obj_t R_520_96;
R_520_96=CAR( CELL_273_32 );{obj_t VA_ARG_576_221;
VA_ARG_576_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_577_54;
{obj_t PAIR_522_176;
PAIR_522_176=CDR( CELL_273_32 );{obj_t C_CAR_523_70;
C_CAR_523_70=CAR( PAIR_522_176 );VA_ARG_577_54=MAKE_PAIR( C_CAR_523_70, VA_ARG_576_221 );}}{obj_t PAIR_524_128;
{obj_t PAIR_526_60;
PAIR_526_60=CDR( CELL_273_32 );PAIR_524_128=CDR( PAIR_526_60 );}{obj_t C_CAR_525_58;
C_CAR_525_58=CAR( PAIR_524_128 );{obj_t AUX_609_225;
AUX_609_225=CONS____R4_PAIRS_AND_LISTS_6_3_28( NOT_21___RGC_AUTOMATA_24, VA_ARG_577_54 );return MAKE_COST_CELL_268_56( ADD_I_PTAG( PSUB_TAG( 1 ), R_520_96 ), AUX_609_225, C_CAR_525_58 );}}}}}}else
return CELL_273_32;}}}}
}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_COST_CELL_268_56(obj_t COST_290_158,obj_t TEST_291_67,obj_t STATE_292_152)
#else
MAKE_COST_CELL_268_56( COST_290_158, TEST_291_67, STATE_292_152 )
obj_t COST_290_158, TEST_291_67, STATE_292_152;
#endif
{

{obj_t C_CONS_451_222;
{obj_t C_CONS_450_235;
C_CONS_450_235=MAKE_PAIR( STATE_292_152, BNIL );C_CONS_451_222=MAKE_PAIR( TEST_291_67, C_CONS_450_235 );}return MAKE_PAIR( COST_290_158, C_CONS_451_222 );}
}

obj_t
#if defined( __STDC__ )
STATE__SYMBOL___RGC_AUTOMATA_156(obj_t NUM_300_248)
#else
STATE__SYMBOL___RGC_AUTOMATA_156( NUM_300_248 )
obj_t NUM_300_248;
#endif
{

{obj_t STRING_527_34;
{obj_t STRING_CAST_578_23;
STRING_CAST_578_23=BREF( &STATE__1___RGC_AUTOMATA_68);{obj_t AUX_592_189;
AUX_592_189=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( NUM_300_248, BNIL );STRING_527_34=string_append( STRING_CAST_578_23, AUX_592_189 );}}return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_527_34 ) );}
}

obj_t
#if defined( __STDC__ )
__STATE__SYMBOL___RGC_AUTOMATA_66(obj_t ENV_579_33,obj_t NUM_300_248)
#else
__STATE__SYMBOL___RGC_AUTOMATA_66( ENV_579_33, NUM_300_248 )
obj_t ENV_579_33, NUM_300_248;
#endif
{

return STATE__SYMBOL___RGC_AUTOMATA_156( NUM_300_248 );
}

