/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/dfa.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
static obj_t OK_6___RGC_DFA_131 = BUNSPEC;
DEFINE_STRING( UNION_4___RGC_DFA_196, "union", 5);
extern obj_t string_append();
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
#if defined( __STDC__ )
static obj_t MAKE_PREFIX_NAME___RGC_DFA_133(obj_t, obj_t);
#else
static obj_t MAKE_PREFIX_NAME___RGC_DFA_133();
#endif
extern obj_t _2____R4_NUMBERS_6_5_57();
DEFINE_STRING( A_POSITI_8___RGC_DFA_3, "a position occure twice: ", 25);
#if defined( __STDC__ )
extern obj_t DFA___RGC_DFA_125(obj_t);
#else
extern obj_t DFA___RGC_DFA_125();
#endif
extern obj_t VECTOR_GROW___RGC_TREE_36();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
static obj_t EPSILON_5___RGC_DFA_140 = BUNSPEC;
extern obj_t ___RGC_DFA_INITIALISATION___RGC_DFA_137();
extern obj_t ___RGC_TREE_INITIALISATION___RGC_TREE_226();
static obj_t ACCEPT_P_2___RGC_DFA_75 = BUNSPEC;
static obj_t DONE_0___RGC_DFA_70 = BUNSPEC;
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
obj_t DFA_ENV___RGC_DFA_99 = BUNSPEC;
extern obj_t ___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
extern obj_t __RGC_LAST_CHAR____RGC_PARAM_157;
static obj_t REQUIRE_INITIALISATION____RGC_DFA_94 = BUNSPEC;
DEFINE_STRING( STATE_3___RGC_DFA_118, "state", 5);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __DFA___RGC_DFA_72(obj_t, obj_t);
#else
extern obj_t __DFA___RGC_DFA_72();
#endif
extern obj_t make_vector();
obj_t ___RGC_DFA_INITIALISATION_ENV___RGC_DFA_183 = BUNSPEC;
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57();
static obj_t READ_DON_1___RGC_DFA_221 = BUNSPEC;
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
extern obj_t ____RGC_DFA_INITIALISATION___RGC_DFA_246(obj_t);
#else
extern obj_t ____RGC_DFA_INITIALISATION___RGC_DFA_246();
#endif
DEFINE_STRING( REGULAR__7___RGC_DFA_146, "regular-grammar", 15);
DEFINE_STRING( ___9___RGC_DFA_98, ".", 1);
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();

static obj_t MAKE_STATE_241_21();

obj_t
#if defined( __STDC__ )
___RGC_DFA_INITIALISATION___RGC_DFA_137()
#else
___RGC_DFA_INITIALISATION___RGC_DFA_137()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_DFA_94 ))
{
REQUIRE_INITIALISATION____RGC_DFA_94=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___RGC_TREE_INITIALISATION___RGC_TREE_226();
OK_6___RGC_DFA_131=c_string_to_symbol( "OK" );
ACCEPT_P_2___RGC_DFA_75=c_string_to_symbol( "ACCEPT-POSITION" );
EPSILON_5___RGC_DFA_140=c_string_to_symbol( "EPSILON" );
READ_DON_1___RGC_DFA_221=c_string_to_symbol( "READ-DONE" );
DONE_0___RGC_DFA_70=c_string_to_symbol( "DONE" );
{
___RGC_DFA_INITIALISATION_ENV___RGC_DFA_183=make_fx_procedure( ____RGC_DFA_INITIALISATION___RGC_DFA_246, 0, 0 );
DFA_ENV___RGC_DFA_99=make_fx_procedure( __DFA___RGC_DFA_72, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_DFA_INITIALISATION___RGC_DFA_246(obj_t ENV_523_77)
#else
____RGC_DFA_INITIALISATION___RGC_DFA_246( ENV_523_77 )
obj_t ENV_523_77;
#endif
{

return ___RGC_DFA_INITIALISATION___RGC_DFA_137();
}

obj_t
#if defined( __STDC__ )
DFA___RGC_DFA_125(obj_t TUPLE_222_104)
#else
DFA___RGC_DFA_125( TUPLE_222_104 )
obj_t TUPLE_222_104;
#endif
{

{obj_t DINIT_227_191, POSITION_226_12, F_STORE_225_84, F_ENV_224_154, FAST_UNION_V_223_196;
DINIT_227_191=VECTOR_REF( TUPLE_222_104, BINT( 0 ) );POSITION_226_12=VECTOR_REF( TUPLE_222_104, BINT( 1 ) );F_STORE_225_84=VECTOR_REF( TUPLE_222_104, BINT( 2 ) );F_ENV_224_154=VECTOR_REF( TUPLE_222_104, BINT( 3 ) );FAST_UNION_V_223_196=VECTOR_REF( TUPLE_222_104, BINT( 4 ) );{
{obj_t I_229_119;
{
I_229_119=BINT( 0 );
{_LOOP_228_198:

if( EQ_I( I_229_119, VECTOR_LENGTH( FAST_UNION_V_223_196 ) ))
DONE_0___RGC_DFA_70;else
{
VECTOR_SET( FAST_UNION_V_223_196, I_229_119, BFALSE );
{obj_t I_554_201;
I_554_201=I_229_119;{
I_229_119=ADD_I_PTAG( I_554_201, PSUB_TAG( 1 ) );
goto _LOOP_228_198;
}}
}}
}}
{obj_t DSTATES_ENV_238_90, UNION_ENV_237_130, NB_STATES_MAX_236_243, NB_STATES_235_184, STATES_234_173, P_A_233_251, T_ALPHA_232_76, L_ALPHA_231_178;
obj_t TRIVIAL_230_49;
DSTATES_ENV_238_90=MAKE_CELL( BNIL );UNION_ENV_237_130=BNIL;NB_STATES_MAX_236_243=MAKE_CELL( BINT( 1023 ) );NB_STATES_235_184=MAKE_CELL( BINT( -1 ) );{obj_t AUX_555_29;
AUX_555_29=make_vector( BINT( 1024 ), BNIL );STATES_234_173=MAKE_CELL( AUX_555_29 );}P_A_233_251=BNIL;{obj_t R_362_132;
R_362_132=__RGC_LAST_CHAR____RGC_PARAM_157;T_ALPHA_232_76=make_vector( ADD_I_PTAG( PSUB_TAG( 1 ), R_362_132 ), BNIL );}L_ALPHA_231_178=BNIL;TRIVIAL_230_49=make_vector( VECTOR_LENGTH( F_STORE_225_84 ), BNIL );{obj_t L__284_29, P__300_78, POSITION__308_121;
{obj_t DSTATES_245_37;
{obj_t L_484_40;
{obj_t OBJ2_485_242;
{obj_t STRING_CAST_511_18;
STRING_CAST_511_18=BREF( &STATE_3___RGC_DFA_118);{obj_t AUX_556_194;
AUX_556_194=MAKE_PREFIX_NAME___RGC_DFA_133( STRING_CAST_511_18, DINIT_227_191 );OBJ2_485_242=MAKE_STATE_241_21( DSTATES_ENV_238_90, NB_STATES_MAX_236_243, STATES_234_173, NB_STATES_235_184, AUX_556_194 );}}{obj_t C_CONS_486_67;
C_CONS_486_67=MAKE_PAIR( DINIT_227_191, OBJ2_485_242 );L_484_40=MAKE_PAIR( C_CONS_486_67, BNIL );}}{
DSTATES_245_37=L_484_40;
{_MAIN_LOOP_244_237:

{obj_t POSITION__264_106;
{bool_t OBJ_526_35;
OBJ_526_35=NULLP( DSTATES_245_37 );if( OBJ_526_35)
{obj_t OBJ2_449_147;
OBJ2_449_147=CELL_REF( STATES_234_173 );{obj_t OBJ1_448_138;
{obj_t R_451_237;
R_451_237=CELL_REF( NB_STATES_235_184 );OBJ1_448_138=ADD_I_PTAG( PSUB_TAG( 1 ), R_451_237 );}return MAKE_PAIR( OBJ1_448_138, OBJ2_449_147 );}}else
{obj_t T_247_165;
{obj_t PAIR_453_173;
{obj_t PAIR_454_40;
PAIR_454_40=DSTATES_245_37;PAIR_453_173=CAR( PAIR_454_40 );}T_247_165=CAR( PAIR_453_173 );}{obj_t TNUM_248_164;
{obj_t PAIR_455_188;
{obj_t PAIR_456_65;
PAIR_456_65=DSTATES_245_37;PAIR_455_188=CAR( PAIR_456_65 );}TNUM_248_164=CDR( PAIR_455_188 );}{
{
P__300_78=T_247_165;
{
{
L_ALPHA_231_178=BNIL;
{obj_t P__302_58;
{
P__302_58=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( P__300_78 );
{_LOOP_301_41:

if( NULLP( P__302_58 ))
BNIL;else
{obj_t PR_304_16, SP__303_61;
PR_304_16=CAR( P__302_58 );SP__303_61=CDR( P__302_58 );{obj_t LETTRE_305_123;
LETTRE_305_123=VECTOR_REF( POSITION_226_12, PR_304_16 );{obj_t ALPHA_306_83;
if( CHARP( LETTRE_305_123 ))
ALPHA_306_83=LETTRE_305_123;else
ALPHA_306_83=ACCEPT_P_2___RGC_DFA_75;{obj_t INDICE_307_14;
if( CHARP( LETTRE_305_123 ))
INDICE_307_14=CHAR_TO_INT( LETTRE_305_123 );else
INDICE_307_14=BINT( 0 );{obj_t OBJ_377_78;
OBJ_377_78=VECTOR_REF( T_ALPHA_232_76, INDICE_307_14 );if( NULLP( OBJ_377_78 ))
{
{obj_t OBJ2_378_27;
OBJ2_378_27=L_ALPHA_231_178;L_ALPHA_231_178=MAKE_PAIR( ALPHA_306_83, OBJ2_378_27 );}
{obj_t OBJ_379_167;
{obj_t OBJ2_380_51;
OBJ2_380_51=BNIL;OBJ_379_167=MAKE_PAIR( PR_304_16, OBJ2_380_51 );}VECTOR_SET( T_ALPHA_232_76, INDICE_307_14, OBJ_379_167 );}
{
P__302_58=SP__303_61;
goto _LOOP_301_41;
}
}else
{
{obj_t OBJ_381_234;
OBJ_381_234=MAKE_PAIR( PR_304_16, OBJ_377_78 );VECTOR_SET( T_ALPHA_232_76, INDICE_307_14, OBJ_381_234 );}
{
P__302_58=SP__303_61;
goto _LOOP_301_41;
}
}}}}}}}
}}
}}
}
{obj_t PAIR_457_36;
PAIR_457_36=DSTATES_245_37;DSTATES_245_37=CDR( PAIR_457_36 );}
{obj_t A__250_46;
{
A__250_46=L_ALPHA_231_178;
{_LOOP_249_4:

if( NULLP( A__250_46 ))
goto _MAIN_LOOP_244_237;else
{obj_t A_251_252;
A_251_252=CAR( A__250_46 );{
if( CHARP( A_251_252 ))
{obj_t INDICE_252_80;
INDICE_252_80=CHAR_TO_INT( A_251_252 );{
P_A_233_251=VECTOR_REF( T_ALPHA_232_76, INDICE_252_80 );
{obj_t OBJ_458_94;
OBJ_458_94=BNIL;VECTOR_SET( T_ALPHA_232_76, INDICE_252_80, OBJ_458_94 );}
{obj_t U_253_64;
{
POSITION__264_106=P_A_233_251;
{
{obj_t ENV_POS_265_13;
if( NULLP( POSITION__264_106 ))
ENV_POS_265_13=BNIL;else
{obj_t HEAD_277_86;
{obj_t OBJ2_420_49;
OBJ2_420_49=BNIL;{obj_t OBJ1_419_72;
{obj_t P_283_50;
P_283_50=CAR( POSITION__264_106 );OBJ1_419_72=VECTOR_REF( F_ENV_224_154, P_283_50 );}HEAD_277_86=MAKE_PAIR( OBJ1_419_72, OBJ2_420_49 );}}{obj_t g1000_279_89, TAIL_280_139;
{obj_t C_CDR_426_216;
C_CDR_426_216=CDR( POSITION__264_106 );{
TAIL_280_139=HEAD_277_86;
g1000_279_89=C_CDR_426_216;
{_g1001_278_51:

if( NULLP( g1000_279_89 ))
ENV_POS_265_13=HEAD_277_86;else
{obj_t NEW_TAIL_281_163;
{obj_t OBJ2_422_104;
OBJ2_422_104=BNIL;{obj_t OBJ1_421_149;
{obj_t P_282_34;
P_282_34=CAR( g1000_279_89 );OBJ1_421_149=VECTOR_REF( F_ENV_224_154, P_282_34 );}NEW_TAIL_281_163=MAKE_PAIR( OBJ1_421_149, OBJ2_422_104 );}}{
SET_CDR( TAIL_280_139, NEW_TAIL_281_163 );
{obj_t C_CDR_425_0;
C_CDR_425_0=CDR( g1000_279_89 );{
TAIL_280_139=NEW_TAIL_281_163;
g1000_279_89=C_CDR_425_0;
goto _g1001_278_51;
}}
}}}
}}}}{bool_t OBJ_528_133;
OBJ_528_133=NULLP( CDR( ENV_POS_265_13 ) );if( OBJ_528_133)
{obj_t INDICE_266_15;
INDICE_266_15=CAR( ENV_POS_265_13 );{obj_t OBJ_428_59;
OBJ_428_59=VECTOR_REF( F_STORE_225_84, INDICE_266_15 );if( NULLP( OBJ_428_59 ))
U_253_64=BNIL;else
{obj_t OBJ_429_74;
OBJ_429_74=VECTOR_REF( TRIVIAL_230_49, INDICE_266_15 );if( NULLP( OBJ_429_74 ))
{obj_t STATE_NAME_267_25;
{obj_t STRING_CAST_506_113;
STRING_CAST_506_113=BREF( &STATE_3___RGC_DFA_118);STATE_NAME_267_25=MAKE_PREFIX_NAME___RGC_DFA_133( STRING_CAST_506_113, OBJ_428_59 );}{obj_t NUM_268_47;
{obj_t ENV_431_191;
ENV_431_191=CELL_REF( DSTATES_ENV_238_90 );{obj_t BB_432_35;
BB_432_35=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( STATE_NAME_267_25, ENV_431_191 );if( BBOOL_TO_CBOOL( BB_432_35 ))
NUM_268_47=CDR( BB_432_35 );else
NUM_268_47=BFALSE;}}if( BBOOL_TO_CBOOL( NUM_268_47 ))
{
VECTOR_SET( TRIVIAL_230_49, INDICE_266_15, NUM_268_47 );
U_253_64=NUM_268_47;
}else
{obj_t NUM_269_109;
NUM_269_109=MAKE_STATE_241_21( DSTATES_ENV_238_90, NB_STATES_MAX_236_243, STATES_234_173, NB_STATES_235_184, STATE_NAME_267_25 );{
VECTOR_SET( TRIVIAL_230_49, INDICE_266_15, NUM_269_109 );
{obj_t OBJ2_434_17;
OBJ2_434_17=DSTATES_245_37;{obj_t OBJ1_433_28;
{obj_t OBJ1_435_115;
OBJ1_435_115=VECTOR_REF( F_STORE_225_84, INDICE_266_15 );OBJ1_433_28=MAKE_PAIR( OBJ1_435_115, NUM_269_109 );}DSTATES_245_37=MAKE_PAIR( OBJ1_433_28, OBJ2_434_17 );}}
U_253_64=NUM_269_109;
}}}}else
U_253_64=OBJ_429_74;}}}else
{obj_t UNION_NAME_270_38;
{obj_t STRING_CAST_507_112;
STRING_CAST_507_112=BREF( &UNION_4___RGC_DFA_196);UNION_NAME_270_38=MAKE_PREFIX_NAME___RGC_DFA_133( STRING_CAST_507_112, ENV_POS_265_13 );}{obj_t NUM_271_43;
{obj_t ENV_437_228;
ENV_437_228=UNION_ENV_237_130;{obj_t BB_438_253;
BB_438_253=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( UNION_NAME_270_38, ENV_437_228 );if( BBOOL_TO_CBOOL( BB_438_253 ))
NUM_271_43=CDR( BB_438_253 );else
NUM_271_43=BFALSE;}}if( BBOOL_TO_CBOOL( NUM_271_43 ))
U_253_64=NUM_271_43;else
{obj_t U_272_71;
{
POSITION__308_121=ENV_POS_265_13;
{
{obj_t P__311_28, ACC_312_97;
{obj_t P__310_210;
{
ACC_312_97=BNIL;
P__311_28=POSITION__308_121;
{_FIRST_NON_NULL__309_157:

if( NULLP( P__311_28 ))
P__310_210=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_312_97 );else
{bool_t OBJ_541_178;
{obj_t AUX_557_185;
{obj_t K_366_143;
K_366_143=CAR( P__311_28 );AUX_557_185=VECTOR_REF( F_STORE_225_84, K_366_143 );}OBJ_541_178=NULLP( AUX_557_185 );}if( OBJ_541_178)
{obj_t C_CDR_369_166;
C_CDR_369_166=CDR( P__311_28 );{
P__311_28=C_CDR_369_166;
goto _FIRST_NON_NULL__309_157;
}}else
{obj_t C_CDR_370_191;
C_CDR_370_191=CDR( P__311_28 );{obj_t OBJ1_373_60;
OBJ1_373_60=CAR( P__311_28 );{obj_t C_CONS_374_194;
C_CONS_374_194=MAKE_PAIR( OBJ1_373_60, ACC_312_97 );{
ACC_312_97=C_CONS_374_194;
P__311_28=C_CDR_370_191;
goto _FIRST_NON_NULL__309_157;
}}}}}}
}if( BBOOL_TO_CBOOL( P__310_210 ))
{
L__284_29=P__310_210;
{
{bool_t OBJ_537_210;
OBJ_537_210=NULLP( CDR( L__284_29 ) );if( OBJ_537_210)
{obj_t K_398_145;
K_398_145=CAR( L__284_29 );U_272_71=VECTOR_REF( F_STORE_225_84, K_398_145 );}else
{obj_t INIT_285_142;
{obj_t PAIR_400_36;
{obj_t K_401_44;
K_401_44=CAR( L__284_29 );PAIR_400_36=VECTOR_REF( F_STORE_225_84, K_401_44 );}INIT_285_142=CAR( PAIR_400_36 );}{obj_t MAX_286_214;
MAX_286_214=INIT_285_142;{obj_t MIN_287_184;
MIN_287_184=INIT_285_142;{
{obj_t L_291_114;
{obj_t L_290_246;
{
L_290_246=L__284_29;
{_LOOP_289_233:

if( NULLP( L_290_246 ))
READ_DON_1___RGC_DFA_221;else
{
{obj_t K_409_63;
K_409_63=CAR( L_290_246 );{obj_t C_VECTOR_REF_410_107;
C_VECTOR_REF_410_107=VECTOR_REF( F_STORE_225_84, K_409_63 );{
L_291_114=C_VECTOR_REF_410_107;
{_READ_288_5:

if( NULLP( L_291_114 ))
BNIL;else
{obj_t C_292_140;
C_292_140=CAR( L_291_114 );{
{obj_t N2_404_126;
N2_404_126=MIN_287_184;if( LT_I( C_292_140, N2_404_126 ))
MIN_287_184=C_292_140;else
{obj_t N2_407_171;
N2_407_171=MAX_286_214;if( GT_I( C_292_140, N2_407_171 ))
MAX_286_214=C_292_140;else
BFALSE;}}
VECTOR_SET( FAST_UNION_V_223_196, C_292_140, BTRUE );
{obj_t C_CDR_408_224;
C_CDR_408_224=CDR( L_291_114 );{
L_291_114=C_CDR_408_224;
goto _READ_288_5;
}}
}}}
}}}
{obj_t C_CDR_411_46;
C_CDR_411_46=CDR( L_290_246 );{
L_290_246=C_CDR_411_46;
goto _LOOP_289_233;
}}
}}
}}}
{obj_t I_294_206, ACC_295_10;
{
ACC_295_10=BNIL;
I_294_206=MAX_286_214;
{_LOOP_293_69:

{obj_t N2_412_119;
N2_412_119=MIN_287_184;if( LT_I( I_294_206, N2_412_119 ))
U_272_71=ACC_295_10;else
{bool_t C_VECTOR_REF_538_72;
C_VECTOR_REF_538_72=BBOOL_TO_CBOOL( VECTOR_REF( FAST_UNION_V_223_196, I_294_206 ) );if( C_VECTOR_REF_538_72)
{
VECTOR_SET( FAST_UNION_V_223_196, I_294_206, BFALSE );
{obj_t C_CONS_417_201;
C_CONS_417_201=MAKE_PAIR( I_294_206, ACC_295_10 );{obj_t I_558_9;
I_558_9=I_294_206;{
ACC_295_10=C_CONS_417_201;
I_294_206=SUB_I_PTAG( I_558_9, PSUB_TAG( 1 ) );
goto _LOOP_293_69;
}}}
}else
{obj_t I_559_89;
I_559_89=I_294_206;{
I_294_206=SUB_I_PTAG( I_559_89, PSUB_TAG( 1 ) );
goto _LOOP_293_69;
}}}}}
}}
}}}}}}
}else
U_272_71=BNIL;}}}
}{obj_t STATE_NAME_273_69;
{obj_t STRING_CAST_508_6;
STRING_CAST_508_6=BREF( &STATE_3___RGC_DFA_118);STATE_NAME_273_69=MAKE_PREFIX_NAME___RGC_DFA_133( STRING_CAST_508_6, U_272_71 );}{obj_t NUM_274_224;
{obj_t ENV_439_171;
ENV_439_171=CELL_REF( DSTATES_ENV_238_90 );{obj_t BB_440_71;
BB_440_71=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( STATE_NAME_273_69, ENV_439_171 );if( BBOOL_TO_CBOOL( BB_440_71 ))
NUM_274_224=CDR( BB_440_71 );else
NUM_274_224=BFALSE;}}if( BBOOL_TO_CBOOL( NUM_274_224 ))
{
{obj_t OBJ2_442_75;
OBJ2_442_75=UNION_ENV_237_130;{obj_t OBJ1_441_14;
OBJ1_441_14=MAKE_PAIR( UNION_NAME_270_38, NUM_274_224 );UNION_ENV_237_130=MAKE_PAIR( OBJ1_441_14, OBJ2_442_75 );}}
U_253_64=NUM_274_224;
}else
{obj_t NUM_275_212;
NUM_275_212=MAKE_STATE_241_21( DSTATES_ENV_238_90, NB_STATES_MAX_236_243, STATES_234_173, NB_STATES_235_184, STATE_NAME_273_69 );{
{obj_t OBJ2_444_12;
OBJ2_444_12=DSTATES_245_37;{obj_t OBJ1_443_25;
OBJ1_443_25=MAKE_PAIR( U_272_71, NUM_275_212 );DSTATES_245_37=MAKE_PAIR( OBJ1_443_25, OBJ2_444_12 );}}
{obj_t OBJ2_446_103;
OBJ2_446_103=UNION_ENV_237_130;{obj_t OBJ1_445_174;
OBJ1_445_174=MAKE_PAIR( UNION_NAME_270_38, NUM_275_212 );UNION_ENV_237_130=MAKE_PAIR( OBJ1_445_174, OBJ2_446_103 );}}
U_253_64=NUM_275_212;
}}}}}}}}}}
}{obj_t OBJ_460_50;
{obj_t OBJ2_462_238;
{obj_t VECTOR_463_44;
VECTOR_463_44=CELL_REF( STATES_234_173 );OBJ2_462_238=VECTOR_REF( VECTOR_463_44, TNUM_248_164 );}{obj_t OBJ1_461_172;
OBJ1_461_172=MAKE_PAIR( A_251_252, U_253_64 );OBJ_460_50=MAKE_PAIR( OBJ1_461_172, OBJ2_462_238 );}}{obj_t VECTOR_459_98;
VECTOR_459_98=CELL_REF( STATES_234_173 );VECTOR_SET( VECTOR_459_98, TNUM_248_164, OBJ_460_50 );}}}
}}else
{obj_t ACCEPT_254_114;
{obj_t g1002_256_231;
g1002_256_231=VECTOR_REF( T_ALPHA_232_76, BINT( 0 ) );{obj_t AUX_560_5;
if( NULLP( g1002_256_231 ))
AUX_560_5=BNIL;else
{obj_t HEAD_257_131;
{obj_t OBJ2_465_147;
OBJ2_465_147=BNIL;{obj_t OBJ1_464_157;
{obj_t P_263_219;
P_263_219=CAR( g1002_256_231 );OBJ1_464_157=VECTOR_REF( POSITION_226_12, P_263_219 );}HEAD_257_131=MAKE_PAIR( OBJ1_464_157, OBJ2_465_147 );}}{obj_t g1002_259_236, TAIL_260_49;
{obj_t C_CDR_469_176;
C_CDR_469_176=CDR( g1002_256_231 );{
TAIL_260_49=HEAD_257_131;
g1002_259_236=C_CDR_469_176;
{_g1003_258_186:

if( NULLP( g1002_259_236 ))
AUX_560_5=HEAD_257_131;else
{obj_t NEW_TAIL_261_53;
{obj_t OBJ2_467_144;
OBJ2_467_144=BNIL;{obj_t OBJ1_466_167;
{obj_t P_262_10;
P_262_10=CAR( g1002_259_236 );OBJ1_466_167=VECTOR_REF( POSITION_226_12, P_262_10 );}NEW_TAIL_261_53=MAKE_PAIR( OBJ1_466_167, OBJ2_467_144 );}}{
SET_CDR( TAIL_260_49, NEW_TAIL_261_53 );
{obj_t C_CDR_468_161;
C_CDR_468_161=CDR( g1002_259_236 );{
TAIL_260_49=NEW_TAIL_261_53;
g1002_259_236=C_CDR_468_161;
goto _g1003_258_186;
}}
}}}
}}}}ACCEPT_254_114=REMQ____R4_PAIRS_AND_LISTS_6_3_57( EPSILON_5___RGC_DFA_140, AUX_560_5 );}}{
{obj_t L_471_193;
{
L_471_193=ACCEPT_254_114;
{_LOOP_470_28:

if( NULLP( L_471_193 ))
OK_6___RGC_DFA_131;else
{obj_t SP_472_140, PR_473_35;
SP_472_140=CDR( L_471_193 );PR_473_35=CAR( L_471_193 );{obj_t AUX_561_171;
AUX_561_171=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( PR_473_35, SP_472_140 );if( BBOOL_TO_CBOOL( AUX_561_171 ))
FAILURE( BREF( &REGULAR__7___RGC_DFA_146), BREF( &A_POSITI_8___RGC_DFA_3), ACCEPT_254_114 );else
{
L_471_193=SP_472_140;
goto _LOOP_470_28;
}}}}
}}
{obj_t OBJ_477_118;
OBJ_477_118=BNIL;VECTOR_SET( T_ALPHA_232_76, BINT( 0 ), OBJ_477_118 );}
if( NULLP( ACCEPT_254_114 ))
BFALSE;else
{obj_t OBJ_479_174;
{obj_t OBJ2_480_126;
{obj_t VECTOR_481_70;
VECTOR_481_70=CELL_REF( STATES_234_173 );OBJ2_480_126=VECTOR_REF( VECTOR_481_70, TNUM_248_164 );}OBJ_479_174=MAKE_PAIR( ACCEPT_254_114, OBJ2_480_126 );}{obj_t VECTOR_478_14;
VECTOR_478_14=CELL_REF( STATES_234_173 );VECTOR_SET( VECTOR_478_14, TNUM_248_164, OBJ_479_174 );}}
}}
{obj_t C_CDR_482_134;
C_CDR_482_134=CDR( A__250_46 );{
A__250_46=C_CDR_482_134;
goto _LOOP_249_4;
}}
}}}
}}
}}}}}}
}}}}}
}}
}

static obj_t
#if defined( __STDC__ )
MAKE_STATE_241_21(obj_t DSTATES_ENV_238_90,obj_t NB_STATES_MAX_236_243,obj_t STATES_234_173,obj_t NB_STATES_235_184,obj_t SYMBOL_NAME_298_73)
#else
MAKE_STATE_241_21( DSTATES_ENV_238_90, NB_STATES_MAX_236_243, STATES_234_173, NB_STATES_235_184, SYMBOL_NAME_298_73 )
obj_t DSTATES_ENV_238_90, NB_STATES_MAX_236_243, STATES_234_173, NB_STATES_235_184, SYMBOL_NAME_298_73;
#endif
{

{{obj_t V_299_210;
{
{
{obj_t N2_386_28;
N2_386_28=CELL_REF( NB_STATES_MAX_236_243 );{obj_t N1_385_46;
N1_385_46=CELL_REF( NB_STATES_235_184 );if( EQ_I( N1_385_46, N2_386_28 ))
{
{obj_t AUX_547_243;
{obj_t AUX_548_123;
AUX_548_123=CELL_REF( NB_STATES_MAX_236_243 );AUX_547_243=_2____R4_NUMBERS_6_5_57( BINT( 2 ), AUX_548_123 );}CELL_SET( NB_STATES_MAX_236_243, AUX_547_243 );}
{obj_t AUX_549_229;
{obj_t AUX_551_143, AUX_550_55;
AUX_551_143=CELL_REF( NB_STATES_MAX_236_243 );AUX_550_55=CELL_REF( STATES_234_173 );AUX_549_229=VECTOR_GROW___RGC_TREE_36( AUX_550_55, AUX_551_143 );}CELL_SET( STATES_234_173, AUX_549_229 );}
{obj_t I_297_95;
{obj_t R_393_27;
R_393_27=CELL_REF( NB_STATES_235_184 );{
I_297_95=ADD_I_PTAG( PSUB_TAG( 1 ), R_393_27 );
{_LOOP_296_146:

{obj_t N2_389_49;
N2_389_49=CELL_REF( NB_STATES_MAX_236_243 );if( LE_I( I_297_95, N2_389_49 ))
BNIL;else
{
{obj_t OBJ_391_175;
OBJ_391_175=BNIL;{obj_t VECTOR_390_215;
VECTOR_390_215=CELL_REF( STATES_234_173 );VECTOR_SET( VECTOR_390_215, I_297_95, OBJ_391_175 );}}
{obj_t I_552_218;
I_552_218=I_297_95;{
I_297_95=ADD_I_PTAG( I_552_218, PSUB_TAG( 1 ) );
goto _LOOP_296_146;
}}
}}}
}}}
}else
BFALSE;}}
{obj_t R_395_125;
R_395_125=CELL_REF( NB_STATES_235_184 );CELL_SET( NB_STATES_235_184, ADD_I_PTAG( PSUB_TAG( 1 ), R_395_125 ) );}
V_299_210=CELL_REF( NB_STATES_235_184 );
}}{
{obj_t OBJ2_384_118;
OBJ2_384_118=CELL_REF( DSTATES_ENV_238_90 );{obj_t OBJ1_383_220;
OBJ1_383_220=MAKE_PAIR( SYMBOL_NAME_298_73, V_299_210 );{obj_t AUX_553_105;
AUX_553_105=MAKE_PAIR( OBJ1_383_220, OBJ2_384_118 );CELL_SET( DSTATES_ENV_238_90, AUX_553_105 );}}}
return CELL_REF( NB_STATES_235_184 );
}}}
}

obj_t
#if defined( __STDC__ )
__DFA___RGC_DFA_72(obj_t ENV_522_72,obj_t TUPLE_222_104)
#else
__DFA___RGC_DFA_72( ENV_522_72, TUPLE_222_104 )
obj_t ENV_522_72, TUPLE_222_104;
#endif
{

return DFA___RGC_DFA_125( TUPLE_222_104 );
}

static obj_t
#if defined( __STDC__ )
MAKE_PREFIX_NAME___RGC_DFA_133(obj_t PREFIX_318_209,obj_t NUM__319_212)
#else
MAKE_PREFIX_NAME___RGC_DFA_133( PREFIX_318_209, NUM__319_212 )
obj_t PREFIX_318_209, NUM__319_212;
#endif
{

{obj_t S_320_131;
{obj_t A0_514_56;
A0_514_56=BUNSPEC;{
{obj_t OBJ2_487_239;
if( NULLP( NUM__319_212 ))
OBJ2_487_239=BNIL;else
{obj_t HEAD_330_186;
{obj_t OBJ2_490_102;
OBJ2_490_102=BNIL;{obj_t OBJ1_489_1;
{obj_t NUM_336_123;
NUM_336_123=CAR( NUM__319_212 );{obj_t STRING_CAST_515_13;
STRING_CAST_515_13=BREF( &___9___RGC_DFA_98);{obj_t AUX_542_163;
AUX_542_163=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( NUM_336_123, BNIL );OBJ1_489_1=string_append( STRING_CAST_515_13, AUX_542_163 );}}}HEAD_330_186=MAKE_PAIR( OBJ1_489_1, OBJ2_490_102 );}}{obj_t g1006_332_204, TAIL_333_207;
{obj_t C_CDR_494_219;
C_CDR_494_219=CDR( NUM__319_212 );{
TAIL_333_207=HEAD_330_186;
g1006_332_204=C_CDR_494_219;
{_g1007_331_48:

if( NULLP( g1006_332_204 ))
OBJ2_487_239=HEAD_330_186;else
{obj_t NEW_TAIL_334_136;
{obj_t OBJ2_492_255;
OBJ2_492_255=BNIL;{obj_t OBJ1_491_31;
{obj_t NUM_335_131;
NUM_335_131=CAR( g1006_332_204 );{obj_t STRING_CAST_516_187;
STRING_CAST_516_187=BREF( &___9___RGC_DFA_98);{obj_t AUX_543_200;
AUX_543_200=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( NUM_335_131, BNIL );OBJ1_491_31=string_append( STRING_CAST_516_187, AUX_543_200 );}}}NEW_TAIL_334_136=MAKE_PAIR( OBJ1_491_31, OBJ2_492_255 );}}{
SET_CDR( TAIL_333_207, NEW_TAIL_334_136 );
{obj_t C_CDR_493_200;
C_CDR_493_200=CDR( g1006_332_204 );{
TAIL_333_207=NEW_TAIL_334_136;
g1006_332_204=C_CDR_493_200;
goto _g1007_331_48;
}}
}}}
}}}}{obj_t C_CONS_488_104;
C_CONS_488_104=MAKE_PAIR( PREFIX_318_209, OBJ2_487_239 );A0_514_56=C_CONS_488_104;}}
S_320_131=STRING_APPEND___R4_STRINGS_6_7_103( A0_514_56 );
}}{obj_t STRING_496_103;
{obj_t A0_517_169;
A0_517_169=BUNSPEC;{obj_t AUX_544_219;
{
{obj_t OBJ2_497_201;
if( NULLP( NUM__319_212 ))
OBJ2_497_201=BNIL;else
{obj_t HEAD_322_126;
{obj_t OBJ2_500_197;
OBJ2_500_197=BNIL;{obj_t OBJ1_499_37;
{obj_t NUM_328_71;
NUM_328_71=CAR( NUM__319_212 );{obj_t STRING_CAST_518_212;
STRING_CAST_518_212=BREF( &___9___RGC_DFA_98);{obj_t AUX_545_10;
AUX_545_10=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( NUM_328_71, BNIL );OBJ1_499_37=string_append( STRING_CAST_518_212, AUX_545_10 );}}}HEAD_322_126=MAKE_PAIR( OBJ1_499_37, OBJ2_500_197 );}}{obj_t g1004_324_2, TAIL_325_13;
{obj_t C_CDR_504_23;
C_CDR_504_23=CDR( NUM__319_212 );{
TAIL_325_13=HEAD_322_126;
g1004_324_2=C_CDR_504_23;
{_g1005_323_31:

if( NULLP( g1004_324_2 ))
OBJ2_497_201=HEAD_322_126;else
{obj_t NEW_TAIL_326_231;
{obj_t OBJ2_502_107;
OBJ2_502_107=BNIL;{obj_t OBJ1_501_210;
{obj_t NUM_327_249;
NUM_327_249=CAR( g1004_324_2 );{obj_t STRING_CAST_519_224;
STRING_CAST_519_224=BREF( &___9___RGC_DFA_98);{obj_t AUX_546_248;
AUX_546_248=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( NUM_327_249, BNIL );OBJ1_501_210=string_append( STRING_CAST_519_224, AUX_546_248 );}}}NEW_TAIL_326_231=MAKE_PAIR( OBJ1_501_210, OBJ2_502_107 );}}{
SET_CDR( TAIL_325_13, NEW_TAIL_326_231 );
{obj_t C_CDR_503_146;
C_CDR_503_146=CDR( g1004_324_2 );{
TAIL_325_13=NEW_TAIL_326_231;
g1004_324_2=C_CDR_503_146;
goto _g1005_323_31;
}}
}}}
}}}}{obj_t C_CONS_498_113;
C_CONS_498_113=MAKE_PAIR( PREFIX_318_209, OBJ2_497_201 );A0_517_169=C_CONS_498_113;}}
AUX_544_219=STRING_APPEND___R4_STRINGS_6_7_103( A0_517_169 );
}STRING_496_103=STRING_UPCASE___R4_STRINGS_6_7_251( AUX_544_219 );}}return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_496_103 ) );}}
}

