/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/rules.c                                               */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
static obj_t EXPAND_TO_N_TIMES___RGC_RULE_34(obj_t, obj_t);
#else
static obj_t EXPAND_TO_N_TIMES___RGC_RULE_34();
#endif
static obj_t CHAR_27___RGC_RULE_191 = BUNSPEC;
DEFINE_STRING( WRONG_NU_6___RGC_RULE_182, "wrong number of arguments", 25);
static obj_t CONCAT_C_28___RGC_RULE_9 = BUNSPEC;
extern obj_t c_substring();
static obj_t CONCAT_7___RGC_RULE_249 = BUNSPEC;
#if defined( __STDC__ )
static obj_t EXPAND_____RGC_RULE_55(obj_t, obj_t);
#else
static obj_t EXPAND_____RGC_RULE_55();
#endif
obj_t EXPAND_RULE_ENV___RGC_RULE_41 = BUNSPEC;
DEFINE_STRING( UNCASE___30___RGC_RULE_128, "uncase, argument not a string", 29);
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t _____12___RGC_RULE_165 = BUNSPEC;
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
static obj_t ___19___RGC_RULE_157 = BUNSPEC;
static obj_t ALL_8___RGC_RULE_167 = BUNSPEC;
DEFINE_STRING( UNCASE___31___RGC_RULE_177, "uncase, wrong number of arguments", 33);
DEFINE_STRING( UNBOUND__29___RGC_RULE_140, "unbound regular variable", 24);
extern obj_t __RGC_FIRST_CHAR____RGC_PARAM_219;
static obj_t ___16___RGC_RULE_111 = BUNSPEC;
static obj_t LIST_10___RGC_RULE_10 = BUNSPEC;
static obj_t EOL_0___RGC_RULE_234 = BUNSPEC;
static obj_t DUMMY_35___RGC_RULE_18 = BUNSPEC;
DEFINE_STRING( ILLEGAL__15___RGC_RULE_232, "illegal construction", 20);
static obj_t IN_21___RGC_RULE_34 = BUNSPEC;
DEFINE_STRING( WRONG_NU_24___RGC_RULE_129, "wrong number of argument", 24);
#if defined( __STDC__ )
static obj_t EXPAND_UNCASE_STRING___RGC_RULE_130(obj_t, obj_t);
#else
static obj_t EXPAND_UNCASE_STRING___RGC_RULE_130();
#endif
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
extern obj_t ___RGC_RULE_INITIALISATION___RGC_RULE_69();
static obj_t CONTEXT_23___RGC_RULE_216 = BUNSPEC;
extern obj_t ___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
static obj_t _____20___RGC_RULE_77 = BUNSPEC;
static obj_t END_26___RGC_RULE_8 = BUNSPEC;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
DEFINE_STRING( BADLY_FO_32___RGC_RULE_189, "badly formed regular-expression", 31);
#if defined( __STDC__ )
static obj_t BUILD_INTERVAL___RGC_RULE_69(obj_t);
#else
static obj_t BUILD_INTERVAL___RGC_RULE_69();
#endif
extern obj_t __RGC_LAST_CHAR____RGC_PARAM_157;
static obj_t REQUIRE_INITIALISATION____RGC_RULE_128 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t MEMQ_ENV___R4_PAIRS_AND_LISTS_6_3_168;
#if defined( __STDC__ )
static obj_t EXPAND_OUT___RGC_RULE_18(obj_t, obj_t);
#else
static obj_t EXPAND_OUT___RGC_RULE_18();
#endif
static obj_t UNCASE_11___RGC_RULE_239 = BUNSPEC;
#if defined( __STDC__ )
static obj_t EXPAND_ATOM___RGC_RULE_18(obj_t, obj_t);
#else
static obj_t EXPAND_ATOM___RGC_RULE_18();
#endif
#if defined( __STDC__ )
static obj_t EXPAND_______RGC_RULE_115(obj_t, obj_t);
#else
static obj_t EXPAND_______RGC_RULE_115();
#endif
extern obj_t EQ__ENV___R4_EQUIVALENCE_6_2_54;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
#if defined( __STDC__ )
extern obj_t EXPAND_RULE___RGC_RULE_131(obj_t, obj_t);
#else
extern obj_t EXPAND_RULE___RGC_RULE_131();
#endif
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
#if defined( __STDC__ )
extern obj_t ____RGC_RULE_INITIALISATION___RGC_RULE_23(obj_t);
#else
extern obj_t ____RGC_RULE_INITIALISATION___RGC_RULE_23();
#endif
static obj_t _____9___RGC_RULE_232 = BUNSPEC;
static obj_t LIST_3___RGC_RULE_116 = BUNSPEC;
DEFINE_STRING( INCORREC_36___RGC_RULE_37, "incorrect interval", 18);
static obj_t TRAP_4___RGC_RULE_158 = BUNSPEC;
#if defined( __STDC__ )
static obj_t INTERNAL_EXPAND_RULE___RGC_RULE_99(obj_t, obj_t);
#else
static obj_t INTERNAL_EXPAND_RULE___RGC_RULE_99();
#endif
static obj_t MARKER_25___RGC_RULE_89 = BUNSPEC;
DEFINE_STRING( REGULAR__5___RGC_RULE_219, "regular-grammar", 15);
extern obj_t make_fx_procedure();
DEFINE_STRING( ______THE_34___RGC_RULE_69, "..., the first args has to be a number", 38);
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
static obj_t EXPAND_DISTRIBUTE___RGC_RULE_144(obj_t, obj_t, obj_t);
#else
static obj_t EXPAND_DISTRIBUTE___RGC_RULE_144();
#endif
static obj_t EOF_2___RGC_RULE_211 = BUNSPEC;
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
static obj_t OUT_22___RGC_RULE_7 = BUNSPEC;
static obj_t BOL_1___RGC_RULE_13 = BUNSPEC;
static obj_t EPSILON_17___RGC_RULE_140 = BUNSPEC;
obj_t ___RGC_RULE_INITIALISATION_ENV___RGC_RULE_236 = BUNSPEC;
DEFINE_STRING( NUMBER_B_33___RGC_RULE_253, "number bigger than string's length", 34);
static obj_t OR_18___RGC_RULE_68 = BUNSPEC;
static obj_t ___14___RGC_RULE_248 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPAND_RULE___RGC_RULE_2(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_RULE___RGC_RULE_2();
#endif
#if defined( __STDC__ )
static obj_t EXPAND_______RGC_RULE_185(obj_t, obj_t);
#else
static obj_t EXPAND_______RGC_RULE_185();
#endif
static obj_t ___13___RGC_RULE_101 = BUNSPEC;

static obj_t LOOP_384_213();
static obj_t LOOP_239_36();
static obj_t LOOP_520_115();
static obj_t LOOP_549_11();
static obj_t LOOP_281_174();
static obj_t INTER_308_162();
static obj_t LOOP_309_128();

obj_t
#if defined( __STDC__ )
___RGC_RULE_INITIALISATION___RGC_RULE_69()
#else
___RGC_RULE_INITIALISATION___RGC_RULE_69()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_RULE_128 ))
{
REQUIRE_INITIALISATION____RGC_RULE_128=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
_____12___RGC_RULE_165=c_string_to_symbol( "..." );
CONCAT_7___RGC_RULE_249=c_string_to_symbol( "CONCAT" );
CONTEXT_23___RGC_RULE_216=c_string_to_symbol( "CONTEXT" );
OUT_22___RGC_RULE_7=c_string_to_symbol( "OUT" );
___16___RGC_RULE_111=c_string_to_symbol( "?" );
CONCAT_C_28___RGC_RULE_9=c_string_to_symbol( "CONCAT-CHAR" );
_____20___RGC_RULE_77=c_string_to_symbol( ">-<" );
EOL_0___RGC_RULE_234=c_string_to_symbol( "EOL" );
DUMMY_35___RGC_RULE_18=c_string_to_symbol( "DUMMY" );
TRAP_4___RGC_RULE_158=c_string_to_symbol( "TRAP" );
OR_18___RGC_RULE_68=c_string_to_symbol( "OR" );
EPSILON_17___RGC_RULE_140=c_string_to_symbol( "EPSILON" );
_____9___RGC_RULE_232=c_string_to_symbol( "<->" );
ALL_8___RGC_RULE_167=c_string_to_symbol( "ALL" );
END_26___RGC_RULE_8=c_string_to_symbol( "END" );
IN_21___RGC_RULE_34=c_string_to_symbol( "IN" );
EOF_2___RGC_RULE_211=c_string_to_symbol( "EOF" );
___19___RGC_RULE_157=c_string_to_symbol( "!" );
BOL_1___RGC_RULE_13=c_string_to_symbol( "BOL" );
MARKER_25___RGC_RULE_89=c_string_to_symbol( "MARKER" );
CHAR_27___RGC_RULE_191=c_string_to_symbol( "CHAR" );
UNCASE_11___RGC_RULE_239=c_string_to_symbol( "UNCASE" );
___14___RGC_RULE_248=c_string_to_symbol( "+" );
___13___RGC_RULE_101=c_string_to_symbol( "*" );
{obj_t AUX_874_78;
{obj_t AUX_875_75;
AUX_875_75=MAKE_PAIR( EOL_0___RGC_RULE_234, BNIL );AUX_874_78=MAKE_PAIR( BOL_1___RGC_RULE_13, AUX_875_75 );}LIST_3___RGC_RULE_116=MAKE_PAIR( EOF_2___RGC_RULE_211, AUX_874_78 );}
{obj_t AUX_876_58;
AUX_876_58=MAKE_PAIR( BCHAR( '\n' ), BNIL );LIST_10___RGC_RULE_10=MAKE_PAIR( _____9___RGC_RULE_232, AUX_876_58 );}
{
___RGC_RULE_INITIALISATION_ENV___RGC_RULE_236=make_fx_procedure( ____RGC_RULE_INITIALISATION___RGC_RULE_23, 0, 0 );
EXPAND_RULE_ENV___RGC_RULE_41=make_fx_procedure( __EXPAND_RULE___RGC_RULE_2, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_RULE_INITIALISATION___RGC_RULE_23(obj_t ENV_802_62)
#else
____RGC_RULE_INITIALISATION___RGC_RULE_23( ENV_802_62 )
obj_t ENV_802_62;
#endif
{

return ___RGC_RULE_INITIALISATION___RGC_RULE_69();
}

obj_t
#if defined( __STDC__ )
EXPAND_RULE___RGC_RULE_131(obj_t RULE_228_49,obj_t RENV_229_251)
#else
EXPAND_RULE___RGC_RULE_131( RULE_228_49, RENV_229_251 )
obj_t RULE_228_49, RENV_229_251;
#endif
{

if( PAIRP( RULE_228_49 ))
{bool_t __andtest_1000_804_185;
{obj_t AUX_869_97;
{bool_t OBJ_803_91;
OBJ_803_91=PAIRP( CAR( RULE_228_49 ) );AUX_869_97=CBOOL_TO_BBOOL( OBJ_803_91 );}__andtest_1000_804_185=BBOOL_TO_CBOOL( AUX_869_97 );}{if( __andtest_1000_804_185)
{obj_t PAIR_354_81;
PAIR_354_81=CAR( RULE_228_49 );{obj_t C_CAR_355_195;
C_CAR_355_195=CAR( PAIR_354_81 );{obj_t AUX_870_70;
AUX_870_70=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_355_195, LIST_3___RGC_RULE_116 );if( BBOOL_TO_CBOOL( AUX_870_70 ))
goto _true_6;else
goto _false_7;}}}else
goto _false_7;_true_6:
{obj_t C_CONS_375_185;
{obj_t N1_359_180;
N1_359_180=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_228_49 );if( EQ_I( N1_359_180, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_677_80;
VA_ARG_677_80=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_678_8;
{obj_t PAIR_366_148;
PAIR_366_148=CAR( RULE_228_49 );{obj_t PAIR_367_223;
PAIR_367_223=CDR( PAIR_366_148 );{obj_t C_CAR_368_195;
C_CAR_368_195=CAR( PAIR_367_223 );{obj_t AUX_871_103;
AUX_871_103=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_368_195, RENV_229_251 );VA_ARG_678_8=MAKE_PAIR( AUX_871_103, VA_ARG_677_80 );}}}}{obj_t VA_ARG_679_189;
{obj_t PAIR_364_57;
PAIR_364_57=CAR( RULE_228_49 );{obj_t C_CAR_365_26;
C_CAR_365_26=CAR( PAIR_364_57 );VA_ARG_679_189=MAKE_PAIR( C_CAR_365_26, VA_ARG_678_8 );}}{obj_t C_CONS_374_194;
{obj_t PAIR_372_20;
PAIR_372_20=CDR( RULE_228_49 );{obj_t C_CAR_373_145;
C_CAR_373_145=CAR( PAIR_372_20 );{obj_t AUX_872_181;
AUX_872_181=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_373_145, RENV_229_251 );C_CONS_374_194=MAKE_PAIR( AUX_872_181, BNIL );}}}{obj_t AUX_873_12;
AUX_873_12=CONS____R4_PAIRS_AND_LISTS_6_3_28( TRAP_4___RGC_RULE_158, VA_ARG_679_189 );C_CONS_375_185=MAKE_PAIR( AUX_873_12, C_CONS_374_194 );}}}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_228_49 );}return MAKE_PAIR( CONCAT_7___RGC_RULE_249, C_CONS_375_185 );}_false_7:
return INTERNAL_EXPAND_RULE___RGC_RULE_99( RULE_228_49, RENV_229_251 );;
}}else
return EXPAND_ATOM___RGC_RULE_18( RULE_228_49, RENV_229_251 );
}

obj_t
#if defined( __STDC__ )
__EXPAND_RULE___RGC_RULE_2(obj_t ENV_801_114,obj_t RULE_228_49,obj_t RENV_229_251)
#else
__EXPAND_RULE___RGC_RULE_2( ENV_801_114, RULE_228_49, RENV_229_251 )
obj_t ENV_801_114, RULE_228_49, RENV_229_251;
#endif
{

return EXPAND_RULE___RGC_RULE_131( RULE_228_49, RENV_229_251 );
}

static obj_t
#if defined( __STDC__ )
INTERNAL_EXPAND_RULE___RGC_RULE_99(obj_t RULE_231_78,obj_t RENV_232_104)
#else
INTERNAL_EXPAND_RULE___RGC_RULE_99( RULE_231_78, RENV_232_104 )
obj_t RULE_231_78, RENV_232_104;
#endif
{
_INTERNAL_EXPAND_RULE___RGC_RULE_99:

if( PAIRP( RULE_231_78 ))
{obj_t CASE_VALUE_233_84;
CASE_VALUE_233_84=CAR( RULE_231_78 );if( EQP( CASE_VALUE_233_84, ALL_8___RGC_RULE_167 ))
return EXPAND_______RGC_RULE_115( LIST_10___RGC_RULE_10, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, UNCASE_11___RGC_RULE_239 ))
return EXPAND_UNCASE_STRING___RGC_RULE_130( RULE_231_78, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, _____12___RGC_RULE_165 ))
return EXPAND_______RGC_RULE_185( RULE_231_78, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, ___13___RGC_RULE_101 ))
return EXPAND_____RGC_RULE_55( RULE_231_78, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, ___14___RGC_RULE_248 ))
{bool_t OBJ_805_6;
{obj_t AUX_860_233;
{obj_t PAIR_378_151;
PAIR_378_151=CDR( RULE_231_78 );AUX_860_233=CAR( PAIR_378_151 );}OBJ_805_6=INTEGERP( AUX_860_233 );}if( OBJ_805_6)
{obj_t N1_379_110;
N1_379_110=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_231_78 );if( EQ_I( N1_379_110, ADD_I_PTAG( BINT( 2 ), PSUB_TAG( 1 ) ) ))
{obj_t TIMES_382_143, REXP_383_104;
{obj_t PAIR_388_11;
PAIR_388_11=CDR( RULE_231_78 );TIMES_382_143=CAR( PAIR_388_11 );}{obj_t PAIR_386_59;
{obj_t PAIR_387_74;
PAIR_387_74=CDR( RULE_231_78 );PAIR_386_59=CDR( PAIR_387_74 );}REXP_383_104=CAR( PAIR_386_59 );}if( LT_I( TIMES_382_143, BINT( 1 ) ))
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &ILLEGAL__15___RGC_RULE_232), RULE_231_78 );else
{obj_t AUX_861_27;
AUX_861_27=LOOP_384_213( TIMES_382_143, REXP_383_104, BINT( 0 ) );{
RULE_231_78=AUX_861_27;
goto _INTERNAL_EXPAND_RULE___RGC_RULE_99;
}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_231_78 );}else
{obj_t N1_396_147;
N1_396_147=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_231_78 );if( EQ_I( N1_396_147, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_686_79;
VA_ARG_686_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_687_46;
{obj_t PAIR_399_123;
PAIR_399_123=CDR( RULE_231_78 );{obj_t C_CAR_400_200;
C_CAR_400_200=CAR( PAIR_399_123 );{obj_t AUX_862_51;
AUX_862_51=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_400_200, RENV_232_104 );VA_ARG_687_46=MAKE_PAIR( AUX_862_51, VA_ARG_686_79 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( ___14___RGC_RULE_248, VA_ARG_687_46 );}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_231_78 );}}else
if( EQP( CASE_VALUE_233_84, ___16___RGC_RULE_111 ))
{obj_t N1_401_119;
N1_401_119=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_231_78 );if( EQ_I( N1_401_119, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_690_20;
VA_ARG_690_20=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_691_81;
{obj_t VA_ARG_693_6;
VA_ARG_693_6=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_863_140;
AUX_863_140=CONS____R4_PAIRS_AND_LISTS_6_3_28( EPSILON_17___RGC_RULE_140, VA_ARG_693_6 );VA_ARG_691_81=MAKE_PAIR( AUX_863_140, VA_ARG_690_20 );}}{obj_t VA_ARG_692_24;
{obj_t PAIR_404_173;
PAIR_404_173=CDR( RULE_231_78 );{obj_t C_CAR_405_248;
C_CAR_405_248=CAR( PAIR_404_173 );{obj_t AUX_864_170;
AUX_864_170=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_405_248, RENV_232_104 );VA_ARG_692_24=MAKE_PAIR( AUX_864_170, VA_ARG_691_81 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_18___RGC_RULE_68, VA_ARG_692_24 );}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_231_78 );}else
if( EQP( CASE_VALUE_233_84, ___19___RGC_RULE_157 ))
{obj_t C_CDR_406_199;
C_CDR_406_199=CDR( RULE_231_78 );return EXPAND_DISTRIBUTE___RGC_RULE_144( OR_18___RGC_RULE_68, C_CDR_406_199, RENV_232_104 );}else
if( EQP( CASE_VALUE_233_84, _____20___RGC_RULE_77 ))
{bool_t X_806_62;
{obj_t AUX_865_138;
{obj_t C_CDR_412_156;
C_CDR_412_156=CDR( RULE_231_78 );AUX_865_138=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( C_CDR_412_156 );}X_806_62=ODDP_I( AUX_865_138 );}if( X_806_62)
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_231_78 );else
{obj_t INTERVAL_408_1, ACC_409_133;
{obj_t C_CDR_419_86;
C_CDR_419_86=CDR( RULE_231_78 );{
ACC_409_133=BNIL;
INTERVAL_408_1=BUILD_INTERVAL___RGC_RULE_69( C_CDR_419_86 );
{_LOOP_407_78:

if( NULLP( INTERVAL_408_1 ))
{obj_t VA_ARG_698_207;
VA_ARG_698_207=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_699_225;
{obj_t AUX_866_118;
AUX_866_118=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_409_133 );VA_ARG_699_225=MAKE_PAIR( AUX_866_118, VA_ARG_698_207 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IN_21___RGC_RULE_34, VA_ARG_699_225 );}}else
{obj_t C_CDR_414_41;
C_CDR_414_41=CDR( INTERVAL_408_1 );{obj_t OBJ1_415_194;
{obj_t INT_418_238;
INT_418_238=CAR( INTERVAL_408_1 );OBJ1_415_194=INT_TO_CHAR( INT_418_238 );}{obj_t C_CONS_416_158;
C_CONS_416_158=MAKE_PAIR( OBJ1_415_194, ACC_409_133 );{
ACC_409_133=C_CONS_416_158;
INTERVAL_408_1=C_CDR_414_41;
goto _LOOP_407_78;
}}}}}
}}}}else
if( EQP( CASE_VALUE_233_84, _____9___RGC_RULE_232 ))
return EXPAND_______RGC_RULE_115( RULE_231_78, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, IN_21___RGC_RULE_34 ))
{obj_t VA_ARG_700_243;
VA_ARG_700_243=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_701_248;
{obj_t C_CDR_420_44;
C_CDR_420_44=CDR( RULE_231_78 );VA_ARG_701_248=MAKE_PAIR( C_CDR_420_44, VA_ARG_700_243 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IN_21___RGC_RULE_34, VA_ARG_701_248 );}}else
if( EQP( CASE_VALUE_233_84, OUT_22___RGC_RULE_7 ))
return EXPAND_OUT___RGC_RULE_18( RULE_231_78, RENV_232_104 );else
if( EQP( CASE_VALUE_233_84, CONTEXT_23___RGC_RULE_216 ))
{obj_t N1_421_165;
N1_421_165=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_231_78 );if( EQ_I( N1_421_165, ADD_I_PTAG( BINT( 2 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_702_10;
VA_ARG_702_10=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_703_219;
{obj_t PAIR_426_136;
{obj_t PAIR_428_90;
PAIR_428_90=CDR( RULE_231_78 );PAIR_426_136=CDR( PAIR_428_90 );}{obj_t C_CAR_427_253;
C_CAR_427_253=CAR( PAIR_426_136 );{obj_t AUX_867_125;
AUX_867_125=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_427_253, RENV_232_104 );VA_ARG_703_219=MAKE_PAIR( AUX_867_125, VA_ARG_702_10 );}}}{obj_t VA_ARG_704_200;
{obj_t VA_ARG_705_163;
VA_ARG_705_163=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_706_235;
{obj_t PAIR_424_182;
PAIR_424_182=CDR( RULE_231_78 );{obj_t C_CAR_425_178;
C_CAR_425_178=CAR( PAIR_424_182 );VA_ARG_706_235=MAKE_PAIR( C_CAR_425_178, VA_ARG_705_163 );}}{obj_t AUX_868_174;
AUX_868_174=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONTEXT_23___RGC_RULE_216, VA_ARG_706_235 );VA_ARG_704_200=MAKE_PAIR( AUX_868_174, VA_ARG_703_219 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( TRAP_4___RGC_RULE_158, VA_ARG_704_200 );}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_24___RGC_RULE_129), RULE_231_78 );}else
if( EQP( CASE_VALUE_233_84, MARKER_25___RGC_RULE_89 ))
{obj_t N1_429_182;
N1_429_182=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_231_78 );if( EQ_I( N1_429_182, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_709_203;
VA_ARG_709_203=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_710_201;
{obj_t PAIR_432_113;
PAIR_432_113=CDR( RULE_231_78 );{obj_t C_CAR_433_236;
C_CAR_433_236=CAR( PAIR_432_113 );VA_ARG_710_201=MAKE_PAIR( C_CAR_433_236, VA_ARG_709_203 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( END_26___RGC_RULE_8, VA_ARG_710_201 );}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_24___RGC_RULE_129), RULE_231_78 );}else
{bool_t OBJ_807_81;
OBJ_807_81=NULLP( CDR( RULE_231_78 ) );if( OBJ_807_81)
{
RULE_231_78=CASE_VALUE_233_84;
goto _INTERNAL_EXPAND_RULE___RGC_RULE_99;
}else
return EXPAND_DISTRIBUTE___RGC_RULE_144( CONCAT_7___RGC_RULE_249, RULE_231_78, RENV_232_104 );}}else
return EXPAND_ATOM___RGC_RULE_18( RULE_231_78, RENV_232_104 );
}

static obj_t
#if defined( __STDC__ )
LOOP_384_213(obj_t TIMES_382_143,obj_t REXP_383_104,obj_t I_385_183)
#else
LOOP_384_213( TIMES_382_143, REXP_383_104, I_385_183 )
obj_t TIMES_382_143, REXP_383_104, I_385_183;
#endif
{

if( EQ_I( I_385_183, TIMES_382_143 ))
return BNIL;else
{obj_t OBJ2_393_57;
OBJ2_393_57=LOOP_384_213( TIMES_382_143, REXP_383_104, ADD_I_PTAG( I_385_183, PSUB_TAG( 1 ) ) );return MAKE_PAIR( REXP_383_104, OBJ2_393_57 );}
}

static obj_t
#if defined( __STDC__ )
EXPAND_DISTRIBUTE___RGC_RULE_144(obj_t OPERATOR_236_170,obj_t RULES_237_68,obj_t RENV_238_48)
#else
EXPAND_DISTRIBUTE___RGC_RULE_144( OPERATOR_236_170, RULES_237_68, RENV_238_48 )
obj_t OPERATOR_236_170, RULES_237_68, RENV_238_48;
#endif
{

return LOOP_239_36( RENV_238_48, OPERATOR_236_170, RULES_237_68 );
}

static obj_t
#if defined( __STDC__ )
LOOP_239_36(obj_t RENV_238_48,obj_t OPERATOR_236_170,obj_t RULES_240_82)
#else
LOOP_239_36( RENV_238_48, OPERATOR_236_170, RULES_240_82 )
obj_t RENV_238_48, OPERATOR_236_170, RULES_240_82;
#endif
{

if( NULLP( RULES_240_82 ))
return BNIL;else
{obj_t OBJ_439_55;
OBJ_439_55=CDR( RULES_240_82 );if( NULLP( OBJ_439_55 ))
{obj_t C_CAR_440_58;
C_CAR_440_58=CAR( RULES_240_82 );return INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_440_58, RENV_238_48 );}else
{obj_t C_CONS_445_137;
{obj_t C_CAR_442_78;
C_CAR_442_78=CAR( RULES_240_82 );{obj_t C_CONS_444_228;
{obj_t AUX_858_181;
AUX_858_181=LOOP_239_36( RENV_238_48, OPERATOR_236_170, OBJ_439_55 );C_CONS_444_228=MAKE_PAIR( AUX_858_181, BNIL );}{obj_t AUX_859_12;
AUX_859_12=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_442_78, RENV_238_48 );C_CONS_445_137=MAKE_PAIR( AUX_859_12, C_CONS_444_228 );}}}return MAKE_PAIR( OPERATOR_236_170, C_CONS_445_137 );}}
}

static obj_t
#if defined( __STDC__ )
EXPAND_ATOM___RGC_RULE_18(obj_t RULE_241_155,obj_t RENV_242_107)
#else
EXPAND_ATOM___RGC_RULE_18( RULE_241_155, RENV_242_107 )
obj_t RULE_241_155, RENV_242_107;
#endif
{

if( CHARP( RULE_241_155 ))
{obj_t VA_ARG_713_82;
VA_ARG_713_82=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_714_240;
VA_ARG_714_240=MAKE_PAIR( RULE_241_155, VA_ARG_713_82 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( CHAR_27___RGC_RULE_191, VA_ARG_714_240 );}}else
if( STRINGP( RULE_241_155 ))
{obj_t LEN_448_120;
LEN_448_120=STRING_LENGTH( RULE_241_155 );{obj_t I_450_111, ACC_451_180;
{obj_t AUX_855_124;
{
ACC_451_180=BNIL;
I_450_111=BINT( 0 );
{_LOOP_449_65:

if( EQ_I( I_450_111, LEN_448_120 ))
AUX_855_124=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_451_180 );else
{obj_t C_CONS_455_219;
C_CONS_455_219=MAKE_PAIR( BCHAR( STRING_REF( RULE_241_155, CINT( I_450_111 ) ) ), ACC_451_180 );{obj_t I_856_191;
I_856_191=I_450_111;{
ACC_451_180=C_CONS_455_219;
I_450_111=ADD_I_PTAG( I_856_191, PSUB_TAG( 1 ) );
goto _LOOP_449_65;
}}}}
}return EXPAND_DISTRIBUTE___RGC_RULE_144( CONCAT_C_28___RGC_RULE_9, AUX_855_124, RENV_242_107 );}}}else
{obj_t B_243_20;
B_243_20=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( RULE_241_155, RENV_242_107 );if( BBOOL_TO_CBOOL( B_243_20 ))
{
{obj_t OBJ1_458_46;
{obj_t PAIR_459_87;
PAIR_459_87=CDR( B_243_20 );OBJ1_458_46=CAR( PAIR_459_87 );}if( EQP( OBJ1_458_46, BTRUE ))
BFALSE;else
{obj_t OBJ_460_50;
{obj_t C_CONS_462_133;
{obj_t PAIR_463_243;
PAIR_463_243=CDR( B_243_20 );{obj_t C_CAR_464_79;
C_CAR_464_79=CAR( PAIR_463_243 );{obj_t AUX_857_172;
AUX_857_172=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_464_79, RENV_242_107 );C_CONS_462_133=MAKE_PAIR( AUX_857_172, BNIL );}}}OBJ_460_50=MAKE_PAIR( BTRUE, C_CONS_462_133 );}SET_CDR( B_243_20, OBJ_460_50 );}}
{obj_t PAIR_465_235;
{obj_t PAIR_466_163;
PAIR_466_163=CDR( B_243_20 );PAIR_465_235=CDR( PAIR_466_163 );}return CAR( PAIR_465_235 );}
}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &UNBOUND__29___RGC_RULE_140), RULE_241_155 );}
}

static obj_t
#if defined( __STDC__ )
EXPAND_UNCASE_STRING___RGC_RULE_130(obj_t RULE_253_61,obj_t RENV_254_12)
#else
EXPAND_UNCASE_STRING___RGC_RULE_130( RULE_253_61, RENV_254_12 )
obj_t RULE_253_61, RENV_254_12;
#endif
{

{obj_t N1_481_199;
N1_481_199=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_253_61 );if( EQ_I( N1_481_199, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{bool_t OBJ_810_28;
{obj_t AUX_849_102;
{obj_t PAIR_483_106;
PAIR_483_106=CDR( RULE_253_61 );AUX_849_102=CAR( PAIR_483_106 );}OBJ_810_28=STRINGP( AUX_849_102 );}if( OBJ_810_28)
{obj_t STR_255_83;
{obj_t PAIR_484_255;
PAIR_484_255=CDR( RULE_253_61 );STR_255_83=CAR( PAIR_484_255 );}{obj_t LEN_256_56;
LEN_256_56=STRING_LENGTH( STR_255_83 );{obj_t I_258_215, ACC_259_80;
{obj_t AUX_850_167;
{
ACC_259_80=BNIL;
I_258_215=BINT( 0 );
{_LOOP_257_177:

if( EQ_I( I_258_215, LEN_256_56 ))
AUX_850_167=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_259_80 );else
{obj_t CHAR_260_166;
CHAR_260_166=BCHAR( STRING_REF( STR_255_83, CINT( I_258_215 ) ) );{bool_t __andtest_1001_811_129;
__andtest_1001_811_129=CHAR_GE( CHAR_260_166, BCHAR( 'A' ) );{if( __andtest_1001_811_129)
if( CHAR_LE( CHAR_260_166, BCHAR( 'z' ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t OBJ1_490_149;
{obj_t VA_ARG_722_206;
VA_ARG_722_206=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_723_35;
{obj_t AUX_852_157;
AUX_852_157=CHAR_DOWNCASE( CHAR_260_166 );VA_ARG_723_35=MAKE_PAIR( AUX_852_157, VA_ARG_722_206 );}{obj_t VA_ARG_724_221;
{obj_t AUX_853_238;
AUX_853_238=CHAR_UPCASE( CHAR_260_166 );VA_ARG_724_221=MAKE_PAIR( AUX_853_238, VA_ARG_723_35 );}OBJ1_490_149=CONS____R4_PAIRS_AND_LISTS_6_3_28( IN_21___RGC_RULE_34, VA_ARG_724_221 );}}}{obj_t C_CONS_491_92;
C_CONS_491_92=MAKE_PAIR( OBJ1_490_149, ACC_259_80 );{obj_t I_854_139;
I_854_139=I_258_215;{
ACC_259_80=C_CONS_491_92;
I_258_215=ADD_I_PTAG( I_854_139, PSUB_TAG( 1 ) );
goto _LOOP_257_177;
}}}}_false_4:
{obj_t C_CONS_497_24;
C_CONS_497_24=MAKE_PAIR( CHAR_260_166, ACC_259_80 );{obj_t I_851_137;
I_851_137=I_258_215;{
ACC_259_80=C_CONS_497_24;
I_258_215=ADD_I_PTAG( PSUB_TAG( 1 ), I_851_137 );
goto _LOOP_257_177;
}}};
}}}}
}return EXPAND_DISTRIBUTE___RGC_RULE_144( CONCAT_C_28___RGC_RULE_9, AUX_850_167, RENV_254_12 );}}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &UNCASE___30___RGC_RULE_128), RULE_253_61 );}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &UNCASE___31___RGC_RULE_177), RULE_253_61 );}
}

static obj_t
#if defined( __STDC__ )
EXPAND_______RGC_RULE_185(obj_t RULE_262_190,obj_t RENV_263_185)
#else
EXPAND_______RGC_RULE_185( RULE_262_190, RENV_263_185 )
obj_t RULE_262_190, RENV_263_185;
#endif
{

{obj_t N1_500_86;
N1_500_86=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_262_190 );if( EQ_I( N1_500_86, ADD_I_PTAG( BINT( 2 ), PSUB_TAG( 1 ) ) ))
{bool_t OBJ_812_186;
{obj_t AUX_838_20;
{obj_t PAIR_502_64;
PAIR_502_64=CDR( RULE_262_190 );AUX_838_20=CAR( PAIR_502_64 );}OBJ_812_186=INTEGERP( AUX_838_20 );}if( OBJ_812_186)
{bool_t OBJ_813_67;
{obj_t AUX_839_81;
{obj_t PAIR_504_122;
{obj_t PAIR_505_130;
PAIR_505_130=CDR( RULE_262_190 );PAIR_504_122=CDR( PAIR_505_130 );}AUX_839_81=CAR( PAIR_504_122 );}OBJ_813_67=PAIRP( AUX_839_81 );}if( OBJ_813_67)
{bool_t __andtest_1002_814_157;
{obj_t AUX_840_3;
{obj_t OBJ1_506_115;
{obj_t PAIR_507_208;
{obj_t PAIR_508_134;
{obj_t PAIR_509_105;
PAIR_509_105=CDR( RULE_262_190 );PAIR_508_134=CDR( PAIR_509_105 );}PAIR_507_208=CAR( PAIR_508_134 );}OBJ1_506_115=CAR( PAIR_507_208 );}AUX_840_3=CBOOL_TO_BBOOL( EQP( OBJ1_506_115, UNCASE_11___RGC_RULE_239 ) );}__andtest_1002_814_157=BBOOL_TO_CBOOL( AUX_840_3 );}{if( __andtest_1002_814_157)
{bool_t OBJ_815_15;
{obj_t AUX_841_61;
{obj_t PAIR_511_51;
{obj_t PAIR_513_233;
{obj_t PAIR_514_125;
PAIR_514_125=CDR( RULE_262_190 );PAIR_513_233=CDR( PAIR_514_125 );}PAIR_511_51=CAR( PAIR_513_233 );}{obj_t PAIR_512_27;
PAIR_512_27=CDR( PAIR_511_51 );AUX_841_61=CAR( PAIR_512_27 );}}OBJ_815_15=STRINGP( AUX_841_61 );}if( OBJ_815_15)
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t RULE_515_35;
{obj_t VA_ARG_729_253;
{obj_t STRING_518_96;
{obj_t PAIR_533_182;
{obj_t PAIR_534_45;
PAIR_534_45=CDR( RULE_262_190 );PAIR_533_182=CDR( PAIR_534_45 );}STRING_518_96=CAR( PAIR_533_182 );}{obj_t NUMBER_517_54;
{obj_t PAIR_532_111;
PAIR_532_111=CDR( RULE_262_190 );NUMBER_517_54=CAR( PAIR_532_111 );}{obj_t LEN_519_3;
LEN_519_3=STRING_LENGTH( STRING_518_96 );{obj_t AUX_842_9;
{obj_t AUX_844_155, AUX_843_89;
AUX_844_155=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_843_89=LOOP_520_115( LEN_519_3, STRING_518_96, NUMBER_517_54 );AUX_842_9=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_843_89, AUX_844_155 );}VA_ARG_729_253=MAKE_PAIR( AUX_842_9, BNIL );}}}}RULE_515_35=CONS____R4_PAIRS_AND_LISTS_6_3_28( ___19___RGC_RULE_157, VA_ARG_729_253 );}{obj_t C_CDR_516_1;
C_CDR_516_1=CDR( RULE_515_35 );return EXPAND_DISTRIBUTE___RGC_RULE_144( OR_18___RGC_RULE_68, C_CDR_516_1, RENV_263_185 );}}_false_1:
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &BADLY_FO_32___RGC_RULE_189), RULE_262_190 );;
}}else
{bool_t OBJ_816_115;
{obj_t AUX_845_42;
{obj_t PAIR_536_249;
{obj_t PAIR_537_236;
PAIR_537_236=CDR( RULE_262_190 );PAIR_536_249=CDR( PAIR_537_236 );}AUX_845_42=CAR( PAIR_536_249 );}OBJ_816_115=STRINGP( AUX_845_42 );}if( OBJ_816_115)
{obj_t N2_539_201;
{obj_t STRING_541_248;
{obj_t PAIR_542_247;
{obj_t PAIR_543_204;
PAIR_543_204=CDR( RULE_262_190 );PAIR_542_247=CDR( PAIR_543_204 );}STRING_541_248=CAR( PAIR_542_247 );}N2_539_201=STRING_LENGTH( STRING_541_248 );}{obj_t N1_538_78;
{obj_t PAIR_540_196;
PAIR_540_196=CDR( RULE_262_190 );N1_538_78=CAR( PAIR_540_196 );}if( GT_I( N1_538_78, N2_539_201 ))
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &NUMBER_B_33___RGC_RULE_253), RULE_262_190 );else
{obj_t RULE_544_5;
{obj_t VA_ARG_736_122;
{obj_t STRING_547_222;
{obj_t PAIR_556_230;
{obj_t PAIR_557_142;
PAIR_557_142=CDR( RULE_262_190 );PAIR_556_230=CDR( PAIR_557_142 );}STRING_547_222=CAR( PAIR_556_230 );}{obj_t NUMBER_546_248;
{obj_t PAIR_555_227;
PAIR_555_227=CDR( RULE_262_190 );NUMBER_546_248=CAR( PAIR_555_227 );}{obj_t LEN_548_11;
LEN_548_11=STRING_LENGTH( STRING_547_222 );{obj_t AUX_846_93;
{obj_t AUX_848_218, AUX_847_159;
AUX_848_218=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_847_159=LOOP_549_11( LEN_548_11, STRING_547_222, NUMBER_546_248 );AUX_846_93=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_847_159, AUX_848_218 );}VA_ARG_736_122=MAKE_PAIR( AUX_846_93, BNIL );}}}}RULE_544_5=CONS____R4_PAIRS_AND_LISTS_6_3_28( ___19___RGC_RULE_157, VA_ARG_736_122 );}{obj_t C_CDR_545_161;
C_CDR_545_161=CDR( RULE_544_5 );return EXPAND_DISTRIBUTE___RGC_RULE_144( OR_18___RGC_RULE_68, C_CDR_545_161, RENV_263_185 );}}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &BADLY_FO_32___RGC_RULE_189), RULE_262_190 );}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &______THE_34___RGC_RULE_69), RULE_262_190 );}else
return BFALSE;}
}

static obj_t
#if defined( __STDC__ )
LOOP_520_115(obj_t LEN_519_3,obj_t STRING_518_96,obj_t J_521_124)
#else
LOOP_520_115( LEN_519_3, STRING_518_96, J_521_124 )
obj_t LEN_519_3;
obj_t STRING_518_96, J_521_124;
#endif
{

if( GT_I( J_521_124, LEN_519_3 ))
return BNIL;else
{obj_t OBJ2_525_143;
OBJ2_525_143=LOOP_520_115( LEN_519_3, STRING_518_96, ADD_I_PTAG( J_521_124, PSUB_TAG( 1 ) ) );{obj_t OBJ1_524_30;
{obj_t VA_ARG_730_64;
VA_ARG_730_64=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_731_121;
VA_ARG_731_121=MAKE_PAIR( c_substring( STRING_518_96, BINT( 0 ), J_521_124 ), VA_ARG_730_64 );OBJ1_524_30=CONS____R4_PAIRS_AND_LISTS_6_3_28( UNCASE_11___RGC_RULE_239, VA_ARG_731_121 );}}return MAKE_PAIR( OBJ1_524_30, OBJ2_525_143 );}}
}

static obj_t
#if defined( __STDC__ )
LOOP_549_11(obj_t LEN_548_11,obj_t STRING_547_222,obj_t J_550_96)
#else
LOOP_549_11( LEN_548_11, STRING_547_222, J_550_96 )
obj_t LEN_548_11;
obj_t STRING_547_222, J_550_96;
#endif
{

if( GT_I( J_550_96, LEN_548_11 ))
return BNIL;else
{obj_t OBJ2_552_48;
OBJ2_552_48=LOOP_549_11( LEN_548_11, STRING_547_222, ADD_I_PTAG( J_550_96, PSUB_TAG( 1 ) ) );return MAKE_PAIR( c_substring( STRING_547_222, BINT( 0 ), J_550_96 ), OBJ2_552_48 );}
}

static obj_t
#if defined( __STDC__ )
EXPAND_____RGC_RULE_55(obj_t RULE_275_79,obj_t RENV_276_172)
#else
EXPAND_____RGC_RULE_55( RULE_275_79, RENV_276_172 )
obj_t RULE_275_79, RENV_276_172;
#endif
{

{bool_t OBJ_817_48;
{obj_t AUX_834_112;
{obj_t PAIR_568_215;
PAIR_568_215=CDR( RULE_275_79 );AUX_834_112=CAR( PAIR_568_215 );}OBJ_817_48=INTEGERP( AUX_834_112 );}if( OBJ_817_48)
{obj_t N1_571_149;
N1_571_149=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_275_79 );if( EQ_I( N1_571_149, ADD_I_PTAG( BINT( 2 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_743_137;
VA_ARG_743_137=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_744_191;
{obj_t AUX_835_113;
AUX_835_113=EXPAND_TO_N_TIMES___RGC_RULE_34( RULE_275_79, RENV_276_172 );VA_ARG_744_191=MAKE_PAIR( AUX_835_113, VA_ARG_743_137 );}{obj_t VA_ARG_745_108;
{obj_t VA_ARG_746_139;
VA_ARG_746_139=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_836_98;
AUX_836_98=CONS____R4_PAIRS_AND_LISTS_6_3_28( EPSILON_17___RGC_RULE_140, VA_ARG_746_139 );VA_ARG_745_108=MAKE_PAIR( AUX_836_98, VA_ARG_744_191 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( OR_18___RGC_RULE_68, VA_ARG_745_108 );}}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_275_79 );}else
{obj_t N1_574_216;
N1_574_216=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( RULE_275_79 );if( EQ_I( N1_574_216, ADD_I_PTAG( BINT( 1 ), PSUB_TAG( 1 ) ) ))
{obj_t VA_ARG_749_193;
VA_ARG_749_193=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_750_160;
{obj_t PAIR_575_154;
PAIR_575_154=CDR( RULE_275_79 );{obj_t C_CAR_576_173;
C_CAR_576_173=CAR( PAIR_575_154 );{obj_t AUX_837_21;
AUX_837_21=INTERNAL_EXPAND_RULE___RGC_RULE_99( C_CAR_576_173, RENV_276_172 );VA_ARG_750_160=MAKE_PAIR( AUX_837_21, VA_ARG_749_193 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( ___13___RGC_RULE_101, VA_ARG_750_160 );}}else
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &WRONG_NU_6___RGC_RULE_182), RULE_275_79 );}}
}

static obj_t
#if defined( __STDC__ )
EXPAND_TO_N_TIMES___RGC_RULE_34(obj_t RULE_277_156,obj_t RENV_278_12)
#else
EXPAND_TO_N_TIMES___RGC_RULE_34( RULE_277_156, RENV_278_12 )
obj_t RULE_277_156, RENV_278_12;
#endif
{

{obj_t REXP_280_153, TIMES_279_20;
{obj_t PAIR_578_35;
{obj_t PAIR_579_206;
PAIR_579_206=CDR( RULE_277_156 );PAIR_578_35=CDR( PAIR_579_206 );}REXP_280_153=CAR( PAIR_578_35 );}{obj_t PAIR_577_88;
PAIR_577_88=CDR( RULE_277_156 );TIMES_279_20=CAR( PAIR_577_88 );}if( LT_I( TIMES_279_20, BINT( 1 ) ))
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &ILLEGAL__15___RGC_RULE_232), RULE_277_156 );else
{obj_t RULE_580_153;
{obj_t VA_ARG_755_109;
{obj_t AUX_831_225;
{obj_t AUX_833_251, AUX_832_151;
AUX_833_251=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_832_151=LOOP_281_174( TIMES_279_20, REXP_280_153, BINT( 2 ) );AUX_831_225=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_832_151, AUX_833_251 );}VA_ARG_755_109=MAKE_PAIR( AUX_831_225, BNIL );}{obj_t VA_ARG_756_205;
VA_ARG_756_205=MAKE_PAIR( REXP_280_153, VA_ARG_755_109 );RULE_580_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( ___19___RGC_RULE_157, VA_ARG_756_205 );}}{obj_t C_CDR_581_3;
C_CDR_581_3=CDR( RULE_580_153 );return EXPAND_DISTRIBUTE___RGC_RULE_144( OR_18___RGC_RULE_68, C_CDR_581_3, RENV_278_12 );}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_281_174(obj_t TIMES_279_20,obj_t REXP_280_153,obj_t I_282_40)
#else
LOOP_281_174( TIMES_279_20, REXP_280_153, I_282_40 )
obj_t TIMES_279_20, REXP_280_153, I_282_40;
#endif
{

if( GT_I( I_282_40, TIMES_279_20 ))
return BNIL;else
{obj_t OBJ2_583_163;
OBJ2_583_163=LOOP_281_174( TIMES_279_20, REXP_280_153, ADD_I_PTAG( I_282_40, PSUB_TAG( 1 ) ) );{obj_t OBJ1_582_68;
{obj_t VA_ARG_757_180;
VA_ARG_757_180=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_758_96;
VA_ARG_758_96=MAKE_PAIR( REXP_280_153, VA_ARG_757_180 );{obj_t VA_ARG_759_227;
VA_ARG_759_227=MAKE_PAIR( I_282_40, VA_ARG_758_96 );OBJ1_582_68=CONS____R4_PAIRS_AND_LISTS_6_3_28( ___14___RGC_RULE_248, VA_ARG_759_227 );}}}return MAKE_PAIR( OBJ1_582_68, OBJ2_583_163 );}}
}

static obj_t
#if defined( __STDC__ )
EXPAND_______RGC_RULE_115(obj_t RULE_300_74,obj_t RENV_301_185)
#else
EXPAND_______RGC_RULE_115( RULE_300_74, RENV_301_185 )
obj_t RULE_300_74, RENV_301_185;
#endif
{

{obj_t VEXECPT_304_64, FEXECPT_303_230, ACC_302_184;
VEXECPT_304_64=DUMMY_35___RGC_RULE_18;FEXECPT_303_230=DUMMY_35___RGC_RULE_18;ACC_302_184=BNIL;{
{bool_t OBJ_818_223;
{obj_t AUX_827_40;
{obj_t PAIR_626_114;
PAIR_626_114=CDR( RULE_300_74 );AUX_827_40=CAR( PAIR_626_114 );}OBJ_818_223=PAIRP( AUX_827_40 );}if( OBJ_818_223)
{
{obj_t C_CDR_627_114;
C_CDR_627_114=CDR( RULE_300_74 );VEXECPT_304_64=BUILD_INTERVAL___RGC_RULE_69( C_CDR_627_114 );}
{obj_t A_FUNCTION_780_57;
A_FUNCTION_780_57=MEMQ_ENV___R4_PAIRS_AND_LISTS_6_3_168;FEXECPT_303_230=A_FUNCTION_780_57;}
}else
{
{obj_t CHAR_629_87;
{obj_t PAIR_630_209;
PAIR_630_209=CDR( RULE_300_74 );CHAR_629_87=CAR( PAIR_630_209 );}VEXECPT_304_64=CHAR_TO_INT( CHAR_629_87 );}
{obj_t A_FUNCTION_781_211;
A_FUNCTION_781_211=EQ__ENV___R4_EQUIVALENCE_6_2_54;FEXECPT_303_230=A_FUNCTION_781_211;}
}}
{obj_t I_306_222;
{
I_306_222=__RGC_FIRST_CHAR____RGC_PARAM_219;
{_LOOP_305_79:

{obj_t N2_631_39;
N2_631_39=__RGC_LAST_CHAR____RGC_PARAM_157;if( EQ_I( I_306_222, N2_631_39 ))
{obj_t VA_ARG_782_58;
VA_ARG_782_58=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_783_22;
{obj_t AUX_828_177;
AUX_828_177=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_302_184 );VA_ARG_783_22=MAKE_PAIR( AUX_828_177, VA_ARG_782_58 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( IN_21___RGC_RULE_34, VA_ARG_783_22 );}}else
{
{obj_t AUX_829_107;
AUX_829_107=PROCEDURE_ENTRY( FEXECPT_303_230 )( FEXECPT_303_230, I_306_222, VEXECPT_304_64, BEOA );if( BBOOL_TO_CBOOL( AUX_829_107 ))
BFALSE;else
{obj_t OBJ2_633_197;
OBJ2_633_197=ACC_302_184;{obj_t OBJ1_632_174;
OBJ1_632_174=INT_TO_CHAR( I_306_222 );ACC_302_184=MAKE_PAIR( OBJ1_632_174, OBJ2_633_197 );}}}
{obj_t I_830_45;
I_830_45=I_306_222;{
I_306_222=ADD_I_PTAG( I_830_45, PSUB_TAG( 1 ) );
goto _LOOP_305_79;
}}
}}}
}}
}}
}

static obj_t
#if defined( __STDC__ )
BUILD_INTERVAL___RGC_RULE_69(obj_t B__307_23)
#else
BUILD_INTERVAL___RGC_RULE_69( B__307_23 )
obj_t B__307_23;
#endif
{

return LOOP_309_128( B__307_23, B__307_23 );
}

static obj_t
#if defined( __STDC__ )
INTER_308_162(obj_t B__307_23,obj_t MIN_311_239,obj_t MAX_312_110)
#else
INTER_308_162( B__307_23, MIN_311_239, MAX_312_110 )
obj_t B__307_23, MIN_311_239, MAX_312_110;
#endif
{

if( EQP( MIN_311_239, MAX_312_110 ))
return MAKE_PAIR( MIN_311_239, BNIL );else
{obj_t OBJ2_636_234;
{obj_t R_637_207;
R_637_207=__RGC_LAST_CHAR____RGC_PARAM_157;OBJ2_636_234=ADD_I_PTAG( PSUB_TAG( 1 ), R_637_207 );}if( EQP( MIN_311_239, OBJ2_636_234 ))
FAILURE( BREF( &REGULAR__5___RGC_RULE_219), BREF( &INCORREC_36___RGC_RULE_37), B__307_23 );else
{obj_t OBJ2_639_73;
OBJ2_639_73=INTER_308_162( B__307_23, ADD_I_PTAG( PSUB_TAG( 1 ), MIN_311_239 ), MAX_312_110 );return MAKE_PAIR( MIN_311_239, OBJ2_639_73 );}}
}

static obj_t
#if defined( __STDC__ )
LOOP_309_128(obj_t B__307_23,obj_t B__310_215)
#else
LOOP_309_128( B__307_23, B__310_215 )
obj_t B__307_23, B__310_215;
#endif
{

if( NULLP( B__310_215 ))
return BNIL;else
{obj_t CHAR_642_113;
CHAR_642_113=CAR( B__310_215 );{obj_t CHAR_643_112;
{obj_t PAIR_644_213;
PAIR_644_213=CDR( B__310_215 );CHAR_643_112=CAR( PAIR_644_213 );}{obj_t PAIR_646_190;
PAIR_646_190=CDR( B__310_215 );{obj_t C_CDR_647_249;
C_CDR_647_249=CDR( PAIR_646_190 );{obj_t AUX_826_188, AUX_823_7;
AUX_826_188=LOOP_309_128( B__307_23, C_CDR_647_249 );{obj_t AUX_825_65, AUX_824_36;
AUX_825_65=CHAR_TO_INT( CHAR_643_112 );AUX_824_36=CHAR_TO_INT( CHAR_642_113 );AUX_823_7=INTER_308_162( B__307_23, AUX_824_36, AUX_825_65 );}return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_823_7, AUX_826_188 );}}}}}
}

static obj_t
#if defined( __STDC__ )
EXPAND_OUT___RGC_RULE_18(obj_t RULE_315_235,obj_t RENV_316_95)
#else
EXPAND_OUT___RGC_RULE_18( RULE_315_235, RENV_316_95 )
obj_t RULE_315_235, RENV_316_95;
#endif
{

{obj_t OUT_LIST_317_62;
{obj_t g1003_321_142;
g1003_321_142=CDR( RULE_315_235 );if( NULLP( g1003_321_142 ))
OUT_LIST_317_62=BNIL;else
{obj_t HEAD_322_126;
{obj_t OBJ2_650_235;
OBJ2_650_235=BNIL;{obj_t OBJ1_649_121;
{obj_t CHAR_651_249;
CHAR_651_249=CAR( g1003_321_142 );OBJ1_649_121=CHAR_TO_INT( CHAR_651_249 );}HEAD_322_126=MAKE_PAIR( OBJ1_649_121, OBJ2_650_235 );}}{obj_t g1003_324_62, TAIL_325_13;
{obj_t C_CDR_656_123;
C_CDR_656_123=CDR( g1003_321_142 );{
TAIL_325_13=HEAD_322_126;
g1003_324_62=C_CDR_656_123;
{_g1004_323_67:

if( NULLP( g1003_324_62 ))
OUT_LIST_317_62=HEAD_322_126;else
{obj_t NEW_TAIL_326_231;
{obj_t OBJ2_653_163;
OBJ2_653_163=BNIL;{obj_t OBJ1_652_163;
{obj_t CHAR_654_182;
CHAR_654_182=CAR( g1003_324_62 );OBJ1_652_163=CHAR_TO_INT( CHAR_654_182 );}NEW_TAIL_326_231=MAKE_PAIR( OBJ1_652_163, OBJ2_653_163 );}}{
SET_CDR( TAIL_325_13, NEW_TAIL_326_231 );
{obj_t C_CDR_655_131;
C_CDR_655_131=CDR( g1003_324_62 );{
TAIL_325_13=NEW_TAIL_326_231;
g1003_324_62=C_CDR_655_131;
goto _g1004_323_67;
}}
}}}
}}}}}{obj_t I_319_177, ACC_320_163;
{
ACC_320_163=BNIL;
I_319_177=__RGC_FIRST_CHAR____RGC_PARAM_219;
{_LOOP_318_115:

{obj_t N2_657_131;
N2_657_131=__RGC_LAST_CHAR____RGC_PARAM_157;if( EQ_I( I_319_177, N2_657_131 ))
{obj_t VA_ARG_788_144;
VA_ARG_788_144=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_789_172;
VA_ARG_789_172=MAKE_PAIR( ACC_320_163, VA_ARG_788_144 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( IN_21___RGC_RULE_34, VA_ARG_789_172 );}}else
{obj_t AUX_822_30;
AUX_822_30=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( I_319_177, OUT_LIST_317_62 );if( BBOOL_TO_CBOOL( AUX_822_30 ))
{obj_t I_820_154;
I_820_154=I_319_177;{
I_319_177=ADD_I_PTAG( I_820_154, PSUB_TAG( 1 ) );
goto _LOOP_318_115;
}}else
{obj_t OBJ1_660_186;
OBJ1_660_186=INT_TO_CHAR( I_319_177 );{obj_t C_CONS_661_167;
C_CONS_661_167=MAKE_PAIR( OBJ1_660_186, ACC_320_163 );{obj_t I_821_250;
I_821_250=I_319_177;{
ACC_320_163=C_CONS_661_167;
I_319_177=ADD_I_PTAG( I_821_250, PSUB_TAG( 1 ) );
goto _LOOP_318_115;
}}}}}}}
}}}
}

