/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/trap.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t TRAPPED____RGC_TRAP_203(obj_t);
#else
extern obj_t TRAPPED____RGC_TRAP_203();
#endif
static obj_t EQ__12___RGC_TRAP_187 = BUNSPEC;
static obj_t CURRENT__11___RGC_TRAP_161 = BUNSPEC;
obj_t PRE_TRAP_ENV___RGC_TRAP_196 = BUNSPEC;
static obj_t LIST_9___RGC_TRAP_246 = BUNSPEC;
extern obj_t ___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
static obj_t EOF_0___RGC_TRAP_168 = BUNSPEC;
static obj_t INPUT_PO_2___RGC_TRAP_187 = BUNSPEC;
static obj_t QUOTE_10___RGC_TRAP_157 = BUNSPEC;
static obj_t INPUT_PO_8___RGC_TRAP_61 = BUNSPEC;
static obj_t __LOCAL_TRAP____RGC_TRAP_187 = BUNSPEC;
static obj_t LIST_6___RGC_TRAP_193 = BUNSPEC;
obj_t TRAPPED__ENV___RGC_TRAP_56 = BUNSPEC;
static obj_t INPUT_PO_1___RGC_TRAP_180 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t TEST_TRAP___RGC_TRAP_10(obj_t);
#else
extern obj_t TEST_TRAP___RGC_TRAP_10();
#endif
static obj_t REQUIRE_INITIALISATION____RGC_TRAP_152 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __TRAPPED____RGC_TRAP_185(obj_t, obj_t);
#else
extern obj_t __TRAPPED____RGC_TRAP_185();
#endif
#if defined( __STDC__ )
extern obj_t ____RGC_TRAP_INITIALISATION___RGC_TRAP_227(obj_t);
#else
extern obj_t ____RGC_TRAP_INITIALISATION___RGC_TRAP_227();
#endif
#if defined( __STDC__ )
extern obj_t PRE_TRAP___RGC_TRAP_88(obj_t);
#else
extern obj_t PRE_TRAP___RGC_TRAP_88();
#endif
static obj_t EOL_4___RGC_TRAP_120 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
obj_t ___RGC_TRAP_INITIALISATION_ENV___RGC_TRAP_204 = BUNSPEC;
static obj_t INPUT_PO_5___RGC_TRAP_193 = BUNSPEC;
static obj_t LIST_3___RGC_TRAP_238 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PRE_TRAP___RGC_TRAP_2(obj_t, obj_t);
#else
extern obj_t __PRE_TRAP___RGC_TRAP_2();
#endif
obj_t TEST_TRAP_ENV___RGC_TRAP_140 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t BOL_7___RGC_TRAP_107 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
extern obj_t __TEST_TRAP___RGC_TRAP_206(obj_t, obj_t);
#else
extern obj_t __TEST_TRAP___RGC_TRAP_206();
#endif


obj_t
#if defined( __STDC__ )
___RGC_TRAP_INITIALISATION___RGC_TRAP_92()
#else
___RGC_TRAP_INITIALISATION___RGC_TRAP_92()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_TRAP_152 ))
{
REQUIRE_INITIALISATION____RGC_TRAP_152=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
QUOTE_10___RGC_TRAP_157=c_string_to_symbol( "QUOTE" );
INPUT_PO_1___RGC_TRAP_180=c_string_to_symbol( "INPUT-PORT" );
EOL_4___RGC_TRAP_120=c_string_to_symbol( "EOL" );
INPUT_PO_2___RGC_TRAP_187=c_string_to_symbol( "INPUT-PORT-EOF?" );
EQ__12___RGC_TRAP_187=c_string_to_symbol( "EQ?" );
CURRENT__11___RGC_TRAP_161=c_string_to_symbol( "CURRENT-CONTEXT" );
EOF_0___RGC_TRAP_168=c_string_to_symbol( "EOF" );
INPUT_PO_8___RGC_TRAP_61=c_string_to_symbol( "INPUT-PORT-BOL?" );
BOL_7___RGC_TRAP_107=c_string_to_symbol( "BOL" );
INPUT_PO_5___RGC_TRAP_193=c_string_to_symbol( "INPUT-PORT-EOL?" );
{obj_t AUX_257_63;
AUX_257_63=MAKE_PAIR( INPUT_PO_1___RGC_TRAP_180, BNIL );LIST_3___RGC_TRAP_238=MAKE_PAIR( INPUT_PO_2___RGC_TRAP_187, AUX_257_63 );}
{obj_t AUX_258_52;
AUX_258_52=MAKE_PAIR( INPUT_PO_1___RGC_TRAP_180, BNIL );LIST_6___RGC_TRAP_193=MAKE_PAIR( INPUT_PO_5___RGC_TRAP_193, AUX_258_52 );}
{obj_t AUX_259_216;
AUX_259_216=MAKE_PAIR( INPUT_PO_1___RGC_TRAP_180, BNIL );LIST_9___RGC_TRAP_246=MAKE_PAIR( INPUT_PO_8___RGC_TRAP_61, AUX_259_216 );}
{
___RGC_TRAP_INITIALISATION_ENV___RGC_TRAP_204=make_fx_procedure( ____RGC_TRAP_INITIALISATION___RGC_TRAP_227, 0, 0 );
PRE_TRAP_ENV___RGC_TRAP_196=make_fx_procedure( __PRE_TRAP___RGC_TRAP_2, 1, 0 );
TRAPPED__ENV___RGC_TRAP_56=make_fx_procedure( __TRAPPED____RGC_TRAP_185, 1, 0 );
TEST_TRAP_ENV___RGC_TRAP_140=make_fx_procedure( __TEST_TRAP___RGC_TRAP_206, 1, 0 );
{
__LOCAL_TRAP____RGC_TRAP_187=BFALSE;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_TRAP_INITIALISATION___RGC_TRAP_227(obj_t ENV_251_69)
#else
____RGC_TRAP_INITIALISATION___RGC_TRAP_227( ENV_251_69 )
obj_t ENV_251_69;
#endif
{

return ___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
}

obj_t
#if defined( __STDC__ )
PRE_TRAP___RGC_TRAP_88(obj_t T_TRAP_222_88)
#else
PRE_TRAP___RGC_TRAP_88( T_TRAP_222_88 )
obj_t T_TRAP_222_88;
#endif
{

__LOCAL_TRAP____RGC_TRAP_187=T_TRAP_222_88;
}

obj_t
#if defined( __STDC__ )
__PRE_TRAP___RGC_TRAP_2(obj_t ENV_250_37,obj_t T_TRAP_222_88)
#else
__PRE_TRAP___RGC_TRAP_2( ENV_250_37, T_TRAP_222_88 )
obj_t ENV_250_37, T_TRAP_222_88;
#endif
{

return PRE_TRAP___RGC_TRAP_88( T_TRAP_222_88 );
}

obj_t
#if defined( __STDC__ )
TRAPPED____RGC_TRAP_203(obj_t NUM_223_233)
#else
TRAPPED____RGC_TRAP_203( NUM_223_233 )
obj_t NUM_223_233;
#endif
{

{bool_t OBJ_253_176;
{obj_t AUX_255_37;
{bool_t OBJ_252_161;
{obj_t AUX_256_23;
{obj_t VECTOR_232_68;
VECTOR_232_68=__LOCAL_TRAP____RGC_TRAP_187;AUX_256_23=VECTOR_REF( VECTOR_232_68, NUM_223_233 );}OBJ_252_161=NULLP( AUX_256_23 );}AUX_255_37=CBOOL_TO_BBOOL( OBJ_252_161 );}OBJ_253_176=BBOOL_TO_CBOOL( AUX_255_37 );}if( OBJ_253_176)
return BFALSE;else
return BTRUE;}
}

obj_t
#if defined( __STDC__ )
__TRAPPED____RGC_TRAP_185(obj_t ENV_249_221,obj_t NUM_223_233)
#else
__TRAPPED____RGC_TRAP_185( ENV_249_221, NUM_223_233 )
obj_t ENV_249_221, NUM_223_233;
#endif
{

return TRAPPED____RGC_TRAP_203( NUM_223_233 );
}

obj_t
#if defined( __STDC__ )
TEST_TRAP___RGC_TRAP_10(obj_t NUM_224_125)
#else
TEST_TRAP___RGC_TRAP_10( NUM_224_125 )
obj_t NUM_224_125;
#endif
{

{obj_t CASE_VALUE_225_98;
{obj_t VECTOR_233_56;
VECTOR_233_56=__LOCAL_TRAP____RGC_TRAP_187;CASE_VALUE_225_98=VECTOR_REF( VECTOR_233_56, NUM_224_125 );}if( EQP( CASE_VALUE_225_98, EOF_0___RGC_TRAP_168 ))
return LIST_3___RGC_TRAP_238;else
if( EQP( CASE_VALUE_225_98, EOL_4___RGC_TRAP_120 ))
return LIST_6___RGC_TRAP_193;else
if( EQP( CASE_VALUE_225_98, BOL_7___RGC_TRAP_107 ))
return LIST_9___RGC_TRAP_246;else
{obj_t VA_ARG_243_38;
VA_ARG_243_38=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_244_216;
{obj_t VA_ARG_246_135;
VA_ARG_246_135=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_247_0;
{obj_t PAIR_237_112;
{obj_t VECTOR_242_83;
VECTOR_242_83=__LOCAL_TRAP____RGC_TRAP_187;PAIR_237_112=VECTOR_REF( VECTOR_242_83, NUM_224_125 );}{obj_t PAIR_239_24;
PAIR_239_24=CDR( PAIR_237_112 );{obj_t C_CAR_240_214;
C_CAR_240_214=CAR( PAIR_239_24 );VA_ARG_247_0=MAKE_PAIR( C_CAR_240_214, VA_ARG_246_135 );}}}{obj_t AUX_254_69;
AUX_254_69=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_10___RGC_TRAP_157, VA_ARG_247_0 );VA_ARG_244_216=MAKE_PAIR( AUX_254_69, VA_ARG_243_38 );}}}{obj_t VA_ARG_245_52;
VA_ARG_245_52=MAKE_PAIR( CURRENT__11___RGC_TRAP_161, VA_ARG_244_216 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( EQ__12___RGC_TRAP_187, VA_ARG_245_52 );}}}}
}

obj_t
#if defined( __STDC__ )
__TEST_TRAP___RGC_TRAP_206(obj_t ENV_248_54,obj_t NUM_224_125)
#else
__TEST_TRAP___RGC_TRAP_206( ENV_248_54, NUM_224_125 )
obj_t ENV_248_54, NUM_224_125;
#endif
{

return TEST_TRAP___RGC_TRAP_10( NUM_224_125 );
}

