/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/tree.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t VECTOR_GROW_ENV___RGC_TREE_117 = BUNSPEC;
static obj_t CONCAT_1___RGC_TREE_142 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EVAL_TREE___RGC_TREE_119(obj_t, obj_t);
#else
extern obj_t EVAL_TREE___RGC_TREE_119();
#endif
obj_t EVAL_TREE_ENV___RGC_TREE_67 = BUNSPEC;
static obj_t ___7___RGC_TREE_217 = BUNSPEC;
extern obj_t make_struct();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t ___6___RGC_TREE_160 = BUNSPEC;
static obj_t NODE_13___RGC_TREE_116 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_GROW___RGC_TREE_36(obj_t, obj_t);
#else
extern obj_t VECTOR_GROW___RGC_TREE_36();
#endif
static obj_t EPSILON_8___RGC_TREE_61 = BUNSPEC;
static obj_t TRAP_10___RGC_TREE_250 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EVAL_TREE___RGC_TREE_132(obj_t, obj_t, obj_t);
#else
extern obj_t __EVAL_TREE___RGC_TREE_132();
#endif
extern obj_t ___RGC_TREE_INITIALISATION___RGC_TREE_226();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t OR_0___RGC_TREE_214 = BUNSPEC;
static obj_t END_9___RGC_TREE_253 = BUNSPEC;
static obj_t IN_4___RGC_TREE_173 = BUNSPEC;
DEFINE_STRING( UNKNOWN__12___RGC_TREE_35, "Unknown function", 16);
static obj_t REQUIRE_INITIALISATION____RGC_TREE_53 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ____RGC_TREE_INITIALISATION___RGC_TREE_44(obj_t);
#else
extern obj_t ____RGC_TREE_INITIALISATION___RGC_TREE_44();
#endif
obj_t ___RGC_TREE_INITIALISATION_ENV___RGC_TREE_185 = BUNSPEC;
extern obj_t make_vector();
static obj_t CHAR_5___RGC_TREE_95 = BUNSPEC;
static obj_t DUMMY_2___RGC_TREE_167 = BUNSPEC;
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( REGULAR__11___RGC_TREE_25, "regular-grammar", 15);
extern obj_t create_vector();
static obj_t CONCAT_C_3___RGC_TREE_102 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_GROW___RGC_TREE_25(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_GROW___RGC_TREE_25();
#endif

static obj_t READ_280_108();
static obj_t REG_CHAR_267_229();
static obj_t COMPUTE_FOLLOW___01_268_36();
static obj_t GET_NEW_POS_261_128();
static obj_t GET_LOCATION_260_165();
static obj_t MEANING_TREE_262_32();

obj_t
#if defined( __STDC__ )
___RGC_TREE_INITIALISATION___RGC_TREE_226()
#else
___RGC_TREE_INITIALISATION___RGC_TREE_226()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_TREE_53 ))
{
REQUIRE_INITIALISATION____RGC_TREE_53=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
CONCAT_1___RGC_TREE_142=c_string_to_symbol( "CONCAT" );
CONCAT_C_3___RGC_TREE_102=c_string_to_symbol( "CONCAT-CHAR" );
DUMMY_2___RGC_TREE_167=c_string_to_symbol( "DUMMY" );
TRAP_10___RGC_TREE_250=c_string_to_symbol( "TRAP" );
OR_0___RGC_TREE_214=c_string_to_symbol( "OR" );
EPSILON_8___RGC_TREE_61=c_string_to_symbol( "EPSILON" );
END_9___RGC_TREE_253=c_string_to_symbol( "END" );
IN_4___RGC_TREE_173=c_string_to_symbol( "IN" );
NODE_13___RGC_TREE_116=c_string_to_symbol( "NODE" );
CHAR_5___RGC_TREE_95=c_string_to_symbol( "CHAR" );
___7___RGC_TREE_217=c_string_to_symbol( "+" );
___6___RGC_TREE_160=c_string_to_symbol( "*" );
{
___RGC_TREE_INITIALISATION_ENV___RGC_TREE_185=make_fx_procedure( ____RGC_TREE_INITIALISATION___RGC_TREE_44, 0, 0 );
EVAL_TREE_ENV___RGC_TREE_67=make_fx_procedure( __EVAL_TREE___RGC_TREE_132, 2, 0 );
VECTOR_GROW_ENV___RGC_TREE_117=make_fx_procedure( __VECTOR_GROW___RGC_TREE_25, 2, 0 );
{
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_TREE_INITIALISATION___RGC_TREE_44(obj_t ENV_671_101)
#else
____RGC_TREE_INITIALISATION___RGC_TREE_44( ENV_671_101 )
obj_t ENV_671_101;
#endif
{

return ___RGC_TREE_INITIALISATION___RGC_TREE_226();
}

obj_t
#if defined( __STDC__ )
EVAL_TREE___RGC_TREE_119(obj_t TREE_245_119,obj_t NB_USR_ACTION_246_75)
#else
EVAL_TREE___RGC_TREE_119( TREE_245_119, NB_USR_ACTION_246_75 )
obj_t TREE_245_119, NB_USR_ACTION_246_75;
#endif
{

{obj_t STORE_INDICE_257_246, ENV_INDICE_256_187, WALK_255_159, STORE_LEN_254_228, ENV_LEN_253_136, FAST_UNION_V_252_166, POSITION_251_155, F_ENV_250_115, F_STORE_249_134;
obj_t T_TRAP_248_147;
obj_t __RULE_NUM__247_137;
STORE_INDICE_257_246=MAKE_CELL( BINT( -1 ) );ENV_INDICE_256_187=MAKE_CELL( BINT( -1 ) );WALK_255_159=MAKE_CELL( BFALSE );STORE_LEN_254_228=MAKE_CELL( BINT( 1023 ) );ENV_LEN_253_136=MAKE_CELL( BINT( 1023 ) );{obj_t AUX_701_158;
AUX_701_158=make_vector( BINT( 1024 ), BFALSE );FAST_UNION_V_252_166=MAKE_CELL( AUX_701_158 );}{obj_t AUX_700_201;
AUX_700_201=make_vector( BINT( 1024 ), BNIL );POSITION_251_155=MAKE_CELL( AUX_700_201 );}{obj_t AUX_699_28;
AUX_699_28=make_vector( BINT( 1024 ), BNIL );F_ENV_250_115=MAKE_CELL( AUX_699_28 );}{obj_t AUX_698_210;
AUX_698_210=make_vector( BINT( 1024 ), BNIL );F_STORE_249_134=MAKE_CELL( AUX_698_210 );}T_TRAP_248_147=make_vector( NB_USR_ACTION_246_75, BNIL );__RULE_NUM__247_137=MAKE_CELL( SUB_I_PTAG( NB_USR_ACTION_246_75, PSUB_TAG( 1 ) ) );{obj_t TREE__274_24;
TREE__274_24=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, TREE_245_119 );{obj_t V_275_14;
V_275_14=create_vector( BINT( 6 ) );{
VECTOR_SET( V_275_14, BINT( 5 ), T_TRAP_248_147 );
{obj_t OBJ_650_8;
OBJ_650_8=CELL_REF( FAST_UNION_V_252_166 );VECTOR_SET( V_275_14, BINT( 4 ), OBJ_650_8 );}
{obj_t OBJ_651_189;
OBJ_651_189=CELL_REF( F_ENV_250_115 );VECTOR_SET( V_275_14, BINT( 3 ), OBJ_651_189 );}
{obj_t OBJ_652_4;
OBJ_652_4=CELL_REF( F_STORE_249_134 );VECTOR_SET( V_275_14, BINT( 2 ), OBJ_652_4 );}
{obj_t OBJ_653_33;
OBJ_653_33=CELL_REF( POSITION_251_155 );VECTOR_SET( V_275_14, BINT( 1 ), OBJ_653_33 );}
{obj_t OBJ_654_16;
OBJ_654_16=STRUCT_SLOT_REF( TREE__274_24, BINT( 0 ) );VECTOR_SET( V_275_14, BINT( 0 ), OBJ_654_16 );}
return V_275_14;
}}}}
}

static obj_t
#if defined( __STDC__ )
READ_280_108(obj_t MIN_278_28,obj_t MAX_279_10,obj_t FAST_UNION_V_252_166,obj_t L_281_43)
#else
READ_280_108( MIN_278_28, MAX_279_10, FAST_UNION_V_252_166, L_281_43 )
obj_t MIN_278_28, MAX_279_10, FAST_UNION_V_252_166, L_281_43;
#endif
{
_READ_280_108:

if( NULLP( L_281_43 ))
return BNIL;else
{obj_t C_282_166;
C_282_166=CAR( L_281_43 );{
{obj_t N2_637_37;
N2_637_37=CELL_REF( MIN_278_28 );if( LT_I( C_282_166, N2_637_37 ))
CELL_SET( MIN_278_28, C_282_166 );else
{obj_t N2_640_107;
N2_640_107=CELL_REF( MAX_279_10 );if( GT_I( C_282_166, N2_640_107 ))
CELL_SET( MAX_279_10, C_282_166 );else
BFALSE;}}
{obj_t VECTOR_641_96;
VECTOR_641_96=CELL_REF( FAST_UNION_V_252_166 );VECTOR_SET( VECTOR_641_96, C_282_166, BTRUE );}
{obj_t C_CDR_642_182;
C_CDR_642_182=CDR( L_281_43 );{
L_281_43=C_CDR_642_182;
goto _READ_280_108;
}}
}}
}

static obj_t
#if defined( __STDC__ )
REG_CHAR_267_229(obj_t WALK_255_159,obj_t STORE_LEN_254_228,obj_t F_STORE_249_134,obj_t STORE_INDICE_257_246,obj_t POSITION_251_155,obj_t F_ENV_250_115,obj_t FAST_UNION_V_252_166,obj_t ENV_LEN_253_136,obj_t ENV_INDICE_256_187,obj_t CHAR_327_108)
#else
REG_CHAR_267_229( WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, CHAR_327_108 )
obj_t WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, CHAR_327_108;
#endif
{

{obj_t NODE_329_115, POS_328_49;
{obj_t INIT_453_24;
INIT_453_24=BNIL;{obj_t INIT_454_91;
INIT_454_91=BNIL;NODE_329_115=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_454_91 );}}POS_328_49=GET_NEW_POS_261_128( ENV_INDICE_256_187, ENV_LEN_253_136, FAST_UNION_V_252_166, F_ENV_250_115, POSITION_251_155 );{
{obj_t VECTOR_456_81;
VECTOR_456_81=CELL_REF( POSITION_251_155 );VECTOR_SET( VECTOR_456_81, POS_328_49, CHAR_327_108 );}
{obj_t AUX_697_213;
AUX_697_213=CELL_REF( WALK_255_159 );if( BBOOL_TO_CBOOL( AUX_697_213 ))
{
{obj_t OBJ_458_94;
OBJ_458_94=CELL_REF( WALK_255_159 );{obj_t VECTOR_457_20;
VECTOR_457_20=CELL_REF( F_ENV_250_115 );VECTOR_SET( VECTOR_457_20, POS_328_49, OBJ_458_94 );}}
{obj_t L_FOR_F_462_71;
L_FOR_F_462_71=BNIL;{obj_t LAST_460_212;
LAST_460_212=MAKE_PAIR( POS_328_49, BNIL );{obj_t FIRST_459_224;
FIRST_459_224=MAKE_PAIR( POS_328_49, BNIL );{
STRUCT_SLOT_SET( NODE_329_115, BINT( 0 ), FIRST_459_224 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 1 ), LAST_460_212 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NODE_329_115, BINT( 3 ), L_FOR_F_462_71 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 4 ), L_FOR_F_462_71 );
}}}}
}else
{obj_t LOCATION_330_129;
LOCATION_330_129=GET_LOCATION_260_165( STORE_INDICE_257_246, F_STORE_249_134, STORE_LEN_254_228 );{
{obj_t VECTOR_465_216;
VECTOR_465_216=CELL_REF( F_ENV_250_115 );VECTOR_SET( VECTOR_465_216, POS_328_49, LOCATION_330_129 );}
{obj_t OBJ_467_195;
OBJ_467_195=BNIL;{obj_t VECTOR_466_0;
VECTOR_466_0=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_466_0, LOCATION_330_129, OBJ_467_195 );}}
CELL_SET( WALK_255_159, LOCATION_330_129 );
{obj_t L_FOR_F_471_205;
L_FOR_F_471_205=MAKE_PAIR( POS_328_49, BNIL );{obj_t F_FOR_F_470_125;
F_FOR_F_470_125=MAKE_PAIR( POS_328_49, BNIL );{obj_t LAST_469_18;
LAST_469_18=MAKE_PAIR( POS_328_49, BNIL );{obj_t FIRST_468_86;
FIRST_468_86=MAKE_PAIR( POS_328_49, BNIL );{
STRUCT_SLOT_SET( NODE_329_115, BINT( 0 ), FIRST_468_86 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 1 ), LAST_469_18 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NODE_329_115, BINT( 3 ), F_FOR_F_470_125 );
STRUCT_SLOT_SET( NODE_329_115, BINT( 4 ), L_FOR_F_471_205 );
}}}}}
}}}
return NODE_329_115;
}}
}

static obj_t
#if defined( __STDC__ )
COMPUTE_FOLLOW___01_268_36(obj_t FAST_UNION_V_252_166,obj_t F_STORE_249_134,obj_t F_ENV_250_115,obj_t NODE_331_6)
#else
COMPUTE_FOLLOW___01_268_36( FAST_UNION_V_252_166, F_STORE_249_134, F_ENV_250_115, NODE_331_6 )
obj_t FAST_UNION_V_252_166, F_STORE_249_134, F_ENV_250_115, NODE_331_6;
#endif
{

{obj_t L1_276_143, L2_277_79;
{obj_t FIRSTPOS_332_52;
FIRSTPOS_332_52=STRUCT_SLOT_REF( NODE_331_6, BINT( 0 ) );{obj_t g1000_334_220;
{obj_t C_STRUCT_REF_452_40;
C_STRUCT_REF_452_40=STRUCT_SLOT_REF( NODE_331_6, BINT( 4 ) );{
g1000_334_220=C_STRUCT_REF_452_40;
{_g1001_333_83:

if( PAIRP( g1000_334_220 ))
{
{obj_t I_335_131;
I_335_131=CAR( g1000_334_220 );{obj_t LOCATION_336_231;
{obj_t VECTOR_446_23;
VECTOR_446_23=CELL_REF( F_ENV_250_115 );LOCATION_336_231=VECTOR_REF( VECTOR_446_23, I_335_131 );}{obj_t OBJ_448_9;
{obj_t VECTOR_449_216;
VECTOR_449_216=CELL_REF( F_STORE_249_134 );{obj_t C_VECTOR_REF_450_19;
C_VECTOR_REF_450_19=VECTOR_REF( VECTOR_449_216, LOCATION_336_231 );{
L2_277_79=FIRSTPOS_332_52;
L1_276_143=C_VECTOR_REF_450_19;
{
if( NULLP( L1_276_143 ))
OBJ_448_9=L2_277_79;else
if( NULLP( L2_277_79 ))
OBJ_448_9=L1_276_143;else
{obj_t MAX_279_10, MIN_278_28;
MAX_279_10=MAKE_CELL( CAR( L1_276_143 ) );MIN_278_28=MAKE_CELL( CAR( L1_276_143 ) );{
{
READ_280_108( MIN_278_28, MAX_279_10, FAST_UNION_V_252_166, L1_276_143 );
READ_280_108( MIN_278_28, MAX_279_10, FAST_UNION_V_252_166, L2_277_79 );
}
{obj_t I_284_73, ACC_285_29;
{
ACC_285_29=BNIL;
I_284_73=CELL_REF( MAX_279_10 );
{_LOOP_283_119:

{obj_t N2_643_87;
N2_643_87=CELL_REF( MIN_278_28 );if( LT_I( I_284_73, N2_643_87 ))
OBJ_448_9=ACC_285_29;else
{obj_t VECTOR_644_114;
VECTOR_644_114=CELL_REF( FAST_UNION_V_252_166 );{bool_t C_VECTOR_REF_672_42;
C_VECTOR_REF_672_42=BBOOL_TO_CBOOL( VECTOR_REF( VECTOR_644_114, I_284_73 ) );if( C_VECTOR_REF_672_42)
{
{obj_t VECTOR_646_179;
VECTOR_646_179=CELL_REF( FAST_UNION_V_252_166 );VECTOR_SET( VECTOR_646_179, I_284_73, BFALSE );}
{obj_t C_CONS_648_124;
C_CONS_648_124=MAKE_PAIR( I_284_73, ACC_285_29 );{obj_t I_695_141;
I_695_141=I_284_73;{
ACC_285_29=C_CONS_648_124;
I_284_73=SUB_I_PTAG( I_695_141, PSUB_TAG( 1 ) );
goto _LOOP_283_119;
}}}
}else
{obj_t I_696_161;
I_696_161=I_284_73;{
I_284_73=SUB_I_PTAG( I_696_161, PSUB_TAG( 1 ) );
goto _LOOP_283_119;
}}}}}}
}}
}}}
}}}{obj_t VECTOR_447_63;
VECTOR_447_63=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_447_63, LOCATION_336_231, OBJ_448_9 );}}}}
{obj_t C_CDR_451_150;
C_CDR_451_150=CDR( g1000_334_220 );{
g1000_334_220=C_CDR_451_150;
goto _g1001_333_83;
}}
}else
return BTRUE;}
}}}}}
}

static obj_t
#if defined( __STDC__ )
GET_NEW_POS_261_128(obj_t ENV_INDICE_256_187,obj_t ENV_LEN_253_136,obj_t FAST_UNION_V_252_166,obj_t F_ENV_250_115,obj_t POSITION_251_155)
#else
GET_NEW_POS_261_128( ENV_INDICE_256_187, ENV_LEN_253_136, FAST_UNION_V_252_166, F_ENV_250_115, POSITION_251_155 )
obj_t ENV_INDICE_256_187, ENV_LEN_253_136, FAST_UNION_V_252_166, F_ENV_250_115, POSITION_251_155;
#endif
{

{{
{obj_t N2_603_71;
N2_603_71=CELL_REF( ENV_LEN_253_136 );{obj_t N1_602_122;
N1_602_122=CELL_REF( ENV_INDICE_256_187 );if( EQ_I( N1_602_122, N2_603_71 ))
{
{
{obj_t Z2_626_205;
Z2_626_205=CELL_REF( ENV_LEN_253_136 );CELL_SET( ENV_LEN_253_136, MUL_I( BINT( 2 ), Z2_626_205 ) );}
{obj_t AUX_685_51;
{obj_t AUX_687_233, AUX_686_27;
AUX_687_233=CELL_REF( ENV_LEN_253_136 );AUX_686_27=CELL_REF( POSITION_251_155 );AUX_685_51=VECTOR_GROW___RGC_TREE_36( AUX_686_27, AUX_687_233 );}CELL_SET( POSITION_251_155, AUX_685_51 );}
{obj_t AUX_688_110;
{obj_t AUX_690_148, AUX_689_25;
AUX_690_148=CELL_REF( ENV_LEN_253_136 );AUX_689_25=CELL_REF( F_ENV_250_115 );AUX_688_110=VECTOR_GROW___RGC_TREE_36( AUX_689_25, AUX_690_148 );}CELL_SET( F_ENV_250_115, AUX_688_110 );}
{obj_t AUX_691_223;
{obj_t AUX_693_211, AUX_692_57;
AUX_693_211=CELL_REF( ENV_LEN_253_136 );AUX_692_57=CELL_REF( FAST_UNION_V_252_166 );AUX_691_223=VECTOR_GROW___RGC_TREE_36( AUX_692_57, AUX_693_211 );}CELL_SET( FAST_UNION_V_252_166, AUX_691_223 );}
{obj_t I_287_30;
{obj_t R_630_21;
{obj_t Z1_634_201;
Z1_634_201=CELL_REF( ENV_LEN_253_136 );R_630_21=DIV_I( Z1_634_201, BINT( 2 ) );}{
I_287_30=ADD_I_PTAG( PSUB_TAG( 1 ), R_630_21 );
{_LOOP_286_110:

{obj_t N2_627_14;
N2_627_14=CELL_REF( ENV_LEN_253_136 );if( EQ_I( I_287_30, N2_627_14 ))
BNIL;else
{
{obj_t VECTOR_628_134;
VECTOR_628_134=CELL_REF( FAST_UNION_V_252_166 );VECTOR_SET( VECTOR_628_134, I_287_30, BFALSE );}
{obj_t I_694_86;
I_694_86=I_287_30;{
I_287_30=ADD_I_PTAG( I_694_86, PSUB_TAG( 1 ) );
goto _LOOP_286_110;
}}
}}}
}}}
}}else
BFALSE;}}
{obj_t R_606_30;
R_606_30=CELL_REF( ENV_INDICE_256_187 );CELL_SET( ENV_INDICE_256_187, ADD_I_PTAG( PSUB_TAG( 1 ), R_606_30 ) );}
return CELL_REF( ENV_INDICE_256_187 );
}}
}

static obj_t
#if defined( __STDC__ )
GET_LOCATION_260_165(obj_t STORE_INDICE_257_246,obj_t F_STORE_249_134,obj_t STORE_LEN_254_228)
#else
GET_LOCATION_260_165( STORE_INDICE_257_246, F_STORE_249_134, STORE_LEN_254_228 )
obj_t STORE_INDICE_257_246, F_STORE_249_134, STORE_LEN_254_228;
#endif
{

{
{obj_t N2_609_182;
N2_609_182=CELL_REF( STORE_LEN_254_228 );{obj_t N1_608_164;
N1_608_164=CELL_REF( STORE_INDICE_257_246 );if( EQ_I( N1_608_164, N2_609_182 ))
{
{obj_t Z2_612_100;
Z2_612_100=CELL_REF( STORE_LEN_254_228 );{obj_t AUX_682_138;
{obj_t AUX_683_170;
AUX_683_170=CELL_REF( F_STORE_249_134 );AUX_682_138=VECTOR_GROW___RGC_TREE_36( AUX_683_170, MUL_I( BINT( 2 ), Z2_612_100 ) );}CELL_SET( F_STORE_249_134, AUX_682_138 );}}
{obj_t I_289_56;
{obj_t R_621_249;
R_621_249=CELL_REF( STORE_LEN_254_228 );{
I_289_56=ADD_I_PTAG( PSUB_TAG( 1 ), R_621_249 );
{_LOOP_288_27:

{obj_t N2_614_248;
{obj_t Z2_615_80;
Z2_615_80=CELL_REF( STORE_LEN_254_228 );N2_614_248=MUL_I( BINT( 2 ), Z2_615_80 );}if( EQ_I( I_289_56, N2_614_248 ))
BNIL;else
{
{obj_t OBJ_617_80;
OBJ_617_80=BNIL;{obj_t VECTOR_616_249;
VECTOR_616_249=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_616_249, I_289_56, OBJ_617_80 );}}
{obj_t I_684_84;
I_684_84=I_289_56;{
I_289_56=ADD_I_PTAG( I_684_84, PSUB_TAG( 1 ) );
goto _LOOP_288_27;
}}
}}}
}}}
{obj_t Z2_623_53;
Z2_623_53=CELL_REF( STORE_LEN_254_228 );CELL_SET( STORE_LEN_254_228, MUL_I( BINT( 2 ), Z2_623_53 ) );}
}else
BFALSE;}}
{obj_t R_624_182;
R_624_182=CELL_REF( STORE_INDICE_257_246 );CELL_SET( STORE_INDICE_257_246, ADD_I_PTAG( PSUB_TAG( 1 ), R_624_182 ) );}
return CELL_REF( STORE_INDICE_257_246 );
}
}

static obj_t
#if defined( __STDC__ )
MEANING_TREE_262_32(obj_t T_TRAP_248_147,obj_t __RULE_NUM__247_137,obj_t WALK_255_159,obj_t STORE_LEN_254_228,obj_t STORE_INDICE_257_246,obj_t POSITION_251_155,obj_t FAST_UNION_V_252_166,obj_t ENV_LEN_253_136,obj_t ENV_INDICE_256_187,obj_t F_ENV_250_115,obj_t F_STORE_249_134,obj_t EXP_290_189)
#else
MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, EXP_290_189 )
obj_t T_TRAP_248_147;
obj_t __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, EXP_290_189;
#endif
{

{obj_t TRAP_345_157, E_346_231, NUM_344_62, N_339_151, N_337_92, CHAR__317_0, N1_312_220, N2_313_41, N1_304_205, N2_305_86, N1_300_162, N2_301_83;
{obj_t CASE_VALUE_291_160;
CASE_VALUE_291_160=CAR( EXP_290_189 );if( EQP( CASE_VALUE_291_160, OR_0___RGC_TREE_214 ))
{obj_t A1_292_60;
{obj_t PAIR_568_215;
PAIR_568_215=CDR( EXP_290_189 );{obj_t C_CAR_569_65;
C_CAR_569_65=CAR( PAIR_568_215 );A1_292_60=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_569_65 );}}{obj_t A2_293_220;
{obj_t PAIR_571_85;
{obj_t PAIR_573_237;
PAIR_573_237=CDR( EXP_290_189 );PAIR_571_85=CDR( PAIR_573_237 );}{obj_t C_CAR_572_36;
C_CAR_572_36=CAR( PAIR_571_85 );A2_293_220=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_572_36 );}}{
N2_301_83=A2_293_220;
N1_300_162=A1_292_60;
{
{obj_t NODE_302_48;
{obj_t INIT_549_171;
INIT_549_171=BNIL;{obj_t INIT_550_6;
INIT_550_6=BNIL;NODE_302_48=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_550_6 );}}{
{obj_t L_FOR_F_556_214;
{obj_t C_STRUCT_REF_565_125;
C_STRUCT_REF_565_125=STRUCT_SLOT_REF( N1_300_162, BINT( 4 ) );{obj_t C_STRUCT_REF_566_170;
C_STRUCT_REF_566_170=STRUCT_SLOT_REF( N2_301_83, BINT( 4 ) );L_FOR_F_556_214=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_565_125, C_STRUCT_REF_566_170 );}}{obj_t F_FOR_F_555_215;
{obj_t C_STRUCT_REF_563_27;
C_STRUCT_REF_563_27=STRUCT_SLOT_REF( N1_300_162, BINT( 3 ) );{obj_t C_STRUCT_REF_564_118;
C_STRUCT_REF_564_118=STRUCT_SLOT_REF( N2_301_83, BINT( 3 ) );F_FOR_F_555_215=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_563_27, C_STRUCT_REF_564_118 );}}{obj_t NULLABLE__554_152;
{obj_t __ortest_1005_303_27;
__ortest_1005_303_27=STRUCT_SLOT_REF( N1_300_162, BINT( 2 ) );if( BBOOL_TO_CBOOL( __ortest_1005_303_27 ))
NULLABLE__554_152=__ortest_1005_303_27;else
NULLABLE__554_152=STRUCT_SLOT_REF( N2_301_83, BINT( 2 ) );}{obj_t LAST_553_54;
{obj_t C_STRUCT_REF_559_4;
C_STRUCT_REF_559_4=STRUCT_SLOT_REF( N1_300_162, BINT( 1 ) );{obj_t C_STRUCT_REF_560_51;
C_STRUCT_REF_560_51=STRUCT_SLOT_REF( N2_301_83, BINT( 1 ) );LAST_553_54=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_559_4, C_STRUCT_REF_560_51 );}}{obj_t FIRST_552_65;
{obj_t C_STRUCT_REF_557_50;
C_STRUCT_REF_557_50=STRUCT_SLOT_REF( N1_300_162, BINT( 0 ) );{obj_t C_STRUCT_REF_558_33;
C_STRUCT_REF_558_33=STRUCT_SLOT_REF( N2_301_83, BINT( 0 ) );FIRST_552_65=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_557_50, C_STRUCT_REF_558_33 );}}{
STRUCT_SLOT_SET( NODE_302_48, BINT( 0 ), FIRST_552_65 );
STRUCT_SLOT_SET( NODE_302_48, BINT( 1 ), LAST_553_54 );
STRUCT_SLOT_SET( NODE_302_48, BINT( 2 ), NULLABLE__554_152 );
STRUCT_SLOT_SET( NODE_302_48, BINT( 3 ), F_FOR_F_555_215 );
STRUCT_SLOT_SET( NODE_302_48, BINT( 4 ), L_FOR_F_556_214 );
}}}}}}
return NODE_302_48;
}}}
}}}else
if( EQP( CASE_VALUE_291_160, CONCAT_1___RGC_TREE_142 ))
{obj_t A1_296_176, A2_295_43, WAUX_294_11;
A1_296_176=DUMMY_2___RGC_TREE_167;A2_295_43=DUMMY_2___RGC_TREE_167;WAUX_294_11=CELL_REF( WALK_255_159 );{
CELL_SET( WALK_255_159, BFALSE );
{obj_t PAIR_574_250;
PAIR_574_250=CDR( EXP_290_189 );{obj_t C_CAR_575_7;
C_CAR_575_7=CAR( PAIR_574_250 );A1_296_176=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_575_7 );}}
CELL_SET( WALK_255_159, WAUX_294_11 );
{obj_t PAIR_576_133;
{obj_t PAIR_578_35;
PAIR_578_35=CDR( EXP_290_189 );PAIR_576_133=CDR( PAIR_578_35 );}{obj_t C_CAR_577_73;
C_CAR_577_73=CAR( PAIR_576_133 );A2_295_43=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_577_73 );}}
{
N2_305_86=A2_295_43;
N1_304_205=A1_296_176;
{
{obj_t NODE_306_67;
{obj_t INIT_515_251;
INIT_515_251=BNIL;{obj_t INIT_516_207;
INIT_516_207=BNIL;NODE_306_67=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_516_207 );}}{
{obj_t g1002_308_154;
{obj_t C_STRUCT_REF_525_177;
C_STRUCT_REF_525_177=STRUCT_SLOT_REF( N1_304_205, BINT( 4 ) );{
g1002_308_154=C_STRUCT_REF_525_177;
{_g1003_307_3:

if( PAIRP( g1002_308_154 ))
{
{obj_t I_309_76;
I_309_76=CAR( g1002_308_154 );{obj_t LOCATION_310_69;
{obj_t VECTOR_518_147;
VECTOR_518_147=CELL_REF( F_ENV_250_115 );LOCATION_310_69=VECTOR_REF( VECTOR_518_147, I_309_76 );}{obj_t OBJ_520_54;
{obj_t VECTOR_521_238;
VECTOR_521_238=CELL_REF( F_STORE_249_134 );{obj_t C_VECTOR_REF_522_243;
C_VECTOR_REF_522_243=VECTOR_REF( VECTOR_521_238, LOCATION_310_69 );{obj_t C_STRUCT_REF_523_234;
C_STRUCT_REF_523_234=STRUCT_SLOT_REF( N2_305_86, BINT( 0 ) );OBJ_520_54=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_VECTOR_REF_522_243, C_STRUCT_REF_523_234 );}}}{obj_t VECTOR_519_124;
VECTOR_519_124=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_519_124, LOCATION_310_69, OBJ_520_54 );}}}}
{obj_t C_CDR_524_248;
C_CDR_524_248=CDR( g1002_308_154 );{
g1002_308_154=C_CDR_524_248;
goto _g1003_307_3;
}}
}else
BTRUE;}
}}}
{obj_t L_FOR_F_530_77;
{bool_t C_STRUCT_REF_674_0;
C_STRUCT_REF_674_0=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( N2_305_86, BINT( 2 ) ) );if( C_STRUCT_REF_674_0)
{obj_t C_STRUCT_REF_546_107;
C_STRUCT_REF_546_107=STRUCT_SLOT_REF( N2_305_86, BINT( 4 ) );{obj_t C_STRUCT_REF_547_177;
C_STRUCT_REF_547_177=STRUCT_SLOT_REF( N1_304_205, BINT( 4 ) );L_FOR_F_530_77=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_546_107, C_STRUCT_REF_547_177 );}}else
L_FOR_F_530_77=STRUCT_SLOT_REF( N2_305_86, BINT( 4 ) );}{obj_t F_FOR_F_529_225;
{bool_t C_STRUCT_REF_675_135;
C_STRUCT_REF_675_135=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( N1_304_205, BINT( 2 ) ) );if( C_STRUCT_REF_675_135)
{obj_t C_STRUCT_REF_542_68;
C_STRUCT_REF_542_68=STRUCT_SLOT_REF( N1_304_205, BINT( 3 ) );{obj_t C_STRUCT_REF_543_56;
C_STRUCT_REF_543_56=STRUCT_SLOT_REF( N2_305_86, BINT( 3 ) );F_FOR_F_529_225=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_542_68, C_STRUCT_REF_543_56 );}}else
F_FOR_F_529_225=STRUCT_SLOT_REF( N1_304_205, BINT( 3 ) );}{obj_t NULLABLE__528_162;
{bool_t __andtest_1004_676_94;
__andtest_1004_676_94=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( N1_304_205, BINT( 2 ) ) );if( __andtest_1004_676_94)
NULLABLE__528_162=STRUCT_SLOT_REF( N2_305_86, BINT( 2 ) );else
NULLABLE__528_162=BFALSE;}{obj_t LAST_527_171;
{bool_t C_STRUCT_REF_677_216;
C_STRUCT_REF_677_216=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( N2_305_86, BINT( 2 ) ) );if( C_STRUCT_REF_677_216)
{obj_t C_STRUCT_REF_536_86;
C_STRUCT_REF_536_86=STRUCT_SLOT_REF( N2_305_86, BINT( 1 ) );{obj_t C_STRUCT_REF_537_141;
C_STRUCT_REF_537_141=STRUCT_SLOT_REF( N1_304_205, BINT( 1 ) );LAST_527_171=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_536_86, C_STRUCT_REF_537_141 );}}else
LAST_527_171=STRUCT_SLOT_REF( N2_305_86, BINT( 1 ) );}{obj_t FIRST_526_121;
{bool_t C_STRUCT_REF_678_23;
C_STRUCT_REF_678_23=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( N1_304_205, BINT( 2 ) ) );if( C_STRUCT_REF_678_23)
{obj_t C_STRUCT_REF_532_83;
C_STRUCT_REF_532_83=STRUCT_SLOT_REF( N1_304_205, BINT( 0 ) );{obj_t C_STRUCT_REF_533_128;
C_STRUCT_REF_533_128=STRUCT_SLOT_REF( N2_305_86, BINT( 0 ) );FIRST_526_121=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_532_83, C_STRUCT_REF_533_128 );}}else
FIRST_526_121=STRUCT_SLOT_REF( N1_304_205, BINT( 0 ) );}{
STRUCT_SLOT_SET( NODE_306_67, BINT( 0 ), FIRST_526_121 );
STRUCT_SLOT_SET( NODE_306_67, BINT( 1 ), LAST_527_171 );
STRUCT_SLOT_SET( NODE_306_67, BINT( 2 ), NULLABLE__528_162 );
STRUCT_SLOT_SET( NODE_306_67, BINT( 3 ), F_FOR_F_529_225 );
STRUCT_SLOT_SET( NODE_306_67, BINT( 4 ), L_FOR_F_530_77 );
}}}}}}
return NODE_306_67;
}}}
}
}}else
if( EQP( CASE_VALUE_291_160, CONCAT_C_3___RGC_TREE_102 ))
{obj_t A1_299_254, A2_298_18, WAUX_297_5;
A1_299_254=DUMMY_2___RGC_TREE_167;A2_298_18=DUMMY_2___RGC_TREE_167;WAUX_297_5=CELL_REF( WALK_255_159 );{
CELL_SET( WALK_255_159, BFALSE );
{obj_t PAIR_579_206;
PAIR_579_206=CDR( EXP_290_189 );{obj_t C_CAR_580_143;
C_CAR_580_143=CAR( PAIR_579_206 );A1_299_254=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_580_143 );}}
CELL_SET( WALK_255_159, WAUX_297_5 );
{obj_t PAIR_581_245;
{obj_t PAIR_583_122;
PAIR_583_122=CDR( EXP_290_189 );PAIR_581_245=CDR( PAIR_583_122 );}{obj_t C_CAR_582_105;
C_CAR_582_105=CAR( PAIR_581_245 );A2_298_18=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_582_105 );}}
{
N2_313_41=A2_298_18;
N1_312_220=A1_299_254;
{
{obj_t NODE_314_81;
{obj_t INIT_496_115;
INIT_496_115=BNIL;{obj_t INIT_497_48;
INIT_497_48=BNIL;NODE_314_81=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_497_48 );}}{
{obj_t I_315_36;
{obj_t PAIR_499_199;
PAIR_499_199=STRUCT_SLOT_REF( N1_312_220, BINT( 4 ) );I_315_36=CAR( PAIR_499_199 );}{obj_t LOCATION_316_117;
{obj_t VECTOR_501_137;
VECTOR_501_137=CELL_REF( F_ENV_250_115 );LOCATION_316_117=VECTOR_REF( VECTOR_501_137, I_315_36 );}{obj_t OBJ_503_103;
{obj_t VECTOR_504_139;
VECTOR_504_139=CELL_REF( F_STORE_249_134 );{obj_t C_VECTOR_REF_505_183;
C_VECTOR_REF_505_183=VECTOR_REF( VECTOR_504_139, LOCATION_316_117 );{obj_t C_STRUCT_REF_506_127;
C_STRUCT_REF_506_127=STRUCT_SLOT_REF( N2_313_41, BINT( 0 ) );OBJ_503_103=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_VECTOR_REF_505_183, C_STRUCT_REF_506_127 );}}}{obj_t VECTOR_502_59;
VECTOR_502_59=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_502_59, LOCATION_316_117, OBJ_503_103 );}}}}
{obj_t L_FOR_F_510_165;
L_FOR_F_510_165=STRUCT_SLOT_REF( N2_313_41, BINT( 4 ) );{obj_t F_FOR_F_509_151;
F_FOR_F_509_151=STRUCT_SLOT_REF( N1_312_220, BINT( 3 ) );{obj_t LAST_508_74;
LAST_508_74=STRUCT_SLOT_REF( N2_313_41, BINT( 1 ) );{obj_t FIRST_507_43;
FIRST_507_43=STRUCT_SLOT_REF( N1_312_220, BINT( 0 ) );{
STRUCT_SLOT_SET( NODE_314_81, BINT( 0 ), FIRST_507_43 );
STRUCT_SLOT_SET( NODE_314_81, BINT( 1 ), LAST_508_74 );
STRUCT_SLOT_SET( NODE_314_81, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NODE_314_81, BINT( 3 ), F_FOR_F_509_151 );
STRUCT_SLOT_SET( NODE_314_81, BINT( 4 ), L_FOR_F_510_165 );
}}}}}
return NODE_314_81;
}}}
}
}}else
if( EQP( CASE_VALUE_291_160, IN_4___RGC_TREE_173 ))
{obj_t PAIR_584_121;
PAIR_584_121=CDR( EXP_290_189 );{obj_t C_CAR_585_164;
C_CAR_585_164=CAR( PAIR_584_121 );{
CHAR__317_0=C_CAR_585_164;
{
{bool_t OBJ_679_25;
OBJ_679_25=NULLP( CDR( CHAR__317_0 ) );if( OBJ_679_25)
{obj_t C_CAR_477_124;
C_CAR_477_124=CAR( CHAR__317_0 );return REG_CHAR_267_229( WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, C_CAR_477_124 );}else
{obj_t NODE_318_113;
{obj_t C_CAR_478_70;
C_CAR_478_70=CAR( CHAR__317_0 );NODE_318_113=REG_CHAR_267_229( WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, C_CAR_478_70 );}{obj_t POS__319_245;
{obj_t C_325_170, ACC_326_219;
{obj_t C_CDR_484_164;
C_CDR_484_164=CDR( CHAR__317_0 );{
ACC_326_219=BNIL;
C_325_170=C_CDR_484_164;
{_L_324_83:

if( NULLP( C_325_170 ))
POS__319_245=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_326_219 );else
{obj_t C_CDR_479_150;
C_CDR_479_150=CDR( C_325_170 );{obj_t OBJ1_482_118;
OBJ1_482_118=GET_NEW_POS_261_128( ENV_INDICE_256_187, ENV_LEN_253_136, FAST_UNION_V_252_166, F_ENV_250_115, POSITION_251_155 );{obj_t C_CONS_483_115;
C_CONS_483_115=MAKE_PAIR( OBJ1_482_118, ACC_326_219 );{
ACC_326_219=C_CONS_483_115;
C_325_170=C_CDR_479_150;
goto _L_324_83;
}}}}}
}}}{
{obj_t V_485_219;
{obj_t C_STRUCT_REF_486_179;
C_STRUCT_REF_486_179=STRUCT_SLOT_REF( NODE_318_113, BINT( 0 ) );V_485_219=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_486_179, POS__319_245 );}STRUCT_SLOT_SET( NODE_318_113, BINT( 0 ), V_485_219 );}
{obj_t V_487_248;
{obj_t C_STRUCT_REF_488_215;
C_STRUCT_REF_488_215=STRUCT_SLOT_REF( NODE_318_113, BINT( 1 ) );V_487_248=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_488_215, POS__319_245 );}STRUCT_SLOT_SET( NODE_318_113, BINT( 1 ), V_487_248 );}
{obj_t C__321_144, POS__322_34;
{obj_t C_CDR_495_10;
C_CDR_495_10=CDR( CHAR__317_0 );{
POS__322_34=POS__319_245;
C__321_144=C_CDR_495_10;
{_LOOP_320_9:

if( NULLP( C__321_144 ))
return NODE_318_113;else
{
{obj_t POS_323_2;
POS_323_2=CAR( POS__322_34 );{
{obj_t OBJ_490_189;
OBJ_490_189=CAR( C__321_144 );{obj_t VECTOR_489_157;
VECTOR_489_157=CELL_REF( POSITION_251_155 );VECTOR_SET( VECTOR_489_157, POS_323_2, OBJ_490_189 );}}
{obj_t OBJ_492_33;
OBJ_492_33=CELL_REF( WALK_255_159 );{obj_t VECTOR_491_172;
VECTOR_491_172=CELL_REF( F_ENV_250_115 );VECTOR_SET( VECTOR_491_172, POS_323_2, OBJ_492_33 );}}
}}
{obj_t C_CDR_493_200;
C_CDR_493_200=CDR( C__321_144 );{obj_t C_CDR_494_219;
C_CDR_494_219=CDR( POS__322_34 );{
POS__322_34=C_CDR_494_219;
C__321_144=C_CDR_493_200;
goto _LOOP_320_9;
}}}
}}
}}}
}}}}}
}}}else
if( EQP( CASE_VALUE_291_160, CHAR_5___RGC_TREE_95 ))
{obj_t PAIR_586_77;
PAIR_586_77=CDR( EXP_290_189 );{obj_t C_CAR_587_194;
C_CAR_587_194=CAR( PAIR_586_77 );return REG_CHAR_267_229( WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, C_CAR_587_194 );}}else
if( EQP( CASE_VALUE_291_160, ___6___RGC_TREE_160 ))
{
CELL_SET( WALK_255_159, BFALSE );
{obj_t PAIR_588_29;
PAIR_588_29=CDR( EXP_290_189 );{obj_t C_CAR_589_64;
C_CAR_589_64=CAR( PAIR_588_29 );{
N_337_92=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_589_64 );
{
{obj_t NODE_338_151;
{obj_t INIT_431_140;
INIT_431_140=BNIL;{obj_t INIT_432_233;
INIT_432_233=BNIL;NODE_338_151=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_432_233 );}}{
COMPUTE_FOLLOW___01_268_36( FAST_UNION_V_252_166, F_STORE_249_134, F_ENV_250_115, N_337_92 );
CELL_SET( WALK_255_159, BFALSE );
{obj_t L_FOR_F_437_93;
L_FOR_F_437_93=STRUCT_SLOT_REF( N_337_92, BINT( 4 ) );{obj_t F_FOR_F_436_72;
F_FOR_F_436_72=STRUCT_SLOT_REF( N_337_92, BINT( 3 ) );{obj_t LAST_435_247;
LAST_435_247=STRUCT_SLOT_REF( N_337_92, BINT( 1 ) );{obj_t FIRST_434_0;
FIRST_434_0=STRUCT_SLOT_REF( N_337_92, BINT( 0 ) );{
STRUCT_SLOT_SET( NODE_338_151, BINT( 0 ), FIRST_434_0 );
STRUCT_SLOT_SET( NODE_338_151, BINT( 1 ), LAST_435_247 );
STRUCT_SLOT_SET( NODE_338_151, BINT( 2 ), BTRUE );
STRUCT_SLOT_SET( NODE_338_151, BINT( 3 ), F_FOR_F_436_72 );
STRUCT_SLOT_SET( NODE_338_151, BINT( 4 ), L_FOR_F_437_93 );
}}}}}
return NODE_338_151;
}}}
}}}
}else
if( EQP( CASE_VALUE_291_160, ___7___RGC_TREE_217 ))
{
CELL_SET( WALK_255_159, BFALSE );
{obj_t PAIR_590_76;
PAIR_590_76=CDR( EXP_290_189 );{obj_t C_CAR_591_20;
C_CAR_591_20=CAR( PAIR_590_76 );{
N_339_151=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_591_20 );
{
{obj_t NODE_340_22;
{obj_t INIT_418_40;
INIT_418_40=BNIL;{obj_t INIT_419_188;
INIT_419_188=BNIL;NODE_340_22=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_419_188 );}}{
COMPUTE_FOLLOW___01_268_36( FAST_UNION_V_252_166, F_STORE_249_134, F_ENV_250_115, N_339_151 );
CELL_SET( WALK_255_159, BFALSE );
{obj_t L_FOR_F_425_84;
L_FOR_F_425_84=STRUCT_SLOT_REF( N_339_151, BINT( 4 ) );{obj_t F_FOR_F_424_183;
F_FOR_F_424_183=STRUCT_SLOT_REF( N_339_151, BINT( 3 ) );{obj_t NULLABLE__423_203;
NULLABLE__423_203=STRUCT_SLOT_REF( N_339_151, BINT( 2 ) );{obj_t LAST_422_246;
LAST_422_246=STRUCT_SLOT_REF( N_339_151, BINT( 1 ) );{obj_t FIRST_421_241;
FIRST_421_241=STRUCT_SLOT_REF( N_339_151, BINT( 0 ) );{
STRUCT_SLOT_SET( NODE_340_22, BINT( 0 ), FIRST_421_241 );
STRUCT_SLOT_SET( NODE_340_22, BINT( 1 ), LAST_422_246 );
STRUCT_SLOT_SET( NODE_340_22, BINT( 2 ), NULLABLE__423_203 );
STRUCT_SLOT_SET( NODE_340_22, BINT( 3 ), F_FOR_F_424_183 );
STRUCT_SLOT_SET( NODE_340_22, BINT( 4 ), L_FOR_F_425_84 );
}}}}}}
return NODE_340_22;
}}}
}}}
}else
if( EQP( CASE_VALUE_291_160, EPSILON_8___RGC_TREE_61 ))
{
{obj_t NODE_342_75, POS_341_155;
{obj_t INIT_394_203;
INIT_394_203=BNIL;{obj_t INIT_395_76;
INIT_395_76=BNIL;NODE_342_75=make_struct( NODE_13___RGC_TREE_116, BINT( 5 ), INIT_395_76 );}}POS_341_155=GET_NEW_POS_261_128( ENV_INDICE_256_187, ENV_LEN_253_136, FAST_UNION_V_252_166, F_ENV_250_115, POSITION_251_155 );{
{obj_t VECTOR_397_205;
VECTOR_397_205=CELL_REF( POSITION_251_155 );VECTOR_SET( VECTOR_397_205, POS_341_155, EPSILON_8___RGC_TREE_61 );}
{obj_t AUX_681_118;
AUX_681_118=CELL_REF( WALK_255_159 );if( BBOOL_TO_CBOOL( AUX_681_118 ))
{
{obj_t OBJ_399_4;
OBJ_399_4=CELL_REF( WALK_255_159 );{obj_t VECTOR_398_227;
VECTOR_398_227=CELL_REF( F_ENV_250_115 );VECTOR_SET( VECTOR_398_227, POS_341_155, OBJ_399_4 );}}
{obj_t L_FOR_F_403_90;
L_FOR_F_403_90=BNIL;{obj_t LAST_401_125;
LAST_401_125=MAKE_PAIR( POS_341_155, BNIL );{obj_t FIRST_400_229;
FIRST_400_229=MAKE_PAIR( POS_341_155, BNIL );{
STRUCT_SLOT_SET( NODE_342_75, BINT( 0 ), FIRST_400_229 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 1 ), LAST_401_125 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 2 ), BTRUE );
STRUCT_SLOT_SET( NODE_342_75, BINT( 3 ), L_FOR_F_403_90 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 4 ), L_FOR_F_403_90 );
}}}}
}else
{obj_t LOCATION_343_162;
LOCATION_343_162=GET_LOCATION_260_165( STORE_INDICE_257_246, F_STORE_249_134, STORE_LEN_254_228 );{
{obj_t VECTOR_407_55;
VECTOR_407_55=CELL_REF( F_ENV_250_115 );VECTOR_SET( VECTOR_407_55, POS_341_155, LOCATION_343_162 );}
{obj_t OBJ_409_93;
OBJ_409_93=BNIL;{obj_t VECTOR_408_130;
VECTOR_408_130=CELL_REF( F_STORE_249_134 );VECTOR_SET( VECTOR_408_130, LOCATION_343_162, OBJ_409_93 );}}
CELL_SET( WALK_255_159, LOCATION_343_162 );
{obj_t L_FOR_F_413_151;
L_FOR_F_413_151=MAKE_PAIR( POS_341_155, BNIL );{obj_t F_FOR_F_412_175;
F_FOR_F_412_175=MAKE_PAIR( POS_341_155, BNIL );{obj_t LAST_411_145;
LAST_411_145=MAKE_PAIR( POS_341_155, BNIL );{obj_t FIRST_410_4;
FIRST_410_4=MAKE_PAIR( POS_341_155, BNIL );{
STRUCT_SLOT_SET( NODE_342_75, BINT( 0 ), FIRST_410_4 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 1 ), LAST_411_145 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 2 ), BTRUE );
STRUCT_SLOT_SET( NODE_342_75, BINT( 3 ), F_FOR_F_412_175 );
STRUCT_SLOT_SET( NODE_342_75, BINT( 4 ), L_FOR_F_413_151 );
}}}}}
}}}
return NODE_342_75;
}}}else
if( EQP( CASE_VALUE_291_160, END_9___RGC_TREE_253 ))
{obj_t PAIR_592_209;
PAIR_592_209=CDR( EXP_290_189 );{obj_t C_CAR_593_24;
C_CAR_593_24=CAR( PAIR_592_209 );{
NUM_344_62=C_CAR_593_24;
{
{
{obj_t L_392_95;
L_392_95=CELL_REF( __RULE_NUM__247_137 );CELL_SET( __RULE_NUM__247_137, SUB_I_PTAG( L_392_95, PSUB_TAG( 1 ) ) );}
return REG_CHAR_267_229( WALK_255_159, STORE_LEN_254_228, F_STORE_249_134, STORE_INDICE_257_246, POSITION_251_155, F_ENV_250_115, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, NUM_344_62 );
}}
}}}else
if( EQP( CASE_VALUE_291_160, TRAP_10___RGC_TREE_250 ))
{obj_t PAIR_594_131;
PAIR_594_131=CDR( EXP_290_189 );{obj_t C_CAR_595_92;
C_CAR_595_92=CAR( PAIR_594_131 );{obj_t PAIR_596_229;
PAIR_596_229=CDR( PAIR_594_131 );{obj_t C_CAR_597_17;
C_CAR_597_17=CAR( PAIR_596_229 );{
E_346_231=MEANING_TREE_262_32( T_TRAP_248_147, __RULE_NUM__247_137, WALK_255_159, STORE_LEN_254_228, STORE_INDICE_257_246, POSITION_251_155, FAST_UNION_V_252_166, ENV_LEN_253_136, ENV_INDICE_256_187, F_ENV_250_115, F_STORE_249_134, C_CAR_597_17 );
TRAP_345_157=C_CAR_595_92;
{
{
{obj_t K_391_50;
K_391_50=CELL_REF( __RULE_NUM__247_137 );VECTOR_SET( T_TRAP_248_147, K_391_50, TRAP_345_157 );}
return E_346_231;
}}
}}}}}else
FAILURE( BREF( &REGULAR__11___RGC_TREE_25), BREF( &UNKNOWN__12___RGC_TREE_35), CASE_VALUE_291_160 );}}
}

obj_t
#if defined( __STDC__ )
__EVAL_TREE___RGC_TREE_132(obj_t ENV_670_242,obj_t TREE_245_119,obj_t NB_USR_ACTION_246_75)
#else
__EVAL_TREE___RGC_TREE_132( ENV_670_242, TREE_245_119, NB_USR_ACTION_246_75 )
obj_t ENV_670_242, TREE_245_119, NB_USR_ACTION_246_75;
#endif
{

return EVAL_TREE___RGC_TREE_119( TREE_245_119, NB_USR_ACTION_246_75 );
}

obj_t
#if defined( __STDC__ )
VECTOR_GROW___RGC_TREE_36(obj_t VECTOR_353_31,obj_t LEN_354_217)
#else
VECTOR_GROW___RGC_TREE_36( VECTOR_353_31, LEN_354_217 )
obj_t VECTOR_353_31, LEN_354_217;
#endif
{

{obj_t RES_356_150;
obj_t OLD_LEN_355_27;
RES_356_150=make_vector( LEN_354_217, BNIL );OLD_LEN_355_27=VECTOR_LENGTH( VECTOR_353_31 );{obj_t I_358_39;
{
I_358_39=BINT( 0 );
{_LOOP_357_28:

if( EQ_I( I_358_39, OLD_LEN_355_27 ))
return RES_356_150;else
{
{obj_t OBJ_657_150;
OBJ_657_150=VECTOR_REF( VECTOR_353_31, I_358_39 );VECTOR_SET( RES_356_150, I_358_39, OBJ_657_150 );}
{obj_t I_680_199;
I_680_199=I_358_39;{
I_358_39=ADD_I_PTAG( I_680_199, PSUB_TAG( 1 ) );
goto _LOOP_357_28;
}}
}}
}}}
}

obj_t
#if defined( __STDC__ )
__VECTOR_GROW___RGC_TREE_25(obj_t ENV_669_200,obj_t VECTOR_353_31,obj_t LEN_354_217)
#else
__VECTOR_GROW___RGC_TREE_25( ENV_669_200, VECTOR_353_31, LEN_354_217 )
obj_t ENV_669_200, VECTOR_353_31, LEN_354_217;
#endif
{

return VECTOR_GROW___RGC_TREE_36( VECTOR_353_31, LEN_354_217 );
}

