/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Beta/vgraph.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
#if defined( __STDC__ )
extern obj_t __VGRAPH_FORMALS__BETA_VGRAPH_209(obj_t, obj_t);
#else
extern obj_t __VGRAPH_FORMALS__BETA_VGRAPH_209();
#endif
extern obj_t make_struct();
extern obj_t SIDE_EFFECT__EFFECT_PROPERTY_241();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t BETA_VGRAPH_INITIALISATION_ENV_BETA_VGRAPH_139 = BUNSPEC;
extern obj_t ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217();
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
extern obj_t VGRAPH__BETA_VGRAPH_66(obj_t, obj_t);
#else
extern obj_t VGRAPH__BETA_VGRAPH_66();
#endif
static obj_t __cnst[ 30 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
#if defined( __STDC__ )
extern obj_t VGRAPH_FORMALS__BETA_VGRAPH_202(obj_t);
#else
extern obj_t VGRAPH_FORMALS__BETA_VGRAPH_202();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t MUTABLE__EFFECT_PROPERTY_29();
#if defined( __STDC__ )
extern obj_t __BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_236(obj_t);
#else
extern obj_t __BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_236();
#endif
static obj_t REQUIRE_INITIALISATION__BETA_VGRAPH_2 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t VGRAPH__ENV_BETA_VGRAPH_40 = BUNSPEC;
obj_t VGRAPH_FORMALS__ENV_BETA_VGRAPH_13 = BUNSPEC;
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t VGRAPH_APPLICATION__BETA_VGRAPH_57(obj_t, obj_t);
#else
static obj_t VGRAPH_APPLICATION__BETA_VGRAPH_57();
#endif
extern obj_t make_fx_procedure();
extern obj_t EFFECT_PROPERTY_INITIALISATION_EFFECT_PROPERTY_197();
#if defined( __STDC__ )
static obj_t VGRAPH_LET__BETA_VGRAPH_7(obj_t, obj_t);
#else
static obj_t VGRAPH_LET__BETA_VGRAPH_7();
#endif
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
#if defined( __STDC__ )
static obj_t VGRAPH___BETA_VGRAPH_162(obj_t, obj_t);
#else
static obj_t VGRAPH___BETA_VGRAPH_162();
#endif
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
#if defined( __STDC__ )
extern obj_t __VGRAPH__BETA_VGRAPH_219(obj_t, obj_t, obj_t);
#else
extern obj_t __VGRAPH__BETA_VGRAPH_219();
#endif
extern obj_t BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_221();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_221()
#else
BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_221()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__BETA_VGRAPH_2 ))
{
REQUIRE_INITIALISATION__BETA_VGRAPH_2=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
EFFECT_PROPERTY_INITIALISATION_EFFECT_PROPERTY_197();
DECLARE_CNST_TABLE( __cnst[ 30 ]  );
{obj_t PORT_832_34;
{obj_t AUX_857_172;
AUX_857_172=c_constant_string_to_string( "#\"vgraph-let(b): \" #\"vgraph-let!: \" OK GLOBAL PRAGMA QUOTE FUNCTION-LIGHT FUNCTION-EXTRA-LIGHT FUNCTION FUNCALL-LIGHT FUNCALL-MEDIUM FUNCALL APPLY RETURN-FROM BLOCK LABELS LET SET! BEGIN TYPED-CASE CIF FAILURE FUNCALL-EXTRA-LIGHT CAST DONE VAR LOCAL #\"vgraph!atom: \" #\"vgraph!: \" BETA " );PORT_832_34=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_857_172 );}{obj_t OFFSET_833_239;
{
OFFSET_833_239=BINT( 29 );
{_LOOP_834_25:

if( LT_I( OFFSET_833_239, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_858_181;
AUX_858_181=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_832_34, BEOA );CNST_TABLE_SET( OFFSET_833_239, AUX_858_181 );}
{obj_t OFFSET_859_56;
OFFSET_859_56=OFFSET_833_239;{
OFFSET_833_239=SUB_I( OFFSET_859_56, BINT( 1 ) );
goto _LOOP_834_25;
}}
}}
}}}
{
BETA_VGRAPH_INITIALISATION_ENV_BETA_VGRAPH_139=make_fx_procedure( __BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_236, 0, 0 );
VGRAPH_FORMALS__ENV_BETA_VGRAPH_13=make_fx_procedure( __VGRAPH_FORMALS__BETA_VGRAPH_209, 1, 0 );
VGRAPH__ENV_BETA_VGRAPH_40=make_fx_procedure( __VGRAPH__BETA_VGRAPH_219, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_236(obj_t ENV_812_247)
#else
__BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_236( ENV_812_247 )
obj_t ENV_812_247;
#endif
{

return BETA_VGRAPH_INITIALISATION_BETA_VGRAPH_221();
}

obj_t
#if defined( __STDC__ )
VGRAPH_FORMALS__BETA_VGRAPH_202(obj_t FORMALS_388_251)
#else
VGRAPH_FORMALS__BETA_VGRAPH_202( FORMALS_388_251 )
obj_t FORMALS_388_251;
#endif
{

{obj_t g1000_390_21;
{
g1000_390_21=FORMALS_388_251;
{_g1001_389_134:

if( PAIRP( g1000_390_21 ))
{
{obj_t F_391_40;
F_391_40=CAR( g1000_390_21 );{obj_t V_573_185;
V_573_185=BNIL;STRUCT_SLOT_SET( F_391_40, BINT( 4 ), V_573_185 );}}
{obj_t C_CDR_574_68;
C_CDR_574_68=CDR( g1000_390_21 );{
g1000_390_21=C_CDR_574_68;
goto _g1001_389_134;
}}
}else
return BTRUE;}
}}
}

obj_t
#if defined( __STDC__ )
__VGRAPH_FORMALS__BETA_VGRAPH_209(obj_t ENV_811_43,obj_t FORMALS_388_251)
#else
__VGRAPH_FORMALS__BETA_VGRAPH_209( ENV_811_43, FORMALS_388_251 )
obj_t ENV_811_43, FORMALS_388_251;
#endif
{

return VGRAPH_FORMALS__BETA_VGRAPH_202( FORMALS_388_251 );
}

obj_t
#if defined( __STDC__ )
VGRAPH__BETA_VGRAPH_66(obj_t EXP_392_74,obj_t OWNER_393_255)
#else
VGRAPH__BETA_VGRAPH_66( EXP_392_74, OWNER_393_255 )
obj_t EXP_392_74, OWNER_393_255;
#endif
{
_VGRAPH__BETA_VGRAPH_66:

{
{obj_t AUX_851_183;
{obj_t AUX_852_157;
AUX_852_157=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_851_183=SATISFY__TOOLS_TRACE_72( AUX_852_157 );}if( BBOOL_TO_CBOOL( AUX_851_183 ))
{
{obj_t g1002_395_244;
{obj_t L_577_26;
{obj_t STRING_CAST_802_114;
STRING_CAST_802_114=CNST_TABLE_REF( 1 );{obj_t C_CONS_579_87;
{obj_t C_CONS_578_197;
C_CONS_578_197=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_850_167;
AUX_850_167=SHAPE_TOOLS_SHAPE_229( EXP_392_74 );C_CONS_579_87=MAKE_PAIR( AUX_850_167, C_CONS_578_197 );}}L_577_26=MAKE_PAIR( STRING_CAST_802_114, C_CONS_579_87 );}}{
g1002_395_244=L_577_26;
{_g1003_394_246:

if( PAIRP( g1002_395_244 ))
{
{obj_t A_396_10;
A_396_10=CAR( g1002_395_244 );{obj_t VA_ARG_801_221;
VA_ARG_801_221=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_396_10, VA_ARG_801_221 );}}
{obj_t C_CDR_575_56;
C_CDR_575_56=CDR( g1002_395_244 );{
g1002_395_244=C_CDR_575_56;
goto _g1003_394_246;
}}
}else
BTRUE;}
}}}
{obj_t PORT_581_10;
PORT_581_10=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_581_10 );}
}else
BFALSE;}
{obj_t EXP_454_83, TYPE_455_2, TEST_456_92, CLAUSES_457_150, BINDINGS_460_17, BODY_461_45;
if( PAIRP( EXP_392_74 ))
{obj_t CAR_132_415_188, CDR_133_414_208;
CAR_132_415_188=CAR( EXP_392_74 );CDR_133_414_208=CDR( EXP_392_74 );{if( EQP( CAR_132_415_188, CNST_TABLE_REF( 21 ) ))
{_KAP_134_416_83:

if( PAIRP( CDR_133_414_208 ))
{obj_t OBJ2_651_222;
OBJ2_651_222=BNIL;{obj_t OBJ1_650_222;
OBJ1_650_222=CDR( CDR_133_414_208 );if( EQP( OBJ1_650_222, OBJ2_651_222 ))
{
{obj_t PAIR_615_81;
PAIR_615_81=CDR( EXP_392_74 );{obj_t C_CAR_616_111;
C_CAR_616_111=CAR( PAIR_615_81 );{
EXP_392_74=C_CAR_616_111;
goto _VGRAPH__BETA_VGRAPH_66;
}}}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 6 ) ))
if( PAIRP( OBJ1_650_222 ))
{obj_t OBJ1_654_219;
OBJ1_654_219=CDR( OBJ1_650_222 );if( EQP( OBJ1_654_219, OBJ2_651_222 ))
{obj_t C_CAR_656_147;
C_CAR_656_147=CAR( OBJ1_650_222 );{
EXP_454_83=C_CAR_656_147;
{_TAG_105_401_10:

{
EXP_392_74=EXP_454_83;
goto _VGRAPH__BETA_VGRAPH_66;
}}
}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_657_243;
OBJ1_657_243=CAR( CAR_132_415_188 );if( EQP( OBJ1_657_243, CNST_TABLE_REF( 7 ) ))
{_TAG_115_411_53:

{obj_t C_CDR_582_89;
C_CDR_582_89=CDR( EXP_392_74 );return VGRAPH___BETA_VGRAPH_162( C_CDR_582_89, OWNER_393_255 );}}else
{_TAG_116_412_190:

return VGRAPH_APPLICATION__BETA_VGRAPH_57( EXP_392_74, OWNER_393_255 );}}else
goto _TAG_116_412_190;}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_658_123;
OBJ1_658_123=CAR( CAR_132_415_188 );if( EQP( OBJ1_658_123, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 8 ) ))
{_TAG_106_402_17:

{obj_t C_CDR_614_63;
C_CDR_614_63=CDR( EXP_392_74 );return VGRAPH___BETA_VGRAPH_162( C_CDR_614_63, OWNER_393_255 );}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 9 ) ))
{_TAG_107_403_23:

{obj_t C_CDR_613_184;
C_CDR_613_184=CDR( EXP_392_74 );return VGRAPH___BETA_VGRAPH_162( C_CDR_613_184, OWNER_393_255 );}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 10 ) ))
if( PAIRP( OBJ1_650_222 ))
{obj_t C_CAR_662_78;
C_CAR_662_78=CAR( CDR_133_414_208 );{obj_t C_CAR_663_75;
C_CAR_663_75=CAR( OBJ1_650_222 );{obj_t C_CDR_664_163;
C_CDR_664_163=CDR( OBJ1_650_222 );{
CLAUSES_457_150=C_CDR_664_163;
TEST_456_92=C_CAR_663_75;
TYPE_455_2=C_CAR_662_78;
{_TAG_108_404_107:

{
VGRAPH__BETA_VGRAPH_66( TEST_456_92, OWNER_393_255 );
{obj_t HOOK_459_86;
{
HOOK_459_86=CLAUSES_457_150;
{_LOOP_458_234:

if( NULLP( HOOK_459_86 ))
return CNST_TABLE_REF( 5 );else
{
{obj_t PAIR_609_45;
PAIR_609_45=CAR( HOOK_459_86 );{obj_t PAIR_610_92;
PAIR_610_92=CDR( PAIR_609_45 );{obj_t C_CAR_611_244;
C_CAR_611_244=CAR( PAIR_610_92 );VGRAPH__BETA_VGRAPH_66( C_CAR_611_244, OWNER_393_255 );}}}
{obj_t C_CDR_612_146;
C_CDR_612_146=CDR( HOOK_459_86 );{
HOOK_459_86=C_CDR_612_146;
goto _LOOP_458_234;
}}
}}
}}
}}
}}}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_665_48;
OBJ1_665_48=CAR( CAR_132_415_188 );if( EQP( OBJ1_665_48, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 11 ) ))
{_TAG_109_405_104:

{obj_t C_CDR_608_158;
C_CDR_608_158=CDR( EXP_392_74 );return VGRAPH___BETA_VGRAPH_162( C_CDR_608_158, OWNER_393_255 );}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 12 ) ))
{_TAG_110_406_178:

{
{obj_t PAIR_603_129;
PAIR_603_129=CDR( EXP_392_74 );{obj_t C_CAR_604_85;
C_CAR_604_85=CAR( PAIR_603_129 );VGRAPH__BETA_VGRAPH_66( C_CAR_604_85, OWNER_393_255 );}}
{obj_t PAIR_605_231;
{obj_t PAIR_607_19;
PAIR_607_19=CDR( EXP_392_74 );PAIR_605_231=CDR( PAIR_607_19 );}{obj_t C_CAR_606_237;
C_CAR_606_237=CAR( PAIR_605_231 );{
EXP_392_74=C_CAR_606_237;
goto _VGRAPH__BETA_VGRAPH_66;
}}}
}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 13 ) ))
{_TAG_111_407_165:

return VGRAPH_LET__BETA_VGRAPH_7( EXP_392_74, OWNER_393_255 );}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 14 ) ))
if( PAIRP( OBJ1_650_222 ))
{obj_t OBJ1_670_5;
OBJ1_670_5=CDR( OBJ1_650_222 );if( EQP( OBJ1_670_5, OBJ2_651_222 ))
{obj_t C_CAR_672_59;
C_CAR_672_59=CAR( CDR_133_414_208 );{obj_t C_CAR_673_74;
C_CAR_673_74=CAR( OBJ1_650_222 );{
BODY_461_45=C_CAR_673_74;
BINDINGS_460_17=C_CAR_672_59;
{_TAG_112_408_122:

{
{obj_t g1004_463_157;
{
g1004_463_157=BINDINGS_460_17;
{_g1005_462_234:

if( PAIRP( g1004_463_157 ))
{
{obj_t B_464_14;
B_464_14=CAR( g1004_463_157 );{
{obj_t V_591_218;
V_591_218=BNIL;{obj_t S_590_37;
S_590_37=CAR( B_464_14 );STRUCT_SLOT_SET( S_590_37, BINT( 4 ), V_591_218 );}}
{obj_t g1006_466_51;
{obj_t PAIR_595_152;
PAIR_595_152=CDR( B_464_14 );{obj_t C_CAR_596_127;
C_CAR_596_127=CAR( PAIR_595_152 );{
g1006_466_51=C_CAR_596_127;
{_g1007_465_238:

if( PAIRP( g1006_466_51 ))
{
{obj_t F_467_182;
F_467_182=CAR( g1006_466_51 );{obj_t V_592_255;
V_592_255=BNIL;STRUCT_SLOT_SET( F_467_182, BINT( 4 ), V_592_255 );}}
{obj_t C_CDR_593_13;
C_CDR_593_13=CDR( g1006_466_51 );{
g1006_466_51=C_CDR_593_13;
goto _g1007_465_238;
}}
}else
BTRUE;}
}}}}
}}
{obj_t C_CDR_597_18;
C_CDR_597_18=CDR( g1004_463_157 );{
g1004_463_157=C_CDR_597_18;
goto _g1005_462_234;
}}
}else
BTRUE;}
}}
VGRAPH__BETA_VGRAPH_66( BODY_461_45, OWNER_393_255 );
{obj_t HOOK_469_23;
{
HOOK_469_23=BINDINGS_460_17;
{_LOOP_468_98:

if( NULLP( HOOK_469_23 ))
return EXP_392_74;else
{obj_t BINDING_470_171;
BINDING_470_171=CAR( HOOK_469_23 );{
{obj_t PAIR_598_243;
{obj_t PAIR_600_202;
PAIR_600_202=CDR( BINDING_470_171 );PAIR_598_243=CDR( PAIR_600_202 );}{obj_t C_CAR_599_207;
C_CAR_599_207=CAR( PAIR_598_243 );{obj_t C_CAR_601_250;
C_CAR_601_250=CAR( BINDING_470_171 );VGRAPH__BETA_VGRAPH_66( C_CAR_599_207, C_CAR_601_250 );}}}
{obj_t C_CDR_602_42;
C_CDR_602_42=CDR( HOOK_469_23 );{
HOOK_469_23=C_CDR_602_42;
goto _LOOP_468_98;
}}
}}}
}}
}}
}}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_674_193;
OBJ1_674_193=CAR( CAR_132_415_188 );if( EQP( OBJ1_674_193, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_675_239;
OBJ1_675_239=CAR( CAR_132_415_188 );if( EQP( OBJ1_675_239, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 15 ) ))
{_TAG_113_409_115:

{obj_t PAIR_587_72;
{obj_t PAIR_589_164;
PAIR_589_164=CDR( EXP_392_74 );PAIR_587_72=CDR( PAIR_589_164 );}{obj_t C_CAR_588_121;
C_CAR_588_121=CAR( PAIR_587_72 );{
EXP_392_74=C_CAR_588_121;
goto _VGRAPH__BETA_VGRAPH_66;
}}}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 16 ) ))
{_TAG_114_410_53:

{obj_t PAIR_584_121;
{obj_t PAIR_586_77;
PAIR_586_77=CDR( EXP_392_74 );PAIR_584_121=CDR( PAIR_586_77 );}{obj_t C_CAR_585_164;
C_CAR_585_164=CAR( PAIR_584_121 );{
EXP_392_74=C_CAR_585_164;
goto _VGRAPH__BETA_VGRAPH_66;
}}}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 17 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 18 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 19 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 20 ) ))
goto _TAG_115_411_53;else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_678_108;
OBJ1_678_108=CAR( CAR_132_415_188 );if( EQP( OBJ1_678_108, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 8 ) ))
goto _TAG_106_402_17;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 9 ) ))
goto _TAG_107_403_23;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 11 ) ))
goto _TAG_109_405_104;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 12 ) ))
goto _TAG_110_406_178;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 13 ) ))
goto _TAG_111_407_165;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 15 ) ))
goto _TAG_113_409_115;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 16 ) ))
goto _TAG_114_410_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 17 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 18 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 19 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 20 ) ))
goto _TAG_115_411_53;else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_686_145;
OBJ1_686_145=CAR( CAR_132_415_188 );if( EQP( OBJ1_686_145, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 22 ) ))
goto _KAP_134_416_83;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 23 ) ))
goto _KAP_134_416_83;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 24 ) ))
if( PAIRP( CDR_133_414_208 ))
{obj_t OBJ2_689_190;
OBJ2_689_190=BNIL;{obj_t OBJ1_688_195;
OBJ1_688_195=CDR( CDR_133_414_208 );if( EQP( OBJ1_688_195, OBJ2_689_190 ))
{
return CNST_TABLE_REF( 5 );}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_690_26;
OBJ1_690_26=CAR( CAR_132_415_188 );if( EQP( OBJ1_690_26, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_691_150;
OBJ1_691_150=CAR( CAR_132_415_188 );if( EQP( OBJ1_691_150, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 25 ) ))
if( PAIRP( CDR_133_414_208 ))
{obj_t OBJ2_694_81;
OBJ2_694_81=BNIL;{obj_t OBJ1_693_145;
OBJ1_693_145=CDR( CDR_133_414_208 );if( EQP( OBJ1_693_145, OBJ2_694_81 ))
{
return CNST_TABLE_REF( 5 );}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_695_33;
OBJ1_695_33=CAR( CAR_132_415_188 );if( EQP( OBJ1_695_33, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_696_8;
OBJ1_696_8=CAR( CAR_132_415_188 );if( EQP( OBJ1_696_8, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 6 ) ))
if( PAIRP( CDR_133_414_208 ))
{obj_t CDR_614_424_31;
CDR_614_424_31=CDR( CDR_133_414_208 );if( PAIRP( CDR_614_424_31 ))
{obj_t OBJ2_699_112;
OBJ2_699_112=BNIL;{obj_t OBJ1_698_166;
OBJ1_698_166=CDR( CDR_614_424_31 );if( EQP( OBJ1_698_166, OBJ2_699_112 ))
{obj_t C_CAR_700_232;
C_CAR_700_232=CAR( CDR_614_424_31 );{
EXP_454_83=C_CAR_700_232;
goto _TAG_105_401_10;
}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_701_107;
OBJ1_701_107=CAR( CAR_132_415_188 );if( EQP( OBJ1_701_107, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_702_87;
OBJ1_702_87=CAR( CAR_132_415_188 );if( EQP( OBJ1_702_87, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_703_197;
OBJ1_703_197=CAR( CAR_132_415_188 );if( EQP( OBJ1_703_197, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 8 ) ))
goto _TAG_106_402_17;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 9 ) ))
goto _TAG_107_403_23;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 10 ) ))
if( PAIRP( CDR_133_414_208 ))
{obj_t CDR_550_429_174;
CDR_550_429_174=CDR( CDR_133_414_208 );if( PAIRP( CDR_550_429_174 ))
{obj_t C_CAR_707_59;
C_CAR_707_59=CAR( CDR_133_414_208 );{obj_t C_CAR_708_126;
C_CAR_708_126=CAR( CDR_550_429_174 );{obj_t C_CDR_709_113;
C_CDR_709_113=CDR( CDR_550_429_174 );{
CLAUSES_457_150=C_CDR_709_113;
TEST_456_92=C_CAR_708_126;
TYPE_455_2=C_CAR_707_59;
goto _TAG_108_404_107;
}}}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_710_110;
OBJ1_710_110=CAR( CAR_132_415_188 );if( EQP( OBJ1_710_110, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_711_25;
OBJ1_711_25=CAR( CAR_132_415_188 );if( EQP( OBJ1_711_25, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 11 ) ))
goto _TAG_109_405_104;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 12 ) ))
goto _TAG_110_406_178;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 13 ) ))
goto _TAG_111_407_165;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 14 ) ))
if( PAIRP( CDR_133_414_208 ))
{obj_t CDR_506_433_1;
CDR_506_433_1=CDR( CDR_133_414_208 );if( PAIRP( CDR_506_433_1 ))
{obj_t OBJ2_717_207;
OBJ2_717_207=BNIL;{obj_t OBJ1_716_97;
OBJ1_716_97=CDR( CDR_506_433_1 );if( EQP( OBJ1_716_97, OBJ2_717_207 ))
{obj_t C_CAR_718_206;
C_CAR_718_206=CAR( CDR_133_414_208 );{obj_t C_CAR_719_35;
C_CAR_719_35=CAR( CDR_506_433_1 );{
BODY_461_45=C_CAR_719_35;
BINDINGS_460_17=C_CAR_718_206;
goto _TAG_112_408_122;
}}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_720_102;
OBJ1_720_102=CAR( CAR_132_415_188 );if( EQP( OBJ1_720_102, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_721_218;
OBJ1_721_218=CAR( CAR_132_415_188 );if( EQP( OBJ1_721_218, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_722_255;
OBJ1_722_255=CAR( CAR_132_415_188 );if( EQP( OBJ1_722_255, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 15 ) ))
goto _TAG_113_409_115;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 16 ) ))
goto _TAG_114_410_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 17 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 18 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 19 ) ))
goto _TAG_115_411_53;else
if( EQP( CAR_132_415_188, CNST_TABLE_REF( 20 ) ))
goto _TAG_115_411_53;else
if( PAIRP( CAR_132_415_188 ))
{obj_t OBJ1_725_106;
OBJ1_725_106=CAR( CAR_132_415_188 );if( EQP( OBJ1_725_106, CNST_TABLE_REF( 7 ) ))
goto _TAG_115_411_53;else
goto _TAG_116_412_190;}else
goto _TAG_116_412_190;}}else
{
{
{obj_t AUX_854_147;
{obj_t AUX_855_124;
AUX_855_124=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_854_147=SATISFY__TOOLS_TRACE_72( AUX_855_124 );}if( BBOOL_TO_CBOOL( AUX_854_147 ))
{
{obj_t g1008_451_151;
{obj_t L_618_205;
{obj_t STRING_CAST_804_142;
STRING_CAST_804_142=CNST_TABLE_REF( 2 );{obj_t C_CONS_620_49;
{obj_t C_CONS_619_112;
C_CONS_619_112=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_853_238;
AUX_853_238=SHAPE_TOOLS_SHAPE_229( EXP_392_74 );C_CONS_620_49=MAKE_PAIR( AUX_853_238, C_CONS_619_112 );}}L_618_205=MAKE_PAIR( STRING_CAST_804_142, C_CONS_620_49 );}}{
g1008_451_151=L_618_205;
{_g1009_450_246:

if( PAIRP( g1008_451_151 ))
{
{obj_t A_452_31;
A_452_31=CAR( g1008_451_151 );{obj_t VA_ARG_803_192;
VA_ARG_803_192=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_452_31, VA_ARG_803_192 );}}
{obj_t C_CDR_617_69;
C_CDR_617_69=CDR( g1008_451_151 );{
g1008_451_151=C_CDR_617_69;
goto _g1009_450_246;
}}
}else
BTRUE;}
}}}
{obj_t PORT_621_78;
PORT_621_78=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_621_78 );}
}else
BFALSE;}
{bool_t __andtest_1010_817_104;
{obj_t AUX_856_144;
if( STRUCTP( EXP_392_74 ))
AUX_856_144=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( EXP_392_74 ), CNST_TABLE_REF( 3 ) ) );else
AUX_856_144=BFALSE;__andtest_1010_817_104=BBOOL_TO_CBOOL( AUX_856_144 );}{if( __andtest_1010_817_104)
{obj_t O_623_234;
O_623_234=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );if( STRUCTP( O_623_234 ))
if( EQP( STRUCT_KEY( O_623_234 ), CNST_TABLE_REF( 4 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;}else
goto _false_7;_true_6:
{
{obj_t OBJ1_626_220;
{obj_t S_627_13;
S_627_13=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );OBJ1_626_220=STRUCT_SLOT_REF( S_627_13, BINT( 3 ) );}if( EQP( OBJ1_626_220, OWNER_393_255 ))
BFALSE;else
{obj_t V_631_8;
{obj_t R_635_151;
{obj_t S_637_155;
S_637_155=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );R_635_151=STRUCT_SLOT_REF( S_637_155, BINT( 0 ) );}V_631_8=ADD_I_PTAG( PSUB_TAG( 2 ), R_635_151 );}{obj_t S_630_89;
S_630_89=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );STRUCT_SLOT_SET( S_630_89, BINT( 0 ), V_631_8 );}}}
{obj_t V_641_10;
{obj_t R_643_165;
{obj_t S_645_96;
S_645_96=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );R_643_165=STRUCT_SLOT_REF( S_645_96, BINT( 0 ) );}V_641_10=ADD_I_PTAG( PSUB_TAG( 1 ), R_643_165 );}{obj_t S_640_114;
S_640_114=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );STRUCT_SLOT_SET( S_640_114, BINT( 0 ), V_641_10 );}}
{obj_t S_648_109;
S_648_109=STRUCT_SLOT_REF( EXP_392_74, BINT( 4 ) );return STRUCT_SLOT_SET( S_648_109, BINT( 1 ), BFALSE );}
}_false_7:
return BFALSE;;
}}
}}}
}
}

obj_t
#if defined( __STDC__ )
__VGRAPH__BETA_VGRAPH_219(obj_t ENV_810_196,obj_t EXP_392_74,obj_t OWNER_393_255)
#else
__VGRAPH__BETA_VGRAPH_219( ENV_810_196, EXP_392_74, OWNER_393_255 )
obj_t ENV_810_196, EXP_392_74, OWNER_393_255;
#endif
{

return VGRAPH__BETA_VGRAPH_66( EXP_392_74, OWNER_393_255 );
}

static obj_t
#if defined( __STDC__ )
VGRAPH___BETA_VGRAPH_162(obj_t EXP_471_70,obj_t OWNER_472_98)
#else
VGRAPH___BETA_VGRAPH_162( EXP_471_70, OWNER_472_98 )
obj_t EXP_471_70, OWNER_472_98;
#endif
{

{obj_t g1011_474_58;
{
g1011_474_58=EXP_471_70;
{_g1012_473_10:

if( PAIRP( g1011_474_58 ))
{
{obj_t EXP_475_78;
EXP_475_78=CAR( g1011_474_58 );VGRAPH__BETA_VGRAPH_66( EXP_475_78, OWNER_472_98 );}
{obj_t C_CDR_726_131;
C_CDR_726_131=CDR( g1011_474_58 );{
g1011_474_58=C_CDR_726_131;
goto _g1012_473_10;
}}
}else
return BTRUE;}
}}
}

static obj_t
#if defined( __STDC__ )
VGRAPH_APPLICATION__BETA_VGRAPH_57(obj_t EXP_476_22,obj_t OWNER_477_251)
#else
VGRAPH_APPLICATION__BETA_VGRAPH_57( EXP_476_22, OWNER_477_251 )
obj_t EXP_476_22, OWNER_477_251;
#endif
{

{bool_t __andtest_1013_820_178;
{obj_t AUX_841_61;
{bool_t OBJ_819_148;
OBJ_819_148=PAIRP( CDR( EXP_476_22 ) );AUX_841_61=CBOOL_TO_BBOOL( OBJ_819_148 );}__andtest_1013_820_178=BBOOL_TO_CBOOL( AUX_841_61 );}{if( __andtest_1013_820_178)
{bool_t __andtest_1014_822_140;
{obj_t AUX_842_9;
{obj_t O_728_233;
{obj_t PAIR_730_82;
PAIR_730_82=CDR( EXP_476_22 );O_728_233=CAR( PAIR_730_82 );}if( STRUCTP( O_728_233 ))
AUX_842_9=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_728_233 ), CNST_TABLE_REF( 3 ) ) );else
AUX_842_9=BFALSE;}__andtest_1014_822_140=BBOOL_TO_CBOOL( AUX_842_9 );}if( __andtest_1014_822_140)
{bool_t __andtest_1015_824_207;
{obj_t AUX_843_89;
{bool_t OBJ_823_169;
{obj_t AUX_844_155;
{obj_t PAIR_733_201;
PAIR_733_201=CDR( EXP_476_22 );AUX_844_155=CDR( PAIR_733_201 );}OBJ_823_169=NULLP( AUX_844_155 );}AUX_843_89=CBOOL_TO_BBOOL( OBJ_823_169 );}__andtest_1015_824_207=BBOOL_TO_CBOOL( AUX_843_89 );}if( __andtest_1015_824_207)
{bool_t __andtest_1016_826_160;
{obj_t AUX_845_42;
{obj_t O_734_126;
O_734_126=CAR( EXP_476_22 );if( STRUCTP( O_734_126 ))
AUX_845_42=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_734_126 ), CNST_TABLE_REF( 26 ) ) );else
AUX_845_42=BFALSE;}__andtest_1016_826_160=BBOOL_TO_CBOOL( AUX_845_42 );}if( __andtest_1016_826_160)
{bool_t __andtest_1017_828_192;
{obj_t AUX_846_93;
{bool_t OBJ_827_197;
{obj_t AUX_847_159;
AUX_847_159=SIDE_EFFECT__EFFECT_PROPERTY_241( EXP_476_22 );OBJ_827_197=BBOOL_TO_CBOOL( AUX_847_159 );}if( OBJ_827_197)
AUX_846_93=BFALSE;else
AUX_846_93=BTRUE;}__andtest_1017_828_192=BBOOL_TO_CBOOL( AUX_846_93 );}if( __andtest_1017_828_192)
{bool_t OBJ_829_65;
{obj_t AUX_848_218;
AUX_848_218=MUTABLE__EFFECT_PROPERTY_29( EXP_476_22 );OBJ_829_65=BBOOL_TO_CBOOL( AUX_848_218 );}if( OBJ_829_65)
goto _false_1;else
goto _true_0;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t LOCAL_483_12;
{obj_t PAIR_739_155;
PAIR_739_155=CDR( EXP_476_22 );LOCAL_483_12=CAR( PAIR_739_155 );}{obj_t O_740_192;
O_740_192=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );{if( STRUCTP( O_740_192 ))
if( EQP( STRUCT_KEY( O_740_192 ), CNST_TABLE_REF( 4 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{
{obj_t V_744_228;
{obj_t R_746_94;
{obj_t S_748_241;
S_748_241=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );R_746_94=STRUCT_SLOT_REF( S_748_241, BINT( 0 ) );}V_744_228=ADD_I_PTAG( PSUB_TAG( 1 ), R_746_94 );}{obj_t S_743_141;
S_743_141=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );STRUCT_SLOT_SET( S_743_141, BINT( 0 ), V_744_228 );}}
{bool_t OBJ_831_40;
{obj_t AUX_849_102;
{obj_t S_752_141;
S_752_141=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );AUX_849_102=STRUCT_SLOT_REF( S_752_141, BINT( 1 ) );}OBJ_831_40=NULLP( AUX_849_102 );}if( OBJ_831_40)
{
{obj_t V_756_243;
{obj_t C_STRUCT_REF_758_128;
C_STRUCT_REF_758_128=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 0 ) );V_756_243=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_758_128 );}{obj_t S_755_66;
S_755_66=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );STRUCT_SLOT_SET( S_755_66, BINT( 4 ), V_756_243 );}}
{obj_t V_760_250;
V_760_250=CAR( EXP_476_22 );{obj_t S_759_241;
S_759_241=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );return STRUCT_SLOT_SET( S_759_241, BINT( 1 ), V_760_250 );}}
}else
{obj_t OBJ2_763_165;
OBJ2_763_165=CAR( EXP_476_22 );{obj_t OBJ1_762_200;
{obj_t S_764_213;
S_764_213=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );OBJ1_762_200=STRUCT_SLOT_REF( S_764_213, BINT( 1 ) );}if( EQP( OBJ1_762_200, OBJ2_763_165 ))
return CNST_TABLE_REF( 27 );else
{obj_t S_767_104;
S_767_104=STRUCT_SLOT_REF( LOCAL_483_12, BINT( 4 ) );return STRUCT_SLOT_SET( S_767_104, BINT( 1 ), BFALSE );}}}}
}_false_4:
return CNST_TABLE_REF( 27 );;
}}}_false_1:
{obj_t C_CDR_769_241;
C_CDR_769_241=CDR( EXP_476_22 );return VGRAPH___BETA_VGRAPH_162( C_CDR_769_241, OWNER_477_251 );};
}}
}

static obj_t
#if defined( __STDC__ )
VGRAPH_LET__BETA_VGRAPH_7(obj_t EXP_484_233,obj_t OWNER_485_184)
#else
VGRAPH_LET__BETA_VGRAPH_7( EXP_484_233, OWNER_485_184 )
obj_t EXP_484_233, OWNER_485_184;
#endif
{

{
{obj_t AUX_836_98;
{obj_t AUX_837_21;
AUX_837_21=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_836_98=SATISFY__TOOLS_TRACE_72( AUX_837_21 );}if( BBOOL_TO_CBOOL( AUX_836_98 ))
{
{obj_t g1018_487_110;
{obj_t L_771_76;
{obj_t STRING_CAST_806_227;
STRING_CAST_806_227=CNST_TABLE_REF( 28 );{obj_t C_CONS_773_190;
{obj_t C_CONS_772_104;
C_CONS_772_104=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_835_113;
AUX_835_113=SHAPE_TOOLS_SHAPE_229( EXP_484_233 );C_CONS_773_190=MAKE_PAIR( AUX_835_113, C_CONS_772_104 );}}L_771_76=MAKE_PAIR( STRING_CAST_806_227, C_CONS_773_190 );}}{
g1018_487_110=L_771_76;
{_g1019_486_105:

if( PAIRP( g1018_487_110 ))
{
{obj_t A_488_51;
A_488_51=CAR( g1018_487_110 );{obj_t VA_ARG_805_116;
VA_ARG_805_116=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_488_51, VA_ARG_805_116 );}}
{obj_t C_CDR_770_161;
C_CDR_770_161=CDR( g1018_487_110 );{
g1018_487_110=C_CDR_770_161;
goto _g1019_486_105;
}}
}else
BTRUE;}
}}}
{obj_t PORT_774_219;
PORT_774_219=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_774_219 );}
}else
BFALSE;}
{obj_t g1020_490_164;
{obj_t PAIR_780_135;
PAIR_780_135=CDR( EXP_484_233 );{obj_t C_CAR_781_162;
C_CAR_781_162=CAR( PAIR_780_135 );{
g1020_490_164=C_CAR_781_162;
{_g1021_489_121:

if( PAIRP( g1020_490_164 ))
{
{obj_t B_491_136;
B_491_136=CAR( g1020_490_164 );{obj_t VAR_492_188;
{obj_t INIT_775_95;
INIT_775_95=BNIL;{obj_t INIT_776_206;
INIT_776_206=BNIL;VAR_492_188=make_struct( CNST_TABLE_REF( 4 ), BINT( 5 ), INIT_776_206 );}}{
STRUCT_SLOT_SET( VAR_492_188, BINT( 0 ), BINT( 0 ) );
STRUCT_SLOT_SET( VAR_492_188, BINT( 3 ), OWNER_485_184 );
{obj_t S_778_95;
S_778_95=CAR( B_491_136 );STRUCT_SLOT_SET( S_778_95, BINT( 4 ), VAR_492_188 );}
}}}
{obj_t C_CDR_779_156;
C_CDR_779_156=CDR( g1020_490_164 );{
g1020_490_164=C_CDR_779_156;
goto _g1021_489_121;
}}
}else
BTRUE;}
}}}}
{obj_t g1022_494_243;
{obj_t PAIR_790_230;
PAIR_790_230=CDR( EXP_484_233 );{obj_t C_CAR_791_15;
C_CAR_791_15=CAR( PAIR_790_230 );{
g1022_494_243=C_CAR_791_15;
{_g1023_493_225:

if( PAIRP( g1022_494_243 ))
{
{obj_t B_495_244;
B_495_244=CAR( g1022_494_243 );{
{obj_t AUX_839_81;
{obj_t AUX_840_3;
AUX_840_3=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_839_81=SATISFY__TOOLS_TRACE_72( AUX_840_3 );}if( BBOOL_TO_CBOOL( AUX_839_81 ))
{
{obj_t g1024_497_147;
{obj_t L_783_213;
{obj_t STRING_CAST_809_205;
STRING_CAST_809_205=CNST_TABLE_REF( 29 );{obj_t C_CONS_785_219;
{obj_t C_CONS_784_10;
C_CONS_784_10=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_838_20;
AUX_838_20=SHAPE_TOOLS_SHAPE_229( B_495_244 );C_CONS_785_219=MAKE_PAIR( AUX_838_20, C_CONS_784_10 );}}L_783_213=MAKE_PAIR( STRING_CAST_809_205, C_CONS_785_219 );}}{
g1024_497_147=L_783_213;
{_g1025_496_244:

if( PAIRP( g1024_497_147 ))
{
{obj_t A_498_32;
A_498_32=CAR( g1024_497_147 );{obj_t VA_ARG_808_133;
VA_ARG_808_133=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_498_32, VA_ARG_808_133 );}}
{obj_t C_CDR_782_15;
C_CDR_782_15=CDR( g1024_497_147 );{
g1024_497_147=C_CDR_782_15;
goto _g1025_496_244;
}}
}else
BTRUE;}
}}}
{obj_t PORT_786_254;
PORT_786_254=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_786_254 );}
}else
BFALSE;}
{obj_t PAIR_787_149;
PAIR_787_149=CDR( B_495_244 );{obj_t C_CAR_788_142;
C_CAR_788_142=CAR( PAIR_787_149 );VGRAPH__BETA_VGRAPH_66( C_CAR_788_142, OWNER_485_184 );}}
}}
{obj_t C_CDR_789_213;
C_CDR_789_213=CDR( g1022_494_243 );{
g1022_494_243=C_CDR_789_213;
goto _g1023_493_225;
}}
}else
BTRUE;}
}}}}
{obj_t PAIR_792_96;
{obj_t PAIR_794_62;
PAIR_794_62=CDR( EXP_484_233 );PAIR_792_96=CDR( PAIR_794_62 );}{obj_t C_CAR_793_48;
C_CAR_793_48=CAR( PAIR_792_96 );return VGRAPH__BETA_VGRAPH_66( C_CAR_793_48, OWNER_485_184 );}}
}
}

