/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Cnst/alloc.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_CNST_ALLOC_83 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __STRING_INFO_STRING_CNST_ALLOC_177(obj_t, obj_t);
#else
static obj_t __STRING_INFO_STRING_CNST_ALLOC_177();
#endif
static obj_t REAL_INFO_CREATE_ENV_CNST_ALLOC_155 = BUNSPEC;
extern obj_t BIND_OBJECT__TOOLS_HASH_11();
#if defined( __STDC__ )
static obj_t __SYMBOL_INFO_CREATE_CNST_ALLOC_180(obj_t, obj_t);
#else
static obj_t __SYMBOL_INFO_CREATE_CNST_ALLOC_180();
#endif
extern obj_t c_substring();
extern obj_t PROCEDURE_INITIALISATION_CNST_ALLOC_92();
extern obj_t ABSTRACT_CSYMBOL__BSYMBOL_HEAP_ABSTRACT_129();
#if defined( __STDC__ )
extern obj_t CNST_ALLOC_PROCEDURE_CNST_ALLOC_34(obj_t, obj_t);
#else
extern obj_t CNST_ALLOC_PROCEDURE_CNST_ALLOC_34();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t make_struct();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t REAL_INFO_STRING_ENV_CNST_ALLOC_240 = BUNSPEC;
extern obj_t __SHARED_DATA__ENGINE_PARAM_73;
static obj_t __PROCEDURE_ENV__CNST_ALLOC_61 = BUNSPEC;
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
obj_t SYMBOL_INITIALISATION_ENV_CNST_ALLOC_65 = BUNSPEC;
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
#if defined( __STDC__ )
extern obj_t __PAIR_INITIALISATION_CNST_ALLOC_19(obj_t);
#else
extern obj_t __PAIR_INITIALISATION_CNST_ALLOC_19();
#endif
extern obj_t DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251();
extern obj_t MAKE_HASHTABLE_TOOLS_HASH_49();
extern obj_t FIND_OBJECT_TOOLS_HASH_106();
obj_t PAIR_INITIALISATION_ENV_CNST_ALLOC_240 = BUNSPEC;
extern obj_t make_string();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t CNST_ALLOC_INITIALISATION_CNST_ALLOC_92();
static obj_t SYMBOL_INFO_SYMBOL_ENV_CNST_ALLOC_96 = BUNSPEC;
static obj_t SYMBOL_INFO_CREATE_ENV_CNST_ALLOC_103 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SHAPE_STRING_CNST_ALLOC_79(obj_t);
#else
static obj_t SHAPE_STRING_CNST_ALLOC_79();
#endif
#if defined( __STDC__ )
static obj_t __REAL_INFO_STRING_CNST_ALLOC_226(obj_t, obj_t);
#else
static obj_t __REAL_INFO_STRING_CNST_ALLOC_226();
#endif
static obj_t __cnst[ 17 ] ;
obj_t CNST_ALLOC_INITIALISATION_ENV_CNST_ALLOC_95 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_REAL_CNST_ALLOC_221(obj_t, obj_t);
#else
extern obj_t __CNST_ALLOC_REAL_CNST_ALLOC_221();
#endif
#if defined( __STDC__ )
static obj_t SYMBOL_INFO_SYMBOL_CNST_ALLOC_119(obj_t);
#else
static obj_t SYMBOL_INFO_SYMBOL_CNST_ALLOC_119();
#endif
#if defined( __STDC__ )
static obj_t REAL_INFO_CREATE_CNST_ALLOC_7(obj_t);
#else
static obj_t REAL_INFO_CREATE_CNST_ALLOC_7();
#endif
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
#if defined( __STDC__ )
extern obj_t CNST_ALLOC_REAL_CNST_ALLOC_107(obj_t);
#else
extern obj_t CNST_ALLOC_REAL_CNST_ALLOC_107();
#endif
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t CNST_ALLOC_STRING_CNST_ALLOC_219(obj_t);
#else
extern obj_t CNST_ALLOC_STRING_CNST_ALLOC_219();
#endif
obj_t CNST_ALLOC_LIST_ENV_CNST_ALLOC_121 = BUNSPEC;
static obj_t PROCEDURE_0_CNST_ALLOC_155 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_SYMBOL_CNST_ALLOC_43(obj_t, obj_t);
#else
extern obj_t __CNST_ALLOC_SYMBOL_CNST_ALLOC_43();
#endif
static obj_t REQUIRE_INITIALISATION__CNST_ALLOC_45 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
static obj_t __REAL_ENV__CNST_ALLOC_167 = BUNSPEC;
#if defined( __STDC__ )
static obj_t REAL_INFO_STRING_CNST_ALLOC_60(obj_t);
#else
static obj_t REAL_INFO_STRING_CNST_ALLOC_60();
#endif
static obj_t STRING_INFO_CREATE_ENV_CNST_ALLOC_205 = BUNSPEC;
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
obj_t CNST_ALLOC_REAL_ENV_CNST_ALLOC_70 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PROCEDURE_INITIALISATION_CNST_ALLOC_238(obj_t);
#else
extern obj_t __PROCEDURE_INITIALISATION_CNST_ALLOC_238();
#endif
extern obj_t PAIR_INITIALISATION_CNST_ALLOC_60();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
obj_t PROCEDURE_INITIALISATION_ENV_CNST_ALLOC_95 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t __STRING_INFO_CREATE_CNST_ALLOC_93(obj_t, obj_t);
#else
static obj_t __STRING_INFO_CREATE_CNST_ALLOC_93();
#endif
#if defined( __STDC__ )
static obj_t STRING_INFO_STRING_CNST_ALLOC_146(obj_t);
#else
static obj_t STRING_INFO_STRING_CNST_ALLOC_146();
#endif
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_PROCEDURE_CNST_ALLOC_12(obj_t, obj_t, obj_t);
#else
extern obj_t __CNST_ALLOC_PROCEDURE_CNST_ALLOC_12();
#endif
static obj_t GET_VARIABLE_NAME_CNST_ALLOC_23 = BUNSPEC;
static obj_t __SYMBOL_ENV__CNST_ALLOC_29 = BUNSPEC;
static obj_t __LIST_ENV__CNST_ALLOC_101 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SYMBOL_INFO_CREATE_CNST_ALLOC_12(obj_t);
#else
static obj_t SYMBOL_INFO_CREATE_CNST_ALLOC_12();
#endif
extern obj_t make_fx_procedure();
static obj_t __STRING_ENV__CNST_ALLOC_119 = BUNSPEC;
static obj_t STRING_INFO_STRING_ENV_CNST_ALLOC_215 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SYMBOL_INITIALISATION_CNST_ALLOC_53(obj_t);
#else
extern obj_t __SYMBOL_INITIALISATION_CNST_ALLOC_53();
#endif
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_INITIALISATION_CNST_ALLOC_87(obj_t);
#else
extern obj_t __CNST_ALLOC_INITIALISATION_CNST_ALLOC_87();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_STRING_CNST_ALLOC_225(obj_t, obj_t);
#else
extern obj_t __CNST_ALLOC_STRING_CNST_ALLOC_225();
#endif
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t INIT_CNST_ALLOC_CNST_ALLOC_96();
static obj_t PROCEDURE_2_CNST_ALLOC_254 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CNST_ALLOC_SYMBOL_CNST_ALLOC_49(obj_t);
#else
extern obj_t CNST_ALLOC_SYMBOL_CNST_ALLOC_49();
#endif
#if defined( __STDC__ )
extern obj_t CNST_ALLOC_LIST_CNST_ALLOC_130(obj_t);
#else
extern obj_t CNST_ALLOC_LIST_CNST_ALLOC_130();
#endif
obj_t CNST_ALLOC_SYMBOL_ENV_CNST_ALLOC_50 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __SYMBOL_INFO_SYMBOL_CNST_ALLOC_157(obj_t, obj_t);
#else
static obj_t __SYMBOL_INFO_SYMBOL_CNST_ALLOC_157();
#endif
extern char * real_to_string();
#if defined( __STDC__ )
extern obj_t __CNST_ALLOC_LIST_CNST_ALLOC_57(obj_t, obj_t);
#else
extern obj_t __CNST_ALLOC_LIST_CNST_ALLOC_57();
#endif
#if defined( __STDC__ )
extern obj_t __INIT_CNST_ALLOC_CNST_ALLOC_167(obj_t);
#else
extern obj_t __INIT_CNST_ALLOC_CNST_ALLOC_167();
#endif
extern obj_t SYMBOL_INITIALISATION_CNST_ALLOC_10();
#if defined( __STDC__ )
static obj_t STRING_INFO_CREATE_CNST_ALLOC_215(obj_t);
#else
static obj_t STRING_INFO_CREATE_CNST_ALLOC_215();
#endif
obj_t CNST_ALLOC_PROCEDURE_ENV_CNST_ALLOC_61 = BUNSPEC;
obj_t CNST_ALLOC_STRING_ENV_CNST_ALLOC_113 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __REAL_INFO_CREATE_CNST_ALLOC_249(obj_t, obj_t);
#else
static obj_t __REAL_INFO_CREATE_CNST_ALLOC_249();
#endif
obj_t INIT_CNST_ALLOC_ENV_CNST_ALLOC_17 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_1_0_435_114();
static obj_t LAMBDA_1_1_437_62();
static obj_t LAMBDA_1_2_439_114();
static obj_t LAMBDA_1_3_441_75();
static obj_t PROC_470_15();

obj_t
#if defined( __STDC__ )
CNST_ALLOC_INITIALISATION_CNST_ALLOC_92()
#else
CNST_ALLOC_INITIALISATION_CNST_ALLOC_92()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__CNST_ALLOC_45 ))
{
REQUIRE_INITIALISATION__CNST_ALLOC_45=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 17 ]  );
{obj_t PORT_769_121;
{obj_t AUX_790_78;
AUX_790_78=c_constant_string_to_string( "SET! #\"procedure\" PROCEDURE-INFO #\"list\" LIST-INFO REAL #\"a_real\" STATIC SYMBOL SYMBOL-ENV REAL-ENV STRING STRING-ENV SYMBOL-INFO REAL-INFO STRING-INFO #\"_\" " );PORT_769_121=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_790_78 );}{obj_t OFFSET_770_229;
{
OFFSET_770_229=BINT( 16 );
{_LOOP_771_39:

if( LT_I( OFFSET_770_229, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_791_75;
AUX_791_75=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_769_121, BEOA );CNST_TABLE_SET( OFFSET_770_229, AUX_791_75 );}
{obj_t OFFSET_792_39;
OFFSET_792_39=OFFSET_770_229;{
OFFSET_770_229=SUB_I( OFFSET_792_39, BINT( 1 ) );
goto _LOOP_771_39;
}}
}}
}}}
PROCEDURE_2_CNST_ALLOC_254=make_fx_procedure( LAMBDA_1_3_441_75, 1, 0 );
PROCEDURE_1_CNST_ALLOC_83=make_fx_procedure( LAMBDA_1_2_439_114, 1, 0 );
PROCEDURE_0_CNST_ALLOC_155=make_fx_procedure( LAMBDA_1_1_437_62, 1, 0 );
{
CNST_ALLOC_INITIALISATION_ENV_CNST_ALLOC_95=make_fx_procedure( __CNST_ALLOC_INITIALISATION_CNST_ALLOC_87, 0, 0 );
STRING_INFO_STRING_ENV_CNST_ALLOC_215=make_fx_procedure( __STRING_INFO_STRING_CNST_ALLOC_177, 1, 0 );
REAL_INFO_STRING_ENV_CNST_ALLOC_240=make_fx_procedure( __REAL_INFO_STRING_CNST_ALLOC_226, 1, 0 );
SYMBOL_INFO_SYMBOL_ENV_CNST_ALLOC_96=make_fx_procedure( __SYMBOL_INFO_SYMBOL_CNST_ALLOC_157, 1, 0 );
STRING_INFO_CREATE_ENV_CNST_ALLOC_205=make_fx_procedure( __STRING_INFO_CREATE_CNST_ALLOC_93, 1, 0 );
REAL_INFO_CREATE_ENV_CNST_ALLOC_155=make_fx_procedure( __REAL_INFO_CREATE_CNST_ALLOC_249, 1, 0 );
SYMBOL_INFO_CREATE_ENV_CNST_ALLOC_103=make_fx_procedure( __SYMBOL_INFO_CREATE_CNST_ALLOC_180, 1, 0 );
INIT_CNST_ALLOC_ENV_CNST_ALLOC_17=make_fx_procedure( __INIT_CNST_ALLOC_CNST_ALLOC_167, 0, 0 );
CNST_ALLOC_STRING_ENV_CNST_ALLOC_113=make_fx_procedure( __CNST_ALLOC_STRING_CNST_ALLOC_225, 1, 0 );
CNST_ALLOC_REAL_ENV_CNST_ALLOC_70=make_fx_procedure( __CNST_ALLOC_REAL_CNST_ALLOC_221, 1, 0 );
CNST_ALLOC_SYMBOL_ENV_CNST_ALLOC_50=make_fx_procedure( __CNST_ALLOC_SYMBOL_CNST_ALLOC_43, 1, 0 );
CNST_ALLOC_LIST_ENV_CNST_ALLOC_121=make_fx_procedure( __CNST_ALLOC_LIST_CNST_ALLOC_57, 1, 0 );
CNST_ALLOC_PROCEDURE_ENV_CNST_ALLOC_61=make_fx_procedure( __CNST_ALLOC_PROCEDURE_CNST_ALLOC_12, 2, 0 );
SYMBOL_INITIALISATION_ENV_CNST_ALLOC_65=make_fx_procedure( __SYMBOL_INITIALISATION_CNST_ALLOC_53, 0, 0 );
PAIR_INITIALISATION_ENV_CNST_ALLOC_240=make_fx_procedure( __PAIR_INITIALISATION_CNST_ALLOC_19, 0, 0 );
PROCEDURE_INITIALISATION_ENV_CNST_ALLOC_95=make_fx_procedure( __PROCEDURE_INITIALISATION_CNST_ALLOC_238, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
{obj_t KEY_434_27;
KEY_434_27=MAKE_CELL( BINT( -1 ) );{obj_t LAMBDA_1_0_ENV_757_162;
LAMBDA_1_0_ENV_757_162=make_fx_procedure( LAMBDA_1_0_435_114, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_757_162, 0, KEY_434_27 );
{obj_t A_FUNCTION_690_116;
A_FUNCTION_690_116=LAMBDA_1_0_ENV_757_162;GET_VARIABLE_NAME_CNST_ALLOC_23=A_FUNCTION_690_116;}
}}}
__STRING_ENV__CNST_ALLOC_119=BNIL;
__REAL_ENV__CNST_ALLOC_167=BNIL;
__SYMBOL_ENV__CNST_ALLOC_29=BNIL;
__LIST_ENV__CNST_ALLOC_101=BNIL;
__PROCEDURE_ENV__CNST_ALLOC_61=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_INITIALISATION_CNST_ALLOC_87(obj_t ENV_759_121)
#else
__CNST_ALLOC_INITIALISATION_CNST_ALLOC_87( ENV_759_121 )
obj_t ENV_759_121;
#endif
{

return CNST_ALLOC_INITIALISATION_CNST_ALLOC_92();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_435_114(obj_t LAMBDA_1_0_ENV_758_114,obj_t CLASS_436_149)
#else
LAMBDA_1_0_435_114( LAMBDA_1_0_ENV_758_114, CLASS_436_149 )
obj_t LAMBDA_1_0_ENV_758_114, CLASS_436_149;
#endif
{

{obj_t KEY_434_27;
KEY_434_27=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_758_114, 0 );{
{obj_t R_495_186;
R_495_186=CELL_REF( KEY_434_27 );CELL_SET( KEY_434_27, ADD_I_PTAG( PSUB_TAG( 1 ), R_495_186 ) );}
{obj_t S_498_71;
{obj_t VA_ARG_686_79;
{obj_t AUX_788_148;
{obj_t AUX_789_223;
AUX_789_223=CELL_REF( KEY_434_27 );AUX_788_148=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_789_223, BNIL );}VA_ARG_686_79=MAKE_PAIR( AUX_788_148, BNIL );}{obj_t VA_ARG_687_46;
{obj_t STRING_CAST_689_38;
STRING_CAST_689_38=CNST_TABLE_REF( 0 );VA_ARG_687_46=MAKE_PAIR( STRING_CAST_689_38, VA_ARG_686_79 );}{obj_t VA_ARG_688_60;
VA_ARG_688_60=MAKE_PAIR( CLASS_436_149, VA_ARG_687_46 );S_498_71=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_688_60 );}}}{obj_t STRING_500_59;
STRING_500_59=STRING_UPCASE___R4_STRINGS_6_7_251( S_498_71 );return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_500_59 ) );}}
}}
}

static obj_t
#if defined( __STDC__ )
STRING_INFO_STRING_CNST_ALLOC_146(obj_t S_373_19)
#else
STRING_INFO_STRING_CNST_ALLOC_146( S_373_19 )
obj_t S_373_19;
#endif
{

return STRUCT_SLOT_REF( S_373_19, BINT( 0 ) );
}

static obj_t
#if defined( __STDC__ )
__STRING_INFO_STRING_CNST_ALLOC_177(obj_t ENV_756_194,obj_t S_373_19)
#else
__STRING_INFO_STRING_CNST_ALLOC_177( ENV_756_194, S_373_19 )
obj_t ENV_756_194, S_373_19;
#endif
{

return STRING_INFO_STRING_CNST_ALLOC_146( S_373_19 );
}

static obj_t
#if defined( __STDC__ )
REAL_INFO_STRING_CNST_ALLOC_60(obj_t S_385_113)
#else
REAL_INFO_STRING_CNST_ALLOC_60( S_385_113 )
obj_t S_385_113;
#endif
{

return STRUCT_SLOT_REF( S_385_113, BINT( 1 ) );
}

static obj_t
#if defined( __STDC__ )
__REAL_INFO_STRING_CNST_ALLOC_226(obj_t ENV_755_29,obj_t S_385_113)
#else
__REAL_INFO_STRING_CNST_ALLOC_226( ENV_755_29, S_385_113 )
obj_t ENV_755_29, S_385_113;
#endif
{

return REAL_INFO_STRING_CNST_ALLOC_60( S_385_113 );
}

static obj_t
#if defined( __STDC__ )
SYMBOL_INFO_SYMBOL_CNST_ALLOC_119(obj_t S_399_107)
#else
SYMBOL_INFO_SYMBOL_CNST_ALLOC_119( S_399_107 )
obj_t S_399_107;
#endif
{

return STRUCT_SLOT_REF( S_399_107, BINT( 0 ) );
}

static obj_t
#if defined( __STDC__ )
__SYMBOL_INFO_SYMBOL_CNST_ALLOC_157(obj_t ENV_754_164,obj_t S_399_107)
#else
__SYMBOL_INFO_SYMBOL_CNST_ALLOC_157( ENV_754_164, S_399_107 )
obj_t ENV_754_164, S_399_107;
#endif
{

return SYMBOL_INFO_SYMBOL_CNST_ALLOC_119( S_399_107 );
}

static obj_t
#if defined( __STDC__ )
STRING_INFO_CREATE_CNST_ALLOC_215(obj_t STRING_424_88)
#else
STRING_INFO_CREATE_CNST_ALLOC_215( STRING_424_88 )
obj_t STRING_424_88;
#endif
{

{obj_t NEW_425_70;
{obj_t INIT_592_175;
INIT_592_175=BNIL;{obj_t INIT_593_195;
INIT_593_195=BNIL;NEW_425_70=make_struct( CNST_TABLE_REF( 1 ), BINT( 2 ), INIT_593_195 );}}{
STRUCT_SLOT_SET( NEW_425_70, BINT( 0 ), STRING_424_88 );
return NEW_425_70;
}}
}

static obj_t
#if defined( __STDC__ )
__STRING_INFO_CREATE_CNST_ALLOC_93(obj_t ENV_753_105,obj_t STRING_424_88)
#else
__STRING_INFO_CREATE_CNST_ALLOC_93( ENV_753_105, STRING_424_88 )
obj_t ENV_753_105, STRING_424_88;
#endif
{

return STRING_INFO_CREATE_CNST_ALLOC_215( STRING_424_88 );
}

static obj_t
#if defined( __STDC__ )
REAL_INFO_CREATE_CNST_ALLOC_7(obj_t STRING_426_154)
#else
REAL_INFO_CREATE_CNST_ALLOC_7( STRING_426_154 )
obj_t STRING_426_154;
#endif
{

{obj_t NEW_427_181;
{obj_t INIT_595_34;
INIT_595_34=BNIL;{obj_t INIT_596_166;
INIT_596_166=BNIL;NEW_427_181=make_struct( CNST_TABLE_REF( 2 ), BINT( 3 ), INIT_596_166 );}}{
STRUCT_SLOT_SET( NEW_427_181, BINT( 1 ), STRING_426_154 );
return NEW_427_181;
}}
}

static obj_t
#if defined( __STDC__ )
__REAL_INFO_CREATE_CNST_ALLOC_249(obj_t ENV_752_134,obj_t STRING_426_154)
#else
__REAL_INFO_CREATE_CNST_ALLOC_249( ENV_752_134, STRING_426_154 )
obj_t ENV_752_134, STRING_426_154;
#endif
{

return REAL_INFO_CREATE_CNST_ALLOC_7( STRING_426_154 );
}

static obj_t
#if defined( __STDC__ )
SYMBOL_INFO_CREATE_CNST_ALLOC_12(obj_t SYMBOL_428_31)
#else
SYMBOL_INFO_CREATE_CNST_ALLOC_12( SYMBOL_428_31 )
obj_t SYMBOL_428_31;
#endif
{

{obj_t NEW_429_144;
{obj_t INIT_598_8;
INIT_598_8=BNIL;{obj_t INIT_599_189;
INIT_599_189=BNIL;NEW_429_144=make_struct( CNST_TABLE_REF( 3 ), BINT( 2 ), INIT_599_189 );}}{
STRUCT_SLOT_SET( NEW_429_144, BINT( 0 ), SYMBOL_428_31 );
return NEW_429_144;
}}
}

static obj_t
#if defined( __STDC__ )
__SYMBOL_INFO_CREATE_CNST_ALLOC_180(obj_t ENV_751_143,obj_t SYMBOL_428_31)
#else
__SYMBOL_INFO_CREATE_CNST_ALLOC_180( ENV_751_143, SYMBOL_428_31 )
obj_t ENV_751_143, SYMBOL_428_31;
#endif
{

return SYMBOL_INFO_CREATE_CNST_ALLOC_12( SYMBOL_428_31 );
}

obj_t
#if defined( __STDC__ )
INIT_CNST_ALLOC_CNST_ALLOC_96()
#else
INIT_CNST_ALLOC_CNST_ALLOC_96()
#endif
{

{
{obj_t A_FUNCTION_706_131;
A_FUNCTION_706_131=STRING_INFO_CREATE_ENV_CNST_ALLOC_205;{obj_t A_FUNCTION_707_152;
A_FUNCTION_707_152=STRING_INFO_STRING_ENV_CNST_ALLOC_215;{obj_t LAMBDA_1_1_ENV_748_160;
LAMBDA_1_1_ENV_748_160=PROCEDURE_0_CNST_ALLOC_155;{obj_t A_FUNCTION_708_10;
A_FUNCTION_708_10=LAMBDA_1_1_ENV_748_160;__STRING_ENV__CNST_ALLOC_119=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 4 ), CNST_TABLE_REF( 5 ), A_FUNCTION_706_131, A_FUNCTION_707_152, A_FUNCTION_708_10 );}}}}
{obj_t A_FUNCTION_709_219;
A_FUNCTION_709_219=REAL_INFO_CREATE_ENV_CNST_ALLOC_155;{obj_t A_FUNCTION_710_142;
A_FUNCTION_710_142=REAL_INFO_STRING_ENV_CNST_ALLOC_240;{obj_t LAMBDA_1_2_ENV_746_93;
LAMBDA_1_2_ENV_746_93=PROCEDURE_1_CNST_ALLOC_83;{obj_t A_FUNCTION_711_230;
A_FUNCTION_711_230=LAMBDA_1_2_ENV_746_93;__REAL_ENV__CNST_ALLOC_167=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 6 ), CNST_TABLE_REF( 5 ), A_FUNCTION_709_219, A_FUNCTION_710_142, A_FUNCTION_711_230 );}}}}
{obj_t A_FUNCTION_712_227;
A_FUNCTION_712_227=SYMBOL_INFO_CREATE_ENV_CNST_ALLOC_103;{obj_t A_FUNCTION_713_96;
A_FUNCTION_713_96=SYMBOL_INFO_SYMBOL_ENV_CNST_ALLOC_96;{obj_t LAMBDA_1_3_ENV_744_4;
LAMBDA_1_3_ENV_744_4=PROCEDURE_2_CNST_ALLOC_254;{obj_t A_FUNCTION_714_179;
A_FUNCTION_714_179=LAMBDA_1_3_ENV_744_4;__SYMBOL_ENV__CNST_ALLOC_29=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), A_FUNCTION_712_227, A_FUNCTION_713_96, A_FUNCTION_714_179 );}}}}
}
}

obj_t
#if defined( __STDC__ )
__INIT_CNST_ALLOC_CNST_ALLOC_167(obj_t ENV_750_55)
#else
__INIT_CNST_ALLOC_CNST_ALLOC_167( ENV_750_55 )
obj_t ENV_750_55;
#endif
{

return INIT_CNST_ALLOC_CNST_ALLOC_96();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_437_62(obj_t LAMBDA_1_1_ENV_749_215,obj_t L_438_16)
#else
LAMBDA_1_1_437_62( LAMBDA_1_1_ENV_749_215, L_438_16 )
obj_t LAMBDA_1_1_ENV_749_215, L_438_16;
#endif
{

return L_438_16;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_2_439_114(obj_t LAMBDA_1_2_ENV_747_159,obj_t L_440_204)
#else
LAMBDA_1_2_439_114( LAMBDA_1_2_ENV_747_159, L_440_204 )
obj_t LAMBDA_1_2_ENV_747_159, L_440_204;
#endif
{

return L_440_204;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_3_441_75(obj_t LAMBDA_1_3_ENV_745_33,obj_t L_442_43)
#else
LAMBDA_1_3_441_75( LAMBDA_1_3_ENV_745_33, L_442_43 )
obj_t LAMBDA_1_3_ENV_745_33, L_442_43;
#endif
{

return L_442_43;
}

obj_t
#if defined( __STDC__ )
CNST_ALLOC_STRING_CNST_ALLOC_219(obj_t STRING_443_240)
#else
CNST_ALLOC_STRING_CNST_ALLOC_219( STRING_443_240 )
obj_t STRING_443_240;
#endif
{

{obj_t OLD_444_81;
{bool_t __andtest_1000_760_183;
__andtest_1000_760_183=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1000_760_183)
OLD_444_81=FIND_OBJECT_TOOLS_HASH_106( STRING_443_240, __STRING_ENV__CNST_ALLOC_119, CNST_TABLE_REF( 4 ) );else
OLD_444_81=BFALSE;}if( BBOOL_TO_CBOOL( OLD_444_81 ))
return STRUCT_SLOT_REF( OLD_444_81, BINT( 1 ) );else
{obj_t NEW_445_159;
NEW_445_159=BIND_OBJECT__TOOLS_HASH_11( STRING_443_240, __STRING_ENV__CNST_ALLOC_119, CNST_TABLE_REF( 4 ) );{obj_t VAR_446_13;
{obj_t AUX_786_48;
{obj_t AUX_787_115;
AUX_787_115=SHAPE_STRING_CNST_ALLOC_79( STRING_443_240 );AUX_786_48=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_ALLOC_23 )( GET_VARIABLE_NAME_CNST_ALLOC_23, AUX_787_115, BEOA );}VAR_446_13=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_786_48, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 9 ) );}{
STRUCT_SLOT_SET( VAR_446_13, BINT( 4 ), CNST_TABLE_REF( 5 ) );
STRUCT_SLOT_SET( VAR_446_13, BINT( 6 ), STRING_443_240 );
STRUCT_SLOT_SET( NEW_445_159, BINT( 1 ), VAR_446_13 );
return VAR_446_13;
}}}}
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_STRING_CNST_ALLOC_225(obj_t ENV_743_200,obj_t STRING_443_240)
#else
__CNST_ALLOC_STRING_CNST_ALLOC_225( ENV_743_200, STRING_443_240 )
obj_t ENV_743_200, STRING_443_240;
#endif
{

return CNST_ALLOC_STRING_CNST_ALLOC_219( STRING_443_240 );
}

obj_t
#if defined( __STDC__ )
CNST_ALLOC_REAL_CNST_ALLOC_107(obj_t REAL_448_170)
#else
CNST_ALLOC_REAL_CNST_ALLOC_107( REAL_448_170 )
obj_t REAL_448_170;
#endif
{

{obj_t STRING_449_3;
{char * AUX_784_15;
AUX_784_15=real_to_string( REAL_TO_DOUBLE( REAL_448_170 ) );STRING_449_3=CSTRING_TO_BSTRING( AUX_784_15 );}{obj_t OLD_450_15;
{bool_t __andtest_1001_762_144;
__andtest_1001_762_144=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1001_762_144)
OLD_450_15=FIND_OBJECT_TOOLS_HASH_106( STRING_449_3, __REAL_ENV__CNST_ALLOC_167, CNST_TABLE_REF( 6 ) );else
OLD_450_15=BFALSE;}if( BBOOL_TO_CBOOL( OLD_450_15 ))
return STRUCT_SLOT_REF( OLD_450_15, BINT( 2 ) );else
{obj_t NEW_451_155;
NEW_451_155=BIND_OBJECT__TOOLS_HASH_11( STRING_449_3, __REAL_ENV__CNST_ALLOC_167, CNST_TABLE_REF( 6 ) );{obj_t VAR_452_218;
{obj_t STRING_CAST_716_126;
STRING_CAST_716_126=CNST_TABLE_REF( 10 );{obj_t AUX_785_2;
AUX_785_2=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_ALLOC_23 )( GET_VARIABLE_NAME_CNST_ALLOC_23, STRING_CAST_716_126, BEOA );VAR_452_218=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_785_2, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 9 ) );}}{
STRUCT_SLOT_SET( VAR_452_218, BINT( 4 ), CNST_TABLE_REF( 11 ) );
STRUCT_SLOT_SET( VAR_452_218, BINT( 6 ), REAL_448_170 );
STRUCT_SLOT_SET( NEW_451_155, BINT( 0 ), REAL_448_170 );
STRUCT_SLOT_SET( NEW_451_155, BINT( 2 ), VAR_452_218 );
return VAR_452_218;
}}}}}
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_REAL_CNST_ALLOC_221(obj_t ENV_742_163,obj_t REAL_448_170)
#else
__CNST_ALLOC_REAL_CNST_ALLOC_221( ENV_742_163, REAL_448_170 )
obj_t ENV_742_163, REAL_448_170;
#endif
{

return CNST_ALLOC_REAL_CNST_ALLOC_107( REAL_448_170 );
}

obj_t
#if defined( __STDC__ )
CNST_ALLOC_SYMBOL_CNST_ALLOC_49(obj_t SYMBOL_454_225)
#else
CNST_ALLOC_SYMBOL_CNST_ALLOC_49( SYMBOL_454_225 )
obj_t SYMBOL_454_225;
#endif
{

{obj_t OLD_455_28;
OLD_455_28=FIND_OBJECT_TOOLS_HASH_106( SYMBOL_454_225, __SYMBOL_ENV__CNST_ALLOC_29, CNST_TABLE_REF( 7 ) );if( BBOOL_TO_CBOOL( OLD_455_28 ))
return STRUCT_SLOT_REF( OLD_455_28, BINT( 1 ) );else
{obj_t NEW_456_89;
NEW_456_89=BIND_OBJECT__TOOLS_HASH_11( SYMBOL_454_225, __SYMBOL_ENV__CNST_ALLOC_29, CNST_TABLE_REF( 7 ) );{obj_t VAR_457_82;
{obj_t AUX_781_28;
{obj_t AUX_782_67;
{obj_t AUX_783_186;
AUX_783_186=SYMBOL_TO_STRING( SYMBOL_454_225 );AUX_782_67=SHAPE_STRING_CNST_ALLOC_79( AUX_783_186 );}AUX_781_28=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_ALLOC_23 )( GET_VARIABLE_NAME_CNST_ALLOC_23, AUX_782_67, BEOA );}VAR_457_82=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_781_28, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 9 ) );}{
STRUCT_SLOT_SET( NEW_456_89, BINT( 1 ), VAR_457_82 );
return VAR_457_82;
}}}}
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_SYMBOL_CNST_ALLOC_43(obj_t ENV_741_235,obj_t SYMBOL_454_225)
#else
__CNST_ALLOC_SYMBOL_CNST_ALLOC_43( ENV_741_235, SYMBOL_454_225 )
obj_t ENV_741_235, SYMBOL_454_225;
#endif
{

return CNST_ALLOC_SYMBOL_CNST_ALLOC_49( SYMBOL_454_225 );
}

obj_t
#if defined( __STDC__ )
CNST_ALLOC_LIST_CNST_ALLOC_130(obj_t LIST_458_50)
#else
CNST_ALLOC_LIST_CNST_ALLOC_130( LIST_458_50 )
obj_t LIST_458_50;
#endif
{

{obj_t OLD_459_190;
{bool_t __andtest_1002_765_115;
__andtest_1002_765_115=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1002_765_115)
{obj_t ENV_464_151;
{
ENV_464_151=__LIST_ENV__CNST_ALLOC_101;
{_LOOP_463_91:

if( NULLP( ENV_464_151 ))
OLD_459_190=BFALSE;else
{obj_t S_612_152;
S_612_152=CAR( ENV_464_151 );{obj_t C_STRUCT_REF_613_84;
C_STRUCT_REF_613_84=STRUCT_SLOT_REF( S_612_152, BINT( 0 ) );{obj_t AUX_779_33;
AUX_779_33=EQUAL____R4_EQUIVALENCE_6_2_234( C_STRUCT_REF_613_84, LIST_458_50 );if( BBOOL_TO_CBOOL( AUX_779_33 ))
OLD_459_190=S_612_152;else
{obj_t C_CDR_615_23;
C_CDR_615_23=CDR( ENV_464_151 );{
ENV_464_151=C_CDR_615_23;
goto _LOOP_463_91;
}}}}}}
}}else
OLD_459_190=BFALSE;}if( BBOOL_TO_CBOOL( OLD_459_190 ))
return STRUCT_SLOT_REF( OLD_459_190, BINT( 1 ) );else
{obj_t NEW_460_254;
{obj_t NEW_617_51;
{obj_t INIT_618_255;
INIT_618_255=BNIL;{obj_t INIT_619_240;
INIT_619_240=BNIL;NEW_617_51=make_struct( CNST_TABLE_REF( 12 ), BINT( 2 ), INIT_619_240 );}}{
STRUCT_SLOT_SET( NEW_617_51, BINT( 0 ), LIST_458_50 );
NEW_460_254=NEW_617_51;
}}{obj_t VAR_461_233;
{obj_t STRING_CAST_718_74;
STRING_CAST_718_74=CNST_TABLE_REF( 13 );{obj_t AUX_780_210;
AUX_780_210=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_ALLOC_23 )( GET_VARIABLE_NAME_CNST_ALLOC_23, STRING_CAST_718_74, BEOA );VAR_461_233=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_780_210, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 9 ) );}}{
STRUCT_SLOT_SET( NEW_460_254, BINT( 1 ), VAR_461_233 );
{obj_t OBJ2_623_14;
OBJ2_623_14=__LIST_ENV__CNST_ALLOC_101;__LIST_ENV__CNST_ALLOC_101=MAKE_PAIR( NEW_460_254, OBJ2_623_14 );}
return VAR_461_233;
}}}}
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_LIST_CNST_ALLOC_57(obj_t ENV_740_222,obj_t LIST_458_50)
#else
__CNST_ALLOC_LIST_CNST_ALLOC_57( ENV_740_222, LIST_458_50 )
obj_t ENV_740_222, LIST_458_50;
#endif
{

return CNST_ALLOC_LIST_CNST_ALLOC_130( LIST_458_50 );
}

obj_t
#if defined( __STDC__ )
CNST_ALLOC_PROCEDURE_CNST_ALLOC_34(obj_t PROCEDURE_465_224,obj_t LINK__466_1)
#else
CNST_ALLOC_PROCEDURE_CNST_ALLOC_34( PROCEDURE_465_224, LINK__466_1 )
obj_t PROCEDURE_465_224, LINK__466_1;
#endif
{

if( BBOOL_TO_CBOOL( LINK__466_1 ))
return PROCEDURE_465_224;else
{obj_t NEW_467_156;
{obj_t NEW_624_191;
{obj_t INIT_625_39;
INIT_625_39=BNIL;{obj_t INIT_626_184;
INIT_626_184=BNIL;NEW_624_191=make_struct( CNST_TABLE_REF( 14 ), BINT( 2 ), INIT_626_184 );}}{
STRUCT_SLOT_SET( NEW_624_191, BINT( 0 ), PROCEDURE_465_224 );
NEW_467_156=NEW_624_191;
}}{obj_t VAR_468_97;
{obj_t STRING_CAST_720_174;
STRING_CAST_720_174=CNST_TABLE_REF( 15 );{obj_t AUX_778_4;
AUX_778_4=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_ALLOC_23 )( GET_VARIABLE_NAME_CNST_ALLOC_23, STRING_CAST_720_174, BEOA );VAR_468_97=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_778_4, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 9 ) );}}{
STRUCT_SLOT_SET( NEW_467_156, BINT( 1 ), VAR_468_97 );
{obj_t OBJ2_628_125;
OBJ2_628_125=__PROCEDURE_ENV__CNST_ALLOC_61;__PROCEDURE_ENV__CNST_ALLOC_61=MAKE_PAIR( NEW_467_156, OBJ2_628_125 );}
return VAR_468_97;
}}}
}

obj_t
#if defined( __STDC__ )
__CNST_ALLOC_PROCEDURE_CNST_ALLOC_12(obj_t ENV_739_13,obj_t PROCEDURE_465_224,obj_t LINK__466_1)
#else
__CNST_ALLOC_PROCEDURE_CNST_ALLOC_12( ENV_739_13, PROCEDURE_465_224, LINK__466_1 )
obj_t ENV_739_13, PROCEDURE_465_224, LINK__466_1;
#endif
{

return CNST_ALLOC_PROCEDURE_CNST_ALLOC_34( PROCEDURE_465_224, LINK__466_1 );
}

obj_t
#if defined( __STDC__ )
SYMBOL_INITIALISATION_CNST_ALLOC_10()
#else
SYMBOL_INITIALISATION_CNST_ALLOC_10()
#endif
{

{obj_t RES_469_85;
RES_469_85=MAKE_CELL( BNIL );{obj_t PROC_ENV_736_249;
PROC_ENV_736_249=make_fx_procedure( PROC_470_15, 1, 1 );{
PROCEDURE_ENV_SET( PROC_ENV_736_249, 0, RES_469_85 );
{
{obj_t A_FUNCTION_724_20;
A_FUNCTION_724_20=PROC_ENV_736_249;WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_724_20, __SYMBOL_ENV__CNST_ALLOC_29, CNST_TABLE_REF( 7 ) );}
return CELL_REF( RES_469_85 );
}
}}}
}

obj_t
#if defined( __STDC__ )
__SYMBOL_INITIALISATION_CNST_ALLOC_53(obj_t ENV_738_32)
#else
__SYMBOL_INITIALISATION_CNST_ALLOC_53( ENV_738_32 )
obj_t ENV_738_32;
#endif
{

return SYMBOL_INITIALISATION_CNST_ALLOC_10();
}

static obj_t
#if defined( __STDC__ )
PROC_470_15(obj_t PROC_ENV_737_236,obj_t BUCKET_472_176)
#else
PROC_470_15( PROC_ENV_737_236, BUCKET_472_176 )
obj_t PROC_ENV_737_236, BUCKET_472_176;
#endif
{

{obj_t RES_469_85;
RES_469_85=PROCEDURE_ENV_REF( PROC_ENV_737_236, 0 );{obj_t BUCKET_474_128, AUX_475_126;
{
AUX_475_126=BNIL;
BUCKET_474_128=BUCKET_472_176;
{_LOOP_473_67:

if( NULLP( BUCKET_474_128 ))
{obj_t AUX_774_166;
{obj_t AUX_775_80;
AUX_775_80=CELL_REF( RES_469_85 );AUX_774_166=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_475_126, AUX_775_80 );}return CELL_SET( RES_469_85, AUX_774_166 );}else
{obj_t C_CDR_629_53;
C_CDR_629_53=CDR( BUCKET_474_128 );{obj_t OBJ1_630_119;
{obj_t VA_ARG_721_95;
VA_ARG_721_95=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_722_206;
{obj_t SYMBOL_634_82;
{obj_t S_635_93;
S_635_93=CAR( BUCKET_474_128 );SYMBOL_634_82=STRUCT_SLOT_REF( S_635_93, BINT( 0 ) );}{obj_t AUX_776_50;
{obj_t AUX_777_34;
AUX_777_34=SYMBOL_TO_STRING( SYMBOL_634_82 );AUX_776_50=ABSTRACT_CSYMBOL__BSYMBOL_HEAP_ABSTRACT_129( AUX_777_34 );}VA_ARG_722_206=MAKE_PAIR( AUX_776_50, VA_ARG_721_95 );}}{obj_t VA_ARG_723_35;
{obj_t S_632_61;
S_632_61=CAR( BUCKET_474_128 );{obj_t C_STRUCT_REF_633_246;
C_STRUCT_REF_633_246=STRUCT_SLOT_REF( S_632_61, BINT( 1 ) );VA_ARG_723_35=MAKE_PAIR( C_STRUCT_REF_633_246, VA_ARG_722_206 );}}OBJ1_630_119=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_723_35 );}}}{obj_t C_CONS_631_6;
C_CONS_631_6=MAKE_PAIR( OBJ1_630_119, AUX_475_126 );{
AUX_475_126=C_CONS_631_6;
BUCKET_474_128=C_CDR_629_53;
goto _LOOP_473_67;
}}}}}
}}}
}

obj_t
#if defined( __STDC__ )
PAIR_INITIALISATION_CNST_ALLOC_60()
#else
PAIR_INITIALISATION_CNST_ALLOC_60()
#endif
{

{obj_t ENV_477_53, RES_478_130;
{
RES_478_130=BNIL;
ENV_477_53=__LIST_ENV__CNST_ALLOC_101;
{_LOOP_476_115:

if( NULLP( ENV_477_53 ))
return RES_478_130;else
{obj_t LI_479_71;
LI_479_71=CAR( ENV_477_53 );{obj_t C_CDR_637_149;
C_CDR_637_149=CDR( ENV_477_53 );{obj_t OBJ1_638_51;
{obj_t VA_ARG_725_54;
VA_ARG_725_54=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_726_192;
{obj_t C_STRUCT_REF_641_123;
C_STRUCT_REF_641_123=STRUCT_SLOT_REF( LI_479_71, BINT( 0 ) );VA_ARG_726_192=MAKE_PAIR( C_STRUCT_REF_641_123, VA_ARG_725_54 );}{obj_t VA_ARG_727_252;
{obj_t C_STRUCT_REF_640_229;
C_STRUCT_REF_640_229=STRUCT_SLOT_REF( LI_479_71, BINT( 1 ) );VA_ARG_727_252=MAKE_PAIR( C_STRUCT_REF_640_229, VA_ARG_726_192 );}OBJ1_638_51=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_727_252 );}}}{obj_t C_CONS_639_251;
C_CONS_639_251=MAKE_PAIR( OBJ1_638_51, RES_478_130 );{
RES_478_130=C_CONS_639_251;
ENV_477_53=C_CDR_637_149;
goto _LOOP_476_115;
}}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__PAIR_INITIALISATION_CNST_ALLOC_19(obj_t ENV_735_224)
#else
__PAIR_INITIALISATION_CNST_ALLOC_19( ENV_735_224 )
obj_t ENV_735_224;
#endif
{

return PAIR_INITIALISATION_CNST_ALLOC_60();
}

obj_t
#if defined( __STDC__ )
PROCEDURE_INITIALISATION_CNST_ALLOC_92()
#else
PROCEDURE_INITIALISATION_CNST_ALLOC_92()
#endif
{

{obj_t g1003_480_205;
g1003_480_205=__PROCEDURE_ENV__CNST_ALLOC_61;if( NULLP( g1003_480_205 ))
return BNIL;else
{obj_t HEAD_481_227;
{obj_t OBJ2_643_108;
OBJ2_643_108=BNIL;{obj_t OBJ1_642_134;
{obj_t PI_487_50;
PI_487_50=CAR( g1003_480_205 );{obj_t VA_ARG_728_237;
VA_ARG_728_237=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_729_253;
{obj_t C_STRUCT_REF_645_120;
C_STRUCT_REF_645_120=STRUCT_SLOT_REF( PI_487_50, BINT( 0 ) );VA_ARG_729_253=MAKE_PAIR( C_STRUCT_REF_645_120, VA_ARG_728_237 );}{obj_t VA_ARG_730_64;
{obj_t C_STRUCT_REF_644_209;
C_STRUCT_REF_644_209=STRUCT_SLOT_REF( PI_487_50, BINT( 1 ) );VA_ARG_730_64=MAKE_PAIR( C_STRUCT_REF_644_209, VA_ARG_729_253 );}OBJ1_642_134=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_730_64 );}}}}HEAD_481_227=MAKE_PAIR( OBJ1_642_134, OBJ2_643_108 );}}{obj_t g1003_483_109, TAIL_484_121;
{obj_t C_CDR_653_209;
C_CDR_653_209=CDR( g1003_480_205 );{
TAIL_484_121=HEAD_481_227;
g1003_483_109=C_CDR_653_209;
{_g1004_482_5:

if( NULLP( g1003_483_109 ))
return HEAD_481_227;else
{obj_t NEW_TAIL_485_133;
{obj_t OBJ2_647_74;
OBJ2_647_74=BNIL;{obj_t OBJ1_646_194;
{obj_t PI_486_34;
PI_486_34=CAR( g1003_483_109 );{obj_t VA_ARG_731_121;
VA_ARG_731_121=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_732_72;
{obj_t C_STRUCT_REF_649_222;
C_STRUCT_REF_649_222=STRUCT_SLOT_REF( PI_486_34, BINT( 0 ) );VA_ARG_732_72=MAKE_PAIR( C_STRUCT_REF_649_222, VA_ARG_731_121 );}{obj_t VA_ARG_733_77;
{obj_t C_STRUCT_REF_648_235;
C_STRUCT_REF_648_235=STRUCT_SLOT_REF( PI_486_34, BINT( 1 ) );VA_ARG_733_77=MAKE_PAIR( C_STRUCT_REF_648_235, VA_ARG_732_72 );}OBJ1_646_194=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_733_77 );}}}}NEW_TAIL_485_133=MAKE_PAIR( OBJ1_646_194, OBJ2_647_74 );}}{
SET_CDR( TAIL_484_121, NEW_TAIL_485_133 );
{obj_t C_CDR_652_120;
C_CDR_652_120=CDR( g1003_483_109 );{
TAIL_484_121=NEW_TAIL_485_133;
g1003_483_109=C_CDR_652_120;
goto _g1004_482_5;
}}
}}}
}}}}}
}

obj_t
#if defined( __STDC__ )
__PROCEDURE_INITIALISATION_CNST_ALLOC_238(obj_t ENV_734_212)
#else
__PROCEDURE_INITIALISATION_CNST_ALLOC_238( ENV_734_212 )
obj_t ENV_734_212;
#endif
{

return PROCEDURE_INITIALISATION_CNST_ALLOC_92();
}

static obj_t
#if defined( __STDC__ )
SHAPE_STRING_CNST_ALLOC_79(obj_t STRING_488_7)
#else
SHAPE_STRING_CNST_ALLOC_79( STRING_488_7 )
obj_t STRING_488_7;
#endif
{

{obj_t RES_490_105;
obj_t LEN_489_74;
{obj_t CHAR_657_153;
CHAR_657_153=BNIL;RES_490_105=make_string( BINT( 8 ), BCHAR( ' ' ) );}LEN_489_74=STRING_LENGTH( STRING_488_7 );{obj_t I_492_195;
{
I_492_195=BINT( 0 );
{_LOOP_491_56:

if( EQ_I( I_492_195, LEN_489_74 ))
return c_substring( RES_490_105, BINT( 0 ), LEN_489_74 );else
if( EQ_I( I_492_195, BINT( 8 ) ))
return RES_490_105;else
{obj_t CHAR_668_99;
CHAR_668_99=BCHAR( STRING_REF( STRING_488_7, CINT( I_492_195 ) ) );{obj_t C_669_53;
C_669_53=CHAR_UPCASE( CHAR_668_99 );{bool_t __ANDTEST_1005_768_146;
__ANDTEST_1005_768_146=CHAR_GE( C_669_53, BCHAR( 'A' ) );{if( __ANDTEST_1005_768_146)
if( CHAR_LE( C_669_53, BCHAR( 'Z' ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{
STRING_SET( RES_490_105, CINT( I_492_195 ), CCHAR( CHAR_668_99 ) );
{obj_t I_773_149;
I_773_149=I_492_195;{
I_492_195=ADD_I_PTAG( I_773_149, PSUB_TAG( 1 ) );
goto _LOOP_491_56;
}}
}_false_1:
{
STRING_SET( RES_490_105, CINT( I_492_195 ), '_' );
{obj_t I_772_31;
I_772_31=I_492_195;{
I_492_195=ADD_I_PTAG( I_772_31, PSUB_TAG( 1 ) );
goto _LOOP_491_56;
}}
};
}}}}}
}}}
}

