/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Cnst/read-alloc.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_CNST_READ_ALLOC_248 = BUNSPEC;
obj_t READ_CNST_ALLOC_PROCEDURE_ENV_CNST_READ_ALLOC_10 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_172(obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_172();
#endif
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_170();
extern obj_t BIND_OBJECT__TOOLS_HASH_11();
obj_t INIT_CNST_READ_ALLOC_ENV_CNST_READ_ALLOC_137 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CNST_INITIALISATION_CNST_READ_ALLOC_29(obj_t);
#else
extern obj_t __READ_CNST_INITIALISATION_CNST_READ_ALLOC_29();
#endif
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_67(obj_t);
#else
extern obj_t READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_67();
#endif
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
obj_t READ_CNST_ALLOC_LIST_ENV_CNST_READ_ALLOC_147 = BUNSPEC;
extern obj_t make_struct();
obj_t CNST_READ_ALLOC_INITIALISATION_ENV_CNST_READ_ALLOC_51 = BUNSPEC;
static obj_t __VECTOR_ENV__CNST_READ_ALLOC_252 = BUNSPEC;
static obj_t __CNST_OFFSET__CNST_READ_ALLOC_87 = BUNSPEC;
static obj_t __GLOBAL_ENV__CNST_READ_ALLOC_211 = BUNSPEC;
extern obj_t __SHARED_DATA__ENGINE_PARAM_73;
extern obj_t REMEMBER_MODULE__CNST_MODULE_48();
static obj_t __PROCEDURE_ENV__CNST_READ_ALLOC_58 = BUNSPEC;
extern obj_t WRITE_CHAR___R4_OUTPUT_6_10_3_116();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
#if defined( __STDC__ )
static obj_t __CNST_INFO_CNST_CNST_READ_ALLOC_112(obj_t, obj_t);
#else
static obj_t __CNST_INFO_CNST_CNST_READ_ALLOC_112();
#endif
extern obj_t WRITE___R4_OUTPUT_6_10_3_23();
extern obj_t DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251();
extern obj_t MAKE_HASHTABLE_TOOLS_HASH_49();
extern obj_t FIND_OBJECT_TOOLS_HASH_106();
extern obj_t ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
extern obj_t READ_CNST_INITIALISATION_CNST_READ_ALLOC_112();
extern obj_t READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_186();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
#if defined( __STDC__ )
extern obj_t __CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_72(obj_t);
#else
extern obj_t __CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_72();
#endif
extern obj_t CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_25();
extern obj_t close_output_port();
static obj_t __cnst[ 35 ] ;
static obj_t CNST_INFO_CREATE_ENV_CNST_READ_ALLOC_90 = BUNSPEC;
extern obj_t ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();
extern obj_t __MODULE_NAME__ENGINE_PARAM_191;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97();
extern obj_t READ___READER_198;
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157();
static obj_t PROCEDURE_0_CNST_READ_ALLOC_84 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__CNST_READ_ALLOC_98 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
static obj_t __REAL_ENV__CNST_READ_ALLOC_121 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_47(obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_47();
#endif
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_10(obj_t);
#else
extern obj_t READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_10();
#endif
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_60(obj_t);
#else
extern obj_t READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_60();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
obj_t READ_PROCEDURE_INITIALISATION_ENV_CNST_READ_ALLOC_232 = BUNSPEC;
extern obj_t TOOLS_STRINGS_INITIALISATION_TOOLS_STRINGS_226();
extern obj_t ABSTRACT_EOA_HEAP_ABSTRACT_102();
#if defined( __STDC__ )
static obj_t CNST_INFO_CREATE_CNST_READ_ALLOC_81(obj_t);
#else
static obj_t CNST_INFO_CREATE_CNST_READ_ALLOC_81();
#endif
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_161(obj_t, obj_t);
#else
extern obj_t READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_161();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
obj_t READ_CNST_ALLOC_SYMBOL_ENV_CNST_READ_ALLOC_101 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_116(obj_t);
#else
extern obj_t READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_116();
#endif
#if defined( __STDC__ )
static obj_t CNST_INFO_CNST_CNST_READ_ALLOC_16(obj_t);
#else
static obj_t CNST_INFO_CNST_CNST_READ_ALLOC_16();
#endif
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_111(obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_111();
#endif
#if defined( __STDC__ )
extern obj_t __READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_70(obj_t);
#else
extern obj_t __READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_70();
#endif
#if defined( __STDC__ )
static obj_t __CNST_INFO_CREATE_CNST_READ_ALLOC_4(obj_t, obj_t);
#else
static obj_t __CNST_INFO_CREATE_CNST_READ_ALLOC_4();
#endif
static obj_t GET_VARIABLE_NAME_CNST_READ_ALLOC_57 = BUNSPEC;
static obj_t __SYMBOL_ENV__CNST_READ_ALLOC_3 = BUNSPEC;
static obj_t __LIST_ENV__CNST_READ_ALLOC_236 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_12(obj_t);
#else
extern obj_t __INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_12();
#endif
obj_t READ_CNST_ALLOC_VECTOR_ENV_CNST_READ_ALLOC_214 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_143(obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_143();
#endif
static obj_t __STRING_ENV__CNST_READ_ALLOC_76 = BUNSPEC;
static obj_t CNST_INFO_CNST_ENV_CNST_READ_ALLOC_179 = BUNSPEC;
obj_t READ_CNST_INITIALISATION_ENV_CNST_READ_ALLOC_158 = BUNSPEC;
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t open_output_string();
#if defined( __STDC__ )
extern obj_t READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_227(obj_t);
#else
extern obj_t READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_227();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t CNST_MODULE_INITIALISATION_CNST_MODULE_96();
static obj_t MAKE_CNST_STRING_CNST_READ_ALLOC_101();
#if defined( __STDC__ )
static obj_t WRITE_CNST_CNST_READ_ALLOC_95(obj_t, obj_t);
#else
static obj_t WRITE_CNST_CNST_READ_ALLOC_95();
#endif
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
obj_t READ_CNST_ALLOC_STRING_ENV_CNST_READ_ALLOC_169 = BUNSPEC;
static obj_t PROCEDURE_2_CNST_READ_ALLOC_115 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_7(obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_7();
#endif
#if defined( __STDC__ )
extern obj_t __READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_83(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_83();
#endif
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
extern obj_t WRITE_C_STRING_TOOLS_STRINGS_0();
static obj_t __CNST_TABLE__CNST_READ_ALLOC_100 = BUNSPEC;
extern char * real_to_string();
obj_t READ_CNST_ALLOC_REAL_ENV_CNST_READ_ALLOC_7 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_1_3_398_123();
static obj_t LAMBDA_1_0_391_92();
static obj_t LAMBDA_1_1_393_249();
static obj_t LAMBDA_1_2_395_54();

obj_t
#if defined( __STDC__ )
CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_25()
#else
CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_25()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__CNST_READ_ALLOC_98 ))
{
REQUIRE_INITIALISATION__CNST_READ_ALLOC_98=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
TOOLS_STRINGS_INITIALISATION_TOOLS_STRINGS_226();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
CNST_MODULE_INITIALISATION_CNST_MODULE_96();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 35 ]  );
{obj_t PORT_803_194;
{obj_t AUX_836_98;
AUX_836_98=c_constant_string_to_string( "#\". \" #\"Can't open output string port\" #\"make-cnst-string\" DECLARE-CNST-TABLE LET OPEN-INPUT-STRING C-CONSTANT-STRING-TO-STRING LABELS #\"__cnst[ \" #\" ] \" CIF C-LT.I BEGIN CNST-TABLE-SET! FUNCALL READ C-SUB.I C-CINT->BINT (LOOP ) OFFSET PORT SET! STATIC #\"procedure\" PROCEDURE-INFO CNST-TABLE-REF SYMBOL SYMBOL-ENV REAL-ENV STRING STRING-ENV SPECIAL #\"__CNSTS_TABLE\" CNST-INFO #\"_\" " );PORT_803_194=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_836_98 );}{obj_t OFFSET_804_149;
{
OFFSET_804_149=BINT( 34 );
{_LOOP_805_252:

if( LT_I( OFFSET_804_149, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_837_21;
AUX_837_21=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_803_194, BEOA );CNST_TABLE_SET( OFFSET_804_149, AUX_837_21 );}
{obj_t OFFSET_838_137;
OFFSET_838_137=OFFSET_804_149;{
OFFSET_804_149=SUB_I( OFFSET_838_137, BINT( 1 ) );
goto _LOOP_805_252;
}}
}}
}}}
PROCEDURE_2_CNST_READ_ALLOC_115=make_fx_procedure( LAMBDA_1_2_395_54, 1, 0 );
PROCEDURE_1_CNST_READ_ALLOC_248=make_fx_procedure( LAMBDA_1_1_393_249, 1, 0 );
PROCEDURE_0_CNST_READ_ALLOC_84=make_fx_procedure( LAMBDA_1_0_391_92, 1, 0 );
{
CNST_READ_ALLOC_INITIALISATION_ENV_CNST_READ_ALLOC_51=make_fx_procedure( __CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_72, 0, 0 );
CNST_INFO_CNST_ENV_CNST_READ_ALLOC_179=make_fx_procedure( __CNST_INFO_CNST_CNST_READ_ALLOC_112, 1, 0 );
CNST_INFO_CREATE_ENV_CNST_READ_ALLOC_90=make_fx_procedure( __CNST_INFO_CREATE_CNST_READ_ALLOC_4, 1, 0 );
INIT_CNST_READ_ALLOC_ENV_CNST_READ_ALLOC_137=make_fx_procedure( __INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_12, 0, 0 );
READ_CNST_ALLOC_STRING_ENV_CNST_READ_ALLOC_169=make_fx_procedure( __READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_172, 1, 0 );
READ_CNST_ALLOC_REAL_ENV_CNST_READ_ALLOC_7=make_fx_procedure( __READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_143, 1, 0 );
READ_CNST_ALLOC_SYMBOL_ENV_CNST_READ_ALLOC_101=make_fx_procedure( __READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_47, 1, 0 );
READ_CNST_ALLOC_LIST_ENV_CNST_READ_ALLOC_147=make_fx_procedure( __READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_7, 1, 0 );
READ_CNST_ALLOC_VECTOR_ENV_CNST_READ_ALLOC_214=make_fx_procedure( __READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_111, 1, 0 );
READ_CNST_ALLOC_PROCEDURE_ENV_CNST_READ_ALLOC_10=make_fx_procedure( __READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_83, 2, 0 );
READ_PROCEDURE_INITIALISATION_ENV_CNST_READ_ALLOC_232=make_fx_procedure( __READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_70, 0, 0 );
READ_CNST_INITIALISATION_ENV_CNST_READ_ALLOC_158=make_fx_procedure( __READ_CNST_INITIALISATION_CNST_READ_ALLOC_29, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__CNST_TABLE__CNST_READ_ALLOC_100=BUNSPEC;
__CNST_OFFSET__CNST_READ_ALLOC_87=BUNSPEC;
__STRING_ENV__CNST_READ_ALLOC_76=BNIL;
__REAL_ENV__CNST_READ_ALLOC_121=BNIL;
__SYMBOL_ENV__CNST_READ_ALLOC_3=BNIL;
__LIST_ENV__CNST_READ_ALLOC_236=BNIL;
__VECTOR_ENV__CNST_READ_ALLOC_252=BNIL;
__PROCEDURE_ENV__CNST_READ_ALLOC_58=BNIL;
__GLOBAL_ENV__CNST_READ_ALLOC_211=BNIL;
{obj_t KEY_397_139;
KEY_397_139=MAKE_CELL( BINT( -1 ) );{obj_t LAMBDA_1_3_ENV_789_229;
LAMBDA_1_3_ENV_789_229=make_fx_procedure( LAMBDA_1_3_398_123, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_3_ENV_789_229, 0, KEY_397_139 );
{obj_t A_FUNCTION_664_143;
A_FUNCTION_664_143=LAMBDA_1_3_ENV_789_229;GET_VARIABLE_NAME_CNST_READ_ALLOC_57=A_FUNCTION_664_143;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_72(obj_t ENV_791_4)
#else
__CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_72( ENV_791_4 )
obj_t ENV_791_4;
#endif
{

return CNST_READ_ALLOC_INITIALISATION_CNST_READ_ALLOC_25();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_3_398_123(obj_t LAMBDA_1_3_ENV_790_55,obj_t CLASS_399_175)
#else
LAMBDA_1_3_398_123( LAMBDA_1_3_ENV_790_55, CLASS_399_175 )
obj_t LAMBDA_1_3_ENV_790_55, CLASS_399_175;
#endif
{

{obj_t KEY_397_139;
KEY_397_139=PROCEDURE_ENV_REF( LAMBDA_1_3_ENV_790_55, 0 );{
{obj_t R_455_88;
R_455_88=CELL_REF( KEY_397_139 );CELL_SET( KEY_397_139, ADD_I_PTAG( PSUB_TAG( 1 ), R_455_88 ) );}
{obj_t S_458_42;
{obj_t VA_ARG_660_88;
{obj_t AUX_834_112;
{obj_t AUX_835_113;
AUX_835_113=CELL_REF( KEY_397_139 );AUX_834_112=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( AUX_835_113, BNIL );}VA_ARG_660_88=MAKE_PAIR( AUX_834_112, BNIL );}{obj_t VA_ARG_661_133;
{obj_t STRING_CAST_663_27;
STRING_CAST_663_27=CNST_TABLE_REF( 0 );VA_ARG_661_133=MAKE_PAIR( STRING_CAST_663_27, VA_ARG_660_88 );}{obj_t VA_ARG_662_154;
VA_ARG_662_154=MAKE_PAIR( CLASS_399_175, VA_ARG_661_133 );S_458_42=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_662_154 );}}}{obj_t STRING_460_177;
STRING_460_177=STRING_UPCASE___R4_STRINGS_6_7_251( S_458_42 );return c_string_to_symbol( BSTRING_TO_CSTRING( STRING_460_177 ) );}}
}}
}

static obj_t
#if defined( __STDC__ )
CNST_INFO_CNST_CNST_READ_ALLOC_16(obj_t S_373_19)
#else
CNST_INFO_CNST_CNST_READ_ALLOC_16( S_373_19 )
obj_t S_373_19;
#endif
{

return STRUCT_SLOT_REF( S_373_19, BINT( 0 ) );
}

static obj_t
#if defined( __STDC__ )
__CNST_INFO_CNST_CNST_READ_ALLOC_112(obj_t ENV_788_166,obj_t S_373_19)
#else
__CNST_INFO_CNST_CNST_READ_ALLOC_112( ENV_788_166, S_373_19 )
obj_t ENV_788_166, S_373_19;
#endif
{

return CNST_INFO_CNST_CNST_READ_ALLOC_16( S_373_19 );
}

static obj_t
#if defined( __STDC__ )
CNST_INFO_CREATE_CNST_READ_ALLOC_81(obj_t CNST_387_180)
#else
CNST_INFO_CREATE_CNST_READ_ALLOC_81( CNST_387_180 )
obj_t CNST_387_180;
#endif
{

{obj_t NEW_388_57;
{obj_t INIT_536_239;
INIT_536_239=BNIL;{obj_t INIT_537_193;
INIT_537_193=BNIL;NEW_388_57=make_struct( CNST_TABLE_REF( 1 ), BINT( 2 ), INIT_537_193 );}}{
STRUCT_SLOT_SET( NEW_388_57, BINT( 0 ), CNST_387_180 );
return NEW_388_57;
}}
}

static obj_t
#if defined( __STDC__ )
__CNST_INFO_CREATE_CNST_READ_ALLOC_4(obj_t ENV_787_189,obj_t CNST_387_180)
#else
__CNST_INFO_CREATE_CNST_READ_ALLOC_4( ENV_787_189, CNST_387_180 )
obj_t ENV_787_189, CNST_387_180;
#endif
{

return CNST_INFO_CREATE_CNST_READ_ALLOC_81( CNST_387_180 );
}

obj_t
#if defined( __STDC__ )
INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_170()
#else
INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_170()
#endif
{

{
{obj_t STRING_CAST_674_190;
STRING_CAST_674_190=CNST_TABLE_REF( 2 );__CNST_TABLE__CNST_READ_ALLOC_100=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( STRING_CAST_674_190, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 3 ) );}
__CNST_OFFSET__CNST_READ_ALLOC_87=BINT( 0 );
{obj_t A_FUNCTION_675_40;
A_FUNCTION_675_40=CNST_INFO_CREATE_ENV_CNST_READ_ALLOC_90;{obj_t A_FUNCTION_676_36;
A_FUNCTION_676_36=CNST_INFO_CNST_ENV_CNST_READ_ALLOC_179;{obj_t LAMBDA_1_0_ENV_784_35;
LAMBDA_1_0_ENV_784_35=PROCEDURE_0_CNST_READ_ALLOC_84;{obj_t A_FUNCTION_677_65;
A_FUNCTION_677_65=LAMBDA_1_0_ENV_784_35;__STRING_ENV__CNST_READ_ALLOC_76=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 4 ), CNST_TABLE_REF( 5 ), A_FUNCTION_675_40, A_FUNCTION_676_36, A_FUNCTION_677_65 );}}}}
{obj_t A_FUNCTION_678_87;
A_FUNCTION_678_87=CNST_INFO_CREATE_ENV_CNST_READ_ALLOC_90;{obj_t A_FUNCTION_679_197;
A_FUNCTION_679_197=CNST_INFO_CNST_ENV_CNST_READ_ALLOC_179;{obj_t LAMBDA_1_1_ENV_782_120;
LAMBDA_1_1_ENV_782_120=PROCEDURE_1_CNST_READ_ALLOC_248;{obj_t A_FUNCTION_680_64;
A_FUNCTION_680_64=LAMBDA_1_1_ENV_782_120;__REAL_ENV__CNST_READ_ALLOC_121=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 6 ), CNST_TABLE_REF( 5 ), A_FUNCTION_678_87, A_FUNCTION_679_197, A_FUNCTION_680_64 );}}}}
{obj_t A_FUNCTION_681_121;
A_FUNCTION_681_121=CNST_INFO_CREATE_ENV_CNST_READ_ALLOC_90;{obj_t A_FUNCTION_682_72;
A_FUNCTION_682_72=CNST_INFO_CNST_ENV_CNST_READ_ALLOC_179;{obj_t LAMBDA_1_2_ENV_780_113;
LAMBDA_1_2_ENV_780_113=PROCEDURE_2_CNST_READ_ALLOC_115;{obj_t A_FUNCTION_683_77;
A_FUNCTION_683_77=LAMBDA_1_2_ENV_780_113;__SYMBOL_ENV__CNST_READ_ALLOC_3=MAKE_HASHTABLE_TOOLS_HASH_49( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), A_FUNCTION_681_121, A_FUNCTION_682_72, A_FUNCTION_683_77 );}}}}
}
}

obj_t
#if defined( __STDC__ )
__INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_12(obj_t ENV_786_8)
#else
__INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_12( ENV_786_8 )
obj_t ENV_786_8;
#endif
{

return INIT_CNST_READ_ALLOC_CNST_READ_ALLOC_170();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_391_92(obj_t LAMBDA_1_0_ENV_785_206,obj_t L_392_95)
#else
LAMBDA_1_0_391_92( LAMBDA_1_0_ENV_785_206, L_392_95 )
obj_t LAMBDA_1_0_ENV_785_206, L_392_95;
#endif
{

return L_392_95;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_393_249(obj_t LAMBDA_1_1_ENV_783_209,obj_t L_394_252)
#else
LAMBDA_1_1_393_249( LAMBDA_1_1_ENV_783_209, L_394_252 )
obj_t LAMBDA_1_1_ENV_783_209, L_394_252;
#endif
{

return L_394_252;
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_2_395_54(obj_t LAMBDA_1_2_ENV_781_112,obj_t L_396_54)
#else
LAMBDA_1_2_395_54( LAMBDA_1_2_ENV_781_112, L_396_54 )
obj_t LAMBDA_1_2_ENV_781_112, L_396_54;
#endif
{

return L_396_54;
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_116(obj_t STRING_400_235)
#else
READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_116( STRING_400_235 )
obj_t STRING_400_235;
#endif
{

{obj_t OLD_401_87;
{bool_t __andtest_1000_792_255;
__andtest_1000_792_255=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1000_792_255)
OLD_401_87=FIND_OBJECT_TOOLS_HASH_106( STRING_400_235, __STRING_ENV__CNST_READ_ALLOC_76, CNST_TABLE_REF( 4 ) );else
OLD_401_87=BFALSE;}if( BBOOL_TO_CBOOL( OLD_401_87 ))
{obj_t VA_ARG_684_156;
{obj_t C_STRUCT_REF_542_68;
C_STRUCT_REF_542_68=STRUCT_SLOT_REF( OLD_401_87, BINT( 1 ) );VA_ARG_684_156=MAKE_PAIR( C_STRUCT_REF_542_68, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_684_156 );}else
{obj_t NEW_402_240;
NEW_402_240=BIND_OBJECT__TOOLS_HASH_11( STRING_400_235, __STRING_ENV__CNST_READ_ALLOC_76, CNST_TABLE_REF( 4 ) );{
{obj_t V_543_78;
V_543_78=__CNST_OFFSET__CNST_READ_ALLOC_87;STRUCT_SLOT_SET( NEW_402_240, BINT( 1 ), V_543_78 );}
{obj_t R_544_234;
R_544_234=__CNST_OFFSET__CNST_READ_ALLOC_87;__CNST_OFFSET__CNST_READ_ALLOC_87=ADD_I_PTAG( PSUB_TAG( 1 ), R_544_234 );}
{obj_t OBJ2_548_113;
OBJ2_548_113=__GLOBAL_ENV__CNST_READ_ALLOC_211;__GLOBAL_ENV__CNST_READ_ALLOC_211=MAKE_PAIR( STRING_400_235, OBJ2_548_113 );}
{obj_t VA_ARG_685_241;
{obj_t C_STRUCT_REF_549_188;
C_STRUCT_REF_549_188=STRUCT_SLOT_REF( NEW_402_240, BINT( 1 ) );VA_ARG_685_241=MAKE_PAIR( C_STRUCT_REF_549_188, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_685_241 );}
}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_172(obj_t ENV_779_57,obj_t STRING_400_235)
#else
__READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_172( ENV_779_57, STRING_400_235 )
obj_t ENV_779_57, STRING_400_235;
#endif
{

return READ_CNST_ALLOC_STRING_CNST_READ_ALLOC_116( STRING_400_235 );
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_67(obj_t REAL_404_233)
#else
READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_67( REAL_404_233 )
obj_t REAL_404_233;
#endif
{

{obj_t STRING_405_219;
{char * AUX_833_251;
AUX_833_251=real_to_string( REAL_TO_DOUBLE( REAL_404_233 ) );STRING_405_219=CSTRING_TO_BSTRING( AUX_833_251 );}{obj_t OLD_406_68;
{bool_t __andtest_1001_794_63;
__andtest_1001_794_63=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1001_794_63)
OLD_406_68=FIND_OBJECT_TOOLS_HASH_106( STRING_405_219, __REAL_ENV__CNST_READ_ALLOC_121, CNST_TABLE_REF( 6 ) );else
OLD_406_68=BFALSE;}if( BBOOL_TO_CBOOL( OLD_406_68 ))
{obj_t VA_ARG_687_46;
{obj_t C_STRUCT_REF_551_175;
C_STRUCT_REF_551_175=STRUCT_SLOT_REF( OLD_406_68, BINT( 1 ) );VA_ARG_687_46=MAKE_PAIR( C_STRUCT_REF_551_175, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_687_46 );}else
{obj_t NEW_407_158;
NEW_407_158=BIND_OBJECT__TOOLS_HASH_11( STRING_405_219, __REAL_ENV__CNST_READ_ALLOC_121, CNST_TABLE_REF( 6 ) );{
{obj_t V_552_107;
V_552_107=__CNST_OFFSET__CNST_READ_ALLOC_87;STRUCT_SLOT_SET( NEW_407_158, BINT( 1 ), V_552_107 );}
{obj_t R_553_172;
R_553_172=__CNST_OFFSET__CNST_READ_ALLOC_87;__CNST_OFFSET__CNST_READ_ALLOC_87=ADD_I_PTAG( PSUB_TAG( 1 ), R_553_172 );}
{obj_t OBJ2_555_28;
OBJ2_555_28=__GLOBAL_ENV__CNST_READ_ALLOC_211;__GLOBAL_ENV__CNST_READ_ALLOC_211=MAKE_PAIR( REAL_404_233, OBJ2_555_28 );}
{obj_t VA_ARG_688_60;
{obj_t C_STRUCT_REF_556_34;
C_STRUCT_REF_556_34=STRUCT_SLOT_REF( NEW_407_158, BINT( 1 ) );VA_ARG_688_60=MAKE_PAIR( C_STRUCT_REF_556_34, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_688_60 );}
}}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_143(obj_t ENV_778_211,obj_t REAL_404_233)
#else
__READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_143( ENV_778_211, REAL_404_233 )
obj_t ENV_778_211, REAL_404_233;
#endif
{

return READ_CNST_ALLOC_REAL_CNST_READ_ALLOC_67( REAL_404_233 );
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_10(obj_t SYMBOL_409_90)
#else
READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_10( SYMBOL_409_90 )
obj_t SYMBOL_409_90;
#endif
{

{obj_t OLD_410_22;
OLD_410_22=FIND_OBJECT_TOOLS_HASH_106( SYMBOL_409_90, __SYMBOL_ENV__CNST_READ_ALLOC_3, CNST_TABLE_REF( 7 ) );if( BBOOL_TO_CBOOL( OLD_410_22 ))
{obj_t VA_ARG_689_66;
{obj_t C_STRUCT_REF_557_50;
C_STRUCT_REF_557_50=STRUCT_SLOT_REF( OLD_410_22, BINT( 1 ) );VA_ARG_689_66=MAKE_PAIR( C_STRUCT_REF_557_50, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_689_66 );}else
{obj_t NEW_411_211;
NEW_411_211=BIND_OBJECT__TOOLS_HASH_11( SYMBOL_409_90, __SYMBOL_ENV__CNST_READ_ALLOC_3, CNST_TABLE_REF( 7 ) );{
{obj_t V_558_7;
V_558_7=__CNST_OFFSET__CNST_READ_ALLOC_87;STRUCT_SLOT_SET( NEW_411_211, BINT( 1 ), V_558_7 );}
{obj_t R_559_22;
R_559_22=__CNST_OFFSET__CNST_READ_ALLOC_87;__CNST_OFFSET__CNST_READ_ALLOC_87=ADD_I_PTAG( PSUB_TAG( 1 ), R_559_22 );}
{obj_t OBJ2_561_6;
OBJ2_561_6=__GLOBAL_ENV__CNST_READ_ALLOC_211;__GLOBAL_ENV__CNST_READ_ALLOC_211=MAKE_PAIR( SYMBOL_409_90, OBJ2_561_6 );}
{obj_t VA_ARG_690_20;
{obj_t C_STRUCT_REF_562_233;
C_STRUCT_REF_562_233=STRUCT_SLOT_REF( NEW_411_211, BINT( 1 ) );VA_ARG_690_20=MAKE_PAIR( C_STRUCT_REF_562_233, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_690_20 );}
}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_47(obj_t ENV_777_15,obj_t SYMBOL_409_90)
#else
__READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_47( ENV_777_15, SYMBOL_409_90 )
obj_t ENV_777_15, SYMBOL_409_90;
#endif
{

return READ_CNST_ALLOC_SYMBOL_CNST_READ_ALLOC_10( SYMBOL_409_90 );
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_60(obj_t LIST_412_54)
#else
READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_60( LIST_412_54 )
obj_t LIST_412_54;
#endif
{

{obj_t OLD_413_78;
{bool_t __andtest_1002_797_132;
__andtest_1002_797_132=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1002_797_132)
{obj_t ENV_417_46;
{
ENV_417_46=__LIST_ENV__CNST_READ_ALLOC_236;
{_LOOP_416_226:

if( NULLP( ENV_417_46 ))
OLD_413_78=BFALSE;else
{obj_t S_563_21;
S_563_21=CAR( ENV_417_46 );{obj_t C_STRUCT_REF_564_118;
C_STRUCT_REF_564_118=STRUCT_SLOT_REF( S_563_21, BINT( 0 ) );{obj_t AUX_832_151;
AUX_832_151=EQUAL____R4_EQUIVALENCE_6_2_234( C_STRUCT_REF_564_118, LIST_412_54 );if( BBOOL_TO_CBOOL( AUX_832_151 ))
OLD_413_78=S_563_21;else
{obj_t C_CDR_566_152;
C_CDR_566_152=CDR( ENV_417_46 );{
ENV_417_46=C_CDR_566_152;
goto _LOOP_416_226;
}}}}}}
}}else
OLD_413_78=BFALSE;}if( BBOOL_TO_CBOOL( OLD_413_78 ))
{obj_t VA_ARG_691_81;
{obj_t C_STRUCT_REF_567_138;
C_STRUCT_REF_567_138=STRUCT_SLOT_REF( OLD_413_78, BINT( 1 ) );VA_ARG_691_81=MAKE_PAIR( C_STRUCT_REF_567_138, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_691_81 );}else
{obj_t NEW_414_49;
{obj_t NEW_568_64;
{obj_t INIT_569_66;
INIT_569_66=BNIL;{obj_t INIT_570_20;
INIT_570_20=BNIL;NEW_568_64=make_struct( CNST_TABLE_REF( 1 ), BINT( 2 ), INIT_570_20 );}}{
STRUCT_SLOT_SET( NEW_568_64, BINT( 0 ), LIST_412_54 );
NEW_414_49=NEW_568_64;
}}{
if( BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 ))
{obj_t OBJ2_572_104;
OBJ2_572_104=__LIST_ENV__CNST_READ_ALLOC_236;__LIST_ENV__CNST_READ_ALLOC_236=MAKE_PAIR( NEW_414_49, OBJ2_572_104 );}else
BFALSE;
{obj_t V_573_185;
V_573_185=__CNST_OFFSET__CNST_READ_ALLOC_87;STRUCT_SLOT_SET( NEW_414_49, BINT( 1 ), V_573_185 );}
{obj_t L_576_150;
L_576_150=__CNST_OFFSET__CNST_READ_ALLOC_87;__CNST_OFFSET__CNST_READ_ALLOC_87=ADD_I_PTAG( L_576_150, PSUB_TAG( 1 ) );}
{obj_t OBJ2_578_48;
OBJ2_578_48=__GLOBAL_ENV__CNST_READ_ALLOC_211;__GLOBAL_ENV__CNST_READ_ALLOC_211=MAKE_PAIR( LIST_412_54, OBJ2_578_48 );}
{obj_t VA_ARG_693_6;
{obj_t C_STRUCT_REF_579_210;
C_STRUCT_REF_579_210=STRUCT_SLOT_REF( NEW_414_49, BINT( 1 ) );VA_ARG_693_6=MAKE_PAIR( C_STRUCT_REF_579_210, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_693_6 );}
}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_7(obj_t ENV_776_2,obj_t LIST_412_54)
#else
__READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_7( ENV_776_2, LIST_412_54 )
obj_t ENV_776_2, LIST_412_54;
#endif
{

return READ_CNST_ALLOC_LIST_CNST_READ_ALLOC_60( LIST_412_54 );
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_227(obj_t VECTOR_418_178)
#else
READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_227( VECTOR_418_178 )
obj_t VECTOR_418_178;
#endif
{

{obj_t OLD_419_147;
{bool_t __andtest_1003_799_162;
__andtest_1003_799_162=BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 );if( __andtest_1003_799_162)
{obj_t ENV_423_20;
{
ENV_423_20=__VECTOR_ENV__CNST_READ_ALLOC_252;
{_LOOP_422_132:

if( NULLP( ENV_423_20 ))
OLD_419_147=BFALSE;else
{obj_t S_580_133;
S_580_133=CAR( ENV_423_20 );{obj_t C_STRUCT_REF_581_23;
C_STRUCT_REF_581_23=STRUCT_SLOT_REF( S_580_133, BINT( 0 ) );{obj_t AUX_831_225;
AUX_831_225=EQUAL____R4_EQUIVALENCE_6_2_234( C_STRUCT_REF_581_23, VECTOR_418_178 );if( BBOOL_TO_CBOOL( AUX_831_225 ))
OLD_419_147=S_580_133;else
{obj_t C_CDR_583_9;
C_CDR_583_9=CDR( ENV_423_20 );{
ENV_423_20=C_CDR_583_9;
goto _LOOP_422_132;
}}}}}}
}}else
OLD_419_147=BFALSE;}if( BBOOL_TO_CBOOL( OLD_419_147 ))
{obj_t VA_ARG_694_92;
{obj_t C_STRUCT_REF_584_39;
C_STRUCT_REF_584_39=STRUCT_SLOT_REF( OLD_419_147, BINT( 1 ) );VA_ARG_694_92=MAKE_PAIR( C_STRUCT_REF_584_39, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_694_92 );}else
{obj_t NEW_420_75;
{obj_t NEW_585_168;
{obj_t INIT_586_85;
INIT_586_85=BNIL;{obj_t INIT_587_178;
INIT_587_178=BNIL;NEW_585_168=make_struct( CNST_TABLE_REF( 1 ), BINT( 2 ), INIT_587_178 );}}{
STRUCT_SLOT_SET( NEW_585_168, BINT( 0 ), VECTOR_418_178 );
NEW_420_75=NEW_585_168;
}}{
if( BBOOL_TO_CBOOL( __SHARED_DATA__ENGINE_PARAM_73 ))
{obj_t OBJ2_589_123;
OBJ2_589_123=__VECTOR_ENV__CNST_READ_ALLOC_252;__VECTOR_ENV__CNST_READ_ALLOC_252=MAKE_PAIR( NEW_420_75, OBJ2_589_123 );}else
BFALSE;
{obj_t V_590_102;
V_590_102=__CNST_OFFSET__CNST_READ_ALLOC_87;STRUCT_SLOT_SET( NEW_420_75, BINT( 1 ), V_590_102 );}
{obj_t L_591_233;
L_591_233=__CNST_OFFSET__CNST_READ_ALLOC_87;__CNST_OFFSET__CNST_READ_ALLOC_87=ADD_I_PTAG( L_591_233, PSUB_TAG( 1 ) );}
{obj_t OBJ2_593_108;
OBJ2_593_108=__GLOBAL_ENV__CNST_READ_ALLOC_211;__GLOBAL_ENV__CNST_READ_ALLOC_211=MAKE_PAIR( VECTOR_418_178, OBJ2_593_108 );}
{obj_t VA_ARG_696_17;
{obj_t C_STRUCT_REF_594_1;
C_STRUCT_REF_594_1=STRUCT_SLOT_REF( NEW_420_75, BINT( 1 ) );VA_ARG_696_17=MAKE_PAIR( C_STRUCT_REF_594_1, BNIL );}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 9 ), VA_ARG_696_17 );}
}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_111(obj_t ENV_775_48,obj_t VECTOR_418_178)
#else
__READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_111( ENV_775_48, VECTOR_418_178 )
obj_t ENV_775_48, VECTOR_418_178;
#endif
{

return READ_CNST_ALLOC_VECTOR_CNST_READ_ALLOC_227( VECTOR_418_178 );
}

obj_t
#if defined( __STDC__ )
READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_161(obj_t PROCEDURE_424_115,obj_t LINK__425_89)
#else
READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_161( PROCEDURE_424_115, LINK__425_89 )
obj_t PROCEDURE_424_115, LINK__425_89;
#endif
{

if( BBOOL_TO_CBOOL( LINK__425_89 ))
return PROCEDURE_424_115;else
{obj_t NEW_426_12;
{obj_t NEW_595_195;
{obj_t INIT_596_166;
INIT_596_166=BNIL;{obj_t INIT_597_80;
INIT_597_80=BNIL;NEW_595_195=make_struct( CNST_TABLE_REF( 10 ), BINT( 2 ), INIT_597_80 );}}{
STRUCT_SLOT_SET( NEW_595_195, BINT( 0 ), PROCEDURE_424_115 );
NEW_426_12=NEW_595_195;
}}{obj_t VAR_427_122;
{obj_t STRING_CAST_698_27;
STRING_CAST_698_27=CNST_TABLE_REF( 11 );{obj_t AUX_830_207;
AUX_830_207=PROCEDURE_ENTRY( GET_VARIABLE_NAME_CNST_READ_ALLOC_57 )( GET_VARIABLE_NAME_CNST_READ_ALLOC_57, STRING_CAST_698_27, BEOA );VAR_427_122=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( AUX_830_207, __MODULE_NAME__ENGINE_PARAM_191, CNST_TABLE_REF( 12 ) );}}{
STRUCT_SLOT_SET( NEW_426_12, BINT( 1 ), VAR_427_122 );
{obj_t OBJ2_599_126;
OBJ2_599_126=__PROCEDURE_ENV__CNST_READ_ALLOC_58;__PROCEDURE_ENV__CNST_READ_ALLOC_58=MAKE_PAIR( NEW_426_12, OBJ2_599_126 );}
return VAR_427_122;
}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_83(obj_t ENV_774_115,obj_t PROCEDURE_424_115,obj_t LINK__425_89)
#else
__READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_83( ENV_774_115, PROCEDURE_424_115, LINK__425_89 )
obj_t ENV_774_115, PROCEDURE_424_115, LINK__425_89;
#endif
{

return READ_CNST_ALLOC_PROCEDURE_CNST_READ_ALLOC_161( PROCEDURE_424_115, LINK__425_89 );
}

obj_t
#if defined( __STDC__ )
READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_186()
#else
READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_186()
#endif
{

{obj_t g1004_428_48;
g1004_428_48=__PROCEDURE_ENV__CNST_READ_ALLOC_58;if( NULLP( g1004_428_48 ))
return BNIL;else
{obj_t HEAD_429_117;
{obj_t OBJ2_601_11;
OBJ2_601_11=BNIL;{obj_t OBJ1_600_206;
{obj_t PI_435_7;
PI_435_7=CAR( g1004_428_48 );{obj_t VA_ARG_699_225;
VA_ARG_699_225=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_700_243;
{obj_t C_STRUCT_REF_603_207;
C_STRUCT_REF_603_207=STRUCT_SLOT_REF( PI_435_7, BINT( 0 ) );VA_ARG_700_243=MAKE_PAIR( C_STRUCT_REF_603_207, VA_ARG_699_225 );}{obj_t VA_ARG_701_248;
{obj_t C_STRUCT_REF_602_225;
C_STRUCT_REF_602_225=STRUCT_SLOT_REF( PI_435_7, BINT( 1 ) );VA_ARG_701_248=MAKE_PAIR( C_STRUCT_REF_602_225, VA_ARG_700_243 );}OBJ1_600_206=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 13 ), VA_ARG_701_248 );}}}}HEAD_429_117=MAKE_PAIR( OBJ1_600_206, OBJ2_601_11 );}}{obj_t g1004_431_6, TAIL_432_111;
{obj_t C_CDR_611_117;
C_CDR_611_117=CDR( g1004_428_48 );{
TAIL_432_111=HEAD_429_117;
g1004_431_6=C_CDR_611_117;
{_g1005_430_32:

if( NULLP( g1004_431_6 ))
return HEAD_429_117;else
{obj_t NEW_TAIL_433_78;
{obj_t OBJ2_605_242;
OBJ2_605_242=BNIL;{obj_t OBJ1_604_192;
{obj_t PI_434_30;
PI_434_30=CAR( g1004_431_6 );{obj_t VA_ARG_702_10;
VA_ARG_702_10=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_703_219;
{obj_t C_STRUCT_REF_607_112;
C_STRUCT_REF_607_112=STRUCT_SLOT_REF( PI_434_30, BINT( 0 ) );VA_ARG_703_219=MAKE_PAIR( C_STRUCT_REF_607_112, VA_ARG_702_10 );}{obj_t VA_ARG_704_200;
{obj_t C_STRUCT_REF_606_113;
C_STRUCT_REF_606_113=STRUCT_SLOT_REF( PI_434_30, BINT( 1 ) );VA_ARG_704_200=MAKE_PAIR( C_STRUCT_REF_606_113, VA_ARG_703_219 );}OBJ1_604_192=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 13 ), VA_ARG_704_200 );}}}}NEW_TAIL_433_78=MAKE_PAIR( OBJ1_604_192, OBJ2_605_242 );}}{
SET_CDR( TAIL_432_111, NEW_TAIL_433_78 );
{obj_t C_CDR_610_39;
C_CDR_610_39=CDR( g1004_431_6 );{
TAIL_432_111=NEW_TAIL_433_78;
g1004_431_6=C_CDR_610_39;
goto _g1005_430_32;
}}
}}}
}}}}}
}

obj_t
#if defined( __STDC__ )
__READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_70(obj_t ENV_773_210)
#else
__READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_70( ENV_773_210 )
obj_t ENV_773_210;
#endif
{

return READ_PROCEDURE_INITIALISATION_CNST_READ_ALLOC_186();
}

obj_t
#if defined( __STDC__ )
READ_CNST_INITIALISATION_CNST_READ_ALLOC_112()
#else
READ_CNST_INITIALISATION_CNST_READ_ALLOC_112()
#endif
{

{bool_t OBJ_802_92;
OBJ_802_92=NULLP( __GLOBAL_ENV__CNST_READ_ALLOC_211 );if( OBJ_802_92)
return BNIL;else
{obj_t CNSTS_STRING_436_167;
CNSTS_STRING_436_167=MAKE_CNST_STRING_CNST_READ_ALLOC_101();{obj_t THE_PORT_437_110;
THE_PORT_437_110=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( CNST_TABLE_REF( 14 ) );{obj_t THE_OFFSET_438_93;
THE_OFFSET_438_93=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( CNST_TABLE_REF( 15 ) );{obj_t THE_FUNCTION_439_128;
{obj_t PAIR_614_20;
PAIR_614_20=ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97( CNST_TABLE_REF( 16 ) );{obj_t PAIR_615_81;
PAIR_615_81=CAR( PAIR_614_20 );THE_FUNCTION_439_128=CDR( PAIR_615_81 );}}{obj_t BODY_440_238;
{obj_t VA_ARG_705_163;
VA_ARG_705_163=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_706_235;
{obj_t VA_ARG_712_106;
VA_ARG_712_106=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_713_82;
{obj_t VA_ARG_722_206;
VA_ARG_722_206=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_723_35;
{obj_t VA_ARG_724_221;
{obj_t VA_ARG_726_192;
VA_ARG_726_192=MAKE_PAIR( BINT( 1 ), BNIL );{obj_t AUX_807_251;
AUX_807_251=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 17 ), VA_ARG_726_192 );VA_ARG_724_221=MAKE_PAIR( AUX_807_251, BNIL );}}{obj_t VA_ARG_725_54;
VA_ARG_725_54=MAKE_PAIR( THE_OFFSET_438_93, VA_ARG_724_221 );{obj_t AUX_808_92;
AUX_808_92=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 18 ), VA_ARG_725_54 );VA_ARG_723_35=MAKE_PAIR( AUX_808_92, VA_ARG_722_206 );}}}{obj_t AUX_809_91;
AUX_809_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_FUNCTION_439_128, VA_ARG_723_35 );VA_ARG_713_82=MAKE_PAIR( AUX_809_91, VA_ARG_712_106 );}}}{obj_t VA_ARG_714_240;
{obj_t VA_ARG_715_255;
{obj_t VA_ARG_717_102;
VA_ARG_717_102=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_718_93;
{obj_t AUX_810_155;
AUX_810_155=ABSTRACT_EOA_HEAP_ABSTRACT_102();VA_ARG_718_93=MAKE_PAIR( AUX_810_155, VA_ARG_717_102 );}{obj_t VA_ARG_719_159;
VA_ARG_719_159=MAKE_PAIR( THE_PORT_437_110, VA_ARG_718_93 );{obj_t VA_ARG_720_116;
{obj_t PAIR_618_112;
PAIR_618_112=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 19 ), BNIL );{obj_t C_CAR_619_202;
C_CAR_619_202=CAR( PAIR_618_112 );VA_ARG_720_116=MAKE_PAIR( C_CAR_619_202, VA_ARG_719_159 );}}{obj_t VA_ARG_721_95;
{obj_t PAIR_616_24;
PAIR_616_24=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 19 ), BNIL );{obj_t C_CAR_617_182;
C_CAR_617_182=CAR( PAIR_616_24 );VA_ARG_721_95=MAKE_PAIR( C_CAR_617_182, VA_ARG_720_116 );}}{obj_t AUX_811_42;
AUX_811_42=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 20 ), VA_ARG_721_95 );VA_ARG_715_255=MAKE_PAIR( AUX_811_42, BNIL );}}}}}}{obj_t VA_ARG_716_218;
VA_ARG_716_218=MAKE_PAIR( THE_OFFSET_438_93, VA_ARG_715_255 );{obj_t AUX_812_93;
AUX_812_93=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 21 ), VA_ARG_716_218 );VA_ARG_714_240=MAKE_PAIR( AUX_812_93, VA_ARG_713_82 );}}}{obj_t AUX_813_159;
AUX_813_159=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 22 ), VA_ARG_714_240 );VA_ARG_706_235=MAKE_PAIR( AUX_813_159, VA_ARG_705_163 );}}}}{obj_t VA_ARG_707_222;
{obj_t AUX_814_3;
AUX_814_3=ABSTRACT_UNSPECIFIED_HEAP_ABSTRACT_147();VA_ARG_707_222=MAKE_PAIR( AUX_814_3, VA_ARG_706_235 );}{obj_t VA_ARG_708_76;
{obj_t VA_ARG_709_203;
{obj_t VA_ARG_711_158;
VA_ARG_711_158=MAKE_PAIR( BINT( 0 ), BNIL );{obj_t AUX_815_61;
AUX_815_61=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 17 ), VA_ARG_711_158 );VA_ARG_709_203=MAKE_PAIR( AUX_815_61, BNIL );}}{obj_t VA_ARG_710_201;
VA_ARG_710_201=MAKE_PAIR( THE_OFFSET_438_93, VA_ARG_709_203 );{obj_t AUX_816_9;
AUX_816_9=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 23 ), VA_ARG_710_201 );VA_ARG_708_76=MAKE_PAIR( AUX_816_9, VA_ARG_707_222 );}}}BODY_440_238=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 24 ), VA_ARG_708_76 );}}}}{
{obj_t S_620_226;
S_620_226=STRUCT_SLOT_REF( THE_FUNCTION_439_128, BINT( 3 ) );STRUCT_SLOT_SET( S_620_226, BINT( 2 ), BINT( 1 ) );}
{obj_t V_623_40;
V_623_40=MAKE_PAIR( THE_OFFSET_438_93, BNIL );{obj_t S_622_214;
S_622_214=STRUCT_SLOT_REF( THE_FUNCTION_439_128, BINT( 3 ) );STRUCT_SLOT_SET( S_622_214, BINT( 3 ), V_623_40 );}}
{obj_t S_627_13;
S_627_13=STRUCT_SLOT_REF( THE_FUNCTION_439_128, BINT( 3 ) );STRUCT_SLOT_SET( S_627_13, BINT( 4 ), BODY_440_238 );}
{obj_t V_630_189;
{obj_t VA_ARG_727_252;
{obj_t STRING_CAST_731_242;
STRING_CAST_731_242=CNST_TABLE_REF( 25 );VA_ARG_727_252=MAKE_PAIR( STRING_CAST_731_242, BNIL );}{obj_t VA_ARG_728_237;
{obj_t AUX_817_89;
AUX_817_89=NUMBER__STRING___R4_NUMBERS_6_5_157( __CNST_OFFSET__CNST_READ_ALLOC_87, BNIL );VA_ARG_728_237=MAKE_PAIR( AUX_817_89, VA_ARG_727_252 );}{obj_t VA_ARG_729_253;
{obj_t STRING_CAST_730_101;
STRING_CAST_730_101=CNST_TABLE_REF( 26 );VA_ARG_729_253=MAKE_PAIR( STRING_CAST_730_101, VA_ARG_728_237 );}V_630_189=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_729_253 );}}}{obj_t S_629_94;
S_629_94=__CNST_TABLE__CNST_READ_ALLOC_100;STRUCT_SLOT_SET( S_629_94, BINT( 2 ), V_630_189 );}}
{obj_t S_631_9;
{obj_t PAIR_633_203;
PAIR_633_203=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 19 ), BNIL );S_631_9=CAR( PAIR_633_203 );}{obj_t C_STRUCT_REF_632_114;
C_STRUCT_REF_632_114=STRUCT_SLOT_REF( S_631_9, BINT( 1 ) );REMEMBER_MODULE__CNST_MODULE_48( C_STRUCT_REF_632_114 );}}
{obj_t VA_ARG_732_72;
VA_ARG_732_72=MAKE_PAIR( __CNST_TABLE__CNST_READ_ALLOC_100, BNIL );{obj_t C_CONS_639_251;
{obj_t VA_ARG_733_77;
VA_ARG_733_77=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_734_245;
{obj_t VA_ARG_741_74;
VA_ARG_741_74=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_742_228;
{obj_t VA_ARG_749_193;
VA_ARG_749_193=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_750_160;
{obj_t VA_ARG_751_215;
{obj_t L_637_27;
L_637_27=__CNST_OFFSET__CNST_READ_ALLOC_87;VA_ARG_751_215=MAKE_PAIR( SUB_I_PTAG( L_637_27, PSUB_TAG( 1 ) ), BNIL );}{obj_t AUX_818_106;
AUX_818_106=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 17 ), VA_ARG_751_215 );VA_ARG_750_160=MAKE_PAIR( AUX_818_106, VA_ARG_749_193 );}}{obj_t AUX_819_82;
AUX_819_82=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_FUNCTION_439_128, VA_ARG_750_160 );VA_ARG_742_228=MAKE_PAIR( AUX_819_82, VA_ARG_741_74 );}}}{obj_t VA_ARG_743_137;
{obj_t VA_ARG_744_191;
VA_ARG_744_191=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_745_108;
VA_ARG_745_108=MAKE_PAIR( BODY_440_238, VA_ARG_744_191 );{obj_t VA_ARG_746_139;
{obj_t VA_ARG_747_232;
VA_ARG_747_232=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_820_173;
AUX_820_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_OFFSET_438_93, VA_ARG_747_232 );VA_ARG_746_139=MAKE_PAIR( AUX_820_173, VA_ARG_745_108 );}}{obj_t VA_ARG_748_239;
VA_ARG_748_239=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_821_73;
{obj_t AUX_822_30;
AUX_822_30=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_FUNCTION_439_128, VA_ARG_746_139 );AUX_821_73=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_822_30, VA_ARG_748_239 );}VA_ARG_743_137=MAKE_PAIR( AUX_821_73, VA_ARG_742_228 );}}}}}{obj_t AUX_823_7;
AUX_823_7=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 27 ), VA_ARG_743_137 );VA_ARG_734_245=MAKE_PAIR( AUX_823_7, VA_ARG_733_77 );}}}}{obj_t VA_ARG_735_208;
{obj_t VA_ARG_736_122;
VA_ARG_736_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_737_130;
{obj_t VA_ARG_738_55;
{obj_t VA_ARG_739_143;
VA_ARG_739_143=MAKE_PAIR( CNSTS_STRING_436_167, BNIL );{obj_t AUX_824_36;
AUX_824_36=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 28 ), VA_ARG_739_143 );VA_ARG_738_55=MAKE_PAIR( AUX_824_36, BNIL );}}{obj_t AUX_825_65;
AUX_825_65=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 29 ), VA_ARG_738_55 );VA_ARG_737_130=MAKE_PAIR( AUX_825_65, VA_ARG_736_122 );}}{obj_t VA_ARG_740_59;
VA_ARG_740_59=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_826_188;
{obj_t AUX_827_40;
AUX_827_40=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_PORT_437_110, VA_ARG_737_130 );AUX_826_188=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_827_40, VA_ARG_740_59 );}VA_ARG_735_208=MAKE_PAIR( AUX_826_188, VA_ARG_734_245 );}}}}{obj_t AUX_828_177;
AUX_828_177=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 30 ), VA_ARG_735_208 );C_CONS_639_251=MAKE_PAIR( AUX_828_177, BNIL );}}}}{obj_t AUX_829_107;
AUX_829_107=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 31 ), VA_ARG_732_72 );return MAKE_PAIR( AUX_829_107, C_CONS_639_251 );}}}
}}}}}}}
}

obj_t
#if defined( __STDC__ )
__READ_CNST_INITIALISATION_CNST_READ_ALLOC_29(obj_t ENV_772_28)
#else
__READ_CNST_INITIALISATION_CNST_READ_ALLOC_29( ENV_772_28 )
obj_t ENV_772_28;
#endif
{

return READ_CNST_INITIALISATION_CNST_READ_ALLOC_112();
}

static obj_t
#if defined( __STDC__ )
MAKE_CNST_STRING_CNST_READ_ALLOC_101()
#else
MAKE_CNST_STRING_CNST_READ_ALLOC_101()
#endif
{

{obj_t PORT_441_95;
PORT_441_95=open_output_string();if( OUTPUT_PORTP( PORT_441_95 ))
{
{obj_t g1006_443_92;
{
g1006_443_92=__GLOBAL_ENV__CNST_READ_ALLOC_211;
{_g1007_442_110:

if( PAIRP( g1006_443_92 ))
{
{obj_t CNST_444_58;
CNST_444_58=CAR( g1006_443_92 );{
WRITE_CNST_CNST_READ_ALLOC_95( CNST_444_58, PORT_441_95 );
{obj_t VA_ARG_752_162;
VA_ARG_752_162=MAKE_PAIR( PORT_441_95, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ' ' ), VA_ARG_752_162 );}
}}
{obj_t C_CDR_642_182;
C_CDR_642_182=CDR( g1006_443_92 );{
g1006_443_92=C_CDR_642_182;
goto _g1007_442_110;
}}
}else
BTRUE;}
}}
return close_output_port( PORT_441_95 );
}else
FAILURE( CNST_TABLE_REF( 32 ), CNST_TABLE_REF( 33 ), PORT_441_95 );}
}

static obj_t
#if defined( __STDC__ )
WRITE_CNST_CNST_READ_ALLOC_95(obj_t CNST_445_22,obj_t PORT_446_192)
#else
WRITE_CNST_CNST_READ_ALLOC_95( CNST_445_22, PORT_446_192 )
obj_t CNST_445_22, PORT_446_192;
#endif
{

if( VECTORP( CNST_445_22 ))
{
{obj_t VA_ARG_755_109;
VA_ARG_755_109=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '#' ), VA_ARG_755_109 );}
{obj_t TAG_447_181;
TAG_447_181=VECTOR_TAG( CNST_445_22 );if( GT_I( TAG_447_181, BINT( 0 ) ))
if( GE_I( TAG_447_181, BINT( 100 ) ))
{obj_t VA_ARG_756_205;
VA_ARG_756_205=MAKE_PAIR( PORT_446_192, BNIL );WRITE___R4_OUTPUT_6_10_3_23( TAG_447_181, VA_ARG_756_205 );}else
{
{obj_t VA_ARG_757_180;
VA_ARG_757_180=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '0' ), VA_ARG_757_180 );}
if( GE_I( TAG_447_181, BINT( 10 ) ))
{obj_t VA_ARG_758_96;
VA_ARG_758_96=MAKE_PAIR( PORT_446_192, BNIL );WRITE___R4_OUTPUT_6_10_3_23( TAG_447_181, VA_ARG_758_96 );}else
{
{obj_t VA_ARG_759_227;
VA_ARG_759_227=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '0' ), VA_ARG_759_227 );}
{obj_t VA_ARG_760_175;
VA_ARG_760_175=MAKE_PAIR( PORT_446_192, BNIL );WRITE___R4_OUTPUT_6_10_3_23( TAG_447_181, VA_ARG_760_175 );}
}
}else
BFALSE;}
{obj_t VA_ARG_761_195;
VA_ARG_761_195=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '(' ), VA_ARG_761_195 );}
{obj_t LEN_448_120;
LEN_448_120=VECTOR_LENGTH( CNST_445_22 );{obj_t I_450_111;
{
I_450_111=BINT( 0 );
{_LOOP_449_65:

if( EQ_I( I_450_111, LEN_448_120 ))
{obj_t VA_ARG_762_100;
VA_ARG_762_100=MAKE_PAIR( PORT_446_192, BNIL );return WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ')' ), VA_ARG_762_100 );}else
{
{obj_t C_VECTOR_REF_655_179;
C_VECTOR_REF_655_179=VECTOR_REF( CNST_445_22, I_450_111 );WRITE_CNST_CNST_READ_ALLOC_95( C_VECTOR_REF_655_179, PORT_446_192 );}
{obj_t VA_ARG_763_99;
VA_ARG_763_99=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ' ' ), VA_ARG_763_99 );}
{obj_t I_806_10;
I_806_10=I_450_111;{
I_450_111=ADD_I_PTAG( I_806_10, PSUB_TAG( 1 ) );
goto _LOOP_449_65;
}}
}}
}}}
}else
if( STRINGP( CNST_445_22 ))
{
{obj_t VA_ARG_764_166;
VA_ARG_764_166=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '#' ), VA_ARG_764_166 );}
return WRITE_C_STRING_TOOLS_STRINGS_0( PORT_446_192, CNST_445_22 );
}else
if( PAIRP( CNST_445_22 ))
{
{obj_t VA_ARG_765_80;
VA_ARG_765_80=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( '(' ), VA_ARG_765_80 );}
{obj_t CNST_452_124;
{
CNST_452_124=CNST_445_22;
{_LOOP_451_40:

if( NULLP( CNST_452_124 ))
{obj_t VA_ARG_766_50;
VA_ARG_766_50=MAKE_PAIR( PORT_446_192, BNIL );return WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ')' ), VA_ARG_766_50 );}else
if( PAIRP( CNST_452_124 ))
{
{obj_t C_CAR_658_70;
C_CAR_658_70=CAR( CNST_452_124 );WRITE_CNST_CNST_READ_ALLOC_95( C_CAR_658_70, PORT_446_192 );}
{obj_t VA_ARG_767_34;
VA_ARG_767_34=MAKE_PAIR( PORT_446_192, BNIL );WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ' ' ), VA_ARG_767_34 );}
{obj_t C_CDR_659_243;
C_CDR_659_243=CDR( CNST_452_124 );{
CNST_452_124=C_CDR_659_243;
goto _LOOP_451_40;
}}
}else
{
{obj_t STRING_CAST_768_29;
STRING_CAST_768_29=CNST_TABLE_REF( 34 );{obj_t VA_ARG_769_33;
VA_ARG_769_33=MAKE_PAIR( PORT_446_192, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( STRING_CAST_768_29, VA_ARG_769_33 );}}
WRITE_CNST_CNST_READ_ALLOC_95( CNST_452_124, PORT_446_192 );
{obj_t VA_ARG_770_138;
VA_ARG_770_138=MAKE_PAIR( PORT_446_192, BNIL );return WRITE_CHAR___R4_OUTPUT_6_10_3_116( BCHAR( ')' ), VA_ARG_770_138 );}
}}
}}
}else
{obj_t VA_ARG_771_170;
VA_ARG_771_170=MAKE_PAIR( PORT_446_192, BNIL );return WRITE___R4_OUTPUT_6_10_3_23( CNST_445_22, VA_ARG_771_170 );}
}

