/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Engine/path.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __GET_INC_DIR_ENGINE_PATH_224(obj_t);
#else
extern obj_t __GET_INC_DIR_ENGINE_PATH_224();
#endif
obj_t GET_INC_DIR_ENV_ENGINE_PATH_153 = BUNSPEC;
extern obj_t DEFAULT_C_COMPILER_ENGINE_PATH_252();
obj_t DEFAULT_C_COMPILER_ENV_ENGINE_PATH_66 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __GET_LIB_DIR_ENGINE_PATH_77(obj_t);
#else
extern obj_t __GET_LIB_DIR_ENGINE_PATH_77();
#endif
static obj_t REQUIRE_INITIALISATION__ENGINE_PATH_197 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __DEFAULT_C_COMPILER_ENGINE_PATH_192(obj_t);
#else
extern obj_t __DEFAULT_C_COMPILER_ENGINE_PATH_192();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t ENGINE_PATH_INITIALISATION_ENV_ENGINE_PATH_3 = BUNSPEC;
extern obj_t GET_INC_DIR_ENGINE_PATH_230();
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __ENGINE_PATH_INITIALISATION_ENGINE_PATH_59(obj_t);
#else
extern obj_t __ENGINE_PATH_INITIALISATION_ENGINE_PATH_59();
#endif
extern char * getenv();
extern obj_t GET_LIB_DIR_ENGINE_PATH_17();
obj_t GET_LIB_DIR_ENV_ENGINE_PATH_155 = BUNSPEC;
extern obj_t ENGINE_PATH_INITIALISATION_ENGINE_PATH_184();


obj_t
#if defined( __STDC__ )
ENGINE_PATH_INITIALISATION_ENGINE_PATH_184()
#else
ENGINE_PATH_INITIALISATION_ENGINE_PATH_184()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__ENGINE_PATH_197 ))
{
REQUIRE_INITIALISATION__ENGINE_PATH_197=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
ENGINE_PATH_INITIALISATION_ENV_ENGINE_PATH_3=make_fx_procedure( __ENGINE_PATH_INITIALISATION_ENGINE_PATH_59, 0, 0 );
GET_LIB_DIR_ENV_ENGINE_PATH_155=make_fx_procedure( __GET_LIB_DIR_ENGINE_PATH_77, 0, 0 );
GET_INC_DIR_ENV_ENGINE_PATH_153=make_fx_procedure( __GET_INC_DIR_ENGINE_PATH_224, 0, 0 );
DEFAULT_C_COMPILER_ENV_ENGINE_PATH_66=make_fx_procedure( __DEFAULT_C_COMPILER_ENGINE_PATH_192, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__ENGINE_PATH_INITIALISATION_ENGINE_PATH_59(obj_t ENV_234_76)
#else
__ENGINE_PATH_INITIALISATION_ENGINE_PATH_59( ENV_234_76 )
obj_t ENV_234_76;
#endif
{

return ENGINE_PATH_INITIALISATION_ENGINE_PATH_184();
}

obj_t
#if defined( __STDC__ )
GET_LIB_DIR_ENGINE_PATH_17()
#else
GET_LIB_DIR_ENGINE_PATH_17()
#endif
{

{obj_t LIB_ENV_222_25;
if( getenv( "BIGLOOLIB" ))
{char * AUX_240_127;
AUX_240_127=getenv( "BIGLOOLIB" );LIB_ENV_222_25=CSTRING_TO_BSTRING( AUX_240_127 );}else
LIB_ENV_222_25=BFALSE;if( STRINGP( LIB_ENV_222_25 ))
return LIB_ENV_222_25;else
{char * AUX_241_17;
AUX_241_17=LIBRARY_DIR();return CSTRING_TO_BSTRING( AUX_241_17 );}}
}

obj_t
#if defined( __STDC__ )
__GET_LIB_DIR_ENGINE_PATH_77(obj_t ENV_233_123)
#else
__GET_LIB_DIR_ENGINE_PATH_77( ENV_233_123 )
obj_t ENV_233_123;
#endif
{

return GET_LIB_DIR_ENGINE_PATH_17();
}

obj_t
#if defined( __STDC__ )
GET_INC_DIR_ENGINE_PATH_230()
#else
GET_INC_DIR_ENGINE_PATH_230()
#endif
{

{obj_t INC_ENV_223_31;
if( getenv( "BIGLOOINCLUDE" ))
{char * AUX_238_117;
AUX_238_117=getenv( "BIGLOOINCLUDE" );INC_ENV_223_31=CSTRING_TO_BSTRING( AUX_238_117 );}else
INC_ENV_223_31=BFALSE;if( STRINGP( INC_ENV_223_31 ))
return INC_ENV_223_31;else
{char * AUX_239_39;
AUX_239_39=INCLUDE_DIR();return CSTRING_TO_BSTRING( AUX_239_39 );}}
}

obj_t
#if defined( __STDC__ )
__GET_INC_DIR_ENGINE_PATH_224(obj_t ENV_232_229)
#else
__GET_INC_DIR_ENGINE_PATH_224( ENV_232_229 )
obj_t ENV_232_229;
#endif
{

return GET_INC_DIR_ENGINE_PATH_230();
}

obj_t
#if defined( __STDC__ )
DEFAULT_C_COMPILER_ENGINE_PATH_252()
#else
DEFAULT_C_COMPILER_ENGINE_PATH_252()
#endif
{

{char * AUX_237_31;
AUX_237_31=CC();return CSTRING_TO_BSTRING( AUX_237_31 );}
}

obj_t
#if defined( __STDC__ )
__DEFAULT_C_COMPILER_ENGINE_PATH_192(obj_t ENV_231_152)
#else
__DEFAULT_C_COMPILER_ENGINE_PATH_192( ENV_231_152 )
obj_t ENV_231_152;
#endif
{

return DEFAULT_C_COMPILER_ENGINE_PATH_252();
}

