/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Expand/eps.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_EXPAND_EPS_33 = BUNSPEC;
extern obj_t LEAVE_FUNCTION_TOOLS_ERROR_116();
#if defined( __STDC__ )
extern obj_t __WITH_LEXICAL_EXPAND_EPS_226(obj_t, obj_t, obj_t);
#else
extern obj_t __WITH_LEXICAL_EXPAND_EPS_226();
#endif
obj_t COMPTIME_EXPAND_ONCE_ENV_EXPAND_EPS_55 = BUNSPEC;
static obj_t INITIAL_EXPANDER_ENV_EXPAND_EPS_217 = BUNSPEC;
extern obj_t GET_COMPILER_EXPANDER___MACRO_69();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t PARTIAL_ERROR_TOOLS_ERROR_163();
extern obj_t __GENV__VAR_ENV_215;
obj_t ADD_MACRO__ENV_EXPAND_EPS_48 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
#if defined( __STDC__ )
extern obj_t __ADD_MACRO__EXPAND_EPS_156(obj_t, obj_t);
#else
extern obj_t __ADD_MACRO__EXPAND_EPS_156();
#endif
#if defined( __STDC__ )
extern obj_t COMPTIME_EXPAND_EXPAND_EPS_213(obj_t);
#else
extern obj_t COMPTIME_EXPAND_EXPAND_EPS_213();
#endif
extern obj_t FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13();
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t __OENV__VAR_ENV_26;
#if defined( __STDC__ )
extern obj_t COMPTIME_EXPAND_ONCE_EXPAND_EPS_151(obj_t);
#else
extern obj_t COMPTIME_EXPAND_ONCE_EXPAND_EPS_151();
#endif
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
extern obj_t __COMPTIME_EXPAND_EXPAND_EPS_127(obj_t, obj_t);
#else
extern obj_t __COMPTIME_EXPAND_EXPAND_EPS_127();
#endif
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 17 ] ;
#if defined( __STDC__ )
extern obj_t __EXPAND_CODE_EXPAND_EPS_200(obj_t, obj_t);
#else
extern obj_t __EXPAND_CODE_EXPAND_EPS_200();
#endif
obj_t COMPTIME_EXPAND_ENV_EXPAND_EPS_227 = BUNSPEC;
extern obj_t SATISFY__TOOLS_TRACE_72();
static obj_t __LEXICAL_STACK__EXPAND_EPS_81 = BUNSPEC;
extern obj_t ENTER_FUNCTION_TOOLS_ERROR_110();
extern obj_t FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
extern obj_t GET_EVAL_EXPANDER___MACRO_224();
extern obj_t EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t PROCEDURE_0_EXPAND_EPS_97 = BUNSPEC;
extern obj_t FORCE_PROGN_TOOLS_PROGN_87();
static obj_t REQUIRE_INITIALISATION__EXPAND_EPS_105 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t WITH_LEXICAL_EXPAND_EPS_25(obj_t, obj_t);
#else
extern obj_t WITH_LEXICAL_EXPAND_EPS_25();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ADD_MACRO__EXPAND_EPS_124(obj_t);
#else
extern obj_t ADD_MACRO__EXPAND_EPS_124();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
static obj_t __IDENTIFIER_EXPANDER__ENV_EXPAND_EPS_252 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t INITIAL_EXPANDER_EXPAND_EPS_221(obj_t, obj_t);
#else
static obj_t INITIAL_EXPANDER_EXPAND_EPS_221();
#endif
#if defined( __STDC__ )
static obj_t __INITIAL_EXPANDER_EXPAND_EPS_178(obj_t, obj_t, obj_t);
#else
static obj_t __INITIAL_EXPANDER_EXPAND_EPS_178();
#endif
static obj_t __APPLICATION_EXPANDER__ENV_EXPAND_EPS_116 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
static obj_t __IDENTIFIER_EXPANDER__EXPAND_EPS_183(obj_t, obj_t);
#else
static obj_t __IDENTIFIER_EXPANDER__EXPAND_EPS_183();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_EPS_INITIALISATION_EXPAND_EPS_184(obj_t);
#else
extern obj_t __EXPAND_EPS_INITIALISATION_EXPAND_EPS_184();
#endif
obj_t WITH_LEXICAL_ENV_EXPAND_EPS_100 = BUNSPEC;
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
#if defined( __STDC__ )
extern obj_t __COMPTIME_EXPAND_ONCE_EXPAND_EPS_38(obj_t, obj_t);
#else
extern obj_t __COMPTIME_EXPAND_ONCE_EXPAND_EPS_38();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t PROCEDURE_2_EXPAND_EPS_121 = BUNSPEC;
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
extern obj_t EXPAND_CODE_EXPAND_EPS_244(obj_t);
#else
extern obj_t EXPAND_CODE_EXPAND_EPS_244();
#endif
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
#if defined( __STDC__ )
static obj_t ___IDENTIFIER_EXPANDER__EXPAND_EPS_70(obj_t, obj_t, obj_t);
#else
static obj_t ___IDENTIFIER_EXPANDER__EXPAND_EPS_70();
#endif
obj_t EXPAND_EPS_INITIALISATION_ENV_EXPAND_EPS_232 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ___APPLICATION_EXPANDER__EXPAND_EPS_77(obj_t, obj_t, obj_t);
#else
static obj_t ___APPLICATION_EXPANDER__EXPAND_EPS_77();
#endif
static obj_t __MACRO__EXPAND_EPS_242 = BUNSPEC;
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175();
obj_t EXPAND_CODE_ENV_EXPAND_EPS_238 = BUNSPEC;
#if defined( __STDC__ )
static obj_t __APPLICATION_EXPANDER__EXPAND_EPS_110(obj_t, obj_t);
#else
static obj_t __APPLICATION_EXPANDER__EXPAND_EPS_110();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t ___MACRO_INITIALISATION___MACRO_72();

static obj_t HANDLER_382_39();
static obj_t ESCAPE_402_1();
static obj_t ESCAPE_629_149();
static obj_t LAMBDA_1_0_385_28();
static obj_t ESCAPE_435_106();
static obj_t BODY_432_239();
static obj_t ESCAPE_637_85();
static obj_t ESCAPE_427_239();
static obj_t BODY_424_203();
static obj_t ESCAPE_642_229();
static obj_t ESCAPE_420_126();
static obj_t BODY_417_23();
static obj_t ESCAPE_647_120();
static obj_t LAMBDA_2_6_450_61();
static obj_t LAMBDA_2_7_455_207();
static obj_t LOOP_462_92();

obj_t
#if defined( __STDC__ )
EXPAND_EPS_INITIALISATION_EXPAND_EPS_123()
#else
EXPAND_EPS_INITIALISATION_EXPAND_EPS_123()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__EXPAND_EPS_105 ))
{
REQUIRE_INITIALISATION__EXPAND_EPS_105=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
___MACRO_INITIALISATION___MACRO_72();
VAR_ENV_INITIALISATION_VAR_ENV_78();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
DECLARE_CNST_TABLE( __cnst[ 17 ]  );
{obj_t PORT_707_94;
{obj_t AUX_726_122;
AUX_726_122=c_constant_string_to_string( "#\"Illegal form\" #\"application\" #\"Illegal form\" #\"()\" #\"initial-expander: \" #\" ==> \" #\" \" #\"J'expanse le code de: \" EPS IMPORT FUNCTION DONE DEFINE-EXPANDER DEFINE-MACRO GENV #\"Expand\" #\"   . Expand\" " );PORT_707_94=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_726_122 );}{obj_t OFFSET_708_180;
{
OFFSET_708_180=BINT( 16 );
{_LOOP_709_173:

if( LT_I( OFFSET_708_180, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_727_130;
AUX_727_130=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_707_94, BEOA );CNST_TABLE_SET( OFFSET_708_180, AUX_727_130 );}
{obj_t OFFSET_728_212;
OFFSET_728_212=OFFSET_708_180;{
OFFSET_708_180=SUB_I( OFFSET_728_212, BINT( 1 ) );
goto _LOOP_709_173;
}}
}}
}}}
PROCEDURE_2_EXPAND_EPS_121=make_fx_procedure( LAMBDA_2_7_455_207, 2, 0 );
PROCEDURE_1_EXPAND_EPS_33=make_fx_procedure( LAMBDA_2_6_450_61, 2, 0 );
PROCEDURE_0_EXPAND_EPS_97=make_fx_procedure( HANDLER_382_39, 4, 0 );
{
EXPAND_EPS_INITIALISATION_ENV_EXPAND_EPS_232=make_fx_procedure( __EXPAND_EPS_INITIALISATION_EXPAND_EPS_184, 0, 0 );
ADD_MACRO__ENV_EXPAND_EPS_48=make_fx_procedure( __ADD_MACRO__EXPAND_EPS_156, 1, 0 );
WITH_LEXICAL_ENV_EXPAND_EPS_100=make_fx_procedure( __WITH_LEXICAL_EXPAND_EPS_226, 2, 0 );
EXPAND_CODE_ENV_EXPAND_EPS_238=make_fx_procedure( __EXPAND_CODE_EXPAND_EPS_200, 1, 0 );
COMPTIME_EXPAND_ENV_EXPAND_EPS_227=make_fx_procedure( __COMPTIME_EXPAND_EXPAND_EPS_127, 1, 0 );
INITIAL_EXPANDER_ENV_EXPAND_EPS_217=make_fx_procedure( __INITIAL_EXPANDER_EXPAND_EPS_178, 2, 0 );
COMPTIME_EXPAND_ONCE_ENV_EXPAND_EPS_55=make_fx_procedure( __COMPTIME_EXPAND_ONCE_EXPAND_EPS_38, 1, 0 );
__IDENTIFIER_EXPANDER__ENV_EXPAND_EPS_252=make_fx_procedure( ___IDENTIFIER_EXPANDER__EXPAND_EPS_70, 2, 0 );
__APPLICATION_EXPANDER__ENV_EXPAND_EPS_116=make_fx_procedure( ___APPLICATION_EXPANDER__EXPAND_EPS_77, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__MACRO__EXPAND_EPS_242=BNIL;
__LEXICAL_STACK__EXPAND_EPS_81=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__EXPAND_EPS_INITIALISATION_EXPAND_EPS_184(obj_t ENV_698_176)
#else
__EXPAND_EPS_INITIALISATION_EXPAND_EPS_184( ENV_698_176 )
obj_t ENV_698_176;
#endif
{

return EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
}

obj_t
#if defined( __STDC__ )
ADD_MACRO__EXPAND_EPS_124(obj_t FORM_376_20)
#else
ADD_MACRO__EXPAND_EPS_124( FORM_376_20 )
obj_t FORM_376_20;
#endif
{

{obj_t OBJ2_536_172;
OBJ2_536_172=__MACRO__EXPAND_EPS_242;__MACRO__EXPAND_EPS_242=MAKE_PAIR( FORM_376_20, OBJ2_536_172 );}
}

obj_t
#if defined( __STDC__ )
__ADD_MACRO__EXPAND_EPS_156(obj_t ENV_697_254,obj_t FORM_376_20)
#else
__ADD_MACRO__EXPAND_EPS_156( ENV_697_254, FORM_376_20 )
obj_t ENV_697_254, FORM_376_20;
#endif
{

return ADD_MACRO__EXPAND_EPS_124( FORM_376_20 );
}

obj_t
#if defined( __STDC__ )
WITH_LEXICAL_EXPAND_EPS_25(obj_t NEW_377_132,obj_t THUNK_378_176)
#else
WITH_LEXICAL_EXPAND_EPS_25( NEW_377_132, THUNK_378_176 )
obj_t NEW_377_132, THUNK_378_176;
#endif
{

{obj_t OLD_LEXICAL_STACK_379_191;
OLD_LEXICAL_STACK_379_191=__LEXICAL_STACK__EXPAND_EPS_81;{
__LEXICAL_STACK__EXPAND_EPS_81=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( NEW_377_132, __LEXICAL_STACK__EXPAND_EPS_81 );
{obj_t RES_380_240;
RES_380_240=PROCEDURE_ENTRY( THUNK_378_176 )( THUNK_378_176, BEOA );{
__LEXICAL_STACK__EXPAND_EPS_81=OLD_LEXICAL_STACK_379_191;
return RES_380_240;
}}
}}
}

obj_t
#if defined( __STDC__ )
__WITH_LEXICAL_EXPAND_EPS_226(obj_t ENV_696_41,obj_t NEW_377_132,obj_t THUNK_378_176)
#else
__WITH_LEXICAL_EXPAND_EPS_226( ENV_696_41, NEW_377_132, THUNK_378_176 )
obj_t ENV_696_41, NEW_377_132, THUNK_378_176;
#endif
{

return WITH_LEXICAL_EXPAND_EPS_25( NEW_377_132, THUNK_378_176 );
}

obj_t
#if defined( __STDC__ )
EXPAND_CODE_EXPAND_EPS_244(obj_t SCHEMES_381_255)
#else
EXPAND_CODE_EXPAND_EPS_244( SCHEMES_381_255 )
obj_t SCHEMES_381_255;
#endif
{

{obj_t HANDLER_ENV_674_97;
HANDLER_ENV_674_97=PROCEDURE_0_EXPAND_EPS_97;{
{obj_t VA_ARG_618_110;
VA_ARG_618_110=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_619_25;
{obj_t STRING_CAST_620_68;
STRING_CAST_620_68=CNST_TABLE_REF( 0 );VA_ARG_619_25=MAKE_PAIR( STRING_CAST_620_68, VA_ARG_618_110 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_619_25 );}}
{obj_t g1000_384_182;
{
g1000_384_182=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( __MACRO__EXPAND_EPS_242 );
{_g1001_383_64:

if( PAIRP( g1000_384_182 ))
{
{obj_t X_538_165;
X_538_165=CAR( g1000_384_182 );{obj_t A_FUNCTION_621_28;
A_FUNCTION_621_28=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;INITIAL_EXPANDER_EXPAND_EPS_221( X_538_165, A_FUNCTION_621_28 );}}
{obj_t C_CDR_539_182;
C_CDR_539_182=CDR( g1000_384_182 );{
g1000_384_182=C_CDR_539_182;
goto _g1001_383_64;
}}
}else
BTRUE;}
}}
{obj_t STRING_CAST_622_169;
STRING_CAST_622_169=CNST_TABLE_REF( 1 );START_PARTIAL_ERROR_TOOLS_ERROR_175( STRING_CAST_622_169 );}
{obj_t LAMBDA_1_0_ENV_688_69;
LAMBDA_1_0_ENV_688_69=make_fx_procedure( LAMBDA_1_0_385_28, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_688_69, 0, HANDLER_ENV_674_97 );
{obj_t A_FUNCTION_633_22;
A_FUNCTION_633_22=LAMBDA_1_0_ENV_688_69;WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_633_22, __GENV__VAR_ENV_215, CNST_TABLE_REF( 2 ) );}
}}
{obj_t RES_408_14;
{obj_t SCHEMES_410_149, RES_411_31;
{
RES_411_31=BNIL;
SCHEMES_410_149=SCHEMES_381_255;
{_LOOP_409_167:

if( NULLP( SCHEMES_410_149 ))
RES_408_14=RES_411_31;else
{{obj_t E_104_415_97;
E_104_415_97=CAR( SCHEMES_410_149 );if( PAIRP( E_104_415_97 ))
{obj_t OBJ1_591_175;
OBJ1_591_175=CAR( E_104_415_97 );if( EQP( OBJ1_591_175, CNST_TABLE_REF( 3 ) ))
{
{
{obj_t HANDLER_416_54;
HANDLER_416_54=HANDLER_ENV_674_97;{obj_t LAMBDA_STACK_418_123;
LAMBDA_STACK_418_123=GET_LAMBDA_STACK();{obj_t RES_419_37;
RES_419_37=ESCAPE_420_126( HANDLER_416_54, SCHEMES_410_149 );{
SET_LAMBDA_STACK( LAMBDA_STACK_418_123 );
RES_419_37;
}}}}
{obj_t C_CDR_590_187;
C_CDR_590_187=CDR( SCHEMES_410_149 );{
SCHEMES_410_149=C_CDR_590_187;
goto _LOOP_409_167;
}}
}}else
if( EQP( OBJ1_591_175, CNST_TABLE_REF( 4 ) ))
{
{
{obj_t HANDLER_423_216;
HANDLER_423_216=HANDLER_ENV_674_97;{obj_t LAMBDA_STACK_425_48;
LAMBDA_STACK_425_48=GET_LAMBDA_STACK();{obj_t RES_426_81;
RES_426_81=ESCAPE_427_239( HANDLER_423_216, SCHEMES_410_149 );{
SET_LAMBDA_STACK( LAMBDA_STACK_425_48 );
RES_426_81;
}}}}
{obj_t C_CDR_588_102;
C_CDR_588_102=CDR( SCHEMES_410_149 );{
SCHEMES_410_149=C_CDR_588_102;
goto _LOOP_409_167;
}}
}}else
{_TAG_103_414_111:

{obj_t NEW_BODY_430_212;
{obj_t HANDLER_431_1;
HANDLER_431_1=HANDLER_ENV_674_97;{obj_t LAMBDA_STACK_433_11;
LAMBDA_STACK_433_11=GET_LAMBDA_STACK();{obj_t RES_434_69;
RES_434_69=ESCAPE_435_106( HANDLER_431_1, SCHEMES_410_149 );{
SET_LAMBDA_STACK( LAMBDA_STACK_433_11 );
NEW_BODY_430_212=RES_434_69;
}}}}{obj_t C_CDR_585_155;
C_CDR_585_155=CDR( SCHEMES_410_149 );{obj_t C_CONS_586_11;
C_CONS_586_11=MAKE_PAIR( NEW_BODY_430_212, RES_411_31 );{
RES_411_31=C_CONS_586_11;
SCHEMES_410_149=C_CDR_585_155;
goto _LOOP_409_167;
}}}}}}else
goto _TAG_103_414_111;}}}
}}{
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
return REVERSE____R4_PAIRS_AND_LISTS_6_3_134( RES_408_14 );
}}
}}
}

obj_t
#if defined( __STDC__ )
__EXPAND_CODE_EXPAND_EPS_200(obj_t ENV_695_198,obj_t SCHEMES_381_255)
#else
__EXPAND_CODE_EXPAND_EPS_200( ENV_695_198, SCHEMES_381_255 )
obj_t ENV_695_198, SCHEMES_381_255;
#endif
{

return EXPAND_CODE_EXPAND_EPS_244( SCHEMES_381_255 );
}

static obj_t
#if defined( __STDC__ )
HANDLER_382_39(obj_t HANDLER_ENV_694_6,obj_t ESCAPE_439_3,obj_t PROC_440_24,obj_t MES_441_203,obj_t OBJ_442_218)
#else
HANDLER_382_39( HANDLER_ENV_694_6, ESCAPE_439_3, PROC_440_24, MES_441_203, OBJ_442_218 )
obj_t HANDLER_ENV_694_6, ESCAPE_439_3, PROC_440_24, MES_441_203, OBJ_442_218;
#endif
{

{
PARTIAL_ERROR_TOOLS_ERROR_163( PROC_440_24, MES_441_203, OBJ_442_218 );
return BNIL;
}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_402_1(obj_t HANDLER_692_40,obj_t VAR_693_95)
#else
ESCAPE_402_1( HANDLER_692_40, VAR_693_95 )
obj_t HANDLER_692_40, VAR_693_95;
#endif
{

{obj_t ESCAPE_CONT_675_42;
jmp_buf JMP_BUF_724_229;{if( SETJMP( (JMP_BUF *)JMP_BUF_724_229 ) )return __ContinueValue;
else
ESCAPE_CONT_675_42=((obj_t)JMP_BUF_724_229);}{{obj_t ESCAPE_ENV_690_54;
ESCAPE_ENV_690_54=make_fx_procedure( ESCAPE_629_149, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_690_54, 2, HANDLER_692_40 );
PROCEDURE_ENV_SET( ESCAPE_ENV_690_54, 1, VAR_693_95 );
PROCEDURE_ENV_SET( ESCAPE_ENV_690_54, 0, ESCAPE_CONT_675_42 );
{
{obj_t A_FUNCTION_630_78;
A_FUNCTION_630_78=ESCAPE_ENV_690_54;ADD_ERROR_HANDLER____ERROR_27( HANDLER_692_40, A_FUNCTION_630_78 );}
{obj_t RES_403_125;
{
{obj_t X_568_161;
{obj_t S_569_91;
S_569_91=STRUCT_SLOT_REF( VAR_693_95, BINT( 6 ) );X_568_161=STRUCT_SLOT_REF( S_569_91, BINT( 4 ) );}{obj_t A_FUNCTION_627_115;
A_FUNCTION_627_115=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;{obj_t AUX_725_208;
AUX_725_208=INITIAL_EXPANDER_EXPAND_EPS_221( X_568_161, A_FUNCTION_627_115 );RES_403_125=FORCE_PROGN_TOOLS_PROGN_87( AUX_725_208 );}}}}{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_403_125;
}}
}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_629_149(obj_t ESCAPE_ENV_691_221,obj_t VAL_628_80)
#else
ESCAPE_629_149( ESCAPE_ENV_691_221, VAL_628_80 )
obj_t ESCAPE_ENV_691_221, VAL_628_80;
#endif
{

{obj_t VAR_389_56, HANDLER_398_227;
VAR_389_56=PROCEDURE_ENV_REF( ESCAPE_ENV_691_221, 1 );HANDLER_398_227=PROCEDURE_ENV_REF( ESCAPE_ENV_691_221, 2 );{__ContinueValue = VAL_628_80;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_691_221, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_385_28(obj_t LAMBDA_1_0_ENV_689_37,obj_t BUCKET_386_231)
#else
LAMBDA_1_0_385_28( LAMBDA_1_0_ENV_689_37, BUCKET_386_231 )
obj_t LAMBDA_1_0_ENV_689_37, BUCKET_386_231;
#endif
{

{obj_t HANDLER_ENV_674_97;
HANDLER_ENV_674_97=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_689_37, 0 );{obj_t BUCKET_388_249;
{
BUCKET_388_249=BUCKET_386_231;
{_LOOP_387_104:

if( NULLP( BUCKET_388_249 ))
return CNST_TABLE_REF( 5 );else
{obj_t VAR_389_56;
VAR_389_56=CAR( BUCKET_388_249 );{
{bool_t __andtest_1006_700_247;
{obj_t AUX_716_235;
{obj_t OBJ1_540_63;
OBJ1_540_63=STRUCT_SLOT_REF( VAR_389_56, BINT( 4 ) );AUX_716_235=CBOOL_TO_BBOOL( EQP( OBJ1_540_63, CNST_TABLE_REF( 6 ) ) );}__andtest_1006_700_247=BBOOL_TO_CBOOL( AUX_716_235 );}{if( __andtest_1006_700_247)
{bool_t __andtest_1007_701_169;
{obj_t AUX_717_222;
{obj_t OBJ1_542_37;
OBJ1_542_37=STRUCT_SLOT_REF( VAR_389_56, BINT( 3 ) );AUX_717_222=CBOOL_TO_BBOOL( EQP( OBJ1_542_37, CNST_TABLE_REF( 7 ) ) );}__andtest_1007_701_169=BBOOL_TO_CBOOL( AUX_717_222 );}if( __andtest_1007_701_169)
{bool_t __andtest_1008_703_69;
{obj_t AUX_718_76;
{bool_t OBJ_702_81;
OBJ_702_81=NULLP( STRUCT_SLOT_REF( VAR_389_56, BINT( 5 ) ) );AUX_718_76=CBOOL_TO_BBOOL( OBJ_702_81 );}__andtest_1008_703_69=BBOOL_TO_CBOOL( AUX_718_76 );}if( __andtest_1008_703_69)
{bool_t __andtest_1009_704_119;
{obj_t AUX_719_203;
{obj_t OBJ_547_133;
{obj_t S_548_177;
S_548_177=STRUCT_SLOT_REF( VAR_389_56, BINT( 6 ) );OBJ_547_133=STRUCT_SLOT_REF( S_548_177, BINT( 0 ) );}AUX_719_203=CBOOL_TO_BBOOL( BOOLEANP( OBJ_547_133 ) );}__andtest_1009_704_119=BBOOL_TO_CBOOL( AUX_719_203 );}if( __andtest_1009_704_119)
{obj_t S_551_225;
S_551_225=STRUCT_SLOT_REF( VAR_389_56, BINT( 6 ) );{bool_t C_STRUCT_REF_705_136;
C_STRUCT_REF_705_136=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_551_225, BINT( 0 ) ) );if( C_STRUCT_REF_705_136)
goto _true_9;else
goto _false_10;}}else
goto _false_10;}else
goto _false_10;}else
goto _false_10;}else
goto _false_10;_true_9:
{
{obj_t C_STRUCT_REF_554_80;
C_STRUCT_REF_554_80=STRUCT_SLOT_REF( VAR_389_56, BINT( 0 ) );ENTER_FUNCTION_TOOLS_ERROR_110( C_STRUCT_REF_554_80 );}
{obj_t AUX_720_64;
{obj_t AUX_721_121;
AUX_721_121=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 8 ) );AUX_720_64=SATISFY__TOOLS_TRACE_72( AUX_721_121 );}if( BBOOL_TO_CBOOL( AUX_720_64 ))
{
{obj_t g1002_395_244;
{obj_t L_557_207;
{obj_t STRING_CAST_624_107;
STRING_CAST_624_107=CNST_TABLE_REF( 9 );{obj_t C_CONS_565_202;
{obj_t C_STRUCT_REF_558_33;
C_STRUCT_REF_558_33=STRUCT_SLOT_REF( VAR_389_56, BINT( 0 ) );{obj_t C_CONS_564_217;
{obj_t STRING_CAST_625_177;
STRING_CAST_625_177=CNST_TABLE_REF( 10 );{obj_t C_CONS_563_165;
{obj_t S_559_81;
S_559_81=STRUCT_SLOT_REF( VAR_389_56, BINT( 6 ) );{obj_t C_STRUCT_REF_560_51;
C_STRUCT_REF_560_51=STRUCT_SLOT_REF( S_559_81, BINT( 4 ) );{obj_t C_CONS_562_19;
C_CONS_562_19=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_563_165=MAKE_PAIR( C_STRUCT_REF_560_51, C_CONS_562_19 );}}}C_CONS_564_217=MAKE_PAIR( STRING_CAST_625_177, C_CONS_563_165 );}}C_CONS_565_202=MAKE_PAIR( C_STRUCT_REF_558_33, C_CONS_564_217 );}}L_557_207=MAKE_PAIR( STRING_CAST_624_107, C_CONS_565_202 );}}{
g1002_395_244=L_557_207;
{_g1003_394_246:

if( PAIRP( g1002_395_244 ))
{
{obj_t A_396_10;
A_396_10=CAR( g1002_395_244 );{obj_t VA_ARG_623_26;
VA_ARG_623_26=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_396_10, VA_ARG_623_26 );}}
{obj_t C_CDR_555_89;
C_CDR_555_89=CDR( g1002_395_244 );{
g1002_395_244=C_CDR_555_89;
goto _g1003_394_246;
}}
}else
BTRUE;}
}}}
{obj_t PORT_567_218;
PORT_567_218=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_567_218 );}
}else
BFALSE;}
{obj_t NEW_BODY_397_109;
{obj_t HANDLER_398_227;
HANDLER_398_227=HANDLER_ENV_674_97;{obj_t LAMBDA_STACK_400_55;
LAMBDA_STACK_400_55=GET_LAMBDA_STACK();{obj_t RES_401_138;
RES_401_138=ESCAPE_402_1( HANDLER_398_227, VAR_389_56 );{
SET_LAMBDA_STACK( LAMBDA_STACK_400_55 );
NEW_BODY_397_109=RES_401_138;
}}}}{obj_t S_573_159;
S_573_159=STRUCT_SLOT_REF( VAR_389_56, BINT( 6 ) );STRUCT_SLOT_SET( S_573_159, BINT( 4 ), NEW_BODY_397_109 );}}
{obj_t AUX_722_72;
{obj_t AUX_723_77;
AUX_723_77=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 8 ) );AUX_722_72=SATISFY__TOOLS_TRACE_72( AUX_723_77 );}if( BBOOL_TO_CBOOL( AUX_722_72 ))
{
{obj_t g1004_406_67;
{obj_t L_576_150;
{obj_t STRING_CAST_632_83;
STRING_CAST_632_83=CNST_TABLE_REF( 11 );{obj_t C_CONS_581_193;
{obj_t S_577_89;
S_577_89=STRUCT_SLOT_REF( VAR_389_56, BINT( 6 ) );{obj_t C_STRUCT_REF_578_28;
C_STRUCT_REF_578_28=STRUCT_SLOT_REF( S_577_89, BINT( 4 ) );{obj_t C_CONS_580_239;
C_CONS_580_239=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_581_193=MAKE_PAIR( C_STRUCT_REF_578_28, C_CONS_580_239 );}}}L_576_150=MAKE_PAIR( STRING_CAST_632_83, C_CONS_581_193 );}}{
g1004_406_67=L_576_150;
{_g1005_405_14:

if( PAIRP( g1004_406_67 ))
{
{obj_t A_407_99;
A_407_99=CAR( g1004_406_67 );{obj_t VA_ARG_631_189;
VA_ARG_631_189=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_407_99, VA_ARG_631_189 );}}
{obj_t C_CDR_575_56;
C_CDR_575_56=CDR( g1004_406_67 );{
g1004_406_67=C_CDR_575_56;
goto _g1005_405_14;
}}
}else
BTRUE;}
}}}
{obj_t PORT_582_248;
PORT_582_248=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_582_248 );}
}else
BFALSE;}
{LEAVE_FUNCTION_TOOLS_ERROR_116();
goto _endif_11;}
}_false_10:
BFALSE;_endif_11:
;
}}
{obj_t C_CDR_583_9;
C_CDR_583_9=CDR( BUCKET_388_249 );{
BUCKET_388_249=C_CDR_583_9;
goto _LOOP_387_104;
}}
}}}
}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_435_106(obj_t HANDLER_686_116,obj_t SCHEMES_687_132)
#else
ESCAPE_435_106( HANDLER_686_116, SCHEMES_687_132 )
obj_t HANDLER_686_116, SCHEMES_687_132;
#endif
{

{obj_t ESCAPE_CONT_673_89;
jmp_buf JMP_BUF_715_231;{if( SETJMP( (JMP_BUF *)JMP_BUF_715_231 ) )return __ContinueValue;
else
ESCAPE_CONT_673_89=((obj_t)JMP_BUF_715_231);}{obj_t ESCAPE_ENV_684_186;
ESCAPE_ENV_684_186=make_fx_procedure( ESCAPE_637_85, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_684_186, 2, HANDLER_686_116 );
PROCEDURE_ENV_SET( ESCAPE_ENV_684_186, 1, SCHEMES_687_132 );
PROCEDURE_ENV_SET( ESCAPE_ENV_684_186, 0, ESCAPE_CONT_673_89 );
{
{obj_t A_FUNCTION_638_144;
A_FUNCTION_638_144=ESCAPE_ENV_684_186;ADD_ERROR_HANDLER____ERROR_27( HANDLER_686_116, A_FUNCTION_638_144 );}
{obj_t RES_436_23;
RES_436_23=BODY_432_239( SCHEMES_687_132 );{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_436_23;
}}
}
}}}
}

static obj_t
#if defined( __STDC__ )
BODY_432_239(obj_t SCHEMES_687_132)
#else
BODY_432_239( SCHEMES_687_132 )
obj_t SCHEMES_687_132;
#endif
{

{obj_t X_584_164;
X_584_164=CAR( SCHEMES_687_132 );{obj_t A_FUNCTION_635_103;
A_FUNCTION_635_103=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;return INITIAL_EXPANDER_EXPAND_EPS_221( X_584_164, A_FUNCTION_635_103 );}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_637_85(obj_t ESCAPE_ENV_685_67,obj_t VAL_636_228)
#else
ESCAPE_637_85( ESCAPE_ENV_685_67, VAL_636_228 )
obj_t ESCAPE_ENV_685_67, VAL_636_228;
#endif
{

{obj_t SCHEMES_410_149, HANDLER_431_1;
SCHEMES_410_149=PROCEDURE_ENV_REF( ESCAPE_ENV_685_67, 1 );HANDLER_431_1=PROCEDURE_ENV_REF( ESCAPE_ENV_685_67, 2 );{__ContinueValue = VAL_636_228;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_685_67, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_427_239(obj_t HANDLER_682_221,obj_t SCHEMES_683_110)
#else
ESCAPE_427_239( HANDLER_682_221, SCHEMES_683_110 )
obj_t HANDLER_682_221, SCHEMES_683_110;
#endif
{

{obj_t ESCAPE_CONT_672_9;
jmp_buf JMP_BUF_714_71;{if( SETJMP( (JMP_BUF *)JMP_BUF_714_71 ) )return __ContinueValue;
else
ESCAPE_CONT_672_9=((obj_t)JMP_BUF_714_71);}{obj_t ESCAPE_ENV_680_115;
ESCAPE_ENV_680_115=make_fx_procedure( ESCAPE_642_229, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_680_115, 2, HANDLER_682_221 );
PROCEDURE_ENV_SET( ESCAPE_ENV_680_115, 1, SCHEMES_683_110 );
PROCEDURE_ENV_SET( ESCAPE_ENV_680_115, 0, ESCAPE_CONT_672_9 );
{
ADD_ERROR_HANDLER____ERROR_27( HANDLER_682_221, ESCAPE_ENV_680_115 );
{obj_t RES_428_21;
RES_428_21=BODY_424_203( SCHEMES_683_110 );{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_428_21;
}}
}
}}}
}

static obj_t
#if defined( __STDC__ )
BODY_424_203(obj_t SCHEMES_683_110)
#else
BODY_424_203( SCHEMES_683_110 )
obj_t SCHEMES_683_110;
#endif
{

{obj_t A_FUNCTION_640_234;
A_FUNCTION_640_234=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;return INITIAL_EXPANDER_EXPAND_EPS_221( CAR( SCHEMES_683_110 ), A_FUNCTION_640_234 );}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_642_229(obj_t ESCAPE_ENV_681_48,obj_t VAL_641_7)
#else
ESCAPE_642_229( ESCAPE_ENV_681_48, VAL_641_7 )
obj_t ESCAPE_ENV_681_48, VAL_641_7;
#endif
{

{obj_t SCHEMES_410_149, HANDLER_423_216;
SCHEMES_410_149=PROCEDURE_ENV_REF( ESCAPE_ENV_681_48, 1 );HANDLER_423_216=PROCEDURE_ENV_REF( ESCAPE_ENV_681_48, 2 );{__ContinueValue = VAL_641_7;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_681_48, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_420_126(obj_t HANDLER_678_47,obj_t SCHEMES_679_211)
#else
ESCAPE_420_126( HANDLER_678_47, SCHEMES_679_211 )
obj_t HANDLER_678_47, SCHEMES_679_211;
#endif
{

{obj_t ESCAPE_CONT_671_61;
jmp_buf JMP_BUF_713_129;{if( SETJMP( (JMP_BUF *)JMP_BUF_713_129 ) )return __ContinueValue;
else
ESCAPE_CONT_671_61=((obj_t)JMP_BUF_713_129);}{obj_t ESCAPE_ENV_676_186;
ESCAPE_ENV_676_186=make_fx_procedure( ESCAPE_647_120, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_676_186, 2, HANDLER_678_47 );
PROCEDURE_ENV_SET( ESCAPE_ENV_676_186, 1, SCHEMES_679_211 );
PROCEDURE_ENV_SET( ESCAPE_ENV_676_186, 0, ESCAPE_CONT_671_61 );
{
ADD_ERROR_HANDLER____ERROR_27( HANDLER_678_47, ESCAPE_ENV_676_186 );
{obj_t RES_421_17;
RES_421_17=BODY_417_23( SCHEMES_679_211 );{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_421_17;
}}
}
}}}
}

static obj_t
#if defined( __STDC__ )
BODY_417_23(obj_t SCHEMES_679_211)
#else
BODY_417_23( SCHEMES_679_211 )
obj_t SCHEMES_679_211;
#endif
{

{obj_t A_FUNCTION_645_197;
A_FUNCTION_645_197=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;return INITIAL_EXPANDER_EXPAND_EPS_221( CAR( SCHEMES_679_211 ), A_FUNCTION_645_197 );}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_647_120(obj_t ESCAPE_ENV_677_67,obj_t VAL_646_36)
#else
ESCAPE_647_120( ESCAPE_ENV_677_67, VAL_646_36 )
obj_t ESCAPE_ENV_677_67, VAL_646_36;
#endif
{

{obj_t SCHEMES_410_149, HANDLER_416_54;
SCHEMES_410_149=PROCEDURE_ENV_REF( ESCAPE_ENV_677_67, 1 );HANDLER_416_54=PROCEDURE_ENV_REF( ESCAPE_ENV_677_67, 2 );{__ContinueValue = VAL_646_36;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_677_67, 0 ), (JMP_VAL)1 );}}
}

obj_t
#if defined( __STDC__ )
COMPTIME_EXPAND_EXPAND_EPS_213(obj_t X_443_83)
#else
COMPTIME_EXPAND_EXPAND_EPS_213( X_443_83 )
obj_t X_443_83;
#endif
{

{obj_t A_FUNCTION_649_40;
A_FUNCTION_649_40=INITIAL_EXPANDER_ENV_EXPAND_EPS_217;return INITIAL_EXPANDER_EXPAND_EPS_221( X_443_83, A_FUNCTION_649_40 );}
}

obj_t
#if defined( __STDC__ )
__COMPTIME_EXPAND_EXPAND_EPS_127(obj_t ENV_670_242,obj_t X_443_83)
#else
__COMPTIME_EXPAND_EXPAND_EPS_127( ENV_670_242, X_443_83 )
obj_t ENV_670_242, X_443_83;
#endif
{

return COMPTIME_EXPAND_EXPAND_EPS_213( X_443_83 );
}

static obj_t
#if defined( __STDC__ )
INITIAL_EXPANDER_EXPAND_EPS_221(obj_t X_444_176,obj_t E_445_124)
#else
INITIAL_EXPANDER_EXPAND_EPS_221( X_444_176, E_445_124 )
obj_t X_444_176, E_445_124;
#endif
{

{
{obj_t AUX_710_243;
{obj_t AUX_711_248;
AUX_711_248=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 8 ) );AUX_710_243=SATISFY__TOOLS_TRACE_72( AUX_711_248 );}if( BBOOL_TO_CBOOL( AUX_710_243 ))
{
{obj_t g1010_447_107;
{obj_t L_594_138;
{obj_t STRING_CAST_651_175;
STRING_CAST_651_175=CNST_TABLE_REF( 12 );{obj_t C_CONS_596_130;
{obj_t C_CONS_595_245;
C_CONS_595_245=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_596_130=MAKE_PAIR( X_444_176, C_CONS_595_245 );}L_594_138=MAKE_PAIR( STRING_CAST_651_175, C_CONS_596_130 );}}{
g1010_447_107=L_594_138;
{_g1011_446_28:

if( PAIRP( g1010_447_107 ))
{
{obj_t A_448_165;
A_448_165=CAR( g1010_447_107 );{obj_t VA_ARG_650_245;
VA_ARG_650_245=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_448_165, VA_ARG_650_245 );}}
{obj_t C_CDR_593_13;
C_CDR_593_13=CDR( g1010_447_107 );{
g1010_447_107=C_CDR_593_13;
goto _g1011_446_28;
}}
}else
BTRUE;}
}}}
{obj_t PORT_597_139;
PORT_597_139=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_597_139 );}
}else
BFALSE;}
{obj_t E1_449_161;
if( SYMBOLP( X_444_176 ))
E1_449_161=__IDENTIFIER_EXPANDER__ENV_EXPAND_EPS_252;else
if( NULLP( X_444_176 ))
{obj_t OBJECT_599_183;
OBJECT_599_183=BNIL;FAILURE( CNST_TABLE_REF( 13 ), CNST_TABLE_REF( 14 ), OBJECT_599_183 );}else
if( PAIRP( X_444_176 ))
{obj_t OBJ_600_88;
OBJ_600_88=CAR( X_444_176 );if( SYMBOLP( OBJ_600_88 ))
{obj_t B_453_242;
B_453_242=BUNSPEC;{{
B_453_242=GET_COMPILER_EXPANDER___MACRO_69( OBJ_600_88 );
if( BBOOL_TO_CBOOL( B_453_242 ))
goto _true_0;else
goto _false_1;
}_true_0:
{E1_449_161=B_453_242;
goto _endif_2;}_false_1:
{{
{obj_t C_CAR_602_88;
C_CAR_602_88=CAR( X_444_176 );B_453_242=GET_EVAL_EXPANDER___MACRO_224( C_CAR_602_88 );}
if( BBOOL_TO_CBOOL( B_453_242 ))
goto _true_3;else
goto _false_4;
}_true_3:
{E1_449_161=B_453_242;
goto _endif_5;}_false_4:
{obj_t C_CAR_603_133;
C_CAR_603_133=CAR( X_444_176 );{obj_t AUX_712_10;
AUX_712_10=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_603_133, __LEXICAL_STACK__EXPAND_EPS_81 );if( BBOOL_TO_CBOOL( AUX_712_10 ))
E1_449_161=__APPLICATION_EXPANDER__ENV_EXPAND_EPS_116;else
{{
{obj_t C_CAR_604_85;
C_CAR_604_85=CAR( X_444_176 );B_453_242=FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13( C_CAR_604_85, __OENV__VAR_ENV_26 );}
if( BBOOL_TO_CBOOL( B_453_242 ))
goto _true_6;else
goto _false_7;
}_true_6:
{obj_t S_605_39;
S_605_39=B_453_242;{E1_449_161=STRUCT_SLOT_REF( S_605_39, BINT( 1 ) );
goto _endif_8;}}_false_7:
E1_449_161=__APPLICATION_EXPANDER__ENV_EXPAND_EPS_116;_endif_8:
;
}}}_endif_5:
;
}_endif_2:
;
}}else
E1_449_161=__APPLICATION_EXPANDER__ENV_EXPAND_EPS_116;}else
{obj_t LAMBDA_2_6_ENV_667_245;
LAMBDA_2_6_ENV_667_245=PROCEDURE_1_EXPAND_EPS_33;E1_449_161=LAMBDA_2_6_ENV_667_245;}return PROCEDURE_ENTRY( E1_449_161 )( E1_449_161, X_444_176, E_445_124, BEOA );}
}
}

static obj_t
#if defined( __STDC__ )
__INITIAL_EXPANDER_EXPAND_EPS_178(obj_t ENV_669_200,obj_t X_444_176,obj_t E_445_124)
#else
__INITIAL_EXPANDER_EXPAND_EPS_178( ENV_669_200, X_444_176, E_445_124 )
obj_t ENV_669_200, X_444_176, E_445_124;
#endif
{

return INITIAL_EXPANDER_EXPAND_EPS_221( X_444_176, E_445_124 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_6_450_61(obj_t LAMBDA_2_6_ENV_668_105,obj_t X_451_159,obj_t E_452_9)
#else
LAMBDA_2_6_450_61( LAMBDA_2_6_ENV_668_105, X_451_159, E_452_9 )
obj_t LAMBDA_2_6_ENV_668_105, X_451_159, E_452_9;
#endif
{

return X_451_159;
}

obj_t
#if defined( __STDC__ )
COMPTIME_EXPAND_ONCE_EXPAND_EPS_151(obj_t X_454_9)
#else
COMPTIME_EXPAND_ONCE_EXPAND_EPS_151( X_454_9 )
obj_t X_454_9;
#endif
{

{obj_t LAMBDA_2_7_ENV_664_170;
LAMBDA_2_7_ENV_664_170=PROCEDURE_2_EXPAND_EPS_121;{obj_t A_FUNCTION_659_26;
A_FUNCTION_659_26=LAMBDA_2_7_ENV_664_170;return INITIAL_EXPANDER_EXPAND_EPS_221( X_454_9, A_FUNCTION_659_26 );}}
}

obj_t
#if defined( __STDC__ )
__COMPTIME_EXPAND_ONCE_EXPAND_EPS_38(obj_t ENV_666_120,obj_t X_454_9)
#else
__COMPTIME_EXPAND_ONCE_EXPAND_EPS_38( ENV_666_120, X_454_9 )
obj_t ENV_666_120, X_454_9;
#endif
{

return COMPTIME_EXPAND_ONCE_EXPAND_EPS_151( X_454_9 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_2_7_455_207(obj_t LAMBDA_2_7_ENV_665_138,obj_t X_456_3,obj_t E_457_159)
#else
LAMBDA_2_7_455_207( LAMBDA_2_7_ENV_665_138, X_456_3, E_457_159 )
obj_t LAMBDA_2_7_ENV_665_138, X_456_3, E_457_159;
#endif
{

return X_456_3;
}

static obj_t
#if defined( __STDC__ )
__IDENTIFIER_EXPANDER__EXPAND_EPS_183(obj_t X_458_201,obj_t E_459_102)
#else
__IDENTIFIER_EXPANDER__EXPAND_EPS_183( X_458_201, E_459_102 )
obj_t X_458_201, E_459_102;
#endif
{

return X_458_201;
}

static obj_t
#if defined( __STDC__ )
___IDENTIFIER_EXPANDER__EXPAND_EPS_70(obj_t ENV_663_229,obj_t X_458_201,obj_t E_459_102)
#else
___IDENTIFIER_EXPANDER__EXPAND_EPS_70( ENV_663_229, X_458_201, E_459_102 )
obj_t ENV_663_229, X_458_201, E_459_102;
#endif
{

return __IDENTIFIER_EXPANDER__EXPAND_EPS_183( X_458_201, E_459_102 );
}

static obj_t
#if defined( __STDC__ )
__APPLICATION_EXPANDER__EXPAND_EPS_110(obj_t X_460_120,obj_t E_461_103)
#else
__APPLICATION_EXPANDER__EXPAND_EPS_110( X_460_120, E_461_103 )
obj_t X_460_120, E_461_103;
#endif
{

return LOOP_462_92( E_461_103, X_460_120, X_460_120 );
}

static obj_t
#if defined( __STDC__ )
LOOP_462_92(obj_t E_461_103,obj_t X_460_120,obj_t X__463_162)
#else
LOOP_462_92( E_461_103, X_460_120, X__463_162 )
obj_t E_461_103, X_460_120, X__463_162;
#endif
{

if( PAIRP( X__463_162 ))
{obj_t OBJ2_608_232;
{obj_t C_CDR_611_117;
C_CDR_611_117=CDR( X__463_162 );OBJ2_608_232=LOOP_462_92( E_461_103, X_460_120, C_CDR_611_117 );}{obj_t OBJ1_607_54;
{obj_t C_CAR_610_45;
C_CAR_610_45=CAR( X__463_162 );OBJ1_607_54=PROCEDURE_ENTRY( E_461_103 )( E_461_103, C_CAR_610_45, E_461_103, BEOA );}return MAKE_PAIR( OBJ1_607_54, OBJ2_608_232 );}}else
if( NULLP( X__463_162 ))
return BNIL;else
FAILURE( CNST_TABLE_REF( 15 ), CNST_TABLE_REF( 16 ), X_460_120 );
}

static obj_t
#if defined( __STDC__ )
___APPLICATION_EXPANDER__EXPAND_EPS_77(obj_t ENV_662_123,obj_t X_460_120,obj_t E_461_103)
#else
___APPLICATION_EXPANDER__EXPAND_EPS_77( ENV_662_123, X_460_120, E_461_103 )
obj_t ENV_662_123, X_460_120, E_461_103;
#endif
{

return __APPLICATION_EXPANDER__EXPAND_EPS_110( X_460_120, E_461_103 );
}

