/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Foreign/access.c                                                  */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_45(obj_t);
#else
extern obj_t __FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_45();
#endif
obj_t FOREIGN_ACCESS_INITIALISATION_ENV_FOREIGN_ACCESS_249 = BUNSPEC;
extern obj_t _2____R4_NUMBERS_6_5_30();
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t ALL_TYPE_USED_DEFINED__FOREIGN_DECLARE_86();
extern obj_t c_substring();
extern obj_t FOREIGN_DECLARE_INITIALISATION_FOREIGN_DECLARE_78();
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t MISSING_FOREIGN_TYPE_FOREIGN_DECLARE_221();
extern obj_t PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t FOR_EACH_TYPE__FOREIGN_TOOLS_94();
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
#if defined( __STDC__ )
static obj_t MAKE_TYPE_ACCESS__FOREIGN_ACCESS_85(obj_t);
#else
static obj_t MAKE_TYPE_ACCESS__FOREIGN_ACCESS_85();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26();
#if defined( __STDC__ )
static obj_t MAKE_BOUND_ARRAY_ACCESS_FOREIGN_ACCESS_246(obj_t);
#else
static obj_t MAKE_BOUND_ARRAY_ACCESS_FOREIGN_ACCESS_246();
#endif
#if defined( __STDC__ )
static obj_t MAKE_UNBOUND_ARRAY_ACCESS_FOREIGN_ACCESS_248(obj_t);
#else
static obj_t MAKE_UNBOUND_ARRAY_ACCESS_FOREIGN_ACCESS_248();
#endif
extern obj_t PARSE_FOREIGN_PARSE_FOREIGN_99();
static obj_t __cnst[ 67 ] ;
obj_t MAKE_FOREIGN_ACCESS__ENV_FOREIGN_ACCESS_235 = BUNSPEC;
extern obj_t GET_TYPE_FOREIGN_TOOLS_48();
#if defined( __STDC__ )
extern obj_t MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10(obj_t);
#else
extern obj_t MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10();
#endif
extern obj_t FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50();
extern obj_t READ___READER_198;
static obj_t REQUIRE_INITIALISATION__FOREIGN_ACCESS_59 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
extern obj_t make_fx_procedure();
extern obj_t __UNSAFE_RANGE__ENGINE_PARAM_44;
#if defined( __STDC__ )
static obj_t MAKE_POINTER_ACCESS_FOREIGN_ACCESS_169(obj_t);
#else
static obj_t MAKE_POINTER_ACCESS_FOREIGN_ACCESS_169();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
extern obj_t __MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_203(obj_t, obj_t);
#else
extern obj_t __MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_203();
#endif
#if defined( __STDC__ )
static obj_t MAKE_STRUCT_ACCESS_FOREIGN_ACCESS_142(obj_t);
#else
static obj_t MAKE_STRUCT_ACCESS_FOREIGN_ACCESS_142();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_1_0_285_5();

obj_t
#if defined( __STDC__ )
FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50()
#else
FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__FOREIGN_ACCESS_59 ))
{
REQUIRE_INITIALISATION__FOREIGN_ACCESS_59=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
FOREIGN_DECLARE_INITIALISATION_FOREIGN_DECLARE_78();
PARSE_FOREIGN_INITIALISATION_PARSE_FOREIGN_221();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 67 ]  );
{obj_t PORT_1002_105;
{obj_t AUX_1162_64;
AUX_1162_64=c_constant_string_to_string( "PTR #\"BFOREIGN_TO_CFOREIGN\" #\"FOREIGN_ARRAY_SET\" #\"allocate_foreign\" #\"FOREIGN_ARRAY_REF\" #\"BFOREIGN_TO_CFOREIGN\" #\"FOREIGN_ARRAY_SET\" #\"FOREIGN_ARRAY_REF\" #\"array-ref\" #\"Illegal offset\" -REF LET -FX IF VECTOR-BOUND-CHECK? FAILURE #\"array-ref\" #\"Illegal offset\" _OFFSET TAB OFFSET VALUE #\"[ \" #\" ]\" AND C-FOREIGN? EQ? C-FOREIGN-ID #\"BFOREIGN_TO_CFOREIGN\" #\"FOREIGN_ARRAY_SET\" #\"FOREIGN_ARRAY_REF\" #\"allocate_foreign\" SET! REF MAKE- SIZEOF C-FOREIGN-IS? QUOTE DEFINE-INLINE O PRAGMA V #\"FOREIGN_STRUCT_SET\" OBJ #\"FOREIGN_STRUCT_REF\" C- -SET! - TYPE EXPORT DEFINE * FOREIGN #\"*\" -> #\"BFOREIGN_TO_CFOREIGN\" C-MAKE- BOBJ INT #\"allocate_foreign\" ? C-FOREIGN-POINTER C-FOREIGN-UNBOUND-ARRAY C-FOREIGN-BOUND-ARRAY C-FOREIGN-STRUCT #\"Some foreign type are used but not defined\" #\"foreign-end!\" " );PORT_1002_105=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1162_64 );}{obj_t OFFSET_1003_68;
{
OFFSET_1003_68=BINT( 66 );
{_LOOP_1004_204:

if( LT_I( OFFSET_1003_68, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1163_121;
AUX_1163_121=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1002_105, BEOA );CNST_TABLE_SET( OFFSET_1003_68, AUX_1163_121 );}
{obj_t OFFSET_1164_81;
OFFSET_1164_81=OFFSET_1003_68;{
OFFSET_1003_68=SUB_I( OFFSET_1164_81, BINT( 1 ) );
goto _LOOP_1004_204;
}}
}}
}}}
{
FOREIGN_ACCESS_INITIALISATION_ENV_FOREIGN_ACCESS_249=make_fx_procedure( __FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_45, 0, 0 );
MAKE_FOREIGN_ACCESS__ENV_FOREIGN_ACCESS_235=make_fx_procedure( __MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_203, 1, 0 );
{
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_45(obj_t ENV_998_198)
#else
__FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_45( ENV_998_198 )
obj_t ENV_998_198;
#endif
{

return FOREIGN_ACCESS_INITIALISATION_FOREIGN_ACCESS_50();
}

obj_t
#if defined( __STDC__ )
MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10(obj_t CODE_284_104)
#else
MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10( CODE_284_104 )
obj_t CODE_284_104;
#endif
{

{
CODE_284_104=MAKE_CELL( CODE_284_104 );
{obj_t AUX_1161_77;
AUX_1161_77=ALL_TYPE_USED_DEFINED__FOREIGN_DECLARE_86();if( BBOOL_TO_CBOOL( AUX_1161_77 ))
{
{obj_t LAMBDA_1_0_ENV_995_106;
LAMBDA_1_0_ENV_995_106=make_fx_procedure( LAMBDA_1_0_285_5, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_995_106, 0, CODE_284_104 );
{obj_t A_FUNCTION_500_207;
A_FUNCTION_500_207=LAMBDA_1_0_ENV_995_106;FOR_EACH_TYPE__FOREIGN_TOOLS_94( A_FUNCTION_500_207 );}
}}
return CELL_REF( CODE_284_104 );
}else
{obj_t OBJECT_386_208;
OBJECT_386_208=MISSING_FOREIGN_TYPE_FOREIGN_DECLARE_221();FAILURE( CNST_TABLE_REF( 0 ), CNST_TABLE_REF( 1 ), OBJECT_386_208 );}}
}
}

obj_t
#if defined( __STDC__ )
__MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_203(obj_t ENV_997_141,obj_t CODE_284_104)
#else
__MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_203( ENV_997_141, CODE_284_104 )
obj_t ENV_997_141, CODE_284_104;
#endif
{

return MAKE_FOREIGN_ACCESS__FOREIGN_ACCESS_10( CODE_284_104 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_285_5(obj_t LAMBDA_1_0_ENV_996_158,obj_t T_286_169)
#else
LAMBDA_1_0_285_5( LAMBDA_1_0_ENV_996_158, T_286_169 )
obj_t LAMBDA_1_0_ENV_996_158, T_286_169;
#endif
{

{obj_t CODE_284_104;
CODE_284_104=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_996_158, 0 );{obj_t AUX_1158_231;
{obj_t AUX_1160_72, AUX_1159_71;
AUX_1160_72=CELL_REF( CODE_284_104 );AUX_1159_71=MAKE_TYPE_ACCESS__FOREIGN_ACCESS_85( T_286_169 );AUX_1158_231=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_1159_71, AUX_1160_72 );}return CELL_SET( CODE_284_104, AUX_1158_231 );}}
}

static obj_t
#if defined( __STDC__ )
MAKE_TYPE_ACCESS__FOREIGN_ACCESS_85(obj_t T_287_234)
#else
MAKE_TYPE_ACCESS__FOREIGN_ACCESS_85( T_287_234 )
obj_t T_287_234;
#endif
{

{obj_t CASE_VALUE_288_216;
CASE_VALUE_288_216=STRUCT_SLOT_REF( T_287_234, BINT( 2 ) );if( EQP( CASE_VALUE_288_216, CNST_TABLE_REF( 2 ) ))
return MAKE_STRUCT_ACCESS_FOREIGN_ACCESS_142( T_287_234 );else
if( EQP( CASE_VALUE_288_216, CNST_TABLE_REF( 3 ) ))
return MAKE_BOUND_ARRAY_ACCESS_FOREIGN_ACCESS_246( T_287_234 );else
if( EQP( CASE_VALUE_288_216, CNST_TABLE_REF( 4 ) ))
return MAKE_UNBOUND_ARRAY_ACCESS_FOREIGN_ACCESS_248( T_287_234 );else
if( EQP( CASE_VALUE_288_216, CNST_TABLE_REF( 5 ) ))
return MAKE_POINTER_ACCESS_FOREIGN_ACCESS_169( T_287_234 );else
return BNIL;}
}

static obj_t
#if defined( __STDC__ )
MAKE_STRUCT_ACCESS_FOREIGN_ACCESS_142(obj_t TYPE_289_218)
#else
MAKE_STRUCT_ACCESS_FOREIGN_ACCESS_142( TYPE_289_218 )
obj_t TYPE_289_218;
#endif
{

{obj_t EXP_290_189;
EXP_290_189=STRUCT_SLOT_REF( TYPE_289_218, BINT( 3 ) );{obj_t ID_291_65;
ID_291_65=STRUCT_SLOT_REF( TYPE_289_218, BINT( 0 ) );{obj_t ID__292_253;
{obj_t VA_ARG_503_11;
VA_ARG_503_11=MAKE_PAIR( CNST_TABLE_REF( 6 ), BNIL );{obj_t VA_ARG_504_193;
VA_ARG_504_193=MAKE_PAIR( ID_291_65, VA_ARG_503_11 );ID__292_253=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_504_193 );}}{obj_t BTYPE_293_71;
BTYPE_293_71=STRUCT_SLOT_REF( TYPE_289_218, BINT( 4 ) );{obj_t PTYPE_294_220;
{obj_t PAIR_391_222;
PAIR_391_222=STRUCT_SLOT_REF( TYPE_289_218, BINT( 5 ) );PTYPE_294_220=CAR( PAIR_391_222 );}{obj_t BID_295_208;
BID_295_208=STRUCT_SLOT_REF( BTYPE_293_71, BINT( 0 ) );{obj_t NAME_SANS__296_107;
NAME_SANS__296_107=STRUCT_SLOT_REF( TYPE_289_218, BINT( 1 ) );{obj_t NAME__297_156;
NAME__297_156=STRUCT_SLOT_REF( PTYPE_294_220, BINT( 1 ) );{obj_t SID_298_39;
SID_298_39=STRUCT_SLOT_REF( PTYPE_294_220, BINT( 0 ) );{
{obj_t L_398_178;
{obj_t VA_ARG_505_239;
VA_ARG_505_239=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_506_101;
{obj_t STRING_CAST_513_84;
STRING_CAST_513_84=CNST_TABLE_REF( 7 );VA_ARG_506_101=MAKE_PAIR( STRING_CAST_513_84, VA_ARG_505_239 );}{obj_t VA_ARG_507_242;
{obj_t VA_ARG_511_67;
VA_ARG_511_67=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_512_28;
VA_ARG_512_28=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_511_67 );{obj_t AUX_1125_212;
AUX_1125_212=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_512_28 );VA_ARG_507_242=MAKE_PAIR( AUX_1125_212, VA_ARG_506_101 );}}}{obj_t VA_ARG_508_108;
{obj_t VA_ARG_509_191;
VA_ARG_509_191=MAKE_PAIR( ID_291_65, BNIL );{obj_t VA_ARG_510_186;
VA_ARG_510_186=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_509_191 );{obj_t AUX_1126_94;
AUX_1126_94=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_510_186 );VA_ARG_508_108=MAKE_PAIR( AUX_1126_94, VA_ARG_507_242 );}}}{obj_t C_CONS_400_126;
{obj_t VA_ARG_514_115;
VA_ARG_514_115=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_515_48;
{obj_t STRING_CAST_523_156;
STRING_CAST_523_156=CNST_TABLE_REF( 11 );VA_ARG_515_48=MAKE_PAIR( STRING_CAST_523_156, VA_ARG_514_115 );}{obj_t VA_ARG_516_2;
{obj_t VA_ARG_522_163;
VA_ARG_522_163=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1127_220;
AUX_1127_220=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_295_208, VA_ARG_522_163 );VA_ARG_516_2=MAKE_PAIR( AUX_1127_220, VA_ARG_515_48 );}}{obj_t VA_ARG_517_15;
{obj_t VA_ARG_519_57;
VA_ARG_519_57=MAKE_PAIR( ID_291_65, BNIL );{obj_t VA_ARG_520_222;
VA_ARG_520_222=MAKE_PAIR( CNST_TABLE_REF( 12 ), VA_ARG_519_57 );{obj_t VA_ARG_521_235;
VA_ARG_521_235=MAKE_PAIR( BID_295_208, VA_ARG_520_222 );{obj_t AUX_1128_13;
AUX_1128_13=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_521_235 );VA_ARG_517_15=MAKE_PAIR( AUX_1128_13, VA_ARG_516_2 );}}}}{obj_t VA_ARG_518_211;
VA_ARG_518_211=MAKE_PAIR( SID_298_39, VA_ARG_517_15 );{obj_t C_CONS_399_117;
{obj_t VA_ARG_524_219;
VA_ARG_524_219=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_525_10;
{obj_t STRING_CAST_532_114;
STRING_CAST_532_114=CNST_TABLE_REF( 13 );VA_ARG_525_10=MAKE_PAIR( STRING_CAST_532_114, VA_ARG_524_219 );}{obj_t VA_ARG_526_248;
{obj_t VA_ARG_531_143;
VA_ARG_531_143=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1129_32;
AUX_1129_32=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 14 ), VA_ARG_531_143 );VA_ARG_526_248=MAKE_PAIR( AUX_1129_32, VA_ARG_525_10 );}}{obj_t VA_ARG_527_243;
{obj_t VA_ARG_529_229;
VA_ARG_529_229=MAKE_PAIR( ID_291_65, BNIL );{obj_t VA_ARG_530_55;
VA_ARG_530_55=MAKE_PAIR( CNST_TABLE_REF( 15 ), VA_ARG_529_229 );{obj_t AUX_1130_246;
AUX_1130_246=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_530_55 );VA_ARG_527_243=MAKE_PAIR( AUX_1130_246, VA_ARG_526_248 );}}}{obj_t VA_ARG_528_123;
VA_ARG_528_123=MAKE_PAIR( ID_291_65, VA_ARG_527_243 );{obj_t AUX_1131_114;
AUX_1131_114=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_528_123 );C_CONS_399_117=MAKE_PAIR( AUX_1131_114, BNIL );}}}}}}{obj_t AUX_1132_62;
AUX_1132_62=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_518_211 );C_CONS_400_126=MAKE_PAIR( AUX_1132_62, C_CONS_399_117 );}}}}}}}{obj_t AUX_1133_179;
AUX_1133_179=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_295_208, VA_ARG_508_108 );L_398_178=MAKE_PAIR( AUX_1133_179, C_CONS_400_126 );}}}}}}PARSE_FOREIGN_PARSE_FOREIGN_99( L_398_178, CNST_TABLE_REF( 17 ) );}
{obj_t SLOT_300_249, EXP_301_12;
{obj_t L_424_138;
{obj_t VA_ARG_591_38;
VA_ARG_591_38=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_592_31;
{obj_t VA_ARG_596_216;
VA_ARG_596_216=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_597_52;
{obj_t VA_ARG_599_23;
VA_ARG_599_23=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_600_148;
VA_ARG_600_148=MAKE_PAIR( ID_291_65, VA_ARG_599_23 );{obj_t AUX_1134_96;
AUX_1134_96=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_600_148 );VA_ARG_597_52=MAKE_PAIR( AUX_1134_96, VA_ARG_596_216 );}}}{obj_t VA_ARG_598_63;
VA_ARG_598_63=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_597_52 );{obj_t AUX_1135_227;
AUX_1135_227=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 30 ), VA_ARG_598_63 );VA_ARG_592_31=MAKE_PAIR( AUX_1135_227, VA_ARG_591_38 );}}}}{obj_t VA_ARG_593_149;
{obj_t VA_ARG_594_135;
VA_ARG_594_135=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_595_0;
VA_ARG_595_0=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_594_135 );{obj_t AUX_1136_230;
AUX_1136_230=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID__292_253, VA_ARG_595_0 );VA_ARG_593_149=MAKE_PAIR( AUX_1136_230, VA_ARG_592_31 );}}}{obj_t C_CONS_425_119;
{obj_t VA_ARG_601_223;
VA_ARG_601_223=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_602_57;
{obj_t VA_ARG_607_213;
VA_ARG_607_213=MAKE_PAIR( ID_291_65, BNIL );{obj_t VA_ARG_608_210;
VA_ARG_608_210=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_607_213 );{obj_t VA_ARG_609_28;
VA_ARG_609_28=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_610_125;
{obj_t VA_ARG_614_140;
VA_ARG_614_140=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_615_51;
{obj_t VA_ARG_616_27;
VA_ARG_616_27=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_617_233;
VA_ARG_617_233=MAKE_PAIR( NAME_SANS__296_107, VA_ARG_616_27 );{obj_t AUX_1137_142;
AUX_1137_142=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_617_233 );VA_ARG_615_51=MAKE_PAIR( AUX_1137_142, VA_ARG_614_140 );}}}{obj_t AUX_1138_47;
AUX_1138_47=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 31 ), VA_ARG_615_51 );VA_ARG_610_125=MAKE_PAIR( AUX_1138_47, VA_ARG_609_28 );}}}{obj_t VA_ARG_611_118;
{obj_t VA_ARG_612_138;
VA_ARG_612_138=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_613_170;
VA_ARG_613_170=MAKE_PAIR( ID_291_65, VA_ARG_612_138 );{obj_t AUX_1139_109;
AUX_1139_109=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_613_170 );VA_ARG_611_118=MAKE_PAIR( AUX_1139_109, VA_ARG_610_125 );}}}{obj_t AUX_1140_141;
{obj_t AUX_1141_86;
AUX_1141_86=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_608_210 );AUX_1140_141=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1141_86, VA_ARG_611_118 );}VA_ARG_602_57=MAKE_PAIR( AUX_1140_141, VA_ARG_601_223 );}}}}}}{obj_t VA_ARG_603_211;
{obj_t VA_ARG_604_104;
VA_ARG_604_104=MAKE_PAIR( ID_291_65, BNIL );{obj_t VA_ARG_605_190;
VA_ARG_605_190=MAKE_PAIR( CNST_TABLE_REF( 32 ), VA_ARG_604_104 );{obj_t VA_ARG_606_49;
VA_ARG_606_49=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1142_176;
{obj_t AUX_1143_161;
AUX_1143_161=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_605_190 );AUX_1142_176=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1143_161, VA_ARG_606_49 );}VA_ARG_603_211=MAKE_PAIR( AUX_1142_176, VA_ARG_602_57 );}}}}{obj_t AUX_1144_128;
AUX_1144_128=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_603_211 );C_CONS_425_119=MAKE_PAIR( AUX_1144_128, BNIL );}}}}{obj_t AUX_1145_83;
AUX_1145_83=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_593_149 );L_424_138=MAKE_PAIR( AUX_1145_83, C_CONS_425_119 );}}}}}{
EXP_301_12=L_424_138;
SLOT_300_249=EXP_290_189;
{_LOOP_299_38:

if( NULLP( SLOT_300_249 ))
return EXP_301_12;else
{obj_t TNAME_306_140, SNAME_307_8;
{obj_t E_103_304_246;
E_103_304_246=CAR( SLOT_300_249 );if( PAIRP( E_103_304_246 ))
{obj_t CDR_109_305_166;
CDR_109_305_166=CDR( E_103_304_246 );if( PAIRP( CDR_109_305_166 ))
{obj_t OBJ2_421_213;
OBJ2_421_213=BNIL;{obj_t OBJ1_420_31;
OBJ1_420_31=CDR( CDR_109_305_166 );if( EQP( OBJ1_420_31, OBJ2_421_213 ))
{obj_t C_CAR_422_88;
C_CAR_422_88=CAR( E_103_304_246 );{obj_t C_CAR_423_133;
C_CAR_423_133=CAR( CDR_109_305_166 );{
SNAME_307_8=C_CAR_423_133;
TNAME_306_140=C_CAR_422_88;
{
{obj_t T_308_215;
T_308_215=GET_TYPE_FOREIGN_TOOLS_48( TNAME_306_140 );{obj_t NAME_309_129;
{obj_t STRING_403_163;
STRING_403_163=STRING_UPCASE___R4_STRINGS_6_7_251( SNAME_307_8 );NAME_309_129=c_string_to_symbol( BSTRING_TO_CSTRING( STRING_403_163 ) );}{obj_t BT_310_154;
{obj_t O_404_153;
O_404_153=STRUCT_SLOT_REF( T_308_215, BINT( 4 ) );{if( STRUCTP( O_404_153 ))
if( EQP( STRUCT_KEY( O_404_153 ), CNST_TABLE_REF( 18 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{BT_310_154=STRUCT_SLOT_REF( T_308_215, BINT( 4 ) );
goto _endif_2;}_false_1:
BT_310_154=T_308_215;_endif_2:
;
}}{obj_t REF_NAME_311_4;
{obj_t VA_ARG_533_105;
VA_ARG_533_105=MAKE_PAIR( NAME_309_129, BNIL );{obj_t VA_ARG_534_164;
VA_ARG_534_164=MAKE_PAIR( CNST_TABLE_REF( 19 ), VA_ARG_533_105 );{obj_t VA_ARG_535_29;
VA_ARG_535_29=MAKE_PAIR( ID_291_65, VA_ARG_534_164 );REF_NAME_311_4=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_535_29 );}}}{obj_t SET_NAME_312_82;
{obj_t VA_ARG_536_194;
VA_ARG_536_194=MAKE_PAIR( CNST_TABLE_REF( 20 ), BNIL );{obj_t VA_ARG_537_185;
VA_ARG_537_185=MAKE_PAIR( NAME_309_129, VA_ARG_536_194 );{obj_t VA_ARG_538_64;
VA_ARG_538_64=MAKE_PAIR( CNST_TABLE_REF( 19 ), VA_ARG_537_185 );{obj_t VA_ARG_539_121;
VA_ARG_539_121=MAKE_PAIR( ID_291_65, VA_ARG_538_64 );SET_NAME_312_82=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_539_121 );}}}}{obj_t C_REF_NAME_313_43;
{obj_t VA_ARG_540_119;
VA_ARG_540_119=MAKE_PAIR( REF_NAME_311_4, BNIL );{obj_t VA_ARG_541_132;
VA_ARG_541_132=MAKE_PAIR( CNST_TABLE_REF( 21 ), VA_ARG_540_119 );C_REF_NAME_313_43=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_541_132 );}}{obj_t C_SET_NAME_314_151;
{obj_t VA_ARG_542_174;
VA_ARG_542_174=MAKE_PAIR( SET_NAME_312_82, BNIL );{obj_t VA_ARG_543_97;
VA_ARG_543_97=MAKE_PAIR( CNST_TABLE_REF( 21 ), VA_ARG_542_174 );C_SET_NAME_314_151=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_543_97 );}}{
{obj_t L_408_94;
{obj_t VA_ARG_544_25;
VA_ARG_544_25=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_545_110;
{obj_t STRING_CAST_552_8;
STRING_CAST_552_8=CNST_TABLE_REF( 22 );VA_ARG_545_110=MAKE_PAIR( STRING_CAST_552_8, VA_ARG_544_25 );}{obj_t VA_ARG_546_14;
{obj_t VA_ARG_549_140;
VA_ARG_549_140=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_550_43;
VA_ARG_550_43=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_549_140 );{obj_t VA_ARG_551_196;
VA_ARG_551_196=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_550_43 );{obj_t AUX_1146_60;
AUX_1146_60=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_295_208, VA_ARG_551_196 );VA_ARG_546_14=MAKE_PAIR( AUX_1146_60, VA_ARG_545_110 );}}}}{obj_t VA_ARG_547_1;
VA_ARG_547_1=MAKE_PAIR( C_REF_NAME_313_43, VA_ARG_546_14 );{obj_t VA_ARG_548_51;
{obj_t C_STRUCT_REF_409_146;
C_STRUCT_REF_409_146=STRUCT_SLOT_REF( T_308_215, BINT( 0 ) );VA_ARG_548_51=MAKE_PAIR( C_STRUCT_REF_409_146, VA_ARG_547_1 );}{obj_t C_CONS_411_218;
{obj_t VA_ARG_553_247;
VA_ARG_553_247=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_554_212;
{obj_t STRING_CAST_562_79;
STRING_CAST_562_79=CNST_TABLE_REF( 24 );VA_ARG_554_212=MAKE_PAIR( STRING_CAST_562_79, VA_ARG_553_247 );}{obj_t VA_ARG_555_224;
{obj_t VA_ARG_558_32;
VA_ARG_558_32=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_559_13;
{obj_t C_STRUCT_REF_410_193;
C_STRUCT_REF_410_193=STRUCT_SLOT_REF( T_308_215, BINT( 0 ) );VA_ARG_559_13=MAKE_PAIR( C_STRUCT_REF_410_193, VA_ARG_558_32 );}{obj_t VA_ARG_560_13;
VA_ARG_560_13=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_559_13 );{obj_t VA_ARG_561_32;
VA_ARG_561_32=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_560_13 );{obj_t AUX_1147_66;
AUX_1147_66=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_295_208, VA_ARG_561_32 );VA_ARG_555_224=MAKE_PAIR( AUX_1147_66, VA_ARG_554_212 );}}}}}{obj_t VA_ARG_556_220;
VA_ARG_556_220=MAKE_PAIR( C_SET_NAME_314_151, VA_ARG_555_224 );{obj_t VA_ARG_557_94;
VA_ARG_557_94=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_556_220 );{obj_t AUX_1148_79;
AUX_1148_79=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_557_94 );C_CONS_411_218=MAKE_PAIR( AUX_1148_79, BNIL );}}}}}}{obj_t AUX_1149_46;
AUX_1149_46=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_548_51 );L_408_94=MAKE_PAIR( AUX_1149_46, C_CONS_411_218 );}}}}}}}PARSE_FOREIGN_PARSE_FOREIGN_99( L_408_94, CNST_TABLE_REF( 17 ) );}
{obj_t C_CDR_412_156;
C_CDR_412_156=CDR( SLOT_300_249 );{obj_t OBJ2_416_6;
{obj_t OBJ1_418_77;
{obj_t VA_ARG_563_187;
VA_ARG_563_187=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_564_18;
{obj_t VA_ARG_569_43;
VA_ARG_569_43=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_570_206;
VA_ARG_570_206=MAKE_PAIR( CNST_TABLE_REF( 25 ), VA_ARG_569_43 );{obj_t VA_ARG_571_35;
{obj_t VA_ARG_576_221;
VA_ARG_576_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_577_54;
VA_ARG_577_54=MAKE_PAIR( SNAME_307_8, VA_ARG_576_221 );{obj_t AUX_1150_153;
AUX_1150_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_577_54 );VA_ARG_571_35=MAKE_PAIR( AUX_1150_153, VA_ARG_570_206 );}}}{obj_t VA_ARG_572_116;
{obj_t VA_ARG_574_192;
VA_ARG_574_192=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_575_252;
VA_ARG_575_252=MAKE_PAIR( NAME__297_156, VA_ARG_574_192 );{obj_t AUX_1151_136;
AUX_1151_136=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_575_252 );VA_ARG_572_116=MAKE_PAIR( AUX_1151_136, VA_ARG_571_35 );}}}{obj_t VA_ARG_573_95;
VA_ARG_573_95=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_572_116 );{obj_t AUX_1152_111;
AUX_1152_111=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_SET_NAME_314_151, VA_ARG_573_95 );VA_ARG_564_18=MAKE_PAIR( AUX_1152_111, VA_ARG_563_187 );}}}}}}{obj_t VA_ARG_565_214;
{obj_t VA_ARG_566_84;
VA_ARG_566_84=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_567_226;
VA_ARG_567_226=MAKE_PAIR( CNST_TABLE_REF( 25 ), VA_ARG_566_84 );{obj_t VA_ARG_568_196;
VA_ARG_568_196=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_567_226 );{obj_t AUX_1153_182;
AUX_1153_182=CONS____R4_PAIRS_AND_LISTS_6_3_28( SET_NAME_312_82, VA_ARG_568_196 );VA_ARG_565_214=MAKE_PAIR( AUX_1153_182, VA_ARG_564_18 );}}}}OBJ1_418_77=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_565_214 );}}}OBJ2_416_6=MAKE_PAIR( OBJ1_418_77, EXP_301_12 );}{obj_t OBJ1_415_194;
{obj_t VA_ARG_578_85;
VA_ARG_578_85=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_579_178;
{obj_t VA_ARG_583_153;
VA_ARG_583_153=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_584_236;
{obj_t VA_ARG_589_19;
VA_ARG_589_19=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_590_44;
VA_ARG_590_44=MAKE_PAIR( SNAME_307_8, VA_ARG_589_19 );{obj_t AUX_1154_45;
AUX_1154_45=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_590_44 );VA_ARG_584_236=MAKE_PAIR( AUX_1154_45, VA_ARG_583_153 );}}}{obj_t VA_ARG_585_249;
{obj_t VA_ARG_587_45;
VA_ARG_587_45=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_588_165;
VA_ARG_588_165=MAKE_PAIR( NAME__297_156, VA_ARG_587_45 );{obj_t AUX_1155_244;
AUX_1155_244=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_588_165 );VA_ARG_585_249=MAKE_PAIR( AUX_1155_244, VA_ARG_584_236 );}}}{obj_t VA_ARG_586_244;
VA_ARG_586_244=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_585_249 );{obj_t AUX_1156_249;
AUX_1156_249=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_REF_NAME_313_43, VA_ARG_586_244 );VA_ARG_579_178=MAKE_PAIR( AUX_1156_249, VA_ARG_578_85 );}}}}}{obj_t VA_ARG_580_182;
{obj_t VA_ARG_581_111;
VA_ARG_581_111=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_582_136;
VA_ARG_582_136=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_581_111 );{obj_t AUX_1157_236;
AUX_1157_236=CONS____R4_PAIRS_AND_LISTS_6_3_28( REF_NAME_311_4, VA_ARG_582_136 );VA_ARG_580_182=MAKE_PAIR( AUX_1157_236, VA_ARG_579_178 );}}}OBJ1_415_194=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_580_182 );}}}{obj_t C_CONS_417_201;
C_CONS_417_201=MAKE_PAIR( OBJ1_415_194, OBJ2_416_6 );{
EXP_301_12=C_CONS_417_201;
SLOT_300_249=C_CDR_412_156;
goto _LOOP_299_38;
}}}}}
}}}}}}}}}
}}}else
{_TAG_102_303_190:

{obj_t C_CDR_401_214;
C_CDR_401_214=CDR( SLOT_300_249 );{
SLOT_300_249=C_CDR_401_214;
goto _LOOP_299_38;
}}}}}else
goto _TAG_102_303_190;}else
goto _TAG_102_303_190;}}}
}}}
}}}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_BOUND_ARRAY_ACCESS_FOREIGN_ACCESS_246(obj_t TYPE_315_254)
#else
MAKE_BOUND_ARRAY_ACCESS_FOREIGN_ACCESS_246( TYPE_315_254 )
obj_t TYPE_315_254;
#endif
{

{obj_t EXP_316_183;
EXP_316_183=STRUCT_SLOT_REF( TYPE_315_254, BINT( 3 ) );{obj_t ID_317_43;
ID_317_43=STRUCT_SLOT_REF( TYPE_315_254, BINT( 0 ) );{obj_t ID_REF_318_38;
{obj_t VA_ARG_618_110;
VA_ARG_618_110=MAKE_PAIR( CNST_TABLE_REF( 33 ), BNIL );{obj_t VA_ARG_619_25;
VA_ARG_619_25=MAKE_PAIR( ID_317_43, VA_ARG_618_110 );ID_REF_318_38=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_619_25 );}}{obj_t ID_SET__319_67;
{obj_t VA_ARG_620_145;
VA_ARG_620_145=MAKE_PAIR( CNST_TABLE_REF( 34 ), BNIL );{obj_t VA_ARG_621_16;
VA_ARG_621_16=MAKE_PAIR( ID_317_43, VA_ARG_620_145 );ID_SET__319_67=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_621_16 );}}{obj_t ID__320_68;
{obj_t VA_ARG_622_150;
VA_ARG_622_150=MAKE_PAIR( CNST_TABLE_REF( 6 ), BNIL );{obj_t VA_ARG_623_26;
VA_ARG_623_26=MAKE_PAIR( ID_317_43, VA_ARG_622_150 );ID__320_68=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_623_26 );}}{obj_t BTYPE_321_129;
BTYPE_321_129=STRUCT_SLOT_REF( TYPE_315_254, BINT( 4 ) );{obj_t BID_322_23;
BID_322_23=STRUCT_SLOT_REF( BTYPE_321_129, BINT( 0 ) );{obj_t TOF_323_192;
TOF_323_192=CAR( EXP_316_183 );{obj_t TOF_ID_324_162;
TOF_ID_324_162=STRUCT_SLOT_REF( TOF_323_192, BINT( 0 ) );{obj_t MIN_325_1;
{obj_t PAIR_432_113;
PAIR_432_113=CDR( EXP_316_183 );MIN_325_1=CAR( PAIR_432_113 );}{obj_t MAX_326_22;
{obj_t PAIR_434_251;
{obj_t PAIR_435_151;
PAIR_435_151=CDR( EXP_316_183 );PAIR_434_251=CDR( PAIR_435_151 );}MAX_326_22=CAR( PAIR_434_251 );}{obj_t NAME_SANS__327_161;
{obj_t END_440_104;
{obj_t STRING_443_240;
STRING_443_240=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );{obj_t AUX_1065_84;
AUX_1065_84=STRING_LENGTH( STRING_443_240 );END_440_104=_2____R4_NUMBERS_6_5_30( AUX_1065_84, BINT( 2 ) );}}{obj_t STRING_439_192;
STRING_439_192=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );NAME_SANS__327_161=c_substring( STRING_439_192, BINT( 0 ), END_440_104 );}}{
{obj_t L_445_94;
{obj_t VA_ARG_624_189;
VA_ARG_624_189=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_625_8;
{obj_t STRING_CAST_632_83;
STRING_CAST_632_83=CNST_TABLE_REF( 35 );VA_ARG_625_8=MAKE_PAIR( STRING_CAST_632_83, VA_ARG_624_189 );}{obj_t VA_ARG_626_33;
{obj_t VA_ARG_630_8;
VA_ARG_630_8=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_631_189;
VA_ARG_631_189=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_630_8 );{obj_t AUX_1066_214;
AUX_1066_214=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_631_189 );VA_ARG_626_33=MAKE_PAIR( AUX_1066_214, VA_ARG_625_8 );}}}{obj_t VA_ARG_627_4;
{obj_t VA_ARG_628_34;
VA_ARG_628_34=MAKE_PAIR( ID_317_43, BNIL );{obj_t VA_ARG_629_50;
VA_ARG_629_50=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_628_34 );{obj_t AUX_1067_18;
AUX_1067_18=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_629_50 );VA_ARG_627_4=MAKE_PAIR( AUX_1067_18, VA_ARG_626_33 );}}}{obj_t C_CONS_448_11;
{obj_t VA_ARG_633_33;
VA_ARG_633_33=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_634_16;
{obj_t STRING_CAST_641_234;
STRING_CAST_641_234=CNST_TABLE_REF( 36 );VA_ARG_634_16=MAKE_PAIR( STRING_CAST_641_234, VA_ARG_633_33 );}{obj_t VA_ARG_635_145;
{obj_t VA_ARG_638_100;
VA_ARG_638_100=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_639_99;
VA_ARG_639_99=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_638_100 );{obj_t VA_ARG_640_124;
VA_ARG_640_124=MAKE_PAIR( ID_317_43, VA_ARG_639_99 );{obj_t AUX_1068_204;
AUX_1068_204=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_640_124 );VA_ARG_635_145=MAKE_PAIR( AUX_1068_204, VA_ARG_634_16 );}}}}{obj_t VA_ARG_636_26;
VA_ARG_636_26=MAKE_PAIR( ID_REF_318_38, VA_ARG_635_145 );{obj_t VA_ARG_637_150;
VA_ARG_637_150=MAKE_PAIR( TOF_ID_324_162, VA_ARG_636_26 );{obj_t C_CONS_447_74;
{obj_t VA_ARG_642_172;
VA_ARG_642_172=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_643_144;
{obj_t STRING_CAST_651_175;
STRING_CAST_651_175=CNST_TABLE_REF( 37 );VA_ARG_643_144=MAKE_PAIR( STRING_CAST_651_175, VA_ARG_642_172 );}{obj_t VA_ARG_644_183;
{obj_t VA_ARG_647_157;
VA_ARG_647_157=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_648_22;
VA_ARG_648_22=MAKE_PAIR( TOF_ID_324_162, VA_ARG_647_157 );{obj_t VA_ARG_649_58;
VA_ARG_649_58=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_648_22 );{obj_t VA_ARG_650_245;
VA_ARG_650_245=MAKE_PAIR( ID_317_43, VA_ARG_649_58 );{obj_t AUX_1069_247;
AUX_1069_247=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_650_245 );VA_ARG_644_183=MAKE_PAIR( AUX_1069_247, VA_ARG_643_144 );}}}}}{obj_t VA_ARG_645_167;
VA_ARG_645_167=MAKE_PAIR( ID_SET__319_67, VA_ARG_644_183 );{obj_t VA_ARG_646_238;
VA_ARG_646_238=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_645_167 );{obj_t C_CONS_446_59;
{obj_t VA_ARG_652_122;
VA_ARG_652_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_653_130;
{obj_t STRING_CAST_661_140;
STRING_CAST_661_140=CNST_TABLE_REF( 38 );VA_ARG_653_130=MAKE_PAIR( STRING_CAST_661_140, VA_ARG_652_122 );}{obj_t VA_ARG_654_64;
{obj_t VA_ARG_660_88;
VA_ARG_660_88=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1070_61;
AUX_1070_61=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_322_23, VA_ARG_660_88 );VA_ARG_654_64=MAKE_PAIR( AUX_1070_61, VA_ARG_653_130 );}}{obj_t VA_ARG_655_121;
{obj_t VA_ARG_657_77;
VA_ARG_657_77=MAKE_PAIR( ID_317_43, BNIL );{obj_t VA_ARG_658_164;
VA_ARG_658_164=MAKE_PAIR( CNST_TABLE_REF( 12 ), VA_ARG_657_77 );{obj_t VA_ARG_659_29;
VA_ARG_659_29=MAKE_PAIR( BID_322_23, VA_ARG_658_164 );{obj_t AUX_1071_3;
AUX_1071_3=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_659_29 );VA_ARG_655_121=MAKE_PAIR( AUX_1071_3, VA_ARG_654_64 );}}}}{obj_t VA_ARG_656_72;
VA_ARG_656_72=MAKE_PAIR( ID_317_43, VA_ARG_655_121 );{obj_t AUX_1072_89;
AUX_1072_89=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_656_72 );C_CONS_446_59=MAKE_PAIR( AUX_1072_89, BNIL );}}}}}}{obj_t AUX_1073_9;
AUX_1073_9=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_646_238 );C_CONS_447_74=MAKE_PAIR( AUX_1073_9, C_CONS_446_59 );}}}}}}}{obj_t AUX_1074_42;
AUX_1074_42=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_637_150 );C_CONS_448_11=MAKE_PAIR( AUX_1074_42, C_CONS_447_74 );}}}}}}}{obj_t AUX_1075_155;
AUX_1075_155=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_322_23, VA_ARG_627_4 );L_445_94=MAKE_PAIR( AUX_1075_155, C_CONS_448_11 );}}}}}}PARSE_FOREIGN_PARSE_FOREIGN_99( L_445_94, CNST_TABLE_REF( 17 ) );}
{obj_t VA_ARG_662_154;
VA_ARG_662_154=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_663_250;
{obj_t VA_ARG_667_178;
VA_ARG_667_178=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_668_221;
{obj_t VA_ARG_672_175;
VA_ARG_672_175=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_673_195;
{obj_t VA_ARG_677_80;
VA_ARG_677_80=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_678_8;
VA_ARG_678_8=MAKE_PAIR( ID_317_43, VA_ARG_677_80 );{obj_t AUX_1076_159;
AUX_1076_159=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_678_8 );VA_ARG_673_195=MAKE_PAIR( AUX_1076_159, VA_ARG_672_175 );}}}{obj_t VA_ARG_674_50;
{obj_t VA_ARG_675_34;
VA_ARG_675_34=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_676_166;
VA_ARG_676_166=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_675_34 );{obj_t AUX_1077_93;
AUX_1077_93=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 39 ), VA_ARG_676_166 );VA_ARG_674_50=MAKE_PAIR( AUX_1077_93, VA_ARG_673_195 );}}}{obj_t AUX_1078_102;
AUX_1078_102=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 40 ), VA_ARG_674_50 );VA_ARG_668_221=MAKE_PAIR( AUX_1078_102, VA_ARG_667_178 );}}}}{obj_t VA_ARG_669_54;
{obj_t VA_ARG_670_100;
VA_ARG_670_100=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_671_99;
VA_ARG_671_99=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_670_100 );{obj_t AUX_1079_218;
AUX_1079_218=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 41 ), VA_ARG_671_99 );VA_ARG_669_54=MAKE_PAIR( AUX_1079_218, VA_ARG_668_221 );}}}{obj_t AUX_1080_107;
AUX_1080_107=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 42 ), VA_ARG_669_54 );VA_ARG_663_250=MAKE_PAIR( AUX_1080_107, VA_ARG_662_154 );}}}}{obj_t VA_ARG_664_237;
{obj_t VA_ARG_665_253;
VA_ARG_665_253=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_666_85;
VA_ARG_666_85=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_665_253 );{obj_t AUX_1081_177;
AUX_1081_177=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID__320_68, VA_ARG_666_85 );VA_ARG_664_237=MAKE_PAIR( AUX_1081_177, VA_ARG_663_250 );}}}{obj_t C_CONS_468_252;
{obj_t VA_ARG_679_189;
VA_ARG_679_189=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_680_168;
{obj_t VA_ARG_685_241;
VA_ARG_685_241=MAKE_PAIR( ID_317_43, BNIL );{obj_t VA_ARG_686_79;
VA_ARG_686_79=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_685_241 );{obj_t VA_ARG_687_46;
VA_ARG_687_46=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_688_60;
{obj_t VA_ARG_692_24;
VA_ARG_692_24=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_693_6;
{obj_t VA_ARG_694_92;
VA_ARG_694_92=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_695_91;
{obj_t VA_ARG_696_17;
{obj_t STRING_CAST_701_216;
STRING_CAST_701_216=CNST_TABLE_REF( 43 );VA_ARG_696_17=MAKE_PAIR( STRING_CAST_701_216, BNIL );}{obj_t VA_ARG_697_127;
{obj_t AUX_1082_197;
AUX_1082_197=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( ADD_I_PTAG( SUB_I( MAX_326_22, MIN_325_1 ), PSUB_TAG( 1 ) ), BNIL );VA_ARG_697_127=MAKE_PAIR( AUX_1082_197, VA_ARG_696_17 );}{obj_t VA_ARG_698_207;
{obj_t STRING_CAST_700_52;
STRING_CAST_700_52=CNST_TABLE_REF( 44 );VA_ARG_698_207=MAKE_PAIR( STRING_CAST_700_52, VA_ARG_697_127 );}{obj_t VA_ARG_699_225;
VA_ARG_699_225=MAKE_PAIR( NAME_SANS__327_161, VA_ARG_698_207 );{obj_t AUX_1083_87;
AUX_1083_87=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_699_225 );VA_ARG_695_91=MAKE_PAIR( AUX_1083_87, VA_ARG_694_92 );}}}}}{obj_t AUX_1084_68;
AUX_1084_68=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_695_91 );VA_ARG_693_6=MAKE_PAIR( AUX_1084_68, VA_ARG_692_24 );}}}{obj_t AUX_1085_56;
AUX_1085_56=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 31 ), VA_ARG_693_6 );VA_ARG_688_60=MAKE_PAIR( AUX_1085_56, VA_ARG_687_46 );}}}{obj_t VA_ARG_689_66;
{obj_t VA_ARG_690_20;
VA_ARG_690_20=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_691_81;
VA_ARG_691_81=MAKE_PAIR( ID_317_43, VA_ARG_690_20 );{obj_t AUX_1086_169;
AUX_1086_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_691_81 );VA_ARG_689_66=MAKE_PAIR( AUX_1086_169, VA_ARG_688_60 );}}}{obj_t AUX_1087_234;
{obj_t AUX_1088_73;
AUX_1088_73=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_686_79 );AUX_1087_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1088_73, VA_ARG_689_66 );}VA_ARG_680_168=MAKE_PAIR( AUX_1087_234, VA_ARG_679_189 );}}}}}}{obj_t VA_ARG_681_198;
{obj_t VA_ARG_682_41;
VA_ARG_682_41=MAKE_PAIR( ID_317_43, BNIL );{obj_t VA_ARG_683_254;
VA_ARG_683_254=MAKE_PAIR( CNST_TABLE_REF( 32 ), VA_ARG_682_41 );{obj_t VA_ARG_684_156;
VA_ARG_684_156=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1089_173;
{obj_t AUX_1090_120;
AUX_1090_120=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_683_254 );AUX_1089_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1090_120, VA_ARG_684_156 );}VA_ARG_681_198=MAKE_PAIR( AUX_1089_173, VA_ARG_680_168 );}}}}{obj_t C_CONS_467_237;
{obj_t C_CONS_466_253;
{obj_t AUX_1091_209;
if( BBOOL_TO_CBOOL( __UNSAFE_RANGE__ENGINE_PARAM_44 ))
{obj_t VA_ARG_752_162;
VA_ARG_752_162=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_753_53;
{obj_t VA_ARG_761_195;
VA_ARG_761_195=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_762_100;
VA_ARG_762_100=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_761_195 );{obj_t VA_ARG_763_99;
VA_ARG_763_99=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_762_100 );{obj_t VA_ARG_764_166;
VA_ARG_764_166=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_763_99 );{obj_t VA_ARG_765_80;
{obj_t VA_ARG_766_50;
VA_ARG_766_50=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_767_34;
{obj_t C_STRUCT_REF_462_130;
C_STRUCT_REF_462_130=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );VA_ARG_767_34=MAKE_PAIR( C_STRUCT_REF_462_130, VA_ARG_766_50 );}{obj_t AUX_1092_203;
AUX_1092_203=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_767_34 );VA_ARG_765_80=MAKE_PAIR( AUX_1092_203, VA_ARG_764_166 );}}}{obj_t AUX_1093_76;
AUX_1093_76=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_SET__319_67, VA_ARG_765_80 );VA_ARG_753_53=MAKE_PAIR( AUX_1093_76, VA_ARG_752_162 );}}}}}}{obj_t VA_ARG_754_47;
{obj_t VA_ARG_755_109;
VA_ARG_755_109=MAKE_PAIR( CNST_TABLE_REF( 20 ), BNIL );{obj_t VA_ARG_756_205;
VA_ARG_756_205=MAKE_PAIR( ID_317_43, VA_ARG_755_109 );{obj_t VA_ARG_757_180;
VA_ARG_757_180=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_758_96;
VA_ARG_758_96=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_757_180 );{obj_t VA_ARG_759_227;
VA_ARG_759_227=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_758_96 );{obj_t VA_ARG_760_175;
VA_ARG_760_175=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_759_227 );{obj_t AUX_1094_123;
{obj_t AUX_1095_229;
AUX_1095_229=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_756_205 );AUX_1094_123=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1095_229, VA_ARG_760_175 );}VA_ARG_754_47=MAKE_PAIR( AUX_1094_123, VA_ARG_753_53 );}}}}}}}AUX_1091_209=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_754_47 );}}}else
{obj_t VA_ARG_768_4;
VA_ARG_768_4=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_769_33;
{obj_t VA_ARG_777_51;
VA_ARG_777_51=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_778_1;
{obj_t VA_ARG_786_181;
VA_ARG_786_181=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_787_12;
{obj_t VA_ARG_800_54;
VA_ARG_800_54=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_801_221;
VA_ARG_801_221=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_800_54 );{obj_t VA_ARG_802_252;
{obj_t STRING_CAST_805_230;
STRING_CAST_805_230=CNST_TABLE_REF( 49 );VA_ARG_802_252=MAKE_PAIR( STRING_CAST_805_230, VA_ARG_801_221 );}{obj_t VA_ARG_803_192;
{obj_t STRING_CAST_804_142;
STRING_CAST_804_142=CNST_TABLE_REF( 50 );VA_ARG_803_192=MAKE_PAIR( STRING_CAST_804_142, VA_ARG_802_252 );}{obj_t AUX_1096_152;
AUX_1096_152=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 51 ), VA_ARG_803_192 );VA_ARG_787_12=MAKE_PAIR( AUX_1096_152, VA_ARG_786_181 );}}}}}{obj_t VA_ARG_788_144;
{obj_t VA_ARG_793_186;
VA_ARG_793_186=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_794_15;
VA_ARG_794_15=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_793_186 );{obj_t VA_ARG_795_2;
VA_ARG_795_2=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_794_15 );{obj_t VA_ARG_796_48;
VA_ARG_796_48=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_795_2 );{obj_t VA_ARG_797_115;
{obj_t VA_ARG_798_148;
VA_ARG_798_148=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_799_223;
{obj_t C_STRUCT_REF_465_64;
C_STRUCT_REF_465_64=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );VA_ARG_799_223=MAKE_PAIR( C_STRUCT_REF_465_64, VA_ARG_798_148 );}{obj_t AUX_1097_131;
AUX_1097_131=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_799_223 );VA_ARG_797_115=MAKE_PAIR( AUX_1097_131, VA_ARG_796_48 );}}}{obj_t AUX_1098_219;
AUX_1098_219=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_SET__319_67, VA_ARG_797_115 );VA_ARG_788_144=MAKE_PAIR( AUX_1098_219, VA_ARG_787_12 );}}}}}}{obj_t VA_ARG_789_172;
{obj_t VA_ARG_790_210;
VA_ARG_790_210=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_791_28;
VA_ARG_791_28=MAKE_PAIR( ADD_I_PTAG( PSUB_TAG( 1 ), SUB_I( MAX_326_22, MIN_325_1 ) ), VA_ARG_790_210 );{obj_t VA_ARG_792_67;
VA_ARG_792_67=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_791_28 );{obj_t AUX_1099_10;
AUX_1099_10=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 52 ), VA_ARG_792_67 );VA_ARG_789_172=MAKE_PAIR( AUX_1099_10, VA_ARG_788_144 );}}}}{obj_t AUX_1100_227;
AUX_1100_227=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 53 ), VA_ARG_789_172 );VA_ARG_778_1=MAKE_PAIR( AUX_1100_227, VA_ARG_777_51 );}}}}}{obj_t VA_ARG_779_14;
{obj_t VA_ARG_780_78;
VA_ARG_780_78=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_781_75;
{obj_t VA_ARG_782_58;
VA_ARG_782_58=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_783_22;
VA_ARG_783_22=MAKE_PAIR( MIN_325_1, VA_ARG_782_58 );{obj_t VA_ARG_784_70;
VA_ARG_784_70=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_783_22 );{obj_t AUX_1101_96;
AUX_1101_96=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 54 ), VA_ARG_784_70 );VA_ARG_781_75=MAKE_PAIR( AUX_1101_96, VA_ARG_780_78 );}}}}{obj_t VA_ARG_785_103;
VA_ARG_785_103=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1102_142;
{obj_t AUX_1103_230;
AUX_1103_230=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 46 ), VA_ARG_781_75 );AUX_1102_142=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1103_230, VA_ARG_785_103 );}VA_ARG_779_14=MAKE_PAIR( AUX_1102_142, VA_ARG_778_1 );}}}}{obj_t AUX_1104_114;
AUX_1104_114=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 55 ), VA_ARG_779_14 );VA_ARG_769_33=MAKE_PAIR( AUX_1104_114, VA_ARG_768_4 );}}}}{obj_t VA_ARG_770_138;
{obj_t VA_ARG_771_170;
VA_ARG_771_170=MAKE_PAIR( CNST_TABLE_REF( 20 ), BNIL );{obj_t VA_ARG_772_125;
VA_ARG_772_125=MAKE_PAIR( ID_317_43, VA_ARG_771_170 );{obj_t VA_ARG_773_118;
VA_ARG_773_118=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_774_27;
VA_ARG_774_27=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_773_118 );{obj_t VA_ARG_775_233;
VA_ARG_775_233=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_774_27 );{obj_t VA_ARG_776_140;
VA_ARG_776_140=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_775_233 );{obj_t AUX_1105_246;
{obj_t AUX_1106_179;
AUX_1106_179=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_772_125 );AUX_1105_246=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1106_179, VA_ARG_776_140 );}VA_ARG_770_138=MAKE_PAIR( AUX_1105_246, VA_ARG_769_33 );}}}}}}}AUX_1091_209=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_770_138 );}}}C_CONS_466_253=MAKE_PAIR( AUX_1091_209, BNIL );}{obj_t AUX_1107_62;
if( BBOOL_TO_CBOOL( __UNSAFE_RANGE__ENGINE_PARAM_44 ))
{obj_t VA_ARG_702_10;
VA_ARG_702_10=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_703_219;
{obj_t VA_ARG_710_201;
VA_ARG_710_201=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_711_158;
VA_ARG_711_158=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_710_201 );{obj_t VA_ARG_712_106;
VA_ARG_712_106=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_711_158 );{obj_t VA_ARG_713_82;
{obj_t VA_ARG_714_240;
VA_ARG_714_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_715_255;
{obj_t C_STRUCT_REF_456_7;
C_STRUCT_REF_456_7=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );VA_ARG_715_255=MAKE_PAIR( C_STRUCT_REF_456_7, VA_ARG_714_240 );}{obj_t AUX_1108_215;
AUX_1108_215=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_715_255 );VA_ARG_713_82=MAKE_PAIR( AUX_1108_215, VA_ARG_712_106 );}}}{obj_t AUX_1109_160;
AUX_1109_160=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_REF_318_38, VA_ARG_713_82 );VA_ARG_703_219=MAKE_PAIR( AUX_1109_160, VA_ARG_702_10 );}}}}}{obj_t VA_ARG_704_200;
{obj_t VA_ARG_705_163;
VA_ARG_705_163=MAKE_PAIR( CNST_TABLE_REF( 56 ), BNIL );{obj_t VA_ARG_706_235;
VA_ARG_706_235=MAKE_PAIR( ID_317_43, VA_ARG_705_163 );{obj_t VA_ARG_707_222;
VA_ARG_707_222=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_708_76;
VA_ARG_708_76=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_707_222 );{obj_t VA_ARG_709_203;
VA_ARG_709_203=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_708_76 );{obj_t AUX_1110_178;
{obj_t AUX_1111_85;
AUX_1111_85=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_706_235 );AUX_1110_178=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1111_85, VA_ARG_709_203 );}VA_ARG_704_200=MAKE_PAIR( AUX_1110_178, VA_ARG_703_219 );}}}}}}AUX_1107_62=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_704_200 );}}}else
{obj_t VA_ARG_716_218;
VA_ARG_716_218=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_717_102;
{obj_t VA_ARG_724_221;
VA_ARG_724_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_725_54;
{obj_t VA_ARG_733_77;
VA_ARG_733_77=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_734_245;
{obj_t VA_ARG_746_139;
VA_ARG_746_139=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_747_232;
VA_ARG_747_232=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_746_139 );{obj_t VA_ARG_748_239;
{obj_t STRING_CAST_751_36;
STRING_CAST_751_36=CNST_TABLE_REF( 57 );VA_ARG_748_239=MAKE_PAIR( STRING_CAST_751_36, VA_ARG_747_232 );}{obj_t VA_ARG_749_193;
{obj_t STRING_CAST_750_65;
STRING_CAST_750_65=CNST_TABLE_REF( 58 );VA_ARG_749_193=MAKE_PAIR( STRING_CAST_750_65, VA_ARG_748_239 );}{obj_t AUX_1112_253;
AUX_1112_253=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 51 ), VA_ARG_749_193 );VA_ARG_734_245=MAKE_PAIR( AUX_1112_253, VA_ARG_733_77 );}}}}}{obj_t VA_ARG_735_208;
{obj_t VA_ARG_740_59;
VA_ARG_740_59=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_741_74;
VA_ARG_741_74=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_740_59 );{obj_t VA_ARG_742_228;
VA_ARG_742_228=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_741_74 );{obj_t VA_ARG_743_137;
{obj_t VA_ARG_744_191;
VA_ARG_744_191=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_745_108;
{obj_t C_STRUCT_REF_461_245;
C_STRUCT_REF_461_245=STRUCT_SLOT_REF( TYPE_315_254, BINT( 1 ) );VA_ARG_745_108=MAKE_PAIR( C_STRUCT_REF_461_245, VA_ARG_744_191 );}{obj_t AUX_1113_237;
AUX_1113_237=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_745_108 );VA_ARG_743_137=MAKE_PAIR( AUX_1113_237, VA_ARG_742_228 );}}}{obj_t AUX_1114_250;
AUX_1114_250=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_REF_318_38, VA_ARG_743_137 );VA_ARG_735_208=MAKE_PAIR( AUX_1114_250, VA_ARG_734_245 );}}}}}{obj_t VA_ARG_736_122;
{obj_t VA_ARG_737_130;
VA_ARG_737_130=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_738_55;
VA_ARG_738_55=MAKE_PAIR( ADD_I_PTAG( PSUB_TAG( 1 ), SUB_I( MAX_326_22, MIN_325_1 ) ), VA_ARG_737_130 );{obj_t VA_ARG_739_143;
VA_ARG_739_143=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_738_55 );{obj_t AUX_1115_154;
AUX_1115_154=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 52 ), VA_ARG_739_143 );VA_ARG_736_122=MAKE_PAIR( AUX_1115_154, VA_ARG_735_208 );}}}}{obj_t AUX_1116_133;
AUX_1116_133=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 53 ), VA_ARG_736_122 );VA_ARG_725_54=MAKE_PAIR( AUX_1116_133, VA_ARG_724_221 );}}}}}{obj_t VA_ARG_726_192;
{obj_t VA_ARG_727_252;
VA_ARG_727_252=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_728_237;
{obj_t VA_ARG_729_253;
VA_ARG_729_253=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_730_64;
VA_ARG_730_64=MAKE_PAIR( MIN_325_1, VA_ARG_729_253 );{obj_t VA_ARG_731_121;
VA_ARG_731_121=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_730_64 );{obj_t AUX_1117_88;
AUX_1117_88=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 54 ), VA_ARG_731_121 );VA_ARG_728_237=MAKE_PAIR( AUX_1117_88, VA_ARG_727_252 );}}}}{obj_t VA_ARG_732_72;
VA_ARG_732_72=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1118_35;
{obj_t AUX_1119_206;
AUX_1119_206=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 46 ), VA_ARG_728_237 );AUX_1118_35=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1119_206, VA_ARG_732_72 );}VA_ARG_726_192=MAKE_PAIR( AUX_1118_35, VA_ARG_725_54 );}}}}{obj_t AUX_1120_196;
AUX_1120_196=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 55 ), VA_ARG_726_192 );VA_ARG_717_102=MAKE_PAIR( AUX_1120_196, VA_ARG_716_218 );}}}}{obj_t VA_ARG_718_93;
{obj_t VA_ARG_719_159;
VA_ARG_719_159=MAKE_PAIR( CNST_TABLE_REF( 56 ), BNIL );{obj_t VA_ARG_720_116;
VA_ARG_720_116=MAKE_PAIR( ID_317_43, VA_ARG_719_159 );{obj_t VA_ARG_721_95;
VA_ARG_721_95=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_722_206;
VA_ARG_722_206=MAKE_PAIR( CNST_TABLE_REF( 48 ), VA_ARG_721_95 );{obj_t VA_ARG_723_35;
VA_ARG_723_35=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_722_206 );{obj_t AUX_1121_43;
{obj_t AUX_1122_247;
AUX_1122_247=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_720_116 );AUX_1121_43=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1122_247, VA_ARG_723_35 );}VA_ARG_718_93=MAKE_PAIR( AUX_1121_43, VA_ARG_717_102 );}}}}}}AUX_1107_62=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_718_93 );}}}C_CONS_467_237=MAKE_PAIR( AUX_1107_62, C_CONS_466_253 );}}{obj_t AUX_1123_204;
AUX_1123_204=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_681_198 );C_CONS_468_252=MAKE_PAIR( AUX_1123_204, C_CONS_467_237 );}}}}}{obj_t AUX_1124_224;
AUX_1124_224=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_664_237 );return MAKE_PAIR( AUX_1124_224, C_CONS_468_252 );}}}}}
}}}}}}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_UNBOUND_ARRAY_ACCESS_FOREIGN_ACCESS_248(obj_t TYPE_328_63)
#else
MAKE_UNBOUND_ARRAY_ACCESS_FOREIGN_ACCESS_248( TYPE_328_63 )
obj_t TYPE_328_63;
#endif
{

{obj_t EXP_329_88;
EXP_329_88=STRUCT_SLOT_REF( TYPE_328_63, BINT( 3 ) );{obj_t ID_330_130;
ID_330_130=STRUCT_SLOT_REF( TYPE_328_63, BINT( 0 ) );{obj_t ID_REF_331_84;
{obj_t VA_ARG_806_35;
VA_ARG_806_35=MAKE_PAIR( CNST_TABLE_REF( 33 ), BNIL );{obj_t VA_ARG_807_206;
VA_ARG_807_206=MAKE_PAIR( ID_330_130, VA_ARG_806_35 );ID_REF_331_84=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_807_206 );}}{obj_t ID_SET__332_86;
{obj_t VA_ARG_808_133;
VA_ARG_808_133=MAKE_PAIR( CNST_TABLE_REF( 34 ), BNIL );{obj_t VA_ARG_809_88;
VA_ARG_809_88=MAKE_PAIR( ID_330_130, VA_ARG_808_133 );ID_SET__332_86=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_809_88 );}}{obj_t ID__333_128;
{obj_t VA_ARG_810_115;
VA_ARG_810_115=MAKE_PAIR( CNST_TABLE_REF( 6 ), BNIL );{obj_t VA_ARG_811_48;
VA_ARG_811_48=MAKE_PAIR( ID_330_130, VA_ARG_810_115 );ID__333_128=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_811_48 );}}{obj_t BTYPE_334_162;
BTYPE_334_162=STRUCT_SLOT_REF( TYPE_328_63, BINT( 4 ) );{obj_t BID_335_144;
BID_335_144=STRUCT_SLOT_REF( BTYPE_334_162, BINT( 0 ) );{obj_t TOF_ID_337_231;
TOF_ID_337_231=STRUCT_SLOT_REF( EXP_329_88, BINT( 0 ) );{
{obj_t L_474_171;
{obj_t VA_ARG_812_2;
VA_ARG_812_2=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_813_15;
{obj_t STRING_CAST_820_214;
STRING_CAST_820_214=CNST_TABLE_REF( 59 );VA_ARG_813_15=MAKE_PAIR( STRING_CAST_820_214, VA_ARG_812_2 );}{obj_t VA_ARG_814_186;
{obj_t VA_ARG_817_210;
VA_ARG_817_210=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_818_213;
VA_ARG_818_213=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_817_210 );{obj_t VA_ARG_819_49;
VA_ARG_819_49=MAKE_PAIR( ID_330_130, VA_ARG_818_213 );{obj_t AUX_1041_202;
AUX_1041_202=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_819_49 );VA_ARG_814_186=MAKE_PAIR( AUX_1041_202, VA_ARG_813_15 );}}}}{obj_t VA_ARG_815_67;
VA_ARG_815_67=MAKE_PAIR( ID_REF_331_84, VA_ARG_814_186 );{obj_t VA_ARG_816_28;
VA_ARG_816_28=MAKE_PAIR( TOF_ID_337_231, VA_ARG_815_67 );{obj_t C_CONS_476_154;
{obj_t VA_ARG_821_12;
VA_ARG_821_12=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_822_70;
{obj_t STRING_CAST_830_251;
STRING_CAST_830_251=CNST_TABLE_REF( 60 );VA_ARG_822_70=MAKE_PAIR( STRING_CAST_830_251, VA_ARG_821_12 );}{obj_t VA_ARG_823_103;
{obj_t VA_ARG_826_78;
VA_ARG_826_78=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_827_75;
VA_ARG_827_75=MAKE_PAIR( TOF_ID_337_231, VA_ARG_826_78 );{obj_t VA_ARG_828_167;
VA_ARG_828_167=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_827_75 );{obj_t VA_ARG_829_183;
VA_ARG_829_183=MAKE_PAIR( ID_330_130, VA_ARG_828_167 );{obj_t AUX_1042_129;
AUX_1042_129=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_829_183 );VA_ARG_823_103=MAKE_PAIR( AUX_1042_129, VA_ARG_822_70 );}}}}}{obj_t VA_ARG_824_58;
VA_ARG_824_58=MAKE_PAIR( ID_SET__332_86, VA_ARG_823_103 );{obj_t VA_ARG_825_22;
VA_ARG_825_22=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_824_58 );{obj_t C_CONS_475_133;
{obj_t VA_ARG_831_144;
VA_ARG_831_144=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_832_124;
{obj_t STRING_CAST_840_38;
STRING_CAST_840_38=CNST_TABLE_REF( 61 );VA_ARG_832_124=MAKE_PAIR( STRING_CAST_840_38, VA_ARG_831_144 );}{obj_t VA_ARG_833_147;
{obj_t VA_ARG_839_78;
VA_ARG_839_78=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1043_90;
AUX_1043_90=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_335_144, VA_ARG_839_78 );VA_ARG_833_147=MAKE_PAIR( AUX_1043_90, VA_ARG_832_124 );}}{obj_t VA_ARG_834_238;
{obj_t VA_ARG_836_183;
VA_ARG_836_183=MAKE_PAIR( ID_330_130, BNIL );{obj_t VA_ARG_837_167;
VA_ARG_837_167=MAKE_PAIR( CNST_TABLE_REF( 12 ), VA_ARG_836_183 );{obj_t VA_ARG_838_75;
VA_ARG_838_75=MAKE_PAIR( BID_335_144, VA_ARG_837_167 );{obj_t AUX_1044_231;
AUX_1044_231=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_838_75 );VA_ARG_834_238=MAKE_PAIR( AUX_1044_231, VA_ARG_833_147 );}}}}{obj_t VA_ARG_835_157;
VA_ARG_835_157=MAKE_PAIR( ID_330_130, VA_ARG_834_238 );{obj_t AUX_1045_71;
AUX_1045_71=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_835_157 );C_CONS_475_133=MAKE_PAIR( AUX_1045_71, BNIL );}}}}}}{obj_t AUX_1046_19;
AUX_1046_19=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_825_22 );C_CONS_476_154=MAKE_PAIR( AUX_1046_19, C_CONS_475_133 );}}}}}}}{obj_t AUX_1047_165;
AUX_1047_165=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_816_28 );L_474_171=MAKE_PAIR( AUX_1047_165, C_CONS_476_154 );}}}}}}}PARSE_FOREIGN_PARSE_FOREIGN_99( L_474_171, CNST_TABLE_REF( 17 ) );}
{obj_t VA_ARG_841_187;
VA_ARG_841_187=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_842_13;
{obj_t VA_ARG_846_18;
VA_ARG_846_18=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_847_214;
{obj_t VA_ARG_851_128;
VA_ARG_851_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_852_66;
{obj_t VA_ARG_856_161;
VA_ARG_856_161=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_857_176;
VA_ARG_857_176=MAKE_PAIR( ID_330_130, VA_ARG_856_161 );{obj_t AUX_1048_45;
AUX_1048_45=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_857_176 );VA_ARG_852_66=MAKE_PAIR( AUX_1048_45, VA_ARG_851_128 );}}}{obj_t VA_ARG_853_60;
{obj_t VA_ARG_854_86;
VA_ARG_854_86=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_855_141;
VA_ARG_855_141=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_854_86 );{obj_t AUX_1049_244;
AUX_1049_244=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 39 ), VA_ARG_855_141 );VA_ARG_853_60=MAKE_PAIR( AUX_1049_244, VA_ARG_852_66 );}}}{obj_t AUX_1050_225;
AUX_1050_225=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 40 ), VA_ARG_853_60 );VA_ARG_847_214=MAKE_PAIR( AUX_1050_225, VA_ARG_846_18 );}}}}{obj_t VA_ARG_848_247;
{obj_t VA_ARG_849_204;
VA_ARG_849_204=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_850_83;
VA_ARG_850_83=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_849_204 );{obj_t AUX_1051_207;
AUX_1051_207=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 41 ), VA_ARG_850_83 );VA_ARG_848_247=MAKE_PAIR( AUX_1051_207, VA_ARG_847_214 );}}}{obj_t AUX_1052_251;
AUX_1052_251=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 42 ), VA_ARG_848_247 );VA_ARG_842_13=MAKE_PAIR( AUX_1052_251, VA_ARG_841_187 );}}}}{obj_t VA_ARG_843_32;
{obj_t VA_ARG_844_84;
VA_ARG_844_84=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_845_226;
VA_ARG_845_226=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_844_84 );{obj_t AUX_1053_151;
AUX_1053_151=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID__333_128, VA_ARG_845_226 );VA_ARG_843_32=MAKE_PAIR( AUX_1053_151, VA_ARG_842_13 );}}}{obj_t C_CONS_481_2;
{obj_t VA_ARG_858_254;
VA_ARG_858_254=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_859_41;
{obj_t VA_ARG_866_88;
VA_ARG_866_88=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_867_133;
VA_ARG_867_133=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_866_88 );{obj_t VA_ARG_868_206;
VA_ARG_868_206=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_867_133 );{obj_t VA_ARG_869_35;
{obj_t VA_ARG_870_232;
VA_ARG_870_232=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_871_139;
{obj_t C_STRUCT_REF_478_243;
C_STRUCT_REF_478_243=STRUCT_SLOT_REF( TYPE_328_63, BINT( 1 ) );VA_ARG_871_139=MAKE_PAIR( C_STRUCT_REF_478_243, VA_ARG_870_232 );}{obj_t AUX_1054_113;
AUX_1054_113=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_871_139 );VA_ARG_869_35=MAKE_PAIR( AUX_1054_113, VA_ARG_868_206 );}}}{obj_t AUX_1055_112;
AUX_1055_112=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_REF_331_84, VA_ARG_869_35 );VA_ARG_859_41=MAKE_PAIR( AUX_1055_112, VA_ARG_858_254 );}}}}}{obj_t VA_ARG_860_85;
{obj_t VA_ARG_861_178;
VA_ARG_861_178=MAKE_PAIR( CNST_TABLE_REF( 56 ), BNIL );{obj_t VA_ARG_862_237;
VA_ARG_862_237=MAKE_PAIR( ID_330_130, VA_ARG_861_178 );{obj_t VA_ARG_863_253;
VA_ARG_863_253=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_864_154;
VA_ARG_864_154=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_863_253 );{obj_t VA_ARG_865_250;
VA_ARG_865_250=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_864_154 );{obj_t AUX_1056_21;
{obj_t AUX_1057_98;
AUX_1057_98=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_862_237 );AUX_1056_21=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1057_98, VA_ARG_865_250 );}VA_ARG_860_85=MAKE_PAIR( AUX_1056_21, VA_ARG_859_41 );}}}}}}{obj_t C_CONS_480_15;
{obj_t VA_ARG_872_108;
VA_ARG_872_108=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_873_191;
{obj_t VA_ARG_881_168;
VA_ARG_881_168=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_882_254;
VA_ARG_882_254=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_881_168 );{obj_t VA_ARG_883_41;
VA_ARG_883_41=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_882_254 );{obj_t VA_ARG_884_241;
VA_ARG_884_241=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_883_41 );{obj_t VA_ARG_885_156;
{obj_t VA_ARG_886_46;
VA_ARG_886_46=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_887_79;
{obj_t C_STRUCT_REF_479_248;
C_STRUCT_REF_479_248=STRUCT_SLOT_REF( TYPE_328_63, BINT( 1 ) );VA_ARG_887_79=MAKE_PAIR( C_STRUCT_REF_479_248, VA_ARG_886_46 );}{obj_t AUX_1058_81;
AUX_1058_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_887_79 );VA_ARG_885_156=MAKE_PAIR( AUX_1058_81, VA_ARG_884_241 );}}}{obj_t AUX_1059_20;
AUX_1059_20=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_SET__332_86, VA_ARG_885_156 );VA_ARG_873_191=MAKE_PAIR( AUX_1059_20, VA_ARG_872_108 );}}}}}}{obj_t VA_ARG_874_137;
{obj_t VA_ARG_875_228;
VA_ARG_875_228=MAKE_PAIR( CNST_TABLE_REF( 20 ), BNIL );{obj_t VA_ARG_876_74;
VA_ARG_876_74=MAKE_PAIR( ID_330_130, VA_ARG_875_228 );{obj_t VA_ARG_877_59;
VA_ARG_877_59=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_878_126;
VA_ARG_878_126=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_877_59 );{obj_t VA_ARG_879_11;
VA_ARG_879_11=MAKE_PAIR( CNST_TABLE_REF( 46 ), VA_ARG_878_126 );{obj_t VA_ARG_880_198;
VA_ARG_880_198=MAKE_PAIR( CNST_TABLE_REF( 47 ), VA_ARG_879_11 );{obj_t AUX_1060_187;
{obj_t AUX_1061_199;
AUX_1061_199=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_876_74 );AUX_1060_187=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1061_199, VA_ARG_880_198 );}VA_ARG_874_137=MAKE_PAIR( AUX_1060_187, VA_ARG_873_191 );}}}}}}}{obj_t AUX_1062_32;
AUX_1062_32=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_874_137 );C_CONS_480_15=MAKE_PAIR( AUX_1062_32, BNIL );}}}}{obj_t AUX_1063_13;
AUX_1063_13=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_860_85 );C_CONS_481_2=MAKE_PAIR( AUX_1063_13, C_CONS_480_15 );}}}}}{obj_t AUX_1064_226;
AUX_1064_226=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_843_32 );return MAKE_PAIR( AUX_1064_226, C_CONS_481_2 );}}}}}
}}}}}}}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_POINTER_ACCESS_FOREIGN_ACCESS_169(obj_t TYPE_338_165)
#else
MAKE_POINTER_ACCESS_FOREIGN_ACCESS_169( TYPE_338_165 )
obj_t TYPE_338_165;
#endif
{

{obj_t EXP_339_49;
EXP_339_49=STRUCT_SLOT_REF( TYPE_338_165, BINT( 3 ) );{obj_t ID_340_40;
ID_340_40=STRUCT_SLOT_REF( TYPE_338_165, BINT( 0 ) );{obj_t ID_REF_341_100;
{obj_t VA_ARG_888_66;
VA_ARG_888_66=MAKE_PAIR( CNST_TABLE_REF( 33 ), BNIL );{obj_t VA_ARG_889_60;
VA_ARG_889_60=MAKE_PAIR( ID_340_40, VA_ARG_888_66 );ID_REF_341_100=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_889_60 );}}{obj_t ID_SET__342_17;
{obj_t VA_ARG_890_128;
VA_ARG_890_128=MAKE_PAIR( CNST_TABLE_REF( 34 ), BNIL );{obj_t VA_ARG_891_83;
VA_ARG_891_83=MAKE_PAIR( ID_340_40, VA_ARG_890_128 );ID_SET__342_17=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_891_83 );}}{obj_t ID__343_56;
{obj_t VA_ARG_892_60;
VA_ARG_892_60=MAKE_PAIR( CNST_TABLE_REF( 6 ), BNIL );{obj_t VA_ARG_893_66;
VA_ARG_893_66=MAKE_PAIR( ID_340_40, VA_ARG_892_60 );ID__343_56=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_893_66 );}}{obj_t BTYPE_344_98;
BTYPE_344_98=STRUCT_SLOT_REF( TYPE_338_165, BINT( 4 ) );{obj_t BID_345_126;
BID_345_126=STRUCT_SLOT_REF( BTYPE_344_98, BINT( 0 ) );{obj_t TOF_ID_347_43;
TOF_ID_347_43=STRUCT_SLOT_REF( EXP_339_49, BINT( 0 ) );{
{obj_t L_487_36;
{obj_t VA_ARG_894_141;
VA_ARG_894_141=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_895_86;
{obj_t STRING_CAST_902_75;
STRING_CAST_902_75=CNST_TABLE_REF( 62 );VA_ARG_895_86=MAKE_PAIR( STRING_CAST_902_75, VA_ARG_894_141 );}{obj_t VA_ARG_896_176;
{obj_t VA_ARG_899_254;
VA_ARG_899_254=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_900_64;
VA_ARG_900_64=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_899_254 );{obj_t VA_ARG_901_121;
VA_ARG_901_121=MAKE_PAIR( ID_340_40, VA_ARG_900_64 );{obj_t AUX_1005_122;
AUX_1005_122=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_901_121 );VA_ARG_896_176=MAKE_PAIR( AUX_1005_122, VA_ARG_895_86 );}}}}{obj_t VA_ARG_897_161;
VA_ARG_897_161=MAKE_PAIR( ID_REF_341_100, VA_ARG_896_176 );{obj_t VA_ARG_898_41;
VA_ARG_898_41=MAKE_PAIR( TOF_ID_347_43, VA_ARG_897_161 );{obj_t C_CONS_490_91;
{obj_t VA_ARG_903_77;
VA_ARG_903_77=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_904_245;
{obj_t STRING_CAST_911_87;
STRING_CAST_911_87=CNST_TABLE_REF( 63 );VA_ARG_904_245=MAKE_PAIR( STRING_CAST_911_87, VA_ARG_903_77 );}{obj_t VA_ARG_905_208;
{obj_t VA_ARG_909_143;
VA_ARG_909_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_910_116;
VA_ARG_910_116=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_909_143 );{obj_t AUX_1006_208;
AUX_1006_208=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_910_116 );VA_ARG_905_208=MAKE_PAIR( AUX_1006_208, VA_ARG_904_245 );}}}{obj_t VA_ARG_906_122;
{obj_t VA_ARG_907_130;
VA_ARG_907_130=MAKE_PAIR( ID_340_40, BNIL );{obj_t VA_ARG_908_55;
VA_ARG_908_55=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_907_130 );{obj_t AUX_1007_245;
AUX_1007_245=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_908_55 );VA_ARG_906_122=MAKE_PAIR( AUX_1007_245, VA_ARG_905_208 );}}}{obj_t C_CONS_489_190;
{obj_t VA_ARG_912_206;
VA_ARG_912_206=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_913_35;
{obj_t STRING_CAST_921_167;
STRING_CAST_921_167=CNST_TABLE_REF( 64 );VA_ARG_913_35=MAKE_PAIR( STRING_CAST_921_167, VA_ARG_912_206 );}{obj_t VA_ARG_914_221;
{obj_t VA_ARG_917_252;
VA_ARG_917_252=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_918_237;
VA_ARG_918_237=MAKE_PAIR( TOF_ID_347_43, VA_ARG_917_252 );{obj_t VA_ARG_919_253;
VA_ARG_919_253=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_918_237 );{obj_t VA_ARG_920_201;
VA_ARG_920_201=MAKE_PAIR( ID_340_40, VA_ARG_919_253 );{obj_t AUX_1008_105;
AUX_1008_105=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 9 ), VA_ARG_920_201 );VA_ARG_914_221=MAKE_PAIR( AUX_1008_105, VA_ARG_913_35 );}}}}}{obj_t VA_ARG_915_54;
VA_ARG_915_54=MAKE_PAIR( ID_SET__342_17, VA_ARG_914_221 );{obj_t VA_ARG_916_192;
VA_ARG_916_192=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_915_54 );{obj_t C_CONS_488_104;
{obj_t VA_ARG_922_106;
VA_ARG_922_106=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_923_82;
{obj_t STRING_CAST_931_29;
STRING_CAST_931_29=CNST_TABLE_REF( 65 );VA_ARG_923_82=MAKE_PAIR( STRING_CAST_931_29, VA_ARG_922_106 );}{obj_t VA_ARG_924_240;
{obj_t VA_ARG_930_243;
VA_ARG_930_243=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1009_134;
AUX_1009_134=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_345_126, VA_ARG_930_243 );VA_ARG_924_240=MAKE_PAIR( AUX_1009_134, VA_ARG_923_82 );}}{obj_t VA_ARG_925_255;
{obj_t VA_ARG_927_102;
VA_ARG_927_102=MAKE_PAIR( ID_340_40, BNIL );{obj_t VA_ARG_928_93;
VA_ARG_928_93=MAKE_PAIR( CNST_TABLE_REF( 12 ), VA_ARG_927_102 );{obj_t VA_ARG_929_159;
VA_ARG_929_159=MAKE_PAIR( BID_345_126, VA_ARG_928_93 );{obj_t AUX_1010_106;
AUX_1010_106=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_929_159 );VA_ARG_925_255=MAKE_PAIR( AUX_1010_106, VA_ARG_924_240 );}}}}{obj_t VA_ARG_926_218;
VA_ARG_926_218=MAKE_PAIR( ID_340_40, VA_ARG_925_255 );{obj_t AUX_1011_82;
AUX_1011_82=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_926_218 );C_CONS_488_104=MAKE_PAIR( AUX_1011_82, BNIL );}}}}}}{obj_t AUX_1012_201;
AUX_1012_201=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_916_192 );C_CONS_489_190=MAKE_PAIR( AUX_1012_201, C_CONS_488_104 );}}}}}}}{obj_t AUX_1013_158;
AUX_1013_158=CONS____R4_PAIRS_AND_LISTS_6_3_28( BID_345_126, VA_ARG_906_122 );C_CONS_490_91=MAKE_PAIR( AUX_1013_158, C_CONS_489_190 );}}}}}}{obj_t AUX_1014_218;
AUX_1014_218=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_898_41 );L_487_36=MAKE_PAIR( AUX_1014_218, C_CONS_490_91 );}}}}}}}PARSE_FOREIGN_PARSE_FOREIGN_99( L_487_36, CNST_TABLE_REF( 17 ) );}
{obj_t VA_ARG_932_10;
VA_ARG_932_10=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_933_219;
{obj_t VA_ARG_937_222;
VA_ARG_937_222=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_938_76;
{obj_t VA_ARG_942_125;
VA_ARG_942_125=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_943_118;
{obj_t VA_ARG_947_51;
VA_ARG_947_51=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_948_1;
VA_ARG_948_1=MAKE_PAIR( ID_340_40, VA_ARG_947_51 );{obj_t AUX_1015_102;
AUX_1015_102=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_948_1 );VA_ARG_943_118=MAKE_PAIR( AUX_1015_102, VA_ARG_942_125 );}}}{obj_t VA_ARG_944_27;
{obj_t VA_ARG_945_233;
VA_ARG_945_233=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_946_140;
VA_ARG_946_140=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_945_233 );{obj_t AUX_1016_240;
AUX_1016_240=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 39 ), VA_ARG_946_140 );VA_ARG_944_27=MAKE_PAIR( AUX_1016_240, VA_ARG_943_118 );}}}{obj_t AUX_1017_255;
AUX_1017_255=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 40 ), VA_ARG_944_27 );VA_ARG_938_76=MAKE_PAIR( AUX_1017_255, VA_ARG_937_222 );}}}}{obj_t VA_ARG_939_203;
{obj_t VA_ARG_940_138;
VA_ARG_940_138=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_941_170;
VA_ARG_941_170=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_940_138 );{obj_t AUX_1018_155;
AUX_1018_155=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 41 ), VA_ARG_941_170 );VA_ARG_939_203=MAKE_PAIR( AUX_1018_155, VA_ARG_938_76 );}}}{obj_t AUX_1019_42;
AUX_1019_42=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 42 ), VA_ARG_939_203 );VA_ARG_933_219=MAKE_PAIR( AUX_1019_42, VA_ARG_932_10 );}}}}{obj_t VA_ARG_934_200;
{obj_t VA_ARG_935_163;
VA_ARG_935_163=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_936_235;
VA_ARG_936_235=MAKE_PAIR( CNST_TABLE_REF( 27 ), VA_ARG_935_163 );{obj_t AUX_1020_165;
AUX_1020_165=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID__343_56, VA_ARG_936_235 );VA_ARG_934_200=MAKE_PAIR( AUX_1020_165, VA_ARG_933_219 );}}}{obj_t C_CONS_497_24;
{obj_t VA_ARG_949_14;
VA_ARG_949_14=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_950_175;
{obj_t VA_ARG_955_80;
VA_ARG_955_80=MAKE_PAIR( ID_340_40, BNIL );{obj_t VA_ARG_956_50;
VA_ARG_956_50=MAKE_PAIR( CNST_TABLE_REF( 10 ), VA_ARG_955_80 );{obj_t VA_ARG_957_34;
VA_ARG_957_34=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_958_4;
{obj_t VA_ARG_962_162;
VA_ARG_962_162=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_963_53;
{obj_t VA_ARG_964_47;
VA_ARG_964_47=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_965_109;
{obj_t VA_ARG_966_205;
{obj_t C_STRUCT_REF_492_253;
C_STRUCT_REF_492_253=STRUCT_SLOT_REF( TYPE_338_165, BINT( 1 ) );VA_ARG_966_205=MAKE_PAIR( C_STRUCT_REF_492_253, BNIL );}{obj_t AUX_1021_19;
AUX_1021_19=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_966_205 );VA_ARG_965_109=MAKE_PAIR( AUX_1021_19, VA_ARG_964_47 );}}{obj_t AUX_1022_71;
AUX_1022_71=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_965_109 );VA_ARG_963_53=MAKE_PAIR( AUX_1022_71, VA_ARG_962_162 );}}}{obj_t AUX_1023_231;
AUX_1023_231=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 31 ), VA_ARG_963_53 );VA_ARG_958_4=MAKE_PAIR( AUX_1023_231, VA_ARG_957_34 );}}}{obj_t VA_ARG_959_33;
{obj_t VA_ARG_960_160;
VA_ARG_960_160=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_961_215;
VA_ARG_961_215=MAKE_PAIR( ID_340_40, VA_ARG_960_160 );{obj_t AUX_1024_90;
AUX_1024_90=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_961_215 );VA_ARG_959_33=MAKE_PAIR( AUX_1024_90, VA_ARG_958_4 );}}}{obj_t AUX_1025_129;
{obj_t AUX_1026_202;
AUX_1026_202=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_956_50 );AUX_1025_129=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1026_202, VA_ARG_959_33 );}VA_ARG_950_175=MAKE_PAIR( AUX_1025_129, VA_ARG_949_14 );}}}}}}{obj_t VA_ARG_951_195;
{obj_t VA_ARG_952_100;
VA_ARG_952_100=MAKE_PAIR( ID_340_40, BNIL );{obj_t VA_ARG_953_99;
VA_ARG_953_99=MAKE_PAIR( CNST_TABLE_REF( 32 ), VA_ARG_952_100 );{obj_t VA_ARG_954_166;
VA_ARG_954_166=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1027_217;
{obj_t AUX_1028_182;
AUX_1028_182=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_953_99 );AUX_1027_217=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1028_182, VA_ARG_954_166 );}VA_ARG_951_195=MAKE_PAIR( AUX_1027_217, VA_ARG_950_175 );}}}}{obj_t C_CONS_496_6;
{obj_t VA_ARG_967_180;
VA_ARG_967_180=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_968_96;
{obj_t VA_ARG_974_191;
VA_ARG_974_191=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_975_108;
VA_ARG_975_108=MAKE_PAIR( BINT( 0 ), VA_ARG_974_191 );{obj_t VA_ARG_976_139;
VA_ARG_976_139=MAKE_PAIR( CNST_TABLE_REF( 66 ), VA_ARG_975_108 );{obj_t VA_ARG_977_232;
{obj_t VA_ARG_978_239;
VA_ARG_978_239=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_979_193;
{obj_t C_STRUCT_REF_493_237;
C_STRUCT_REF_493_237=STRUCT_SLOT_REF( TYPE_338_165, BINT( 1 ) );VA_ARG_979_193=MAKE_PAIR( C_STRUCT_REF_493_237, VA_ARG_978_239 );}{obj_t AUX_1029_111;
AUX_1029_111=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_979_193 );VA_ARG_977_232=MAKE_PAIR( AUX_1029_111, VA_ARG_976_139 );}}}{obj_t AUX_1030_180;
AUX_1030_180=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_REF_341_100, VA_ARG_977_232 );VA_ARG_968_96=MAKE_PAIR( AUX_1030_180, VA_ARG_967_180 );}}}}}{obj_t VA_ARG_969_227;
{obj_t VA_ARG_970_59;
VA_ARG_970_59=MAKE_PAIR( CNST_TABLE_REF( 56 ), BNIL );{obj_t VA_ARG_971_74;
VA_ARG_971_74=MAKE_PAIR( ID_340_40, VA_ARG_970_59 );{obj_t VA_ARG_972_228;
VA_ARG_972_228=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_973_137;
VA_ARG_973_137=MAKE_PAIR( CNST_TABLE_REF( 66 ), VA_ARG_972_228 );{obj_t AUX_1031_205;
{obj_t AUX_1032_109;
AUX_1032_109=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_971_74 );AUX_1031_205=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1032_109, VA_ARG_973_137 );}VA_ARG_969_227=MAKE_PAIR( AUX_1031_205, VA_ARG_968_96 );}}}}}{obj_t C_CONS_495_20;
{obj_t VA_ARG_980_191;
VA_ARG_980_191=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_981_108;
{obj_t VA_ARG_988_171;
VA_ARG_988_171=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_989_5;
VA_ARG_989_5=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_988_171 );{obj_t VA_ARG_990_150;
VA_ARG_990_150=MAKE_PAIR( BINT( 0 ), VA_ARG_989_5 );{obj_t VA_ARG_991_26;
VA_ARG_991_26=MAKE_PAIR( CNST_TABLE_REF( 66 ), VA_ARG_990_150 );{obj_t VA_ARG_992_145;
{obj_t VA_ARG_993_16;
VA_ARG_993_16=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_994_33;
{obj_t C_STRUCT_REF_494_250;
C_STRUCT_REF_494_250=STRUCT_SLOT_REF( TYPE_338_165, BINT( 1 ) );VA_ARG_994_33=MAKE_PAIR( C_STRUCT_REF_494_250, VA_ARG_993_16 );}{obj_t AUX_1033_47;
AUX_1033_47=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 26 ), VA_ARG_994_33 );VA_ARG_992_145=MAKE_PAIR( AUX_1033_47, VA_ARG_991_26 );}}}{obj_t AUX_1034_53;
AUX_1034_53=CONS____R4_PAIRS_AND_LISTS_6_3_28( ID_SET__342_17, VA_ARG_992_145 );VA_ARG_981_108=MAKE_PAIR( AUX_1034_53, VA_ARG_980_191 );}}}}}}{obj_t VA_ARG_982_139;
{obj_t VA_ARG_983_232;
VA_ARG_983_232=MAKE_PAIR( CNST_TABLE_REF( 20 ), BNIL );{obj_t VA_ARG_984_59;
VA_ARG_984_59=MAKE_PAIR( ID_340_40, VA_ARG_983_232 );{obj_t VA_ARG_985_74;
VA_ARG_985_74=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_986_228;
VA_ARG_986_228=MAKE_PAIR( CNST_TABLE_REF( 45 ), VA_ARG_985_74 );{obj_t VA_ARG_987_137;
VA_ARG_987_137=MAKE_PAIR( CNST_TABLE_REF( 66 ), VA_ARG_986_228 );{obj_t AUX_1035_162;
{obj_t AUX_1036_215;
AUX_1036_215=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_984_59 );AUX_1035_162=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1036_215, VA_ARG_987_137 );}VA_ARG_982_139=MAKE_PAIR( AUX_1035_162, VA_ARG_981_108 );}}}}}}{obj_t AUX_1037_160;
AUX_1037_160=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_982_139 );C_CONS_495_20=MAKE_PAIR( AUX_1037_160, BNIL );}}}}{obj_t AUX_1038_179;
AUX_1038_179=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_969_227 );C_CONS_496_6=MAKE_PAIR( AUX_1038_179, C_CONS_495_20 );}}}}}{obj_t AUX_1039_62;
AUX_1039_62=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_951_195 );C_CONS_497_24=MAKE_PAIR( AUX_1039_62, C_CONS_496_6 );}}}}}{obj_t AUX_1040_217;
AUX_1040_217=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_934_200 );return MAKE_PAIR( AUX_1040_217, C_CONS_497_24 );}}}}}
}}}}}}}}}
}

