/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Foreign/cast.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_FOREIGN_CAST_66 = BUNSPEC;
extern obj_t MAKE_ATOMIC_CASTING__FOREIGN_ATOMIC_112();
extern obj_t FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71();
extern obj_t TYPE_EXPRESSION_INITIALISATION_TYPE_EXPRESSION_51();
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
#if defined( __STDC__ )
extern obj_t __FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_25(obj_t);
#else
extern obj_t __FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_25();
#endif
#if defined( __STDC__ )
extern obj_t __MAKE_FOREIGN_CASTING__FOREIGN_CAST_48(obj_t);
#else
extern obj_t __MAKE_FOREIGN_CASTING__FOREIGN_CAST_48();
#endif
extern obj_t make_struct();
extern obj_t __CHAR__FOREIGN_ATOMIC_146;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t __FUNCTION__FOREIGN_ATOMIC_53;
static obj_t PROCEDURE_4_FOREIGN_CAST_232 = BUNSPEC;
static obj_t PROCEDURE_3_FOREIGN_CAST_0 = BUNSPEC;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t MAKE_FOREIGN_CASTING__ENV_FOREIGN_CAST_26 = BUNSPEC;
extern obj_t TYPE_EXPRESSION_TYPE_EXPRESSION_167();
#if defined( __STDC__ )
extern obj_t ALLOW_CAST__FOREIGN_CAST_163(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ALLOW_CAST__FOREIGN_CAST_163();
#endif
extern obj_t FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
extern obj_t TYPE_FOREIGN_APPLICATION_TYPE_APPLICATION_234();
extern obj_t ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217();
extern obj_t FOR_EACH_TYPE__FOREIGN_TOOLS_94();
extern obj_t SHAPE_TOOLS_SHAPE_229();
static obj_t I_ENV_FOREIGN_CAST_79 = BUNSPEC;
extern obj_t SYMBOL_APPEND___R4_SYMBOLS_6_4_26();
extern obj_t TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
extern obj_t __BPROCEDURE__FOREIGN_ATOMIC_217;
extern obj_t __LONG__FOREIGN_ATOMIC_146;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 34 ] ;
extern obj_t FIND_CASTING_FOREIGN_TOOLS_167();
extern obj_t ARITY_TOOLS_ARGS_236();
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t ENFORCER_TYPE_ENFORCE_109();
extern obj_t GET_TYPE_FOREIGN_TOOLS_48();
#if defined( __STDC__ )
static obj_t MAKE_SUBTYPE_CASTING__FOREIGN_CAST_251(obj_t);
#else
static obj_t MAKE_SUBTYPE_CASTING__FOREIGN_CAST_251();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97();
extern obj_t READ___READER_198;
extern obj_t MAKE_FOREIGN_CASTING__FOREIGN_CAST_205();
extern obj_t TYPE_APPLICATION_INITIALISATION_TYPE_APPLICATION_44();
obj_t ALLOW_CAST__ENV_FOREIGN_CAST_206 = BUNSPEC;
static obj_t PROCEDURE_0_FOREIGN_CAST_113 = BUNSPEC;
#if defined( __STDC__ )
static obj_t MAKE_UNION_STRUCT_CASTING__FOREIGN_CAST_205(obj_t);
#else
static obj_t MAKE_UNION_STRUCT_CASTING__FOREIGN_CAST_205();
#endif
static obj_t REQUIRE_INITIALISATION__FOREIGN_CAST_218 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t __BOOL__FOREIGN_ATOMIC_92;
#if defined( __STDC__ )
static obj_t I_FOREIGN_CAST_177(obj_t);
#else
static obj_t I_FOREIGN_CAST_177();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t __BOBJ__FOREIGN_ATOMIC_124;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t __DOUBLE__FOREIGN_ATOMIC_141;
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
#if defined( __STDC__ )
static obj_t __I_FOREIGN_CAST_36(obj_t, obj_t);
#else
static obj_t __I_FOREIGN_CAST_36();
#endif
#if defined( __STDC__ )
extern obj_t __ALLOW_CAST__FOREIGN_CAST_110(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ALLOW_CAST__FOREIGN_CAST_110();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
static obj_t MAKE_ARRAY_CASTING__FOREIGN_CAST_222(obj_t);
#else
static obj_t MAKE_ARRAY_CASTING__FOREIGN_CAST_222();
#endif
extern obj_t TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
extern obj_t ABSTRACT_TRUE_HEAP_ABSTRACT_217();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
static obj_t MAKE_AS_CASTING__FOREIGN_CAST_83(obj_t, obj_t);
#else
static obj_t MAKE_AS_CASTING__FOREIGN_CAST_83();
#endif
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
static obj_t PROCEDURE_2_FOREIGN_CAST_143 = BUNSPEC;
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t MAKE_N_PROTO_TOOLS_ARGS_65();
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
extern obj_t __FOREIGN__FOREIGN_ATOMIC_169;
#if defined( __STDC__ )
static obj_t MAKE_FUNCTION_CASTING__FOREIGN_CAST_165(obj_t);
#else
static obj_t MAKE_FUNCTION_CASTING__FOREIGN_CAST_165();
#endif
obj_t FOREIGN_CAST_INITIALISATION_ENV_FOREIGN_CAST_1 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_1_5_469_16();
static obj_t LAMBDA_1_4_467_101();
static obj_t LAMBDA_1_2_457_46();
static obj_t LAMBDA_1_1_455_130();
static obj_t LAMBDA_1_6_471_76();
static obj_t LAMBDA_1_7_491_120();
static obj_t LAMBDA_1_8_493_209();
static obj_t LAMBDA_1_9_495_47();
static obj_t LAMBDA_1_10_497_56();
static obj_t LAMBDA_1_11_502_199();
static obj_t LAMBDA_1_12_504_88();
static obj_t LAMBDA_1_13_511_250();
static obj_t LAMBDA_1_14_513_9();
static obj_t LAMBDA_1_15_515_97();
static obj_t LAMBDA_1_16_517_214();
static obj_t CASTER_522_158();
static obj_t LAMBDA_1_17_523_26();
static obj_t LAMBDA_1_18_525_184();
static obj_t LAMBDA_1_19_527_180();
static obj_t LAMBDA_1_21_546_93();
static obj_t LAMBDA_1_22_548_24();

obj_t
#if defined( __STDC__ )
FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71()
#else
FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__FOREIGN_CAST_218 ))
{
REQUIRE_INITIALISATION__FOREIGN_CAST_218=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
TYPE_EXPRESSION_INITIALISATION_TYPE_EXPRESSION_51();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
TYPE_APPLICATION_INITIALISATION_TYPE_APPLICATION_44();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
DECLARE_CNST_TABLE( __cnst[ 34 ]  );
{obj_t PORT_984_87;
{obj_t AUX_1034_53;
AUX_1034_53=c_constant_string_to_string( "C-FUNCTION-ADDRESS C-BFOREIGN->CFOREIGN LABELS (FUN ) #\"caster: \" C-CFOREIGN->BFOREIGN C-FOREIGN-ADDRESS C-FOREIGN-IS? QUOTE * -> #\" \" #\"make-as-casting!: \" SUBTYPE FUNCTION C-FOREIGN-POINTER C-FOREIGN-BOUND-ARRAY C-FOREIGN-UNBOUND-ARRAY C-FOREIGN-STRUCT C-CHAR C-FLOAT C-INTEGER DONE (BIGLOO-ATOM C-ATOM B-FOREIGN-STRUCT ) #\"  cast: \" #\"  check: \" #\" --> \" #\"allow-cast!: \" #\" --> \" #\"           : \" CASTING #\" --> \" #\"           : \" TYPE " );PORT_984_87=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1034_53 );}{obj_t OFFSET_985_117;
{
OFFSET_985_117=BINT( 33 );
{_LOOP_986_92:

if( LT_I( OFFSET_985_117, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1035_162;
AUX_1035_162=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_984_87, BEOA );CNST_TABLE_SET( OFFSET_985_117, AUX_1035_162 );}
{obj_t OFFSET_1036_36;
OFFSET_1036_36=OFFSET_985_117;{
OFFSET_985_117=SUB_I( OFFSET_1036_36, BINT( 1 ) );
goto _LOOP_986_92;
}}
}}
}}}
PROCEDURE_4_FOREIGN_CAST_232=make_fx_procedure( LAMBDA_1_19_527_180, 1, 0 );
PROCEDURE_3_FOREIGN_CAST_0=make_fx_procedure( LAMBDA_1_18_525_184, 1, 0 );
PROCEDURE_2_FOREIGN_CAST_143=make_fx_procedure( LAMBDA_1_16_517_214, 1, 0 );
PROCEDURE_1_FOREIGN_CAST_66=make_fx_procedure( LAMBDA_1_10_497_56, 1, 0 );
PROCEDURE_0_FOREIGN_CAST_113=make_fx_procedure( LAMBDA_1_6_471_76, 1, 0 );
{
FOREIGN_CAST_INITIALISATION_ENV_FOREIGN_CAST_1=make_fx_procedure( __FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_25, 0, 0 );
I_ENV_FOREIGN_CAST_79=make_fx_procedure( __I_FOREIGN_CAST_36, 1, 0 );
ALLOW_CAST__ENV_FOREIGN_CAST_206=make_fx_procedure( __ALLOW_CAST__FOREIGN_CAST_110, 4, 0 );
MAKE_FOREIGN_CASTING__ENV_FOREIGN_CAST_26=make_fx_procedure( __MAKE_FOREIGN_CASTING__FOREIGN_CAST_48, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_25(obj_t ENV_975_6)
#else
__FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_25( ENV_975_6 )
obj_t ENV_975_6;
#endif
{

return FOREIGN_CAST_INITIALISATION_FOREIGN_CAST_71();
}

static obj_t
#if defined( __STDC__ )
I_FOREIGN_CAST_177(obj_t X_427_10)
#else
I_FOREIGN_CAST_177( X_427_10 )
obj_t X_427_10;
#endif
{

return X_427_10;
}

static obj_t
#if defined( __STDC__ )
__I_FOREIGN_CAST_36(obj_t ENV_974_24,obj_t X_427_10)
#else
__I_FOREIGN_CAST_36( ENV_974_24, X_427_10 )
obj_t ENV_974_24, X_427_10;
#endif
{

return I_FOREIGN_CAST_177( X_427_10 );
}

obj_t
#if defined( __STDC__ )
ALLOW_CAST__FOREIGN_CAST_163(obj_t FROM_433_210,obj_t TO_434_152,obj_t CHECK_OP_435_61,obj_t CAST_OP_436_75)
#else
ALLOW_CAST__FOREIGN_CAST_163( FROM_433_210, TO_434_152, CHECK_OP_435_61, CAST_OP_436_75 )
obj_t FROM_433_210, TO_434_152, CHECK_OP_435_61, CAST_OP_436_75;
#endif
{

{obj_t PARENT_448_25, PARENT_460_62;
{
{obj_t AUX_1020_165;
{obj_t AUX_1021_19;
AUX_1021_19=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1020_165=SATISFY__TOOLS_TRACE_72( AUX_1021_19 );}if( BBOOL_TO_CBOOL( AUX_1020_165 ))
{
{obj_t g1000_440_57;
{obj_t L_695_136;
{obj_t STRING_CAST_818_86;
STRING_CAST_818_86=CNST_TABLE_REF( 6 );{obj_t C_CONS_704_169;
{obj_t C_CONS_703_177;
{obj_t STRING_CAST_819_141;
STRING_CAST_819_141=CNST_TABLE_REF( 7 );{obj_t C_CONS_702_107;
{obj_t C_CONS_701_87;
{obj_t C_CONS_700_197;
{obj_t STRING_CAST_820_214;
STRING_CAST_820_214=CNST_TABLE_REF( 8 );{obj_t C_CONS_699_3;
{obj_t C_CONS_698_61;
{obj_t STRING_CAST_821_18;
STRING_CAST_821_18=CNST_TABLE_REF( 9 );{obj_t C_CONS_697_201;
{obj_t C_CONS_696_158;
C_CONS_696_158=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1016_240;
AUX_1016_240=SHAPE_TOOLS_SHAPE_229( CAST_OP_436_75 );C_CONS_697_201=MAKE_PAIR( AUX_1016_240, C_CONS_696_158 );}}C_CONS_698_61=MAKE_PAIR( STRING_CAST_821_18, C_CONS_697_201 );}}{obj_t AUX_1017_255;
AUX_1017_255=SHAPE_TOOLS_SHAPE_229( CHECK_OP_435_61 );C_CONS_699_3=MAKE_PAIR( AUX_1017_255, C_CONS_698_61 );}}C_CONS_700_197=MAKE_PAIR( STRING_CAST_820_214, C_CONS_699_3 );}}C_CONS_701_87=MAKE_PAIR( BCHAR( '\n' ), C_CONS_700_197 );}{obj_t AUX_1018_155;
AUX_1018_155=SHAPE_TOOLS_SHAPE_229( TO_434_152 );C_CONS_702_107=MAKE_PAIR( AUX_1018_155, C_CONS_701_87 );}}C_CONS_703_177=MAKE_PAIR( STRING_CAST_819_141, C_CONS_702_107 );}}{obj_t AUX_1019_42;
AUX_1019_42=SHAPE_TOOLS_SHAPE_229( FROM_433_210 );C_CONS_704_169=MAKE_PAIR( AUX_1019_42, C_CONS_703_177 );}}L_695_136=MAKE_PAIR( STRING_CAST_818_86, C_CONS_704_169 );}}{
g1000_440_57=L_695_136;
{_g1001_439_169:

if( PAIRP( g1000_440_57 ))
{
{obj_t A_441_111;
A_441_111=CAR( g1000_440_57 );{obj_t VA_ARG_817_210;
VA_ARG_817_210=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_441_111, VA_ARG_817_210 );}}
{obj_t C_CDR_694_246;
C_CDR_694_246=CDR( g1000_440_57 );{
g1000_440_57=C_CDR_694_246;
goto _g1001_439_169;
}}
}else
BTRUE;}
}}}
{obj_t PORT_705_224;
PORT_705_224=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_705_224 );}
}else
BFALSE;}
{obj_t CASTING_442_227;
{obj_t NEW_706_175;
{obj_t INIT_707_244;
INIT_707_244=BNIL;{obj_t INIT_708_19;
INIT_708_19=BNIL;NEW_706_175=make_struct( CNST_TABLE_REF( 3 ), BINT( 4 ), INIT_708_19 );}}{
STRUCT_SLOT_SET( NEW_706_175, BINT( 0 ), FROM_433_210 );
STRUCT_SLOT_SET( NEW_706_175, BINT( 1 ), TO_434_152 );
STRUCT_SLOT_SET( NEW_706_175, BINT( 2 ), CHECK_OP_435_61 );
STRUCT_SLOT_SET( NEW_706_175, BINT( 3 ), CAST_OP_436_75 );
CASTING_442_227=NEW_706_175;
}}{
{obj_t V_710_102;
{obj_t OBJ2_711_98;
OBJ2_711_98=STRUCT_SLOT_REF( FROM_433_210, BINT( 6 ) );V_710_102=MAKE_PAIR( CASTING_442_227, OBJ2_711_98 );}STRUCT_SLOT_SET( FROM_433_210, BINT( 6 ), V_710_102 );}
{obj_t V_713_240;
{obj_t OBJ2_714_251;
OBJ2_714_251=STRUCT_SLOT_REF( TO_434_152, BINT( 7 ) );V_713_240=MAKE_PAIR( CASTING_442_227, OBJ2_714_251 );}STRUCT_SLOT_SET( TO_434_152, BINT( 7 ), V_713_240 );}
{obj_t g1008_444_32;
{obj_t C_STRUCT_REF_718_192;
C_STRUCT_REF_718_192=STRUCT_SLOT_REF( TO_434_152, BINT( 8 ) );{
g1008_444_32=C_STRUCT_REF_718_192;
{_g1009_443_204:

if( PAIRP( g1008_444_32 ))
{
{obj_t C_CAR_716_88;
C_CAR_716_88=CAR( g1008_444_32 );{
PARENT_460_62=C_CAR_716_88;
{
{
{obj_t AUX_1024_90;
{obj_t AUX_1025_129;
AUX_1025_129=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1024_90=SATISFY__TOOLS_TRACE_72( AUX_1025_129 );}if( BBOOL_TO_CBOOL( AUX_1024_90 ))
{
{obj_t g1002_462_113;
{obj_t L_641_53;
{obj_t STRING_CAST_806_227;
STRING_CAST_806_227=CNST_TABLE_REF( 4 );{obj_t C_CONS_645_181;
{obj_t C_CONS_644_12;
{obj_t STRING_CAST_807_96;
STRING_CAST_807_96=CNST_TABLE_REF( 5 );{obj_t C_CONS_643_78;
{obj_t C_CONS_642_75;
C_CONS_642_75=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1022_71;
AUX_1022_71=SHAPE_TOOLS_SHAPE_229( PARENT_460_62 );C_CONS_643_78=MAKE_PAIR( AUX_1022_71, C_CONS_642_75 );}}C_CONS_644_12=MAKE_PAIR( STRING_CAST_807_96, C_CONS_643_78 );}}{obj_t AUX_1023_231;
AUX_1023_231=SHAPE_TOOLS_SHAPE_229( FROM_433_210 );C_CONS_645_181=MAKE_PAIR( AUX_1023_231, C_CONS_644_12 );}}L_641_53=MAKE_PAIR( STRING_CAST_806_227, C_CONS_645_181 );}}{
g1002_462_113=L_641_53;
{_g1003_461_100:

if( PAIRP( g1002_462_113 ))
{
{obj_t A_463_241;
A_463_241=CAR( g1002_462_113 );{obj_t VA_ARG_805_116;
VA_ARG_805_116=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_463_241, VA_ARG_805_116 );}}
{obj_t C_CDR_639_117;
C_CDR_639_117=CDR( g1002_462_113 );{
g1002_462_113=C_CDR_639_117;
goto _g1003_461_100;
}}
}else
BTRUE;}
}}}
{obj_t PORT_647_42;
PORT_647_42=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_647_42 );}
}else
BFALSE;}
{bool_t __andtest_1004_980_225;
{obj_t AUX_1026_202;
if( EQP( FROM_433_210, PARENT_460_62 ))
AUX_1026_202=BFALSE;else
AUX_1026_202=BTRUE;__andtest_1004_980_225=BBOOL_TO_CBOOL( AUX_1026_202 );}{if( __andtest_1004_980_225)
{bool_t OBJ_981_144;
{obj_t AUX_1027_217;
{obj_t C_STRUCT_REF_651_33;
C_STRUCT_REF_651_33=STRUCT_SLOT_REF( FROM_433_210, BINT( 6 ) );AUX_1027_217=FIND_CASTING_FOREIGN_TOOLS_167( PARENT_460_62, C_STRUCT_REF_651_33 );}OBJ_981_144=BBOOL_TO_CBOOL( AUX_1027_217 );}if( OBJ_981_144)
goto _false_4;else
goto _true_3;}else
goto _false_4;_true_3:
{obj_t OLD_C_465_184;
{obj_t C_STRUCT_REF_652_8;
C_STRUCT_REF_652_8=STRUCT_SLOT_REF( TO_434_152, BINT( 6 ) );OLD_C_465_184=FIND_CASTING_FOREIGN_TOOLS_167( PARENT_460_62, C_STRUCT_REF_652_8 );}{obj_t NEW_C_466_152;
{obj_t CAST_OP_654_128;
{obj_t LAMBDA_1_5_ENV_971_118;
LAMBDA_1_5_ENV_971_118=make_fx_procedure( LAMBDA_1_5_469_16, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_5_ENV_971_118, 1, CAST_OP_436_75 );
PROCEDURE_ENV_SET( LAMBDA_1_5_ENV_971_118, 0, OLD_C_465_184 );
CAST_OP_654_128=LAMBDA_1_5_ENV_971_118;
}}{obj_t CHECK_OP_653_125;
{obj_t LAMBDA_1_4_ENV_969_19;
LAMBDA_1_4_ENV_969_19=make_fx_procedure( LAMBDA_1_4_467_101, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_4_ENV_969_19, 1, CHECK_OP_435_61 );
PROCEDURE_ENV_SET( LAMBDA_1_4_ENV_969_19, 0, OLD_C_465_184 );
CHECK_OP_653_125=LAMBDA_1_4_ENV_969_19;
}}{obj_t NEW_655_208;
{obj_t INIT_656_242;
INIT_656_242=BNIL;{obj_t INIT_657_101;
INIT_657_101=BNIL;NEW_655_208=make_struct( CNST_TABLE_REF( 3 ), BINT( 4 ), INIT_657_101 );}}{
STRUCT_SLOT_SET( NEW_655_208, BINT( 0 ), FROM_433_210 );
STRUCT_SLOT_SET( NEW_655_208, BINT( 1 ), PARENT_460_62 );
STRUCT_SLOT_SET( NEW_655_208, BINT( 2 ), CHECK_OP_653_125 );
STRUCT_SLOT_SET( NEW_655_208, BINT( 3 ), CAST_OP_654_128 );
NEW_C_466_152=NEW_655_208;
}}}}{
{obj_t V_661_71;
{obj_t OBJ2_664_178;
OBJ2_664_178=STRUCT_SLOT_REF( FROM_433_210, BINT( 6 ) );V_661_71=MAKE_PAIR( NEW_C_466_152, OBJ2_664_178 );}STRUCT_SLOT_SET( FROM_433_210, BINT( 6 ), V_661_71 );}
{obj_t V_666_129;
{obj_t OBJ2_667_237;
OBJ2_667_237=STRUCT_SLOT_REF( PARENT_460_62, BINT( 7 ) );V_666_129=MAKE_PAIR( NEW_C_466_152, OBJ2_667_237 );}{STRUCT_SLOT_SET( PARENT_460_62, BINT( 7 ), V_666_129 );
goto _endif_5;}}
}}}_false_4:
BFALSE;_endif_5:
;
}}
}}
}}
{obj_t C_CDR_717_19;
C_CDR_717_19=CDR( g1008_444_32 );{
g1008_444_32=C_CDR_717_19;
goto _g1009_443_204;
}}
}else
BTRUE;}
}}}
{obj_t g1010_446_177;
{obj_t C_STRUCT_REF_721_47;
C_STRUCT_REF_721_47=STRUCT_SLOT_REF( FROM_433_210, BINT( 8 ) );{
g1010_446_177=C_STRUCT_REF_721_47;
{_g1011_445_67:

if( PAIRP( g1010_446_177 ))
{
{obj_t C_CAR_719_35;
C_CAR_719_35=CAR( g1010_446_177 );{
PARENT_448_25=C_CAR_719_35;
{
{
{obj_t AUX_1030_180;
{obj_t AUX_1031_205;
AUX_1031_205=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1030_180=SATISFY__TOOLS_TRACE_72( AUX_1031_205 );}if( BBOOL_TO_CBOOL( AUX_1030_180 ))
{
{obj_t g1005_450_28;
{obj_t L_670_194;
{obj_t STRING_CAST_812_241;
STRING_CAST_812_241=CNST_TABLE_REF( 1 );{obj_t C_CONS_674_55;
{obj_t C_CONS_673_185;
{obj_t STRING_CAST_813_156;
STRING_CAST_813_156=CNST_TABLE_REF( 2 );{obj_t C_CONS_672_194;
{obj_t C_CONS_671_29;
C_CONS_671_29=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1028_182;
AUX_1028_182=SHAPE_TOOLS_SHAPE_229( TO_434_152 );C_CONS_672_194=MAKE_PAIR( AUX_1028_182, C_CONS_671_29 );}}C_CONS_673_185=MAKE_PAIR( STRING_CAST_813_156, C_CONS_672_194 );}}{obj_t AUX_1029_111;
AUX_1029_111=SHAPE_TOOLS_SHAPE_229( PARENT_448_25 );C_CONS_674_55=MAKE_PAIR( AUX_1029_111, C_CONS_673_185 );}}L_670_194=MAKE_PAIR( STRING_CAST_812_241, C_CONS_674_55 );}}{
g1005_450_28=L_670_194;
{_g1006_449_98:

if( PAIRP( g1005_450_28 ))
{
{obj_t A_451_38;
A_451_38=CAR( g1005_450_28 );{obj_t VA_ARG_811_48;
VA_ARG_811_48=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_451_38, VA_ARG_811_48 );}}
{obj_t C_CDR_669_76;
C_CDR_669_76=CDR( g1005_450_28 );{
g1005_450_28=C_CDR_669_76;
goto _g1006_449_98;
}}
}else
BTRUE;}
}}}
{obj_t PORT_675_57;
PORT_675_57=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_675_57 );}
}else
BFALSE;}
{bool_t __andtest_1007_977_248;
{obj_t AUX_1032_109;
if( EQP( FROM_433_210, PARENT_448_25 ))
AUX_1032_109=BFALSE;else
AUX_1032_109=BTRUE;__andtest_1007_977_248=BBOOL_TO_CBOOL( AUX_1032_109 );}{if( __andtest_1007_977_248)
{bool_t OBJ_978_199;
{obj_t AUX_1033_47;
{obj_t C_STRUCT_REF_678_23;
C_STRUCT_REF_678_23=STRUCT_SLOT_REF( PARENT_448_25, BINT( 6 ) );AUX_1033_47=FIND_CASTING_FOREIGN_TOOLS_167( TO_434_152, C_STRUCT_REF_678_23 );}OBJ_978_199=BBOOL_TO_CBOOL( AUX_1033_47 );}if( OBJ_978_199)
goto _false_7;else
goto _true_6;}else
goto _false_7;_true_6:
{obj_t OLD_C_453_19;
{obj_t C_STRUCT_REF_679_63;
C_STRUCT_REF_679_63=STRUCT_SLOT_REF( PARENT_448_25, BINT( 6 ) );OLD_C_453_19=FIND_CASTING_FOREIGN_TOOLS_167( FROM_433_210, C_STRUCT_REF_679_63 );}{obj_t NEW_C_454_9;
{obj_t CAST_OP_681_239;
{obj_t LAMBDA_1_2_ENV_967_225;
LAMBDA_1_2_ENV_967_225=make_fx_procedure( LAMBDA_1_2_457_46, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_2_ENV_967_225, 1, CAST_OP_436_75 );
PROCEDURE_ENV_SET( LAMBDA_1_2_ENV_967_225, 0, OLD_C_453_19 );
CAST_OP_681_239=LAMBDA_1_2_ENV_967_225;
}}{obj_t CHECK_OP_680_86;
{obj_t LAMBDA_1_1_ENV_965_108;
LAMBDA_1_1_ENV_965_108=make_fx_procedure( LAMBDA_1_1_455_130, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_1_ENV_965_108, 1, CHECK_OP_435_61 );
PROCEDURE_ENV_SET( LAMBDA_1_1_ENV_965_108, 0, OLD_C_453_19 );
CHECK_OP_680_86=LAMBDA_1_1_ENV_965_108;
}}{obj_t NEW_682_34;
{obj_t INIT_683_217;
INIT_683_217=BNIL;{obj_t INIT_684_165;
INIT_684_165=BNIL;NEW_682_34=make_struct( CNST_TABLE_REF( 3 ), BINT( 4 ), INIT_684_165 );}}{
STRUCT_SLOT_SET( NEW_682_34, BINT( 0 ), PARENT_448_25 );
STRUCT_SLOT_SET( NEW_682_34, BINT( 1 ), TO_434_152 );
STRUCT_SLOT_SET( NEW_682_34, BINT( 2 ), CHECK_OP_680_86 );
STRUCT_SLOT_SET( NEW_682_34, BINT( 3 ), CAST_OP_681_239 );
NEW_C_454_9=NEW_682_34;
}}}}{
{obj_t V_688_59;
{obj_t OBJ2_689_190;
OBJ2_689_190=STRUCT_SLOT_REF( PARENT_448_25, BINT( 6 ) );V_688_59=MAKE_PAIR( NEW_C_454_9, OBJ2_689_190 );}STRUCT_SLOT_SET( PARENT_448_25, BINT( 6 ), V_688_59 );}
{obj_t V_691_64;
{obj_t OBJ2_692_127;
OBJ2_692_127=STRUCT_SLOT_REF( TO_434_152, BINT( 7 ) );V_691_64=MAKE_PAIR( NEW_C_454_9, OBJ2_692_127 );}{STRUCT_SLOT_SET( TO_434_152, BINT( 7 ), V_691_64 );
goto _endif_8;}}
}}}_false_7:
BFALSE;_endif_8:
;
}}
}}
}}
{obj_t C_CDR_720_209;
C_CDR_720_209=CDR( g1010_446_177 );{
g1010_446_177=C_CDR_720_209;
goto _g1011_445_67;
}}
}else
return BTRUE;}
}}}
}}
}}
}

obj_t
#if defined( __STDC__ )
__ALLOW_CAST__FOREIGN_CAST_110(obj_t ENV_973_91,obj_t FROM_433_210,obj_t TO_434_152,obj_t CHECK_OP_435_61,obj_t CAST_OP_436_75)
#else
__ALLOW_CAST__FOREIGN_CAST_110( ENV_973_91, FROM_433_210, TO_434_152, CHECK_OP_435_61, CAST_OP_436_75 )
obj_t ENV_973_91, FROM_433_210, TO_434_152, CHECK_OP_435_61, CAST_OP_436_75;
#endif
{

return ALLOW_CAST__FOREIGN_CAST_163( FROM_433_210, TO_434_152, CHECK_OP_435_61, CAST_OP_436_75 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_5_469_16(obj_t LAMBDA_1_5_ENV_972_138,obj_t X_470_107)
#else
LAMBDA_1_5_469_16( LAMBDA_1_5_ENV_972_138, X_470_107 )
obj_t LAMBDA_1_5_ENV_972_138, X_470_107;
#endif
{

{obj_t OLD_C_465_184, CAST_OP_436_75;
OLD_C_465_184=PROCEDURE_ENV_REF( LAMBDA_1_5_ENV_972_138, 0 );CAST_OP_436_75=PROCEDURE_ENV_REF( LAMBDA_1_5_ENV_972_138, 1 );{obj_t C_STRUCT_REF_660_156;
C_STRUCT_REF_660_156=STRUCT_SLOT_REF( OLD_C_465_184, BINT( 3 ) );{obj_t AUX_1015_102;
AUX_1015_102=PROCEDURE_ENTRY( C_STRUCT_REF_660_156 )( C_STRUCT_REF_660_156, X_470_107, BEOA );return PROCEDURE_ENTRY( CAST_OP_436_75 )( CAST_OP_436_75, AUX_1015_102, BEOA );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_4_467_101(obj_t LAMBDA_1_4_ENV_970_44,obj_t X_468_219)
#else
LAMBDA_1_4_467_101( LAMBDA_1_4_ENV_970_44, X_468_219 )
obj_t LAMBDA_1_4_ENV_970_44, X_468_219;
#endif
{

{obj_t OLD_C_465_184, CHECK_OP_435_61;
OLD_C_465_184=PROCEDURE_ENV_REF( LAMBDA_1_4_ENV_970_44, 0 );CHECK_OP_435_61=PROCEDURE_ENV_REF( LAMBDA_1_4_ENV_970_44, 1 );{obj_t C_STRUCT_REF_659_195;
C_STRUCT_REF_659_195=STRUCT_SLOT_REF( OLD_C_465_184, BINT( 2 ) );{obj_t AUX_1014_218;
AUX_1014_218=PROCEDURE_ENTRY( C_STRUCT_REF_659_195 )( C_STRUCT_REF_659_195, X_468_219, BEOA );return PROCEDURE_ENTRY( CHECK_OP_435_61 )( CHECK_OP_435_61, AUX_1014_218, BEOA );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_2_457_46(obj_t LAMBDA_1_2_ENV_968_17,obj_t X_458_201)
#else
LAMBDA_1_2_457_46( LAMBDA_1_2_ENV_968_17, X_458_201 )
obj_t LAMBDA_1_2_ENV_968_17, X_458_201;
#endif
{

{obj_t OLD_C_453_19, CAST_OP_436_75;
OLD_C_453_19=PROCEDURE_ENV_REF( LAMBDA_1_2_ENV_968_17, 0 );CAST_OP_436_75=PROCEDURE_ENV_REF( LAMBDA_1_2_ENV_968_17, 1 );{obj_t C_STRUCT_REF_687_5;
C_STRUCT_REF_687_5=STRUCT_SLOT_REF( OLD_C_453_19, BINT( 3 ) );{obj_t AUX_1013_158;
AUX_1013_158=PROCEDURE_ENTRY( C_STRUCT_REF_687_5 )( C_STRUCT_REF_687_5, X_458_201, BEOA );return PROCEDURE_ENTRY( CAST_OP_436_75 )( CAST_OP_436_75, AUX_1013_158, BEOA );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_455_130(obj_t LAMBDA_1_1_ENV_966_139,obj_t X_456_3)
#else
LAMBDA_1_1_455_130( LAMBDA_1_1_ENV_966_139, X_456_3 )
obj_t LAMBDA_1_1_ENV_966_139, X_456_3;
#endif
{

{obj_t OLD_C_453_19, CHECK_OP_435_61;
OLD_C_453_19=PROCEDURE_ENV_REF( LAMBDA_1_1_ENV_966_139, 0 );CHECK_OP_435_61=PROCEDURE_ENV_REF( LAMBDA_1_1_ENV_966_139, 1 );{obj_t C_STRUCT_REF_686_171;
C_STRUCT_REF_686_171=STRUCT_SLOT_REF( OLD_C_453_19, BINT( 2 ) );{obj_t AUX_1012_201;
AUX_1012_201=PROCEDURE_ENTRY( C_STRUCT_REF_686_171 )( C_STRUCT_REF_686_171, X_456_3, BEOA );return PROCEDURE_ENTRY( CHECK_OP_435_61 )( CHECK_OP_435_61, AUX_1012_201, BEOA );}}}
}

obj_t
#if defined( __STDC__ )
MAKE_FOREIGN_CASTING__FOREIGN_CAST_205()
#else
MAKE_FOREIGN_CASTING__FOREIGN_CAST_205()
#endif
{

{
MAKE_ATOMIC_CASTING__FOREIGN_ATOMIC_112();
{obj_t LAMBDA_1_6_ENV_962_35;
LAMBDA_1_6_ENV_962_35=PROCEDURE_0_FOREIGN_CAST_113;{obj_t A_FUNCTION_823_126;
A_FUNCTION_823_126=LAMBDA_1_6_ENV_962_35;return FOR_EACH_TYPE__FOREIGN_TOOLS_94( A_FUNCTION_823_126 );}}
}
}

obj_t
#if defined( __STDC__ )
__MAKE_FOREIGN_CASTING__FOREIGN_CAST_48(obj_t ENV_964_2)
#else
__MAKE_FOREIGN_CASTING__FOREIGN_CAST_48( ENV_964_2 )
obj_t ENV_964_2;
#endif
{

return MAKE_FOREIGN_CASTING__FOREIGN_CAST_205();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_6_471_76(obj_t LAMBDA_1_6_ENV_963_206,obj_t T_472_74)
#else
LAMBDA_1_6_471_76( LAMBDA_1_6_ENV_963_206, T_472_74 )
obj_t LAMBDA_1_6_ENV_963_206, T_472_74;
#endif
{

{obj_t CASE_VALUE_473_133;
CASE_VALUE_473_133=STRUCT_SLOT_REF( T_472_74, BINT( 2 ) );{obj_t AUX_1011_82;
AUX_1011_82=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_473_133, CNST_TABLE_REF( 10 ) );if( BBOOL_TO_CBOOL( AUX_1011_82 ))
return CNST_TABLE_REF( 11 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 12 ) ))
return MAKE_AS_CASTING__FOREIGN_CAST_83( T_472_74, __LONG__FOREIGN_ATOMIC_146 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 13 ) ))
return MAKE_AS_CASTING__FOREIGN_CAST_83( T_472_74, __DOUBLE__FOREIGN_ATOMIC_141 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 14 ) ))
return MAKE_AS_CASTING__FOREIGN_CAST_83( T_472_74, __CHAR__FOREIGN_ATOMIC_146 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 15 ) ))
return MAKE_UNION_STRUCT_CASTING__FOREIGN_CAST_205( T_472_74 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 16 ) ))
return MAKE_ARRAY_CASTING__FOREIGN_CAST_222( T_472_74 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 17 ) ))
return MAKE_ARRAY_CASTING__FOREIGN_CAST_222( T_472_74 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 18 ) ))
return MAKE_ARRAY_CASTING__FOREIGN_CAST_222( T_472_74 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 19 ) ))
return MAKE_FUNCTION_CASTING__FOREIGN_CAST_165( T_472_74 );else
if( EQP( CASE_VALUE_473_133, CNST_TABLE_REF( 20 ) ))
return MAKE_SUBTYPE_CASTING__FOREIGN_CAST_251( T_472_74 );else
{obj_t O_723_132;
O_723_132=STRUCT_SLOT_REF( T_472_74, BINT( 2 ) );{if( STRUCTP( O_723_132 ))
if( EQP( STRUCT_KEY( O_723_132 ), CNST_TABLE_REF( 0 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t C_STRUCT_REF_726_53;
C_STRUCT_REF_726_53=STRUCT_SLOT_REF( T_472_74, BINT( 2 ) );return MAKE_AS_CASTING__FOREIGN_CAST_83( T_472_74, C_STRUCT_REF_726_53 );}_false_1:
return CNST_TABLE_REF( 11 );;
}}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_AS_CASTING__FOREIGN_CAST_83(obj_t TYPE_474_59,obj_t AS_TYPE_475_122)
#else
MAKE_AS_CASTING__FOREIGN_CAST_83( TYPE_474_59, AS_TYPE_475_122 )
obj_t TYPE_474_59, AS_TYPE_475_122;
#endif
{

{
{obj_t AUX_1009_134;
{obj_t AUX_1010_106;
AUX_1010_106=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1009_134=SATISFY__TOOLS_TRACE_72( AUX_1010_106 );}if( BBOOL_TO_CBOOL( AUX_1009_134 ))
{
{obj_t g1012_477_235;
{obj_t L_728_158;
{obj_t STRING_CAST_825_13;
STRING_CAST_825_13=CNST_TABLE_REF( 21 );{obj_t C_CONS_732_238;
{obj_t C_CONS_731_167;
{obj_t STRING_CAST_826_187;
STRING_CAST_826_187=CNST_TABLE_REF( 22 );{obj_t C_CONS_730_183;
{obj_t C_CONS_729_208;
C_CONS_729_208=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1007_245;
AUX_1007_245=SHAPE_TOOLS_SHAPE_229( AS_TYPE_475_122 );C_CONS_730_183=MAKE_PAIR( AUX_1007_245, C_CONS_729_208 );}}C_CONS_731_167=MAKE_PAIR( STRING_CAST_826_187, C_CONS_730_183 );}}{obj_t AUX_1008_105;
AUX_1008_105=SHAPE_TOOLS_SHAPE_229( TYPE_474_59 );C_CONS_732_238=MAKE_PAIR( AUX_1008_105, C_CONS_731_167 );}}L_728_158=MAKE_PAIR( STRING_CAST_825_13, C_CONS_732_238 );}}{
g1012_477_235=L_728_158;
{_g1013_476_183:

if( PAIRP( g1012_477_235 ))
{
{obj_t A_478_224;
A_478_224=CAR( g1012_477_235 );{obj_t VA_ARG_824_58;
VA_ARG_824_58=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_478_224, VA_ARG_824_58 );}}
{obj_t C_CDR_727_152;
C_CDR_727_152=CDR( g1012_477_235 );{
g1012_477_235=C_CDR_727_152;
goto _g1013_476_183;
}}
}else
BTRUE;}
}}}
{obj_t PORT_733_187;
PORT_733_187=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_733_187 );}
}else
BFALSE;}
{obj_t g1014_480_10;
{obj_t C_STRUCT_REF_738_131;
C_STRUCT_REF_738_131=STRUCT_SLOT_REF( AS_TYPE_475_122, BINT( 6 ) );{
g1014_480_10=C_STRUCT_REF_738_131;
{_g1015_479_251:

if( PAIRP( g1014_480_10 ))
{
{obj_t CAST_481_53;
CAST_481_53=CAR( g1014_480_10 );{obj_t C_STRUCT_REF_734_243;
C_STRUCT_REF_734_243=STRUCT_SLOT_REF( CAST_481_53, BINT( 1 ) );{obj_t C_STRUCT_REF_735_248;
C_STRUCT_REF_735_248=STRUCT_SLOT_REF( CAST_481_53, BINT( 2 ) );{obj_t C_STRUCT_REF_736_10;
C_STRUCT_REF_736_10=STRUCT_SLOT_REF( CAST_481_53, BINT( 3 ) );ALLOW_CAST__FOREIGN_CAST_163( TYPE_474_59, C_STRUCT_REF_734_243, C_STRUCT_REF_735_248, C_STRUCT_REF_736_10 );}}}}
{obj_t C_CDR_737_246;
C_CDR_737_246=CDR( g1014_480_10 );{
g1014_480_10=C_CDR_737_246;
goto _g1015_479_251;
}}
}else
BTRUE;}
}}}
{obj_t g1016_483_55;
{obj_t C_STRUCT_REF_743_183;
C_STRUCT_REF_743_183=STRUCT_SLOT_REF( AS_TYPE_475_122, BINT( 7 ) );{
g1016_483_55=C_STRUCT_REF_743_183;
{_g1017_482_65:

if( PAIRP( g1016_483_55 ))
{
{obj_t CAST_484_205;
CAST_484_205=CAR( g1016_483_55 );{obj_t C_STRUCT_REF_739_152;
C_STRUCT_REF_739_152=STRUCT_SLOT_REF( CAST_484_205, BINT( 0 ) );{obj_t C_STRUCT_REF_740_157;
C_STRUCT_REF_740_157=STRUCT_SLOT_REF( CAST_484_205, BINT( 2 ) );{obj_t C_STRUCT_REF_741_238;
C_STRUCT_REF_741_238=STRUCT_SLOT_REF( CAST_484_205, BINT( 3 ) );ALLOW_CAST__FOREIGN_CAST_163( C_STRUCT_REF_739_152, TYPE_474_59, C_STRUCT_REF_740_157, C_STRUCT_REF_741_238 );}}}}
{obj_t C_CDR_742_178;
C_CDR_742_178=CDR( g1016_483_55 );{
g1016_483_55=C_CDR_742_178;
goto _g1017_482_65;
}}
}else
BTRUE;}
}}}
{obj_t A_FUNCTION_827_101;
A_FUNCTION_827_101=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_828_191;
A_FUNCTION_828_191=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( TYPE_474_59, AS_TYPE_475_122, A_FUNCTION_827_101, A_FUNCTION_828_191 );}}
{obj_t A_FUNCTION_829_108;
A_FUNCTION_829_108=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_830_190;
A_FUNCTION_830_190=I_ENV_FOREIGN_CAST_79;return ALLOW_CAST__FOREIGN_CAST_163( AS_TYPE_475_122, TYPE_474_59, A_FUNCTION_829_108, A_FUNCTION_830_190 );}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_UNION_STRUCT_CASTING__FOREIGN_CAST_205(obj_t CT_485_7)
#else
MAKE_UNION_STRUCT_CASTING__FOREIGN_CAST_205( CT_485_7 )
obj_t CT_485_7;
#endif
{

{obj_t CT_ID_486_153;
CT_ID_486_153=STRUCT_SLOT_REF( CT_485_7, BINT( 0 ) );{obj_t BT_487_178;
BT_487_178=STRUCT_SLOT_REF( CT_485_7, BINT( 4 ) );{obj_t BT_ID_488_28;
BT_ID_488_28=STRUCT_SLOT_REF( BT_487_178, BINT( 0 ) );{obj_t BID__CID_489_181;
{obj_t VA_ARG_831_144;
VA_ARG_831_144=MAKE_PAIR( CT_ID_486_153, BNIL );{obj_t VA_ARG_832_124;
VA_ARG_832_124=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_831_144 );{obj_t VA_ARG_833_147;
VA_ARG_833_147=MAKE_PAIR( BT_ID_488_28, VA_ARG_832_124 );BID__CID_489_181=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_833_147 );}}}{obj_t __ID_490_146;
{obj_t VA_ARG_834_238;
VA_ARG_834_238=MAKE_PAIR( CT_ID_486_153, BNIL );{obj_t VA_ARG_835_157;
VA_ARG_835_157=MAKE_PAIR( CNST_TABLE_REF( 24 ), VA_ARG_834_238 );__ID_490_146=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_835_157 );}}{
{obj_t A_FUNCTION_836_211;
A_FUNCTION_836_211=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_837_57;
A_FUNCTION_837_57=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( BT_487_178, __BOBJ__FOREIGN_ATOMIC_124, A_FUNCTION_836_211, A_FUNCTION_837_57 );}}
{obj_t LAMBDA_1_7_ENV_960_219;
LAMBDA_1_7_ENV_960_219=make_fx_procedure( LAMBDA_1_7_491_120, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_7_ENV_960_219, 0, CT_ID_486_153 );
{obj_t A_FUNCTION_842_152;
A_FUNCTION_842_152=LAMBDA_1_7_ENV_960_219;{obj_t A_FUNCTION_843_131;
A_FUNCTION_843_131=I_ENV_FOREIGN_CAST_79;{obj_t AUX_1006_208;
AUX_1006_208=ENFORCER_TYPE_ENFORCE_109( A_FUNCTION_842_152, CT_ID_486_153 );ALLOW_CAST__FOREIGN_CAST_163( __BOBJ__FOREIGN_ATOMIC_124, BT_487_178, AUX_1006_208, A_FUNCTION_843_131 );}}}
}}
{obj_t A_FUNCTION_844_120;
A_FUNCTION_844_120=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_845_209;
A_FUNCTION_845_209=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( CT_485_7, __FOREIGN__FOREIGN_ATOMIC_169, A_FUNCTION_844_120, A_FUNCTION_845_209 );}}
{obj_t A_FUNCTION_846_203;
A_FUNCTION_846_203=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_847_76;
A_FUNCTION_847_76=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( __FOREIGN__FOREIGN_ATOMIC_169, CT_485_7, A_FUNCTION_846_203, A_FUNCTION_847_76 );}}
{obj_t A_FUNCTION_848_222;
A_FUNCTION_848_222=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_8_ENV_958_58;
LAMBDA_1_8_ENV_958_58=make_fx_procedure( LAMBDA_1_8_493_209, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_8_ENV_958_58, 0, CT_ID_486_153 );
{obj_t A_FUNCTION_854_117;
A_FUNCTION_854_117=LAMBDA_1_8_ENV_958_58;ALLOW_CAST__FOREIGN_CAST_163( CT_485_7, BT_487_178, A_FUNCTION_848_222, A_FUNCTION_854_117 );}
}}}
{obj_t A_FUNCTION_855_39;
A_FUNCTION_855_39=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_9_ENV_956_5;
LAMBDA_1_9_ENV_956_5=make_fx_procedure( LAMBDA_1_9_495_47, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_9_ENV_956_5, 1, __ID_490_146 );
PROCEDURE_ENV_SET( LAMBDA_1_9_ENV_956_5, 0, BID__CID_489_181 );
{obj_t A_FUNCTION_858_38;
A_FUNCTION_858_38=LAMBDA_1_9_ENV_956_5;ALLOW_CAST__FOREIGN_CAST_163( BT_487_178, CT_485_7, A_FUNCTION_855_39, A_FUNCTION_858_38 );}
}}}
{obj_t A_FUNCTION_859_44;
A_FUNCTION_859_44=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_860_89;
A_FUNCTION_860_89=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( CT_485_7, __BOOL__FOREIGN_ATOMIC_92, A_FUNCTION_859_44, A_FUNCTION_860_89 );}}
{obj_t A_FUNCTION_861_9;
A_FUNCTION_861_9=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_10_ENV_954_161;
LAMBDA_1_10_ENV_954_161=PROCEDURE_1_FOREIGN_CAST_66;{obj_t A_FUNCTION_862_61;
A_FUNCTION_862_61=LAMBDA_1_10_ENV_954_161;ALLOW_CAST__FOREIGN_CAST_163( BT_487_178, __BOOL__FOREIGN_ATOMIC_92, A_FUNCTION_861_9, A_FUNCTION_862_61 );}}}
{obj_t g1018_500_38;
{obj_t C_STRUCT_REF_748_70;
C_STRUCT_REF_748_70=STRUCT_SLOT_REF( CT_485_7, BINT( 5 ) );{
g1018_500_38=C_STRUCT_REF_748_70;
{_g1019_499_197:

if( PAIRP( g1018_500_38 ))
{
{obj_t PT_501_171;
PT_501_171=CAR( g1018_500_38 );{
{obj_t A_FUNCTION_863_3;
A_FUNCTION_863_3=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_11_ENV_952_2;
LAMBDA_1_11_ENV_952_2=make_fx_procedure( LAMBDA_1_11_502_199, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_11_ENV_952_2, 0, BID__CID_489_181 );
{obj_t A_FUNCTION_865_93;
A_FUNCTION_865_93=LAMBDA_1_11_ENV_952_2;ALLOW_CAST__FOREIGN_CAST_163( BT_487_178, PT_501_171, A_FUNCTION_863_3, A_FUNCTION_865_93 );}
}}}
{obj_t A_FUNCTION_866_42;
A_FUNCTION_866_42=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_12_ENV_950_46;
LAMBDA_1_12_ENV_950_46=make_fx_procedure( LAMBDA_1_12_504_88, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_12_ENV_950_46, 0, CT_ID_486_153 );
{obj_t A_FUNCTION_871_84;
A_FUNCTION_871_84=LAMBDA_1_12_ENV_950_46;ALLOW_CAST__FOREIGN_CAST_163( PT_501_171, BT_487_178, A_FUNCTION_866_42, A_FUNCTION_871_84 );}
}}}
}}
{obj_t C_CDR_747_154;
C_CDR_747_154=CDR( g1018_500_38 );{
g1018_500_38=C_CDR_747_154;
goto _g1019_499_197;
}}
}else
return BTRUE;}
}}}
}}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_7_491_120(obj_t LAMBDA_1_7_ENV_961_10,obj_t X_492_32)
#else
LAMBDA_1_7_491_120( LAMBDA_1_7_ENV_961_10, X_492_32 )
obj_t LAMBDA_1_7_ENV_961_10, X_492_32;
#endif
{

{obj_t CT_ID_486_153;
CT_ID_486_153=PROCEDURE_ENV_REF( LAMBDA_1_7_ENV_961_10, 0 );{obj_t VA_ARG_838_75;
{obj_t VA_ARG_840_199;
VA_ARG_840_199=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_841_187;
VA_ARG_841_187=MAKE_PAIR( CT_ID_486_153, VA_ARG_840_199 );{obj_t AUX_1005_122;
AUX_1005_122=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_841_187 );VA_ARG_838_75=MAKE_PAIR( AUX_1005_122, BNIL );}}}{obj_t VA_ARG_839_78;
VA_ARG_839_78=MAKE_PAIR( X_492_32, VA_ARG_838_75 );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 26 ), VA_ARG_839_78 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_8_493_209(obj_t LAMBDA_1_8_ENV_959_22,obj_t X_494_226)
#else
LAMBDA_1_8_493_209( LAMBDA_1_8_ENV_959_22, X_494_226 )
obj_t LAMBDA_1_8_ENV_959_22, X_494_226;
#endif
{

{obj_t CT_ID_486_153;
CT_ID_486_153=PROCEDURE_ENV_REF( LAMBDA_1_8_ENV_959_22, 0 );{obj_t VA_ARG_849_204;
{obj_t VA_ARG_853_60;
VA_ARG_853_60=MAKE_PAIR( X_494_226, BNIL );{obj_t AUX_1003_64;
AUX_1003_64=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 27 ), VA_ARG_853_60 );VA_ARG_849_204=MAKE_PAIR( AUX_1003_64, BNIL );}}{obj_t VA_ARG_850_83;
{obj_t VA_ARG_851_128;
VA_ARG_851_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_852_66;
VA_ARG_852_66=MAKE_PAIR( CT_ID_486_153, VA_ARG_851_128 );{obj_t AUX_1004_130;
AUX_1004_130=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_852_66 );VA_ARG_850_83=MAKE_PAIR( AUX_1004_130, VA_ARG_849_204 );}}}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 28 ), VA_ARG_850_83 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_9_495_47(obj_t LAMBDA_1_9_ENV_957_171,obj_t X_496_214)
#else
LAMBDA_1_9_495_47( LAMBDA_1_9_ENV_957_171, X_496_214 )
obj_t LAMBDA_1_9_ENV_957_171, X_496_214;
#endif
{

{obj_t BID__CID_489_181, __ID_490_146;
BID__CID_489_181=PROCEDURE_ENV_REF( LAMBDA_1_9_ENV_957_171, 0 );__ID_490_146=PROCEDURE_ENV_REF( LAMBDA_1_9_ENV_957_171, 1 );{obj_t VA_ARG_856_161;
{obj_t VA_ARG_857_176;
VA_ARG_857_176=MAKE_PAIR( X_496_214, BNIL );{obj_t AUX_1002_121;
AUX_1002_121=ABSTRACT_HEAP_ABSTRACT_235( BID__CID_489_181, VA_ARG_857_176 );VA_ARG_856_161=MAKE_PAIR( AUX_1002_121, BNIL );}}return ABSTRACT_HEAP_ABSTRACT_235( __ID_490_146, VA_ARG_856_161 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_10_497_56(obj_t LAMBDA_1_10_ENV_955_176,obj_t X_498_204)
#else
LAMBDA_1_10_497_56( LAMBDA_1_10_ENV_955_176, X_498_204 )
obj_t LAMBDA_1_10_ENV_955_176, X_498_204;
#endif
{

return ABSTRACT_TRUE_HEAP_ABSTRACT_217();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_11_502_199(obj_t LAMBDA_1_11_ENV_953_15,obj_t X_503_226)
#else
LAMBDA_1_11_502_199( LAMBDA_1_11_ENV_953_15, X_503_226 )
obj_t LAMBDA_1_11_ENV_953_15, X_503_226;
#endif
{

{obj_t BID__CID_489_181;
BID__CID_489_181=PROCEDURE_ENV_REF( LAMBDA_1_11_ENV_953_15, 0 );{obj_t VA_ARG_864_154;
VA_ARG_864_154=MAKE_PAIR( X_503_226, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( BID__CID_489_181, VA_ARG_864_154 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_12_504_88(obj_t LAMBDA_1_12_ENV_951_79,obj_t X_505_32)
#else
LAMBDA_1_12_504_88( LAMBDA_1_12_ENV_951_79, X_505_32 )
obj_t LAMBDA_1_12_ENV_951_79, X_505_32;
#endif
{

{obj_t CT_ID_486_153;
CT_ID_486_153=PROCEDURE_ENV_REF( LAMBDA_1_12_ENV_951_79, 0 );{obj_t VA_ARG_867_133;
VA_ARG_867_133=MAKE_PAIR( X_505_32, BNIL );{obj_t VA_ARG_868_206;
{obj_t VA_ARG_869_35;
VA_ARG_869_35=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_870_232;
VA_ARG_870_232=MAKE_PAIR( CT_ID_486_153, VA_ARG_869_35 );{obj_t AUX_1001_72;
AUX_1001_72=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_870_232 );VA_ARG_868_206=MAKE_PAIR( AUX_1001_72, VA_ARG_867_133 );}}}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 28 ), VA_ARG_868_206 );}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_ARRAY_CASTING__FOREIGN_CAST_222(obj_t CT_506_88)
#else
MAKE_ARRAY_CASTING__FOREIGN_CAST_222( CT_506_88 )
obj_t CT_506_88;
#endif
{

{obj_t CT_ID_507_40;
CT_ID_507_40=STRUCT_SLOT_REF( CT_506_88, BINT( 0 ) );{obj_t BT_508_33;
BT_508_33=STRUCT_SLOT_REF( CT_506_88, BINT( 4 ) );{obj_t BT_ID_509_17;
BT_ID_509_17=STRUCT_SLOT_REF( BT_508_33, BINT( 0 ) );{obj_t BID__CID_510_187;
{obj_t VA_ARG_872_108;
VA_ARG_872_108=MAKE_PAIR( CT_ID_507_40, BNIL );{obj_t VA_ARG_873_191;
VA_ARG_873_191=MAKE_PAIR( CNST_TABLE_REF( 23 ), VA_ARG_872_108 );{obj_t VA_ARG_874_137;
VA_ARG_874_137=MAKE_PAIR( BT_ID_509_17, VA_ARG_873_191 );BID__CID_510_187=SYMBOL_APPEND___R4_SYMBOLS_6_4_26( VA_ARG_874_137 );}}}{
{obj_t A_FUNCTION_875_199;
A_FUNCTION_875_199=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_876_32;
A_FUNCTION_876_32=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( BT_508_33, __BOBJ__FOREIGN_ATOMIC_124, A_FUNCTION_875_199, A_FUNCTION_876_32 );}}
{obj_t LAMBDA_1_13_ENV_948_8;
LAMBDA_1_13_ENV_948_8=make_fx_procedure( LAMBDA_1_13_511_250, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_13_ENV_948_8, 0, CT_ID_507_40 );
{obj_t A_FUNCTION_881_220;
A_FUNCTION_881_220=LAMBDA_1_13_ENV_948_8;{obj_t A_FUNCTION_882_224;
A_FUNCTION_882_224=I_ENV_FOREIGN_CAST_79;{obj_t AUX_1000_77;
AUX_1000_77=ENFORCER_TYPE_ENFORCE_109( A_FUNCTION_881_220, CT_ID_507_40 );ALLOW_CAST__FOREIGN_CAST_163( __BOBJ__FOREIGN_ATOMIC_124, BT_508_33, AUX_1000_77, A_FUNCTION_882_224 );}}}
}}
{obj_t A_FUNCTION_883_212;
A_FUNCTION_883_212=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_884_247;
A_FUNCTION_884_247=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( CT_506_88, __FOREIGN__FOREIGN_ATOMIC_169, A_FUNCTION_883_212, A_FUNCTION_884_247 );}}
{obj_t A_FUNCTION_885_204;
A_FUNCTION_885_204=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_886_196;
A_FUNCTION_886_196=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( __FOREIGN__FOREIGN_ATOMIC_169, CT_506_88, A_FUNCTION_885_204, A_FUNCTION_886_196 );}}
{obj_t A_FUNCTION_887_43;
A_FUNCTION_887_43=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_14_ENV_946_192;
LAMBDA_1_14_ENV_946_192=make_fx_procedure( LAMBDA_1_14_513_9, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_14_ENV_946_192, 0, CT_ID_507_40 );
{obj_t A_FUNCTION_892_207;
A_FUNCTION_892_207=LAMBDA_1_14_ENV_946_192;ALLOW_CAST__FOREIGN_CAST_163( CT_506_88, BT_508_33, A_FUNCTION_887_43, A_FUNCTION_892_207 );}
}}}
{obj_t A_FUNCTION_893_225;
A_FUNCTION_893_225=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_15_ENV_944_245;
LAMBDA_1_15_ENV_944_245=make_fx_procedure( LAMBDA_1_15_515_97, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_15_ENV_944_245, 0, BID__CID_510_187 );
{obj_t A_FUNCTION_895_21;
A_FUNCTION_895_21=LAMBDA_1_15_ENV_944_245;ALLOW_CAST__FOREIGN_CAST_163( BT_508_33, CT_506_88, A_FUNCTION_893_225, A_FUNCTION_895_21 );}
}}}
{obj_t A_FUNCTION_896_112;
A_FUNCTION_896_112=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_897_113;
A_FUNCTION_897_113=I_ENV_FOREIGN_CAST_79;ALLOW_CAST__FOREIGN_CAST_163( CT_506_88, __BOOL__FOREIGN_ATOMIC_92, A_FUNCTION_896_112, A_FUNCTION_897_113 );}}
{obj_t A_FUNCTION_898_24;
A_FUNCTION_898_24=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_16_ENV_942_159;
LAMBDA_1_16_ENV_942_159=PROCEDURE_2_FOREIGN_CAST_143;{obj_t A_FUNCTION_899_6;
A_FUNCTION_899_6=LAMBDA_1_16_ENV_942_159;return ALLOW_CAST__FOREIGN_CAST_163( BT_508_33, __BOOL__FOREIGN_ATOMIC_92, A_FUNCTION_898_24, A_FUNCTION_899_6 );}}}
}}}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_13_511_250(obj_t LAMBDA_1_13_ENV_949_189,obj_t X_512_156)
#else
LAMBDA_1_13_511_250( LAMBDA_1_13_ENV_949_189, X_512_156 )
obj_t LAMBDA_1_13_ENV_949_189, X_512_156;
#endif
{

{obj_t CT_ID_507_40;
CT_ID_507_40=PROCEDURE_ENV_REF( LAMBDA_1_13_ENV_949_189, 0 );{obj_t VA_ARG_877_59;
{obj_t VA_ARG_879_11;
VA_ARG_879_11=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_880_198;
VA_ARG_880_198=MAKE_PAIR( CT_ID_507_40, VA_ARG_879_11 );{obj_t AUX_999_167;
AUX_999_167=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_880_198 );VA_ARG_877_59=MAKE_PAIR( AUX_999_167, BNIL );}}}{obj_t VA_ARG_878_126;
VA_ARG_878_126=MAKE_PAIR( X_512_156, VA_ARG_877_59 );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 26 ), VA_ARG_878_126 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_14_513_9(obj_t LAMBDA_1_14_ENV_947_252,obj_t X_514_41)
#else
LAMBDA_1_14_513_9( LAMBDA_1_14_ENV_947_252, X_514_41 )
obj_t LAMBDA_1_14_ENV_947_252, X_514_41;
#endif
{

{obj_t CT_ID_507_40;
CT_ID_507_40=PROCEDURE_ENV_REF( LAMBDA_1_14_ENV_947_252, 0 );{obj_t VA_ARG_888_66;
VA_ARG_888_66=MAKE_PAIR( X_514_41, BNIL );{obj_t VA_ARG_889_60;
{obj_t VA_ARG_890_128;
VA_ARG_890_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_891_83;
VA_ARG_891_83=MAKE_PAIR( CT_ID_507_40, VA_ARG_890_128 );{obj_t AUX_998_183;
AUX_998_183=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_891_83 );VA_ARG_889_60=MAKE_PAIR( AUX_998_183, VA_ARG_888_66 );}}}return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 28 ), VA_ARG_889_60 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_15_515_97(obj_t LAMBDA_1_15_ENV_945_208,obj_t X_516_168)
#else
LAMBDA_1_15_515_97( LAMBDA_1_15_ENV_945_208, X_516_168 )
obj_t LAMBDA_1_15_ENV_945_208, X_516_168;
#endif
{

{obj_t BID__CID_510_187;
BID__CID_510_187=PROCEDURE_ENV_REF( LAMBDA_1_15_ENV_945_208, 0 );{obj_t VA_ARG_894_141;
VA_ARG_894_141=MAKE_PAIR( X_516_168, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( BID__CID_510_187, VA_ARG_894_141 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_16_517_214(obj_t LAMBDA_1_16_ENV_943_93,obj_t X_518_141)
#else
LAMBDA_1_16_517_214( LAMBDA_1_16_ENV_943_93, X_518_141 )
obj_t LAMBDA_1_16_ENV_943_93, X_518_141;
#endif
{

return ABSTRACT_TRUE_HEAP_ABSTRACT_217();
}

static obj_t
#if defined( __STDC__ )
MAKE_FUNCTION_CASTING__FOREIGN_CAST_165(obj_t T_519_175)
#else
MAKE_FUNCTION_CASTING__FOREIGN_CAST_165( T_519_175 )
obj_t T_519_175;
#endif
{

{obj_t ARITY_520_35;
{obj_t PAIR_752_144;
PAIR_752_144=STRUCT_SLOT_REF( T_519_175, BINT( 3 ) );{obj_t C_CDR_753_148;
C_CDR_753_148=CDR( PAIR_752_144 );ARITY_520_35=ARITY_TOOLS_ARGS_236( C_CDR_753_148 );}}{obj_t PROTO_521_171;
if( GT_I( ARITY_520_35, BINT( 0 ) ))
{obj_t g1022_536_25;
g1022_536_25=MAKE_N_PROTO_TOOLS_ARGS_65( ARITY_520_35 );if( NULLP( g1022_536_25 ))
PROTO_521_171=BNIL;else
{obj_t HEAD_537_66;
{obj_t OBJ2_758_193;
OBJ2_758_193=BNIL;{obj_t OBJ1_757_237;
{obj_t C_CAR_759_183;
C_CAR_759_183=CAR( g1022_536_25 );OBJ1_757_237=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_CAR_759_183 );}HEAD_537_66=MAKE_PAIR( OBJ1_757_237, OBJ2_758_193 );}}{obj_t g1022_539_27, TAIL_540_231;
{obj_t C_CDR_766_128;
C_CDR_766_128=CDR( g1022_536_25 );{
TAIL_540_231=HEAD_537_66;
g1022_539_27=C_CDR_766_128;
{_g1023_538_19:

if( NULLP( g1022_539_27 ))
PROTO_521_171=HEAD_537_66;else
{obj_t NEW_TAIL_541_108;
{obj_t OBJ2_761_71;
OBJ2_761_71=BNIL;{obj_t OBJ1_760_235;
{obj_t C_CAR_762_2;
C_CAR_762_2=CAR( g1022_539_27 );OBJ1_760_235=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_CAR_762_2 );}NEW_TAIL_541_108=MAKE_PAIR( OBJ1_760_235, OBJ2_761_71 );}}{
SET_CDR( TAIL_540_231, NEW_TAIL_541_108 );
{obj_t C_CDR_765_66;
C_CDR_765_66=CDR( g1022_539_27 );{
TAIL_540_231=NEW_TAIL_541_108;
g1022_539_27=C_CDR_765_66;
goto _g1023_538_19;
}}
}}}
}}}}}else
PROTO_521_171=BFALSE;{obj_t CASTER_ENV_940_201;
CASTER_ENV_940_201=make_fx_procedure( CASTER_522_158, 1, 3 );{
PROCEDURE_ENV_SET( CASTER_ENV_940_201, 2, PROTO_521_171 );
PROCEDURE_ENV_SET( CASTER_ENV_940_201, 1, ARITY_520_35 );
PROCEDURE_ENV_SET( CASTER_ENV_940_201, 0, T_519_175 );
if( GE_I( ARITY_520_35, BINT( 0 ) ))
{
{obj_t A_FUNCTION_910_205;
A_FUNCTION_910_205=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_911_180;
A_FUNCTION_911_180=CASTER_ENV_940_201;ALLOW_CAST__FOREIGN_CAST_163( T_519_175, __BPROCEDURE__FOREIGN_ATOMIC_217, A_FUNCTION_910_205, A_FUNCTION_911_180 );}}
{obj_t A_FUNCTION_912_47;
A_FUNCTION_912_47=I_ENV_FOREIGN_CAST_79;{obj_t A_FUNCTION_913_109;
A_FUNCTION_913_109=CASTER_ENV_940_201;ALLOW_CAST__FOREIGN_CAST_163( T_519_175, __BOBJ__FOREIGN_ATOMIC_124, A_FUNCTION_912_47, A_FUNCTION_913_109 );}}
{obj_t LAMBDA_1_17_ENV_938_143;
LAMBDA_1_17_ENV_938_143=make_fx_procedure( LAMBDA_1_17_523_26, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_17_ENV_938_143, 0, T_519_175 );
{obj_t A_FUNCTION_918_62;
A_FUNCTION_918_62=LAMBDA_1_17_ENV_938_143;{obj_t C_STRUCT_REF_784_230;
C_STRUCT_REF_784_230=STRUCT_SLOT_REF( T_519_175, BINT( 0 ) );{obj_t LAMBDA_1_18_ENV_936_75;
LAMBDA_1_18_ENV_936_75=PROCEDURE_3_FOREIGN_CAST_0;{obj_t A_FUNCTION_920_40;
A_FUNCTION_920_40=LAMBDA_1_18_ENV_936_75;{obj_t AUX_997_78;
AUX_997_78=ENFORCER_TYPE_ENFORCE_109( A_FUNCTION_918_62, C_STRUCT_REF_784_230 );ALLOW_CAST__FOREIGN_CAST_163( __BOBJ__FOREIGN_ATOMIC_124, T_519_175, AUX_997_78, A_FUNCTION_920_40 );}}}}}
}}
{obj_t A_FUNCTION_921_188;
A_FUNCTION_921_188=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_19_ENV_934_86;
LAMBDA_1_19_ENV_934_86=PROCEDURE_4_FOREIGN_CAST_232;{obj_t A_FUNCTION_923_36;
A_FUNCTION_923_36=LAMBDA_1_19_ENV_934_86;return ALLOW_CAST__FOREIGN_CAST_163( T_519_175, __FUNCTION__FOREIGN_ATOMIC_53, A_FUNCTION_921_188, A_FUNCTION_923_36 );}}}
}else
return BFALSE;
}}}}
}

static obj_t
#if defined( __STDC__ )
CASTER_522_158(obj_t CASTER_ENV_941_158,obj_t CFUN_530_120)
#else
CASTER_522_158( CASTER_ENV_941_158, CFUN_530_120 )
obj_t CASTER_ENV_941_158, CFUN_530_120;
#endif
{

{obj_t T_519_175, ARITY_520_35, PROTO_521_171;
T_519_175=PROCEDURE_ENV_REF( CASTER_ENV_941_158, 0 );ARITY_520_35=PROCEDURE_ENV_REF( CASTER_ENV_941_158, 1 );PROTO_521_171=PROCEDURE_ENV_REF( CASTER_ENV_941_158, 2 );{
{obj_t AUX_989_196;
{obj_t AUX_990_12;
AUX_990_12=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_989_196=SATISFY__TOOLS_TRACE_72( AUX_990_12 );}if( BBOOL_TO_CBOOL( AUX_989_196 ))
{
{obj_t g1020_532_129;
{obj_t L_768_71;
{obj_t STRING_CAST_901_58;
STRING_CAST_901_58=CNST_TABLE_REF( 29 );{obj_t C_CONS_770_49;
{obj_t C_CONS_769_251;
C_CONS_769_251=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_988_43;
AUX_988_43=SHAPE_TOOLS_SHAPE_229( CFUN_530_120 );C_CONS_770_49=MAKE_PAIR( AUX_988_43, C_CONS_769_251 );}}L_768_71=MAKE_PAIR( STRING_CAST_901_58, C_CONS_770_49 );}}{
g1020_532_129=L_768_71;
{_g1021_531_165:

if( PAIRP( g1020_532_129 ))
{
{obj_t A_533_87;
A_533_87=CAR( g1020_532_129 );{obj_t VA_ARG_900_64;
VA_ARG_900_64=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_533_87, VA_ARG_900_64 );}}
{obj_t C_CDR_767_83;
C_CDR_767_83=CDR( g1020_532_129 );{
g1020_532_129=C_CDR_767_83;
goto _g1021_531_165;
}}
}else
BTRUE;}
}}}
{obj_t PORT_771_235;
PORT_771_235=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_771_235 );}
}else
BFALSE;}
{obj_t FUN_534_177;
{obj_t PAIR_773_248;
PAIR_773_248=ALLOCATE_LOCAL_FUNCTIONS_SCAN_LEXICAL_97( CNST_TABLE_REF( 30 ) );{obj_t PAIR_774_235;
PAIR_774_235=CAR( PAIR_773_248 );FUN_534_177=CDR( PAIR_774_235 );}}{obj_t BODY_535_206;
{obj_t VA_ARG_902_72;
{obj_t AUX_991_181;
{obj_t AUX_992_103;
AUX_992_103=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_991_181=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( PROTO_521_171, AUX_992_103 );}VA_ARG_902_72=MAKE_PAIR( AUX_991_181, BNIL );}{obj_t AUX_993_70;
AUX_993_70=CONS____R4_PAIRS_AND_LISTS_6_3_28( CFUN_530_120, VA_ARG_902_72 );BODY_535_206=TYPE_FOREIGN_APPLICATION_TYPE_APPLICATION_234( AUX_993_70, T_519_175, __BOBJ__FOREIGN_ATOMIC_124 );}}{
{obj_t S_775_88;
S_775_88=STRUCT_SLOT_REF( FUN_534_177, BINT( 3 ) );STRUCT_SLOT_SET( S_775_88, BINT( 3 ), PROTO_521_171 );}
{obj_t S_777_154;
S_777_154=STRUCT_SLOT_REF( FUN_534_177, BINT( 3 ) );STRUCT_SLOT_SET( S_777_154, BINT( 4 ), BODY_535_206 );}
{obj_t S_779_116;
S_779_116=STRUCT_SLOT_REF( FUN_534_177, BINT( 3 ) );STRUCT_SLOT_SET( S_779_116, BINT( 2 ), ARITY_520_35 );}
{obj_t VA_ARG_903_77;
VA_ARG_903_77=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_904_245;
{obj_t AUX_994_22;
AUX_994_22=TYPE_EXPRESSION_TYPE_EXPRESSION_167( FUN_534_177, __BOBJ__FOREIGN_ATOMIC_124 );VA_ARG_904_245=MAKE_PAIR( AUX_994_22, VA_ARG_903_77 );}{obj_t VA_ARG_905_208;
{obj_t VA_ARG_906_122;
VA_ARG_906_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_907_130;
VA_ARG_907_130=MAKE_PAIR( BODY_535_206, VA_ARG_906_122 );{obj_t VA_ARG_908_55;
VA_ARG_908_55=MAKE_PAIR( PROTO_521_171, VA_ARG_907_130 );{obj_t VA_ARG_909_143;
VA_ARG_909_143=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_995_58;
{obj_t AUX_996_75;
AUX_996_75=CONS____R4_PAIRS_AND_LISTS_6_3_28( FUN_534_177, VA_ARG_908_55 );AUX_995_58=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_996_75, VA_ARG_909_143 );}VA_ARG_905_208=MAKE_PAIR( AUX_995_58, VA_ARG_904_245 );}}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 31 ), VA_ARG_905_208 );}}}
}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_17_523_26(obj_t LAMBDA_1_17_ENV_939_55,obj_t X_524_135)
#else
LAMBDA_1_17_523_26( LAMBDA_1_17_ENV_939_55, X_524_135 )
obj_t LAMBDA_1_17_ENV_939_55, X_524_135;
#endif
{

{obj_t T_519_175;
T_519_175=PROCEDURE_ENV_REF( LAMBDA_1_17_ENV_939_55, 0 );{obj_t VA_ARG_914_221;
{obj_t VA_ARG_916_192;
VA_ARG_916_192=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_917_252;
{obj_t C_STRUCT_REF_783_114;
C_STRUCT_REF_783_114=STRUCT_SLOT_REF( T_519_175, BINT( 0 ) );VA_ARG_917_252=MAKE_PAIR( C_STRUCT_REF_783_114, VA_ARG_916_192 );}{obj_t AUX_987_84;
AUX_987_84=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 25 ), VA_ARG_917_252 );VA_ARG_914_221=MAKE_PAIR( AUX_987_84, BNIL );}}}{obj_t VA_ARG_915_54;
VA_ARG_915_54=MAKE_PAIR( X_524_135, VA_ARG_914_221 );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 26 ), VA_ARG_915_54 );}}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_18_525_184(obj_t LAMBDA_1_18_ENV_937_78,obj_t EXP_526_173)
#else
LAMBDA_1_18_525_184( LAMBDA_1_18_ENV_937_78, EXP_526_173 )
obj_t LAMBDA_1_18_ENV_937_78, EXP_526_173;
#endif
{

{obj_t VA_ARG_919_253;
VA_ARG_919_253=MAKE_PAIR( EXP_526_173, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 32 ), VA_ARG_919_253 );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_19_527_180(obj_t LAMBDA_1_19_ENV_935_141,obj_t EXP_528_234)
#else
LAMBDA_1_19_527_180( LAMBDA_1_19_ENV_935_141, EXP_528_234 )
obj_t LAMBDA_1_19_ENV_935_141, EXP_528_234;
#endif
{

{obj_t VA_ARG_922_106;
VA_ARG_922_106=MAKE_PAIR( EXP_528_234, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 33 ), VA_ARG_922_106 );}
}

static obj_t
#if defined( __STDC__ )
MAKE_SUBTYPE_CASTING__FOREIGN_CAST_251(obj_t FROM_542_197)
#else
MAKE_SUBTYPE_CASTING__FOREIGN_CAST_251( FROM_542_197 )
obj_t FROM_542_197;
#endif
{

{obj_t TO_545_154, FROM__TO_544_61, TO__FROM_543_26;
{obj_t PAIR_794_62;
PAIR_794_62=STRUCT_SLOT_REF( FROM_542_197, BINT( 3 ) );{obj_t C_CAR_795_210;
C_CAR_795_210=CAR( PAIR_794_62 );TO_545_154=GET_TYPE_FOREIGN_TOOLS_48( C_CAR_795_210 );}}{obj_t PAIR_791_142;
PAIR_791_142=STRUCT_SLOT_REF( FROM_542_197, BINT( 3 ) );{obj_t PAIR_792_96;
PAIR_792_96=CDR( PAIR_791_142 );FROM__TO_544_61=CAR( PAIR_792_96 );}}{obj_t PAIR_786_31;
PAIR_786_31=STRUCT_SLOT_REF( FROM_542_197, BINT( 3 ) );{obj_t PAIR_787_149;
{obj_t PAIR_788_39;
PAIR_788_39=CDR( PAIR_786_31 );PAIR_787_149=CDR( PAIR_788_39 );}TO__FROM_543_26=CAR( PAIR_787_149 );}}{
{obj_t A_FUNCTION_924_7;
A_FUNCTION_924_7=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_21_ENV_932_64;
LAMBDA_1_21_ENV_932_64=make_fx_procedure( LAMBDA_1_21_546_93, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_21_ENV_932_64, 0, FROM__TO_544_61 );
{obj_t A_FUNCTION_926_73;
A_FUNCTION_926_73=LAMBDA_1_21_ENV_932_64;ALLOW_CAST__FOREIGN_CAST_163( FROM_542_197, TO_545_154, A_FUNCTION_924_7, A_FUNCTION_926_73 );}
}}}
{obj_t A_FUNCTION_927_173;
A_FUNCTION_927_173=I_ENV_FOREIGN_CAST_79;{obj_t LAMBDA_1_22_ENV_930_196;
LAMBDA_1_22_ENV_930_196=make_fx_procedure( LAMBDA_1_22_548_24, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_22_ENV_930_196, 0, TO__FROM_543_26 );
{obj_t A_FUNCTION_929_234;
A_FUNCTION_929_234=LAMBDA_1_22_ENV_930_196;return ALLOW_CAST__FOREIGN_CAST_163( TO_545_154, FROM_542_197, A_FUNCTION_927_173, A_FUNCTION_929_234 );}
}}}
}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_21_546_93(obj_t LAMBDA_1_21_ENV_933_121,obj_t X_547_16)
#else
LAMBDA_1_21_546_93( LAMBDA_1_21_ENV_933_121, X_547_16 )
obj_t LAMBDA_1_21_ENV_933_121, X_547_16;
#endif
{

{obj_t FROM__TO_544_61;
FROM__TO_544_61=PROCEDURE_ENV_REF( LAMBDA_1_21_ENV_933_121, 0 );{obj_t VA_ARG_925_255;
VA_ARG_925_255=MAKE_PAIR( X_547_16, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( FROM__TO_544_61, VA_ARG_925_255 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_22_548_24(obj_t LAMBDA_1_22_ENV_931_43,obj_t X_549_175)
#else
LAMBDA_1_22_548_24( LAMBDA_1_22_ENV_931_43, X_549_175 )
obj_t LAMBDA_1_22_ENV_931_43, X_549_175;
#endif
{

{obj_t TO__FROM_543_26;
TO__FROM_543_26=PROCEDURE_ENV_REF( LAMBDA_1_22_ENV_931_43, 0 );{obj_t VA_ARG_928_93;
VA_ARG_928_93=MAKE_PAIR( X_549_175, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( TO__FROM_543_26, VA_ARG_928_93 );}}
}

