/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Fuse/walk.c                                                       */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t FUSE_WALK_FUSE_WALK_94(obj_t);
#else
extern obj_t FUSE_WALK_FUSE_WALK_94();
#endif
extern obj_t FUSE_WALK_INITIALISATION_FUSE_WALK_231();
extern obj_t __GENV__VAR_ENV_215;
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
obj_t FUSE_WALK_ENV_FUSE_WALK_164 = BUNSPEC;
obj_t FUSE_WALK_INITIALISATION_ENV_FUSE_WALK_21 = BUNSPEC;
static obj_t __cnst[ 7 ] ;
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t __FUSE_WALK_INITIALISATION_FUSE_WALK_20(obj_t);
#else
extern obj_t __FUSE_WALK_INITIALISATION_FUSE_WALK_20();
#endif
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t REQUIRE_INITIALISATION__FUSE_WALK_202 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t UNBIND_IN_GLOBAL_ENVIRONMENT__VAR_ENV_108();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t TRUNCATE_TREE__FUSE_WALK_103(obj_t);
#else
static obj_t TRUNCATE_TREE__FUSE_WALK_103();
#endif
extern obj_t make_fx_procedure();
static obj_t FIND_EXPORT_IN_GENV_FUSE_WALK_18();
#if defined( __STDC__ )
extern obj_t __FUSE_WALK_FUSE_WALK_64(obj_t, obj_t);
#else
extern obj_t __FUSE_WALK_FUSE_WALK_64();
#endif
extern obj_t GLOBAL_FIND_USED__FUSE_CGRAPH_226();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t ON_BUCKET__374_180();

obj_t
#if defined( __STDC__ )
FUSE_WALK_INITIALISATION_FUSE_WALK_231()
#else
FUSE_WALK_INITIALISATION_FUSE_WALK_231()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__FUSE_WALK_202 ))
{
REQUIRE_INITIALISATION__FUSE_WALK_202=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
FUSE_CGRAPH_INITIALISATION_FUSE_CGRAPH_86();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
VAR_ENV_INITIALISATION_VAR_ENV_78();
DECLARE_CNST_TABLE( __cnst[ 7 ]  );
{obj_t PORT_490_234;
{obj_t AUX_498_176;
AUX_498_176=c_constant_string_to_string( "VARIABLE STATIC TOP-LEVEL EXPORT GENV DONE #\"   . Fuse\" " );PORT_490_234=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_498_176 );}{obj_t OFFSET_491_140;
{
OFFSET_491_140=BINT( 6 );
{_LOOP_492_169:

if( LT_I( OFFSET_491_140, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_499_161;
AUX_499_161=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_490_234, BEOA );CNST_TABLE_SET( OFFSET_491_140, AUX_499_161 );}
{obj_t OFFSET_500_21;
OFFSET_500_21=OFFSET_491_140;{
OFFSET_491_140=SUB_I( OFFSET_500_21, BINT( 1 ) );
goto _LOOP_492_169;
}}
}}
}}}
{
FUSE_WALK_INITIALISATION_ENV_FUSE_WALK_21=make_fx_procedure( __FUSE_WALK_INITIALISATION_FUSE_WALK_20, 0, 0 );
FUSE_WALK_ENV_FUSE_WALK_164=make_fx_procedure( __FUSE_WALK_FUSE_WALK_64, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__FUSE_WALK_INITIALISATION_FUSE_WALK_20(obj_t ENV_485_51)
#else
__FUSE_WALK_INITIALISATION_FUSE_WALK_20( ENV_485_51 )
obj_t ENV_485_51;
#endif
{

return FUSE_WALK_INITIALISATION_FUSE_WALK_231();
}

obj_t
#if defined( __STDC__ )
FUSE_WALK_FUSE_WALK_94(obj_t TREE_365_102)
#else
FUSE_WALK_FUSE_WALK_94( TREE_365_102 )
obj_t TREE_365_102;
#endif
{

{
{obj_t VA_ARG_478_251;
VA_ARG_478_251=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_479_151;
{obj_t STRING_CAST_480_62;
STRING_CAST_480_62=CNST_TABLE_REF( 0 );VA_ARG_479_151=MAKE_PAIR( STRING_CAST_480_62, VA_ARG_478_251 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_479_151 );}}
{obj_t USED_367_0;
{
USED_367_0=FIND_EXPORT_IN_GENV_FUSE_WALK_18();
{_LOOP_366_201:

if( NULLP( USED_367_0 ))
return TRUNCATE_TREE__FUSE_WALK_103( TREE_365_102 );else
{obj_t OBJ1_448_138;
{obj_t S_449_215;
S_449_215=CAR( USED_367_0 );OBJ1_448_138=STRUCT_SLOT_REF( S_449_215, BINT( 8 ) );}if( EQP( OBJ1_448_138, CNST_TABLE_REF( 1 ) ))
{obj_t C_CDR_451_150;
C_CDR_451_150=CDR( USED_367_0 );{
USED_367_0=C_CDR_451_150;
goto _LOOP_366_201;
}}else
{
{obj_t S_452_158;
S_452_158=CAR( USED_367_0 );STRUCT_SLOT_SET( S_452_158, BINT( 8 ), CNST_TABLE_REF( 1 ) );}
{obj_t C_CAR_453_74;
C_CAR_453_74=CAR( USED_367_0 );{obj_t C_CDR_454_4;
C_CDR_454_4=CDR( USED_367_0 );{obj_t AUX_497_254;
AUX_497_254=GLOBAL_FIND_USED__FUSE_CGRAPH_226( C_CAR_453_74, C_CDR_454_4 );{
USED_367_0=AUX_497_254;
goto _LOOP_366_201;
}}}}
}}}
}}
}
}

obj_t
#if defined( __STDC__ )
__FUSE_WALK_FUSE_WALK_64(obj_t ENV_484_140,obj_t TREE_365_102)
#else
__FUSE_WALK_FUSE_WALK_64( ENV_484_140, TREE_365_102 )
obj_t ENV_484_140, TREE_365_102;
#endif
{

return FUSE_WALK_FUSE_WALK_94( TREE_365_102 );
}

static obj_t
#if defined( __STDC__ )
TRUNCATE_TREE__FUSE_WALK_103(obj_t TREE_368_155)
#else
TRUNCATE_TREE__FUSE_WALK_103( TREE_368_155 )
obj_t TREE_368_155;
#endif
{

{obj_t TREE_370_77, NEW_TREE_371_99;
{
NEW_TREE_371_99=BNIL;
TREE_370_77=TREE_368_155;
{_LOOP_369_61:

if( NULLP( TREE_370_77 ))
return NEW_TREE_371_99;else
{obj_t PR_372_172;
PR_372_172=CAR( TREE_370_77 );{bool_t C_STRUCT_REF_486_179;
C_STRUCT_REF_486_179=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( PR_372_172, BINT( 8 ) ) );if( C_STRUCT_REF_486_179)
{
{obj_t V_456_67;
V_456_67=BNIL;STRUCT_SLOT_SET( PR_372_172, BINT( 8 ), V_456_67 );}
{obj_t C_CDR_457_189;
C_CDR_457_189=CDR( TREE_370_77 );{obj_t C_CONS_460_250;
C_CONS_460_250=MAKE_PAIR( PR_372_172, NEW_TREE_371_99 );{
NEW_TREE_371_99=C_CONS_460_250;
TREE_370_77=C_CDR_457_189;
goto _LOOP_369_61;
}}}
}else
{
{obj_t C_STRUCT_REF_461_245;
C_STRUCT_REF_461_245=STRUCT_SLOT_REF( PR_372_172, BINT( 0 ) );UNBIND_IN_GLOBAL_ENVIRONMENT__VAR_ENV_108( C_STRUCT_REF_461_245, __GENV__VAR_ENV_215 );}
{obj_t C_CDR_462_46;
C_CDR_462_46=CDR( TREE_370_77 );{
TREE_370_77=C_CDR_462_46;
goto _LOOP_369_61;
}}
}}}}
}}
}

static obj_t
#if defined( __STDC__ )
FIND_EXPORT_IN_GENV_FUSE_WALK_18()
#else
FIND_EXPORT_IN_GENV_FUSE_WALK_18()
#endif
{

{obj_t RES_373_112;
RES_373_112=MAKE_CELL( BNIL );{obj_t ON_BUCKET__ENV_482_205;
ON_BUCKET__ENV_482_205=make_fx_procedure( ON_BUCKET__374_180, 1, 1 );{
PROCEDURE_ENV_SET( ON_BUCKET__ENV_482_205, 0, RES_373_112 );
{
{obj_t A_FUNCTION_481_155;
A_FUNCTION_481_155=ON_BUCKET__ENV_482_205;WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_481_155, __GENV__VAR_ENV_215, CNST_TABLE_REF( 2 ) );}
return CELL_REF( RES_373_112 );
}
}}}
}

static obj_t
#if defined( __STDC__ )
ON_BUCKET__374_180(obj_t ON_BUCKET__ENV_483_180,obj_t BUCKET_376_227)
#else
ON_BUCKET__374_180( ON_BUCKET__ENV_483_180, BUCKET_376_227 )
obj_t ON_BUCKET__ENV_483_180, BUCKET_376_227;
#endif
{
_ON_BUCKET__374_180:

{obj_t RES_373_112;
RES_373_112=PROCEDURE_ENV_REF( ON_BUCKET__ENV_483_180, 0 );if( NULLP( BUCKET_376_227 ))
return CNST_TABLE_REF( 1 );else
{obj_t PR_377_157;
PR_377_157=CAR( BUCKET_376_227 );{
{bool_t __ortest_1000_487_102;
{obj_t AUX_493_46;
{obj_t OBJ1_463_124;
OBJ1_463_124=STRUCT_SLOT_REF( PR_377_157, BINT( 3 ) );AUX_493_46=CBOOL_TO_BBOOL( EQP( OBJ1_463_124, CNST_TABLE_REF( 3 ) ) );}__ortest_1000_487_102=BBOOL_TO_CBOOL( AUX_493_46 );}{if( __ortest_1000_487_102)
goto _true_0;else
{bool_t __ortest_1001_488_217;
{obj_t AUX_494_168;
{obj_t OBJ1_465_238;
OBJ1_465_238=STRUCT_SLOT_REF( PR_377_157, BINT( 3 ) );AUX_494_168=CBOOL_TO_BBOOL( EQP( OBJ1_465_238, CNST_TABLE_REF( 4 ) ) );}__ortest_1001_488_217=BBOOL_TO_CBOOL( AUX_494_168 );}if( __ortest_1001_488_217)
goto _true_0;else
{bool_t __andtest_1002_489_232;
{obj_t AUX_495_198;
{obj_t OBJ1_467_183;
OBJ1_467_183=STRUCT_SLOT_REF( PR_377_157, BINT( 3 ) );AUX_495_198=CBOOL_TO_BBOOL( EQP( OBJ1_467_183, CNST_TABLE_REF( 5 ) ) );}__andtest_1002_489_232=BBOOL_TO_CBOOL( AUX_495_198 );}if( __andtest_1002_489_232)
{obj_t OBJ1_469_75;
OBJ1_469_75=STRUCT_SLOT_REF( PR_377_157, BINT( 4 ) );if( EQP( OBJ1_469_75, CNST_TABLE_REF( 6 ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;}}_true_0:
{
STRUCT_SLOT_SET( PR_377_157, BINT( 8 ), BTRUE );
{obj_t OBJ2_471_29;
OBJ2_471_29=CELL_REF( RES_373_112 );{obj_t AUX_496_41;
AUX_496_41=MAKE_PAIR( PR_377_157, OBJ2_471_29 );{CELL_SET( RES_373_112, AUX_496_41 );
goto _endif_2;}}}
}_false_1:
STRUCT_SLOT_SET( PR_377_157, BINT( 8 ), BFALSE );_endif_2:
;
}}
{obj_t C_CDR_472_50;
C_CDR_472_50=CDR( BUCKET_376_227 );{
BUCKET_376_227=C_CDR_472_50;
goto _ON_BUCKET__374_180;
}}
}}}
}

