/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Heap/compact.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t PROCEDURE_1_HEAP_COMPACT_221 = BUNSPEC;
extern obj_t SUFFIX___UNIX_FILE_231();
#if defined( __STDC__ )
extern obj_t __COMPACT_HEAP_COMPACT_143(obj_t, obj_t);
#else
extern obj_t __COMPACT_HEAP_COMPACT_143();
#endif
extern obj_t DECLARE_GLOBAL_INLINE__VAR_DECLARE_45();
#if defined( __STDC__ )
extern obj_t __UNCOMPACT__HEAP_COMPACT_67(obj_t, obj_t);
#else
extern obj_t __UNCOMPACT__HEAP_COMPACT_67();
#endif
extern obj_t MAP_ON_ARGS__TOOLS_ARGS_20();
obj_t COMPACT_TYPE_ENV_HEAP_COMPACT_130 = BUNSPEC;
#if defined( __STDC__ )
static obj_t COMPACT_FUNCTION_HEAP_COMPACT_41(obj_t);
#else
static obj_t COMPACT_FUNCTION_HEAP_COMPACT_41();
#endif
#if defined( __STDC__ )
static obj_t COMPACT_FOREIGN_HEAP_COMPACT_195(obj_t);
#else
static obj_t COMPACT_FOREIGN_HEAP_COMPACT_195();
#endif
extern obj_t DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251();
#if defined( __STDC__ )
extern obj_t UNCOMPACT_TYPE_HEAP_COMPACT_152(obj_t);
#else
extern obj_t UNCOMPACT_TYPE_HEAP_COMPACT_152();
#endif
extern obj_t VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
extern obj_t ___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
#if defined( __STDC__ )
extern obj_t __HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_109(obj_t);
#else
extern obj_t __HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_109();
#endif
obj_t UNCOMPACT_TYPE_ENV_HEAP_COMPACT_34 = BUNSPEC;
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53();
#if defined( __STDC__ )
static obj_t UNCOMPACT_FOREIGN__HEAP_COMPACT_189(obj_t);
#else
static obj_t UNCOMPACT_FOREIGN__HEAP_COMPACT_189();
#endif
obj_t HEAP_COMPACT_INITIALISATION_ENV_HEAP_COMPACT_234 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __COMPACTED_HEAP__HEAP_COMPACT_48(obj_t, obj_t);
#else
extern obj_t __COMPACTED_HEAP__HEAP_COMPACT_48();
#endif
obj_t COMPACT_ENV_HEAP_COMPACT_76 = BUNSPEC;
static obj_t __cnst[ 20 ] ;
extern obj_t WARNING___ERROR_212();
obj_t UNCOMPACT__ENV_HEAP_COMPACT_61 = BUNSPEC;
extern obj_t GET_TYPE_FOREIGN_TOOLS_48();
extern obj_t READ___READER_198;
static obj_t PROCEDURE_0_HEAP_COMPACT_73 = BUNSPEC;
extern obj_t DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60();
static obj_t REQUIRE_INITIALISATION__HEAP_COMPACT_228 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t COMPACT_HEAP_COMPACT_0(obj_t);
#else
extern obj_t COMPACT_HEAP_COMPACT_0();
#endif
#if defined( __STDC__ )
static obj_t COMPACT_VARIABLE_HEAP_COMPACT_216(obj_t);
#else
static obj_t COMPACT_VARIABLE_HEAP_COMPACT_216();
#endif
extern obj_t c_constant_string_to_string();
#if defined( __STDC__ )
extern obj_t COMPACTED_HEAP__HEAP_COMPACT_122(obj_t);
#else
extern obj_t COMPACTED_HEAP__HEAP_COMPACT_122();
#endif
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
static obj_t UNCOMPACT_FUNCTION__HEAP_COMPACT_200(obj_t);
#else
static obj_t UNCOMPACT_FUNCTION__HEAP_COMPACT_200();
#endif
extern obj_t TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
extern obj_t CHECK_PRAGMA__VAR_PRAGMA_6();
extern obj_t HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
#if defined( __STDC__ )
static obj_t UNCOMPACT_VARIABLE__HEAP_COMPACT_222(obj_t);
#else
static obj_t UNCOMPACT_VARIABLE__HEAP_COMPACT_222();
#endif
#if defined( __STDC__ )
extern obj_t __UNCOMPACT_TYPE_HEAP_COMPACT_54(obj_t, obj_t);
#else
extern obj_t __UNCOMPACT_TYPE_HEAP_COMPACT_54();
#endif
#if defined( __STDC__ )
extern obj_t COMPACT_TYPE_HEAP_COMPACT_128(obj_t);
#else
extern obj_t COMPACT_TYPE_HEAP_COMPACT_128();
#endif
obj_t COMPACTED_HEAP__ENV_HEAP_COMPACT_58 = BUNSPEC;
extern obj_t ARGS___ARGS_LIST_TOOLS_ARGS_150();
extern obj_t MAKE_N_PROTO_TOOLS_ARGS_65();
extern obj_t MAKE_GET_FUNCTION_TYPE__FOREIGN_TOOLS_9();
extern obj_t create_vector();
extern bool_t bigloo_strcmp();
#if defined( __STDC__ )
extern obj_t __COMPACT_TYPE_HEAP_COMPACT_153(obj_t, obj_t);
#else
extern obj_t __COMPACT_TYPE_HEAP_COMPACT_153();
#endif
#if defined( __STDC__ )
extern obj_t UNCOMPACT__HEAP_COMPACT_92(obj_t);
#else
extern obj_t UNCOMPACT__HEAP_COMPACT_92();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_1_0_471_105();
static obj_t LAMBDA_1_1_476_60();

obj_t
#if defined( __STDC__ )
HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114()
#else
HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__HEAP_COMPACT_228 ))
{
REQUIRE_INITIALISATION__HEAP_COMPACT_228=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
VAR_PRAGMA_INITIALISATION_VAR_PRAGMA_107();
___READER_INITIALISATION___READER_22();
TOOLS_ARGS_INITIALISATION_TOOLS_ARGS_149();
___UNIX_FILE_INITIALISATION___UNIX_FILE_247();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
DECLARE_CNST_TABLE( __cnst[ 20 ]  );
{obj_t PORT_731_32;
{obj_t AUX_742_162;
AUX_742_162=c_constant_string_to_string( "TYPE -> MACRO-FUNCTION #\"uncompact-foreign!\" #\"Illegal pragma\" IMPORT #\"uncompact-function!\" #\"Illegal pragma\" #\"Unknown object type\" #\"uncompact!\" #\"compact-foriegn\" #\"Illegal pragma\" #\"compact-function\" #\"Illegal pragma\" #\"Unknown object type\" #\"compact\" FOREIGN VARIABLE FUNCTION #\"cheap\" " );PORT_731_32=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_742_162 );}{obj_t OFFSET_732_225;
{
OFFSET_732_225=BINT( 19 );
{_LOOP_733_83:

if( LT_I( OFFSET_732_225, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_743_53;
AUX_743_53=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_731_32, BEOA );CNST_TABLE_SET( OFFSET_732_225, AUX_743_53 );}
{obj_t OFFSET_744_0;
OFFSET_744_0=OFFSET_732_225;{
OFFSET_732_225=SUB_I( OFFSET_744_0, BINT( 1 ) );
goto _LOOP_733_83;
}}
}}
}}}
PROCEDURE_1_HEAP_COMPACT_221=make_fx_procedure( LAMBDA_1_1_476_60, 1, 0 );
PROCEDURE_0_HEAP_COMPACT_73=make_fx_procedure( LAMBDA_1_0_471_105, 1, 0 );
{
HEAP_COMPACT_INITIALISATION_ENV_HEAP_COMPACT_234=make_fx_procedure( __HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_109, 0, 0 );
COMPACTED_HEAP__ENV_HEAP_COMPACT_58=make_fx_procedure( __COMPACTED_HEAP__HEAP_COMPACT_48, 1, 0 );
COMPACT_ENV_HEAP_COMPACT_76=make_fx_procedure( __COMPACT_HEAP_COMPACT_143, 1, 0 );
UNCOMPACT__ENV_HEAP_COMPACT_61=make_fx_procedure( __UNCOMPACT__HEAP_COMPACT_67, 1, 0 );
COMPACT_TYPE_ENV_HEAP_COMPACT_130=make_fx_procedure( __COMPACT_TYPE_HEAP_COMPACT_153, 1, 0 );
UNCOMPACT_TYPE_ENV_HEAP_COMPACT_34=make_fx_procedure( __UNCOMPACT_TYPE_HEAP_COMPACT_54, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_109(obj_t ENV_722_174)
#else
__HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_109( ENV_722_174 )
obj_t ENV_722_174;
#endif
{

return HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
}

obj_t
#if defined( __STDC__ )
COMPACTED_HEAP__HEAP_COMPACT_122(obj_t NAME_427_207)
#else
COMPACTED_HEAP__HEAP_COMPACT_122( NAME_427_207 )
obj_t NAME_427_207;
#endif
{

{obj_t STRING1_565_147;
STRING1_565_147=SUFFIX___UNIX_FILE_231( NAME_427_207 );{obj_t STRING_CAST_686_146;
STRING_CAST_686_146=CNST_TABLE_REF( 0 );return CBOOL_TO_BBOOL( bigloo_strcmp( STRING1_565_147, STRING_CAST_686_146 ) );}}
}

obj_t
#if defined( __STDC__ )
__COMPACTED_HEAP__HEAP_COMPACT_48(obj_t ENV_721_132,obj_t NAME_427_207)
#else
__COMPACTED_HEAP__HEAP_COMPACT_48( ENV_721_132, NAME_427_207 )
obj_t ENV_721_132, NAME_427_207;
#endif
{

return COMPACTED_HEAP__HEAP_COMPACT_122( NAME_427_207 );
}

obj_t
#if defined( __STDC__ )
COMPACT_HEAP_COMPACT_0(obj_t GLOBAL_428_244)
#else
COMPACT_HEAP_COMPACT_0( GLOBAL_428_244 )
obj_t GLOBAL_428_244;
#endif
{

{obj_t CASE_VALUE_429_103;
CASE_VALUE_429_103=STRUCT_SLOT_REF( GLOBAL_428_244, BINT( 4 ) );if( EQP( CASE_VALUE_429_103, CNST_TABLE_REF( 1 ) ))
return COMPACT_FUNCTION_HEAP_COMPACT_41( GLOBAL_428_244 );else
if( EQP( CASE_VALUE_429_103, CNST_TABLE_REF( 2 ) ))
return COMPACT_VARIABLE_HEAP_COMPACT_216( GLOBAL_428_244 );else
if( EQP( CASE_VALUE_429_103, CNST_TABLE_REF( 3 ) ))
return COMPACT_FOREIGN_HEAP_COMPACT_195( GLOBAL_428_244 );else
{obj_t OBJECT_567_97;
OBJECT_567_97=SHAPE_TOOLS_SHAPE_229( GLOBAL_428_244 );FAILURE( CNST_TABLE_REF( 4 ), CNST_TABLE_REF( 5 ), OBJECT_567_97 );}}
}

obj_t
#if defined( __STDC__ )
__COMPACT_HEAP_COMPACT_143(obj_t ENV_720_119,obj_t GLOBAL_428_244)
#else
__COMPACT_HEAP_COMPACT_143( ENV_720_119, GLOBAL_428_244 )
obj_t ENV_720_119, GLOBAL_428_244;
#endif
{

return COMPACT_HEAP_COMPACT_0( GLOBAL_428_244 );
}

static obj_t
#if defined( __STDC__ )
COMPACT_FUNCTION_HEAP_COMPACT_41(obj_t GLOBAL_430_92)
#else
COMPACT_FUNCTION_HEAP_COMPACT_41( GLOBAL_430_92 )
obj_t GLOBAL_430_92;
#endif
{

{obj_t FUNCTION_431_27;
FUNCTION_431_27=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 6 ) );{
{obj_t C_STRUCT_REF_569_132;
C_STRUCT_REF_569_132=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 7 ) );{obj_t AUX_737_252;
AUX_737_252=CHECK_PRAGMA__VAR_PRAGMA_6( C_STRUCT_REF_569_132 );if( BBOOL_TO_CBOOL( AUX_737_252 ))
BFALSE;else
{obj_t VA_ARG_689_66;
{obj_t C_STRUCT_REF_570_223;
C_STRUCT_REF_570_223=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 7 ) );VA_ARG_689_66=MAKE_PAIR( C_STRUCT_REF_570_223, BNIL );}{obj_t VA_ARG_690_20;
{obj_t STRING_CAST_693_119;
STRING_CAST_693_119=CNST_TABLE_REF( 6 );VA_ARG_690_20=MAKE_PAIR( STRING_CAST_693_119, VA_ARG_689_66 );}{obj_t VA_ARG_691_81;
{obj_t STRING_CAST_692_132;
STRING_CAST_692_132=CNST_TABLE_REF( 7 );VA_ARG_691_81=MAKE_PAIR( STRING_CAST_692_132, VA_ARG_690_20 );}WARNING___ERROR_212( VA_ARG_691_81 );}}}}}
{obj_t V_432_238;
V_432_238=create_vector( BINT( 8 ) );{
{obj_t OBJ_574_86;
OBJ_574_86=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 7 ) );VECTOR_SET( V_432_238, BINT( 7 ), OBJ_574_86 );}
{obj_t OBJ_576_161;
{bool_t __andtest_1000_723_190;
{obj_t AUX_738_237;
{obj_t OBJ_578_254;
OBJ_578_254=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 0 ) );AUX_738_237=CBOOL_TO_BBOOL( BOOLEANP( OBJ_578_254 ) );}__andtest_1000_723_190=BBOOL_TO_CBOOL( AUX_738_237 );}{if( __andtest_1000_723_190)
{bool_t C_STRUCT_REF_724_215;
C_STRUCT_REF_724_215=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 0 ) ) );if( C_STRUCT_REF_724_215)
goto _true_15;else
goto _false_16;}else
goto _false_16;_true_15:
{obj_t C_STRUCT_REF_583_69;
C_STRUCT_REF_583_69=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 4 ) );{obj_t C_CONS_585_5;
{obj_t C_STRUCT_REF_584_39;
C_STRUCT_REF_584_39=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 3 ) );{obj_t AUX_739_253;
AUX_739_253=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_584_39 );C_CONS_585_5=MAKE_PAIR( AUX_739_253, BNIL );}}{obj_t AUX_740_160;
AUX_740_160=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_583_69 );{OBJ_576_161=MAKE_PAIR( AUX_740_160, C_CONS_585_5 );
goto _endif_17;}}}}_false_16:
OBJ_576_161=BFALSE;_endif_17:
;
}}VECTOR_SET( V_432_238, BINT( 6 ), OBJ_576_161 );}
{obj_t OBJ_586_247;
{bool_t __andtest_1001_725_223;
{obj_t AUX_741_215;
{obj_t OBJ_587_204;
OBJ_587_204=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 0 ) );AUX_741_215=CBOOL_TO_BBOOL( BOOLEANP( OBJ_587_204 ) );}__andtest_1001_725_223=BBOOL_TO_CBOOL( AUX_741_215 );}if( __andtest_1001_725_223)
OBJ_586_247=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 0 ) );else
OBJ_586_247=BFALSE;}VECTOR_SET( V_432_238, BINT( 5 ), OBJ_586_247 );}
{obj_t OBJ_590_137;
OBJ_590_137=STRUCT_SLOT_REF( FUNCTION_431_27, BINT( 2 ) );VECTOR_SET( V_432_238, BINT( 4 ), OBJ_590_137 );}
{obj_t OBJ_592_74;
OBJ_592_74=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 2 ) );VECTOR_SET( V_432_238, BINT( 3 ), OBJ_592_74 );}
{obj_t OBJ_594_232;
OBJ_594_232=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 1 ) );VECTOR_SET( V_432_238, BINT( 2 ), OBJ_594_232 );}
{obj_t OBJ_596_108;
OBJ_596_108=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 0 ) );VECTOR_SET( V_432_238, BINT( 1 ), OBJ_596_108 );}
{obj_t OBJ_598_101;
OBJ_598_101=STRUCT_SLOT_REF( GLOBAL_430_92, BINT( 4 ) );VECTOR_SET( V_432_238, BINT( 0 ), OBJ_598_101 );}
return V_432_238;
}}
}}
}

static obj_t
#if defined( __STDC__ )
COMPACT_VARIABLE_HEAP_COMPACT_216(obj_t GLOBAL_435_81)
#else
COMPACT_VARIABLE_HEAP_COMPACT_216( GLOBAL_435_81 )
obj_t GLOBAL_435_81;
#endif
{

{obj_t V_436_172;
V_436_172=create_vector( BINT( 4 ) );{
{obj_t OBJ_600_88;
OBJ_600_88=STRUCT_SLOT_REF( GLOBAL_435_81, BINT( 2 ) );VECTOR_SET( V_436_172, BINT( 3 ), OBJ_600_88 );}
{obj_t OBJ_602_154;
OBJ_602_154=STRUCT_SLOT_REF( GLOBAL_435_81, BINT( 1 ) );VECTOR_SET( V_436_172, BINT( 2 ), OBJ_602_154 );}
{obj_t OBJ_604_237;
OBJ_604_237=STRUCT_SLOT_REF( GLOBAL_435_81, BINT( 0 ) );VECTOR_SET( V_436_172, BINT( 1 ), OBJ_604_237 );}
{obj_t OBJ_606_85;
OBJ_606_85=STRUCT_SLOT_REF( GLOBAL_435_81, BINT( 4 ) );VECTOR_SET( V_436_172, BINT( 0 ), OBJ_606_85 );}
return V_436_172;
}}
}

static obj_t
#if defined( __STDC__ )
COMPACT_FOREIGN_HEAP_COMPACT_195(obj_t GLOBAL_437_6)
#else
COMPACT_FOREIGN_HEAP_COMPACT_195( GLOBAL_437_6 )
obj_t GLOBAL_437_6;
#endif
{

{
{obj_t C_STRUCT_REF_608_6;
C_STRUCT_REF_608_6=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 7 ) );{obj_t AUX_736_192;
AUX_736_192=CHECK_PRAGMA__VAR_PRAGMA_6( C_STRUCT_REF_608_6 );if( BBOOL_TO_CBOOL( AUX_736_192 ))
BFALSE;else
{obj_t VA_ARG_694_92;
{obj_t C_STRUCT_REF_609_24;
C_STRUCT_REF_609_24=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 7 ) );VA_ARG_694_92=MAKE_PAIR( C_STRUCT_REF_609_24, BNIL );}{obj_t VA_ARG_695_91;
{obj_t STRING_CAST_698_27;
STRING_CAST_698_27=CNST_TABLE_REF( 8 );VA_ARG_695_91=MAKE_PAIR( STRING_CAST_698_27, VA_ARG_694_92 );}{obj_t VA_ARG_696_17;
{obj_t STRING_CAST_697_25;
STRING_CAST_697_25=CNST_TABLE_REF( 9 );VA_ARG_696_17=MAKE_PAIR( STRING_CAST_697_25, VA_ARG_695_91 );}WARNING___ERROR_212( VA_ARG_696_17 );}}}}}
{obj_t V_438_12;
V_438_12=create_vector( BINT( 6 ) );{
{obj_t OBJ_610_100;
OBJ_610_100=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 7 ) );VECTOR_SET( V_438_12, BINT( 5 ), OBJ_610_100 );}
{obj_t OBJ_612_175;
{obj_t S_613_131;
S_613_131=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 6 ) );{obj_t C_STRUCT_REF_614_32;
C_STRUCT_REF_614_32=STRUCT_SLOT_REF( S_613_131, BINT( 1 ) );OBJ_612_175=COMPACT_TYPE_HEAP_COMPACT_128( C_STRUCT_REF_614_32 );}}VECTOR_SET( V_438_12, BINT( 4 ), OBJ_612_175 );}
{obj_t OBJ_616_166;
{obj_t S_617_76;
S_617_76=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 6 ) );OBJ_616_166=STRUCT_SLOT_REF( S_617_76, BINT( 0 ) );}VECTOR_SET( V_438_12, BINT( 3 ), OBJ_616_166 );}
{obj_t OBJ_620_124;
OBJ_620_124=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 2 ) );VECTOR_SET( V_438_12, BINT( 2 ), OBJ_620_124 );}
{obj_t OBJ_622_172;
OBJ_622_172=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 0 ) );VECTOR_SET( V_438_12, BINT( 1 ), OBJ_622_172 );}
{obj_t OBJ_624_183;
OBJ_624_183=STRUCT_SLOT_REF( GLOBAL_437_6, BINT( 4 ) );VECTOR_SET( V_438_12, BINT( 0 ), OBJ_624_183 );}
return V_438_12;
}}
}
}

obj_t
#if defined( __STDC__ )
UNCOMPACT__HEAP_COMPACT_92(obj_t R_439_219)
#else
UNCOMPACT__HEAP_COMPACT_92( R_439_219 )
obj_t R_439_219;
#endif
{

{obj_t CASE_VALUE_440_109;
CASE_VALUE_440_109=VECTOR_REF( R_439_219, BINT( 0 ) );if( EQP( CASE_VALUE_440_109, CNST_TABLE_REF( 1 ) ))
return UNCOMPACT_FUNCTION__HEAP_COMPACT_200( R_439_219 );else
if( EQP( CASE_VALUE_440_109, CNST_TABLE_REF( 2 ) ))
return UNCOMPACT_VARIABLE__HEAP_COMPACT_222( R_439_219 );else
if( EQP( CASE_VALUE_440_109, CNST_TABLE_REF( 3 ) ))
return UNCOMPACT_FOREIGN__HEAP_COMPACT_189( R_439_219 );else
{obj_t OBJECT_628_198;
OBJECT_628_198=SHAPE_TOOLS_SHAPE_229( R_439_219 );FAILURE( CNST_TABLE_REF( 10 ), CNST_TABLE_REF( 11 ), OBJECT_628_198 );}}
}

obj_t
#if defined( __STDC__ )
__UNCOMPACT__HEAP_COMPACT_67(obj_t ENV_719_178,obj_t R_439_219)
#else
__UNCOMPACT__HEAP_COMPACT_67( ENV_719_178, R_439_219 )
obj_t ENV_719_178, R_439_219;
#endif
{

return UNCOMPACT__HEAP_COMPACT_92( R_439_219 );
}

static obj_t
#if defined( __STDC__ )
UNCOMPACT_FUNCTION__HEAP_COMPACT_200(obj_t R_441_57)
#else
UNCOMPACT_FUNCTION__HEAP_COMPACT_200( R_441_57 )
obj_t R_441_57;
#endif
{

{obj_t CLASS_448_21, NAME_447_36, MODULE_446_10, C_NAME_445_132, ARITY_444_211;
bool_t INLINE__726_100;
obj_t PRAGMA_442_26;
CLASS_448_21=VECTOR_REF( R_441_57, BINT( 0 ) );NAME_447_36=VECTOR_REF( R_441_57, BINT( 1 ) );MODULE_446_10=VECTOR_REF( R_441_57, BINT( 2 ) );C_NAME_445_132=VECTOR_REF( R_441_57, BINT( 3 ) );ARITY_444_211=VECTOR_REF( R_441_57, BINT( 4 ) );INLINE__726_100=BBOOL_TO_CBOOL( VECTOR_REF( R_441_57, BINT( 5 ) ) );PRAGMA_442_26=VECTOR_REF( R_441_57, BINT( 7 ) );{
{obj_t AUX_735_54;
AUX_735_54=CHECK_PRAGMA__VAR_PRAGMA_6( PRAGMA_442_26 );if( BBOOL_TO_CBOOL( AUX_735_54 ))
BFALSE;else
{obj_t VA_ARG_701_248;
VA_ARG_701_248=MAKE_PAIR( PRAGMA_442_26, BNIL );{obj_t VA_ARG_702_10;
{obj_t STRING_CAST_705_31;
STRING_CAST_705_31=CNST_TABLE_REF( 12 );VA_ARG_702_10=MAKE_PAIR( STRING_CAST_705_31, VA_ARG_701_248 );}{obj_t VA_ARG_703_219;
{obj_t STRING_CAST_704_149;
STRING_CAST_704_149=CNST_TABLE_REF( 13 );VA_ARG_703_219=MAKE_PAIR( STRING_CAST_704_149, VA_ARG_702_10 );}WARNING___ERROR_212( VA_ARG_703_219 );}}}}
if( INLINE__726_100)
{obj_t BODY_450_69, ARGS_449_246;
{obj_t PAIR_632_76;
PAIR_632_76=VECTOR_REF( R_441_57, BINT( 6 ) );BODY_450_69=CAR( PAIR_632_76 );}{obj_t PAIR_630_209;
PAIR_630_209=VECTOR_REF( R_441_57, BINT( 6 ) );{obj_t PAIR_631_120;
PAIR_631_120=CDR( PAIR_630_209 );ARGS_449_246=CAR( PAIR_631_120 );}}{obj_t GLOBAL_451_161;
GLOBAL_451_161=DECLARE_GLOBAL_INLINE__VAR_DECLARE_45( NAME_447_36, ARGS_449_246, MODULE_446_10, CNST_TABLE_REF( 14 ) );{
if( STRINGP( C_NAME_445_132 ))
STRUCT_SLOT_SET( GLOBAL_451_161, BINT( 2 ), C_NAME_445_132 );else
BFALSE;
{obj_t S_634_159;
S_634_159=STRUCT_SLOT_REF( GLOBAL_451_161, BINT( 6 ) );STRUCT_SLOT_SET( S_634_159, BINT( 4 ), BODY_450_69 );}
if( GE_I( ARITY_444_211, BINT( 0 ) ))
{obj_t S_638_255;
S_638_255=STRUCT_SLOT_REF( GLOBAL_451_161, BINT( 6 ) );STRUCT_SLOT_SET( S_638_255, BINT( 3 ), ARGS_449_246 );}else
{obj_t V_641_10;
V_641_10=ARGS___ARGS_LIST_TOOLS_ARGS_150( ARGS_449_246 );{obj_t S_640_114;
S_640_114=STRUCT_SLOT_REF( GLOBAL_451_161, BINT( 6 ) );STRUCT_SLOT_SET( S_640_114, BINT( 3 ), V_641_10 );}}
STRUCT_SLOT_SET( GLOBAL_451_161, BINT( 5 ), BTRUE );
STRUCT_SLOT_SET( GLOBAL_451_161, BINT( 7 ), PRAGMA_442_26 );
return GLOBAL_451_161;
}}}else
{obj_t ARGS_452_235;
ARGS_452_235=MAKE_N_PROTO_TOOLS_ARGS_65( ARITY_444_211 );{obj_t GLOBAL_453_86;
GLOBAL_453_86=DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( NAME_447_36, ARGS_452_235, MODULE_446_10, CNST_TABLE_REF( 14 ) );{
if( STRINGP( C_NAME_445_132 ))
STRUCT_SLOT_SET( GLOBAL_453_86, BINT( 2 ), C_NAME_445_132 );else
BFALSE;
if( GE_I( ARITY_444_211, BINT( 0 ) ))
{obj_t S_643_62;
S_643_62=STRUCT_SLOT_REF( GLOBAL_453_86, BINT( 6 ) );STRUCT_SLOT_SET( S_643_62, BINT( 3 ), ARGS_452_235 );}else
{obj_t V_646_163;
V_646_163=ARGS___ARGS_LIST_TOOLS_ARGS_150( ARGS_452_235 );{obj_t S_645_96;
S_645_96=STRUCT_SLOT_REF( GLOBAL_453_86, BINT( 6 ) );STRUCT_SLOT_SET( S_645_96, BINT( 3 ), V_646_163 );}}
STRUCT_SLOT_SET( GLOBAL_453_86, BINT( 5 ), BTRUE );
STRUCT_SLOT_SET( GLOBAL_453_86, BINT( 7 ), PRAGMA_442_26 );
return GLOBAL_453_86;
}}}
}}
}

static obj_t
#if defined( __STDC__ )
UNCOMPACT_VARIABLE__HEAP_COMPACT_222(obj_t R_454_133)
#else
UNCOMPACT_VARIABLE__HEAP_COMPACT_222( R_454_133 )
obj_t R_454_133;
#endif
{

{obj_t CLASS_458_52, NAME_457_90, MODULE_456_53, C_NAME_455_220;
CLASS_458_52=VECTOR_REF( R_454_133, BINT( 0 ) );NAME_457_90=VECTOR_REF( R_454_133, BINT( 1 ) );MODULE_456_53=VECTOR_REF( R_454_133, BINT( 2 ) );C_NAME_455_220=VECTOR_REF( R_454_133, BINT( 3 ) );{obj_t GLOBAL_459_241;
GLOBAL_459_241=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( NAME_457_90, MODULE_456_53, CNST_TABLE_REF( 14 ) );{
if( STRINGP( C_NAME_455_220 ))
STRUCT_SLOT_SET( GLOBAL_459_241, BINT( 2 ), C_NAME_455_220 );else
BFALSE;
STRUCT_SLOT_SET( GLOBAL_459_241, BINT( 5 ), BTRUE );
return GLOBAL_459_241;
}}}
}

static obj_t
#if defined( __STDC__ )
UNCOMPACT_FOREIGN__HEAP_COMPACT_189(obj_t R_460_161)
#else
UNCOMPACT_FOREIGN__HEAP_COMPACT_189( R_460_161 )
obj_t R_460_161;
#endif
{

{obj_t CLASS_466_51, NAME_465_191, C_NAME_464_180, FUNCTION_CLASS_463_227, FUNCTION_TYPE_462_159, PRAGMA_461_94;
CLASS_466_51=VECTOR_REF( R_460_161, BINT( 0 ) );NAME_465_191=VECTOR_REF( R_460_161, BINT( 1 ) );C_NAME_464_180=VECTOR_REF( R_460_161, BINT( 2 ) );FUNCTION_CLASS_463_227=VECTOR_REF( R_460_161, BINT( 3 ) );{obj_t C_VECTOR_REF_648_39;
C_VECTOR_REF_648_39=VECTOR_REF( R_460_161, BINT( 4 ) );FUNCTION_TYPE_462_159=UNCOMPACT_TYPE_HEAP_COMPACT_152( C_VECTOR_REF_648_39 );}PRAGMA_461_94=VECTOR_REF( R_460_161, BINT( 5 ) );{
{obj_t AUX_734_221;
AUX_734_221=CHECK_PRAGMA__VAR_PRAGMA_6( PRAGMA_461_94 );if( BBOOL_TO_CBOOL( AUX_734_221 ))
BFALSE;else
{obj_t VA_ARG_706_235;
VA_ARG_706_235=MAKE_PAIR( PRAGMA_461_94, BNIL );{obj_t VA_ARG_707_222;
{obj_t STRING_CAST_710_193;
STRING_CAST_710_193=CNST_TABLE_REF( 15 );VA_ARG_707_222=MAKE_PAIR( STRING_CAST_710_193, VA_ARG_706_235 );}{obj_t VA_ARG_708_76;
{obj_t STRING_CAST_709_146;
STRING_CAST_709_146=CNST_TABLE_REF( 16 );VA_ARG_708_76=MAKE_PAIR( STRING_CAST_709_146, VA_ARG_707_222 );}WARNING___ERROR_212( VA_ARG_708_76 );}}}}
{if( EQP( FUNCTION_CLASS_463_227, CNST_TABLE_REF( 1 ) ))
goto _true_12;else
if( EQP( FUNCTION_CLASS_463_227, CNST_TABLE_REF( 17 ) ))
goto _true_12;else
goto _false_13;_true_12:
{obj_t GLOBAL_468_186;
GLOBAL_468_186=DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( NAME_465_191, C_NAME_464_180, FUNCTION_TYPE_462_159, FUNCTION_CLASS_463_227 );{
STRUCT_SLOT_SET( GLOBAL_468_186, BINT( 5 ), BTRUE );
STRUCT_SLOT_SET( GLOBAL_468_186, BINT( 7 ), PRAGMA_461_94 );
return GLOBAL_468_186;
}}_false_13:
{obj_t GLOBAL_469_67;
GLOBAL_469_67=DECLARE_GLOBAL_FOREIGN__VAR_DECLARE_60( NAME_465_191, C_NAME_464_180, FUNCTION_TYPE_462_159, FUNCTION_CLASS_463_227 );{
STRUCT_SLOT_SET( GLOBAL_469_67, BINT( 5 ), BTRUE );
STRUCT_SLOT_SET( GLOBAL_469_67, BINT( 7 ), PRAGMA_461_94 );
return GLOBAL_469_67;
}};
}
}}
}

obj_t
#if defined( __STDC__ )
COMPACT_TYPE_HEAP_COMPACT_128(obj_t TYPE_470_191)
#else
COMPACT_TYPE_HEAP_COMPACT_128( TYPE_470_191 )
obj_t TYPE_470_191;
#endif
{

{obj_t OBJ1_649_121;
OBJ1_649_121=STRUCT_SLOT_REF( TYPE_470_191, BINT( 2 ) );if( EQP( OBJ1_649_121, CNST_TABLE_REF( 1 ) ))
{obj_t OBJ2_653_163;
{obj_t OBJ2_656_243;
{obj_t LAMBDA_1_0_ENV_716_191;
LAMBDA_1_0_ENV_716_191=PROCEDURE_0_HEAP_COMPACT_73;{obj_t A_FUNCTION_711_230;
A_FUNCTION_711_230=LAMBDA_1_0_ENV_716_191;{obj_t PAIR_663_141;
PAIR_663_141=STRUCT_SLOT_REF( TYPE_470_191, BINT( 3 ) );{obj_t C_CDR_664_163;
C_CDR_664_163=CDR( PAIR_663_141 );OBJ2_656_243=MAP_ON_ARGS__TOOLS_ARGS_20( A_FUNCTION_711_230, C_CDR_664_163 );}}}}{obj_t OBJ1_655_10;
{obj_t S_657_166;
{obj_t PAIR_659_116;
PAIR_659_116=STRUCT_SLOT_REF( TYPE_470_191, BINT( 3 ) );S_657_166=CAR( PAIR_659_116 );}OBJ1_655_10=STRUCT_SLOT_REF( S_657_166, BINT( 0 ) );}OBJ2_653_163=MAKE_PAIR( OBJ1_655_10, OBJ2_656_243 );}}return MAKE_PAIR( CNST_TABLE_REF( 18 ), OBJ2_653_163 );}else
return STRUCT_SLOT_REF( TYPE_470_191, BINT( 0 ) );}
}

obj_t
#if defined( __STDC__ )
__COMPACT_TYPE_HEAP_COMPACT_153(obj_t ENV_718_85,obj_t TYPE_470_191)
#else
__COMPACT_TYPE_HEAP_COMPACT_153( ENV_718_85, TYPE_470_191 )
obj_t ENV_718_85, TYPE_470_191;
#endif
{

return COMPACT_TYPE_HEAP_COMPACT_128( TYPE_470_191 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_471_105(obj_t LAMBDA_1_0_ENV_717_108,obj_t TYPE_472_139)
#else
LAMBDA_1_0_471_105( LAMBDA_1_0_ENV_717_108, TYPE_472_139 )
obj_t LAMBDA_1_0_ENV_717_108, TYPE_472_139;
#endif
{

{if( STRUCTP( TYPE_472_139 ))
if( EQP( STRUCT_KEY( TYPE_472_139 ), CNST_TABLE_REF( 19 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
return STRUCT_SLOT_REF( TYPE_472_139, BINT( 0 ) );_false_10:
return TYPE_472_139;;
}
}

obj_t
#if defined( __STDC__ )
UNCOMPACT_TYPE_HEAP_COMPACT_152(obj_t TYPE_473_232)
#else
UNCOMPACT_TYPE_HEAP_COMPACT_152( TYPE_473_232 )
obj_t TYPE_473_232;
#endif
{

{if( STRUCTP( TYPE_473_232 ))
if( EQP( STRUCT_KEY( TYPE_473_232 ), CNST_TABLE_REF( 19 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
return TYPE_473_232;_false_4:
if( PAIRP( TYPE_473_232 ))
{obj_t TO_475_23, FROM_474_212;
{obj_t O_673_57;
{obj_t PAIR_675_66;
PAIR_675_66=CDR( TYPE_473_232 );O_673_57=CAR( PAIR_675_66 );}{if( STRUCTP( O_673_57 ))
if( EQP( STRUCT_KEY( O_673_57 ), CNST_TABLE_REF( 19 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t PAIR_676_128;
PAIR_676_128=CDR( TYPE_473_232 );{TO_475_23=CAR( PAIR_676_128 );
goto _endif_8;}}_false_7:
{obj_t PAIR_677_83;
PAIR_677_83=CDR( TYPE_473_232 );{obj_t C_CAR_678_242;
C_CAR_678_242=CAR( PAIR_677_83 );TO_475_23=GET_TYPE_FOREIGN_TOOLS_48( C_CAR_678_242 );}}_endif_8:
;
}}{obj_t LAMBDA_1_1_ENV_713_248;
LAMBDA_1_1_ENV_713_248=PROCEDURE_1_HEAP_COMPACT_221;{obj_t A_FUNCTION_712_227;
A_FUNCTION_712_227=LAMBDA_1_1_ENV_713_248;{obj_t PAIR_671_161;
PAIR_671_161=CDR( TYPE_473_232 );{obj_t C_CDR_672_7;
C_CDR_672_7=CDR( PAIR_671_161 );FROM_474_212=MAP_ON_ARGS__TOOLS_ARGS_20( A_FUNCTION_712_227, C_CDR_672_7 );}}}}return MAKE_GET_FUNCTION_TYPE__FOREIGN_TOOLS_9( TO_475_23, FROM_474_212 );}else
return GET_TYPE_FOREIGN_TOOLS_48( TYPE_473_232 );;
}
}

obj_t
#if defined( __STDC__ )
__UNCOMPACT_TYPE_HEAP_COMPACT_54(obj_t ENV_715_252,obj_t TYPE_473_232)
#else
__UNCOMPACT_TYPE_HEAP_COMPACT_54( ENV_715_252, TYPE_473_232 )
obj_t ENV_715_252, TYPE_473_232;
#endif
{

return UNCOMPACT_TYPE_HEAP_COMPACT_152( TYPE_473_232 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_476_60(obj_t LAMBDA_1_1_ENV_714_235,obj_t X_477_234)
#else
LAMBDA_1_1_476_60( LAMBDA_1_1_ENV_714_235, X_477_234 )
obj_t LAMBDA_1_1_ENV_714_235, X_477_234;
#endif
{

{if( STRUCTP( X_477_234 ))
if( EQP( STRUCT_KEY( X_477_234 ), CNST_TABLE_REF( 19 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
return X_477_234;_false_1:
return GET_TYPE_FOREIGN_TOOLS_48( X_477_234 );;
}
}

