/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Heap/make.c                                                       */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t HEAP_MAKE_INITIALISATION_HEAP_MAKE_37();
extern obj_t HASH_TABLE_LENGTH_TOOLS_HASH_178();
extern obj_t __GENV__VAR_ENV_215;
extern obj_t append_output_binary_file();
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
obj_t MAKE_HEAP_ENV_HEAP_MAKE_6 = BUNSPEC;
extern obj_t WRITE___R4_OUTPUT_6_10_3_23();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t output_obj();
extern obj_t __ALPHA__ENGINE_PARAM_16;
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t __HEAP_NAMES__ENGINE_PARAM_198;
extern obj_t close_output_port();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 12 ] ;
extern obj_t append_output_file();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t REQUIRE_INITIALISATION__HEAP_MAKE_146 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t open_output_binary_file();
extern obj_t COMPACT_HEAP_COMPACT_0();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t COMPACTED_HEAP__HEAP_COMPACT_122();
extern obj_t __HEAP_APPEND___ENGINE_PARAM_226;
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t close_binary_port();
#if defined( __STDC__ )
static obj_t MAKE_COMPACTED_HEAP_HEAP_MAKE_201(obj_t);
#else
static obj_t MAKE_COMPACTED_HEAP_HEAP_MAKE_201();
#endif
#if defined( __STDC__ )
static obj_t MAKE_UNCOMPACTED_HEAP_HEAP_MAKE_75(obj_t);
#else
static obj_t MAKE_UNCOMPACTED_HEAP_HEAP_MAKE_75();
#endif
#if defined( __STDC__ )
extern obj_t __MAKE_HEAP_HEAP_MAKE_36(obj_t);
#else
extern obj_t __MAKE_HEAP_HEAP_MAKE_36();
#endif
extern obj_t make_fx_procedure();
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
extern obj_t HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t COMPACT_TYPE_HEAP_COMPACT_128();
obj_t HEAP_MAKE_INITIALISATION_ENV_HEAP_MAKE_99 = BUNSPEC;
extern obj_t WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90();
extern obj_t open_output_file();
extern obj_t WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71();
#if defined( __STDC__ )
extern obj_t __HEAP_MAKE_INITIALISATION_HEAP_MAKE_105(obj_t);
#else
extern obj_t __HEAP_MAKE_INITIALISATION_HEAP_MAKE_105();
#endif
extern obj_t MAKE_HEAP_HEAP_MAKE_58();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_1_0_368_252();
static obj_t LAMBDA_1_1_379_205();

obj_t
#if defined( __STDC__ )
HEAP_MAKE_INITIALISATION_HEAP_MAKE_37()
#else
HEAP_MAKE_INITIALISATION_HEAP_MAKE_37()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__HEAP_MAKE_146 ))
{
REQUIRE_INITIALISATION__HEAP_MAKE_146=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
VAR_ENV_INITIALISATION_VAR_ENV_78();
HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90();
DECLARE_CNST_TABLE( __cnst[ 12 ]  );
{obj_t PORT_517_118;
{obj_t AUX_525_110;
AUX_525_110=c_constant_string_to_string( "DONE #\"Can't open file for output\" #\"make-heap\" #\"heap file for bigloo compiler\" FOREIGN FUNCTION EXPORT IMPORT #\"Can't open file for output\" #\"make-heap\" GENV #\"   . Heap\" " );PORT_517_118=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_525_110 );}{obj_t OFFSET_518_90;
{
OFFSET_518_90=BINT( 11 );
{_LOOP_519_183:

if( LT_I( OFFSET_518_90, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_526_14;
AUX_526_14=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_517_118, BEOA );CNST_TABLE_SET( OFFSET_518_90, AUX_526_14 );}
{obj_t OFFSET_527_26;
OFFSET_527_26=OFFSET_518_90;{
OFFSET_518_90=SUB_I( OFFSET_527_26, BINT( 1 ) );
goto _LOOP_519_183;
}}
}}
}}}
{
HEAP_MAKE_INITIALISATION_ENV_HEAP_MAKE_99=make_fx_procedure( __HEAP_MAKE_INITIALISATION_HEAP_MAKE_105, 0, 0 );
MAKE_HEAP_ENV_HEAP_MAKE_6=make_fx_procedure( __MAKE_HEAP_HEAP_MAKE_36, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__HEAP_MAKE_INITIALISATION_HEAP_MAKE_105(obj_t ENV_512_10)
#else
__HEAP_MAKE_INITIALISATION_HEAP_MAKE_105( ENV_512_10 )
obj_t ENV_512_10;
#endif
{

return HEAP_MAKE_INITIALISATION_HEAP_MAKE_37();
}

obj_t
#if defined( __STDC__ )
MAKE_HEAP_HEAP_MAKE_58()
#else
MAKE_HEAP_HEAP_MAKE_58()
#endif
{

{
{obj_t VA_ARG_495_121;
VA_ARG_495_121=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_496_72;
{obj_t STRING_CAST_497_196;
STRING_CAST_497_196=CNST_TABLE_REF( 0 );VA_ARG_496_72=MAKE_PAIR( STRING_CAST_497_196, VA_ARG_495_121 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_496_72 );}}
__ALPHA__ENGINE_PARAM_16=BFALSE;
{obj_t HEAP_NAME_365_101;
{obj_t PAIR_451_30;
PAIR_451_30=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( __HEAP_NAMES__ENGINE_PARAM_198 );HEAP_NAME_365_101=CAR( PAIR_451_30 );}{obj_t AUX_524_25;
AUX_524_25=COMPACTED_HEAP__HEAP_COMPACT_122( HEAP_NAME_365_101 );if( BBOOL_TO_CBOOL( AUX_524_25 ))
return MAKE_COMPACTED_HEAP_HEAP_MAKE_201( HEAP_NAME_365_101 );else
return MAKE_UNCOMPACTED_HEAP_HEAP_MAKE_75( HEAP_NAME_365_101 );}}
}
}

obj_t
#if defined( __STDC__ )
__MAKE_HEAP_HEAP_MAKE_36(obj_t ENV_511_248)
#else
__MAKE_HEAP_HEAP_MAKE_36( ENV_511_248 )
obj_t ENV_511_248;
#endif
{

return MAKE_HEAP_HEAP_MAKE_58();
}

static obj_t
#if defined( __STDC__ )
MAKE_COMPACTED_HEAP_HEAP_MAKE_201(obj_t HEAP_NAME_366_239)
#else
MAKE_COMPACTED_HEAP_HEAP_MAKE_201( HEAP_NAME_366_239 )
obj_t HEAP_NAME_366_239;
#endif
{

{obj_t PORT_367_169;
if( BBOOL_TO_CBOOL( __HEAP_APPEND___ENGINE_PARAM_226 ))
PORT_367_169=append_output_binary_file( HEAP_NAME_366_239 );else
PORT_367_169=open_output_binary_file( HEAP_NAME_366_239 );if( BINARY_PORTP( PORT_367_169 ))
{
{obj_t OBJ_457_32;
OBJ_457_32=HASH_TABLE_LENGTH_TOOLS_HASH_178( __GENV__VAR_ENV_215, CNST_TABLE_REF( 1 ) );output_obj( PORT_367_169, OBJ_457_32 );}
{obj_t LAMBDA_1_0_ENV_509_52;
LAMBDA_1_0_ENV_509_52=make_fx_procedure( LAMBDA_1_0_368_252, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_509_52, 0, PORT_367_169 );
{obj_t A_FUNCTION_498_240;
A_FUNCTION_498_240=LAMBDA_1_0_ENV_509_52;WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_498_240, __GENV__VAR_ENV_215, CNST_TABLE_REF( 1 ) );}
}}
return close_binary_port( PORT_367_169 );
}else
FAILURE( CNST_TABLE_REF( 2 ), CNST_TABLE_REF( 3 ), HEAP_NAME_366_239 );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_368_252(obj_t LAMBDA_1_0_ENV_510_215,obj_t BUCKET_369_141)
#else
LAMBDA_1_0_368_252( LAMBDA_1_0_ENV_510_215, BUCKET_369_141 )
obj_t LAMBDA_1_0_ENV_510_215, BUCKET_369_141;
#endif
{

{obj_t PORT_367_169;
PORT_367_169=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_510_215, 0 );{obj_t BUCKET_371_62, RES_372_113;
{
RES_372_113=BNIL;
BUCKET_371_62=BUCKET_369_141;
{_LIIP_370_21:

if( NULLP( BUCKET_371_62 ))
return output_obj( PORT_367_169, RES_372_113 );else
{obj_t PR_373_144;
PR_373_144=CAR( BUCKET_371_62 );{bool_t __ortest_1000_513_11;
{obj_t AUX_523_97;
{obj_t OBJ1_458_46;
OBJ1_458_46=STRUCT_SLOT_REF( PR_373_144, BINT( 3 ) );AUX_523_97=CBOOL_TO_BBOOL( EQP( OBJ1_458_46, CNST_TABLE_REF( 4 ) ) );}__ortest_1000_513_11=BBOOL_TO_CBOOL( AUX_523_97 );}{if( __ortest_1000_513_11)
goto _true_3;else
{obj_t OBJ1_460_144;
OBJ1_460_144=STRUCT_SLOT_REF( PR_373_144, BINT( 3 ) );if( EQP( OBJ1_460_144, CNST_TABLE_REF( 5 ) ))
goto _true_3;else
goto _false_4;}_true_3:
{obj_t VALUE_375_129;
VALUE_375_129=STRUCT_SLOT_REF( PR_373_144, BINT( 6 ) );{
{if( STRUCTP( VALUE_375_129 ))
if( EQP( STRUCT_KEY( VALUE_375_129 ), CNST_TABLE_REF( 6 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t V_464_17;
{obj_t C_STRUCT_REF_465_64;
C_STRUCT_REF_465_64=STRUCT_SLOT_REF( VALUE_375_129, BINT( 8 ) );V_464_17=COMPACT_TYPE_HEAP_COMPACT_128( C_STRUCT_REF_465_64 );}{STRUCT_SLOT_SET( VALUE_375_129, BINT( 8 ), V_464_17 );
goto _endif_8;}}_false_7:
BFALSE;_endif_8:
;
}
{obj_t C_CDR_466_254;
C_CDR_466_254=CDR( BUCKET_371_62 );{obj_t C_CONS_469_192;
C_CONS_469_192=MAKE_PAIR( PR_373_144, RES_372_113 );{
RES_372_113=C_CONS_469_192;
BUCKET_371_62=C_CDR_466_254;
goto _LIIP_370_21;
}}}
}}_false_4:
{obj_t OBJ1_470_103;
OBJ1_470_103=STRUCT_SLOT_REF( PR_373_144, BINT( 3 ) );if( EQP( OBJ1_470_103, CNST_TABLE_REF( 7 ) ))
{obj_t VALUE_376_202;
VALUE_376_202=STRUCT_SLOT_REF( PR_373_144, BINT( 6 ) );{
{obj_t V_473_190;
{obj_t C_STRUCT_REF_474_131;
C_STRUCT_REF_474_131=STRUCT_SLOT_REF( VALUE_376_202, BINT( 1 ) );V_473_190=COMPACT_TYPE_HEAP_COMPACT_128( C_STRUCT_REF_474_131 );}STRUCT_SLOT_SET( VALUE_376_202, BINT( 1 ), V_473_190 );}
{obj_t C_CDR_475_195;
C_CDR_475_195=CDR( BUCKET_371_62 );{obj_t C_CONS_476_154;
C_CONS_476_154=MAKE_PAIR( PR_373_144, RES_372_113 );{
RES_372_113=C_CONS_476_154;
BUCKET_371_62=C_CDR_475_195;
goto _LIIP_370_21;
}}}
}}else
{obj_t C_CDR_477_99;
C_CDR_477_99=CDR( BUCKET_371_62 );{
BUCKET_371_62=C_CDR_477_99;
goto _LIIP_370_21;
}}};
}}}}
}}}
}

static obj_t
#if defined( __STDC__ )
MAKE_UNCOMPACTED_HEAP_HEAP_MAKE_75(obj_t HEAP_NAME_377_121)
#else
MAKE_UNCOMPACTED_HEAP_HEAP_MAKE_75( HEAP_NAME_377_121 )
obj_t HEAP_NAME_377_121;
#endif
{

{obj_t PORT_378_125;
if( BBOOL_TO_CBOOL( __HEAP_APPEND___ENGINE_PARAM_226 ))
PORT_378_125=append_output_file( HEAP_NAME_377_121 );else
PORT_378_125=open_output_file( HEAP_NAME_377_121 );if( OUTPUT_PORTP( PORT_378_125 ))
{
{obj_t STRING_CAST_501_151;
STRING_CAST_501_151=CNST_TABLE_REF( 8 );WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71( PORT_378_125, STRING_CAST_501_151 );}
{obj_t LAMBDA_1_1_ENV_507_146;
LAMBDA_1_1_ENV_507_146=make_fx_procedure( LAMBDA_1_1_379_205, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_1_ENV_507_146, 0, PORT_378_125 );
{obj_t A_FUNCTION_504_112;
A_FUNCTION_504_112=LAMBDA_1_1_ENV_507_146;WALK_ON_HASH_TABLE__TOOLS_HASH_171( A_FUNCTION_504_112, __GENV__VAR_ENV_215, CNST_TABLE_REF( 1 ) );}
}}
return close_output_port( PORT_378_125 );
}else
FAILURE( CNST_TABLE_REF( 9 ), CNST_TABLE_REF( 10 ), HEAP_NAME_377_121 );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_379_205(obj_t LAMBDA_1_1_ENV_508_38,obj_t BUCKET_380_129)
#else
LAMBDA_1_1_379_205( LAMBDA_1_1_ENV_508_38, BUCKET_380_129 )
obj_t LAMBDA_1_1_ENV_508_38, BUCKET_380_129;
#endif
{

{obj_t PORT_378_125;
PORT_378_125=PROCEDURE_ENV_REF( LAMBDA_1_1_ENV_508_38, 0 );{obj_t BUCKET_382_217;
{
BUCKET_382_217=BUCKET_380_129;
{_LIIP_381_255:

if( NULLP( BUCKET_382_217 ))
return CNST_TABLE_REF( 11 );else
{obj_t PR_383_20;
PR_383_20=CAR( BUCKET_382_217 );{
{bool_t __ortest_1001_515_190;
{obj_t AUX_520_119;
{obj_t OBJ1_482_118;
OBJ1_482_118=STRUCT_SLOT_REF( PR_383_20, BINT( 3 ) );AUX_520_119=CBOOL_TO_BBOOL( EQP( OBJ1_482_118, CNST_TABLE_REF( 4 ) ) );}__ortest_1001_515_190=BBOOL_TO_CBOOL( AUX_520_119 );}{if( __ortest_1001_515_190)
goto _true_0;else
{bool_t __ortest_1002_516_138;
{obj_t AUX_521_132;
{obj_t OBJ1_484_233;
OBJ1_484_233=STRUCT_SLOT_REF( PR_383_20, BINT( 3 ) );AUX_521_132=CBOOL_TO_BBOOL( EQP( OBJ1_484_233, CNST_TABLE_REF( 5 ) ) );}__ortest_1002_516_138=BBOOL_TO_CBOOL( AUX_521_132 );}if( __ortest_1002_516_138)
goto _true_0;else
{obj_t OBJ1_486_51;
OBJ1_486_51=STRUCT_SLOT_REF( PR_383_20, BINT( 3 ) );if( EQP( OBJ1_486_51, CNST_TABLE_REF( 7 ) ))
goto _true_0;else
goto _false_1;}}_true_0:
{
{obj_t VA_ARG_502_126;
VA_ARG_502_126=MAKE_PAIR( PORT_378_125, BNIL );{obj_t AUX_522_174;
AUX_522_174=COMPACT_HEAP_COMPACT_0( PR_383_20 );WRITE___R4_OUTPUT_6_10_3_23( AUX_522_174, VA_ARG_502_126 );}}
{obj_t VA_ARG_503_11;
VA_ARG_503_11=MAKE_PAIR( PORT_378_125, BNIL );{NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_503_11 );
goto _endif_2;}}
}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t C_CDR_488_64;
C_CDR_488_64=CDR( BUCKET_382_217 );{
BUCKET_382_217=C_CDR_488_64;
goto _LIIP_381_255;
}}
}}}
}}}
}

