/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Heap/restore.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t HASH_TABLE_LENGTH_TOOLS_HASH_178();
extern obj_t __GENV__VAR_ENV_215;
extern obj_t bigloo_exit();
extern obj_t APPEND____R4_PAIRS_AND_LISTS_6_3_206();
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
extern obj_t FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13();
extern obj_t HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35();
#if defined( __STDC__ )
extern obj_t __HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_45(obj_t);
#else
extern obj_t __HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_45();
#endif
extern obj_t input_port_display_error();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t UNCOMPACT_TYPE_HEAP_COMPACT_152();
extern obj_t ABSTRACT_INIT__HEAP_ABSTRACT_196();
extern obj_t HASH_TABLE_SET_BUCKET__TOOLS_HASH_50();
#if defined( __STDC__ )
extern obj_t __RESTORE_HEAP_HEAP_RESTORE_204(obj_t);
#else
extern obj_t __RESTORE_HEAP_HEAP_RESTORE_204();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t current_error_port;
extern obj_t __HEAP_NAMES__ENGINE_PARAM_198;
extern obj_t __CALL_CC___ENGINE_PARAM_225;
extern obj_t input_obj();
static obj_t __cnst[ 14 ] ;
extern obj_t close_input_port();
extern obj_t READ___READER_198;
extern obj_t __LIB_MODE__ENGINE_PARAM_204;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
obj_t HEAP_RESTORE_INITIALISATION_ENV_HEAP_RESTORE_77 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__HEAP_RESTORE_187 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t UNBIND_IN_GLOBAL_ENVIRONMENT__VAR_ENV_108();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t COMPACTED_HEAP__HEAP_COMPACT_122();
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t NOTIFY_ERROR___ERROR_187();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t RESTORE_HEAP_HEAP_RESTORE_23();
#if defined( __STDC__ )
static obj_t RESTORE_ONE_COMPACTED_HEAP_HEAP_RESTORE_49(obj_t);
#else
static obj_t RESTORE_ONE_COMPACTED_HEAP_HEAP_RESTORE_49();
#endif
#if defined( __STDC__ )
static obj_t RESTORE_ONE_UNCOMPACTED_HEAP_HEAP_RESTORE_3(obj_t);
#else
static obj_t RESTORE_ONE_UNCOMPACTED_HEAP_HEAP_RESTORE_3();
#endif
obj_t RESTORE_HEAP_ENV_HEAP_RESTORE_12 = BUNSPEC;
extern obj_t open_input_binary_file();
extern obj_t UNCOMPACT__HEAP_COMPACT_92();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LAMBDA_1_0_379_95();
static obj_t HANDLER_385_69();
static obj_t ESCAPE_390_10();
static obj_t ESCAPE_519_230();

obj_t
#if defined( __STDC__ )
HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35()
#else
HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__HEAP_RESTORE_187 ))
{
REQUIRE_INITIALISATION__HEAP_RESTORE_187=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
VAR_ENV_INITIALISATION_VAR_ENV_78();
HEAP_COMPACT_INITIALISATION_HEAP_COMPACT_114();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 14 ]  );
{obj_t PORT_540_239;
{obj_t AUX_549_229;
AUX_549_229=c_constant_string_to_string( "#\"Can't open heap file\" #\"restore-heap\" #\"Can't open heap file\" #\"restore-heap\" #\"Corrupted heap file\" #\"restore-one-comtacted-heap\" FUNCTION FOREIGN DONE GENV __R4_CONTROL_FEATURES_6_9 GLOBAL CALL/CC #\"   . Heap\" " );PORT_540_239=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_549_229 );}{obj_t OFFSET_541_59;
{
OFFSET_541_59=BINT( 13 );
{_LOOP_542_108:

if( LT_I( OFFSET_541_59, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_550_55;
AUX_550_55=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_540_239, BEOA );CNST_TABLE_SET( OFFSET_541_59, AUX_550_55 );}
{obj_t OFFSET_551_10;
OFFSET_551_10=OFFSET_541_59;{
OFFSET_541_59=SUB_I( OFFSET_551_10, BINT( 1 ) );
goto _LOOP_542_108;
}}
}}
}}}
{
HEAP_RESTORE_INITIALISATION_ENV_HEAP_RESTORE_77=make_fx_procedure( __HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_45, 0, 0 );
RESTORE_HEAP_ENV_HEAP_RESTORE_12=make_fx_procedure( __RESTORE_HEAP_HEAP_RESTORE_204, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_45(obj_t ENV_533_35)
#else
__HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_45( ENV_533_35 )
obj_t ENV_533_35;
#endif
{

return HEAP_RESTORE_INITIALISATION_HEAP_RESTORE_35();
}

obj_t
#if defined( __STDC__ )
RESTORE_HEAP_HEAP_RESTORE_23()
#else
RESTORE_HEAP_HEAP_RESTORE_23()
#endif
{

{
{obj_t VA_ARG_509_191;
VA_ARG_509_191=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_510_186;
{obj_t STRING_CAST_511_18;
STRING_CAST_511_18=CNST_TABLE_REF( 0 );VA_ARG_510_186=MAKE_PAIR( STRING_CAST_511_18, VA_ARG_509_191 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_510_186 );}}
{obj_t g1000_366_106;
{
g1000_366_106=__HEAP_NAMES__ENGINE_PARAM_198;
{_g1001_365_25:

if( PAIRP( g1000_366_106 ))
{
{obj_t HEAP_NAME_467_15;
HEAP_NAME_467_15=CAR( g1000_366_106 );{obj_t AUX_546_248;
AUX_546_248=COMPACTED_HEAP__HEAP_COMPACT_122( HEAP_NAME_467_15 );if( BBOOL_TO_CBOOL( AUX_546_248 ))
RESTORE_ONE_COMPACTED_HEAP_HEAP_RESTORE_49( HEAP_NAME_467_15 );else
RESTORE_ONE_UNCOMPACTED_HEAP_HEAP_RESTORE_3( HEAP_NAME_467_15 );}}
{obj_t C_CDR_468_161;
C_CDR_468_161=CDR( g1000_366_106 );{
g1000_366_106=C_CDR_468_161;
goto _g1001_365_25;
}}
}else
BTRUE;}
}}
ABSTRACT_INIT__HEAP_ABSTRACT_196();
{bool_t __andtest_1003_535_213;
{obj_t AUX_547_243;
{bool_t OBJ_534_186;
OBJ_534_186=BBOOL_TO_CBOOL( __CALL_CC___ENGINE_PARAM_225 );if( OBJ_534_186)
AUX_547_243=BFALSE;else
AUX_547_243=BTRUE;}__andtest_1003_535_213=BBOOL_TO_CBOOL( AUX_547_243 );}{if( __andtest_1003_535_213)
{bool_t OBJ_536_28;
OBJ_536_28=BBOOL_TO_CBOOL( __LIB_MODE__ENGINE_PARAM_204 );if( OBJ_536_28)
goto _false_4;else
goto _true_3;}else
goto _false_4;_true_3:
{obj_t CALLCC_368_153;
CALLCC_368_153=FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13( CNST_TABLE_REF( 1 ), __GENV__VAR_ENV_215 );{bool_t __andtest_1002_538_207;
{obj_t AUX_548_123;
if( STRUCTP( CALLCC_368_153 ))
AUX_548_123=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( CALLCC_368_153 ), CNST_TABLE_REF( 2 ) ) );else
AUX_548_123=BFALSE;__andtest_1002_538_207=BBOOL_TO_CBOOL( AUX_548_123 );}{if( __andtest_1002_538_207)
{obj_t OBJ1_473_181;
OBJ1_473_181=STRUCT_SLOT_REF( CALLCC_368_153, BINT( 1 ) );if( EQP( OBJ1_473_181, CNST_TABLE_REF( 3 ) ))
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
return UNBIND_IN_GLOBAL_ENVIRONMENT__VAR_ENV_108( CNST_TABLE_REF( 1 ), __GENV__VAR_ENV_215 );_false_7:
return BFALSE;;
}}}_false_4:
return BFALSE;;
}}
}
}

obj_t
#if defined( __STDC__ )
__RESTORE_HEAP_HEAP_RESTORE_204(obj_t ENV_532_206)
#else
__RESTORE_HEAP_HEAP_RESTORE_204( ENV_532_206 )
obj_t ENV_532_206;
#endif
{

return RESTORE_HEAP_HEAP_RESTORE_23();
}

static obj_t
#if defined( __STDC__ )
RESTORE_ONE_COMPACTED_HEAP_HEAP_RESTORE_49(obj_t HEAP_NAME_371_130)
#else
RESTORE_ONE_COMPACTED_HEAP_HEAP_RESTORE_49( HEAP_NAME_371_130 )
obj_t HEAP_NAME_371_130;
#endif
{

{obj_t PORT_372_1;
PORT_372_1=open_input_binary_file( HEAP_NAME_371_130 );if( BINARY_PORTP( PORT_372_1 ))
{obj_t LEN_373_243;
LEN_373_243=input_obj( PORT_372_1 );{obj_t N2_480_246;
N2_480_246=HASH_TABLE_LENGTH_TOOLS_HASH_178( __GENV__VAR_ENV_215, CNST_TABLE_REF( 4 ) );if( EQ_I( LEN_373_243, N2_480_246 ))
{obj_t I_375_23;
{
I_375_23=BINT( 0 );
{_LOOP_374_49:

if( EQ_I( I_375_23, LEN_373_243 ))
return CNST_TABLE_REF( 5 );else
{
{obj_t NEW_BUCKET_376_74;
NEW_BUCKET_376_74=input_obj( PORT_372_1 );if( NULLP( NEW_BUCKET_376_74 ))
BFALSE;else
{obj_t NEW_378_170;
{
NEW_378_170=NEW_BUCKET_376_74;
{_LOOP_377_190:

if( NULLP( NEW_378_170 ))
{obj_t LAMBDA_1_0_ENV_530_152;
LAMBDA_1_0_ENV_530_152=make_fx_procedure( LAMBDA_1_0_379_95, 1, 1 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_530_152, 0, NEW_BUCKET_376_74 );
{obj_t A_FUNCTION_512_30;
A_FUNCTION_512_30=LAMBDA_1_0_ENV_530_152;HASH_TABLE_SET_BUCKET__TOOLS_HASH_50( __GENV__VAR_ENV_215, CNST_TABLE_REF( 4 ), A_FUNCTION_512_30, I_375_23 );}
}}else
{
{obj_t PR_381_24;
PR_381_24=CAR( NEW_378_170 );{obj_t VALUE_382_222;
VALUE_382_222=STRUCT_SLOT_REF( PR_381_24, BINT( 6 ) );{obj_t OBJ1_482_118;
OBJ1_482_118=STRUCT_SLOT_REF( PR_381_24, BINT( 3 ) );if( EQP( OBJ1_482_118, CNST_TABLE_REF( 6 ) ))
{obj_t V_484_10;
{obj_t C_STRUCT_REF_485_246;
C_STRUCT_REF_485_246=STRUCT_SLOT_REF( VALUE_382_222, BINT( 1 ) );V_484_10=UNCOMPACT_TYPE_HEAP_COMPACT_152( C_STRUCT_REF_485_246 );}STRUCT_SLOT_SET( VALUE_382_222, BINT( 1 ), V_484_10 );}else
{if( STRUCTP( VALUE_382_222 ))
if( EQP( STRUCT_KEY( VALUE_382_222 ), CNST_TABLE_REF( 7 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t V_487_248;
{obj_t C_STRUCT_REF_488_215;
C_STRUCT_REF_488_215=STRUCT_SLOT_REF( VALUE_382_222, BINT( 8 ) );V_487_248=UNCOMPACT_TYPE_HEAP_COMPACT_152( C_STRUCT_REF_488_215 );}{STRUCT_SLOT_SET( VALUE_382_222, BINT( 8 ), V_487_248 );
goto _endif_2;}}_false_1:
BFALSE;_endif_2:
;
}}}}
{obj_t C_CDR_489_121;
C_CDR_489_121=CDR( NEW_378_170 );{
NEW_378_170=C_CDR_489_121;
goto _LOOP_377_190;
}}
}}
}}}
{obj_t I_545_187;
I_545_187=I_375_23;{
I_375_23=ADD_I_PTAG( I_545_187, PSUB_TAG( 1 ) );
goto _LOOP_374_49;
}}
}}
}}else
FAILURE( CNST_TABLE_REF( 8 ), CNST_TABLE_REF( 9 ), HEAP_NAME_371_130 );}}else
FAILURE( CNST_TABLE_REF( 10 ), CNST_TABLE_REF( 11 ), HEAP_NAME_371_130 );}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_379_95(obj_t LAMBDA_1_0_ENV_531_131,obj_t OLD_380_171)
#else
LAMBDA_1_0_379_95( LAMBDA_1_0_ENV_531_131, OLD_380_171 )
obj_t LAMBDA_1_0_ENV_531_131, OLD_380_171;
#endif
{

{obj_t NEW_BUCKET_376_74;
NEW_BUCKET_376_74=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_531_131, 0 );if( NULLP( OLD_380_171 ))
return NEW_BUCKET_376_74;else
return APPEND____R4_PAIRS_AND_LISTS_6_3_206( NEW_BUCKET_376_74, OLD_380_171 );}
}

static obj_t
#if defined( __STDC__ )
RESTORE_ONE_UNCOMPACTED_HEAP_HEAP_RESTORE_3(obj_t HEAP_NAME_383_33)
#else
RESTORE_ONE_UNCOMPACTED_HEAP_HEAP_RESTORE_3( HEAP_NAME_383_33 )
obj_t HEAP_NAME_383_33;
#endif
{

if( STRINGP( HEAP_NAME_383_33 ))
{obj_t PORT_384_169;
PORT_384_169=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( HEAP_NAME_383_33, BNIL );{obj_t HANDLER_ENV_528_96;
HANDLER_ENV_528_96=make_fx_procedure( HANDLER_385_69, 4, 1 );{
PROCEDURE_ENV_SET( HANDLER_ENV_528_96, 0, PORT_384_169 );
if( INPUT_PORTP( PORT_384_169 ))
{obj_t HANDLER_386_63;
HANDLER_386_63=HANDLER_ENV_528_96;{obj_t LAMBDA_STACK_388_75;
LAMBDA_STACK_388_75=GET_LAMBDA_STACK();{obj_t RES_389_89;
RES_389_89=ESCAPE_390_10( HANDLER_386_63, PORT_384_169 );{
SET_LAMBDA_STACK( LAMBDA_STACK_388_75 );
return RES_389_89;
}}}}else
FAILURE( CNST_TABLE_REF( 12 ), CNST_TABLE_REF( 13 ), HEAP_NAME_383_33 );
}}}else
return BFALSE;
}

static obj_t
#if defined( __STDC__ )
HANDLER_385_69(obj_t HANDLER_ENV_529_227,obj_t ESCAPE_397_163,obj_t PROC_398_23,obj_t MES_399_88,obj_t OBJ_400_158)
#else
HANDLER_385_69( HANDLER_ENV_529_227, ESCAPE_397_163, PROC_398_23, MES_399_88, OBJ_400_158 )
obj_t HANDLER_ENV_529_227, ESCAPE_397_163, PROC_398_23, MES_399_88, OBJ_400_158;
#endif
{

{obj_t PORT_384_169;
PORT_384_169=PROCEDURE_ENV_REF( HANDLER_ENV_529_227, 0 );{
NOTIFY_ERROR___ERROR_187( PROC_398_23, MES_399_88, OBJ_400_158 );
{obj_t OP_496_6;
OP_496_6=current_error_port;input_port_display_error( PORT_384_169, OP_496_6 );}
close_input_port( PORT_384_169 );
return bigloo_exit( BINT( -5 ) );
}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_390_10(obj_t HANDLER_526_147,obj_t PORT_527_82)
#else
ESCAPE_390_10( HANDLER_526_147, PORT_527_82 )
obj_t HANDLER_526_147, PORT_527_82;
#endif
{

{obj_t ESCAPE_CONT_523_186;
jmp_buf JMP_BUF_543_83;{if( SETJMP( (JMP_BUF *)JMP_BUF_543_83 ) )return __ContinueValue;
else
ESCAPE_CONT_523_186=((obj_t)JMP_BUF_543_83);}{{obj_t ESCAPE_ENV_524_44;
ESCAPE_ENV_524_44=make_fx_procedure( ESCAPE_519_230, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_524_44, 2, HANDLER_526_147 );
PROCEDURE_ENV_SET( ESCAPE_ENV_524_44, 1, PORT_527_82 );
PROCEDURE_ENV_SET( ESCAPE_ENV_524_44, 0, ESCAPE_CONT_523_186 );
{
{obj_t A_FUNCTION_520_155;
A_FUNCTION_520_155=ESCAPE_ENV_524_44;ADD_ERROR_HANDLER____ERROR_27( HANDLER_526_147, A_FUNCTION_520_155 );}
{obj_t RES_391_226;
{
{obj_t R_394_118;
{
R_394_118=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_527_82, BEOA );
{_LOOP_393_85:

if( EOF_OBJECTP( R_394_118 ))
RES_391_226=close_input_port( PORT_527_82 );else
{obj_t NAME_395_245;
NAME_395_245=VECTOR_REF( R_394_118, BINT( 1 ) );{
UNCOMPACT__HEAP_COMPACT_92( R_394_118 );
{obj_t AUX_544_219;
AUX_544_219=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_527_82, BEOA );{
R_394_118=AUX_544_219;
goto _LOOP_393_85;
}}
}}}
}}}{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_391_226;
}}
}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_519_230(obj_t ESCAPE_ENV_525_38,obj_t VAL_518_103)
#else
ESCAPE_519_230( ESCAPE_ENV_525_38, VAL_518_103 )
obj_t ESCAPE_ENV_525_38, VAL_518_103;
#endif
{

{obj_t PORT_384_169, HANDLER_386_63;
PORT_384_169=PROCEDURE_ENV_REF( ESCAPE_ENV_525_38, 1 );HANDLER_386_63=PROCEDURE_ENV_REF( ESCAPE_ENV_525_38, 2 );{__ContinueValue = VAL_518_103;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_525_38, 0 ), (JMP_VAL)1 );}}
}

