/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Integ/agraph.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t A_GRAPH_INTEG_AGRAPH_154(obj_t, obj_t);
#else
extern obj_t A_GRAPH_INTEG_AGRAPH_154();
#endif
#if defined( __STDC__ )
extern obj_t TRACE_A_GRAPH_INTEG_AGRAPH_39(obj_t);
#else
extern obj_t TRACE_A_GRAPH_INTEG_AGRAPH_39();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
#if defined( __STDC__ )
extern obj_t __LOCAL_CELLED__INTEG_AGRAPH_101(obj_t, obj_t);
#else
extern obj_t __LOCAL_CELLED__INTEG_AGRAPH_101();
#endif
extern obj_t make_struct();
obj_t LOCAL_CELLED__ENV_INTEG_AGRAPH_238 = BUNSPEC;
static obj_t GET_NEW_KONT_INTEG_AGRAPH_243 = BUNSPEC;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t TRACE_A_GRAPH_ENV_INTEG_AGRAPH_151 = BUNSPEC;
obj_t A_GRAPH_ENV_INTEG_AGRAPH_108 = BUNSPEC;
#if defined( __STDC__ )
static obj_t SAVE_CALL__INTEG_AGRAPH_107(obj_t, obj_t);
#else
static obj_t SAVE_CALL__INTEG_AGRAPH_107();
#endif
extern obj_t SHAPE_TOOLS_SHAPE_229();
obj_t INTEG_AGRAPH_INITIALISATION_ENV_INTEG_AGRAPH_66 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_88(obj_t);
#else
extern obj_t __INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_88();
#endif
extern obj_t LIFT_INTERFACE_INITIALISATION_LIFT_INTERFACE_155();
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
extern obj_t GLOBALIZED__INTEG_AGRAPH_155(obj_t);
#else
extern obj_t GLOBALIZED__INTEG_AGRAPH_155();
#endif
#if defined( __STDC__ )
extern obj_t __GLOBALIZED__INTEG_AGRAPH_201(obj_t, obj_t);
#else
extern obj_t __GLOBALIZED__INTEG_AGRAPH_201();
#endif
static obj_t __cnst[ 45 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t GET_ALL_CELLED_VARIABLE_LIFT_INTERFACE_25();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t __TRACE_A_GRAPH_INTEG_AGRAPH_32(obj_t, obj_t);
#else
extern obj_t __TRACE_A_GRAPH_INTEG_AGRAPH_32();
#endif
obj_t GLOBALIZED__ENV_INTEG_AGRAPH_251 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__INTEG_AGRAPH_165 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
#if defined( __STDC__ )
extern obj_t LOCAL_CELLED__INTEG_AGRAPH_222(obj_t);
#else
extern obj_t LOCAL_CELLED__INTEG_AGRAPH_222();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89();
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t WHEN_TRACE_TOOLS_TRACE_59();
#if defined( __STDC__ )
static obj_t MARK_LOCAL__INTEG_AGRAPH_243(obj_t, obj_t);
#else
static obj_t MARK_LOCAL__INTEG_AGRAPH_243();
#endif
#if defined( __STDC__ )
extern obj_t __A_GRAPH_INTEG_AGRAPH_21(obj_t, obj_t, obj_t);
#else
extern obj_t __A_GRAPH_INTEG_AGRAPH_21();
#endif
obj_t __PHI__INTEG_AGRAPH_72 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_0_0_664_135();
static obj_t LOOP_454_30();
static obj_t LAMBDA_0_1_666_191();

obj_t
#if defined( __STDC__ )
INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89()
#else
INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__INTEG_AGRAPH_165 ))
{
REQUIRE_INITIALISATION__INTEG_AGRAPH_165=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
LIFT_INTERFACE_INITIALISATION_LIFT_INTERFACE_155();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
DECLARE_CNST_TABLE( __cnst[ 45 ]  );
{obj_t PORT_1303_59;
{obj_t AUX_1372_146;
AUX_1372_146=c_constant_string_to_string( "#\"   loop(owner) : \" (INTEG LOOP ) #\") : \" #\"owner( \" (INTEG LOOP ) OK #\" \" #\"mark-local!: \" (INTEG LOOP ) #\"- - - - - - - - - - - - - - - - \" #\"A( \" #\", \" #\", \" #\" )\" #\"PHI: \" #\"- - - - - - - - - - - - - - - - \" FUNCALL-LIGHT FUNCALL APPLY THE-CONTINUATION CONTINUE RETURN-FROM BLOCK LABELS LET BEGIN TYPED-CASE CIF SET! FAILURE CAST PRAGMA QUOTE RETURN IMPORT FUNCTION ESCAPE TAIL #\"atom(globalized?): \" (INTEG LOOP ) #\"A: \" (INTEG LOOP ) INTEG LOCAL GLOBAL " );PORT_1303_59=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1372_146 );}{obj_t OFFSET_1304_213;
{
OFFSET_1304_213=BINT( 44 );
{_LOOP_1305_235:

if( LT_I( OFFSET_1304_213, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1373_184;
AUX_1373_184=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1303_59, BEOA );CNST_TABLE_SET( OFFSET_1304_213, AUX_1373_184 );}
{obj_t OFFSET_1374_229;
OFFSET_1374_229=OFFSET_1304_213;{
OFFSET_1304_213=SUB_I( OFFSET_1374_229, BINT( 1 ) );
goto _LOOP_1305_235;
}}
}}
}}}
{
INTEG_AGRAPH_INITIALISATION_ENV_INTEG_AGRAPH_66=make_fx_procedure( __INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_88, 0, 0 );
GLOBALIZED__ENV_INTEG_AGRAPH_251=make_fx_procedure( __GLOBALIZED__INTEG_AGRAPH_201, 1, 0 );
A_GRAPH_ENV_INTEG_AGRAPH_108=make_fx_procedure( __A_GRAPH_INTEG_AGRAPH_21, 2, 0 );
TRACE_A_GRAPH_ENV_INTEG_AGRAPH_151=make_fx_procedure( __TRACE_A_GRAPH_INTEG_AGRAPH_32, 1, 0 );
LOCAL_CELLED__ENV_INTEG_AGRAPH_238=make_fx_procedure( __LOCAL_CELLED__INTEG_AGRAPH_101, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__PHI__INTEG_AGRAPH_72=BNIL;
{obj_t CONTINUATION_663_1;
CONTINUATION_663_1=MAKE_CELL( BINT( 0 ) );{obj_t LAMBDA_0_0_ENV_1259_160;
LAMBDA_0_0_ENV_1259_160=make_fx_procedure( LAMBDA_0_0_664_135, 0, 1 );{
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_1259_160, 0, CONTINUATION_663_1 );
{obj_t A_FUNCTION_1191_143;
A_FUNCTION_1191_143=LAMBDA_0_0_ENV_1259_160;GET_NEW_KONT_INTEG_AGRAPH_243=A_FUNCTION_1191_143;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_88(obj_t ENV_1261_227)
#else
__INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_88( ENV_1261_227 )
obj_t ENV_1261_227;
#endif
{

return INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_664_135(obj_t LAMBDA_0_0_ENV_1260_246)
#else
LAMBDA_0_0_664_135( LAMBDA_0_0_ENV_1260_246 )
obj_t LAMBDA_0_0_ENV_1260_246;
#endif
{

{obj_t CONTINUATION_663_1;
CONTINUATION_663_1=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_1260_246, 0 );{
{obj_t R_694_220;
R_694_220=CELL_REF( CONTINUATION_663_1 );CELL_SET( CONTINUATION_663_1, ADD_I_PTAG( PSUB_TAG( 1 ), R_694_220 ) );}
return CELL_REF( CONTINUATION_663_1 );
}}
}

obj_t
#if defined( __STDC__ )
GLOBALIZED__INTEG_AGRAPH_155(obj_t F_448_114)
#else
GLOBALIZED__INTEG_AGRAPH_155( F_448_114 )
obj_t F_448_114;
#endif
{

{obj_t __ortest_1000_449_245;
if( STRUCTP( F_448_114 ))
__ortest_1000_449_245=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( F_448_114 ), CNST_TABLE_REF( 0 ) ) );else
__ortest_1000_449_245=BFALSE;if( BBOOL_TO_CBOOL( __ortest_1000_449_245 ))
return __ortest_1000_449_245;else
{obj_t AUX_1371_117;
if( STRUCTP( F_448_114 ))
AUX_1371_117=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( F_448_114 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1371_117=BFALSE;if( BBOOL_TO_CBOOL( AUX_1371_117 ))
{obj_t __ortest_1002_451_30;
{bool_t OBJ_1265_207;
{obj_t AUX_1370_39;
{obj_t O_788_215;
O_788_215=STRUCT_SLOT_REF( F_448_114, BINT( 4 ) );if( STRUCTP( O_788_215 ))
AUX_1370_39=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_788_215 ), CNST_TABLE_REF( 2 ) ) );else
AUX_1370_39=BFALSE;}OBJ_1265_207=BBOOL_TO_CBOOL( AUX_1370_39 );}if( OBJ_1265_207)
__ortest_1002_451_30=BFALSE;else
__ortest_1002_451_30=BTRUE;}if( BBOOL_TO_CBOOL( __ortest_1002_451_30 ))
return __ortest_1002_451_30;else
return CBOOL_TO_BBOOL( EQP( STRUCT_SLOT_REF( STRUCT_SLOT_REF( F_448_114, BINT( 4 ) ), BINT( 6 ) ), BTRUE ) );}else
return BFALSE;}}
}

obj_t
#if defined( __STDC__ )
__GLOBALIZED__INTEG_AGRAPH_201(obj_t ENV_1258_15,obj_t F_448_114)
#else
__GLOBALIZED__INTEG_AGRAPH_201( ENV_1258_15, F_448_114 )
obj_t ENV_1258_15, F_448_114;
#endif
{

return GLOBALIZED__INTEG_AGRAPH_155( F_448_114 );
}

obj_t
#if defined( __STDC__ )
A_GRAPH_INTEG_AGRAPH_154(obj_t __F_452_204,obj_t EXP_453_176)
#else
A_GRAPH_INTEG_AGRAPH_154( __F_452_204, EXP_453_176 )
obj_t __F_452_204, EXP_453_176;
#endif
{

return LOOP_454_30( __F_452_204, EXP_453_176, __F_452_204, CNST_TABLE_REF( 7 ), BNIL );
}

static obj_t
#if defined( __STDC__ )
LOOP_454_30(obj_t __F_452_204,obj_t EXP_455_128,obj_t F_456_10,obj_t K_457_168,obj_t A_458_63)
#else
LOOP_454_30( __F_452_204, EXP_455_128, F_456_10, K_457_168, A_458_63 )
obj_t __F_452_204, EXP_455_128, F_456_10, K_457_168, A_458_63;
#endif
{
_LOOP_454_30:

{
{obj_t AUX_1326_236;
{obj_t AUX_1327_249;
AUX_1327_249=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 3 ) );AUX_1326_236=SATISFY__TOOLS_TRACE_72( AUX_1327_249 );}if( BBOOL_TO_CBOOL( AUX_1326_236 ))
{
{obj_t g1003_460_99;
{obj_t L_798_146;
{obj_t STRING_CAST_1199_227;
STRING_CAST_1199_227=CNST_TABLE_REF( 4 );{obj_t C_CONS_800_58;
{obj_t C_CONS_799_126;
C_CONS_799_126=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1325_45;
AUX_1325_45=SHAPE_TOOLS_SHAPE_229( EXP_455_128 );C_CONS_800_58=MAKE_PAIR( AUX_1325_45, C_CONS_799_126 );}}L_798_146=MAKE_PAIR( STRING_CAST_1199_227, C_CONS_800_58 );}}{
g1003_460_99=L_798_146;
{_g1004_459_30:

if( PAIRP( g1003_460_99 ))
{
{obj_t A_461_46;
A_461_46=CAR( g1003_460_99 );{obj_t VA_ARG_1198_251;
VA_ARG_1198_251=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_461_46, VA_ARG_1198_251 );}}
{obj_t C_CDR_796_12;
C_CDR_796_12=CDR( g1003_460_99 );{
g1003_460_99=C_CDR_796_12;
goto _g1004_459_30;
}}
}else
BTRUE;}
}}}
{obj_t PORT_802_185;
PORT_802_185=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_802_185 );}
}else
BFALSE;}
{obj_t REST_606_85, VAR_610_33, VAL_611_28, TEST_616_176, CLAUSES_617_224, ESCAPE_641_152, BODY_642_89, ESCAPE_645_203, VALUE_646_91, ESCAPE_647_120, VALUE_648_251, G_649_236, ARG_650_14, G_651_45, ARGS_652_1;
{obj_t OBJ2_991_156;
OBJ2_991_156=BNIL;if( EQP( EXP_455_128, OBJ2_991_156 ))
{
return A_458_63;}else
if( PAIRP( EXP_455_128 ))
{obj_t CDR_157_482_102;
CDR_157_482_102=CDR( EXP_455_128 );{obj_t OBJ1_992_201;
OBJ1_992_201=CAR( EXP_455_128 );if( EQP( OBJ1_992_201, CNST_TABLE_REF( 9 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t OBJ1_993_158;
OBJ1_993_158=CDR( CDR_157_482_102 );if( EQP( OBJ1_993_158, OBJ2_991_156 ))
{
return A_458_63;}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
{_TAG_119_480_60:

{
{bool_t __andtest_1006_1285_72;
{obj_t AUX_1328_71;
if( STRUCTP( F_456_10 ))
AUX_1328_71=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( F_456_10 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1328_71=BFALSE;__andtest_1006_1285_72=BBOOL_TO_CBOOL( AUX_1328_71 );}{if( __andtest_1006_1285_72)
{bool_t OBJ_1287_125;
{obj_t AUX_1329_231;
{obj_t O_805_230;
O_805_230=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );if( STRUCTP( O_805_230 ))
AUX_1329_231=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_805_230 ), CNST_TABLE_REF( 2 ) ) );else
AUX_1329_231=BFALSE;}OBJ_1287_125=BBOOL_TO_CBOOL( AUX_1329_231 );}if( OBJ_1287_125)
goto _false_13;else
goto _true_12;}else
goto _false_13;_true_12:
{
{obj_t V_808_51;
{obj_t INIT_809_68;
INIT_809_68=BNIL;{obj_t INIT_810_189;
INIT_810_189=BNIL;V_808_51=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_810_189 );}}STRUCT_SLOT_SET( F_456_10, BINT( 4 ), V_808_51 );}
{obj_t S_812_98;
S_812_98=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );STRUCT_SLOT_SET( S_812_98, BINT( 10 ), BFALSE );}
{obj_t S_814_207;
S_814_207=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );STRUCT_SLOT_SET( S_814_207, BINT( 9 ), BFALSE );}
{obj_t S_816_151;
S_816_151=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );STRUCT_SLOT_SET( S_816_151, BINT( 18 ), BFALSE );}
{obj_t S_818_92;
S_818_92=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );{STRUCT_SLOT_SET( S_818_92, BINT( 6 ), BTRUE );
goto _endif_14;}}
}_false_13:
{bool_t __andtest_1005_1288_16;
{obj_t AUX_1330_203;
if( STRUCTP( F_456_10 ))
AUX_1330_203=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( F_456_10 ), CNST_TABLE_REF( 0 ) ) );else
AUX_1330_203=BFALSE;__andtest_1005_1288_16=BBOOL_TO_CBOOL( AUX_1330_203 );}{if( __andtest_1005_1288_16)
{bool_t OBJ_1290_70;
{obj_t AUX_1331_76;
{obj_t O_822_226;
O_822_226=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );if( STRUCTP( O_822_226 ))
AUX_1331_76=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_822_226 ), CNST_TABLE_REF( 2 ) ) );else
AUX_1331_76=BFALSE;}OBJ_1290_70=BBOOL_TO_CBOOL( AUX_1331_76 );}if( OBJ_1290_70)
goto _false_16;else
goto _true_15;}else
goto _false_16;_true_15:
{
{obj_t V_825_214;
{obj_t INIT_826_136;
INIT_826_136=BNIL;{obj_t INIT_827_153;
INIT_827_153=BNIL;V_825_214=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_827_153 );}}STRUCT_SLOT_SET( F_456_10, BINT( 8 ), V_825_214 );}
{obj_t S_829_81;
S_829_81=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );STRUCT_SLOT_SET( S_829_81, BINT( 18 ), BFALSE );}
{obj_t S_831_73;
S_831_73=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );STRUCT_SLOT_SET( S_831_73, BINT( 9 ), BFALSE );}
{obj_t S_833_7;
S_833_7=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );{STRUCT_SLOT_SET( S_833_7, BINT( 10 ), BFALSE );
goto _endif_17;}}
}_false_16:
BFALSE;_endif_17:
;
}}_endif_14:
;
}}
SAVE_CALL__INTEG_AGRAPH_107( F_456_10, G_651_45 );
{bool_t __andtest_1007_1291_180;
{obj_t AUX_1332_120;
if( STRUCTP( G_651_45 ))
AUX_1332_120=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( G_651_45 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1332_120=BFALSE;__andtest_1007_1291_180=BBOOL_TO_CBOOL( AUX_1332_120 );}{if( __andtest_1007_1291_180)
{bool_t OBJ_1292_181;
{obj_t AUX_1333_209;
AUX_1333_209=GLOBALIZED__INTEG_AGRAPH_155( G_651_45 );OBJ_1292_181=BBOOL_TO_CBOOL( AUX_1333_209 );}if( OBJ_1292_181)
goto _false_19;else
goto _true_18;}else
goto _false_19;_true_18:
{MARK_LOCAL__INTEG_AGRAPH_243( G_651_45, F_456_10 );
goto _endif_20;}_false_19:
BFALSE;_endif_20:
;
}}
{obj_t ARGS_657_174, A_658_136;
{
A_658_136=A_458_63;
ARGS_657_174=ARGS_652_1;
{_LIIP_656_29:

if( NULLP( ARGS_657_174 ))
{bool_t __andtest_1010_1293_223;
{obj_t AUX_1334_152;
if( STRUCTP( G_651_45 ))
AUX_1334_152=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( G_651_45 ), CNST_TABLE_REF( 0 ) ) );else
AUX_1334_152=BFALSE;__andtest_1010_1293_223=BBOOL_TO_CBOOL( AUX_1334_152 );}{if( __andtest_1010_1293_223)
{bool_t __andtest_1011_1294_122;
{obj_t AUX_1335_131;
{obj_t OBJ1_838_108;
OBJ1_838_108=STRUCT_SLOT_REF( G_651_45, BINT( 4 ) );AUX_1335_131=CBOOL_TO_BBOOL( EQP( OBJ1_838_108, CNST_TABLE_REF( 9 ) ) );}__andtest_1011_1294_122=BBOOL_TO_CBOOL( AUX_1335_131 );}if( __andtest_1011_1294_122)
{bool_t OBJ_1295_75;
{obj_t AUX_1336_123;
{obj_t OBJ1_841_35;
OBJ1_841_35=STRUCT_SLOT_REF( G_651_45, BINT( 3 ) );AUX_1336_123=CBOOL_TO_BBOOL( EQP( OBJ1_841_35, CNST_TABLE_REF( 10 ) ) );}OBJ_1295_75=BBOOL_TO_CBOOL( AUX_1336_123 );}if( OBJ_1295_75)
goto _false_22;else
goto _true_21;}else
goto _false_22;}else
goto _false_22;_true_21:
{
{obj_t O_843_31;
O_843_31=STRUCT_SLOT_REF( G_651_45, BINT( 8 ) );{if( STRUCTP( O_843_31 ))
if( EQP( STRUCT_KEY( O_843_31 ), CNST_TABLE_REF( 2 ) ))
goto _true_30;else
goto _false_31;else
goto _false_31;_true_30:
{BFALSE;
goto _endif_32;}_false_31:
{
{obj_t V_846_101;
{obj_t INIT_847_90;
INIT_847_90=BNIL;{obj_t INIT_848_153;
INIT_848_153=BNIL;V_846_101=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_848_153 );}}STRUCT_SLOT_SET( G_651_45, BINT( 8 ), V_846_101 );}
{obj_t S_850_3;
S_850_3=STRUCT_SLOT_REF( G_651_45, BINT( 8 ) );STRUCT_SLOT_SET( S_850_3, BINT( 18 ), BFALSE );}
{obj_t S_852_9;
S_852_9=STRUCT_SLOT_REF( G_651_45, BINT( 8 ) );STRUCT_SLOT_SET( S_852_9, BINT( 9 ), BFALSE );}
{obj_t S_854_155;
S_854_155=STRUCT_SLOT_REF( G_651_45, BINT( 8 ) );STRUCT_SLOT_SET( S_854_155, BINT( 10 ), BFALSE );}
}_endif_32:
;
}}
{obj_t OBJ2_859_70;
{obj_t OBJ1_861_196;
{obj_t VA_ARG_1203_125;
VA_ARG_1203_125=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1204_233;
VA_ARG_1204_233=MAKE_PAIR( K_457_168, VA_ARG_1203_125 );{obj_t VA_ARG_1205_27;
VA_ARG_1205_27=MAKE_PAIR( G_651_45, VA_ARG_1204_233 );OBJ1_861_196=CONS____R4_PAIRS_AND_LISTS_6_3_28( F_456_10, VA_ARG_1205_27 );}}}OBJ2_859_70=MAKE_PAIR( OBJ1_861_196, A_658_136 );}{obj_t OBJ1_858_196;
{obj_t VA_ARG_1206_51;
VA_ARG_1206_51=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1207_140;
VA_ARG_1207_140=MAKE_PAIR( CNST_TABLE_REF( 7 ), VA_ARG_1206_51 );{obj_t VA_ARG_1208_14;
VA_ARG_1208_14=MAKE_PAIR( __F_452_204, VA_ARG_1207_140 );OBJ1_858_196=CONS____R4_PAIRS_AND_LISTS_6_3_28( G_651_45, VA_ARG_1208_14 );}}}return MAKE_PAIR( OBJ1_858_196, OBJ2_859_70 );}}
}_false_22:
{bool_t __andtest_1008_1297_212;
{obj_t AUX_1337_229;
if( STRUCTP( G_651_45 ))
AUX_1337_229=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( G_651_45 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1337_229=BFALSE;__andtest_1008_1297_212=BBOOL_TO_CBOOL( AUX_1337_229 );}{if( __andtest_1008_1297_212)
{bool_t __ortest_1009_1298_47;
{obj_t AUX_1338_248;
{obj_t OBJ1_863_247;
OBJ1_863_247=STRUCT_SLOT_REF( G_651_45, BINT( 2 ) );AUX_1338_248=CBOOL_TO_BBOOL( EQP( OBJ1_863_247, CNST_TABLE_REF( 9 ) ) );}__ortest_1009_1298_47=BBOOL_TO_CBOOL( AUX_1338_248 );}if( __ortest_1009_1298_47)
goto _true_24;else
{obj_t OBJ1_865_224;
OBJ1_865_224=STRUCT_SLOT_REF( G_651_45, BINT( 2 ) );if( EQP( OBJ1_865_224, CNST_TABLE_REF( 11 ) ))
goto _true_24;else
goto _false_25;}}else
goto _false_25;_true_24:
{obj_t O_867_145;
O_867_145=STRUCT_SLOT_REF( G_651_45, BINT( 4 ) );{if( STRUCTP( O_867_145 ))
if( EQP( STRUCT_KEY( O_867_145 ), CNST_TABLE_REF( 2 ) ))
goto _true_27;else
goto _false_28;else
goto _false_28;_true_27:
{obj_t OBJ1_870_119;
{obj_t VA_ARG_1209_1;
VA_ARG_1209_1=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1210_149;
VA_ARG_1210_149=MAKE_PAIR( K_457_168, VA_ARG_1209_1 );{obj_t VA_ARG_1211_31;
VA_ARG_1211_31=MAKE_PAIR( G_651_45, VA_ARG_1210_149 );OBJ1_870_119=CONS____R4_PAIRS_AND_LISTS_6_3_28( F_456_10, VA_ARG_1211_31 );}}}return MAKE_PAIR( OBJ1_870_119, A_658_136 );}_false_28:
return A_658_136;;
}}_false_25:
return A_658_136;;
}};
}}else
{obj_t C_CDR_872_151;
C_CDR_872_151=CDR( ARGS_657_174 );{obj_t C_CAR_873_109;
C_CAR_873_109=CAR( ARGS_657_174 );{obj_t AUX_1339_243;
{obj_t AUX_1340_230;
AUX_1340_230=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );AUX_1339_243=LOOP_454_30( __F_452_204, C_CAR_873_109, F_456_10, AUX_1340_230, A_658_136 );}{
A_658_136=AUX_1339_243;
ARGS_657_174=C_CDR_872_151;
goto _LIIP_656_29;
}}}}}
}}
}}
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 12 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t OBJ1_1000_75;
OBJ1_1000_75=CDR( CDR_157_482_102 );if( EQP( OBJ1_1000_75, OBJ2_991_156 ))
{
return A_458_63;}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 13 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t OBJ1_1007_181;
OBJ1_1007_181=CDR( CDR_157_482_102 );if( EQP( OBJ1_1007_181, OBJ2_991_156 ))
{
return A_458_63;}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 14 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_1568_504_17;
CDR_1568_504_17=CDR( CDR_157_482_102 );if( PAIRP( CDR_1568_504_17 ))
{obj_t OBJ1_1014_67;
OBJ1_1014_67=CDR( CDR_1568_504_17 );if( EQP( OBJ1_1014_67, OBJ2_991_156 ))
{obj_t C_CAR_1016_120;
C_CAR_1016_120=CAR( CDR_1568_504_17 );{
REST_606_85=C_CAR_1016_120;
{
{
EXP_455_128=REST_606_85;
goto _LOOP_454_30;
}}
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 15 ) ))
{
{obj_t EXP_608_85, A_609_163;
{obj_t C_CDR_983_184;
C_CDR_983_184=CDR( EXP_455_128 );{
A_609_163=A_458_63;
EXP_608_85=C_CDR_983_184;
{_LIIP_607_119:

if( NULLP( EXP_608_85 ))
return A_609_163;else
{obj_t C_CDR_981_117;
C_CDR_981_117=CDR( EXP_608_85 );{obj_t C_CAR_982_33;
C_CAR_982_33=CAR( EXP_608_85 );{obj_t AUX_1341_142;
{obj_t AUX_1342_96;
AUX_1342_96=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );AUX_1341_142=LOOP_454_30( __F_452_204, C_CAR_982_33, F_456_10, AUX_1342_96, A_609_163 );}{
A_609_163=AUX_1341_142;
EXP_608_85=C_CDR_981_117;
goto _LIIP_607_119;
}}}}}
}}}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 16 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_1239_517_233;
CDR_1239_517_233=CDR( CDR_157_482_102 );if( PAIRP( CDR_1239_517_233 ))
{obj_t OBJ1_1026_201;
OBJ1_1026_201=CDR( CDR_1239_517_233 );if( EQP( OBJ1_1026_201, OBJ2_991_156 ))
{obj_t C_CAR_1028_216;
C_CAR_1028_216=CAR( CDR_157_482_102 );{obj_t C_CAR_1029_52;
C_CAR_1029_52=CAR( CDR_1239_517_233 );{
VAL_611_28=C_CAR_1029_52;
VAR_610_33=C_CAR_1028_216;
{
{
{bool_t __andtest_1016_1278_209;
{obj_t AUX_1343_227;
if( STRUCTP( VAR_610_33 ))
AUX_1343_227=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( VAR_610_33 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1343_227=BFALSE;__andtest_1016_1278_209=BBOOL_TO_CBOOL( AUX_1343_227 );}{if( __andtest_1016_1278_209)
{bool_t OBJ_1279_163;
{obj_t AUX_1344_62;
AUX_1344_62=GLOBALIZED__INTEG_AGRAPH_155( VAR_610_33 );OBJ_1279_163=BBOOL_TO_CBOOL( AUX_1344_62 );}if( OBJ_1279_163)
goto _false_34;else
goto _true_33;}else
goto _false_34;_true_33:
{MARK_LOCAL__INTEG_AGRAPH_243( VAR_610_33, F_456_10 );
goto _endif_35;}_false_34:
BFALSE;_endif_35:
;
}}
{obj_t AUX_1345_179;
AUX_1345_179=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );{
K_457_168=AUX_1345_179;
EXP_455_128=VAL_611_28;
goto _LOOP_454_30;
}}
}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 17 ) ))
{
{obj_t EXP_614_18, A_615_207;
{obj_t PAIR_975_91;
PAIR_975_91=CDR( EXP_455_128 );{obj_t C_CDR_976_157;
C_CDR_976_157=CDR( PAIR_975_91 );{obj_t C_CAR_978_16;
C_CAR_978_16=CAR( PAIR_975_91 );{
{obj_t AUX_1347_114;
AUX_1347_114=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );A_615_207=LOOP_454_30( __F_452_204, C_CAR_978_16, F_456_10, AUX_1347_114, A_458_63 );}
EXP_614_18=C_CDR_976_157;
{_LIIP_613_176:

if( NULLP( EXP_614_18 ))
return A_615_207;else
{obj_t C_CDR_972_144;
C_CDR_972_144=CDR( EXP_614_18 );{obj_t C_CAR_973_80;
C_CAR_973_80=CAR( EXP_614_18 );{obj_t AUX_1346_246;
AUX_1346_246=LOOP_454_30( __F_452_204, C_CAR_973_80, F_456_10, K_457_168, A_615_207 );{
A_615_207=AUX_1346_246;
EXP_614_18=C_CDR_972_144;
goto _LIIP_613_176;
}}}}}
}}}}}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 18 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_1058_530_239;
CDR_1058_530_239=CDR( CDR_157_482_102 );if( PAIRP( CDR_1058_530_239 ))
{obj_t C_CAR_1039_96;
C_CAR_1039_96=CAR( CDR_1058_530_239 );{obj_t C_CDR_1040_112;
C_CDR_1040_112=CDR( CDR_1058_530_239 );{
CLAUSES_617_224=C_CDR_1040_112;
TEST_616_176=C_CAR_1039_96;
{
{obj_t CLAUSES_619_199, A_620_95;
{
{obj_t AUX_1349_53;
AUX_1349_53=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );A_620_95=LOOP_454_30( __F_452_204, TEST_616_176, F_456_10, AUX_1349_53, A_458_63 );}
CLAUSES_619_199=CLAUSES_617_224;
{_LIIP_618_46:

if( NULLP( CLAUSES_619_199 ))
return A_620_95;else
{obj_t C_CDR_968_30;
C_CDR_968_30=CDR( CLAUSES_619_199 );{obj_t PAIR_969_66;
PAIR_969_66=CAR( CLAUSES_619_199 );{obj_t PAIR_970_20;
PAIR_970_20=CDR( PAIR_969_66 );{obj_t C_CAR_971_34;
C_CAR_971_34=CAR( PAIR_970_20 );{obj_t AUX_1348_162;
AUX_1348_162=LOOP_454_30( __F_452_204, C_CAR_971_34, F_456_10, K_457_168, A_620_95 );{
A_620_95=AUX_1348_162;
CLAUSES_619_199=C_CDR_968_30;
goto _LIIP_618_46;
}}}}}}}
}}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 19 ) ))
{
{obj_t BODY_622_201, A_623_206;
{obj_t C_CDR_967_68;
C_CDR_967_68=CDR( EXP_455_128 );{
A_623_206=A_458_63;
BODY_622_201=C_CDR_967_68;
{_LIIP_621_172:

{obj_t OBJ_963_1;
OBJ_963_1=CDR( BODY_622_201 );if( NULLP( OBJ_963_1 ))
{obj_t C_CAR_964_138;
C_CAR_964_138=CAR( BODY_622_201 );{
A_458_63=A_623_206;
EXP_455_128=C_CAR_964_138;
goto _LOOP_454_30;
}}else
{obj_t C_CAR_966_125;
C_CAR_966_125=CAR( BODY_622_201 );{obj_t AUX_1350_135;
{obj_t AUX_1351_0;
AUX_1351_0=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );AUX_1350_135=LOOP_454_30( __F_452_204, C_CAR_966_125, F_456_10, AUX_1351_0, A_623_206 );}{
A_623_206=AUX_1350_135;
BODY_622_201=OBJ_963_1;
goto _LIIP_621_172;
}}}}}
}}}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 20 ) ))
{
{obj_t INTEG_624_48;
{if( STRUCTP( F_456_10 ))
if( EQP( STRUCT_KEY( F_456_10 ), CNST_TABLE_REF( 1 ) ))
goto _true_36;else
goto _false_37;else
goto _false_37;_true_36:
{INTEG_624_48=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );
goto _endif_38;}_false_37:
INTEG_624_48=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );_endif_38:
;
}{obj_t BINDINGS_626_2, A_627_192;
{obj_t PAIR_961_198;
PAIR_961_198=CDR( EXP_455_128 );{obj_t C_CAR_962_140;
C_CAR_962_140=CAR( PAIR_961_198 );{
A_627_192=A_458_63;
BINDINGS_626_2=C_CAR_962_140;
{_LIIP_625_238:

if( NULLP( BINDINGS_626_2 ))
{obj_t PAIR_936_239;
{obj_t PAIR_938_139;
PAIR_938_139=CDR( EXP_455_128 );PAIR_936_239=CDR( PAIR_938_139 );}{obj_t C_CAR_937_126;
C_CAR_937_126=CAR( PAIR_936_239 );{
A_458_63=A_627_192;
EXP_455_128=C_CAR_937_126;
goto _LOOP_454_30;
}}}else
{obj_t NEW_INTEG_628_113;
{obj_t INIT_939_71;
INIT_939_71=BNIL;{obj_t INIT_940_196;
INIT_940_196=BNIL;NEW_INTEG_628_113=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_940_196 );}}{
{obj_t V_942_23;
{obj_t OBJ2_944_193;
OBJ2_944_193=STRUCT_SLOT_REF( INTEG_624_48, BINT( 11 ) );{obj_t OBJ1_943_71;
{obj_t PAIR_945_59;
PAIR_945_59=CAR( BINDINGS_626_2 );OBJ1_943_71=CAR( PAIR_945_59 );}V_942_23=MAKE_PAIR( OBJ1_943_71, OBJ2_944_193 );}}STRUCT_SLOT_SET( INTEG_624_48, BINT( 11 ), V_942_23 );}
STRUCT_SLOT_SET( NEW_INTEG_628_113, BINT( 8 ), F_456_10 );
STRUCT_SLOT_SET( NEW_INTEG_628_113, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( NEW_INTEG_628_113, BINT( 18 ), BFALSE );
{obj_t VAR_947_103;
{obj_t PAIR_954_127;
PAIR_954_127=CAR( BINDINGS_626_2 );VAR_947_103=CAR( PAIR_954_127 );}{obj_t O_948_104;
O_948_104=STRUCT_SLOT_REF( VAR_947_103, BINT( 4 ) );{{if( STRUCTP( O_948_104 ))
if( EQP( STRUCT_KEY( O_948_104 ), CNST_TABLE_REF( 2 ) ))
goto _true_42;else
goto _false_43;else
goto _false_43;_true_42:
{obj_t S_951_193;
S_951_193=STRUCT_SLOT_REF( VAR_947_103, BINT( 4 ) );{bool_t C_STRUCT_REF_1282_210;
C_STRUCT_REF_1282_210=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_951_193, BINT( 18 ) ) );{if( C_STRUCT_REF_1282_210)
goto _true_39;else
goto _false_40;
goto _endif_44;}}}_false_43:
{obj_t AUX_1352_216;
{obj_t AUX_1353_52;
AUX_1353_52=GET_ALL_CELLED_VARIABLE_LIFT_INTERFACE_25();AUX_1352_216=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( VAR_947_103, AUX_1353_52 );}if( BBOOL_TO_CBOOL( AUX_1352_216 ))
goto _true_39;else
goto _false_40;}_endif_44:
;
}_true_39:
{STRUCT_SLOT_SET( NEW_INTEG_628_113, BINT( 18 ), BTRUE );
goto _endif_41;}_false_40:
BFALSE;_endif_41:
;
}}}
{obj_t S_955_5;
{obj_t PAIR_956_91;
PAIR_956_91=CAR( BINDINGS_626_2 );S_955_5=CAR( PAIR_956_91 );}STRUCT_SLOT_SET( S_955_5, BINT( 4 ), NEW_INTEG_628_113 );}
{obj_t C_CDR_957_163;
C_CDR_957_163=CDR( BINDINGS_626_2 );{obj_t PAIR_958_251;
PAIR_958_251=CAR( BINDINGS_626_2 );{obj_t PAIR_959_151;
PAIR_959_151=CDR( PAIR_958_251 );{obj_t C_CAR_960_27;
C_CAR_960_27=CAR( PAIR_959_151 );{obj_t AUX_1354_44;
{obj_t AUX_1355_38;
AUX_1355_38=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );AUX_1354_44=LOOP_454_30( __F_452_204, C_CAR_960_27, F_456_10, AUX_1355_38, A_627_192 );}{
A_627_192=AUX_1354_44;
BINDINGS_626_2=C_CDR_957_163;
goto _LIIP_625_238;
}}}}}}
}}}
}}}}}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 21 ) ))
{
{obj_t FINTEG_629_170;
{if( STRUCTP( F_456_10 ))
if( EQP( STRUCT_KEY( F_456_10 ), CNST_TABLE_REF( 1 ) ))
goto _true_45;else
goto _false_46;else
goto _false_46;_true_45:
{FINTEG_629_170=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );
goto _endif_47;}_false_46:
FINTEG_629_170=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );_endif_47:
;
}{
{obj_t g1012_631_92;
{obj_t PAIR_913_113;
PAIR_913_113=CDR( EXP_455_128 );{obj_t C_CAR_914_255;
C_CAR_914_255=CAR( PAIR_913_113 );{
g1012_631_92=C_CAR_914_255;
{_g1013_630_99:

if( PAIRP( g1012_631_92 ))
{
{obj_t B_632_47;
B_632_47=CAR( g1012_631_92 );{
{obj_t OBJ2_891_62;
OBJ2_891_62=__PHI__INTEG_AGRAPH_72;{obj_t OBJ1_890_79;
OBJ1_890_79=CAR( B_632_47 );__PHI__INTEG_AGRAPH_72=MAKE_PAIR( OBJ1_890_79, OBJ2_891_62 );}}
{obj_t INTEG_633_38;
{obj_t INIT_892_43;
INIT_892_43=BNIL;{obj_t INIT_893_196;
INIT_893_196=BNIL;INTEG_633_38=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_893_196 );}}{
STRUCT_SLOT_SET( INTEG_633_38, BINT( 7 ), BFALSE );
STRUCT_SLOT_SET( INTEG_633_38, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_633_38, BINT( 9 ), BFALSE );
STRUCT_SLOT_SET( INTEG_633_38, BINT( 8 ), F_456_10 );
STRUCT_SLOT_SET( INTEG_633_38, BINT( 18 ), BFALSE );
{obj_t V_895_168;
{obj_t PAIR_897_48;
PAIR_897_48=CDR( B_632_47 );V_895_168=CAR( PAIR_897_48 );}STRUCT_SLOT_SET( INTEG_633_38, BINT( 11 ), V_895_168 );}
{obj_t g1014_635_174;
{obj_t PAIR_909_114;
PAIR_909_114=CDR( B_632_47 );{obj_t C_CAR_910_158;
C_CAR_910_158=CAR( PAIR_909_114 );{
g1014_635_174=C_CAR_910_158;
{_g1015_634_2:

if( PAIRP( g1014_635_174 ))
{
{obj_t A_636_82;
A_636_82=CAR( g1014_635_174 );{obj_t INTEG_637_0;
{obj_t INIT_898_187;
INIT_898_187=BNIL;{obj_t INIT_899_199;
INIT_899_199=BNIL;INTEG_637_0=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_899_199 );}}{
{obj_t V_901_184;
V_901_184=CAR( B_632_47 );STRUCT_SLOT_SET( INTEG_637_0, BINT( 8 ), V_901_184 );}
STRUCT_SLOT_SET( INTEG_637_0, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_637_0, BINT( 18 ), BFALSE );
{obj_t O_902_75;
O_902_75=STRUCT_SLOT_REF( A_636_82, BINT( 4 ) );{{if( STRUCTP( O_902_75 ))
if( EQP( STRUCT_KEY( O_902_75 ), CNST_TABLE_REF( 2 ) ))
goto _true_51;else
goto _false_52;else
goto _false_52;_true_51:
{obj_t S_905_170;
S_905_170=STRUCT_SLOT_REF( A_636_82, BINT( 4 ) );{bool_t C_STRUCT_REF_1284_48;
C_STRUCT_REF_1284_48=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_905_170, BINT( 18 ) ) );{if( C_STRUCT_REF_1284_48)
goto _true_48;else
goto _false_49;
goto _endif_53;}}}_false_52:
{obj_t AUX_1356_31;
{obj_t AUX_1357_149;
AUX_1357_149=GET_ALL_CELLED_VARIABLE_LIFT_INTERFACE_25();AUX_1356_31=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( A_636_82, AUX_1357_149 );}if( BBOOL_TO_CBOOL( AUX_1356_31 ))
goto _true_48;else
goto _false_49;}_endif_53:
;
}_true_48:
{STRUCT_SLOT_SET( INTEG_637_0, BINT( 18 ), BTRUE );
goto _endif_50;}_false_49:
BFALSE;_endif_50:
;
}}
STRUCT_SLOT_SET( A_636_82, BINT( 4 ), INTEG_637_0 );
}}}
{obj_t C_CDR_908_160;
C_CDR_908_160=CDR( g1014_635_174 );{
g1014_635_174=C_CDR_908_160;
goto _g1015_634_2;
}}
}else
BTRUE;}
}}}}
{obj_t S_911_34;
S_911_34=CAR( B_632_47 );STRUCT_SLOT_SET( S_911_34, BINT( 4 ), INTEG_633_38 );}
}}
}}
{obj_t C_CDR_912_158;
C_CDR_912_158=CDR( g1012_631_92 );{
g1012_631_92=C_CDR_912_158;
goto _g1013_630_99;
}}
}else
BTRUE;}
}}}}
{obj_t BINDINGS_639_191, A_640_249;
{obj_t PAIR_931_126;
PAIR_931_126=CDR( EXP_455_128 );{obj_t C_CAR_932_242;
C_CAR_932_242=CAR( PAIR_931_126 );{
A_640_249=A_458_63;
BINDINGS_639_191=C_CAR_932_242;
{_LIIP_638_238:

if( NULLP( BINDINGS_639_191 ))
{obj_t PAIR_916_207;
{obj_t PAIR_918_17;
PAIR_918_17=CDR( EXP_455_128 );PAIR_916_207=CDR( PAIR_918_17 );}{obj_t C_CAR_917_218;
C_CAR_917_218=CAR( PAIR_916_207 );{
A_458_63=A_640_249;
EXP_455_128=C_CAR_917_218;
goto _LOOP_454_30;
}}}else
{
{obj_t V_919_96;
{obj_t OBJ2_921_32;
OBJ2_921_32=STRUCT_SLOT_REF( FINTEG_629_170, BINT( 11 ) );{obj_t OBJ1_920_93;
{obj_t PAIR_922_245;
PAIR_922_245=CAR( BINDINGS_639_191 );OBJ1_920_93=CAR( PAIR_922_245 );}V_919_96=MAKE_PAIR( OBJ1_920_93, OBJ2_921_32 );}}STRUCT_SLOT_SET( FINTEG_629_170, BINT( 11 ), V_919_96 );}
{obj_t C_CDR_924_31;
C_CDR_924_31=CDR( BINDINGS_639_191 );{obj_t PAIR_925_77;
PAIR_925_77=CAR( BINDINGS_639_191 );{obj_t PAIR_926_64;
{obj_t PAIR_928_194;
PAIR_928_194=CDR( PAIR_925_77 );PAIR_926_64=CDR( PAIR_928_194 );}{obj_t C_CAR_927_122;
C_CAR_927_122=CAR( PAIR_926_64 );{obj_t PAIR_929_185;
PAIR_929_185=CAR( BINDINGS_639_191 );{obj_t C_CAR_930_239;
C_CAR_930_239=CAR( PAIR_929_185 );{obj_t AUX_1358_39;
AUX_1358_39=LOOP_454_30( __F_452_204, C_CAR_927_122, C_CAR_930_239, CNST_TABLE_REF( 7 ), A_640_249 );{
A_640_249=AUX_1358_39;
BINDINGS_639_191=C_CDR_924_31;
goto _LIIP_638_238;
}}}}}}}}
}}
}}}}
}}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 22 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_856_538_154;
CDR_856_538_154=CDR( CDR_157_482_102 );if( PAIRP( CDR_856_538_154 ))
{obj_t OBJ1_1049_128;
OBJ1_1049_128=CDR( CDR_856_538_154 );if( EQP( OBJ1_1049_128, OBJ2_991_156 ))
{obj_t C_CAR_1051_45;
C_CAR_1051_45=CAR( CDR_157_482_102 );{obj_t C_CAR_1052_236;
C_CAR_1052_236=CAR( CDR_856_538_154 );{
BODY_642_89=C_CAR_1052_236;
ESCAPE_641_152=C_CAR_1051_45;
{
{
{obj_t INTEG_644_83, FINTEG_643_38;
{obj_t INIT_879_239;
INIT_879_239=BNIL;{obj_t INIT_880_158;
INIT_880_158=BNIL;INTEG_644_83=make_struct( CNST_TABLE_REF( 2 ), BINT( 20 ), INIT_880_158 );}}{if( STRUCTP( F_456_10 ))
if( EQP( STRUCT_KEY( F_456_10 ), CNST_TABLE_REF( 1 ) ))
goto _true_54;else
goto _false_55;else
goto _false_55;_true_54:
{FINTEG_643_38=STRUCT_SLOT_REF( F_456_10, BINT( 4 ) );
goto _endif_56;}_false_55:
FINTEG_643_38=STRUCT_SLOT_REF( F_456_10, BINT( 8 ) );_endif_56:
;
}{
{obj_t V_882_50;
{obj_t OBJ2_883_156;
OBJ2_883_156=STRUCT_SLOT_REF( FINTEG_643_38, BINT( 11 ) );V_882_50=MAKE_PAIR( ESCAPE_641_152, OBJ2_883_156 );}STRUCT_SLOT_SET( FINTEG_643_38, BINT( 11 ), V_882_50 );}
STRUCT_SLOT_SET( INTEG_644_83, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_644_83, BINT( 9 ), BFALSE );
STRUCT_SLOT_SET( INTEG_644_83, BINT( 7 ), BFALSE );
STRUCT_SLOT_SET( INTEG_644_83, BINT( 18 ), BFALSE );
STRUCT_SLOT_SET( INTEG_644_83, BINT( 8 ), F_456_10 );
STRUCT_SLOT_SET( ESCAPE_641_152, BINT( 4 ), INTEG_644_83 );
}}
{obj_t OBJ1_885_32;
{obj_t VA_ARG_1216_0;
VA_ARG_1216_0=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1217_135;
VA_ARG_1217_135=MAKE_PAIR( K_457_168, VA_ARG_1216_0 );{obj_t VA_ARG_1218_69;
VA_ARG_1218_69=MAKE_PAIR( ESCAPE_641_152, VA_ARG_1217_135 );OBJ1_885_32=CONS____R4_PAIRS_AND_LISTS_6_3_28( F_456_10, VA_ARG_1218_69 );}}}{obj_t C_CONS_886_95;
C_CONS_886_95=MAKE_PAIR( OBJ1_885_32, A_458_63 );{obj_t AUX_1359_117;
AUX_1359_117=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );{
A_458_63=C_CONS_886_95;
K_457_168=AUX_1359_117;
F_456_10=ESCAPE_641_152;
EXP_455_128=BODY_642_89;
goto _LOOP_454_30;
}}}}
}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 23 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_694_551_53;
CDR_694_551_53=CDR( CDR_157_482_102 );if( PAIRP( CDR_694_551_53 ))
{obj_t OBJ1_1061_89;
OBJ1_1061_89=CDR( CDR_694_551_53 );if( EQP( OBJ1_1061_89, OBJ2_991_156 ))
{obj_t C_CAR_1063_63;
C_CAR_1063_63=CAR( CDR_157_482_102 );{obj_t C_CAR_1064_184;
C_CAR_1064_184=CAR( CDR_694_551_53 );{
VALUE_646_91=C_CAR_1064_184;
ESCAPE_645_203=C_CAR_1063_63;
{
{
SAVE_CALL__INTEG_AGRAPH_107( F_456_10, ESCAPE_645_203 );
MARK_LOCAL__INTEG_AGRAPH_243( ESCAPE_645_203, F_456_10 );
{obj_t OBJ1_874_25;
{obj_t VA_ARG_1212_38;
VA_ARG_1212_38=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1213_44;
VA_ARG_1213_44=MAKE_PAIR( CNST_TABLE_REF( 8 ), VA_ARG_1212_38 );{obj_t VA_ARG_1214_52;
VA_ARG_1214_52=MAKE_PAIR( ESCAPE_645_203, VA_ARG_1213_44 );OBJ1_874_25=CONS____R4_PAIRS_AND_LISTS_6_3_28( F_456_10, VA_ARG_1214_52 );}}}{obj_t C_CONS_875_136;
C_CONS_875_136=MAKE_PAIR( OBJ1_874_25, A_458_63 );{obj_t AUX_1360_159;
AUX_1360_159=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );{
A_458_63=C_CONS_875_136;
K_457_168=AUX_1360_159;
EXP_455_128=VALUE_646_91;
goto _LOOP_454_30;
}}}}
}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 24 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_553_564_168;
CDR_553_564_168=CDR( CDR_157_482_102 );if( PAIRP( CDR_553_564_168 ))
{obj_t OBJ1_1073_93;
OBJ1_1073_93=CDR( CDR_553_564_168 );if( EQP( OBJ1_1073_93, OBJ2_991_156 ))
{obj_t C_CAR_1075_144;
C_CAR_1075_144=CAR( CDR_157_482_102 );{obj_t C_CAR_1076_124;
C_CAR_1076_124=CAR( CDR_553_564_168 );{
VALUE_648_251=C_CAR_1076_124;
ESCAPE_647_120=C_CAR_1075_144;
{
{
LOOP_454_30( __F_452_204, ESCAPE_647_120, F_456_10, K_457_168, A_458_63 );
{obj_t AUX_1361_93;
AUX_1361_93=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );{
K_457_168=AUX_1361_93;
EXP_455_128=VALUE_648_251;
goto _LOOP_454_30;
}}
}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 25 ) ))
if( EQP( CDR_157_482_102, OBJ2_991_156 ))
{
return A_458_63;}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 26 ) ))
if( PAIRP( CDR_157_482_102 ))
{obj_t CDR_380_583_166;
CDR_380_583_166=CDR( CDR_157_482_102 );if( PAIRP( CDR_380_583_166 ))
{obj_t OBJ1_1092_17;
OBJ1_1092_17=CDR( CDR_380_583_166 );if( EQP( OBJ1_1092_17, OBJ2_991_156 ))
{obj_t C_CAR_1094_32;
C_CAR_1094_32=CAR( CDR_157_482_102 );{obj_t C_CAR_1095_13;
C_CAR_1095_13=CAR( CDR_380_583_166 );{
ARG_650_14=C_CAR_1095_13;
G_649_236=C_CAR_1094_32;
{
{obj_t AUX_1363_155, AUX_1362_42;
{obj_t AUX_1364_89;
AUX_1364_89=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );AUX_1363_155=LOOP_454_30( __F_452_204, G_649_236, F_456_10, AUX_1364_89, A_458_63 );}AUX_1362_42=PROCEDURE_ENTRY( GET_NEW_KONT_INTEG_AGRAPH_243 )( GET_NEW_KONT_INTEG_AGRAPH_243, BEOA );{
A_458_63=AUX_1363_155;
K_457_168=AUX_1362_42;
EXP_455_128=ARG_650_14;
goto _LOOP_454_30;
}}}
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
{if( EQP( OBJ1_992_201, CNST_TABLE_REF( 27 ) ))
{_KAP_319_597_10:

if( PAIRP( CDR_157_482_102 ))
{obj_t CAR_332_599_173;
CAR_332_599_173=CAR( CDR_157_482_102 );if( PAIRP( CAR_332_599_173 ))
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}else
{obj_t C_CDR_1104_246;
C_CDR_1104_246=CDR( CDR_157_482_102 );{
ARGS_652_1=C_CDR_1104_246;
G_651_45=CAR_332_599_173;
goto _TAG_119_480_60;
}}}else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}else
if( EQP( OBJ1_992_201, CNST_TABLE_REF( 28 ) ))
goto _KAP_319_597_10;else
if( PAIRP( OBJ1_992_201 ))
return BFALSE;else
{
ARGS_652_1=CDR_157_482_102;
G_651_45=OBJ1_992_201;
goto _TAG_119_480_60;
}}}}else
{
{
{bool_t __andtest_1019_1276_190;
{obj_t AUX_1365_9;
if( STRUCTP( EXP_455_128 ))
AUX_1365_9=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( EXP_455_128 ), CNST_TABLE_REF( 1 ) ) );else
AUX_1365_9=BFALSE;__andtest_1019_1276_190=BBOOL_TO_CBOOL( AUX_1365_9 );}{if( __andtest_1019_1276_190)
{bool_t OBJ_1277_120;
{obj_t AUX_1366_61;
AUX_1366_61=GLOBALIZED__INTEG_AGRAPH_155( EXP_455_128 );OBJ_1277_120=BBOOL_TO_CBOOL( AUX_1366_61 );}if( OBJ_1277_120)
goto _false_58;else
goto _true_57;}else
goto _false_58;_true_57:
{MARK_LOCAL__INTEG_AGRAPH_243( EXP_455_128, F_456_10 );
goto _endif_59;}_false_58:
{obj_t AUX_1368_158;
{obj_t AUX_1369_201;
AUX_1369_201=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 5 ) );AUX_1368_158=SATISFY__TOOLS_TRACE_72( AUX_1369_201 );}if( BBOOL_TO_CBOOL( AUX_1368_158 ))
{
{obj_t g1017_604_194;
{obj_t L_987_249;
{obj_t STRING_CAST_1223_188;
STRING_CAST_1223_188=CNST_TABLE_REF( 6 );{obj_t C_CONS_989_37;
{obj_t C_CONS_988_69;
C_CONS_988_69=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1367_3;
AUX_1367_3=SHAPE_TOOLS_SHAPE_229( EXP_455_128 );C_CONS_989_37=MAKE_PAIR( AUX_1367_3, C_CONS_988_69 );}}L_987_249=MAKE_PAIR( STRING_CAST_1223_188, C_CONS_989_37 );}}{
g1017_604_194=L_987_249;
{_g1018_603_131:

if( PAIRP( g1017_604_194 ))
{
{obj_t A_605_203;
A_605_203=CAR( g1017_604_194 );{obj_t VA_ARG_1222_91;
VA_ARG_1222_91=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_605_203, VA_ARG_1222_91 );}}
{obj_t C_CDR_986_37;
C_CDR_986_37=CDR( g1017_604_194 );{
g1017_604_194=C_CDR_986_37;
goto _g1018_603_131;
}}
}else
BTRUE;}
}}}
{obj_t PORT_990_80;
PORT_990_80=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_990_80 );}
}else
BFALSE;}_endif_59:
;
}}
return A_458_63;
}}}}
}
}

obj_t
#if defined( __STDC__ )
__A_GRAPH_INTEG_AGRAPH_21(obj_t ENV_1257_211,obj_t __F_452_204,obj_t EXP_453_176)
#else
__A_GRAPH_INTEG_AGRAPH_21( ENV_1257_211, __F_452_204, EXP_453_176 )
obj_t ENV_1257_211, __F_452_204, EXP_453_176;
#endif
{

return A_GRAPH_INTEG_AGRAPH_154( __F_452_204, EXP_453_176 );
}

obj_t
#if defined( __STDC__ )
TRACE_A_GRAPH_INTEG_AGRAPH_39(obj_t A_665_184)
#else
TRACE_A_GRAPH_INTEG_AGRAPH_39( A_665_184 )
obj_t A_665_184;
#endif
{

{obj_t VA_ARG_1224_6;
{obj_t LAMBDA_0_1_ENV_1254_178;
LAMBDA_0_1_ENV_1254_178=make_fx_procedure( LAMBDA_0_1_666_191, 0, 1 );{
PROCEDURE_ENV_SET( LAMBDA_0_1_ENV_1254_178, 0, A_665_184 );
{obj_t A_FUNCTION_1244_20;
A_FUNCTION_1244_20=LAMBDA_0_1_ENV_1254_178;VA_ARG_1224_6=MAKE_PAIR( A_FUNCTION_1244_20, BNIL );}
}}return WHEN_TRACE_TOOLS_TRACE_59( CNST_TABLE_REF( 2 ), VA_ARG_1224_6 );}
}

obj_t
#if defined( __STDC__ )
__TRACE_A_GRAPH_INTEG_AGRAPH_32(obj_t ENV_1256_57,obj_t A_665_184)
#else
__TRACE_A_GRAPH_INTEG_AGRAPH_32( ENV_1256_57, A_665_184 )
obj_t ENV_1256_57, A_665_184;
#endif
{

return TRACE_A_GRAPH_INTEG_AGRAPH_39( A_665_184 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_1_666_191(obj_t LAMBDA_0_1_ENV_1255_85)
#else
LAMBDA_0_1_666_191( LAMBDA_0_1_ENV_1255_85 )
obj_t LAMBDA_0_1_ENV_1255_85;
#endif
{

{obj_t A_665_184;
A_665_184=PROCEDURE_ENV_REF( LAMBDA_0_1_ENV_1255_85, 0 );{
{obj_t VA_ARG_1225_24;
{obj_t STRING_CAST_1226_7;
STRING_CAST_1226_7=CNST_TABLE_REF( 29 );VA_ARG_1225_24=MAKE_PAIR( STRING_CAST_1226_7, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_1225_24 );}
{obj_t VA_ARG_1227_20;
VA_ARG_1227_20=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_1228_21;
{obj_t AUX_1322_182;
AUX_1322_182=SHAPE_TOOLS_SHAPE_229( __PHI__INTEG_AGRAPH_72 );VA_ARG_1228_21=MAKE_PAIR( AUX_1322_182, VA_ARG_1227_20 );}{obj_t VA_ARG_1229_98;
{obj_t STRING_CAST_1230_192;
STRING_CAST_1230_192=CNST_TABLE_REF( 30 );VA_ARG_1229_98=MAKE_PAIR( STRING_CAST_1230_192, VA_ARG_1228_21 );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_1229_98 );}}}
{obj_t g1020_668_166;
{
g1020_668_166=A_665_184;
{_g1021_667_235:

if( PAIRP( g1020_668_166 ))
{
{obj_t A_669_149;
A_669_149=CAR( g1020_668_166 );{obj_t VA_ARG_1231_146;
{obj_t STRING_CAST_1241_242;
STRING_CAST_1241_242=CNST_TABLE_REF( 31 );VA_ARG_1231_146=MAKE_PAIR( STRING_CAST_1241_242, BNIL );}{obj_t VA_ARG_1232_117;
{obj_t PAIR_1110_30;
{obj_t PAIR_1112_173;
PAIR_1112_173=CDR( A_669_149 );PAIR_1110_30=CDR( PAIR_1112_173 );}{obj_t C_CAR_1111_5;
C_CAR_1111_5=CAR( PAIR_1110_30 );VA_ARG_1232_117=MAKE_PAIR( C_CAR_1111_5, VA_ARG_1231_146 );}}{obj_t VA_ARG_1233_39;
{obj_t STRING_CAST_1240_101;
STRING_CAST_1240_101=CNST_TABLE_REF( 32 );VA_ARG_1233_39=MAKE_PAIR( STRING_CAST_1240_101, VA_ARG_1232_117 );}{obj_t VA_ARG_1234_69;
{obj_t PAIR_1108_208;
PAIR_1108_208=CDR( A_669_149 );{obj_t C_CAR_1109_15;
C_CAR_1109_15=CAR( PAIR_1108_208 );{obj_t AUX_1323_111;
AUX_1323_111=SHAPE_TOOLS_SHAPE_229( C_CAR_1109_15 );VA_ARG_1234_69=MAKE_PAIR( AUX_1323_111, VA_ARG_1233_39 );}}}{obj_t VA_ARG_1235_37;
{obj_t STRING_CAST_1239_250;
STRING_CAST_1239_250=CNST_TABLE_REF( 33 );VA_ARG_1235_37=MAKE_PAIR( STRING_CAST_1239_250, VA_ARG_1234_69 );}{obj_t VA_ARG_1236_23;
{obj_t C_CAR_1107_57;
C_CAR_1107_57=CAR( A_669_149 );{obj_t AUX_1324_244;
AUX_1324_244=SHAPE_TOOLS_SHAPE_229( C_CAR_1107_57 );VA_ARG_1236_23=MAKE_PAIR( AUX_1324_244, VA_ARG_1235_37 );}}{obj_t VA_ARG_1237_63;
{obj_t STRING_CAST_1238_154;
STRING_CAST_1238_154=CNST_TABLE_REF( 34 );VA_ARG_1237_63=MAKE_PAIR( STRING_CAST_1238_154, VA_ARG_1236_23 );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_1237_63 );}}}}}}}}
{obj_t C_CDR_1113_201;
C_CDR_1113_201=CDR( g1020_668_166 );{
g1020_668_166=C_CDR_1113_201;
goto _g1021_667_235;
}}
}else
BTRUE;}
}}
{obj_t VA_ARG_1242_25;
{obj_t STRING_CAST_1243_239;
STRING_CAST_1243_239=CNST_TABLE_REF( 35 );VA_ARG_1242_25=MAKE_PAIR( STRING_CAST_1243_239, BNIL );}return FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_1242_25 );}
}}
}

static obj_t
#if defined( __STDC__ )
MARK_LOCAL__INTEG_AGRAPH_243(obj_t LOCAL_670_245,obj_t OWNER_671_168)
#else
MARK_LOCAL__INTEG_AGRAPH_243( LOCAL_670_245, OWNER_671_168 )
obj_t LOCAL_670_245, OWNER_671_168;
#endif
{

{
{obj_t AUX_1312_7;
{obj_t AUX_1313_30;
AUX_1313_30=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 36 ) );AUX_1312_7=SATISFY__TOOLS_TRACE_72( AUX_1313_30 );}if( BBOOL_TO_CBOOL( AUX_1312_7 ))
{
{obj_t g1022_673_197;
{obj_t L_1115_150;
{obj_t STRING_CAST_1246_5;
STRING_CAST_1246_5=CNST_TABLE_REF( 37 );{obj_t C_CONS_1119_33;
{obj_t C_CONS_1118_4;
{obj_t STRING_CAST_1247_171;
STRING_CAST_1247_171=CNST_TABLE_REF( 38 );{obj_t C_CONS_1117_34;
{obj_t C_CONS_1116_50;
C_CONS_1116_50=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1310_73;
AUX_1310_73=SHAPE_TOOLS_SHAPE_229( OWNER_671_168 );C_CONS_1117_34=MAKE_PAIR( AUX_1310_73, C_CONS_1116_50 );}}C_CONS_1118_4=MAKE_PAIR( STRING_CAST_1247_171, C_CONS_1117_34 );}}{obj_t AUX_1311_173;
AUX_1311_173=SHAPE_TOOLS_SHAPE_229( LOCAL_670_245 );C_CONS_1119_33=MAKE_PAIR( AUX_1311_173, C_CONS_1118_4 );}}L_1115_150=MAKE_PAIR( STRING_CAST_1246_5, C_CONS_1119_33 );}}{
g1022_673_197=L_1115_150;
{_g1023_672_201:

if( PAIRP( g1022_673_197 ))
{
{obj_t A_674_253;
A_674_253=CAR( g1022_673_197 );{obj_t VA_ARG_1245_97;
VA_ARG_1245_97=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_674_253, VA_ARG_1245_97 );}}
{obj_t C_CDR_1114_102;
C_CDR_1114_102=CDR( g1022_673_197 );{
g1022_673_197=C_CDR_1114_102;
goto _g1023_672_201;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1120_9;
PORT_1120_9=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1120_9 );}
}else
BFALSE;}
{obj_t AUX_1321_153;
AUX_1321_153=GLOBALIZED__INTEG_AGRAPH_155( OWNER_671_168 );if( BBOOL_TO_CBOOL( AUX_1321_153 ))
return CNST_TABLE_REF( 39 );else
{if( EQP( LOCAL_670_245, OWNER_671_168 ))
goto _true_6;else
{obj_t OBJ1_1121_53;
{obj_t S_1122_149;
S_1122_149=STRUCT_SLOT_REF( LOCAL_670_245, BINT( 4 ) );OBJ1_1121_53=STRUCT_SLOT_REF( S_1122_149, BINT( 8 ) );}if( EQP( OBJ1_1121_53, OWNER_671_168 ))
goto _true_6;else
goto _false_7;}_true_6:
return CNST_TABLE_REF( 39 );_false_7:
{
{obj_t AUX_1316_40;
{obj_t AUX_1317_188;
AUX_1317_188=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 40 ) );AUX_1316_40=SATISFY__TOOLS_TRACE_72( AUX_1317_188 );}if( BBOOL_TO_CBOOL( AUX_1316_40 ))
{
{obj_t g1024_677_218;
{obj_t L_1126_41;
{obj_t STRING_CAST_1249_228;
STRING_CAST_1249_228=CNST_TABLE_REF( 41 );{obj_t C_CONS_1133_137;
{obj_t C_CONS_1132_228;
{obj_t STRING_CAST_1250_174;
STRING_CAST_1250_174=CNST_TABLE_REF( 42 );{obj_t C_CONS_1131_74;
{obj_t S_1127_216;
S_1127_216=STRUCT_SLOT_REF( LOCAL_670_245, BINT( 4 ) );{obj_t C_STRUCT_REF_1128_4;
C_STRUCT_REF_1128_4=STRUCT_SLOT_REF( S_1127_216, BINT( 8 ) );{obj_t C_CONS_1130_59;
C_CONS_1130_59=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1314_65;
AUX_1314_65=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_1128_4 );C_CONS_1131_74=MAKE_PAIR( AUX_1314_65, C_CONS_1130_59 );}}}}C_CONS_1132_228=MAKE_PAIR( STRING_CAST_1250_174, C_CONS_1131_74 );}}{obj_t AUX_1315_36;
AUX_1315_36=SHAPE_TOOLS_SHAPE_229( LOCAL_670_245 );C_CONS_1133_137=MAKE_PAIR( AUX_1315_36, C_CONS_1132_228 );}}L_1126_41=MAKE_PAIR( STRING_CAST_1249_228, C_CONS_1133_137 );}}{
g1024_677_218=L_1126_41;
{_g1025_676_192:

if( PAIRP( g1024_677_218 ))
{
{obj_t A_678_54;
A_678_54=CAR( g1024_677_218 );{obj_t VA_ARG_1248_170;
VA_ARG_1248_170=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_678_54, VA_ARG_1248_170 );}}
{obj_t C_CDR_1125_149;
C_CDR_1125_149=CDR( g1024_677_218 );{
g1024_677_218=C_CDR_1125_149;
goto _g1025_676_192;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1134_61;
PORT_1134_61=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1134_61 );}
}else
BFALSE;}
{obj_t V_1136_36;
{obj_t OBJ2_1138_183;
{obj_t S_1139_161;
S_1139_161=STRUCT_SLOT_REF( OWNER_671_168, BINT( 4 ) );OBJ2_1138_183=STRUCT_SLOT_REF( S_1139_161, BINT( 12 ) );}V_1136_36=MAKE_PAIR( LOCAL_670_245, OBJ2_1138_183 );}{obj_t S_1135_198;
S_1135_198=STRUCT_SLOT_REF( OWNER_671_168, BINT( 4 ) );STRUCT_SLOT_SET( S_1135_198, BINT( 12 ), V_1136_36 );}}
{obj_t LOCAL_OWNER_679_241;
{obj_t S_1142_226;
S_1142_226=STRUCT_SLOT_REF( LOCAL_670_245, BINT( 4 ) );LOCAL_OWNER_679_241=STRUCT_SLOT_REF( S_1142_226, BINT( 8 ) );}{obj_t OWNER_681_139;
{obj_t S_1160_179;
S_1160_179=STRUCT_SLOT_REF( OWNER_671_168, BINT( 4 ) );{obj_t C_STRUCT_REF_1161_95;
C_STRUCT_REF_1161_95=STRUCT_SLOT_REF( S_1160_179, BINT( 8 ) );{
OWNER_681_139=C_STRUCT_REF_1161_95;
{_LOOP_680_18:

{
{obj_t AUX_1319_177;
{obj_t AUX_1320_136;
AUX_1320_136=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 43 ) );AUX_1319_177=SATISFY__TOOLS_TRACE_72( AUX_1320_136 );}if( BBOOL_TO_CBOOL( AUX_1319_177 ))
{
{obj_t g1026_683_206;
{obj_t L_1146_113;
{obj_t STRING_CAST_1252_119;
STRING_CAST_1252_119=CNST_TABLE_REF( 44 );{obj_t C_CONS_1148_55;
{obj_t C_CONS_1147_130;
C_CONS_1147_130=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1318_107;
AUX_1318_107=SHAPE_TOOLS_SHAPE_229( OWNER_681_139 );C_CONS_1148_55=MAKE_PAIR( AUX_1318_107, C_CONS_1147_130 );}}L_1146_113=MAKE_PAIR( STRING_CAST_1252_119, C_CONS_1148_55 );}}{
g1026_683_206=L_1146_113;
{_g1027_682_56:

if( PAIRP( g1026_683_206 ))
{
{obj_t A_684_3;
A_684_3=CAR( g1026_683_206 );{obj_t VA_ARG_1251_135;
VA_ARG_1251_135=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_684_3, VA_ARG_1251_135 );}}
{obj_t C_CDR_1145_185;
C_CDR_1145_185=CDR( g1026_683_206 );{
g1026_683_206=C_CDR_1145_185;
goto _g1027_682_56;
}}
}else
BTRUE;}
}}}
{obj_t PORT_1149_144;
PORT_1149_144=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_1149_144 );}
}else
BFALSE;}
{if( EQP( OWNER_681_139, LOCAL_OWNER_679_241 ))
goto _true_9;else
if( EQP( OWNER_681_139, LOCAL_670_245 ))
goto _true_9;else
goto _false_10;_true_9:
return CNST_TABLE_REF( 39 );_false_10:
{
{obj_t V_1151_26;
{obj_t OBJ2_1153_91;
{obj_t S_1154_21;
S_1154_21=STRUCT_SLOT_REF( OWNER_681_139, BINT( 4 ) );OBJ2_1153_91=STRUCT_SLOT_REF( S_1154_21, BINT( 12 ) );}V_1151_26=MAKE_PAIR( LOCAL_670_245, OBJ2_1153_91 );}{obj_t S_1150_251;
S_1150_251=STRUCT_SLOT_REF( OWNER_681_139, BINT( 4 ) );STRUCT_SLOT_SET( S_1150_251, BINT( 12 ), V_1151_26 );}}
{obj_t S_1157_112;
S_1157_112=STRUCT_SLOT_REF( OWNER_681_139, BINT( 4 ) );{obj_t C_STRUCT_REF_1158_93;
C_STRUCT_REF_1158_93=STRUCT_SLOT_REF( S_1157_112, BINT( 8 ) );{
OWNER_681_139=C_STRUCT_REF_1158_93;
goto _LOOP_680_18;
}}}
};
}
}}
}}}}}
};
}}
}
}

static obj_t
#if defined( __STDC__ )
SAVE_CALL__INTEG_AGRAPH_107(obj_t CALLER_686_180,obj_t CALLEE_687_125)
#else
SAVE_CALL__INTEG_AGRAPH_107( CALLER_686_180, CALLEE_687_125 )
obj_t CALLER_686_180, CALLEE_687_125;
#endif
{

{obj_t AUX_1309_76;
AUX_1309_76=GLOBALIZED__INTEG_AGRAPH_155( CALLEE_687_125 );if( BBOOL_TO_CBOOL( AUX_1309_76 ))
return CNST_TABLE_REF( 39 );else
{if( STRUCTP( CALLER_686_180 ))
if( EQP( STRUCT_KEY( CALLER_686_180 ), CNST_TABLE_REF( 0 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{obj_t CALLEE_INTEG_688_207;
CALLEE_INTEG_688_207=STRUCT_SLOT_REF( CALLEE_687_125, BINT( 4 ) );{obj_t C_STRUCT_REF_1165_54;
C_STRUCT_REF_1165_54=STRUCT_SLOT_REF( CALLEE_INTEG_688_207, BINT( 13 ) );{obj_t AUX_1308_203;
AUX_1308_203=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CALLER_686_180, C_STRUCT_REF_1165_54 );if( BBOOL_TO_CBOOL( AUX_1308_203 ))
return BFALSE;else
{
{obj_t V_1166_48;
{obj_t OBJ2_1167_73;
OBJ2_1167_73=STRUCT_SLOT_REF( CALLEE_INTEG_688_207, BINT( 13 ) );V_1166_48=MAKE_PAIR( CALLER_686_180, OBJ2_1167_73 );}STRUCT_SLOT_SET( CALLEE_INTEG_688_207, BINT( 13 ), V_1166_48 );}
{obj_t V_1170_78;
{obj_t OBJ2_1172_234;
{obj_t S_1173_156;
S_1173_156=STRUCT_SLOT_REF( CALLER_686_180, BINT( 8 ) );OBJ2_1172_234=STRUCT_SLOT_REF( S_1173_156, BINT( 14 ) );}V_1170_78=MAKE_PAIR( CALLEE_687_125, OBJ2_1172_234 );}{obj_t S_1169_205;
S_1169_205=STRUCT_SLOT_REF( CALLER_686_180, BINT( 8 ) );return STRUCT_SLOT_SET( S_1169_205, BINT( 14 ), V_1170_78 );}}
}}}}_false_4:
{obj_t CALLER_INTEG_690_67, CALLEE_INTEG_689_225;
CALLER_INTEG_690_67=STRUCT_SLOT_REF( CALLER_686_180, BINT( 4 ) );CALLEE_INTEG_689_225=STRUCT_SLOT_REF( CALLEE_687_125, BINT( 4 ) );{obj_t C_STRUCT_REF_1178_55;
C_STRUCT_REF_1178_55=STRUCT_SLOT_REF( CALLEE_INTEG_689_225, BINT( 13 ) );{obj_t AUX_1307_235;
AUX_1307_235=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CALLER_686_180, C_STRUCT_REF_1178_55 );if( BBOOL_TO_CBOOL( AUX_1307_235 ))
return BFALSE;else
{
{obj_t V_1179_172;
{obj_t OBJ2_1180_81;
OBJ2_1180_81=STRUCT_SLOT_REF( CALLEE_INTEG_689_225, BINT( 13 ) );V_1179_172=MAKE_PAIR( CALLER_686_180, OBJ2_1180_81 );}STRUCT_SLOT_SET( CALLEE_INTEG_689_225, BINT( 13 ), V_1179_172 );}
{obj_t V_1182_125;
{obj_t OBJ2_1183_24;
OBJ2_1183_24=STRUCT_SLOT_REF( CALLER_INTEG_690_67, BINT( 14 ) );V_1182_125=MAKE_PAIR( CALLEE_687_125, OBJ2_1183_24 );}return STRUCT_SLOT_SET( CALLER_INTEG_690_67, BINT( 14 ), V_1182_125 );}
}}}};
}}
}

obj_t
#if defined( __STDC__ )
LOCAL_CELLED__INTEG_AGRAPH_222(obj_t VAR_691_35)
#else
LOCAL_CELLED__INTEG_AGRAPH_222( VAR_691_35 )
obj_t VAR_691_35;
#endif
{

{obj_t O_1185_108;
O_1185_108=STRUCT_SLOT_REF( VAR_691_35, BINT( 4 ) );{if( STRUCTP( O_1185_108 ))
if( EQP( STRUCT_KEY( O_1185_108 ), CNST_TABLE_REF( 2 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{obj_t S_1188_202;
S_1188_202=STRUCT_SLOT_REF( VAR_691_35, BINT( 4 ) );return STRUCT_SLOT_REF( S_1188_202, BINT( 18 ) );}_false_1:
{obj_t AUX_1306_222;
AUX_1306_222=GET_ALL_CELLED_VARIABLE_LIFT_INTERFACE_25();return MEMQ___R4_PAIRS_AND_LISTS_6_3_141( VAR_691_35, AUX_1306_222 );};
}}
}

obj_t
#if defined( __STDC__ )
__LOCAL_CELLED__INTEG_AGRAPH_101(obj_t ENV_1253_213,obj_t VAR_691_35)
#else
__LOCAL_CELLED__INTEG_AGRAPH_101( ENV_1253_213, VAR_691_35 )
obj_t ENV_1253_213, VAR_691_35;
#endif
{

return LOCAL_CELLED__INTEG_AGRAPH_222( VAR_691_35 );
}

