/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Integ/definition.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t A_GRAPH_INTEG_AGRAPH_154();
extern obj_t TRACE_A_GRAPH_INTEG_AGRAPH_39();
#if defined( __STDC__ )
extern obj_t __INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_178(obj_t);
#else
extern obj_t __INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_178();
#endif
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_C_DEFINITION_INTEG_DEFINITION_62(obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_C_DEFINITION_INTEG_DEFINITION_62();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t GET_NEW_KEY_INTEG_KAPTURE_154;
extern obj_t make_struct();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t K___INTEG_KK_184();
extern obj_t INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_176();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
#if defined( __STDC__ )
extern obj_t __INTEG_DEFINITION_INTEG_DEFINITION_235(obj_t, obj_t);
#else
extern obj_t __INTEG_DEFINITION_INTEG_DEFINITION_235();
#endif
extern obj_t SHAPE_TOOLS_SHAPE_229();
#if defined( __STDC__ )
extern obj_t INTEG_DEFINITION_INTEG_DEFINITION_194(obj_t);
#else
extern obj_t INTEG_DEFINITION_INTEG_DEFINITION_194();
#endif
extern obj_t ABSTRACT_MAKE_CELL_HEAP_ABSTRACT_52();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t CN_CT__INTEG_CN_145();
extern obj_t __CALL_CC___ENGINE_PARAM_225;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 20 ] ;
extern obj_t INTEG_EXPRESSION_INITIALISATION_INTEG_EXPRESSION_69();
extern obj_t SATISFY__TOOLS_TRACE_72();
#if defined( __STDC__ )
static obj_t LABELS_INTEGRATES_INTEG_DEFINITION_99(obj_t, obj_t);
#else
static obj_t LABELS_INTEGRATES_INTEG_DEFINITION_99();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
#if defined( __STDC__ )
static obj_t LET_INDIRECT_INTEG_DEFINITION_38(obj_t, obj_t);
#else
static obj_t LET_INDIRECT_INTEG_DEFINITION_38();
#endif
extern obj_t INTEG_KK_INITIALISATION_INTEG_KK_1();
static obj_t REQUIRE_INITIALISATION__INTEG_DEFINITION_13 = BUNSPEC;
obj_t INTEG_DEFINITION_INITIALISATION_ENV_INTEG_DEFINITION_50 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t K__INTEG_KK_195();
extern obj_t c_constant_string_to_string();
obj_t INTEG_DEFINITION_ENV_INTEG_DEFINITION_245 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t LOCAL_CELLED__INTEG_AGRAPH_222();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t INTEG_EXPRESSION_INTEG_EXPRESSION_143();
extern obj_t INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89();
extern obj_t make_fx_procedure();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t U__INTEG_CN_112();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t INTEG_CN_INITIALISATION_INTEG_CN_36();
extern obj_t TRACE_KAPTURED_INTEG_KAPTURE_173();
extern obj_t INTEG_KAPTURE_INITIALISATION_INTEG_KAPTURE_77();
extern obj_t GET_KAPTURED__INTEG_KAPTURE_61();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_R_DEFINITION_INTEG_DEFINITION_204(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_R_DEFINITION_INTEG_DEFINITION_204();
#endif
extern obj_t __PHI__INTEG_AGRAPH_72;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_176()
#else
INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_176()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__INTEG_DEFINITION_13 ))
{
REQUIRE_INITIALISATION__INTEG_DEFINITION_13=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
INTEG_EXPRESSION_INITIALISATION_INTEG_EXPRESSION_69();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
INTEG_AGRAPH_INITIALISATION_INTEG_AGRAPH_89();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
INTEG_KK_INITIALISATION_INTEG_KK_1();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
INTEG_CN_INITIALISATION_INTEG_CN_36();
INTEG_KAPTURE_INITIALISATION_INTEG_KAPTURE_77();
DECLARE_CNST_TABLE( __cnst[ 20 ]  );
{obj_t PORT_862_139;
{obj_t AUX_899_163;
AUX_899_163=c_constant_string_to_string( "LABELS #\" ==> \" #\"labels-integrates: \" SET! WRITE BEGIN #\"let-indirect     : \" #\"----------------------------------------\" #\" \" #\"make-local-R-definition: \" #\"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\" GBLOCK #\"----------------------------------------\" #\"make-local-C-definition: \" #\"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\" FUNCTION GLOBAL #\"----------------------------------------\" #\"========================================\" INTEG " );PORT_862_139=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_899_163 );}{obj_t OFFSET_863_122;
{
OFFSET_863_122=BINT( 19 );
{_LOOP_864_115:

if( LT_I( OFFSET_863_122, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_900_68;
AUX_900_68=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_862_139, BEOA );CNST_TABLE_SET( OFFSET_863_122, AUX_900_68 );}
{obj_t OFFSET_901_20;
OFFSET_901_20=OFFSET_863_122;{
OFFSET_863_122=SUB_I( OFFSET_901_20, BINT( 1 ) );
goto _LOOP_864_115;
}}
}}
}}}
{
INTEG_DEFINITION_INITIALISATION_ENV_INTEG_DEFINITION_50=make_fx_procedure( __INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_178, 0, 0 );
INTEG_DEFINITION_ENV_INTEG_DEFINITION_245=make_fx_procedure( __INTEG_DEFINITION_INTEG_DEFINITION_235, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_178(obj_t ENV_856_245)
#else
__INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_178( ENV_856_245 )
obj_t ENV_856_245;
#endif
{

return INTEG_DEFINITION_INITIALISATION_INTEG_DEFINITION_176();
}

obj_t
#if defined( __STDC__ )
INTEG_DEFINITION_INTEG_DEFINITION_194(obj_t VAR_448_94)
#else
INTEG_DEFINITION_INTEG_DEFINITION_194( VAR_448_94 )
obj_t VAR_448_94;
#endif
{

{
{obj_t AUX_891_152;
{obj_t AUX_892_229;
AUX_892_229=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_891_152=SATISFY__TOOLS_TRACE_72( AUX_892_229 );}if( BBOOL_TO_CBOOL( AUX_891_152 ))
{
{obj_t g1000_450_218;
{obj_t L_610_62;
{obj_t STRING_CAST_816_198;
STRING_CAST_816_198=CNST_TABLE_REF( 1 );{obj_t C_CONS_615_20;
{obj_t C_CONS_614_81;
{obj_t C_CONS_613_17;
{obj_t C_CONS_612_127;
{obj_t STRING_CAST_817_168;
STRING_CAST_817_168=CNST_TABLE_REF( 2 );{obj_t C_CONS_611_92;
C_CONS_611_92=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_612_127=MAKE_PAIR( STRING_CAST_817_168, C_CONS_611_92 );}}C_CONS_613_17=MAKE_PAIR( BCHAR( '\n' ), C_CONS_612_127 );}{obj_t AUX_890_131;
AUX_890_131=SHAPE_TOOLS_SHAPE_229( VAR_448_94 );C_CONS_614_81=MAKE_PAIR( AUX_890_131, C_CONS_613_17 );}}C_CONS_615_20=MAKE_PAIR( BCHAR( '\n' ), C_CONS_614_81 );}L_610_62=MAKE_PAIR( STRING_CAST_816_198, C_CONS_615_20 );}}{
g1000_450_218=L_610_62;
{_g1001_449_233:

if( PAIRP( g1000_450_218 ))
{
{obj_t A_451_38;
A_451_38=CAR( g1000_450_218 );{obj_t VA_ARG_815_67;
VA_ARG_815_67=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_451_38, VA_ARG_815_67 );}}
{obj_t C_CDR_608_158;
C_CDR_608_158=CDR( g1000_450_218 );{
g1000_450_218=C_CDR_608_158;
goto _g1001_449_233;
}}
}else
BTRUE;}
}}}
{obj_t PORT_617_190;
PORT_617_190=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_617_190 );}
}else
BFALSE;}
{obj_t BODY_452_23;
{if( STRUCTP( VAR_448_94 ))
if( EQP( STRUCT_KEY( VAR_448_94 ), CNST_TABLE_REF( 3 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{
{obj_t V_619_17;
{obj_t INIT_620_23;
INIT_620_23=BNIL;{obj_t INIT_621_63;
INIT_621_63=BNIL;V_619_17=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_621_63 );}}STRUCT_SLOT_SET( VAR_448_94, BINT( 8 ), V_619_17 );}
{obj_t S_623_18;
S_623_18=STRUCT_SLOT_REF( VAR_448_94, BINT( 8 ) );STRUCT_SLOT_SET( S_623_18, BINT( 9 ), BFALSE );}
{obj_t S_625_199;
S_625_199=STRUCT_SLOT_REF( VAR_448_94, BINT( 8 ) );STRUCT_SLOT_SET( S_625_199, BINT( 18 ), BFALSE );}
{obj_t g1008_467_96;
{obj_t S_631_9;
S_631_9=STRUCT_SLOT_REF( VAR_448_94, BINT( 6 ) );{obj_t C_STRUCT_REF_632_114;
C_STRUCT_REF_632_114=STRUCT_SLOT_REF( S_631_9, BINT( 3 ) );{
g1008_467_96=C_STRUCT_REF_632_114;
{_g1009_466_179:

if( PAIRP( g1008_467_96 ))
{
{obj_t A_468_141;
A_468_141=CAR( g1008_467_96 );{obj_t INTEG_469_229;
{obj_t INIT_627_146;
INIT_627_146=BNIL;{obj_t INIT_628_38;
INIT_628_38=BNIL;INTEG_469_229=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_628_38 );}}{
STRUCT_SLOT_SET( INTEG_469_229, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_469_229, BINT( 18 ), BFALSE );
{obj_t AUX_895_203;
AUX_895_203=LOCAL_CELLED__INTEG_AGRAPH_222( A_468_141 );if( BBOOL_TO_CBOOL( AUX_895_203 ))
STRUCT_SLOT_SET( INTEG_469_229, BINT( 18 ), BTRUE );else
BFALSE;}
STRUCT_SLOT_SET( INTEG_469_229, BINT( 8 ), VAR_448_94 );
STRUCT_SLOT_SET( A_468_141, BINT( 4 ), INTEG_469_229 );
}}}
{obj_t C_CDR_630_135;
C_CDR_630_135=CDR( g1008_467_96 );{
g1008_467_96=C_CDR_630_135;
goto _g1009_466_179;
}}
}else
BTRUE;}
}}}}
{obj_t S_634_159;
S_634_159=STRUCT_SLOT_REF( VAR_448_94, BINT( 6 ) );{BODY_452_23=STRUCT_SLOT_REF( S_634_159, BINT( 4 ) );
goto _endif_5;}}
}_false_4:
{obj_t OBJ1_637_1;
OBJ1_637_1=STRUCT_SLOT_REF( VAR_448_94, BINT( 2 ) );if( EQP( OBJ1_637_1, CNST_TABLE_REF( 4 ) ))
{
{obj_t V_639_100;
{obj_t INIT_640_190;
INIT_640_190=BNIL;{obj_t INIT_641_104;
INIT_641_104=BNIL;V_639_100=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_641_104 );}}STRUCT_SLOT_SET( VAR_448_94, BINT( 4 ), V_639_100 );}
{obj_t S_643_62;
S_643_62=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_643_62, BINT( 9 ), BFALSE );}
{obj_t S_645_96;
S_645_96=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_645_96, BINT( 6 ), BTRUE );}
{obj_t S_647_230;
S_647_230=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_647_230, BINT( 18 ), BFALSE );}
{obj_t g1006_471_31;
{obj_t S_653_175;
S_653_175=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );{obj_t C_STRUCT_REF_654_26;
C_STRUCT_REF_654_26=STRUCT_SLOT_REF( S_653_175, BINT( 3 ) );{
g1006_471_31=C_STRUCT_REF_654_26;
{_g1007_470_103:

if( PAIRP( g1006_471_31 ))
{
{obj_t A_472_84;
A_472_84=CAR( g1006_471_31 );{obj_t INTEG_473_105;
{obj_t INIT_649_15;
INIT_649_15=BNIL;{obj_t INIT_650_171;
INIT_650_171=BNIL;INTEG_473_105=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_650_171 );}}{
STRUCT_SLOT_SET( INTEG_473_105, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_473_105, BINT( 18 ), BFALSE );
{obj_t AUX_893_123;
AUX_893_123=LOCAL_CELLED__INTEG_AGRAPH_222( A_472_84 );if( BBOOL_TO_CBOOL( AUX_893_123 ))
STRUCT_SLOT_SET( INTEG_473_105, BINT( 18 ), BTRUE );else
BFALSE;}
STRUCT_SLOT_SET( INTEG_473_105, BINT( 8 ), VAR_448_94 );
STRUCT_SLOT_SET( A_472_84, BINT( 4 ), INTEG_473_105 );
}}}
{obj_t C_CDR_652_120;
C_CDR_652_120=CDR( g1006_471_31 );{
g1006_471_31=C_CDR_652_120;
goto _g1007_470_103;
}}
}else
BTRUE;}
}}}}
{obj_t S_656_80;
S_656_80=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );BODY_452_23=STRUCT_SLOT_REF( S_656_80, BINT( 4 ) );}
}else
{
{obj_t V_659_239;
{obj_t INIT_660_114;
INIT_660_114=BNIL;{obj_t INIT_661_246;
INIT_661_246=BNIL;V_659_239=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_661_246 );}}STRUCT_SLOT_SET( VAR_448_94, BINT( 4 ), V_659_239 );}
{obj_t S_663_49;
S_663_49=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_663_49, BINT( 9 ), BFALSE );}
{obj_t S_665_148;
S_665_148=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_665_148, BINT( 18 ), BFALSE );}
{obj_t S_667_57;
S_667_57=STRUCT_SLOT_REF( VAR_448_94, BINT( 4 ) );STRUCT_SLOT_SET( S_667_57, BINT( 6 ), BTRUE );}
{obj_t g1004_475_143;
{obj_t S_673_126;
S_673_126=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );{obj_t C_STRUCT_REF_674_0;
C_STRUCT_REF_674_0=STRUCT_SLOT_REF( S_673_126, BINT( 0 ) );{
g1004_475_143=C_STRUCT_REF_674_0;
{_g1005_474_30:

if( PAIRP( g1004_475_143 ))
{
{obj_t A_476_199;
A_476_199=CAR( g1004_475_143 );{obj_t INTEG_477_185;
{obj_t INIT_669_47;
INIT_669_47=BNIL;{obj_t INIT_670_99;
INIT_670_99=BNIL;INTEG_477_185=make_struct( CNST_TABLE_REF( 0 ), BINT( 20 ), INIT_670_99 );}}{
STRUCT_SLOT_SET( INTEG_477_185, BINT( 10 ), BFALSE );
STRUCT_SLOT_SET( INTEG_477_185, BINT( 18 ), BFALSE );
{obj_t AUX_894_76;
AUX_894_76=LOCAL_CELLED__INTEG_AGRAPH_222( A_476_199 );if( BBOOL_TO_CBOOL( AUX_894_76 ))
STRUCT_SLOT_SET( INTEG_477_185, BINT( 18 ), BTRUE );else
BFALSE;}
STRUCT_SLOT_SET( INTEG_477_185, BINT( 8 ), VAR_448_94 );
STRUCT_SLOT_SET( A_476_199, BINT( 4 ), INTEG_477_185 );
}}}
{obj_t C_CDR_672_7;
C_CDR_672_7=CDR( g1004_475_143 );{
g1004_475_143=C_CDR_672_7;
goto _g1005_474_30;
}}
}else
BTRUE;}
}}}}
{obj_t S_676_242;
S_676_242=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );BODY_452_23=STRUCT_SLOT_REF( S_676_242, BINT( 1 ) );}
}}_endif_5:
;
}{
{obj_t L_679_130;
L_679_130=MAKE_PAIR( VAR_448_94, BNIL );__PHI__INTEG_AGRAPH_72=L_679_130;}
{obj_t A_453_149;
A_453_149=A_GRAPH_INTEG_AGRAPH_154( VAR_448_94, BODY_452_23 );{
TRACE_A_GRAPH_INTEG_AGRAPH_39( A_453_149 );
{obj_t AUX_896_209;
AUX_896_209=K__INTEG_KK_195( A_453_149, VAR_448_94 );K___INTEG_KK_184( AUX_896_209 );}
U__INTEG_CN_112();
{obj_t G_454_118;
G_454_118=CN_CT__INTEG_CN_145( VAR_448_94, A_453_149 );{
{obj_t g1002_456_30;
{
g1002_456_30=G_454_118;
{_g1003_455_148:

if( PAIRP( g1002_456_30 ))
{
{obj_t G_457_138;
G_457_138=CAR( g1002_456_30 );{obj_t KEY_458_93;
KEY_458_93=PROCEDURE_ENTRY( GET_NEW_KEY_INTEG_KAPTURE_154 )( GET_NEW_KEY_INTEG_KAPTURE_154, BEOA );GET_KAPTURED__INTEG_KAPTURE_61( G_457_138, KEY_458_93, KEY_458_93 );}}
{obj_t C_CDR_680_82;
C_CDR_680_82=CDR( g1002_456_30 );{
g1002_456_30=C_CDR_680_82;
goto _g1003_455_148;
}}
}else
BTRUE;}
}}
TRACE_KAPTURED_INTEG_KAPTURE_173( G_454_118 );
{obj_t VALUE_461_185, BODY_460_244, ARGS_459_152;
VALUE_461_185=BUNSPEC;BODY_460_244=BUNSPEC;ARGS_459_152=BUNSPEC;{
{if( STRUCTP( VAR_448_94 ))
if( EQP( STRUCT_KEY( VAR_448_94 ), CNST_TABLE_REF( 3 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{
{obj_t C_STRUCT_REF_682_239;
C_STRUCT_REF_682_239=STRUCT_SLOT_REF( VAR_448_94, BINT( 6 ) );VALUE_461_185=C_STRUCT_REF_682_239;}
{obj_t S_683_36;
S_683_36=VALUE_461_185;{obj_t C_STRUCT_REF_684_11;
C_STRUCT_REF_684_11=STRUCT_SLOT_REF( S_683_36, BINT( 4 ) );BODY_460_244=C_STRUCT_REF_684_11;}}
{obj_t S_685_30;
S_685_30=VALUE_461_185;{obj_t C_STRUCT_REF_686_171;
C_STRUCT_REF_686_171=STRUCT_SLOT_REF( S_685_30, BINT( 3 ) );ARGS_459_152=C_STRUCT_REF_686_171;}}
{obj_t V_688_59;
{obj_t AUX_898_200;
AUX_898_200=INTEG_EXPRESSION_INTEG_EXPRESSION_143( BODY_460_244, VAR_448_94 );V_688_59=LET_INDIRECT_INTEG_DEFINITION_38( ARGS_459_152, AUX_898_200 );}{obj_t S_687_173;
S_687_173=VALUE_461_185;{STRUCT_SLOT_SET( S_687_173, BINT( 4 ), V_688_59 );
goto _endif_8;}}}
}_false_7:
{obj_t OBJ1_689_175;
OBJ1_689_175=STRUCT_SLOT_REF( VAR_448_94, BINT( 2 ) );if( EQP( OBJ1_689_175, CNST_TABLE_REF( 4 ) ))
{
{obj_t C_STRUCT_REF_691_131;
C_STRUCT_REF_691_131=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );VALUE_461_185=C_STRUCT_REF_691_131;}
{obj_t S_692_153;
S_692_153=VALUE_461_185;{obj_t C_STRUCT_REF_693_229;
C_STRUCT_REF_693_229=STRUCT_SLOT_REF( S_692_153, BINT( 4 ) );BODY_460_244=C_STRUCT_REF_693_229;}}
{obj_t S_694_249;
S_694_249=VALUE_461_185;{obj_t C_STRUCT_REF_695_76;
C_STRUCT_REF_695_76=STRUCT_SLOT_REF( S_694_249, BINT( 3 ) );ARGS_459_152=C_STRUCT_REF_695_76;}}
{obj_t V_697_122;
{obj_t AUX_897_120;
AUX_897_120=INTEG_EXPRESSION_INTEG_EXPRESSION_143( BODY_460_244, VAR_448_94 );V_697_122=LET_INDIRECT_INTEG_DEFINITION_38( ARGS_459_152, AUX_897_120 );}{obj_t S_696_45;
S_696_45=VALUE_461_185;STRUCT_SLOT_SET( S_696_45, BINT( 4 ), V_697_122 );}}
}else
{
{obj_t C_STRUCT_REF_698_163;
C_STRUCT_REF_698_163=STRUCT_SLOT_REF( VAR_448_94, BINT( 3 ) );VALUE_461_185=C_STRUCT_REF_698_163;}
{obj_t S_699_165;
S_699_165=VALUE_461_185;{obj_t C_STRUCT_REF_700_45;
C_STRUCT_REF_700_45=STRUCT_SLOT_REF( S_699_165, BINT( 1 ) );BODY_460_244=C_STRUCT_REF_700_45;}}
{obj_t S_701_230;
S_701_230=VALUE_461_185;{obj_t C_STRUCT_REF_702_249;
C_STRUCT_REF_702_249=STRUCT_SLOT_REF( S_701_230, BINT( 0 ) );ARGS_459_152=C_STRUCT_REF_702_249;}}
{obj_t V_704_101;
V_704_101=INTEG_EXPRESSION_INTEG_EXPRESSION_143( BODY_460_244, VAR_448_94 );{obj_t S_703_96;
S_703_96=VALUE_461_185;STRUCT_SLOT_SET( S_703_96, BINT( 1 ), V_704_101 );}}
}}_endif_8:
;
}
{obj_t G_463_100, RES_464_252;
{obj_t L_720_159;
L_720_159=MAKE_PAIR( VAR_448_94, BNIL );{
RES_464_252=L_720_159;
G_463_100=G_454_118;
{_LOOP_462_92:

if( NULLP( G_463_100 ))
return RES_464_252;else
{obj_t V_465_127;
{obj_t S_705_62;
S_705_62=CAR( G_463_100 );V_465_127=STRUCT_SLOT_REF( S_705_62, BINT( 3 ) );}{obj_t C_CDR_707_6;
C_CDR_707_6=CDR( G_463_100 );{obj_t OBJ1_710_110;
{obj_t OBJ1_712_1;
{obj_t S_713_203;
S_713_203=CAR( G_463_100 );OBJ1_712_1=STRUCT_SLOT_REF( S_713_203, BINT( 2 ) );}if( EQP( OBJ1_712_1, CNST_TABLE_REF( 4 ) ))
{obj_t C_CAR_715_250;
C_CAR_715_250=CAR( G_463_100 );{obj_t C_STRUCT_REF_716_237;
C_STRUCT_REF_716_237=STRUCT_SLOT_REF( V_465_127, BINT( 3 ) );{obj_t C_STRUCT_REF_717_253;
C_STRUCT_REF_717_253=STRUCT_SLOT_REF( V_465_127, BINT( 4 ) );OBJ1_710_110=MAKE_LOCAL_R_DEFINITION_INTEG_DEFINITION_204( C_CAR_715_250, C_STRUCT_REF_716_237, C_STRUCT_REF_717_253 );}}}else
{obj_t C_CAR_718_206;
C_CAR_718_206=CAR( G_463_100 );{obj_t C_STRUCT_REF_719_252;
C_STRUCT_REF_719_252=STRUCT_SLOT_REF( V_465_127, BINT( 1 ) );OBJ1_710_110=MAKE_LOCAL_C_DEFINITION_INTEG_DEFINITION_62( C_CAR_718_206, C_STRUCT_REF_719_252 );}}}{obj_t C_CONS_711_58;
C_CONS_711_58=MAKE_PAIR( OBJ1_710_110, RES_464_252 );{
RES_464_252=C_CONS_711_58;
G_463_100=C_CDR_707_6;
goto _LOOP_462_92;
}}}}}}
}}}
}}
}}
}}
}}
}
}

obj_t
#if defined( __STDC__ )
__INTEG_DEFINITION_INTEG_DEFINITION_235(obj_t ENV_855_130,obj_t VAR_448_94)
#else
__INTEG_DEFINITION_INTEG_DEFINITION_235( ENV_855_130, VAR_448_94 )
obj_t ENV_855_130, VAR_448_94;
#endif
{

return INTEG_DEFINITION_INTEG_DEFINITION_194( VAR_448_94 );
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_C_DEFINITION_INTEG_DEFINITION_62(obj_t VAR_478_16,obj_t BODY_479_236)
#else
MAKE_LOCAL_C_DEFINITION_INTEG_DEFINITION_62( VAR_478_16, BODY_479_236 )
obj_t VAR_478_16, BODY_479_236;
#endif
{

{
{obj_t AUX_886_251;
{obj_t AUX_887_151;
AUX_887_151=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_886_251=SATISFY__TOOLS_TRACE_72( AUX_887_151 );}if( BBOOL_TO_CBOOL( AUX_886_251 ))
{
{obj_t g1010_481_121;
{obj_t L_722_42;
{obj_t STRING_CAST_825_13;
STRING_CAST_825_13=CNST_TABLE_REF( 5 );{obj_t C_CONS_728_245;
{obj_t C_CONS_727_105;
{obj_t STRING_CAST_826_187;
STRING_CAST_826_187=CNST_TABLE_REF( 6 );{obj_t C_CONS_726_134;
{obj_t C_CONS_725_143;
{obj_t C_CONS_724_55;
{obj_t STRING_CAST_827_199;
STRING_CAST_827_199=CNST_TABLE_REF( 7 );{obj_t C_CONS_723_185;
C_CONS_723_185=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_724_55=MAKE_PAIR( STRING_CAST_827_199, C_CONS_723_185 );}}C_CONS_725_143=MAKE_PAIR( BCHAR( '\n' ), C_CONS_724_55 );}{obj_t AUX_885_207;
AUX_885_207=SHAPE_TOOLS_SHAPE_229( VAR_478_16 );C_CONS_726_134=MAKE_PAIR( AUX_885_207, C_CONS_725_143 );}}C_CONS_727_105=MAKE_PAIR( STRING_CAST_826_187, C_CONS_726_134 );}}C_CONS_728_245=MAKE_PAIR( BCHAR( '\n' ), C_CONS_727_105 );}L_722_42=MAKE_PAIR( STRING_CAST_825_13, C_CONS_728_245 );}}{
g1010_481_121=L_722_42;
{_g1011_480_25:

if( PAIRP( g1010_481_121 ))
{
{obj_t A_482_174;
A_482_174=CAR( g1010_481_121 );{obj_t VA_ARG_824_58;
VA_ARG_824_58=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_482_174, VA_ARG_824_58 );}}
{obj_t C_CDR_721_120;
C_CDR_721_120=CDR( g1010_481_121 );{
g1010_481_121=C_CDR_721_120;
goto _g1011_480_25;
}}
}else
BTRUE;}
}}}
{obj_t PORT_729_178;
PORT_729_178=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_729_178 );}
}else
BFALSE;}
{obj_t FORMALS_485_55, BODY_484_142, VALUE_483_236;
{obj_t S_731_91;
S_731_91=STRUCT_SLOT_REF( VAR_478_16, BINT( 4 ) );FORMALS_485_55=STRUCT_SLOT_REF( S_731_91, BINT( 9 ) );}{obj_t VA_ARG_828_167;
VA_ARG_828_167=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_829_183;
{obj_t AUX_888_91;
{obj_t AUX_889_92;
AUX_889_92=LABELS_INTEGRATES_INTEG_DEFINITION_99( VAR_478_16, BODY_479_236 );AUX_888_91=INTEG_EXPRESSION_INTEG_EXPRESSION_143( AUX_889_92, VAR_478_16 );}VA_ARG_829_183=MAKE_PAIR( AUX_888_91, VA_ARG_828_167 );}{obj_t VA_ARG_830_172;
VA_ARG_830_172=MAKE_PAIR( VAR_478_16, VA_ARG_829_183 );BODY_484_142=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 8 ), VA_ARG_830_172 );}}}VALUE_483_236=STRUCT_SLOT_REF( VAR_478_16, BINT( 3 ) );{
STRUCT_SLOT_SET( VALUE_483_236, BINT( 0 ), FORMALS_485_55 );
STRUCT_SLOT_SET( VALUE_483_236, BINT( 1 ), BODY_484_142 );
return VAR_478_16;
}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_R_DEFINITION_INTEG_DEFINITION_204(obj_t VAR_486_150,obj_t FORMALS_487_134,obj_t BODY_488_180)
#else
MAKE_LOCAL_R_DEFINITION_INTEG_DEFINITION_204( VAR_486_150, FORMALS_487_134, BODY_488_180 )
obj_t VAR_486_150, FORMALS_487_134, BODY_488_180;
#endif
{

{
{obj_t AUX_881_112;
{obj_t AUX_882_21;
AUX_882_21=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_881_112=SATISFY__TOOLS_TRACE_72( AUX_882_21 );}if( BBOOL_TO_CBOOL( AUX_881_112 ))
{
{obj_t g1012_490_82;
{obj_t L_735_23;
{obj_t STRING_CAST_832_225;
STRING_CAST_832_225=CNST_TABLE_REF( 9 );{obj_t C_CONS_743_17;
{obj_t C_CONS_742_127;
{obj_t STRING_CAST_833_207;
STRING_CAST_833_207=CNST_TABLE_REF( 10 );{obj_t C_CONS_741_92;
{obj_t C_CONS_740_91;
{obj_t STRING_CAST_834_21;
STRING_CAST_834_21=CNST_TABLE_REF( 11 );{obj_t C_CONS_739_181;
{obj_t C_CONS_738_12;
{obj_t C_CONS_737_144;
{obj_t STRING_CAST_835_98;
STRING_CAST_835_98=CNST_TABLE_REF( 12 );{obj_t C_CONS_736_172;
C_CONS_736_172=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_737_144=MAKE_PAIR( STRING_CAST_835_98, C_CONS_736_172 );}}C_CONS_738_12=MAKE_PAIR( BCHAR( '\n' ), C_CONS_737_144 );}{obj_t AUX_879_238;
AUX_879_238=SHAPE_TOOLS_SHAPE_229( FORMALS_487_134 );C_CONS_739_181=MAKE_PAIR( AUX_879_238, C_CONS_738_12 );}}C_CONS_740_91=MAKE_PAIR( STRING_CAST_834_21, C_CONS_739_181 );}}{obj_t AUX_880_113;
AUX_880_113=SHAPE_TOOLS_SHAPE_229( VAR_486_150 );C_CONS_741_92=MAKE_PAIR( AUX_880_113, C_CONS_740_91 );}}C_CONS_742_127=MAKE_PAIR( STRING_CAST_833_207, C_CONS_741_92 );}}C_CONS_743_17=MAKE_PAIR( BCHAR( '\n' ), C_CONS_742_127 );}L_735_23=MAKE_PAIR( STRING_CAST_832_225, C_CONS_743_17 );}}{
g1012_490_82=L_735_23;
{_g1013_489_187:

if( PAIRP( g1012_490_82 ))
{
{obj_t A_491_196;
A_491_196=CAR( g1012_490_82 );{obj_t VA_ARG_831_144;
VA_ARG_831_144=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_491_196, VA_ARG_831_144 );}}
{obj_t C_CDR_734_179;
C_CDR_734_179=CDR( g1012_490_82 );{
g1012_490_82=C_CDR_734_179;
goto _g1013_489_187;
}}
}else
BTRUE;}
}}}
{obj_t PORT_744_115;
PORT_744_115=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_744_115 );}
}else
BFALSE;}
{obj_t FORMALS_494_188, BODY_493_156, VALUE_492_88;
{obj_t S_749_156;
S_749_156=STRUCT_SLOT_REF( VAR_486_150, BINT( 4 ) );{obj_t C_STRUCT_REF_750_41;
C_STRUCT_REF_750_41=STRUCT_SLOT_REF( S_749_156, BINT( 9 ) );FORMALS_494_188=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_750_41, FORMALS_487_134 );}}{obj_t S_746_83;
S_746_83=STRUCT_SLOT_REF( VAR_486_150, BINT( 3 ) );{obj_t C_STRUCT_REF_747_124;
C_STRUCT_REF_747_124=STRUCT_SLOT_REF( S_746_83, BINT( 3 ) );{obj_t AUX_883_98;
{obj_t AUX_884_225;
AUX_884_225=LABELS_INTEGRATES_INTEG_DEFINITION_99( VAR_486_150, BODY_488_180 );AUX_883_98=INTEG_EXPRESSION_INTEG_EXPRESSION_143( AUX_884_225, VAR_486_150 );}BODY_493_156=LET_INDIRECT_INTEG_DEFINITION_38( C_STRUCT_REF_747_124, AUX_883_98 );}}}VALUE_492_88=STRUCT_SLOT_REF( VAR_486_150, BINT( 3 ) );{
STRUCT_SLOT_SET( VALUE_492_88, BINT( 3 ), FORMALS_494_188 );
STRUCT_SLOT_SET( VALUE_492_88, BINT( 4 ), BODY_493_156 );
return VAR_486_150;
}}
}
}

static obj_t
#if defined( __STDC__ )
LET_INDIRECT_INTEG_DEFINITION_38(obj_t ARG__495_229,obj_t EXP_496_0)
#else
LET_INDIRECT_INTEG_DEFINITION_38( ARG__495_229, EXP_496_0 )
obj_t ARG__495_229, EXP_496_0;
#endif
{

{
{obj_t AUX_871_103;
{obj_t AUX_872_181;
AUX_872_181=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_871_103=SATISFY__TOOLS_TRACE_72( AUX_872_181 );}if( BBOOL_TO_CBOOL( AUX_871_103 ))
{
{obj_t g1014_498_72;
{obj_t L_753_30;
{obj_t STRING_CAST_837_112;
STRING_CAST_837_112=CNST_TABLE_REF( 13 );{obj_t C_CONS_755_28;
{obj_t C_CONS_754_210;
C_CONS_754_210=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_870_70;
AUX_870_70=SHAPE_TOOLS_SHAPE_229( ARG__495_229 );C_CONS_755_28=MAKE_PAIR( AUX_870_70, C_CONS_754_210 );}}L_753_30=MAKE_PAIR( STRING_CAST_837_112, C_CONS_755_28 );}}{
g1014_498_72=L_753_30;
{_g1015_497_248:

if( PAIRP( g1014_498_72 ))
{
{obj_t A_499_13;
A_499_13=CAR( g1014_498_72 );{obj_t VA_ARG_836_183;
VA_ARG_836_183=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_499_13, VA_ARG_836_183 );}}
{obj_t C_CDR_752_223;
C_CDR_752_223=CDR( g1014_498_72 );{
g1014_498_72=C_CDR_752_223;
goto _g1015_497_248;
}}
}else
BTRUE;}
}}}
{obj_t PORT_756_101;
PORT_756_101=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_756_101 );}
}else
BFALSE;}
{obj_t ARG__501_96, DECL__502_74;
{
DECL__502_74=BNIL;
ARG__501_96=ARG__495_229;
{_LOOP_500_172:

if( NULLP( ARG__501_96 ))
if( NULLP( DECL__502_74 ))
return EXP_496_0;else
{obj_t VA_ARG_838_75;
{obj_t VA_ARG_839_78;
VA_ARG_839_78=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_873_12;
{obj_t AUX_874_78;
AUX_874_78=CONS____R4_PAIRS_AND_LISTS_6_3_28( EXP_496_0, VA_ARG_839_78 );AUX_873_12=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( DECL__502_74, AUX_874_78 );}VA_ARG_838_75=MAKE_PAIR( AUX_873_12, BNIL );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 14 ), VA_ARG_838_75 );}else
{bool_t __andtest_1016_857_113;
{obj_t AUX_875_75;
{obj_t OBJ1_757_237;
{obj_t S_758_156;
S_758_156=CAR( ARG__501_96 );OBJ1_757_237=STRUCT_SLOT_REF( S_758_156, BINT( 5 ) );}AUX_875_75=CBOOL_TO_BBOOL( EQP( OBJ1_757_237, CNST_TABLE_REF( 15 ) ) );}__andtest_1016_857_113=BBOOL_TO_CBOOL( AUX_875_75 );}{if( __andtest_1016_857_113)
{bool_t __andtest_1017_859_101;
{obj_t AUX_876_58;
{obj_t __ortest_1018_505_67;
{obj_t S_760_211;
{obj_t S_762_223;
S_762_223=CAR( ARG__501_96 );S_760_211=STRUCT_SLOT_REF( S_762_223, BINT( 4 ) );}__ortest_1018_505_67=STRUCT_SLOT_REF( S_760_211, BINT( 10 ) );}if( BBOOL_TO_CBOOL( __ortest_1018_505_67 ))
AUX_876_58=__ortest_1018_505_67;else
AUX_876_58=__CALL_CC___ENGINE_PARAM_225;}__andtest_1017_859_101=BBOOL_TO_CBOOL( AUX_876_58 );}if( __andtest_1017_859_101)
{bool_t OBJ_860_12;
{obj_t AUX_877_22;
{obj_t S_766_190;
{obj_t S_768_186;
S_768_186=CAR( ARG__501_96 );S_766_190=STRUCT_SLOT_REF( S_768_186, BINT( 4 ) );}AUX_877_22=STRUCT_SLOT_REF( S_766_190, BINT( 18 ) );}OBJ_860_12=BBOOL_TO_CBOOL( AUX_877_22 );}if( OBJ_860_12)
goto _false_1;else
goto _true_0;}else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t C_CDR_770_161;
C_CDR_770_161=CDR( ARG__501_96 );{obj_t OBJ1_771_232;
{obj_t VA_ARG_840_199;
VA_ARG_840_199=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_841_187;
{obj_t C_CAR_774_95;
C_CAR_774_95=CAR( ARG__501_96 );{obj_t AUX_878_157;
AUX_878_157=ABSTRACT_MAKE_CELL_HEAP_ABSTRACT_52( C_CAR_774_95 );VA_ARG_841_187=MAKE_PAIR( AUX_878_157, VA_ARG_840_199 );}}{obj_t VA_ARG_842_13;
{obj_t C_CAR_773_192;
C_CAR_773_192=CAR( ARG__501_96 );VA_ARG_842_13=MAKE_PAIR( C_CAR_773_192, VA_ARG_841_187 );}OBJ1_771_232=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 16 ), VA_ARG_842_13 );}}}{obj_t C_CONS_772_104;
C_CONS_772_104=MAKE_PAIR( OBJ1_771_232, DECL__502_74 );{
DECL__502_74=C_CONS_772_104;
ARG__501_96=C_CDR_770_161;
goto _LOOP_500_172;
}}}}_false_1:
{obj_t C_CDR_775_60;
C_CDR_775_60=CDR( ARG__501_96 );{
ARG__501_96=C_CDR_775_60;
goto _LOOP_500_172;
}};
}}}
}}
}
}

static obj_t
#if defined( __STDC__ )
LABELS_INTEGRATES_INTEG_DEFINITION_99(obj_t VAR_506_112,obj_t BODY_507_247)
#else
LABELS_INTEGRATES_INTEG_DEFINITION_99( VAR_506_112, BODY_507_247 )
obj_t VAR_506_112, BODY_507_247;
#endif
{

{
{obj_t AUX_867_125;
{obj_t AUX_868_174;
AUX_868_174=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_867_125=SATISFY__TOOLS_TRACE_72( AUX_868_174 );}if( BBOOL_TO_CBOOL( AUX_867_125 ))
{
{obj_t g1019_509_3;
{obj_t L_777_229;
{obj_t STRING_CAST_844_0;
STRING_CAST_844_0=CNST_TABLE_REF( 17 );{obj_t C_CONS_784_10;
{obj_t C_CONS_783_163;
{obj_t STRING_CAST_845_135;
STRING_CAST_845_135=CNST_TABLE_REF( 18 );{obj_t C_CONS_782_200;
{obj_t S_778_95;
S_778_95=STRUCT_SLOT_REF( VAR_506_112, BINT( 4 ) );{obj_t C_STRUCT_REF_779_124;
C_STRUCT_REF_779_124=STRUCT_SLOT_REF( S_778_95, BINT( 16 ) );{obj_t C_CONS_781_222;
C_CONS_781_222=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_865_138;
AUX_865_138=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_779_124 );C_CONS_782_200=MAKE_PAIR( AUX_865_138, C_CONS_781_222 );}}}}C_CONS_783_163=MAKE_PAIR( STRING_CAST_845_135, C_CONS_782_200 );}}{obj_t AUX_866_118;
AUX_866_118=SHAPE_TOOLS_SHAPE_229( VAR_506_112 );C_CONS_784_10=MAKE_PAIR( AUX_866_118, C_CONS_783_163 );}}L_777_229=MAKE_PAIR( STRING_CAST_844_0, C_CONS_784_10 );}}{
g1019_509_3=L_777_229;
{_g1020_508_102:

if( PAIRP( g1019_509_3 ))
{
{obj_t A_510_93;
A_510_93=CAR( g1019_509_3 );{obj_t VA_ARG_843_32;
VA_ARG_843_32=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_510_93, VA_ARG_843_32 );}}
{obj_t C_CDR_776_83;
C_CDR_776_83=CDR( g1019_509_3 );{
g1019_509_3=C_CDR_776_83;
goto _g1020_508_102;
}}
}else
BTRUE;}
}}}
{obj_t PORT_785_168;
PORT_785_168=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_785_168 );}
}else
BFALSE;}
{obj_t VA_ARG_846_18;
VA_ARG_846_18=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_847_214;
VA_ARG_847_214=MAKE_PAIR( BODY_507_247, VA_ARG_846_18 );{obj_t VA_ARG_848_247;
{obj_t g1021_511_119;
{obj_t S_786_201;
S_786_201=STRUCT_SLOT_REF( VAR_506_112, BINT( 4 ) );g1021_511_119=STRUCT_SLOT_REF( S_786_201, BINT( 16 ) );}{obj_t AUX_869_97;
if( NULLP( g1021_511_119 ))
AUX_869_97=BNIL;else
{obj_t HEAD_512_64;
{obj_t OBJ2_790_121;
OBJ2_790_121=BNIL;{obj_t OBJ1_789_251;
{obj_t I_518_159;
I_518_159=CAR( g1021_511_119 );{obj_t VA_ARG_849_204;
VA_ARG_849_204=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_850_83;
{obj_t S_794_49;
S_794_49=STRUCT_SLOT_REF( I_518_159, BINT( 3 ) );{obj_t C_STRUCT_REF_795_247;
C_STRUCT_REF_795_247=STRUCT_SLOT_REF( S_794_49, BINT( 4 ) );VA_ARG_850_83=MAKE_PAIR( C_STRUCT_REF_795_247, VA_ARG_849_204 );}}{obj_t VA_ARG_851_128;
{obj_t S_791_211;
S_791_211=STRUCT_SLOT_REF( I_518_159, BINT( 3 ) );{obj_t C_STRUCT_REF_792_212;
C_STRUCT_REF_792_212=STRUCT_SLOT_REF( S_791_211, BINT( 3 ) );VA_ARG_851_128=MAKE_PAIR( C_STRUCT_REF_792_212, VA_ARG_850_83 );}}OBJ1_789_251=CONS____R4_PAIRS_AND_LISTS_6_3_28( I_518_159, VA_ARG_851_128 );}}}}HEAD_512_64=MAKE_PAIR( OBJ1_789_251, OBJ2_790_121 );}}{obj_t g1021_514_110, TAIL_515_16;
{obj_t C_CDR_808_218;
C_CDR_808_218=CDR( g1021_511_119 );{
TAIL_515_16=HEAD_512_64;
g1021_514_110=C_CDR_808_218;
{_g1022_513_135:

if( NULLP( g1021_514_110 ))
AUX_869_97=HEAD_512_64;else
{obj_t NEW_TAIL_516_99;
{obj_t OBJ2_798_143;
OBJ2_798_143=BNIL;{obj_t OBJ1_797_223;
{obj_t I_517_218;
I_517_218=CAR( g1021_514_110 );{obj_t VA_ARG_852_66;
VA_ARG_852_66=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_853_60;
{obj_t S_802_93;
S_802_93=STRUCT_SLOT_REF( I_517_218, BINT( 3 ) );{obj_t C_STRUCT_REF_803_169;
C_STRUCT_REF_803_169=STRUCT_SLOT_REF( S_802_93, BINT( 4 ) );VA_ARG_853_60=MAKE_PAIR( C_STRUCT_REF_803_169, VA_ARG_852_66 );}}{obj_t VA_ARG_854_86;
{obj_t S_799_186;
S_799_186=STRUCT_SLOT_REF( I_517_218, BINT( 3 ) );{obj_t C_STRUCT_REF_800_56;
C_STRUCT_REF_800_56=STRUCT_SLOT_REF( S_799_186, BINT( 3 ) );VA_ARG_854_86=MAKE_PAIR( C_STRUCT_REF_800_56, VA_ARG_853_60 );}}OBJ1_797_223=CONS____R4_PAIRS_AND_LISTS_6_3_28( I_517_218, VA_ARG_854_86 );}}}}NEW_TAIL_516_99=MAKE_PAIR( OBJ1_797_223, OBJ2_798_143 );}}{
SET_CDR( TAIL_515_16, NEW_TAIL_516_99 );
{obj_t C_CDR_807_159;
C_CDR_807_159=CDR( g1021_514_110 );{
TAIL_515_16=NEW_TAIL_516_99;
g1021_514_110=C_CDR_807_159;
goto _g1022_513_135;
}}
}}}
}}}}VA_ARG_848_247=MAKE_PAIR( AUX_869_97, VA_ARG_847_214 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 19 ), VA_ARG_848_247 );}}}
}
}

