/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Lift/definition.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t LIFT_DEFINITION_LIFT_DEFINITION_247(obj_t);
#else
extern obj_t LIFT_DEFINITION_LIFT_DEFINITION_247();
#endif
extern obj_t LIFT_EXPRESSION_INITIALISATION_LIFT_EXPRESSION_166();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_C_DEFINITION_LIFT_DEFINITION_84(obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_C_DEFINITION_LIFT_DEFINITION_84();
#endif
extern obj_t INTEGRATE__LIFT_INTEGRATE_16();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_0CFA_STRENGTH_DEFINITION_LIFT_DEFINITION_57(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_0CFA_STRENGTH_DEFINITION_LIFT_DEFINITION_57();
#endif
#if defined( __STDC__ )
extern obj_t __LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_158(obj_t);
#else
extern obj_t __LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_158();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
#if defined( __STDC__ )
extern obj_t __LIFT_DEFINITION_LIFT_DEFINITION_45(obj_t, obj_t);
#else
extern obj_t __LIFT_DEFINITION_LIFT_DEFINITION_45();
#endif
extern obj_t string_append();
extern obj_t ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
extern obj_t LIFT_CLOSURE_INITIALISATION_LIFT_CLOSURE_114();
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t LIFT_DEFINITION_ENV_LIFT_DEFINITION_103 = BUNSPEC;
extern obj_t ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
#if defined( __STDC__ )
static obj_t LET_0CFA_STRENGTH_CAPTURED_LIFT_DEFINITION_8(obj_t, obj_t, obj_t);
#else
static obj_t LET_0CFA_STRENGTH_CAPTURED_LIFT_DEFINITION_8();
#endif
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t THE_CONTINUE_LIFT_CLOSURE_240();
extern obj_t ABSTRACT_MAKE_CELL_HEAP_ABSTRACT_52();
extern obj_t DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53();
obj_t LIFT_DEFINITION_INITIALISATION_ENV_LIFT_DEFINITION_101 = BUNSPEC;
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
#if defined( __STDC__ )
static obj_t OWNER__LIFT_DEFINITION_28(obj_t, obj_t);
#else
static obj_t OWNER__LIFT_DEFINITION_28();
#endif
extern obj_t LIFT_INTERFACE_INITIALISATION_LIFT_INTERFACE_155();
extern obj_t __CALL_CC___ENGINE_PARAM_225;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
extern obj_t LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48();
static obj_t __cnst[ 47 ] ;
extern obj_t LIFT_CGRAPH_INITIALISATION_LIFT_CGRAPH_37();
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t LIFT_ALPHA_INITIALISATION_LIFT_ALPHA_49();
#if defined( __STDC__ )
static obj_t MAKE_GLOBAL_DEFINITION_LIFT_DEFINITION_7(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_GLOBAL_DEFINITION_LIFT_DEFINITION_7();
#endif
extern obj_t CALL_GRAPH__LIFT_CGRAPH_211();
extern obj_t TOOLS_BETA_INITIALISATION_TOOLS_BETA_136();
#if defined( __STDC__ )
static obj_t LABELS_INTEGRATES_LIFT_DEFINITION_167(obj_t, obj_t);
#else
static obj_t LABELS_INTEGRATES_LIFT_DEFINITION_167();
#endif
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
#if defined( __STDC__ )
static obj_t LET_INDIRECT_LIFT_DEFINITION_51(obj_t, obj_t);
#else
static obj_t LET_INDIRECT_LIFT_DEFINITION_51();
#endif
static obj_t REQUIRE_INITIALISATION__LIFT_DEFINITION_233 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t ABSTRACT_PROCEDURE_LIGHT_ENV_REF_ENV_HEAP_ABSTRACT_129;
extern obj_t c_constant_string_to_string();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152();
#endif
extern obj_t DECLARE_GLOBAL_CLOSURE__LIFT_INIT_42();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t THE_CLOSURE_LIFT_CLOSURE_124();
extern obj_t MAKE_LOCAL_LIFT__LIFT_CGRAPH_151();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t LIFT_INIT_INITIALISATION_LIFT_INIT_106();
extern obj_t ADD_CELLED__LIFT_INTERFACE_146();
extern obj_t make_fx_procedure();
extern obj_t LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_4();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
extern obj_t ABSTRACT_PROCEDURE_ENV_REF_ENV_HEAP_ABSTRACT_72;
#if defined( __STDC__ )
static obj_t LET_CAPTURED_LIFT_DEFINITION_86(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t LET_CAPTURED_LIFT_DEFINITION_86();
#endif
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t LIFT_ALPHATIZE__LIFT_ALPHA_121();
extern obj_t KAPTURE__LIFT_KAPTURE_92();
extern obj_t BETA_REDUCE_TOOLS_BETA_191();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_R_DEFINITION_LIFT_DEFINITION_57(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_R_DEFINITION_LIFT_DEFINITION_57();
#endif
extern obj_t UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136();
extern obj_t LIFT_EXPRESSION_LIFT_EXPRESSION_140();
#if defined( __STDC__ )
static obj_t MAKE_LOCAL_E_DEFINITION_LIFT_DEFINITION_231(obj_t, obj_t, obj_t);
#else
static obj_t MAKE_LOCAL_E_DEFINITION_LIFT_DEFINITION_231();
#endif
extern obj_t ABSTRACT_PROCEDURE_EXTRA_LIGHT_ENV_REF_ENV_HEAP_ABSTRACT_83;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_4()
#else
LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_4()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__LIFT_DEFINITION_233 ))
{
REQUIRE_INITIALISATION__LIFT_DEFINITION_233=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
LIFT_ALPHA_INITIALISATION_LIFT_ALPHA_49();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
LIFT_INIT_INITIALISATION_LIFT_INIT_106();
LIFT_EXPRESSION_INITIALISATION_LIFT_EXPRESSION_166();
LIFT_CLOSURE_INITIALISATION_LIFT_CLOSURE_114();
LIFT_INTERFACE_INITIALISATION_LIFT_INTERFACE_155();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
TOOLS_BETA_INITIALISATION_TOOLS_BETA_136();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
LIFT_CGRAPH_INITIALISATION_LIFT_CGRAPH_37();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 47 ]  );
{obj_t PORT_1076_170;
{obj_t AUX_1164_122;
AUX_1164_122=c_constant_string_to_string( "#\" \" #\"owner? : \" LABELS #\"labels-integrates: \" EXTRA-LIGHT (ENV ) #\"let-0cfa-strength-captured     : \" #\"let-captured     : \" SET! WRITE BEGIN #\"let-indirect     : \" #\"                     : [register]\" #\"                 : \" #\"                     : [escape]\" #\"                 : \" #\"                     : [0cfa-strength]\" LET THE-CONTINUATION #\"                     : [return]\" STRONG RETURN #\"-------------------------------------------------\" #\" \" #\"make-local-definition: \" #\"=================================================\" ENV #\"_\" (ENV ) EXPORT #\"-------------------------------------------------\" #\" \" #\"make-global-definition: \" #\"=================================================\" FUNCTION #\"----------------------------------------\" #\"Gn        : \" #\"G0        : \" #\"Not a variable\" #\"lift-definition\" #\"Not a global\" #\"lift-definition\" LOCAL GLOBAL #\"----------------------------------------\" #\"========================================\" LIFT " );PORT_1076_170=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1164_122 );}{obj_t OFFSET_1077_12;
{
OFFSET_1077_12=BINT( 46 );
{_LOOP_1078_122:

if( LT_I( OFFSET_1077_12, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1165_130;
AUX_1165_130=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1076_170, BEOA );CNST_TABLE_SET( OFFSET_1077_12, AUX_1165_130 );}
{obj_t OFFSET_1166_6;
OFFSET_1166_6=OFFSET_1077_12;{
OFFSET_1077_12=SUB_I( OFFSET_1166_6, BINT( 1 ) );
goto _LOOP_1078_122;
}}
}}
}}}
{
LIFT_DEFINITION_INITIALISATION_ENV_LIFT_DEFINITION_101=make_fx_procedure( __LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_158, 0, 0 );
LIFT_DEFINITION_ENV_LIFT_DEFINITION_103=make_fx_procedure( __LIFT_DEFINITION_LIFT_DEFINITION_45, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_158(obj_t ENV_1065_92)
#else
__LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_158( ENV_1065_92 )
obj_t ENV_1065_92;
#endif
{

return LIFT_DEFINITION_INITIALISATION_LIFT_DEFINITION_4();
}

obj_t
#if defined( __STDC__ )
LIFT_DEFINITION_LIFT_DEFINITION_247(obj_t VAR_432_242)
#else
LIFT_DEFINITION_LIFT_DEFINITION_247( VAR_432_242 )
obj_t VAR_432_242;
#endif
{

{
{obj_t AUX_1152_111;
{obj_t AUX_1153_182;
AUX_1153_182=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1152_111=SATISFY__TOOLS_TRACE_72( AUX_1153_182 );}if( BBOOL_TO_CBOOL( AUX_1152_111 ))
{
{obj_t g1000_434_46;
{obj_t L_673_29;
{obj_t STRING_CAST_985_137;
STRING_CAST_985_137=CNST_TABLE_REF( 1 );{obj_t C_CONS_678_245;
{obj_t C_CONS_677_105;
{obj_t C_CONS_676_134;
{obj_t C_CONS_675_143;
{obj_t STRING_CAST_986_59;
STRING_CAST_986_59=CNST_TABLE_REF( 2 );{obj_t C_CONS_674_55;
C_CONS_674_55=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_675_143=MAKE_PAIR( STRING_CAST_986_59, C_CONS_674_55 );}}C_CONS_676_134=MAKE_PAIR( BCHAR( '\n' ), C_CONS_675_143 );}{obj_t AUX_1151_136;
AUX_1151_136=SHAPE_TOOLS_SHAPE_229( VAR_432_242 );C_CONS_677_105=MAKE_PAIR( AUX_1151_136, C_CONS_676_134 );}}C_CONS_678_245=MAKE_PAIR( BCHAR( '\n' ), C_CONS_677_105 );}L_673_29=MAKE_PAIR( STRING_CAST_985_137, C_CONS_678_245 );}}{
g1000_434_46=L_673_29;
{_g1001_433_65:

if( PAIRP( g1000_434_46 ))
{
{obj_t A_435_26;
A_435_26=CAR( g1000_434_46 );{obj_t VA_ARG_984_59;
VA_ARG_984_59=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_435_26, VA_ARG_984_59 );}}
{obj_t C_CDR_671_173;
C_CDR_671_173=CDR( g1000_434_46 );{
g1000_434_46=C_CDR_671_173;
goto _g1001_433_65;
}}
}else
BTRUE;}
}}}
{obj_t PORT_680_142;
PORT_680_142=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_680_142 );}
}else
BFALSE;}
{obj_t FORMALS_437_34, BODY_436_171;
FORMALS_437_34=BUNSPEC;BODY_436_171=BUNSPEC;{
{if( STRUCTP( VAR_432_242 ))
if( EQP( STRUCT_KEY( VAR_432_242 ), CNST_TABLE_REF( 3 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{
{obj_t S_682_65;
S_682_65=STRUCT_SLOT_REF( VAR_432_242, BINT( 6 ) );{obj_t C_STRUCT_REF_683_193;
C_STRUCT_REF_683_193=STRUCT_SLOT_REF( S_682_65, BINT( 3 ) );FORMALS_437_34=C_STRUCT_REF_683_193;}}
{obj_t S_685_30;
S_685_30=STRUCT_SLOT_REF( VAR_432_242, BINT( 6 ) );{obj_t C_STRUCT_REF_686_171;
C_STRUCT_REF_686_171=STRUCT_SLOT_REF( S_685_30, BINT( 4 ) );BODY_436_171=C_STRUCT_REF_686_171;}}
{obj_t V_688_59;
V_688_59=BNIL;{STRUCT_SLOT_SET( VAR_432_242, BINT( 8 ), V_688_59 );
goto _endif_11;}}
}_false_10:
{if( STRUCTP( VAR_432_242 ))
if( EQP( STRUCT_KEY( VAR_432_242 ), CNST_TABLE_REF( 4 ) ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
{obj_t OBJECT_690_63;
OBJECT_690_63=SHAPE_TOOLS_SHAPE_229( VAR_432_242 );FAILURE( CNST_TABLE_REF( 5 ), CNST_TABLE_REF( 6 ), OBJECT_690_63 );}_false_13:
{obj_t OBJECT_691_23;
OBJECT_691_23=SHAPE_TOOLS_SHAPE_229( VAR_432_242 );FAILURE( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), OBJECT_691_23 );};
}_endif_11:
;
}
{obj_t g1002_439_209;
{
g1002_439_209=FORMALS_437_34;
{_g1003_438_38:

if( PAIRP( g1002_439_209 ))
{
{obj_t C_CAR_692_246;
C_CAR_692_246=CAR( g1002_439_209 );MAKE_LOCAL_LIFT__LIFT_CGRAPH_151( C_CAR_692_246 );}
{obj_t C_CDR_693_142;
C_CDR_693_142=CDR( g1002_439_209 );{
g1002_439_209=C_CDR_693_142;
goto _g1003_438_38;
}}
}else
BTRUE;}
}}
{obj_t G0_440_165;
G0_440_165=CALL_GRAPH__LIFT_CGRAPH_211( BODY_436_171, VAR_432_242, BNIL );{obj_t GN_441_53;
GN_441_53=INTEGRATE__LIFT_INTEGRATE_16( VAR_432_242, G0_440_165, BNIL );{obj_t G_442_211;
G_442_211=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( G0_440_165, GN_441_53 );{
{obj_t AUX_1156_249;
{obj_t AUX_1157_236;
AUX_1157_236=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1156_249=SATISFY__TOOLS_TRACE_72( AUX_1157_236 );}if( BBOOL_TO_CBOOL( AUX_1156_249 ))
{
{obj_t g1004_444_12;
{obj_t L_695_136;
{obj_t STRING_CAST_992_200;
STRING_CAST_992_200=CNST_TABLE_REF( 9 );{obj_t C_CONS_700_197;
{obj_t C_CONS_699_3;
{obj_t C_CONS_698_61;
{obj_t STRING_CAST_993_163;
STRING_CAST_993_163=CNST_TABLE_REF( 10 );{obj_t C_CONS_697_201;
{obj_t C_CONS_696_158;
C_CONS_696_158=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1154_45;
AUX_1154_45=SHAPE_TOOLS_SHAPE_229( GN_441_53 );C_CONS_697_201=MAKE_PAIR( AUX_1154_45, C_CONS_696_158 );}}C_CONS_698_61=MAKE_PAIR( STRING_CAST_993_163, C_CONS_697_201 );}}C_CONS_699_3=MAKE_PAIR( BCHAR( '\n' ), C_CONS_698_61 );}{obj_t AUX_1155_244;
AUX_1155_244=SHAPE_TOOLS_SHAPE_229( G0_440_165 );C_CONS_700_197=MAKE_PAIR( AUX_1155_244, C_CONS_699_3 );}}L_695_136=MAKE_PAIR( STRING_CAST_992_200, C_CONS_700_197 );}}{
g1004_444_12=L_695_136;
{_g1005_443_91:

if( PAIRP( g1004_444_12 ))
{
{obj_t A_445_249;
A_445_249=CAR( g1004_444_12 );{obj_t VA_ARG_991_26;
VA_ARG_991_26=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_445_249, VA_ARG_991_26 );}}
{obj_t C_CDR_694_246;
C_CDR_694_246=CDR( g1004_444_12 );{
g1004_444_12=C_CDR_694_246;
goto _g1005_443_91;
}}
}else
BTRUE;}
}}}
{obj_t PORT_701_196;
PORT_701_196=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_701_196 );}
}else
BFALSE;}
{obj_t AUX_1158_231;
{obj_t AUX_1159_71;
AUX_1159_71=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1158_231=SATISFY__TOOLS_TRACE_72( AUX_1159_71 );}if( BBOOL_TO_CBOOL( AUX_1158_231 ))
{
{obj_t g1006_447_20;
{obj_t L_703_227;
{obj_t STRING_CAST_995_219;
STRING_CAST_995_219=CNST_TABLE_REF( 11 );{obj_t C_CONS_704_169;
C_CONS_704_169=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_703_227=MAKE_PAIR( STRING_CAST_995_219, C_CONS_704_169 );}}{
g1006_447_20=L_703_227;
{_g1007_446_132:

if( PAIRP( g1006_447_20 ))
{
{obj_t A_448_165;
A_448_165=CAR( g1006_447_20 );{obj_t VA_ARG_994_33;
VA_ARG_994_33=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_448_165, VA_ARG_994_33 );}}
{obj_t C_CDR_702_17;
C_CDR_702_17=CDR( g1006_447_20 );{
g1006_447_20=C_CDR_702_17;
goto _g1007_446_132;
}}
}else
BTRUE;}
}}}
{obj_t PORT_705_224;
PORT_705_224=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_705_224 );}
}else
BFALSE;}
KAPTURE__LIFT_KAPTURE_92( VAR_432_242, BODY_436_171, G_442_211, FORMALS_437_34 );
{obj_t g1008_450_251;
{
g1008_450_251=G_442_211;
{_g1009_449_32:

if( PAIRP( g1008_450_251 ))
{
{obj_t C_CAR_706_74;
C_CAR_706_74=CAR( g1008_450_251 );UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136( C_CAR_706_74 );}
{obj_t C_CDR_707_6;
C_CDR_707_6=CDR( g1008_450_251 );{
g1008_450_251=C_CDR_707_6;
goto _g1009_449_32;
}}
}else
BTRUE;}
}}
{obj_t G_452_233, RES_453_216;
{
RES_453_216=BNIL;
G_452_233=G_442_211;
{_LOOP_451_40:

if( NULLP( G_452_233 ))
{obj_t AUX_1160_72;
{obj_t AUX_1161_77;
AUX_1161_77=LIFT_EXPRESSION_LIFT_EXPRESSION_140( BODY_436_171, VAR_432_242 );AUX_1160_72=MAKE_GLOBAL_DEFINITION_LIFT_DEFINITION_7( VAR_432_242, FORMALS_437_34, AUX_1161_77 );}return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_1160_72, RES_453_216 );}else
{obj_t C_CDR_708_112;
C_CDR_708_112=CDR( G_452_233 );{obj_t OBJ1_711_25;
{obj_t OBJ1_713_14;
{obj_t S_714_229;
S_714_229=CAR( G_452_233 );OBJ1_713_14=STRUCT_SLOT_REF( S_714_229, BINT( 2 ) );}if( EQP( OBJ1_713_14, CNST_TABLE_REF( 12 ) ))
{obj_t LVALUE_454_168;
{obj_t S_716_131;
S_716_131=CAR( G_452_233 );LVALUE_454_168=STRUCT_SLOT_REF( S_716_131, BINT( 3 ) );}{obj_t C_CAR_718_206;
C_CAR_718_206=CAR( G_452_233 );{obj_t C_STRUCT_REF_719_252;
C_STRUCT_REF_719_252=STRUCT_SLOT_REF( LVALUE_454_168, BINT( 3 ) );{obj_t C_STRUCT_REF_720_109;
C_STRUCT_REF_720_109=STRUCT_SLOT_REF( LVALUE_454_168, BINT( 4 ) );{obj_t AUX_1162_64;
AUX_1162_64=LIFT_EXPRESSION_LIFT_EXPRESSION_140( C_STRUCT_REF_720_109, C_CAR_718_206 );OBJ1_711_25=MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152( C_CAR_718_206, C_STRUCT_REF_719_252, AUX_1162_64 );}}}}}else
{obj_t LVALUE_455_198;
{obj_t S_722_90;
S_722_90=CAR( G_452_233 );LVALUE_455_198=STRUCT_SLOT_REF( S_722_90, BINT( 3 ) );}{obj_t C_CAR_724_86;
C_CAR_724_86=CAR( G_452_233 );{obj_t C_STRUCT_REF_725_160;
C_STRUCT_REF_725_160=STRUCT_SLOT_REF( LVALUE_455_198, BINT( 1 ) );{obj_t AUX_1163_121;
AUX_1163_121=LIFT_EXPRESSION_LIFT_EXPRESSION_140( C_STRUCT_REF_725_160, C_CAR_724_86 );OBJ1_711_25=MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152( C_CAR_724_86, BNIL, AUX_1163_121 );}}}}}{obj_t C_CONS_712_75;
C_CONS_712_75=MAKE_PAIR( OBJ1_711_25, RES_453_216 );{
RES_453_216=C_CONS_712_75;
G_452_233=C_CDR_708_112;
goto _LOOP_451_40;
}}}}}
}}
}}}}
}}
}
}

obj_t
#if defined( __STDC__ )
__LIFT_DEFINITION_LIFT_DEFINITION_45(obj_t ENV_1064_91,obj_t VAR_432_242)
#else
__LIFT_DEFINITION_LIFT_DEFINITION_45( ENV_1064_91, VAR_432_242 )
obj_t ENV_1064_91, VAR_432_242;
#endif
{

return LIFT_DEFINITION_LIFT_DEFINITION_247( VAR_432_242 );
}

static obj_t
#if defined( __STDC__ )
MAKE_GLOBAL_DEFINITION_LIFT_DEFINITION_7(obj_t VAR_456_106,obj_t FORMALS_457_222,obj_t BODY_458_149)
#else
MAKE_GLOBAL_DEFINITION_LIFT_DEFINITION_7( VAR_456_106, FORMALS_457_222, BODY_458_149 )
obj_t VAR_456_106, FORMALS_457_222, BODY_458_149;
#endif
{

{
{obj_t AUX_1142_176;
{obj_t AUX_1143_161;
AUX_1143_161=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1142_176=SATISFY__TOOLS_TRACE_72( AUX_1143_161 );}if( BBOOL_TO_CBOOL( AUX_1142_176 ))
{
{obj_t g1010_460_29;
{obj_t L_728_158;
{obj_t STRING_CAST_997_248;
STRING_CAST_997_248=CNST_TABLE_REF( 13 );{obj_t C_CONS_736_172;
{obj_t C_CONS_735_147;
{obj_t STRING_CAST_998_229;
STRING_CAST_998_229=CNST_TABLE_REF( 14 );{obj_t C_CONS_734_124;
{obj_t C_CONS_733_157;
{obj_t STRING_CAST_999_123;
STRING_CAST_999_123=CNST_TABLE_REF( 15 );{obj_t C_CONS_732_238;
{obj_t C_CONS_731_167;
{obj_t C_CONS_730_183;
{obj_t STRING_CAST_1000_221;
STRING_CAST_1000_221=CNST_TABLE_REF( 16 );{obj_t C_CONS_729_208;
C_CONS_729_208=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_730_183=MAKE_PAIR( STRING_CAST_1000_221, C_CONS_729_208 );}}C_CONS_731_167=MAKE_PAIR( BCHAR( '\n' ), C_CONS_730_183 );}{obj_t AUX_1140_141;
AUX_1140_141=SHAPE_TOOLS_SHAPE_229( FORMALS_457_222 );C_CONS_732_238=MAKE_PAIR( AUX_1140_141, C_CONS_731_167 );}}C_CONS_733_157=MAKE_PAIR( STRING_CAST_999_123, C_CONS_732_238 );}}{obj_t AUX_1141_86;
AUX_1141_86=SHAPE_TOOLS_SHAPE_229( VAR_456_106 );C_CONS_734_124=MAKE_PAIR( AUX_1141_86, C_CONS_733_157 );}}C_CONS_735_147=MAKE_PAIR( STRING_CAST_998_229, C_CONS_734_124 );}}C_CONS_736_172=MAKE_PAIR( BCHAR( '\n' ), C_CONS_735_147 );}L_728_158=MAKE_PAIR( STRING_CAST_997_248, C_CONS_736_172 );}}{
g1010_460_29=L_728_158;
{_g1011_459_88:

if( PAIRP( g1010_460_29 ))
{
{obj_t A_461_46;
A_461_46=CAR( g1010_460_29 );{obj_t VA_ARG_996_189;
VA_ARG_996_189=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_461_46, VA_ARG_996_189 );}}
{obj_t C_CDR_727_152;
C_CDR_727_152=CDR( g1010_460_29 );{
g1010_460_29=C_CDR_727_152;
goto _g1011_459_88;
}}
}else
BTRUE;}
}}}
{obj_t PORT_737_226;
PORT_737_226=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_737_226 );}
}else
BFALSE;}
{obj_t GVALUE_462_173;
GVALUE_462_173=STRUCT_SLOT_REF( VAR_456_106, BINT( 6 ) );{
{obj_t V_739_73;
V_739_73=LET_INDIRECT_LIFT_DEFINITION_51( FORMALS_457_222, BODY_458_149 );STRUCT_SLOT_SET( GVALUE_462_173, BINT( 4 ), V_739_73 );}
STRUCT_SLOT_SET( GVALUE_462_173, BINT( 3 ), FORMALS_457_222 );
{bool_t __andtest_1014_1066_78;
{obj_t AUX_1144_128;
if( STRUCTP( VAR_456_106 ))
AUX_1144_128=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( VAR_456_106 ), CNST_TABLE_REF( 3 ) ) );else
AUX_1144_128=BFALSE;__andtest_1014_1066_78=BBOOL_TO_CBOOL( AUX_1144_128 );}{if( __andtest_1014_1066_78)
{bool_t __ortest_1015_1067_181;
{obj_t AUX_1145_83;
{obj_t OBJ1_741_253;
OBJ1_741_253=STRUCT_SLOT_REF( VAR_456_106, BINT( 3 ) );AUX_1145_83=CBOOL_TO_BBOOL( EQP( OBJ1_741_253, CNST_TABLE_REF( 17 ) ) );}__ortest_1015_1067_181=BBOOL_TO_CBOOL( AUX_1145_83 );}if( __ortest_1015_1067_181)
goto _true_6;else
{bool_t OBJ_1069_227;
{obj_t AUX_1146_60;
{bool_t OBJ_1068_96;
{obj_t AUX_1147_66;
{obj_t S_746_83;
S_746_83=STRUCT_SLOT_REF( VAR_456_106, BINT( 6 ) );AUX_1147_66=STRUCT_SLOT_REF( S_746_83, BINT( 6 ) );}OBJ_1068_96=NULLP( AUX_1147_66 );}AUX_1146_60=CBOOL_TO_BBOOL( OBJ_1068_96 );}OBJ_1069_227=BBOOL_TO_CBOOL( AUX_1146_60 );}if( OBJ_1069_227)
goto _false_7;else
goto _true_6;}}else
goto _false_7;_true_6:
{obj_t ENV_465_251;
{obj_t PAIR_750_147;
PAIR_750_147=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( CNST_TABLE_REF( 18 ) );{obj_t PAIR_751_124;
PAIR_751_124=CAR( PAIR_750_147 );ENV_465_251=CDR( PAIR_751_124 );}}{obj_t NEW_FUN_466_146;
{obj_t S_753_86;
{obj_t STRING_CAST_1001_54;
STRING_CAST_1001_54=CNST_TABLE_REF( 19 );{obj_t SYMBOL_757_191;
SYMBOL_757_191=STRUCT_SLOT_REF( VAR_456_106, BINT( 0 ) );{obj_t AUX_1148_79;
AUX_1148_79=SYMBOL_TO_STRING( SYMBOL_757_191 );S_753_86=string_append( STRING_CAST_1001_54, AUX_1148_79 );}}}{obj_t STRING_755_156;
STRING_755_156=STRING_UPCASE___R4_STRINGS_6_7_251( S_753_86 );{obj_t OBJ2_759_239;
{obj_t g1012_468_107;
g1012_468_107=STRUCT_SLOT_REF( GVALUE_462_173, BINT( 3 ) );if( NULLP( g1012_468_107 ))
OBJ2_759_239=BNIL;else
{obj_t HEAD_469_177;
{obj_t OBJ2_763_165;
OBJ2_763_165=BNIL;{obj_t OBJ1_762_200;
{obj_t S_764_213;
S_764_213=CAR( g1012_468_107 );OBJ1_762_200=STRUCT_SLOT_REF( S_764_213, BINT( 0 ) );}HEAD_469_177=MAKE_PAIR( OBJ1_762_200, OBJ2_763_165 );}}{obj_t g1012_471_243, TAIL_472_253;
{obj_t C_CDR_773_141;
C_CDR_773_141=CDR( g1012_468_107 );{
TAIL_472_253=HEAD_469_177;
g1012_471_243=C_CDR_773_141;
{_g1013_470_172:

if( NULLP( g1012_471_243 ))
OBJ2_759_239=HEAD_469_177;else
{obj_t NEW_TAIL_473_115;
{obj_t OBJ2_767_90;
OBJ2_767_90=BNIL;{obj_t OBJ1_766_243;
{obj_t S_768_186;
S_768_186=CAR( g1012_471_243 );OBJ1_766_243=STRUCT_SLOT_REF( S_768_186, BINT( 0 ) );}NEW_TAIL_473_115=MAKE_PAIR( OBJ1_766_243, OBJ2_767_90 );}}{
SET_CDR( TAIL_472_253, NEW_TAIL_473_115 );
{obj_t C_CDR_772_86;
C_CDR_772_86=CDR( g1012_471_243 );{
TAIL_472_253=NEW_TAIL_473_115;
g1012_471_243=C_CDR_772_86;
goto _g1013_470_172;
}}
}}}
}}}}}{obj_t C_CONS_760_24;
C_CONS_760_24=MAKE_PAIR( CNST_TABLE_REF( 20 ), OBJ2_759_239 );{obj_t C_STRUCT_REF_774_181;
C_STRUCT_REF_774_181=STRUCT_SLOT_REF( VAR_456_106, BINT( 1 ) );{obj_t C_STRUCT_REF_775_12;
C_STRUCT_REF_775_12=STRUCT_SLOT_REF( VAR_456_106, BINT( 3 ) );NEW_FUN_466_146=DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( c_string_to_symbol( BSTRING_TO_CSTRING( STRING_755_156 ) ), C_CONS_760_24, C_STRUCT_REF_774_181, C_STRUCT_REF_775_12 );}}}}}}{obj_t NVALUE_467_253;
NVALUE_467_253=STRUCT_SLOT_REF( NEW_FUN_466_146, BINT( 6 ) );{
DECLARE_GLOBAL_CLOSURE__LIFT_INIT_42( VAR_456_106, NEW_FUN_466_146 );
{obj_t V_777_250;
V_777_250=STRUCT_SLOT_REF( GVALUE_462_173, BINT( 8 ) );STRUCT_SLOT_SET( NVALUE_467_253, BINT( 8 ), V_777_250 );}
{obj_t V_779_95;
{obj_t OBJ2_780_239;
OBJ2_780_239=STRUCT_SLOT_REF( GVALUE_462_173, BINT( 3 ) );V_779_95=MAKE_PAIR( ENV_465_251, OBJ2_780_239 );}STRUCT_SLOT_SET( NVALUE_467_253, BINT( 3 ), V_779_95 );}
{obj_t V_782_48;
{obj_t VA_ARG_1002_110;
{obj_t C_STRUCT_REF_783_114;
C_STRUCT_REF_783_114=STRUCT_SLOT_REF( GVALUE_462_173, BINT( 3 ) );{obj_t AUX_1149_46;
{obj_t AUX_1150_153;
AUX_1150_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_1149_46=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_783_114, AUX_1150_153 );}VA_ARG_1002_110=MAKE_PAIR( AUX_1149_46, BNIL );}}V_782_48=CONS____R4_PAIRS_AND_LISTS_6_3_28( VAR_456_106, VA_ARG_1002_110 );}STRUCT_SLOT_SET( NVALUE_467_253, BINT( 4 ), V_782_48 );}
{obj_t C_CONS_785_219;
C_CONS_785_219=MAKE_PAIR( NEW_FUN_466_146, BNIL );return MAKE_PAIR( VAR_456_106, C_CONS_785_219 );}
}}}}_false_7:
return MAKE_PAIR( VAR_456_106, BNIL );;
}}
}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152(obj_t VAR_474_100,obj_t FORMALS_475_54,obj_t BODY_476_231)
#else
MAKE_LOCAL_DEFINITION_LIFT_DEFINITION_152( VAR_474_100, FORMALS_475_54, BODY_476_231 )
obj_t VAR_474_100, FORMALS_475_54, BODY_476_231;
#endif
{

{
{obj_t AUX_1138_47;
{obj_t AUX_1139_109;
AUX_1139_109=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1138_47=SATISFY__TOOLS_TRACE_72( AUX_1139_109 );}if( BBOOL_TO_CBOOL( AUX_1138_47 ))
{
{obj_t g1016_478_178;
{obj_t L_788_15;
{obj_t STRING_CAST_1004_116;
STRING_CAST_1004_116=CNST_TABLE_REF( 21 );{obj_t C_CONS_796_59;
{obj_t C_CONS_795_137;
{obj_t STRING_CAST_1005_95;
STRING_CAST_1005_95=CNST_TABLE_REF( 22 );{obj_t C_CONS_794_228;
{obj_t C_CONS_793_108;
{obj_t STRING_CAST_1006_206;
STRING_CAST_1006_206=CNST_TABLE_REF( 23 );{obj_t C_CONS_792_191;
{obj_t C_CONS_791_232;
{obj_t C_CONS_790_139;
{obj_t STRING_CAST_1007_35;
STRING_CAST_1007_35=CNST_TABLE_REF( 24 );{obj_t C_CONS_789_123;
C_CONS_789_123=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_790_139=MAKE_PAIR( STRING_CAST_1007_35, C_CONS_789_123 );}}C_CONS_791_232=MAKE_PAIR( BCHAR( '\n' ), C_CONS_790_139 );}{obj_t AUX_1136_230;
AUX_1136_230=SHAPE_TOOLS_SHAPE_229( FORMALS_475_54 );C_CONS_792_191=MAKE_PAIR( AUX_1136_230, C_CONS_791_232 );}}C_CONS_793_108=MAKE_PAIR( STRING_CAST_1006_206, C_CONS_792_191 );}}{obj_t AUX_1137_142;
AUX_1137_142=SHAPE_TOOLS_SHAPE_229( VAR_474_100 );C_CONS_794_228=MAKE_PAIR( AUX_1137_142, C_CONS_793_108 );}}C_CONS_795_137=MAKE_PAIR( STRING_CAST_1005_95, C_CONS_794_228 );}}C_CONS_796_59=MAKE_PAIR( BCHAR( '\n' ), C_CONS_795_137 );}L_788_15=MAKE_PAIR( STRING_CAST_1004_116, C_CONS_796_59 );}}{
g1016_478_178=L_788_15;
{_g1017_477_101:

if( PAIRP( g1016_478_178 ))
{
{obj_t A_479_212;
A_479_212=CAR( g1016_478_178 );{obj_t VA_ARG_1003_25;
VA_ARG_1003_25=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_479_212, VA_ARG_1003_25 );}}
{obj_t C_CDR_787_28;
C_CDR_787_28=CDR( g1016_478_178 );{
g1016_478_178=C_CDR_787_28;
goto _g1017_477_101;
}}
}else
BTRUE;}
}}}
{obj_t PORT_797_99;
PORT_797_99=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_797_99 );}
}else
BFALSE;}
{obj_t OBJ1_798_48;
OBJ1_798_48=STRUCT_SLOT_REF( VAR_474_100, BINT( 2 ) );if( EQP( OBJ1_798_48, CNST_TABLE_REF( 25 ) ))
return MAKE_LOCAL_C_DEFINITION_LIFT_DEFINITION_84( VAR_474_100, BODY_476_231 );else
{obj_t S_800_155;
S_800_155=STRUCT_SLOT_REF( VAR_474_100, BINT( 3 ) );{bool_t C_STRUCT_REF_1071_25;
C_STRUCT_REF_1071_25=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_800_155, BINT( 6 ) ) );if( C_STRUCT_REF_1071_25)
{obj_t OBJ1_803_105;
{obj_t S_804_3;
S_804_3=STRUCT_SLOT_REF( VAR_474_100, BINT( 4 ) );OBJ1_803_105=STRUCT_SLOT_REF( S_804_3, BINT( 5 ) );}if( EQP( OBJ1_803_105, CNST_TABLE_REF( 26 ) ))
return MAKE_LOCAL_E_DEFINITION_LIFT_DEFINITION_231( VAR_474_100, FORMALS_475_54, BODY_476_231 );else
return MAKE_LOCAL_0CFA_STRENGTH_DEFINITION_LIFT_DEFINITION_57( VAR_474_100, FORMALS_475_54, BODY_476_231 );}else
return MAKE_LOCAL_R_DEFINITION_LIFT_DEFINITION_57( VAR_474_100, FORMALS_475_54, BODY_476_231 );}}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_C_DEFINITION_LIFT_DEFINITION_84(obj_t VAR_480_189,obj_t BODY_481_62)
#else
MAKE_LOCAL_C_DEFINITION_LIFT_DEFINITION_84( VAR_480_189, BODY_481_62 )
obj_t VAR_480_189, BODY_481_62;
#endif
{

{
{obj_t AUX_1129_32;
{obj_t AUX_1130_246;
AUX_1130_246=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1129_32=SATISFY__TOOLS_TRACE_72( AUX_1130_246 );}if( BBOOL_TO_CBOOL( AUX_1129_32 ))
{
{obj_t g1018_483_132;
{obj_t L_808_9;
{obj_t STRING_CAST_1009_133;
STRING_CAST_1009_133=CNST_TABLE_REF( 27 );{obj_t C_CONS_809_124;
C_CONS_809_124=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_808_9=MAKE_PAIR( STRING_CAST_1009_133, C_CONS_809_124 );}}{
g1018_483_132=L_808_9;
{_g1019_482_185:

if( PAIRP( g1018_483_132 ))
{
{obj_t A_484_25;
A_484_25=CAR( g1018_483_132 );{obj_t VA_ARG_1008_138;
VA_ARG_1008_138=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_484_25, VA_ARG_1008_138 );}}
{obj_t C_CDR_807_159;
C_CDR_807_159=CDR( g1018_483_132 );{
g1018_483_132=C_CDR_807_159;
goto _g1019_482_185;
}}
}else
BTRUE;}
}}}
{obj_t PORT_810_30;
PORT_810_30=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_810_30 );}
}else
BFALSE;}
{obj_t KAPTURED_485_43;
{obj_t S_811_113;
S_811_113=STRUCT_SLOT_REF( VAR_480_189, BINT( 4 ) );KAPTURED_485_43=STRUCT_SLOT_REF( S_811_113, BINT( 7 ) );}{obj_t FORMALS_486_105;
if( NULLP( KAPTURED_485_43 ))
FORMALS_486_105=BNIL;else
{obj_t HEAD_491_106;
{obj_t OBJ2_815_47;
OBJ2_815_47=BNIL;{obj_t OBJ1_814_219;
{obj_t LOCAL_497_125;
LOCAL_497_125=CAR( KAPTURED_485_43 );{obj_t C_STRUCT_REF_816_173;
C_STRUCT_REF_816_173=STRUCT_SLOT_REF( LOCAL_497_125, BINT( 0 ) );OBJ1_814_219=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_816_173 );}}HEAD_491_106=MAKE_PAIR( OBJ1_814_219, OBJ2_815_47 );}}{obj_t g1020_493_185, TAIL_494_131;
{obj_t C_CDR_821_27;
C_CDR_821_27=CDR( KAPTURED_485_43 );{
TAIL_494_131=HEAD_491_106;
g1020_493_185=C_CDR_821_27;
{_g1021_492_163:

if( NULLP( g1020_493_185 ))
FORMALS_486_105=HEAD_491_106;else
{obj_t NEW_TAIL_495_85;
{obj_t OBJ2_818_227;
OBJ2_818_227=BNIL;{obj_t OBJ1_817_243;
{obj_t LOCAL_496_118;
LOCAL_496_118=CAR( g1020_493_185 );{obj_t C_STRUCT_REF_819_169;
C_STRUCT_REF_819_169=STRUCT_SLOT_REF( LOCAL_496_118, BINT( 0 ) );OBJ1_817_243=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_819_169 );}}NEW_TAIL_495_85=MAKE_PAIR( OBJ1_817_243, OBJ2_818_227 );}}{
SET_CDR( TAIL_494_131, NEW_TAIL_495_85 );
{obj_t C_CDR_820_233;
C_CDR_820_233=CDR( g1020_493_185 );{
TAIL_494_131=NEW_TAIL_495_85;
g1020_493_185=C_CDR_820_233;
goto _g1021_492_163;
}}
}}}
}}}}{obj_t CONTINUE_487_5;
CONTINUE_487_5=THE_CONTINUE_LIFT_CLOSURE_240( VAR_480_189 );{obj_t BODY_488_180;
{obj_t VA_ARG_1010_86;
VA_ARG_1010_86=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1011_141;
{obj_t L_822_166;
{obj_t C_CONS_823_198;
C_CONS_823_198=MAKE_PAIR( VAR_480_189, CONTINUE_487_5 );L_822_166=MAKE_PAIR( C_CONS_823_198, BNIL );}{obj_t AUX_1131_114;
{obj_t AUX_1132_62;
AUX_1132_62=LABELS_INTEGRATES_LIFT_DEFINITION_167( VAR_480_189, BODY_481_62 );AUX_1131_114=BETA_REDUCE_TOOLS_BETA_191( AUX_1132_62, L_822_166 );}VA_ARG_1011_141=MAKE_PAIR( AUX_1131_114, VA_ARG_1010_86 );}}{obj_t VA_ARG_1012_161;
{obj_t VA_ARG_1013_176;
VA_ARG_1013_176=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1014_83;
{obj_t VA_ARG_1015_128;
VA_ARG_1015_128=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1133_179;
AUX_1133_179=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 28 ), VA_ARG_1015_128 );VA_ARG_1014_83=MAKE_PAIR( AUX_1133_179, VA_ARG_1013_176 );}}{obj_t VA_ARG_1016_66;
VA_ARG_1016_66=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1134_96;
{obj_t AUX_1135_227;
AUX_1135_227=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONTINUE_487_5, VA_ARG_1014_83 );AUX_1134_96=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1135_227, VA_ARG_1016_66 );}VA_ARG_1012_161=MAKE_PAIR( AUX_1134_96, VA_ARG_1011_141 );}}}}BODY_488_180=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_1012_161 );}}}{obj_t VALUE_489_202;
VALUE_489_202=STRUCT_SLOT_REF( VAR_480_189, BINT( 3 ) );{
STRUCT_SLOT_SET( VALUE_489_202, BINT( 0 ), FORMALS_486_105 );
{obj_t V_825_214;
V_825_214=LIFT_ALPHATIZE__LIFT_ALPHA_121( BODY_488_180, KAPTURED_485_43, FORMALS_486_105 );STRUCT_SLOT_SET( VALUE_489_202, BINT( 1 ), V_825_214 );}
return VAR_480_189;
}}}}}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_0CFA_STRENGTH_DEFINITION_LIFT_DEFINITION_57(obj_t VAR_498_56,obj_t FORMALS_499_197,obj_t BODY_500_212)
#else
MAKE_LOCAL_0CFA_STRENGTH_DEFINITION_LIFT_DEFINITION_57( VAR_498_56, FORMALS_499_197, BODY_500_212 )
obj_t VAR_498_56, FORMALS_499_197, BODY_500_212;
#endif
{

{
{obj_t AUX_1121_43;
{obj_t AUX_1122_247;
AUX_1122_247=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1121_43=SATISFY__TOOLS_TRACE_72( AUX_1122_247 );}if( BBOOL_TO_CBOOL( AUX_1121_43 ))
{
{obj_t g1022_502_101;
{obj_t L_827_195;
{obj_t STRING_CAST_1018_185;
STRING_CAST_1018_185=CNST_TABLE_REF( 30 );{obj_t C_CONS_828_128;
C_CONS_828_128=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_827_195=MAKE_PAIR( STRING_CAST_1018_185, C_CONS_828_128 );}}{
g1022_502_101=L_827_195;
{_g1023_501_129:

if( PAIRP( g1022_502_101 ))
{
{obj_t A_503_83;
A_503_83=CAR( g1022_502_101 );{obj_t VA_ARG_1017_60;
VA_ARG_1017_60=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_503_83, VA_ARG_1017_60 );}}
{obj_t C_CDR_826_118;
C_CDR_826_118=CDR( g1022_502_101 );{
g1022_502_101=C_CDR_826_118;
goto _g1023_501_129;
}}
}else
BTRUE;}
}}}
{obj_t PORT_829_40;
PORT_829_40=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_829_40 );}
}else
BFALSE;}
{obj_t CLO_504_119;
{obj_t S_830_173;
S_830_173=THE_CLOSURE_LIFT_CLOSURE_124( VAR_498_56 );{obj_t C_STRUCT_REF_831_210;
C_STRUCT_REF_831_210=STRUCT_SLOT_REF( S_830_173, BINT( 0 ) );CLO_504_119=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_831_210 );}}{obj_t FORMALS_505_106;
FORMALS_505_106=MAKE_PAIR( CLO_504_119, FORMALS_499_197 );{obj_t BODY_506_204;
{obj_t S_832_30;
S_832_30=STRUCT_SLOT_REF( VAR_498_56, BINT( 4 ) );{obj_t C_STRUCT_REF_833_67;
C_STRUCT_REF_833_67=STRUCT_SLOT_REF( S_832_30, BINT( 7 ) );{obj_t S_835_65;
S_835_65=STRUCT_SLOT_REF( VAR_498_56, BINT( 3 ) );{obj_t C_STRUCT_REF_836_115;
C_STRUCT_REF_836_115=STRUCT_SLOT_REF( S_835_65, BINT( 3 ) );{obj_t AUX_1123_204;
{obj_t AUX_1124_224;
AUX_1124_224=LABELS_INTEGRATES_LIFT_DEFINITION_167( VAR_498_56, BODY_500_212 );AUX_1123_204=LET_INDIRECT_LIFT_DEFINITION_51( C_STRUCT_REF_836_115, AUX_1124_224 );}BODY_506_204=LET_0CFA_STRENGTH_CAPTURED_LIFT_DEFINITION_8( VAR_498_56, C_STRUCT_REF_833_67, AUX_1123_204 );}}}}}{obj_t VALUE_507_233;
VALUE_507_233=STRUCT_SLOT_REF( VAR_498_56, BINT( 3 ) );{
{obj_t AUX_1126_94;
{obj_t AUX_1127_220;
AUX_1127_220=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1126_94=SATISFY__TOOLS_TRACE_72( AUX_1127_220 );}if( BBOOL_TO_CBOOL( AUX_1126_94 ))
{
{obj_t g1024_509_253;
{obj_t L_840_158;
{obj_t STRING_CAST_1020_151;
STRING_CAST_1020_151=CNST_TABLE_REF( 31 );{obj_t C_CONS_842_235;
{obj_t C_CONS_841_163;
C_CONS_841_163=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1125_212;
AUX_1125_212=SHAPE_TOOLS_SHAPE_229( BODY_506_204 );C_CONS_842_235=MAKE_PAIR( AUX_1125_212, C_CONS_841_163 );}}L_840_158=MAKE_PAIR( STRING_CAST_1020_151, C_CONS_842_235 );}}{
g1024_509_253=L_840_158;
{_g1025_508_148:

if( PAIRP( g1024_509_253 ))
{
{obj_t A_510_93;
A_510_93=CAR( g1024_509_253 );{obj_t VA_ARG_1019_79;
VA_ARG_1019_79=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_510_93, VA_ARG_1019_79 );}}
{obj_t C_CDR_839_238;
C_CDR_839_238=CDR( g1024_509_253 );{
g1024_509_253=C_CDR_839_238;
goto _g1025_508_148;
}}
}else
BTRUE;}
}}}
{obj_t PORT_843_186;
PORT_843_186=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_843_186 );}
}else
BFALSE;}
STRUCT_SLOT_SET( VALUE_507_233, BINT( 3 ), FORMALS_505_106 );
{obj_t V_844_193;
{obj_t L_845_240;
{obj_t AUX_1128_13;
AUX_1128_13=THE_CLOSURE_LIFT_CLOSURE_124( VAR_498_56 );L_845_240=MAKE_PAIR( AUX_1128_13, BNIL );}{obj_t L_846_102;
L_846_102=MAKE_PAIR( CLO_504_119, BNIL );V_844_193=LIFT_ALPHATIZE__LIFT_ALPHA_121( BODY_506_204, L_845_240, L_846_102 );}}STRUCT_SLOT_SET( VALUE_507_233, BINT( 4 ), V_844_193 );}
return VAR_498_56;
}}}}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_E_DEFINITION_LIFT_DEFINITION_231(obj_t VAR_511_220,obj_t FORMALS_512_5,obj_t BODY_513_215)
#else
MAKE_LOCAL_E_DEFINITION_LIFT_DEFINITION_231( VAR_511_220, FORMALS_512_5, BODY_513_215 )
obj_t VAR_511_220, FORMALS_512_5, BODY_513_215;
#endif
{

{
{obj_t AUX_1111_85;
{obj_t AUX_1112_253;
AUX_1112_253=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1111_85=SATISFY__TOOLS_TRACE_72( AUX_1112_253 );}if( BBOOL_TO_CBOOL( AUX_1111_85 ))
{
{obj_t g1026_515_4;
{obj_t L_848_159;
{obj_t STRING_CAST_1022_207;
STRING_CAST_1022_207=CNST_TABLE_REF( 32 );{obj_t C_CONS_849_152;
C_CONS_849_152=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_848_159=MAKE_PAIR( STRING_CAST_1022_207, C_CONS_849_152 );}}{
g1026_515_4=L_848_159;
{_g1027_514_216:

if( PAIRP( g1026_515_4 ))
{
{obj_t A_516_3;
A_516_3=CAR( g1026_515_4 );{obj_t VA_ARG_1021_172;
VA_ARG_1021_172=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_516_3, VA_ARG_1021_172 );}}
{obj_t C_CDR_847_251;
C_CDR_847_251=CDR( g1026_515_4 );{
g1026_515_4=C_CDR_847_251;
goto _g1027_514_216;
}}
}else
BTRUE;}
}}}
{obj_t PORT_850_78;
PORT_850_78=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_850_78 );}
}else
BFALSE;}
{obj_t CLO_517_212;
{obj_t S_851_61;
S_851_61=THE_CLOSURE_LIFT_CLOSURE_124( VAR_511_220 );{obj_t C_STRUCT_REF_852_187;
C_STRUCT_REF_852_187=STRUCT_SLOT_REF( S_851_61, BINT( 0 ) );CLO_517_212=ALLOCATE_LOCAL_VARIABLE_SCAN_LEXICAL_217( C_STRUCT_REF_852_187 );}}{obj_t FORMALS_518_232;
FORMALS_518_232=MAKE_PAIR( CLO_517_212, FORMALS_512_5 );{obj_t BODY_519_142;
{obj_t A_FUNCTION_1023_74;
A_FUNCTION_1023_74=ABSTRACT_PROCEDURE_ENV_REF_ENV_HEAP_ABSTRACT_72;{obj_t S_853_89;
S_853_89=STRUCT_SLOT_REF( VAR_511_220, BINT( 4 ) );{obj_t C_STRUCT_REF_854_214;
C_STRUCT_REF_854_214=STRUCT_SLOT_REF( S_853_89, BINT( 7 ) );{obj_t S_856_93;
S_856_93=STRUCT_SLOT_REF( VAR_511_220, BINT( 3 ) );{obj_t C_STRUCT_REF_857_84;
C_STRUCT_REF_857_84=STRUCT_SLOT_REF( S_856_93, BINT( 3 ) );{obj_t L_859_199;
{obj_t AUX_1113_237;
AUX_1113_237=THE_CLOSURE_LIFT_CLOSURE_124( VAR_511_220 );L_859_199=MAKE_PAIR( AUX_1113_237, BNIL );}{obj_t L_860_239;
L_860_239=MAKE_PAIR( CLO_517_212, BNIL );{obj_t AUX_1114_250;
{obj_t AUX_1115_154;
{obj_t AUX_1116_133;
AUX_1116_133=LABELS_INTEGRATES_LIFT_DEFINITION_167( VAR_511_220, BODY_513_215 );AUX_1115_154=LET_INDIRECT_LIFT_DEFINITION_51( C_STRUCT_REF_857_84, AUX_1116_133 );}AUX_1114_250=LIFT_ALPHATIZE__LIFT_ALPHA_121( AUX_1115_154, L_859_199, L_860_239 );}BODY_519_142=LET_CAPTURED_LIFT_DEFINITION_86( VAR_511_220, A_FUNCTION_1023_74, C_STRUCT_REF_854_214, AUX_1114_250 );}}}}}}}}{obj_t VALUE_520_8;
VALUE_520_8=STRUCT_SLOT_REF( VAR_511_220, BINT( 3 ) );{
{obj_t AUX_1118_35;
{obj_t AUX_1119_206;
AUX_1119_206=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1118_35=SATISFY__TOOLS_TRACE_72( AUX_1119_206 );}if( BBOOL_TO_CBOOL( AUX_1118_35 ))
{
{obj_t g1028_522_125;
{obj_t L_863_101;
{obj_t STRING_CAST_1025_21;
STRING_CAST_1025_21=CNST_TABLE_REF( 33 );{obj_t C_CONS_865_178;
{obj_t C_CONS_864_85;
C_CONS_864_85=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1117_88;
AUX_1117_88=SHAPE_TOOLS_SHAPE_229( BODY_519_142 );C_CONS_865_178=MAKE_PAIR( AUX_1117_88, C_CONS_864_85 );}}L_863_101=MAKE_PAIR( STRING_CAST_1025_21, C_CONS_865_178 );}}{
g1028_522_125=L_863_101;
{_g1029_521_140:

if( PAIRP( g1028_522_125 ))
{
{obj_t A_523_76;
A_523_76=CAR( g1028_522_125 );{obj_t VA_ARG_1024_157;
VA_ARG_1024_157=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_523_76, VA_ARG_1024_157 );}}
{obj_t C_CDR_862_30;
C_CDR_862_30=CDR( g1028_522_125 );{
g1028_522_125=C_CDR_862_30;
goto _g1029_521_140;
}}
}else
BTRUE;}
}}}
{obj_t PORT_866_228;
PORT_866_228=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_866_228 );}
}else
BFALSE;}
STRUCT_SLOT_SET( VALUE_520_8, BINT( 3 ), FORMALS_518_232 );
{obj_t V_867_243;
{obj_t L_868_59;
{obj_t AUX_1120_196;
AUX_1120_196=THE_CLOSURE_LIFT_CLOSURE_124( VAR_511_220 );L_868_59=MAKE_PAIR( AUX_1120_196, BNIL );}{obj_t L_869_74;
L_869_74=MAKE_PAIR( CLO_517_212, BNIL );V_867_243=LIFT_ALPHATIZE__LIFT_ALPHA_121( BODY_519_142, L_868_59, L_869_74 );}}STRUCT_SLOT_SET( VALUE_520_8, BINT( 4 ), V_867_243 );}
return VAR_511_220;
}}}}}
}
}

static obj_t
#if defined( __STDC__ )
MAKE_LOCAL_R_DEFINITION_LIFT_DEFINITION_57(obj_t VAR_524_116,obj_t FORMALS_525_68,obj_t BODY_526_55)
#else
MAKE_LOCAL_R_DEFINITION_LIFT_DEFINITION_57( VAR_524_116, FORMALS_525_68, BODY_526_55 )
obj_t VAR_524_116, FORMALS_525_68, BODY_526_55;
#endif
{

{
{obj_t AUX_1108_215;
{obj_t AUX_1109_160;
AUX_1109_160=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1108_215=SATISFY__TOOLS_TRACE_72( AUX_1109_160 );}if( BBOOL_TO_CBOOL( AUX_1108_215 ))
{
{obj_t g1030_528_54;
{obj_t L_871_64;
{obj_t STRING_CAST_1027_113;
STRING_CAST_1027_113=CNST_TABLE_REF( 34 );{obj_t C_CONS_872_249;
C_CONS_872_249=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_871_64=MAKE_PAIR( STRING_CAST_1027_113, C_CONS_872_249 );}}{
g1030_528_54=L_871_64;
{_g1031_527_37:

if( PAIRP( g1030_528_54 ))
{
{obj_t A_529_10;
A_529_10=CAR( g1030_528_54 );{obj_t VA_ARG_1026_167;
VA_ARG_1026_167=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_529_10, VA_ARG_1026_167 );}}
{obj_t C_CDR_870_207;
C_CDR_870_207=CDR( g1030_528_54 );{
g1030_528_54=C_CDR_870_207;
goto _g1031_527_37;
}}
}else
BTRUE;}
}}}
{obj_t PORT_873_16;
PORT_873_16=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_873_16 );}
}else
BFALSE;}
{obj_t FORMALS_532_1, BODY_531_192, VALUE_530_145;
{obj_t S_878_174;
S_878_174=STRUCT_SLOT_REF( VAR_524_116, BINT( 4 ) );{obj_t C_STRUCT_REF_879_38;
C_STRUCT_REF_879_38=STRUCT_SLOT_REF( S_878_174, BINT( 7 ) );FORMALS_532_1=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_879_38, FORMALS_525_68 );}}{obj_t S_875_138;
S_875_138=STRUCT_SLOT_REF( VAR_524_116, BINT( 3 ) );{obj_t C_STRUCT_REF_876_146;
C_STRUCT_REF_876_146=STRUCT_SLOT_REF( S_875_138, BINT( 3 ) );{obj_t AUX_1110_178;
AUX_1110_178=LABELS_INTEGRATES_LIFT_DEFINITION_167( VAR_524_116, BODY_526_55 );BODY_531_192=LET_INDIRECT_LIFT_DEFINITION_51( C_STRUCT_REF_876_146, AUX_1110_178 );}}}VALUE_530_145=STRUCT_SLOT_REF( VAR_524_116, BINT( 3 ) );{
STRUCT_SLOT_SET( VALUE_530_145, BINT( 3 ), FORMALS_532_1 );
STRUCT_SLOT_SET( VALUE_530_145, BINT( 4 ), BODY_531_192 );
return VAR_524_116;
}}
}
}

static obj_t
#if defined( __STDC__ )
LET_INDIRECT_LIFT_DEFINITION_51(obj_t ARG__533_179,obj_t EXP_534_177)
#else
LET_INDIRECT_LIFT_DEFINITION_51( ARG__533_179, EXP_534_177 )
obj_t ARG__533_179, EXP_534_177;
#endif
{

{
{obj_t AUX_1101_96;
{obj_t AUX_1102_142;
AUX_1102_142=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1101_96=SATISFY__TOOLS_TRACE_72( AUX_1102_142 );}if( BBOOL_TO_CBOOL( AUX_1101_96 ))
{
{obj_t g1032_536_36;
{obj_t L_882_19;
{obj_t STRING_CAST_1029_6;
STRING_CAST_1029_6=CNST_TABLE_REF( 35 );{obj_t C_CONS_884_35;
{obj_t C_CONS_883_221;
C_CONS_883_221=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1100_227;
AUX_1100_227=SHAPE_TOOLS_SHAPE_229( ARG__533_179 );C_CONS_884_35=MAKE_PAIR( AUX_1100_227, C_CONS_883_221 );}}L_882_19=MAKE_PAIR( STRING_CAST_1029_6, C_CONS_884_35 );}}{
g1032_536_36=L_882_19;
{_g1033_535_223:

if( PAIRP( g1032_536_36 ))
{
{obj_t A_537_234;
A_537_234=CAR( g1032_536_36 );{obj_t VA_ARG_1028_78;
VA_ARG_1028_78=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_537_234, VA_ARG_1028_78 );}}
{obj_t C_CDR_881_231;
C_CDR_881_231=CDR( g1032_536_36 );{
g1032_536_36=C_CDR_881_231;
goto _g1033_535_223;
}}
}else
BTRUE;}
}}}
{obj_t PORT_885_109;
PORT_885_109=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_885_109 );}
}else
BFALSE;}
{obj_t ARG__539_109, DECL__540_53;
{
DECL__540_53=BNIL;
ARG__539_109=ARG__533_179;
{_LOOP_538_133:

if( NULLP( ARG__539_109 ))
if( NULLP( DECL__540_53 ))
return EXP_534_177;else
{obj_t VA_ARG_1030_103;
{obj_t VA_ARG_1031_70;
VA_ARG_1031_70=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1103_230;
{obj_t AUX_1104_114;
AUX_1104_114=CONS____R4_PAIRS_AND_LISTS_6_3_28( EXP_534_177, VA_ARG_1031_70 );AUX_1103_230=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( DECL__540_53, AUX_1104_114 );}VA_ARG_1030_103=MAKE_PAIR( AUX_1103_230, BNIL );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 36 ), VA_ARG_1030_103 );}else
{bool_t __andtest_1034_1073_50;
{obj_t AUX_1105_246;
{obj_t OBJ1_886_199;
{obj_t S_887_120;
S_887_120=CAR( ARG__539_109 );OBJ1_886_199=STRUCT_SLOT_REF( S_887_120, BINT( 5 ) );}AUX_1105_246=CBOOL_TO_BBOOL( EQP( OBJ1_886_199, CNST_TABLE_REF( 37 ) ) );}__andtest_1034_1073_50=BBOOL_TO_CBOOL( AUX_1105_246 );}{if( __andtest_1034_1073_50)
{bool_t __ortest_1035_1074_26;
{obj_t AUX_1106_179;
{obj_t S_889_163;
{obj_t S_891_112;
S_891_112=CAR( ARG__539_109 );S_889_163=STRUCT_SLOT_REF( S_891_112, BINT( 4 ) );}AUX_1106_179=STRUCT_SLOT_REF( S_889_163, BINT( 11 ) );}__ortest_1035_1074_26=BBOOL_TO_CBOOL( AUX_1106_179 );}if( __ortest_1035_1074_26)
goto _true_3;else
if( BBOOL_TO_CBOOL( __CALL_CC___ENGINE_PARAM_225 ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{
{obj_t C_CAR_893_175;
C_CAR_893_175=CAR( ARG__539_109 );ADD_CELLED__LIFT_INTERFACE_146( C_CAR_893_175 );}
{obj_t C_CDR_894_111;
C_CDR_894_111=CDR( ARG__539_109 );{obj_t OBJ1_895_254;
{obj_t VA_ARG_1032_12;
VA_ARG_1032_12=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1033_181;
{obj_t C_CAR_898_189;
C_CAR_898_189=CAR( ARG__539_109 );{obj_t AUX_1107_62;
AUX_1107_62=ABSTRACT_MAKE_CELL_HEAP_ABSTRACT_52( C_CAR_898_189 );VA_ARG_1033_181=MAKE_PAIR( AUX_1107_62, VA_ARG_1032_12 );}}{obj_t VA_ARG_1034_75;
{obj_t C_CAR_897_166;
C_CAR_897_166=CAR( ARG__539_109 );VA_ARG_1034_75=MAKE_PAIR( C_CAR_897_166, VA_ARG_1033_181 );}OBJ1_895_254=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 38 ), VA_ARG_1034_75 );}}}{obj_t C_CONS_896_55;
C_CONS_896_55=MAKE_PAIR( OBJ1_895_254, DECL__540_53 );{
DECL__540_53=C_CONS_896_55;
ARG__539_109=C_CDR_894_111;
goto _LOOP_538_133;
}}}}
}_false_4:
{obj_t C_CDR_899_90;
C_CDR_899_90=CDR( ARG__539_109 );{
ARG__539_109=C_CDR_899_90;
goto _LOOP_538_133;
}};
}}}
}}
}
}

static obj_t
#if defined( __STDC__ )
LET_CAPTURED_LIFT_DEFINITION_86(obj_t VAR_543_36,obj_t ENV_REF_544_213,obj_t KVARS_545_47,obj_t EXP_546_146)
#else
LET_CAPTURED_LIFT_DEFINITION_86( VAR_543_36, ENV_REF_544_213, KVARS_545_47, EXP_546_146 )
obj_t VAR_543_36, ENV_REF_544_213, KVARS_545_47, EXP_546_146;
#endif
{

{
{obj_t AUX_1096_152;
{obj_t AUX_1097_131;
AUX_1097_131=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1096_152=SATISFY__TOOLS_TRACE_72( AUX_1097_131 );}if( BBOOL_TO_CBOOL( AUX_1096_152 ))
{
{obj_t g1036_548_233;
{obj_t L_901_219;
{obj_t STRING_CAST_1036_196;
STRING_CAST_1036_196=CNST_TABLE_REF( 39 );{obj_t C_CONS_903_55;
{obj_t C_CONS_902_143;
C_CONS_902_143=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1095_229;
AUX_1095_229=SHAPE_TOOLS_SHAPE_229( KVARS_545_47 );C_CONS_903_55=MAKE_PAIR( AUX_1095_229, C_CONS_902_143 );}}L_901_219=MAKE_PAIR( STRING_CAST_1036_196, C_CONS_903_55 );}}{
g1036_548_233=L_901_219;
{_g1037_547_95:

if( PAIRP( g1036_548_233 ))
{
{obj_t A_549_135;
A_549_135=CAR( g1036_548_233 );{obj_t VA_ARG_1035_78;
VA_ARG_1035_78=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_549_135, VA_ARG_1035_78 );}}
{obj_t C_CDR_900_96;
C_CDR_900_96=CDR( g1036_548_233 );{
g1036_548_233=C_CDR_900_96;
goto _g1037_547_95;
}}
}else
BTRUE;}
}}}
{obj_t PORT_904_27;
PORT_904_27=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_904_27 );}
}else
BFALSE;}
if( NULLP( KVARS_545_47 ))
return EXP_546_146;else
{obj_t CLOSURE_550_40;
CLOSURE_550_40=THE_CLOSURE_LIFT_CLOSURE_124( VAR_543_36 );{obj_t K_552_27, I_553_102, DECL_554_139;
{
DECL_554_139=BNIL;
I_553_102=BINT( 0 );
K_552_27=KVARS_545_47;
{_LOOP_551_178:

if( NULLP( K_552_27 ))
{obj_t VA_ARG_1037_58;
VA_ARG_1037_58=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1038_238;
VA_ARG_1038_238=MAKE_PAIR( EXP_546_146, VA_ARG_1037_58 );{obj_t VA_ARG_1039_157;
VA_ARG_1039_157=MAKE_PAIR( DECL_554_139, VA_ARG_1038_238 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_1039_157 );}}}else
{obj_t NEW_ARG_555_191;
NEW_ARG_555_191=CAR( K_552_27 );{obj_t C_CDR_905_114;
C_CDR_905_114=CDR( K_552_27 );{obj_t OBJ1_909_173;
{obj_t C_CONS_912_80;
{obj_t AUX_1098_219;
AUX_1098_219=PROCEDURE_ENTRY( ENV_REF_544_213 )( ENV_REF_544_213, CLOSURE_550_40, I_553_102, BEOA );C_CONS_912_80=MAKE_PAIR( AUX_1098_219, BNIL );}OBJ1_909_173=MAKE_PAIR( NEW_ARG_555_191, C_CONS_912_80 );}{obj_t C_CONS_910_34;
C_CONS_910_34=MAKE_PAIR( OBJ1_909_173, DECL_554_139 );{obj_t I_1099_59;
I_1099_59=I_553_102;{
DECL_554_139=C_CONS_910_34;
I_553_102=ADD_I_PTAG( I_1099_59, PSUB_TAG( 1 ) );
K_552_27=C_CDR_905_114;
goto _LOOP_551_178;
}}}}}}}
}}}
}
}

static obj_t
#if defined( __STDC__ )
LET_0CFA_STRENGTH_CAPTURED_LIFT_DEFINITION_8(obj_t VAR_556_45,obj_t KVARS_557_23,obj_t EXP_558_27)
#else
LET_0CFA_STRENGTH_CAPTURED_LIFT_DEFINITION_8( VAR_556_45, KVARS_557_23, EXP_558_27 )
obj_t VAR_556_45, KVARS_557_23, EXP_558_27;
#endif
{

{
{obj_t AUX_1091_209;
{obj_t AUX_1092_203;
AUX_1092_203=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1091_209=SATISFY__TOOLS_TRACE_72( AUX_1092_203 );}if( BBOOL_TO_CBOOL( AUX_1091_209 ))
{
{obj_t g1038_560_251;
{obj_t L_914_194;
{obj_t STRING_CAST_1041_129;
STRING_CAST_1041_129=CNST_TABLE_REF( 40 );{obj_t C_CONS_916_195;
{obj_t C_CONS_915_100;
C_CONS_915_100=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1090_120;
AUX_1090_120=SHAPE_TOOLS_SHAPE_229( KVARS_557_23 );C_CONS_916_195=MAKE_PAIR( AUX_1090_120, C_CONS_915_100 );}}L_914_194=MAKE_PAIR( STRING_CAST_1041_129, C_CONS_916_195 );}}{
g1038_560_251=L_914_194;
{_g1039_559_137:

if( PAIRP( g1038_560_251 ))
{
{obj_t A_561_200;
A_561_200=CAR( g1038_560_251 );{obj_t VA_ARG_1040_34;
VA_ARG_1040_34=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_561_200, VA_ARG_1040_34 );}}
{obj_t C_CDR_913_201;
C_CDR_913_201=CDR( g1038_560_251 );{
g1038_560_251=C_CDR_913_201;
goto _g1039_559_137;
}}
}else
BTRUE;}
}}}
{obj_t PORT_917_34;
PORT_917_34=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_917_34 );}
}else
BFALSE;}
{obj_t ENV_562_125;
{obj_t PAIR_918_17;
PAIR_918_17=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( CNST_TABLE_REF( 41 ) );{obj_t PAIR_919_127;
PAIR_919_127=CAR( PAIR_918_17 );ENV_562_125=CDR( PAIR_919_127 );}}{obj_t CLOSURE_563_109;
CLOSURE_563_109=THE_CLOSURE_LIFT_CLOSURE_124( VAR_556_45 );{obj_t OBJ1_920_93;
{obj_t S_921_226;
S_921_226=STRUCT_SLOT_REF( VAR_556_45, BINT( 4 ) );OBJ1_920_93=STRUCT_SLOT_REF( S_921_226, BINT( 5 ) );}if( EQP( OBJ1_920_93, CNST_TABLE_REF( 42 ) ))
{obj_t N1_926_183;
N1_926_183=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( KVARS_557_23 );if( EQ_I( N1_926_183, BINT( 1 ) ))
{obj_t VA_ARG_1042_80;
VA_ARG_1042_80=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1043_166;
VA_ARG_1043_166=MAKE_PAIR( EXP_558_27, VA_ARG_1042_80 );{obj_t VA_ARG_1044_99;
{obj_t C_CAR_927_122;
C_CAR_927_122=CAR( KVARS_557_23 );{obj_t VA_ARG_1045_100;
VA_ARG_1045_100=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1046_195;
VA_ARG_1046_195=MAKE_PAIR( CLOSURE_563_109, VA_ARG_1045_100 );{obj_t VA_ARG_1047_175;
VA_ARG_1047_175=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_1093_76;
{obj_t AUX_1094_123;
AUX_1094_123=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_927_122, VA_ARG_1046_195 );AUX_1093_76=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_1094_123, VA_ARG_1047_175 );}VA_ARG_1044_99=MAKE_PAIR( AUX_1093_76, VA_ARG_1043_166 );}}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 29 ), VA_ARG_1044_99 );}}}else
{obj_t A_FUNCTION_1048_217;
A_FUNCTION_1048_217=ABSTRACT_PROCEDURE_EXTRA_LIGHT_ENV_REF_ENV_HEAP_ABSTRACT_83;return LET_CAPTURED_LIFT_DEFINITION_86( VAR_556_45, A_FUNCTION_1048_217, KVARS_557_23, EXP_558_27 );}}else
{obj_t A_FUNCTION_1049_202;
A_FUNCTION_1049_202=ABSTRACT_PROCEDURE_LIGHT_ENV_REF_ENV_HEAP_ABSTRACT_129;return LET_CAPTURED_LIFT_DEFINITION_86( VAR_556_45, A_FUNCTION_1049_202, KVARS_557_23, EXP_558_27 );}}}}
}
}

static obj_t
#if defined( __STDC__ )
LABELS_INTEGRATES_LIFT_DEFINITION_167(obj_t VAR_564_165,obj_t BODY_565_140)
#else
LABELS_INTEGRATES_LIFT_DEFINITION_167( VAR_564_165, BODY_565_140 )
obj_t VAR_564_165, BODY_565_140;
#endif
{

{
{obj_t AUX_1084_68;
{obj_t AUX_1085_56;
AUX_1085_56=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1084_68=SATISFY__TOOLS_TRACE_72( AUX_1085_56 );}if( BBOOL_TO_CBOOL( AUX_1084_68 ))
{
{obj_t g1040_567_240;
{obj_t L_929_22;
{obj_t STRING_CAST_1051_180;
STRING_CAST_1051_180=CNST_TABLE_REF( 43 );{obj_t C_CONS_934_216;
{obj_t S_930_240;
S_930_240=STRUCT_SLOT_REF( VAR_564_165, BINT( 4 ) );{obj_t C_STRUCT_REF_931_65;
C_STRUCT_REF_931_65=STRUCT_SLOT_REF( S_930_240, BINT( 3 ) );{obj_t C_CONS_933_38;
C_CONS_933_38=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1083_87;
AUX_1083_87=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_931_65 );C_CONS_934_216=MAKE_PAIR( AUX_1083_87, C_CONS_933_38 );}}}}L_929_22=MAKE_PAIR( STRING_CAST_1051_180, C_CONS_934_216 );}}{
g1040_567_240=L_929_22;
{_g1041_566_29:

if( PAIRP( g1040_567_240 ))
{
{obj_t A_568_152;
A_568_152=CAR( g1040_567_240 );{obj_t VA_ARG_1050_105;
VA_ARG_1050_105=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_568_152, VA_ARG_1050_105 );}}
{obj_t C_CDR_928_146;
C_CDR_928_146=CDR( g1040_567_240 );{
g1040_567_240=C_CDR_928_146;
goto _g1041_566_29;
}}
}else
BTRUE;}
}}}
{obj_t PORT_935_108;
PORT_935_108=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_935_108 );}
}else
BFALSE;}
{obj_t INTEGRATES_570_155, I_571_34;
{obj_t S_964_220;
S_964_220=STRUCT_SLOT_REF( VAR_564_165, BINT( 4 ) );{obj_t C_STRUCT_REF_965_188;
C_STRUCT_REF_965_188=STRUCT_SLOT_REF( S_964_220, BINT( 3 ) );{
I_571_34=BNIL;
INTEGRATES_570_155=C_STRUCT_REF_965_188;
{_LOOP_569_41:

if( NULLP( INTEGRATES_570_155 ))
if( NULLP( I_571_34 ))
return BODY_565_140;else
{obj_t VA_ARG_1052_143;
VA_ARG_1052_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1053_55;
VA_ARG_1053_55=MAKE_PAIR( BODY_565_140, VA_ARG_1052_143 );{obj_t VA_ARG_1054_185;
{obj_t AUX_1086_169;
{obj_t HEAD_573_230;
{obj_t OBJ2_937_54;
OBJ2_937_54=BNIL;{obj_t OBJ1_936_141;
{obj_t I_579_145;
I_579_145=CAR( I_571_34 );{obj_t VA_ARG_1055_194;
VA_ARG_1055_194=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1056_29;
{obj_t S_941_64;
S_941_64=STRUCT_SLOT_REF( I_579_145, BINT( 3 ) );{obj_t C_STRUCT_REF_942_137;
C_STRUCT_REF_942_137=STRUCT_SLOT_REF( S_941_64, BINT( 4 ) );{obj_t AUX_1087_234;
AUX_1087_234=LIFT_EXPRESSION_LIFT_EXPRESSION_140( C_STRUCT_REF_942_137, I_579_145 );VA_ARG_1056_29=MAKE_PAIR( AUX_1087_234, VA_ARG_1055_194 );}}}{obj_t VA_ARG_1057_164;
{obj_t S_938_9;
S_938_9=STRUCT_SLOT_REF( I_579_145, BINT( 3 ) );{obj_t C_STRUCT_REF_939_68;
C_STRUCT_REF_939_68=STRUCT_SLOT_REF( S_938_9, BINT( 3 ) );VA_ARG_1057_164=MAKE_PAIR( C_STRUCT_REF_939_68, VA_ARG_1056_29 );}}OBJ1_936_141=CONS____R4_PAIRS_AND_LISTS_6_3_28( I_579_145, VA_ARG_1057_164 );}}}}HEAD_573_230=MAKE_PAIR( OBJ1_936_141, OBJ2_937_54 );}}{obj_t g1042_575_233, TAIL_576_232;
{obj_t C_CDR_953_248;
C_CDR_953_248=CDR( I_571_34 );{
TAIL_576_232=HEAD_573_230;
g1042_575_233=C_CDR_953_248;
{_g1043_574_153:

if( NULLP( g1042_575_233 ))
AUX_1086_169=HEAD_573_230;else
{obj_t NEW_TAIL_577_12;
{obj_t OBJ2_945_239;
OBJ2_945_239=BNIL;{obj_t OBJ1_944_129;
{obj_t I_578_16;
I_578_16=CAR( g1042_575_233 );{obj_t VA_ARG_1058_77;
VA_ARG_1058_77=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_1059_72;
{obj_t S_949_55;
S_949_55=STRUCT_SLOT_REF( I_578_16, BINT( 3 ) );{obj_t C_STRUCT_REF_950_219;
C_STRUCT_REF_950_219=STRUCT_SLOT_REF( S_949_55, BINT( 4 ) );{obj_t AUX_1088_73;
AUX_1088_73=LIFT_EXPRESSION_LIFT_EXPRESSION_140( C_STRUCT_REF_950_219, I_578_16 );VA_ARG_1059_72=MAKE_PAIR( AUX_1088_73, VA_ARG_1058_77 );}}}{obj_t VA_ARG_1060_31;
{obj_t S_946_130;
S_946_130=STRUCT_SLOT_REF( I_578_16, BINT( 3 ) );{obj_t C_STRUCT_REF_947_139;
C_STRUCT_REF_947_139=STRUCT_SLOT_REF( S_946_130, BINT( 3 ) );VA_ARG_1060_31=MAKE_PAIR( C_STRUCT_REF_947_139, VA_ARG_1059_72 );}}OBJ1_944_129=CONS____R4_PAIRS_AND_LISTS_6_3_28( I_578_16, VA_ARG_1060_31 );}}}}NEW_TAIL_577_12=MAKE_PAIR( OBJ1_944_129, OBJ2_945_239 );}}{
SET_CDR( TAIL_576_232, NEW_TAIL_577_12 );
{obj_t C_CDR_952_243;
C_CDR_952_243=CDR( g1042_575_233 );{
TAIL_576_232=NEW_TAIL_577_12;
g1042_575_233=C_CDR_952_243;
goto _g1043_574_153;
}}
}}}
}}}}VA_ARG_1054_185=MAKE_PAIR( AUX_1086_169, VA_ARG_1053_55 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 44 ), VA_ARG_1054_185 );}}}else
{obj_t S_954_171;
{obj_t S_956_11;
S_956_11=CAR( INTEGRATES_570_155 );S_954_171=STRUCT_SLOT_REF( S_956_11, BINT( 4 ) );}{bool_t C_STRUCT_REF_1075_119;
C_STRUCT_REF_1075_119=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_954_171, BINT( 4 ) ) );if( C_STRUCT_REF_1075_119)
{obj_t C_CDR_958_209;
C_CDR_958_209=CDR( INTEGRATES_570_155 );{
INTEGRATES_570_155=C_CDR_958_209;
goto _LOOP_569_41;
}}else
{obj_t C_CAR_959_89;
C_CAR_959_89=CAR( INTEGRATES_570_155 );{obj_t AUX_1089_173;
AUX_1089_173=OWNER__LIFT_DEFINITION_28( VAR_564_165, C_CAR_959_89 );if( BBOOL_TO_CBOOL( AUX_1089_173 ))
{obj_t C_CDR_960_87;
C_CDR_960_87=CDR( INTEGRATES_570_155 );{
INTEGRATES_570_155=C_CDR_960_87;
goto _LOOP_569_41;
}}else
{obj_t C_CDR_961_197;
C_CDR_961_197=CDR( INTEGRATES_570_155 );{obj_t OBJ1_962_97;
OBJ1_962_97=CAR( INTEGRATES_570_155 );{obj_t C_CONS_963_181;
C_CONS_963_181=MAKE_PAIR( OBJ1_962_97, I_571_34 );{
I_571_34=C_CONS_963_181;
INTEGRATES_570_155=C_CDR_961_197;
goto _LOOP_569_41;
}}}}}}}}}
}}}}
}
}

static obj_t
#if defined( __STDC__ )
OWNER__LIFT_DEFINITION_28(obj_t OWNER_580_245,obj_t QUI_581_78)
#else
OWNER__LIFT_DEFINITION_28( OWNER_580_245, QUI_581_78 )
obj_t OWNER_580_245, QUI_581_78;
#endif
{
_OWNER__LIFT_DEFINITION_28:

{
{obj_t AUX_1081_177;
{obj_t AUX_1082_197;
AUX_1082_197=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1081_177=SATISFY__TOOLS_TRACE_72( AUX_1082_197 );}if( BBOOL_TO_CBOOL( AUX_1081_177 ))
{
{obj_t g1044_583_169;
{obj_t L_968_15;
{obj_t STRING_CAST_1062_65;
STRING_CAST_1062_65=CNST_TABLE_REF( 45 );{obj_t C_CONS_972_147;
{obj_t C_CONS_971_172;
{obj_t STRING_CAST_1063_36;
STRING_CAST_1063_36=CNST_TABLE_REF( 46 );{obj_t C_CONS_970_144;
{obj_t C_CONS_969_157;
C_CONS_969_157=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1079_218;
AUX_1079_218=SHAPE_TOOLS_SHAPE_229( QUI_581_78 );C_CONS_970_144=MAKE_PAIR( AUX_1079_218, C_CONS_969_157 );}}C_CONS_971_172=MAKE_PAIR( STRING_CAST_1063_36, C_CONS_970_144 );}}{obj_t AUX_1080_107;
AUX_1080_107=SHAPE_TOOLS_SHAPE_229( OWNER_580_245 );C_CONS_972_147=MAKE_PAIR( AUX_1080_107, C_CONS_971_172 );}}L_968_15=MAKE_PAIR( STRING_CAST_1062_65, C_CONS_972_147 );}}{
g1044_583_169=L_968_15;
{_g1045_582_19:

if( PAIRP( g1044_583_169 ))
{
{obj_t A_584_53;
A_584_53=CAR( g1044_583_169 );{obj_t VA_ARG_1061_149;
VA_ARG_1061_149=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_584_53, VA_ARG_1061_149 );}}
{obj_t C_CDR_967_68;
C_CDR_967_68=CDR( g1044_583_169 );{
g1044_583_169=C_CDR_967_68;
goto _g1045_582_19;
}}
}else
BTRUE;}
}}}
{obj_t PORT_973_219;
PORT_973_219=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_973_219 );}
}else
BFALSE;}
{if( STRUCTP( QUI_581_78 ))
if( EQP( STRUCT_KEY( QUI_581_78 ), CNST_TABLE_REF( 3 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
return BFALSE;_false_1:
{obj_t QUI_OWNER_585_200;
{obj_t S_975_240;
S_975_240=STRUCT_SLOT_REF( QUI_581_78, BINT( 4 ) );QUI_OWNER_585_200=STRUCT_SLOT_REF( S_975_240, BINT( 8 ) );}if( EQP( QUI_OWNER_585_200, OWNER_580_245 ))
return BTRUE;else
{
QUI_581_78=QUI_OWNER_585_200;
goto _OWNER__LIFT_DEFINITION_28;
}};
}
}
}

