/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Lift/integrate.c                                                  */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t INTEGRATE__LIFT_INTEGRATE_16(obj_t, obj_t, obj_t);
#else
extern obj_t INTEGRATE__LIFT_INTEGRATE_16();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#if defined( __STDC__ )
extern obj_t __INTEGRATE__LIFT_INTEGRATE_169(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __INTEGRATE__LIFT_INTEGRATE_169();
#endif
#if defined( __STDC__ )
extern obj_t __LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_120(obj_t);
#else
extern obj_t __LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_120();
#endif
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
#if defined( __STDC__ )
static obj_t COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194(obj_t, obj_t);
#else
static obj_t COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194();
#endif
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
obj_t INTEGRATE__ENV_LIFT_INTEGRATE_4 = BUNSPEC;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
extern obj_t LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48();
static obj_t __cnst[ 43 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
obj_t LIFT_INTEGRATE_INITIALISATION_ENV_LIFT_INTEGRATE_183 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__LIFT_INTEGRATE_162 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
static obj_t CALL_SONS_LIFT_INTEGRATE_108(obj_t);
#else
static obj_t CALL_SONS_LIFT_INTEGRATE_108();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57();
#if defined( __STDC__ )
extern obj_t __UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_26(obj_t, obj_t);
#else
extern obj_t __UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_26();
#endif
extern obj_t make_fx_procedure();
extern obj_t __OPTIM__ENGINE_PARAM_213;
obj_t UNMARK_BOUND_INTEGRATED__ENV_LIFT_INTEGRATE_34 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ROOT_CALL_SONS__LIFT_INTEGRATE_4(obj_t);
#else
static obj_t ROOT_CALL_SONS__LIFT_INTEGRATE_4();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
#if defined( __STDC__ )
static obj_t CHANGE_INTEGRATOR__LIFT_INTEGRATE_92(obj_t);
#else
static obj_t CHANGE_INTEGRATOR__LIFT_INTEGRATE_92();
#endif
#if defined( __STDC__ )
extern obj_t UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136(obj_t);
#else
extern obj_t UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48()
#else
LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__LIFT_INTEGRATE_162 ))
{
REQUIRE_INITIALISATION__LIFT_INTEGRATE_162=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 43 ]  );
{obj_t PORT_918_4;
{obj_t AUX_984_214;
AUX_984_214=c_constant_string_to_string( "#\"oi: \" (LOOP LIFT ) #\" : \" #\"could-change? : \" (LOOP LIFT ) #\"    old-integrated: \" #\"change-integrator!: \" (LOOP LIFT ) #\"[else]\" (LOOP LIFT ) #\"[i:()]\" (LOOP LIFT ) #\"]\" #\"[i:\" (LOOP LIFT ) #\"[return]\" (LOOP LIFT ) #\"[G]\" (LOOP LIFT ) #\"...\" #\".\" #\"call-sons: \" (LOOP LIFT ) #\"Not a variable\" #\"root-call-sons!\" GLOBAL LOCAL #\"------>  \" (LIFT LOOP ) #\"   new: \" #\"loop.2: \" (LIFT LOOP ) RETURN FUNCTION #\"     b: \" #\"loop.1: \" (LIFT LOOP ) DONE #\"unmark!: \" (LIFT LOOP ) #\" \" #\"integrate: \" (LOOP LIFT ) " );PORT_918_4=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_984_214 );}{obj_t OFFSET_919_64;
{
OFFSET_919_64=BINT( 42 );
{_LOOP_920_102:

if( LT_I( OFFSET_919_64, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_985_18;
AUX_985_18=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_918_4, BEOA );CNST_TABLE_SET( OFFSET_919_64, AUX_985_18 );}
{obj_t OFFSET_986_146;
OFFSET_986_146=OFFSET_919_64;{
OFFSET_919_64=SUB_I( OFFSET_986_146, BINT( 1 ) );
goto _LOOP_920_102;
}}
}}
}}}
{
LIFT_INTEGRATE_INITIALISATION_ENV_LIFT_INTEGRATE_183=make_fx_procedure( __LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_120, 0, 0 );
INTEGRATE__ENV_LIFT_INTEGRATE_4=make_fx_procedure( __INTEGRATE__LIFT_INTEGRATE_169, 3, 0 );
UNMARK_BOUND_INTEGRATED__ENV_LIFT_INTEGRATE_34=make_fx_procedure( __UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_26, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_120(obj_t ENV_909_196)
#else
__LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_120( ENV_909_196 )
obj_t ENV_909_196;
#endif
{

return LIFT_INTEGRATE_INITIALISATION_LIFT_INTEGRATE_48();
}

obj_t
#if defined( __STDC__ )
INTEGRATE__LIFT_INTEGRATE_16(obj_t ROOT_432_89,obj_t G0_433_151,obj_t GN_434_51)
#else
INTEGRATE__LIFT_INTEGRATE_16( ROOT_432_89, G0_433_151, GN_434_51 )
obj_t ROOT_432_89, G0_433_151, GN_434_51;
#endif
{

{
ROOT_CALL_SONS__LIFT_INTEGRATE_4( ROOT_432_89 );
{obj_t G0_436_21, GN_437_27;
{
GN_437_27=GN_434_51;
G0_436_21=G0_433_151;
{___LOOP__435_169:

{
{obj_t AUX_980_32;
{obj_t AUX_981_13;
AUX_981_13=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_980_32=SATISFY__TOOLS_TRACE_72( AUX_981_13 );}if( BBOOL_TO_CBOOL( AUX_980_32 ))
{
{obj_t g1000_439_128;
{obj_t L_607_196;
{obj_t STRING_CAST_870_229;
STRING_CAST_870_229=CNST_TABLE_REF( 1 );{obj_t C_CONS_611_92;
{obj_t C_CONS_610_91;
{obj_t STRING_CAST_871_123;
STRING_CAST_871_123=CNST_TABLE_REF( 2 );{obj_t C_CONS_609_190;
{obj_t C_CONS_608_104;
C_CONS_608_104=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_978_33;
AUX_978_33=SHAPE_TOOLS_SHAPE_229( GN_437_27 );C_CONS_609_190=MAKE_PAIR( AUX_978_33, C_CONS_608_104 );}}C_CONS_610_91=MAKE_PAIR( STRING_CAST_871_123, C_CONS_609_190 );}}{obj_t AUX_979_4;
AUX_979_4=SHAPE_TOOLS_SHAPE_229( G0_436_21 );C_CONS_611_92=MAKE_PAIR( AUX_979_4, C_CONS_610_91 );}}L_607_196=MAKE_PAIR( STRING_CAST_870_229, C_CONS_611_92 );}}{
g1000_439_128=L_607_196;
{_g1001_438_234:

if( PAIRP( g1000_439_128 ))
{
{obj_t A_440_182;
A_440_182=CAR( g1000_439_128 );{obj_t VA_ARG_869_35;
VA_ARG_869_35=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_440_182, VA_ARG_869_35 );}}
{obj_t C_CDR_605_9;
C_CDR_605_9=CDR( g1000_439_128 );{
g1000_439_128=C_CDR_605_9;
goto _g1001_438_234;
}}
}else
BTRUE;}
}}}
{obj_t PORT_613_223;
PORT_613_223=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_613_223 );}
}else
BFALSE;}
if( NULLP( G0_436_21 ))
return GN_437_27;else
{obj_t G0_442_71, GN_443_215, NEW_444_93;
{
NEW_444_93=BNIL;
GN_443_215=GN_437_27;
G0_442_71=G0_436_21;
{_LOOP_441_68:

if( NULLP( G0_442_71 ))
{
GN_437_27=GN_443_215;
G0_436_21=NEW_444_93;
goto ___LOOP__435_169;
}else
{obj_t NEW_NEW_445_85;
{obj_t C_CAR_614_153;
C_CAR_614_153=CAR( G0_442_71 );NEW_NEW_445_85=CALL_SONS_LIFT_INTEGRATE_108( C_CAR_614_153 );}{obj_t C_CDR_615_23;
C_CDR_615_23=CDR( G0_442_71 );{obj_t AUX_983_199, AUX_982_187;
AUX_983_199=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( NEW_NEW_445_85, NEW_444_93 );AUX_982_187=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( NEW_NEW_445_85, GN_443_215 );{
NEW_444_93=AUX_983_199;
GN_443_215=AUX_982_187;
G0_442_71=C_CDR_615_23;
goto _LOOP_441_68;
}}}}}
}}
}}
}}
}
}

obj_t
#if defined( __STDC__ )
__INTEGRATE__LIFT_INTEGRATE_169(obj_t ENV_908_43,obj_t ROOT_432_89,obj_t G0_433_151,obj_t GN_434_51)
#else
__INTEGRATE__LIFT_INTEGRATE_169( ENV_908_43, ROOT_432_89, G0_433_151, GN_434_51 )
obj_t ENV_908_43, ROOT_432_89, G0_433_151, GN_434_51;
#endif
{

return INTEGRATE__LIFT_INTEGRATE_16( ROOT_432_89, G0_433_151, GN_434_51 );
}

obj_t
#if defined( __STDC__ )
UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136(obj_t G_446_213)
#else
UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136( G_446_213 )
obj_t G_446_213;
#endif
{

{obj_t CTO_448_107, INTEGRATES_449_215;
{obj_t S_683_36;
S_683_36=STRUCT_SLOT_REF( G_446_213, BINT( 4 ) );{obj_t C_STRUCT_REF_684_11;
C_STRUCT_REF_684_11=STRUCT_SLOT_REF( S_683_36, BINT( 1 ) );{obj_t S_686_73;
S_686_73=STRUCT_SLOT_REF( G_446_213, BINT( 4 ) );{obj_t C_STRUCT_REF_687_5;
C_STRUCT_REF_687_5=STRUCT_SLOT_REF( S_686_73, BINT( 3 ) );{
INTEGRATES_449_215=C_STRUCT_REF_687_5;
CTO_448_107=C_STRUCT_REF_684_11;
{
{
{obj_t AUX_960_169;
{obj_t AUX_961_234;
AUX_961_234=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 3 ) );AUX_960_169=SATISFY__TOOLS_TRACE_72( AUX_961_234 );}if( BBOOL_TO_CBOOL( AUX_960_169 ))
{
{obj_t g1002_451_65;
{obj_t L_617_227;
{obj_t STRING_CAST_873_152;
STRING_CAST_873_152=CNST_TABLE_REF( 4 );{obj_t C_CONS_622_104;
{obj_t C_CONS_621_213;
{obj_t C_CONS_620_49;
{obj_t C_CONS_619_112;
{obj_t C_CONS_618_113;
C_CONS_618_113=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_619_112=MAKE_PAIR( BCHAR( ']' ), C_CONS_618_113 );}{obj_t AUX_958_28;
AUX_958_28=SHAPE_TOOLS_SHAPE_229( INTEGRATES_449_215 );C_CONS_620_49=MAKE_PAIR( AUX_958_28, C_CONS_619_112 );}}C_CONS_621_213=MAKE_PAIR( BCHAR( '[' ), C_CONS_620_49 );}{obj_t AUX_959_210;
AUX_959_210=SHAPE_TOOLS_SHAPE_229( G_446_213 );C_CONS_622_104=MAKE_PAIR( AUX_959_210, C_CONS_621_213 );}}L_617_227=MAKE_PAIR( STRING_CAST_873_152, C_CONS_622_104 );}}{
g1002_451_65=L_617_227;
{_g1003_450_190:

if( PAIRP( g1002_451_65 ))
{
{obj_t A_452_31;
A_452_31=CAR( g1002_451_65 );{obj_t VA_ARG_872_108;
VA_ARG_872_108=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_452_31, VA_ARG_872_108 );}}
{obj_t C_CDR_616_37;
C_CDR_616_37=CDR( g1002_451_65 );{
g1002_451_65=C_CDR_616_37;
goto _g1003_450_190;
}}
}else
BTRUE;}
}}}
{obj_t PORT_623_58;
PORT_623_58=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_623_58 );}
}else
BFALSE;}
{obj_t g1004_454_169;
{
g1004_454_169=INTEGRATES_449_215;
{_g1005_453_67:

if( PAIRP( g1004_454_169 ))
{
{obj_t I_455_236;
I_455_236=CAR( g1004_454_169 );{obj_t S_624_187;
S_624_187=STRUCT_SLOT_REF( I_455_236, BINT( 4 ) );STRUCT_SLOT_SET( S_624_187, BINT( 12 ), G_446_213 );}}
{obj_t C_CDR_626_246;
C_CDR_626_246=CDR( g1004_454_169 );{
g1004_454_169=C_CDR_626_246;
goto _g1005_453_67;
}}
}else
BTRUE;}
}}
{obj_t FS_457_133;
{obj_t L_652_220;
L_652_220=MAKE_PAIR( G_446_213, BNIL );{
FS_457_133=L_652_220;
{_LOOP_456_173:

if( NULLP( FS_457_133 ))
CNST_TABLE_REF( 5 );else
{obj_t F_458_131;
F_458_131=CAR( FS_457_133 );{
{obj_t AUX_964_197;
{obj_t AUX_965_87;
AUX_965_87=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 6 ) );AUX_964_197=SATISFY__TOOLS_TRACE_72( AUX_965_87 );}if( BBOOL_TO_CBOOL( AUX_964_197 ))
{
{obj_t g1006_460_170;
{obj_t L_628_50;
{obj_t STRING_CAST_875_120;
STRING_CAST_875_120=CNST_TABLE_REF( 7 );{obj_t C_CONS_636_92;
{obj_t C_CONS_635_127;
{obj_t C_CONS_634_17;
{obj_t STRING_CAST_876_76;
STRING_CAST_876_76=CNST_TABLE_REF( 8 );{obj_t C_CONS_633_81;
{obj_t S_629_94;
S_629_94=STRUCT_SLOT_REF( F_458_131, BINT( 4 ) );{obj_t C_STRUCT_REF_630_179;
C_STRUCT_REF_630_179=STRUCT_SLOT_REF( S_629_94, BINT( 9 ) );{obj_t C_CONS_632_20;
C_CONS_632_20=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_962_68;
AUX_962_68=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_630_179 );C_CONS_633_81=MAKE_PAIR( AUX_962_68, C_CONS_632_20 );}}}}C_CONS_634_17=MAKE_PAIR( STRING_CAST_876_76, C_CONS_633_81 );}}C_CONS_635_127=MAKE_PAIR( BCHAR( '\n' ), C_CONS_634_17 );}{obj_t AUX_963_56;
AUX_963_56=SHAPE_TOOLS_SHAPE_229( F_458_131 );C_CONS_636_92=MAKE_PAIR( AUX_963_56, C_CONS_635_127 );}}L_628_50=MAKE_PAIR( STRING_CAST_875_120, C_CONS_636_92 );}}{
g1006_460_170=L_628_50;
{_g1007_459_79:

if( PAIRP( g1006_460_170 ))
{
{obj_t A_461_46;
A_461_46=CAR( g1006_460_170 );{obj_t VA_ARG_874_137;
VA_ARG_874_137=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_461_46, VA_ARG_874_137 );}}
{obj_t C_CDR_627_114;
C_CDR_627_114=CDR( g1006_460_170 );{
g1006_460_170=C_CDR_627_114;
goto _g1007_459_79;
}}
}else
BTRUE;}
}}}
{obj_t PORT_637_28;
PORT_637_28=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_637_28 );}
}else
BFALSE;}
{obj_t S_638_255;
S_638_255=STRUCT_SLOT_REF( F_458_131, BINT( 4 ) );STRUCT_SLOT_SET( S_638_255, BINT( 12 ), BFALSE );}
{bool_t __andtest_1008_911_33;
{obj_t AUX_966_107;
{bool_t OBJ_910_224;
{obj_t AUX_967_177;
{obj_t OBJ1_642_134;
OBJ1_642_134=STRUCT_SLOT_REF( F_458_131, BINT( 2 ) );AUX_967_177=CBOOL_TO_BBOOL( EQP( OBJ1_642_134, CNST_TABLE_REF( 9 ) ) );}OBJ_910_224=BBOOL_TO_CBOOL( AUX_967_177 );}if( OBJ_910_224)
AUX_966_107=BFALSE;else
AUX_966_107=BTRUE;}__andtest_1008_911_33=BBOOL_TO_CBOOL( AUX_966_107 );}{if( __andtest_1008_911_33)
{bool_t OBJ_912_94;
{obj_t AUX_968_40;
{obj_t OBJ1_645_29;
OBJ1_645_29=STRUCT_SLOT_REF( F_458_131, BINT( 2 ) );AUX_968_40=CBOOL_TO_BBOOL( EQP( OBJ1_645_29, CNST_TABLE_REF( 10 ) ) );}OBJ_912_94=BBOOL_TO_CBOOL( AUX_968_40 );}if( OBJ_912_94)
goto _false_13;else
goto _true_12;}else
goto _false_13;_true_12:
{obj_t C_CDR_647_249;
C_CDR_647_249=CDR( FS_457_133 );{
FS_457_133=C_CDR_647_249;
goto _LOOP_456_173;
}}_false_13:
{obj_t S_648_109;
S_648_109=STRUCT_SLOT_REF( F_458_131, BINT( 4 ) );{obj_t C_STRUCT_REF_649_222;
C_STRUCT_REF_649_222=STRUCT_SLOT_REF( S_648_109, BINT( 9 ) );{obj_t C_CDR_651_76;
C_CDR_651_76=CDR( FS_457_133 );{obj_t AUX_969_188;
AUX_969_188=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_649_222, C_CDR_651_76 );{
FS_457_133=AUX_969_188;
goto _LOOP_456_173;
}}}}};
}}
}}}
}}}
{obj_t INTEGRATES_464_31, NEW_465_79;
{
NEW_465_79=BNIL;
INTEGRATES_464_31=INTEGRATES_449_215;
{_LOOP_463_91:

{
{obj_t AUX_972_99;
{obj_t AUX_973_100;
AUX_973_100=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 11 ) );AUX_972_99=SATISFY__TOOLS_TRACE_72( AUX_973_100 );}if( BBOOL_TO_CBOOL( AUX_972_99 ))
{
{obj_t g1009_467_62;
{obj_t L_654_43;
{obj_t STRING_CAST_878_235;
STRING_CAST_878_235=CNST_TABLE_REF( 12 );{obj_t C_CONS_659_30;
{obj_t C_CONS_658_7;
{obj_t C_CONS_657_56;
{obj_t STRING_CAST_879_222;
STRING_CAST_879_222=CNST_TABLE_REF( 13 );{obj_t C_CONS_656_68;
{obj_t C_CONS_655_234;
C_CONS_655_234=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_970_195;
AUX_970_195=SHAPE_TOOLS_SHAPE_229( NEW_465_79 );C_CONS_656_68=MAKE_PAIR( AUX_970_195, C_CONS_655_234 );}}C_CONS_657_56=MAKE_PAIR( STRING_CAST_879_222, C_CONS_656_68 );}}C_CONS_658_7=MAKE_PAIR( BCHAR( '\n' ), C_CONS_657_56 );}{obj_t AUX_971_175;
AUX_971_175=SHAPE_TOOLS_SHAPE_229( INTEGRATES_464_31 );C_CONS_659_30=MAKE_PAIR( AUX_971_175, C_CONS_658_7 );}}L_654_43=MAKE_PAIR( STRING_CAST_878_235, C_CONS_659_30 );}}{
g1009_467_62=L_654_43;
{_g1010_466_105:

if( PAIRP( g1009_467_62 ))
{
{obj_t A_468_141;
A_468_141=CAR( g1009_467_62 );{obj_t VA_ARG_877_59;
VA_ARG_877_59=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_468_141, VA_ARG_877_59 );}}
{obj_t C_CDR_653_209;
C_CDR_653_209=CDR( g1009_467_62 );{
g1009_467_62=C_CDR_653_209;
goto _g1010_466_105;
}}
}else
BTRUE;}
}}}
{obj_t PORT_660_254;
PORT_660_254=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_660_254 );}
}else
BFALSE;}
if( NULLP( INTEGRATES_464_31 ))
{
{obj_t AUX_976_34;
{obj_t AUX_977_50;
AUX_977_50=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 14 ) );AUX_976_34=SATISFY__TOOLS_TRACE_72( AUX_977_50 );}if( BBOOL_TO_CBOOL( AUX_976_34 ))
{
{obj_t g1011_470_181;
{obj_t L_662_54;
{obj_t STRING_CAST_881_160;
STRING_CAST_881_160=CNST_TABLE_REF( 15 );{obj_t C_CONS_667_144;
{obj_t C_CONS_666_172;
{obj_t C_CONS_665_147;
{obj_t C_CONS_664_124;
{obj_t C_CONS_663_157;
C_CONS_663_157=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_664_124=MAKE_PAIR( BCHAR( '}' ), C_CONS_663_157 );}{obj_t AUX_974_80;
AUX_974_80=SHAPE_TOOLS_SHAPE_229( NEW_465_79 );C_CONS_665_147=MAKE_PAIR( AUX_974_80, C_CONS_664_124 );}}C_CONS_666_172=MAKE_PAIR( BCHAR( '{' ), C_CONS_665_147 );}{obj_t AUX_975_166;
AUX_975_166=SHAPE_TOOLS_SHAPE_229( G_446_213 );C_CONS_667_144=MAKE_PAIR( AUX_975_166, C_CONS_666_172 );}}L_662_54=MAKE_PAIR( STRING_CAST_881_160, C_CONS_667_144 );}}{
g1011_470_181=L_662_54;
{_g1012_469_177:

if( PAIRP( g1011_470_181 ))
{
{obj_t A_471_214;
A_471_214=CAR( g1011_470_181 );{obj_t VA_ARG_880_198;
VA_ARG_880_198=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_471_214, VA_ARG_880_198 );}}
{obj_t C_CDR_661_243;
C_CDR_661_243=CDR( g1011_470_181 );{
g1011_470_181=C_CDR_661_243;
goto _g1012_469_177;
}}
}else
BTRUE;}
}}}
{obj_t PORT_668_83;
PORT_668_83=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_668_83 );}
}else
BFALSE;}
{obj_t S_669_15;
S_669_15=STRUCT_SLOT_REF( G_446_213, BINT( 4 ) );return STRUCT_SLOT_SET( S_669_15, BINT( 3 ), NEW_465_79 );}
}else
{obj_t F_472_88;
F_472_88=CAR( INTEGRATES_464_31 );{obj_t OBJ1_671_171;
{obj_t S_672_11;
S_672_11=STRUCT_SLOT_REF( F_472_88, BINT( 4 ) );OBJ1_671_171=STRUCT_SLOT_REF( S_672_11, BINT( 12 ) );}if( EQP( OBJ1_671_171, G_446_213 ))
{obj_t C_CDR_675_36;
C_CDR_675_36=CDR( INTEGRATES_464_31 );{obj_t C_CONS_678_245;
C_CONS_678_245=MAKE_PAIR( F_472_88, NEW_465_79 );{
NEW_465_79=C_CONS_678_245;
INTEGRATES_464_31=C_CDR_675_36;
goto _LOOP_463_91;
}}}else
{
{obj_t V_680_239;
V_680_239=BNIL;{obj_t S_679_108;
S_679_108=STRUCT_SLOT_REF( F_472_88, BINT( 4 ) );STRUCT_SLOT_SET( S_679_108, BINT( 2 ), V_680_239 );}}
{obj_t C_CDR_682_158;
C_CDR_682_158=CDR( INTEGRATES_464_31 );{
INTEGRATES_464_31=C_CDR_682_158;
goto _LOOP_463_91;
}}
}}}
}}
}}
}}
}}}}}}
}

obj_t
#if defined( __STDC__ )
__UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_26(obj_t ENV_907_84,obj_t G_446_213)
#else
__UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_26( ENV_907_84, G_446_213 )
obj_t ENV_907_84, G_446_213;
#endif
{

return UNMARK_BOUND_INTEGRATED__LIFT_INTEGRATE_136( G_446_213 );
}

static obj_t
#if defined( __STDC__ )
ROOT_CALL_SONS__LIFT_INTEGRATE_4(obj_t ROOT_473_47)
#else
ROOT_CALL_SONS__LIFT_INTEGRATE_4( ROOT_473_47 )
obj_t ROOT_473_47;
#endif
{

{obj_t CALLEE_475_108;
{
{if( STRUCTP( ROOT_473_47 ))
if( EQP( STRUCT_KEY( ROOT_473_47 ), CNST_TABLE_REF( 16 ) ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t S_704_179;
S_704_179=STRUCT_SLOT_REF( ROOT_473_47, BINT( 4 ) );{CALLEE_475_108=STRUCT_SLOT_REF( S_704_179, BINT( 1 ) );
goto _endif_8;}}_false_7:
{if( STRUCTP( ROOT_473_47 ))
if( EQP( STRUCT_KEY( ROOT_473_47 ), CNST_TABLE_REF( 17 ) ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{CALLEE_475_108=STRUCT_SLOT_REF( ROOT_473_47, BINT( 8 ) );
goto _endif_11;}_false_10:
{obj_t OBJECT_709_128;
OBJECT_709_128=SHAPE_TOOLS_SHAPE_229( ROOT_473_47 );FAILURE( CNST_TABLE_REF( 18 ), CNST_TABLE_REF( 19 ), OBJECT_709_128 );}_endif_11:
;
}_endif_8:
;
}
{_LOOP_474_2:

if( NULLP( CALLEE_475_108 ))
return CNST_TABLE_REF( 5 );else
{obj_t C_476_195;
C_476_195=CAR( CALLEE_475_108 );{bool_t __andtest_1013_914_22;
{obj_t AUX_954_190;
{bool_t OBJ_913_220;
{obj_t AUX_955_104;
{obj_t S_690_111;
S_690_111=STRUCT_SLOT_REF( C_476_195, BINT( 4 ) );AUX_955_104=STRUCT_SLOT_REF( S_690_111, BINT( 4 ) );}OBJ_913_220=BBOOL_TO_CBOOL( AUX_955_104 );}if( OBJ_913_220)
AUX_954_190=BFALSE;else
AUX_954_190=BTRUE;}__andtest_1013_914_22=BBOOL_TO_CBOOL( AUX_954_190 );}{if( __andtest_1013_914_22)
{bool_t OBJ_915_43;
{obj_t AUX_956_213;
{obj_t S_694_249;
S_694_249=STRUCT_SLOT_REF( C_476_195, BINT( 4 ) );AUX_956_213=STRUCT_SLOT_REF( S_694_249, BINT( 2 ) );}OBJ_915_43=NULLP( AUX_956_213 );}if( OBJ_915_43)
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
{
{obj_t S_697_244;
S_697_244=STRUCT_SLOT_REF( C_476_195, BINT( 4 ) );STRUCT_SLOT_SET( S_697_244, BINT( 2 ), ROOT_473_47 );}
{obj_t S_699_165;
S_699_165=STRUCT_SLOT_REF( C_476_195, BINT( 4 ) );{obj_t C_STRUCT_REF_700_45;
C_STRUCT_REF_700_45=STRUCT_SLOT_REF( S_699_165, BINT( 1 ) );{obj_t AUX_957_49;
AUX_957_49=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_700_45, CALLEE_475_108 );{
CALLEE_475_108=AUX_957_49;
goto _LOOP_474_2;
}}}}
}_false_4:
{obj_t C_CDR_702_17;
C_CDR_702_17=CDR( CALLEE_475_108 );{
CALLEE_475_108=C_CDR_702_17;
goto _LOOP_474_2;
}};
}}}}
}}
}

static obj_t
#if defined( __STDC__ )
CALL_SONS_LIFT_INTEGRATE_108(obj_t GCALLER_478_188)
#else
CALL_SONS_LIFT_INTEGRATE_108( GCALLER_478_188 )
obj_t GCALLER_478_188;
#endif
{

{obj_t CALLEE_480_191, NEW_481_230;
{obj_t S_784_106;
S_784_106=STRUCT_SLOT_REF( GCALLER_478_188, BINT( 4 ) );{obj_t C_STRUCT_REF_785_142;
C_STRUCT_REF_785_142=STRUCT_SLOT_REF( S_784_106, BINT( 1 ) );{
NEW_481_230=BNIL;
CALLEE_480_191=C_STRUCT_REF_785_142;
{_LOOP_479_148:

if( NULLP( CALLEE_480_191 ))
return NEW_481_230;else
{obj_t C_482_29;
C_482_29=CAR( CALLEE_480_191 );{
{obj_t AUX_938_121;
{obj_t AUX_939_64;
AUX_939_64=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 20 ) );AUX_938_121=SATISFY__TOOLS_TRACE_72( AUX_939_64 );}if( BBOOL_TO_CBOOL( AUX_938_121 ))
{
{obj_t g1014_484_235;
{obj_t L_711_0;
{obj_t STRING_CAST_885_47;
STRING_CAST_885_47=CNST_TABLE_REF( 21 );{obj_t C_CONS_715_181;
{obj_t C_CONS_714_12;
{obj_t STRING_CAST_886_180;
STRING_CAST_886_180=CNST_TABLE_REF( 22 );{obj_t C_CONS_713_78;
{obj_t C_CONS_712_75;
{obj_t STRING_CAST_887_205;
STRING_CAST_887_205=CNST_TABLE_REF( 23 );C_CONS_712_75=MAKE_PAIR( STRING_CAST_887_205, BNIL );}{obj_t AUX_936_185;
AUX_936_185=SHAPE_TOOLS_SHAPE_229( C_482_29 );C_CONS_713_78=MAKE_PAIR( AUX_936_185, C_CONS_712_75 );}}C_CONS_714_12=MAKE_PAIR( STRING_CAST_886_180, C_CONS_713_78 );}}{obj_t AUX_937_194;
AUX_937_194=SHAPE_TOOLS_SHAPE_229( GCALLER_478_188 );C_CONS_715_181=MAKE_PAIR( AUX_937_194, C_CONS_714_12 );}}L_711_0=MAKE_PAIR( STRING_CAST_885_47, C_CONS_715_181 );}}{
g1014_484_235=L_711_0;
{_g1015_483_108:

if( PAIRP( g1014_484_235 ))
{
{obj_t A_485_110;
A_485_110=CAR( g1014_484_235 );{obj_t VA_ARG_884_241;
VA_ARG_884_241=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_485_110, VA_ARG_884_241 );}}
{obj_t C_CDR_710_202;
C_CDR_710_202=CDR( g1014_484_235 );{
g1014_484_235=C_CDR_710_202;
goto _g1015_483_108;
}}
}else
BTRUE;}
}}}
{obj_t PORT_716_14;
PORT_716_14=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_716_14 );}
}else
BFALSE;}
{obj_t S_717_152;
S_717_152=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );{bool_t C_STRUCT_REF_916_136;
C_STRUCT_REF_916_136=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_717_152, BINT( 4 ) ) );if( C_STRUCT_REF_916_136)
{
{obj_t AUX_940_51;
{obj_t AUX_941_140;
AUX_941_140=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 24 ) );AUX_940_51=SATISFY__TOOLS_TRACE_72( AUX_941_140 );}if( BBOOL_TO_CBOOL( AUX_940_51 ))
{
{obj_t g1024_487_39;
{obj_t L_721_93;
{obj_t STRING_CAST_889_96;
STRING_CAST_889_96=CNST_TABLE_REF( 25 );{obj_t C_CONS_722_194;
C_CONS_722_194=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_721_93=MAKE_PAIR( STRING_CAST_889_96, C_CONS_722_194 );}}{
g1024_487_39=L_721_93;
{_g1025_486_216:

if( PAIRP( g1024_487_39 ))
{
{obj_t A_488_51;
A_488_51=CAR( g1024_487_39 );{obj_t VA_ARG_888_66;
VA_ARG_888_66=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_488_51, VA_ARG_888_66 );}}
{obj_t C_CDR_720_209;
C_CDR_720_209=CDR( g1024_487_39 );{
g1024_487_39=C_CDR_720_209;
goto _g1025_486_216;
}}
}else
BTRUE;}
}}}
{obj_t PORT_723_95;
PORT_723_95=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_723_95 );}
}else
BFALSE;}
{obj_t C_CDR_724_229;
C_CDR_724_229=CDR( CALLEE_480_191 );{
CALLEE_480_191=C_CDR_724_229;
goto _LOOP_479_148;
}}
}else
{obj_t OBJ1_725_106;
OBJ1_725_106=STRUCT_SLOT_REF( C_482_29, BINT( 2 ) );if( EQP( OBJ1_725_106, CNST_TABLE_REF( 10 ) ))
{
{obj_t AUX_942_233;
{obj_t AUX_943_27;
AUX_943_27=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 26 ) );AUX_942_233=SATISFY__TOOLS_TRACE_72( AUX_943_27 );}if( BBOOL_TO_CBOOL( AUX_942_233 ))
{
{obj_t g1022_490_200;
{obj_t L_728_158;
{obj_t STRING_CAST_891_184;
STRING_CAST_891_184=CNST_TABLE_REF( 27 );{obj_t C_CONS_729_208;
C_CONS_729_208=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_728_158=MAKE_PAIR( STRING_CAST_891_184, C_CONS_729_208 );}}{
g1022_490_200=L_728_158;
{_g1023_489_226:

if( PAIRP( g1022_490_200 ))
{
{obj_t A_491_196;
A_491_196=CAR( g1022_490_200 );{obj_t VA_ARG_890_128;
VA_ARG_890_128=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_491_196, VA_ARG_890_128 );}}
{obj_t C_CDR_727_152;
C_CDR_727_152=CDR( g1022_490_200 );{
g1022_490_200=C_CDR_727_152;
goto _g1023_489_226;
}}
}else
BTRUE;}
}}}
{obj_t PORT_730_13;
PORT_730_13=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_730_13 );}
}else
BFALSE;}
{obj_t S_731_91;
S_731_91=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );STRUCT_SLOT_SET( S_731_91, BINT( 4 ), BTRUE );}
{obj_t C_CDR_733_96;
C_CDR_733_96=CDR( CALLEE_480_191 );{obj_t C_CONS_734_124;
C_CONS_734_124=MAKE_PAIR( C_482_29, NEW_481_230 );{
NEW_481_230=C_CONS_734_124;
CALLEE_480_191=C_CDR_733_96;
goto _LOOP_479_148;
}}}
}else
{obj_t OBJ1_735_242;
{obj_t S_736_24;
S_736_24=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );OBJ1_735_242=STRUCT_SLOT_REF( S_736_24, BINT( 2 ) );}if( EQP( OBJ1_735_242, GCALLER_478_188 ))
{
{obj_t AUX_945_125;
{obj_t AUX_946_170;
AUX_946_170=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 28 ) );AUX_945_125=SATISFY__TOOLS_TRACE_72( AUX_946_170 );}if( BBOOL_TO_CBOOL( AUX_945_125 ))
{
{obj_t g1020_493_185;
{obj_t L_740_248;
{obj_t STRING_CAST_893_117;
STRING_CAST_893_117=CNST_TABLE_REF( 29 );{obj_t C_CONS_746_6;
{obj_t S_741_176;
S_741_176=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );{obj_t C_STRUCT_REF_742_167;
C_STRUCT_REF_742_167=STRUCT_SLOT_REF( S_741_176, BINT( 2 ) );{obj_t C_CONS_745_20;
{obj_t STRING_CAST_894_37;
STRING_CAST_894_37=CNST_TABLE_REF( 30 );{obj_t C_CONS_744_81;
C_CONS_744_81=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_745_20=MAKE_PAIR( STRING_CAST_894_37, C_CONS_744_81 );}}{obj_t AUX_944_118;
AUX_944_118=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_742_167 );C_CONS_746_6=MAKE_PAIR( AUX_944_118, C_CONS_745_20 );}}}}L_740_248=MAKE_PAIR( STRING_CAST_893_117, C_CONS_746_6 );}}{
g1020_493_185=L_740_248;
{_g1021_492_163:

if( PAIRP( g1020_493_185 ))
{
{obj_t A_494_212;
A_494_212=CAR( g1020_493_185 );{obj_t VA_ARG_892_60;
VA_ARG_892_60=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_494_212, VA_ARG_892_60 );}}
{obj_t C_CDR_739_162;
C_CDR_739_162=CDR( g1020_493_185 );{
g1020_493_185=C_CDR_739_162;
goto _g1021_492_163;
}}
}else
BTRUE;}
}}}
{obj_t PORT_747_15;
PORT_747_15=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_747_15 );}
}else
BFALSE;}
{obj_t C_CDR_748_95;
C_CDR_748_95=CDR( CALLEE_480_191 );{
CALLEE_480_191=C_CDR_748_95;
goto _LOOP_479_148;
}}
}else
{bool_t OBJ_917_204;
{obj_t AUX_947_138;
{obj_t S_750_176;
S_750_176=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );AUX_947_138=STRUCT_SLOT_REF( S_750_176, BINT( 2 ) );}OBJ_917_204=NULLP( AUX_947_138 );}if( OBJ_917_204)
{
{obj_t AUX_948_119;
{obj_t AUX_949_132;
AUX_949_132=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 31 ) );AUX_948_119=SATISFY__TOOLS_TRACE_72( AUX_949_132 );}if( BBOOL_TO_CBOOL( AUX_948_119 ))
{
{obj_t g1018_496_5;
{obj_t L_754_65;
{obj_t STRING_CAST_896_63;
STRING_CAST_896_63=CNST_TABLE_REF( 32 );{obj_t C_CONS_755_28;
C_CONS_755_28=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_754_65=MAKE_PAIR( STRING_CAST_896_63, C_CONS_755_28 );}}{
g1018_496_5=L_754_65;
{_g1019_495_40:

if( PAIRP( g1018_496_5 ))
{
{obj_t A_497_94;
A_497_94=CAR( g1018_496_5 );{obj_t VA_ARG_895_86;
VA_ARG_895_86=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_497_94, VA_ARG_895_86 );}}
{obj_t C_CDR_753_148;
C_CDR_753_148=CDR( g1018_496_5 );{
g1018_496_5=C_CDR_753_148;
goto _g1019_495_40;
}}
}else
BTRUE;}
}}}
{obj_t PORT_756_101;
PORT_756_101=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_756_101 );}
}else
BFALSE;}
{obj_t S_757_83;
S_757_83=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );STRUCT_SLOT_SET( S_757_83, BINT( 2 ), GCALLER_478_188 );}
{obj_t V_760_250;
{obj_t OBJ2_762_19;
{obj_t S_763_148;
S_763_148=STRUCT_SLOT_REF( GCALLER_478_188, BINT( 4 ) );OBJ2_762_19=STRUCT_SLOT_REF( S_763_148, BINT( 3 ) );}V_760_250=MAKE_PAIR( C_482_29, OBJ2_762_19 );}{obj_t S_759_241;
S_759_241=STRUCT_SLOT_REF( GCALLER_478_188, BINT( 4 ) );STRUCT_SLOT_SET( S_759_241, BINT( 3 ), V_760_250 );}}
{obj_t S_766_190;
S_766_190=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );{obj_t C_STRUCT_REF_767_108;
C_STRUCT_REF_767_108=STRUCT_SLOT_REF( S_766_190, BINT( 1 ) );{obj_t C_CDR_769_241;
C_CDR_769_241=CDR( CALLEE_480_191 );{obj_t AUX_950_223;
AUX_950_223=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_767_108, C_CDR_769_241 );{
CALLEE_480_191=AUX_950_223;
goto _LOOP_479_148;
}}}}}
}else
{
{obj_t AUX_951_148;
{obj_t AUX_952_211;
AUX_952_211=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 33 ) );AUX_951_148=SATISFY__TOOLS_TRACE_72( AUX_952_211 );}if( BBOOL_TO_CBOOL( AUX_951_148 ))
{
{obj_t g1016_499_16;
{obj_t L_771_76;
{obj_t STRING_CAST_898_216;
STRING_CAST_898_216=CNST_TABLE_REF( 34 );{obj_t C_CONS_772_104;
C_CONS_772_104=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_771_76=MAKE_PAIR( STRING_CAST_898_216, C_CONS_772_104 );}}{
g1016_499_16=L_771_76;
{_g1017_498_19:

if( PAIRP( g1016_499_16 ))
{
{obj_t A_500_60;
A_500_60=CAR( g1016_499_16 );{obj_t VA_ARG_897_161;
VA_ARG_897_161=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_500_60, VA_ARG_897_161 );}}
{obj_t C_CDR_770_161;
C_CDR_770_161=CDR( g1016_499_16 );{
g1016_499_16=C_CDR_770_161;
goto _g1017_498_19;
}}
}else
BTRUE;}
}}}
{obj_t PORT_773_200;
PORT_773_200=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_773_200 );}
}else
BFALSE;}
{obj_t N1_776_239;
N1_776_239=__OPTIM__ENGINE_PARAM_213;if( GT_I( N1_776_239, BINT( 1 ) ))
CHANGE_INTEGRATOR__LIFT_INTEGRATE_92( C_482_29 );else
BFALSE;}
{obj_t S_777_154;
S_777_154=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );STRUCT_SLOT_SET( S_777_154, BINT( 4 ), BTRUE );}
{obj_t S_779_116;
S_779_116=STRUCT_SLOT_REF( C_482_29, BINT( 4 ) );{obj_t C_STRUCT_REF_780_62;
C_STRUCT_REF_780_62=STRUCT_SLOT_REF( S_779_116, BINT( 1 ) );{obj_t C_CDR_782_15;
C_CDR_782_15=CDR( CALLEE_480_191 );{obj_t C_CONS_783_163;
C_CONS_783_163=MAKE_PAIR( C_482_29, NEW_481_230 );{obj_t AUX_953_57;
AUX_953_57=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_780_62, C_CDR_782_15 );{
NEW_481_230=C_CONS_783_163;
CALLEE_480_191=AUX_953_57;
goto _LOOP_479_148;
}}}}}}
}}}}}}
}}}
}}}}
}

static obj_t
#if defined( __STDC__ )
CHANGE_INTEGRATOR__LIFT_INTEGRATE_92(obj_t LOCAL_501_138)
#else
CHANGE_INTEGRATOR__LIFT_INTEGRATE_92( LOCAL_501_138 )
obj_t LOCAL_501_138;
#endif
{

{
{obj_t AUX_924_91;
{obj_t AUX_925_92;
AUX_925_92=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 35 ) );AUX_924_91=SATISFY__TOOLS_TRACE_72( AUX_925_92 );}if( BBOOL_TO_CBOOL( AUX_924_91 ))
{
{obj_t g1026_503_232;
{obj_t L_788_15;
{obj_t STRING_CAST_900_22;
STRING_CAST_900_22=CNST_TABLE_REF( 36 );{obj_t C_CONS_796_59;
{obj_t C_CONS_795_137;
{obj_t C_CONS_794_228;
{obj_t STRING_CAST_901_58;
STRING_CAST_901_58=CNST_TABLE_REF( 37 );{obj_t C_CONS_793_108;
{obj_t S_789_61;
S_789_61=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );{obj_t C_STRUCT_REF_790_220;
C_STRUCT_REF_790_220=STRUCT_SLOT_REF( S_789_61, BINT( 3 ) );{obj_t C_CONS_792_191;
C_CONS_792_191=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_922_6;
AUX_922_6=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_790_220 );C_CONS_793_108=MAKE_PAIR( AUX_922_6, C_CONS_792_191 );}}}}C_CONS_794_228=MAKE_PAIR( STRING_CAST_901_58, C_CONS_793_108 );}}C_CONS_795_137=MAKE_PAIR( BCHAR( '\n' ), C_CONS_794_228 );}{obj_t AUX_923_24;
AUX_923_24=SHAPE_TOOLS_SHAPE_229( LOCAL_501_138 );C_CONS_796_59=MAKE_PAIR( AUX_923_24, C_CONS_795_137 );}}L_788_15=MAKE_PAIR( STRING_CAST_900_22, C_CONS_796_59 );}}{
g1026_503_232=L_788_15;
{_g1027_502_210:

if( PAIRP( g1026_503_232 ))
{
{obj_t A_504_176;
A_504_176=CAR( g1026_503_232 );{obj_t VA_ARG_899_254;
VA_ARG_899_254=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_504_176, VA_ARG_899_254 );}}
{obj_t C_CDR_787_28;
C_CDR_787_28=CDR( g1026_503_232 );{
g1026_503_232=C_CDR_787_28;
goto _g1027_502_210;
}}
}else
BTRUE;}
}}}
{obj_t PORT_797_99;
PORT_797_99=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_797_99 );}
}else
BFALSE;}
{obj_t LOCALS_506_159, WHICH_507_20;
{obj_t L_852_43;
L_852_43=MAKE_PAIR( LOCAL_501_138, BNIL );{obj_t S_853_89;
S_853_89=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );{obj_t C_STRUCT_REF_854_214;
C_STRUCT_REF_854_214=STRUCT_SLOT_REF( S_853_89, BINT( 1 ) );{
WHICH_507_20=C_STRUCT_REF_854_214;
LOCALS_506_159=L_852_43;
{_LOOP_505_157:

if( NULLP( WHICH_507_20 ))
return CNST_TABLE_REF( 5 );else
{obj_t FUN_508_223;
FUN_508_223=CAR( WHICH_507_20 );{
{obj_t AUX_928_225;
{obj_t AUX_929_207;
AUX_929_207=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 38 ) );AUX_928_225=SATISFY__TOOLS_TRACE_72( AUX_929_207 );}if( BBOOL_TO_CBOOL( AUX_928_225 ))
{
{obj_t g1028_510_59;
{obj_t L_799_184;
{obj_t STRING_CAST_903_78;
STRING_CAST_903_78=CNST_TABLE_REF( 39 );{obj_t C_CONS_803_75;
{obj_t C_CONS_802_78;
{obj_t STRING_CAST_904_12;
STRING_CAST_904_12=CNST_TABLE_REF( 40 );{obj_t C_CONS_801_22;
{obj_t C_CONS_800_58;
C_CONS_800_58=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_926_127;
AUX_926_127=COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194( FUN_508_223, LOCALS_506_159 );C_CONS_801_22=MAKE_PAIR( AUX_926_127, C_CONS_800_58 );}}C_CONS_802_78=MAKE_PAIR( STRING_CAST_904_12, C_CONS_801_22 );}}{obj_t AUX_927_17;
AUX_927_17=SHAPE_TOOLS_SHAPE_229( FUN_508_223 );C_CONS_803_75=MAKE_PAIR( AUX_927_17, C_CONS_802_78 );}}L_799_184=MAKE_PAIR( STRING_CAST_903_78, C_CONS_803_75 );}}{
g1028_510_59=L_799_184;
{_g1029_509_188:

if( PAIRP( g1028_510_59 ))
{
{obj_t A_511_159;
A_511_159=CAR( g1028_510_59 );{obj_t VA_ARG_902_72;
VA_ARG_902_72=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_511_159, VA_ARG_902_72 );}}
{obj_t C_CDR_798_172;
C_CDR_798_172=CDR( g1028_510_59 );{
g1028_510_59=C_CDR_798_172;
goto _g1029_509_188;
}}
}else
BTRUE;}
}}}
{obj_t PORT_804_143;
PORT_804_143=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_804_143 );}
}else
BFALSE;}
{obj_t OBJ1_805_29;
{obj_t S_806_9;
S_806_9=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );OBJ1_805_29=STRUCT_SLOT_REF( S_806_9, BINT( 2 ) );}if( EQP( OBJ1_805_29, LOCAL_501_138 ))
{obj_t C_CDR_809_102;
C_CDR_809_102=CDR( WHICH_507_20 );{
WHICH_507_20=C_CDR_809_102;
goto _LOOP_505_157;
}}else
{obj_t AUX_935_164;
AUX_935_164=COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194( FUN_508_223, LOCALS_506_159 );if( BBOOL_TO_CBOOL( AUX_935_164 ))
{obj_t OI_512_209;
{obj_t S_810_112;
S_810_112=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );OI_512_209=STRUCT_SLOT_REF( S_810_112, BINT( 2 ) );}{
{obj_t AUX_931_55;
{obj_t AUX_932_105;
AUX_932_105=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 41 ) );AUX_931_55=SATISFY__TOOLS_TRACE_72( AUX_932_105 );}if( BBOOL_TO_CBOOL( AUX_931_55 ))
{
{obj_t g1030_514_111;
{obj_t L_814_199;
{obj_t STRING_CAST_906_103;
STRING_CAST_906_103=CNST_TABLE_REF( 42 );{obj_t C_CONS_816_191;
{obj_t C_CONS_815_232;
C_CONS_815_232=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_930_143;
AUX_930_143=SHAPE_TOOLS_SHAPE_229( OI_512_209 );C_CONS_816_191=MAKE_PAIR( AUX_930_143, C_CONS_815_232 );}}L_814_199=MAKE_PAIR( STRING_CAST_906_103, C_CONS_816_191 );}}{
g1030_514_111=L_814_199;
{_g1031_513_71:

if( PAIRP( g1030_514_111 ))
{
{obj_t A_515_89;
A_515_89=CAR( g1030_514_111 );{obj_t VA_ARG_905_208;
VA_ARG_905_208=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_515_89, VA_ARG_905_208 );}}
{obj_t C_CDR_813_238;
C_CDR_813_238=CDR( g1030_514_111 );{
g1030_514_111=C_CDR_813_238;
goto _g1031_513_71;
}}
}else
BTRUE;}
}}}
{obj_t PORT_817_65;
PORT_817_65=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_817_65 );}
}else
BFALSE;}
{if( STRUCTP( OI_512_209 ))
if( EQP( STRUCT_KEY( OI_512_209 ), CNST_TABLE_REF( 16 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{
{obj_t V_820_13;
{obj_t S_822_151;
S_822_151=STRUCT_SLOT_REF( OI_512_209, BINT( 4 ) );{obj_t C_STRUCT_REF_823_91;
C_STRUCT_REF_823_91=STRUCT_SLOT_REF( S_822_151, BINT( 3 ) );V_820_13=REMQ____R4_PAIRS_AND_LISTS_6_3_57( FUN_508_223, C_STRUCT_REF_823_91 );}}{obj_t S_819_91;
S_819_91=STRUCT_SLOT_REF( OI_512_209, BINT( 4 ) );STRUCT_SLOT_SET( S_819_91, BINT( 3 ), V_820_13 );}}
{obj_t S_825_113;
S_825_113=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );STRUCT_SLOT_SET( S_825_113, BINT( 2 ), LOCAL_501_138 );}
{obj_t V_828_196;
{obj_t OBJ2_830_152;
{obj_t S_831_73;
S_831_73=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );OBJ2_830_152=STRUCT_SLOT_REF( S_831_73, BINT( 3 ) );}V_828_196=MAKE_PAIR( FUN_508_223, OBJ2_830_152 );}{obj_t S_827_21;
S_827_21=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );STRUCT_SLOT_SET( S_827_21, BINT( 3 ), V_828_196 );}}
{obj_t C_CONS_834_144;
C_CONS_834_144=MAKE_PAIR( FUN_508_223, LOCALS_506_159 );{obj_t S_835_65;
S_835_65=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );{obj_t C_STRUCT_REF_836_115;
C_STRUCT_REF_836_115=STRUCT_SLOT_REF( S_835_65, BINT( 1 ) );{obj_t AUX_934_29;
AUX_934_29=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_836_115, WHICH_507_20 );{
WHICH_507_20=AUX_934_29;
LOCALS_506_159=C_CONS_834_144;
goto _LOOP_505_157;
}}}}}
}_false_1:
{
{obj_t S_838_177;
S_838_177=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );STRUCT_SLOT_SET( S_838_177, BINT( 2 ), LOCAL_501_138 );}
{obj_t V_841_171;
{obj_t OBJ2_843_63;
{obj_t S_844_147;
S_844_147=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );OBJ2_843_63=STRUCT_SLOT_REF( S_844_147, BINT( 3 ) );}V_841_171=MAKE_PAIR( FUN_508_223, OBJ2_843_63 );}{obj_t S_840_167;
S_840_167=STRUCT_SLOT_REF( LOCAL_501_138, BINT( 4 ) );STRUCT_SLOT_SET( S_840_167, BINT( 3 ), V_841_171 );}}
{obj_t C_CONS_847_219;
C_CONS_847_219=MAKE_PAIR( FUN_508_223, LOCALS_506_159 );{obj_t S_848_181;
S_848_181=STRUCT_SLOT_REF( FUN_508_223, BINT( 4 ) );{obj_t C_STRUCT_REF_849_167;
C_STRUCT_REF_849_167=STRUCT_SLOT_REF( S_848_181, BINT( 1 ) );{obj_t AUX_933_134;
AUX_933_134=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_849_167, WHICH_507_20 );{
WHICH_507_20=AUX_933_134;
LOCALS_506_159=C_CONS_847_219;
goto _LOOP_505_157;
}}}}}
};
}
}}else
{obj_t C_CDR_851_42;
C_CDR_851_42=CDR( WHICH_507_20 );{
WHICH_507_20=C_CDR_851_42;
goto _LOOP_505_157;
}}}}
}}}
}}}}}
}
}

static obj_t
#if defined( __STDC__ )
COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194(obj_t FUN_516_20,obj_t FROMS_517_251)
#else
COULD_CHANGE_INTEGRATOR__LIFT_INTEGRATE_194( FUN_516_20, FROMS_517_251 )
obj_t FUN_516_20, FROMS_517_251;
#endif
{

{obj_t CFROM_519_51;
{obj_t S_860_70;
S_860_70=STRUCT_SLOT_REF( FUN_516_20, BINT( 4 ) );{obj_t C_STRUCT_REF_861_174;
C_STRUCT_REF_861_174=STRUCT_SLOT_REF( S_860_70, BINT( 0 ) );{
CFROM_519_51=C_STRUCT_REF_861_174;
{_LOOP_518_167:

if( NULLP( CFROM_519_51 ))
return BTRUE;else
{obj_t C_CAR_856_45;
C_CAR_856_45=CAR( CFROM_519_51 );{obj_t AUX_921_20;
AUX_921_20=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( C_CAR_856_45, FROMS_517_251 );if( BBOOL_TO_CBOOL( AUX_921_20 ))
{obj_t C_CDR_857_89;
C_CDR_857_89=CDR( CFROM_519_51 );{
CFROM_519_51=C_CDR_857_89;
goto _LOOP_518_167;
}}else
{obj_t OBJ1_858_196;
OBJ1_858_196=CAR( CFROM_519_51 );if( EQP( OBJ1_858_196, FUN_516_20 ))
{obj_t C_CDR_859_82;
C_CDR_859_82=CDR( CFROM_519_51 );{
CFROM_519_51=C_CDR_859_82;
goto _LOOP_518_167;
}}else
return BFALSE;}}}}
}}}}
}

