/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Lift/kapture.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t LIFT_KAPTURE_INITIALISATION_ENV_LIFT_KAPTURE_43 = BUNSPEC;
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
static obj_t GET_NEW_KEY_LIFT_KAPTURE_107 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LIFT_CLOSURE_INITIALISATION_LIFT_CLOSURE_114();
#if defined( __STDC__ )
extern obj_t __KAPTURE__LIFT_KAPTURE_176(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __KAPTURE__LIFT_KAPTURE_176();
#endif
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
obj_t KAPTURE__ENV_LIFT_KAPTURE_48 = BUNSPEC;
extern obj_t SHAPE_TOOLS_SHAPE_229();
extern obj_t THE_CONTINUE_LIFT_CLOSURE_240();
extern obj_t MINFX___R4_NUMBERS_6_5_FIXNUM_110();
#if defined( __STDC__ )
static obj_t AJUST_BIND_ESCAPING__LIFT_KAPTURE_145(obj_t);
#else
static obj_t AJUST_BIND_ESCAPING__LIFT_KAPTURE_145();
#endif
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 43 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
static obj_t REQUIRE_INITIALISATION__LIFT_KAPTURE_67 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t FREE_GRAPH__LIFT_FGRAPH_107();
#if defined( __STDC__ )
static obj_t UNION_LIFT_KAPTURE_18(obj_t, obj_t, obj_t);
#else
static obj_t UNION_LIFT_KAPTURE_18();
#endif
extern obj_t THE_CLOSURE_LIFT_CLOSURE_124();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t __LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_46(obj_t);
#else
extern obj_t __LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_46();
#endif
extern obj_t make_fx_procedure();
extern obj_t LIFT_FGRAPH_INITIALISATION_LIFT_FGRAPH_69();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
extern obj_t LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
#if defined( __STDC__ )
extern obj_t KAPTURE__LIFT_KAPTURE_92(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t KAPTURE__LIFT_KAPTURE_92();
#endif
#if defined( __STDC__ )
static obj_t GET_KAPTURED__LIFT_KAPTURE_104(obj_t, obj_t, obj_t);
#else
static obj_t GET_KAPTURED__LIFT_KAPTURE_104();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_0_0_517_123();

obj_t
#if defined( __STDC__ )
LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193()
#else
LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__LIFT_KAPTURE_67 ))
{
REQUIRE_INITIALISATION__LIFT_KAPTURE_67=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
LIFT_FGRAPH_INITIALISATION_LIFT_FGRAPH_69();
LIFT_CLOSURE_INITIALISATION_LIFT_CLOSURE_114();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
DECLARE_CNST_TABLE( __cnst[ 43 ]  );
{obj_t PORT_1065_104;
{obj_t AUX_1125_212;
AUX_1125_212=c_constant_string_to_string( "#\"    liip: \" (LOOP LIFT ) #\"Bind(I)   : \" #\"integrator: \" #\"union     : \" (LOOP LIFT ) #\"[je cons]\" (LIFT LOOP ) #\"[stack key]\" (LIFT LOOP ) #\"[eq? c fun]\" (LIFT LOOP ) (LIFT LOOP ) #\"Je save:\" (LIFT LOOP ) (LIFT LOOP ) #\"...\" #\") : \" #\"/\" #\"] (\" #\"callee[\" (LIFT LOOP ) #\"\" #\" [ok]\" #\"         key : \" #\"         bot : \" #\"         be  : \" #\"         cto : \" #\"         free: \" #\"get-kaptured!: \" (LIFT LOOP ) #\"----------------------------------------\" #\" ): \" #\"Kaptured( \" RETURN FUNCTION DONE #\"----------------------------------------\" #\"----------------------------------------\" #\" ): \" #\"Free( \" #\"----------------------------------------\" LIFT " );PORT_1065_104=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_1125_212 );}{obj_t OFFSET_1066_48;
{
OFFSET_1066_48=BINT( 42 );
{_LOOP_1067_116:

if( LT_I( OFFSET_1066_48, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_1126_94;
AUX_1126_94=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_1065_104, BEOA );CNST_TABLE_SET( OFFSET_1066_48, AUX_1126_94 );}
{obj_t OFFSET_1127_56;
OFFSET_1127_56=OFFSET_1066_48;{
OFFSET_1066_48=SUB_I( OFFSET_1127_56, BINT( 1 ) );
goto _LOOP_1067_116;
}}
}}
}}}
{
LIFT_KAPTURE_INITIALISATION_ENV_LIFT_KAPTURE_43=make_fx_procedure( __LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_46, 0, 0 );
KAPTURE__ENV_LIFT_KAPTURE_48=make_fx_procedure( __KAPTURE__LIFT_KAPTURE_176, 4, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
{obj_t KEY_516_59;
KEY_516_59=MAKE_CELL( BINT( 0 ) );{obj_t LAMBDA_0_0_ENV_1049_244;
LAMBDA_0_0_ENV_1049_244=make_fx_procedure( LAMBDA_0_0_517_123, 0, 1 );{
PROCEDURE_ENV_SET( LAMBDA_0_0_ENV_1049_244, 0, KEY_516_59 );
{obj_t A_FUNCTION_993_3;
A_FUNCTION_993_3=LAMBDA_0_0_ENV_1049_244;GET_NEW_KEY_LIFT_KAPTURE_107=A_FUNCTION_993_3;}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_46(obj_t ENV_1051_60)
#else
__LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_46( ENV_1051_60 )
obj_t ENV_1051_60;
#endif
{

return LIFT_KAPTURE_INITIALISATION_LIFT_KAPTURE_193();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_0_517_123(obj_t LAMBDA_0_0_ENV_1050_225)
#else
LAMBDA_0_0_517_123( LAMBDA_0_0_ENV_1050_225 )
obj_t LAMBDA_0_0_ENV_1050_225;
#endif
{

{obj_t KEY_516_59;
KEY_516_59=PROCEDURE_ENV_REF( LAMBDA_0_0_ENV_1050_225, 0 );{
{obj_t L_586_175;
L_586_175=CELL_REF( KEY_516_59 );CELL_SET( KEY_516_59, ADD_I_PTAG( L_586_175, PSUB_TAG( 1 ) ) );}
return CELL_REF( KEY_516_59 );
}}
}

obj_t
#if defined( __STDC__ )
KAPTURE__LIFT_KAPTURE_92(obj_t VAR_432_242,obj_t BODY_433_193,obj_t G_434_91,obj_t FORMALS_435_80)
#else
KAPTURE__LIFT_KAPTURE_92( VAR_432_242, BODY_433_193, G_434_91, FORMALS_435_80 )
obj_t VAR_432_242, BODY_433_193, G_434_91, FORMALS_435_80;
#endif
{

{
{obj_t g1000_437_156;
{
g1000_437_156=FORMALS_435_80;
{_g1001_436_173:

if( PAIRP( g1000_437_156 ))
{
{obj_t V_438_12;
V_438_12=CAR( g1000_437_156 );{obj_t S_673_126;
S_673_126=STRUCT_SLOT_REF( V_438_12, BINT( 4 ) );STRUCT_SLOT_SET( S_673_126, BINT( 8 ), VAR_432_242 );}}
{obj_t C_CDR_675_36;
C_CDR_675_36=CDR( g1000_437_156 );{
g1000_437_156=C_CDR_675_36;
goto _g1001_436_173;
}}
}else
BTRUE;}
}}
FREE_GRAPH__LIFT_FGRAPH_107( BODY_433_193, VAR_432_242, VAR_432_242 );
{obj_t AUX_1109_160;
{obj_t AUX_1110_178;
AUX_1110_178=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1109_160=SATISFY__TOOLS_TRACE_72( AUX_1110_178 );}if( BBOOL_TO_CBOOL( AUX_1109_160 ))
{
{obj_t g1002_440_189;
{obj_t L_678_122;
{obj_t STRING_CAST_1001_54;
STRING_CAST_1001_54=CNST_TABLE_REF( 1 );{obj_t C_CONS_679_208;
C_CONS_679_208=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_678_122=MAKE_PAIR( STRING_CAST_1001_54, C_CONS_679_208 );}}{
g1002_440_189=L_678_122;
{_g1003_439_44:

if( PAIRP( g1002_440_189 ))
{
{obj_t A_441_111;
A_441_111=CAR( g1002_440_189 );{obj_t VA_ARG_1000_1;
VA_ARG_1000_1=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_441_111, VA_ARG_1000_1 );}}
{obj_t C_CDR_676_40;
C_CDR_676_40=CDR( g1002_440_189 );{
g1002_440_189=C_CDR_676_40;
goto _g1003_439_44;
}}
}else
BTRUE;}
}}}
{obj_t PORT_681_230;
PORT_681_230=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_681_230 );}
}else
BFALSE;}
{obj_t g1004_443_78;
{
g1004_443_78=G_434_91;
{_g1005_442_92:

if( PAIRP( g1004_443_78 ))
{
{obj_t G_444_190;
G_444_190=CAR( g1004_443_78 );{obj_t AUX_1113_237;
{obj_t AUX_1114_250;
AUX_1114_250=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1113_237=SATISFY__TOOLS_TRACE_72( AUX_1114_250 );}if( BBOOL_TO_CBOOL( AUX_1113_237 ))
{
{obj_t g1006_446_81;
{obj_t L_683_133;
{obj_t STRING_CAST_1003_252;
STRING_CAST_1003_252=CNST_TABLE_REF( 2 );{obj_t C_CONS_690_102;
{obj_t C_CONS_689_139;
{obj_t STRING_CAST_1004_116;
STRING_CAST_1004_116=CNST_TABLE_REF( 3 );{obj_t C_CONS_688_232;
{obj_t S_684_7;
S_684_7=STRUCT_SLOT_REF( G_444_190, BINT( 4 ) );{obj_t C_STRUCT_REF_685_126;
C_STRUCT_REF_685_126=STRUCT_SLOT_REF( S_684_7, BINT( 6 ) );{obj_t C_CONS_687_239;
C_CONS_687_239=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1111_85;
AUX_1111_85=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_685_126 );C_CONS_688_232=MAKE_PAIR( AUX_1111_85, C_CONS_687_239 );}}}}C_CONS_689_139=MAKE_PAIR( STRING_CAST_1004_116, C_CONS_688_232 );}}{obj_t AUX_1112_253;
AUX_1112_253=SHAPE_TOOLS_SHAPE_229( G_444_190 );C_CONS_690_102=MAKE_PAIR( AUX_1112_253, C_CONS_689_139 );}}L_683_133=MAKE_PAIR( STRING_CAST_1003_252, C_CONS_690_102 );}}{
g1006_446_81=L_683_133;
{_g1007_445_174:

if( PAIRP( g1006_446_81 ))
{
{obj_t A_447_45;
A_447_45=CAR( g1006_446_81 );{obj_t VA_ARG_1002_110;
VA_ARG_1002_110=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_447_45, VA_ARG_1002_110 );}}
{obj_t C_CDR_682_158;
C_CDR_682_158=CDR( g1006_446_81 );{
g1006_446_81=C_CDR_682_158;
goto _g1007_445_174;
}}
}else
BTRUE;}
}}}
{obj_t PORT_691_120;
PORT_691_120=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_691_120 );}
}else
BFALSE;}}
{obj_t C_CDR_692_230;
C_CDR_692_230=CDR( g1004_443_78 );{
g1004_443_78=C_CDR_692_230;
goto _g1005_442_92;
}}
}else
BTRUE;}
}}
{obj_t AUX_1115_154;
{obj_t AUX_1116_133;
AUX_1116_133=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1115_154=SATISFY__TOOLS_TRACE_72( AUX_1116_133 );}if( BBOOL_TO_CBOOL( AUX_1115_154 ))
{
{obj_t g1008_449_224;
{obj_t L_694_153;
{obj_t STRING_CAST_1006_206;
STRING_CAST_1006_206=CNST_TABLE_REF( 4 );{obj_t C_CONS_695_106;
C_CONS_695_106=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_694_153=MAKE_PAIR( STRING_CAST_1006_206, C_CONS_695_106 );}}{
g1008_449_224=L_694_153;
{_g1009_448_13:

if( PAIRP( g1008_449_224 ))
{
{obj_t A_450_44;
A_450_44=CAR( g1008_449_224 );{obj_t VA_ARG_1005_174;
VA_ARG_1005_174=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_450_44, VA_ARG_1005_174 );}}
{obj_t C_CDR_693_142;
C_CDR_693_142=CDR( g1008_449_224 );{
g1008_449_224=C_CDR_693_142;
goto _g1009_448_13;
}}
}else
BTRUE;}
}}}
{obj_t PORT_696_131;
PORT_696_131=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_696_131 );}
}else
BFALSE;}
{obj_t g1010_452_34;
{
g1010_452_34=G_434_91;
{_g1011_451_221:

if( PAIRP( g1010_452_34 ))
{
{obj_t G_453_27;
G_453_27=CAR( g1010_452_34 );{
AJUST_BIND_ESCAPING__LIFT_KAPTURE_145( G_453_27 );
{obj_t KEY_454_240;
KEY_454_240=PROCEDURE_ENTRY( GET_NEW_KEY_LIFT_KAPTURE_107 )( GET_NEW_KEY_LIFT_KAPTURE_107, BEOA );GET_KAPTURED__LIFT_KAPTURE_104( G_453_27, KEY_454_240, KEY_454_240 );}
}}
{obj_t C_CDR_697_179;
C_CDR_697_179=CDR( g1010_452_34 );{
g1010_452_34=C_CDR_697_179;
goto _g1011_451_221;
}}
}else
BTRUE;}
}}
{obj_t AUX_1117_88;
{obj_t AUX_1118_35;
AUX_1118_35=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1117_88=SATISFY__TOOLS_TRACE_72( AUX_1118_35 );}if( BBOOL_TO_CBOOL( AUX_1117_88 ))
{
{obj_t g1012_456_236;
{obj_t L_699_202;
{obj_t STRING_CAST_1008_88;
STRING_CAST_1008_88=CNST_TABLE_REF( 5 );{obj_t C_CONS_700_197;
C_CONS_700_197=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_699_202=MAKE_PAIR( STRING_CAST_1008_88, C_CONS_700_197 );}}{
g1012_456_236=L_699_202;
{_g1013_455_67:

if( PAIRP( g1012_456_236 ))
{
{obj_t A_457_52;
A_457_52=CAR( g1012_456_236 );{obj_t VA_ARG_1007_119;
VA_ARG_1007_119=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_457_52, VA_ARG_1007_119 );}}
{obj_t C_CDR_698_160;
C_CDR_698_160=CDR( g1012_456_236 );{
g1012_456_236=C_CDR_698_160;
goto _g1013_455_67;
}}
}else
BTRUE;}
}}}
{obj_t PORT_701_196;
PORT_701_196=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_701_196 );}
}else
BFALSE;}
{obj_t g1014_459_0;
{
g1014_459_0=G_434_91;
{_g1015_458_113:

if( PAIRP( g1014_459_0 ))
{
{obj_t G_460_195;
G_460_195=CAR( g1014_459_0 );{obj_t K_462_226;
{obj_t S_723_129;
S_723_129=STRUCT_SLOT_REF( G_460_195, BINT( 4 ) );{obj_t C_STRUCT_REF_724_215;
C_STRUCT_REF_724_215=STRUCT_SLOT_REF( S_723_129, BINT( 7 ) );{
K_462_226=C_STRUCT_REF_724_215;
{_LOOP_461_127:

if( NULLP( K_462_226 ))
CNST_TABLE_REF( 6 );else
{
{obj_t OBJ1_702_87;
{obj_t S_703_96;
S_703_96=CAR( K_462_226 );OBJ1_702_87=STRUCT_SLOT_REF( S_703_96, BINT( 2 ) );}if( EQP( OBJ1_702_87, CNST_TABLE_REF( 7 ) ))
{
{obj_t S_705_62;
{obj_t S_706_114;
{obj_t C_CAR_708_126;
C_CAR_708_126=CAR( K_462_226 );S_706_114=THE_CLOSURE_LIFT_CLOSURE_124( C_CAR_708_126 );}S_705_62=STRUCT_SLOT_REF( S_706_114, BINT( 4 ) );}STRUCT_SLOT_SET( S_705_62, BINT( 11 ), BTRUE );}
{obj_t OBJ_711_191;
{obj_t C_CAR_712_237;
C_CAR_712_237=CAR( K_462_226 );OBJ_711_191=THE_CLOSURE_LIFT_CLOSURE_124( C_CAR_712_237 );}SET_CAR( K_462_226, OBJ_711_191 );}
}else
{obj_t OBJ1_713_14;
{obj_t S_714_229;
S_714_229=CAR( K_462_226 );OBJ1_713_14=STRUCT_SLOT_REF( S_714_229, BINT( 2 ) );}if( EQP( OBJ1_713_14, CNST_TABLE_REF( 8 ) ))
{
{obj_t S_716_131;
{obj_t S_717_152;
{obj_t C_CAR_719_35;
C_CAR_719_35=CAR( K_462_226 );S_717_152=THE_CONTINUE_LIFT_CLOSURE_240( C_CAR_719_35 );}S_716_131=STRUCT_SLOT_REF( S_717_152, BINT( 4 ) );}STRUCT_SLOT_SET( S_716_131, BINT( 11 ), BTRUE );}
{obj_t OBJ_720_20;
{obj_t C_CAR_721_128;
C_CAR_721_128=CAR( K_462_226 );OBJ_720_20=THE_CONTINUE_LIFT_CLOSURE_240( C_CAR_721_128 );}SET_CAR( K_462_226, OBJ_720_20 );}
}else
BFALSE;}}
{obj_t C_CDR_722_76;
C_CDR_722_76=CDR( K_462_226 );{
K_462_226=C_CDR_722_76;
goto _LOOP_461_127;
}}
}}
}}}}}
{obj_t C_CDR_726_131;
C_CDR_726_131=CDR( g1014_459_0 );{
g1014_459_0=C_CDR_726_131;
goto _g1015_458_113;
}}
}else
BTRUE;}
}}
{obj_t g1016_464_105;
{
g1016_464_105=G_434_91;
{_g1017_463_49:

if( PAIRP( g1016_464_105 ))
{
{obj_t G_465_166;
G_465_166=CAR( g1016_464_105 );{obj_t g1018_467_66;
{obj_t S_730_92;
S_730_92=STRUCT_SLOT_REF( G_465_166, BINT( 4 ) );{obj_t C_STRUCT_REF_731_163;
C_STRUCT_REF_731_163=STRUCT_SLOT_REF( S_730_92, BINT( 7 ) );{
g1018_467_66=C_STRUCT_REF_731_163;
{_g1019_466_122:

if( PAIRP( g1018_467_66 ))
{
{obj_t L_468_143;
L_468_143=CAR( g1018_467_66 );{obj_t S_727_19;
S_727_19=STRUCT_SLOT_REF( L_468_143, BINT( 4 ) );STRUCT_SLOT_SET( S_727_19, BINT( 11 ), BTRUE );}}
{obj_t C_CDR_729_219;
C_CDR_729_219=CDR( g1018_467_66 );{
g1018_467_66=C_CDR_729_219;
goto _g1019_466_122;
}}
}else
BTRUE;}
}}}}}
{obj_t C_CDR_733_96;
C_CDR_733_96=CDR( g1016_464_105 );{
g1016_464_105=C_CDR_733_96;
goto _g1017_463_49;
}}
}else
BTRUE;}
}}
{obj_t g1020_470_102;
{
g1020_470_102=G_434_91;
{_g1021_469_176:

if( PAIRP( g1020_470_102 ))
{
{obj_t G_471_234;
G_471_234=CAR( g1020_470_102 );{obj_t AUX_1121_43;
{obj_t AUX_1122_247;
AUX_1122_247=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1121_43=SATISFY__TOOLS_TRACE_72( AUX_1122_247 );}if( BBOOL_TO_CBOOL( AUX_1121_43 ))
{
{obj_t g1022_473_215;
{obj_t L_735_23;
{obj_t STRING_CAST_1010_130;
STRING_CAST_1010_130=CNST_TABLE_REF( 9 );{obj_t C_CONS_742_127;
{obj_t C_CONS_741_92;
{obj_t STRING_CAST_1011_122;
STRING_CAST_1011_122=CNST_TABLE_REF( 10 );{obj_t C_CONS_740_91;
{obj_t S_736_24;
S_736_24=STRUCT_SLOT_REF( G_471_234, BINT( 4 ) );{obj_t C_STRUCT_REF_737_219;
C_STRUCT_REF_737_219=STRUCT_SLOT_REF( S_736_24, BINT( 7 ) );{obj_t C_CONS_739_181;
C_CONS_739_181=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1119_206;
AUX_1119_206=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_737_219 );C_CONS_740_91=MAKE_PAIR( AUX_1119_206, C_CONS_739_181 );}}}}C_CONS_741_92=MAKE_PAIR( STRING_CAST_1011_122, C_CONS_740_91 );}}{obj_t AUX_1120_196;
AUX_1120_196=SHAPE_TOOLS_SHAPE_229( G_471_234 );C_CONS_742_127=MAKE_PAIR( AUX_1120_196, C_CONS_741_92 );}}L_735_23=MAKE_PAIR( STRING_CAST_1010_130, C_CONS_742_127 );}}{
g1022_473_215=L_735_23;
{_g1023_472_214:

if( PAIRP( g1022_473_215 ))
{
{obj_t A_474_13;
A_474_13=CAR( g1022_473_215 );{obj_t VA_ARG_1009_170;
VA_ARG_1009_170=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_474_13, VA_ARG_1009_170 );}}
{obj_t C_CDR_734_179;
C_CDR_734_179=CDR( g1022_473_215 );{
g1022_473_215=C_CDR_734_179;
goto _g1023_472_214;
}}
}else
BTRUE;}
}}}
{obj_t PORT_743_210;
PORT_743_210=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_743_210 );}
}else
BFALSE;}}
{obj_t C_CDR_744_133;
C_CDR_744_133=CDR( g1020_470_102 );{
g1020_470_102=C_CDR_744_133;
goto _g1021_469_176;
}}
}else
BTRUE;}
}}
{obj_t AUX_1123_204;
{obj_t AUX_1124_224;
AUX_1124_224=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_1123_204=SATISFY__TOOLS_TRACE_72( AUX_1124_224 );}if( BBOOL_TO_CBOOL( AUX_1123_204 ))
{
{obj_t g1024_476_187;
{obj_t L_746_222;
{obj_t STRING_CAST_1013_245;
STRING_CAST_1013_245=CNST_TABLE_REF( 11 );{obj_t C_CONS_747_24;
C_CONS_747_24=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_746_222=MAKE_PAIR( STRING_CAST_1013_245, C_CONS_747_24 );}}{
g1024_476_187=L_746_222;
{_g1025_475_214:

if( PAIRP( g1024_476_187 ))
{
{obj_t A_477_187;
A_477_187=CAR( g1024_476_187 );{obj_t VA_ARG_1012_161;
VA_ARG_1012_161=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_477_187, VA_ARG_1012_161 );}}
{obj_t C_CDR_745_88;
C_CDR_745_88=CDR( g1024_476_187 );{
g1024_476_187=C_CDR_745_88;
goto _g1025_475_214;
}}
}else
BTRUE;}
}}}
{obj_t PORT_748_211;
PORT_748_211=__TRACE_PORT__TOOLS_TRACE_74;return FLUSH_OUTPUT_PORT( PORT_748_211 );}
}else
return BFALSE;}
}
}

obj_t
#if defined( __STDC__ )
__KAPTURE__LIFT_KAPTURE_176(obj_t ENV_1048_65,obj_t VAR_432_242,obj_t BODY_433_193,obj_t G_434_91,obj_t FORMALS_435_80)
#else
__KAPTURE__LIFT_KAPTURE_176( ENV_1048_65, VAR_432_242, BODY_433_193, G_434_91, FORMALS_435_80 )
obj_t ENV_1048_65, VAR_432_242, BODY_433_193, G_434_91, FORMALS_435_80;
#endif
{

return KAPTURE__LIFT_KAPTURE_92( VAR_432_242, BODY_433_193, G_434_91, FORMALS_435_80 );
}

static obj_t
#if defined( __STDC__ )
GET_KAPTURED__LIFT_KAPTURE_104(obj_t FUN_478_238,obj_t BOTTOM_479_81,obj_t KEY_480_30)
#else
GET_KAPTURED__LIFT_KAPTURE_104( FUN_478_238, BOTTOM_479_81, KEY_480_30 )
obj_t FUN_478_238, BOTTOM_479_81, KEY_480_30;
#endif
{

{obj_t LIFT_481_87;
LIFT_481_87=STRUCT_SLOT_REF( FUN_478_238, BINT( 4 ) );{
{bool_t __ortest_1026_1054_125;
{obj_t AUX_1076_159;
{bool_t OBJ_1053_99;
{obj_t AUX_1077_93;
{bool_t OBJ_1052_100;
OBJ_1052_100=INTEGERP( STRUCT_SLOT_REF( LIFT_481_87, BINT( 12 ) ) );AUX_1077_93=CBOOL_TO_BBOOL( OBJ_1052_100 );}OBJ_1053_99=BBOOL_TO_CBOOL( AUX_1077_93 );}if( OBJ_1053_99)
AUX_1076_159=BFALSE;else
AUX_1076_159=BTRUE;}__ortest_1026_1054_125=BBOOL_TO_CBOOL( AUX_1076_159 );}{if( __ortest_1026_1054_125)
goto _true_0;else
{obj_t N1_757_225;
N1_757_225=STRUCT_SLOT_REF( LIFT_481_87, BINT( 12 ) );if( LT_I( N1_757_225, BOTTOM_479_81 ))
goto _true_0;else
goto _false_1;}_true_0:
{STRUCT_SLOT_SET( LIFT_481_87, BINT( 12 ), KEY_480_30 );
goto _endif_2;}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t AUX_1083_87;
{obj_t AUX_1084_68;
AUX_1084_68=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 12 ) );AUX_1083_87=SATISFY__TOOLS_TRACE_72( AUX_1084_68 );}if( BBOOL_TO_CBOOL( AUX_1083_87 ))
{
{obj_t g1027_484_133;
{obj_t L_760_136;
{obj_t STRING_CAST_1015_72;
STRING_CAST_1015_72=CNST_TABLE_REF( 13 );{obj_t C_CONS_783_163;
{obj_t C_CONS_782_200;
{bool_t C_STRUCT_REF_1055_242;
C_STRUCT_REF_1055_242=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( LIFT_481_87, BINT( 7 ) ) );{obj_t C_CONS_781_222;
{obj_t C_CONS_780_235;
{obj_t STRING_CAST_1018_185;
STRING_CAST_1018_185=CNST_TABLE_REF( 14 );{obj_t C_CONS_779_115;
{obj_t C_STRUCT_REF_762_59;
C_STRUCT_REF_762_59=STRUCT_SLOT_REF( LIFT_481_87, BINT( 6 ) );{obj_t C_CONS_778_48;
{obj_t C_CONS_777_223;
{obj_t STRING_CAST_1019_194;
STRING_CAST_1019_194=CNST_TABLE_REF( 15 );{obj_t C_CONS_776_148;
{obj_t C_STRUCT_REF_763_74;
C_STRUCT_REF_763_74=STRUCT_SLOT_REF( LIFT_481_87, BINT( 1 ) );{obj_t C_CONS_775_211;
{obj_t C_CONS_774_57;
{obj_t STRING_CAST_1020_151;
STRING_CAST_1020_151=CNST_TABLE_REF( 16 );{obj_t C_CONS_773_190;
{obj_t C_STRUCT_REF_764_139;
C_STRUCT_REF_764_139=STRUCT_SLOT_REF( LIFT_481_87, BINT( 10 ) );{obj_t C_CONS_772_104;
{obj_t C_CONS_771_213;
{obj_t STRING_CAST_1021_251;
STRING_CAST_1021_251=CNST_TABLE_REF( 17 );{obj_t C_CONS_770_49;
{obj_t C_CONS_769_251;
{obj_t C_CONS_768_151;
{obj_t STRING_CAST_1022_207;
STRING_CAST_1022_207=CNST_TABLE_REF( 18 );{obj_t C_CONS_767_91;
{obj_t C_CONS_766_92;
{obj_t C_CONS_765_127;
C_CONS_765_127=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_766_92=MAKE_PAIR( BCHAR( '\n' ), C_CONS_765_127 );}C_CONS_767_91=MAKE_PAIR( KEY_480_30, C_CONS_766_92 );}C_CONS_768_151=MAKE_PAIR( STRING_CAST_1022_207, C_CONS_767_91 );}}C_CONS_769_251=MAKE_PAIR( BCHAR( '\n' ), C_CONS_768_151 );}C_CONS_770_49=MAKE_PAIR( BOTTOM_479_81, C_CONS_769_251 );}C_CONS_771_213=MAKE_PAIR( STRING_CAST_1021_251, C_CONS_770_49 );}}C_CONS_772_104=MAKE_PAIR( BCHAR( '\n' ), C_CONS_771_213 );}{obj_t AUX_1078_102;
AUX_1078_102=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_764_139 );C_CONS_773_190=MAKE_PAIR( AUX_1078_102, C_CONS_772_104 );}}}C_CONS_774_57=MAKE_PAIR( STRING_CAST_1020_151, C_CONS_773_190 );}}C_CONS_775_211=MAKE_PAIR( BCHAR( '\n' ), C_CONS_774_57 );}{obj_t AUX_1079_218;
AUX_1079_218=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_763_74 );C_CONS_776_148=MAKE_PAIR( AUX_1079_218, C_CONS_775_211 );}}}C_CONS_777_223=MAKE_PAIR( STRING_CAST_1019_194, C_CONS_776_148 );}}C_CONS_778_48=MAKE_PAIR( BCHAR( '\n' ), C_CONS_777_223 );}{obj_t AUX_1080_107;
AUX_1080_107=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_762_59 );C_CONS_779_115=MAKE_PAIR( AUX_1080_107, C_CONS_778_48 );}}}C_CONS_780_235=MAKE_PAIR( STRING_CAST_1018_185, C_CONS_779_115 );}}C_CONS_781_222=MAKE_PAIR( BCHAR( '\n' ), C_CONS_780_235 );}{obj_t AUX_1081_177;
if( C_STRUCT_REF_1055_242)
AUX_1081_177=CNST_TABLE_REF( 19 );else
AUX_1081_177=CNST_TABLE_REF( 20 );C_CONS_782_200=MAKE_PAIR( AUX_1081_177, C_CONS_781_222 );}}}{obj_t AUX_1082_197;
AUX_1082_197=SHAPE_TOOLS_SHAPE_229( FUN_478_238 );C_CONS_783_163=MAKE_PAIR( AUX_1082_197, C_CONS_782_200 );}}L_760_136=MAKE_PAIR( STRING_CAST_1015_72, C_CONS_783_163 );}}{
g1027_484_133=L_760_136;
{_g1028_483_17:

if( PAIRP( g1027_484_133 ))
{
{obj_t A_485_110;
A_485_110=CAR( g1027_484_133 );{obj_t VA_ARG_1014_83;
VA_ARG_1014_83=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_485_110, VA_ARG_1014_83 );}}
{obj_t C_CDR_759_67;
C_CDR_759_67=CDR( g1027_484_133 );{
g1027_484_133=C_CDR_759_67;
goto _g1028_483_17;
}}
}else
BTRUE;}
}}}
{obj_t PORT_784_198;
PORT_784_198=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_784_198 );}
}else
BFALSE;}
{obj_t C_STRUCT_REF_785_142;
C_STRUCT_REF_785_142=STRUCT_SLOT_REF( LIFT_481_87, BINT( 7 ) );if( BBOOL_TO_CBOOL( C_STRUCT_REF_785_142 ))
return MAKE_PAIR( KEY_480_30, C_STRUCT_REF_785_142 );else
{obj_t CALLEE_487_137, SETS_OF_KAPTURED_488_24, SAVE_489_73;
{obj_t C_STRUCT_REF_860_97;
C_STRUCT_REF_860_97=STRUCT_SLOT_REF( LIFT_481_87, BINT( 1 ) );{obj_t C_STRUCT_REF_861_174;
C_STRUCT_REF_861_174=STRUCT_SLOT_REF( LIFT_481_87, BINT( 10 ) );{obj_t L_862_242;
{obj_t C_STRUCT_REF_863_119;
C_STRUCT_REF_863_119=STRUCT_SLOT_REF( LIFT_481_87, BINT( 6 ) );L_862_242=MAKE_PAIR( C_STRUCT_REF_863_119, BNIL );}{
SAVE_489_73=KEY_480_30;
SETS_OF_KAPTURED_488_24=L_862_242;
CALLEE_487_137=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_STRUCT_REF_860_97, C_STRUCT_REF_861_174 );
{_LOOP_486_86:

{
{obj_t AUX_1087_234;
{obj_t AUX_1088_73;
AUX_1088_73=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 21 ) );AUX_1087_234=SATISFY__TOOLS_TRACE_72( AUX_1088_73 );}if( BBOOL_TO_CBOOL( AUX_1087_234 ))
{
{obj_t g1029_491_39;
{obj_t L_792_135;
{obj_t STRING_CAST_1024_98;
STRING_CAST_1024_98=CNST_TABLE_REF( 22 );{obj_t C_CONS_800_58;
{obj_t C_CONS_799_126;
{obj_t STRING_CAST_1025_21;
STRING_CAST_1025_21=CNST_TABLE_REF( 23 );{obj_t C_CONS_798_11;
{obj_t C_CONS_797_74;
{obj_t STRING_CAST_1026_112;
STRING_CAST_1026_112=CNST_TABLE_REF( 24 );{obj_t C_CONS_796_59;
{obj_t C_CONS_795_137;
{obj_t STRING_CAST_1027_113;
STRING_CAST_1027_113=CNST_TABLE_REF( 25 );{obj_t C_CONS_794_228;
{obj_t C_CONS_793_108;
{obj_t STRING_CAST_1028_24;
STRING_CAST_1028_24=CNST_TABLE_REF( 26 );C_CONS_793_108=MAKE_PAIR( STRING_CAST_1028_24, BNIL );}{obj_t AUX_1085_56;
AUX_1085_56=SHAPE_TOOLS_SHAPE_229( CALLEE_487_137 );C_CONS_794_228=MAKE_PAIR( AUX_1085_56, C_CONS_793_108 );}}C_CONS_795_137=MAKE_PAIR( STRING_CAST_1027_113, C_CONS_794_228 );}}C_CONS_796_59=MAKE_PAIR( KEY_480_30, C_CONS_795_137 );}C_CONS_797_74=MAKE_PAIR( STRING_CAST_1026_112, C_CONS_796_59 );}}C_CONS_798_11=MAKE_PAIR( SAVE_489_73, C_CONS_797_74 );}C_CONS_799_126=MAKE_PAIR( STRING_CAST_1025_21, C_CONS_798_11 );}}{obj_t AUX_1086_169;
AUX_1086_169=SHAPE_TOOLS_SHAPE_229( FUN_478_238 );C_CONS_800_58=MAKE_PAIR( AUX_1086_169, C_CONS_799_126 );}}L_792_135=MAKE_PAIR( STRING_CAST_1024_98, C_CONS_800_58 );}}{
g1029_491_39=L_792_135;
{_g1030_490_180:

if( PAIRP( g1029_491_39 ))
{
{obj_t A_492_204;
A_492_204=CAR( g1029_491_39 );{obj_t VA_ARG_1023_124;
VA_ARG_1023_124=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_492_204, VA_ARG_1023_124 );}}
{obj_t C_CDR_791_78;
C_CDR_791_78=CDR( g1029_491_39 );{
g1029_491_39=C_CDR_791_78;
goto _g1030_490_180;
}}
}else
BTRUE;}
}}}
{obj_t PORT_801_164;
PORT_801_164=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_801_164 );}
}else
BFALSE;}
if( NULLP( CALLEE_487_137 ))
{
{obj_t AUX_1089_173;
{obj_t AUX_1090_120;
AUX_1090_120=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 27 ) );AUX_1089_173=SATISFY__TOOLS_TRACE_72( AUX_1090_120 );}if( BBOOL_TO_CBOOL( AUX_1089_173 ))
{
{obj_t g1039_494_207;
{obj_t L_803_102;
L_803_102=MAKE_PAIR( BCHAR( '\n' ), BNIL );{
g1039_494_207=L_803_102;
{_g1040_493_64:

if( PAIRP( g1039_494_207 ))
{
{obj_t A_495_224;
A_495_224=CAR( g1039_494_207 );{obj_t VA_ARG_1029_75;
VA_ARG_1029_75=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_495_224, VA_ARG_1029_75 );}}
{obj_t C_CDR_802_9;
C_CDR_802_9=CDR( g1039_494_207 );{
g1039_494_207=C_CDR_802_9;
goto _g1040_493_64;
}}
}else
BTRUE;}
}}}
{obj_t PORT_804_143;
PORT_804_143=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_804_143 );}
}else
BFALSE;}
{obj_t KAPTURED_496_108;
KAPTURED_496_108=UNION_LIFT_KAPTURE_18( KEY_480_30, SETS_OF_KAPTURED_488_24, FUN_478_238 );{
if( GE_I( SAVE_489_73, KEY_480_30 ))
{
{obj_t AUX_1092_203;
{obj_t AUX_1093_76;
AUX_1093_76=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 28 ) );AUX_1092_203=SATISFY__TOOLS_TRACE_72( AUX_1093_76 );}if( BBOOL_TO_CBOOL( AUX_1092_203 ))
{
{obj_t g1041_498_47;
{obj_t L_808_9;
{obj_t STRING_CAST_1031_220;
STRING_CAST_1031_220=CNST_TABLE_REF( 29 );{obj_t C_CONS_809_124;
{obj_t AUX_1091_209;
AUX_1091_209=SHAPE_TOOLS_SHAPE_229( KAPTURED_496_108 );C_CONS_809_124=MAKE_PAIR( AUX_1091_209, BNIL );}L_808_9=MAKE_PAIR( STRING_CAST_1031_220, C_CONS_809_124 );}}{
g1041_498_47=L_808_9;
{_g1042_497_127:

if( PAIRP( g1041_498_47 ))
{
{obj_t A_499_13;
A_499_13=CAR( g1041_498_47 );{obj_t VA_ARG_1030_103;
VA_ARG_1030_103=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_499_13, VA_ARG_1030_103 );}}
{obj_t C_CDR_807_159;
C_CDR_807_159=CDR( g1041_498_47 );{
g1041_498_47=C_CDR_807_159;
goto _g1042_497_127;
}}
}else
BTRUE;}
}}}
{obj_t PORT_810_30;
PORT_810_30=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_810_30 );}
}else
BFALSE;}
STRUCT_SLOT_SET( LIFT_481_87, BINT( 7 ), KAPTURED_496_108 );
}else
BFALSE;
{obj_t AUX_1094_123;
{obj_t AUX_1095_229;
AUX_1095_229=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 30 ) );AUX_1094_123=SATISFY__TOOLS_TRACE_72( AUX_1095_229 );}if( BBOOL_TO_CBOOL( AUX_1094_123 ))
{
{obj_t g1043_501_22;
{obj_t L_812_18;
L_812_18=MAKE_PAIR( BCHAR( '\n' ), BNIL );{
g1043_501_22=L_812_18;
{_g1044_500_223:

if( PAIRP( g1043_501_22 ))
{
{obj_t A_502_128;
A_502_128=CAR( g1043_501_22 );{obj_t VA_ARG_1032_12;
VA_ARG_1032_12=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_502_128, VA_ARG_1032_12 );}}
{obj_t C_CDR_811_183;
C_CDR_811_183=CDR( g1043_501_22 );{
g1043_501_22=C_CDR_811_183;
goto _g1044_500_223;
}}
}else
BTRUE;}
}}}
{obj_t PORT_813_73;
PORT_813_73=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_813_73 );}
}else
BFALSE;}
return MAKE_PAIR( SAVE_489_73, KAPTURED_496_108 );
}}
}else
{obj_t C_503_132;
C_503_132=CAR( CALLEE_487_137 );if( EQP( C_503_132, FUN_478_238 ))
{
{obj_t AUX_1096_152;
{obj_t AUX_1097_131;
AUX_1097_131=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 31 ) );AUX_1096_152=SATISFY__TOOLS_TRACE_72( AUX_1097_131 );}if( BBOOL_TO_CBOOL( AUX_1096_152 ))
{
{obj_t g1037_505_31;
{obj_t L_816_13;
{obj_t STRING_CAST_1034_247;
STRING_CAST_1034_247=CNST_TABLE_REF( 32 );{obj_t C_CONS_817_108;
C_CONS_817_108=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_816_13=MAKE_PAIR( STRING_CAST_1034_247, C_CONS_817_108 );}}{
g1037_505_31=L_816_13;
{_g1038_504_168:

if( PAIRP( g1037_505_31 ))
{
{obj_t A_506_141;
A_506_141=CAR( g1037_505_31 );{obj_t VA_ARG_1033_181;
VA_ARG_1033_181=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_506_141, VA_ARG_1033_181 );}}
{obj_t C_CDR_815_124;
C_CDR_815_124=CDR( g1037_505_31 );{
g1037_505_31=C_CDR_815_124;
goto _g1038_504_168;
}}
}else
BTRUE;}
}}}
{obj_t PORT_818_87;
PORT_818_87=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_818_87 );}
}else
BFALSE;}
{obj_t C_CDR_819_12;
C_CDR_819_12=CDR( CALLEE_487_137 );{
CALLEE_487_137=C_CDR_819_12;
goto _LOOP_486_86;
}}
}else
{bool_t __andtest_1035_1058_159;
{obj_t AUX_1098_219;
{bool_t OBJ_1057_34;
{obj_t AUX_1099_10;
{obj_t S_821_225;
S_821_225=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );AUX_1099_10=STRUCT_SLOT_REF( S_821_225, BINT( 12 ) );}OBJ_1057_34=INTEGERP( AUX_1099_10 );}AUX_1098_219=CBOOL_TO_BBOOL( OBJ_1057_34 );}__andtest_1035_1058_159=BBOOL_TO_CBOOL( AUX_1098_219 );}{if( __andtest_1035_1058_159)
{bool_t __andtest_1036_1059_184;
{obj_t AUX_1100_227;
{obj_t N1_824_163;
{obj_t S_825_113;
S_825_113=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );N1_824_163=STRUCT_SLOT_REF( S_825_113, BINT( 12 ) );}AUX_1100_227=CBOOL_TO_BBOOL( GE_I( N1_824_163, BOTTOM_479_81 ) );}__andtest_1036_1059_184=BBOOL_TO_CBOOL( AUX_1100_227 );}if( __andtest_1036_1059_184)
{obj_t N1_828_203;
{obj_t S_829_81;
S_829_81=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );N1_828_203=STRUCT_SLOT_REF( S_829_81, BINT( 12 ) );}if( LT_I( N1_828_203, KEY_480_30 ))
goto _true_3;else
goto _false_4;}else
goto _false_4;}else
goto _false_4;_true_3:
{
{obj_t AUX_1105_246;
{obj_t AUX_1106_179;
AUX_1106_179=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 33 ) );AUX_1105_246=SATISFY__TOOLS_TRACE_72( AUX_1106_179 );}if( BBOOL_TO_CBOOL( AUX_1105_246 ))
{
{obj_t g1033_510_82;
{obj_t L_833_51;
{obj_t STRING_CAST_1036_196;
STRING_CAST_1036_196=CNST_TABLE_REF( 34 );{obj_t C_CONS_834_144;
C_CONS_834_144=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_833_51=MAKE_PAIR( STRING_CAST_1036_196, C_CONS_834_144 );}}{
g1033_510_82=L_833_51;
{_g1034_509_71:

if( PAIRP( g1033_510_82 ))
{
{obj_t A_511_159;
A_511_159=CAR( g1033_510_82 );{obj_t VA_ARG_1035_78;
VA_ARG_1035_78=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_511_159, VA_ARG_1035_78 );}}
{obj_t C_CDR_832_181;
C_CDR_832_181=CDR( g1033_510_82 );{
g1033_510_82=C_CDR_832_181;
goto _g1034_509_71;
}}
}else
BTRUE;}
}}}
{obj_t PORT_835_175;
PORT_835_175=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_835_175 );}
}else
BFALSE;}
{obj_t S_836_188;
S_836_188=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );{bool_t C_STRUCT_REF_1060_177;
C_STRUCT_REF_1060_177=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_836_188, BINT( 7 ) ) );if( C_STRUCT_REF_1060_177)
{obj_t C_CDR_839_238;
C_CDR_839_238=CDR( CALLEE_487_137 );{obj_t OBJ1_840_206;
{obj_t S_842_157;
S_842_157=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );OBJ1_840_206=STRUCT_SLOT_REF( S_842_157, BINT( 7 ) );}{obj_t C_CONS_841_163;
C_CONS_841_163=MAKE_PAIR( OBJ1_840_206, SETS_OF_KAPTURED_488_24 );{obj_t VA_ARG_1037_58;
{obj_t S_845_124;
S_845_124=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );{obj_t C_STRUCT_REF_846_75;
C_STRUCT_REF_846_75=STRUCT_SLOT_REF( S_845_124, BINT( 12 ) );VA_ARG_1037_58=MAKE_PAIR( C_STRUCT_REF_846_75, BNIL );}}{obj_t AUX_1107_62;
AUX_1107_62=MINFX___R4_NUMBERS_6_5_FIXNUM_110( SAVE_489_73, VA_ARG_1037_58 );{
SAVE_489_73=AUX_1107_62;
SETS_OF_KAPTURED_488_24=C_CONS_841_163;
CALLEE_487_137=C_CDR_839_238;
goto _LOOP_486_86;
}}}}}}else
{obj_t C_CDR_848_92;
C_CDR_848_92=CDR( CALLEE_487_137 );{obj_t VA_ARG_1038_238;
{obj_t S_849_12;
S_849_12=STRUCT_SLOT_REF( C_503_132, BINT( 4 ) );{obj_t C_STRUCT_REF_850_32;
C_STRUCT_REF_850_32=STRUCT_SLOT_REF( S_849_12, BINT( 12 ) );VA_ARG_1038_238=MAKE_PAIR( C_STRUCT_REF_850_32, BNIL );}}{obj_t AUX_1108_215;
AUX_1108_215=MINFX___R4_NUMBERS_6_5_FIXNUM_110( SAVE_489_73, VA_ARG_1038_238 );{
SAVE_489_73=AUX_1108_215;
CALLEE_487_137=C_CDR_848_92;
goto _LOOP_486_86;
}}}}}}
}_false_4:
{
{obj_t AUX_1101_96;
{obj_t AUX_1102_142;
AUX_1102_142=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 35 ) );AUX_1101_96=SATISFY__TOOLS_TRACE_72( AUX_1102_142 );}if( BBOOL_TO_CBOOL( AUX_1101_96 ))
{
{obj_t g1031_513_71;
{obj_t L_853_196;
{obj_t STRING_CAST_1040_90;
STRING_CAST_1040_90=CNST_TABLE_REF( 36 );{obj_t C_CONS_854_215;
C_CONS_854_215=MAKE_PAIR( BCHAR( '\n' ), BNIL );L_853_196=MAKE_PAIR( STRING_CAST_1040_90, C_CONS_854_215 );}}{
g1031_513_71=L_853_196;
{_g1032_512_34:

if( PAIRP( g1031_513_71 ))
{
{obj_t A_514_9;
A_514_9=CAR( g1031_513_71 );{obj_t VA_ARG_1039_157;
VA_ARG_1039_157=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_514_9, VA_ARG_1039_157 );}}
{obj_t C_CDR_852_93;
C_CDR_852_93=CDR( g1031_513_71 );{
g1031_513_71=C_CDR_852_93;
goto _g1032_512_34;
}}
}else
BTRUE;}
}}}
{obj_t PORT_855_103;
PORT_855_103=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_855_103 );}
}else
BFALSE;}
{obj_t KAP_515_237;
{obj_t AUX_1103_230;
AUX_1103_230=PROCEDURE_ENTRY( GET_NEW_KEY_LIFT_KAPTURE_107 )( GET_NEW_KEY_LIFT_KAPTURE_107, BEOA );KAP_515_237=GET_KAPTURED__LIFT_KAPTURE_104( C_503_132, BOTTOM_479_81, AUX_1103_230 );}{obj_t C_CDR_856_9;
C_CDR_856_9=CDR( CALLEE_487_137 );{obj_t OBJ1_857_226;
OBJ1_857_226=CDR( KAP_515_237 );{obj_t C_CONS_858_114;
C_CONS_858_114=MAKE_PAIR( OBJ1_857_226, SETS_OF_KAPTURED_488_24 );{obj_t C_CAR_859_165;
C_CAR_859_165=CAR( KAP_515_237 );{obj_t VA_ARG_1041_50;
VA_ARG_1041_50=MAKE_PAIR( SAVE_489_73, BNIL );{obj_t AUX_1104_114;
AUX_1104_114=MINFX___R4_NUMBERS_6_5_FIXNUM_110( C_CAR_859_165, VA_ARG_1041_50 );{
SAVE_489_73=AUX_1104_114;
SETS_OF_KAPTURED_488_24=C_CONS_858_114;
CALLEE_487_137=C_CDR_856_9;
goto _LOOP_486_86;
}}}}}}}}
};
}}}
}}
}}}}}}
}}
}

static obj_t
#if defined( __STDC__ )
UNION_LIFT_KAPTURE_18(obj_t KEY_518_11,obj_t SETS_519_70,obj_t INTEGRATOR_520_143)
#else
UNION_LIFT_KAPTURE_18( KEY_518_11, SETS_519_70, INTEGRATOR_520_143 )
obj_t KEY_518_11, SETS_519_70, INTEGRATOR_520_143;
#endif
{

{
{obj_t AUX_1071_3;
{obj_t AUX_1072_89;
AUX_1072_89=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 37 ) );AUX_1071_3=SATISFY__TOOLS_TRACE_72( AUX_1072_89 );}if( BBOOL_TO_CBOOL( AUX_1071_3 ))
{
{obj_t g1045_522_166;
{obj_t L_865_5;
{obj_t STRING_CAST_1043_217;
STRING_CAST_1043_217=CNST_TABLE_REF( 38 );{obj_t C_CONS_876_111;
{obj_t C_CONS_875_136;
{obj_t C_CONS_874_153;
{obj_t STRING_CAST_1044_165;
STRING_CAST_1044_165=CNST_TABLE_REF( 39 );{obj_t C_CONS_873_236;
{obj_t C_CONS_872_249;
{obj_t C_CONS_871_244;
{obj_t STRING_CAST_1045_19;
STRING_CAST_1045_19=CNST_TABLE_REF( 40 );{obj_t C_CONS_870_45;
{obj_t S_866_58;
S_866_58=STRUCT_SLOT_REF( INTEGRATOR_520_143, BINT( 4 ) );{obj_t C_STRUCT_REF_867_25;
C_STRUCT_REF_867_25=STRUCT_SLOT_REF( S_866_58, BINT( 9 ) );{obj_t C_CONS_869_252;
C_CONS_869_252=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1068_204;
AUX_1068_204=SHAPE_TOOLS_SHAPE_229( C_STRUCT_REF_867_25 );C_CONS_870_45=MAKE_PAIR( AUX_1068_204, C_CONS_869_252 );}}}}C_CONS_871_244=MAKE_PAIR( STRING_CAST_1045_19, C_CONS_870_45 );}}C_CONS_872_249=MAKE_PAIR( BCHAR( '\n' ), C_CONS_871_244 );}{obj_t AUX_1069_247;
AUX_1069_247=SHAPE_TOOLS_SHAPE_229( INTEGRATOR_520_143 );C_CONS_873_236=MAKE_PAIR( AUX_1069_247, C_CONS_872_249 );}}C_CONS_874_153=MAKE_PAIR( STRING_CAST_1044_165, C_CONS_873_236 );}}C_CONS_875_136=MAKE_PAIR( BCHAR( '\n' ), C_CONS_874_153 );}{obj_t AUX_1070_61;
AUX_1070_61=SHAPE_TOOLS_SHAPE_229( SETS_519_70 );C_CONS_876_111=MAKE_PAIR( AUX_1070_61, C_CONS_875_136 );}}L_865_5=MAKE_PAIR( STRING_CAST_1043_217, C_CONS_876_111 );}}{
g1045_522_166=L_865_5;
{_g1046_521_5:

if( PAIRP( g1045_522_166 ))
{
{obj_t A_523_76;
A_523_76=CAR( g1045_522_166 );{obj_t VA_ARG_1042_80;
VA_ARG_1042_80=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_523_76, VA_ARG_1042_80 );}}
{obj_t C_CDR_864_36;
C_CDR_864_36=CDR( g1045_522_166 );{
g1045_522_166=C_CDR_864_36;
goto _g1046_521_5;
}}
}else
BTRUE;}
}}}
{obj_t PORT_877_8;
PORT_877_8=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_877_8 );}
}else
BFALSE;}
{obj_t NEW_KEY_525_42, OLD_KEYS_524_224;
NEW_KEY_525_42=PROCEDURE_ENTRY( GET_NEW_KEY_LIFT_KAPTURE_107 )( GET_NEW_KEY_LIFT_KAPTURE_107, BEOA );{obj_t HEAD_547_142;
{obj_t OBJ2_879_217;
OBJ2_879_217=BNIL;{obj_t OBJ1_878_51;
{obj_t S_561_113;
S_561_113=CAR( SETS_519_70 );if( NULLP( S_561_113 ))
OBJ1_878_51=BNIL;else
{obj_t HEAD_563_237;
{obj_t OBJ1_880_18;
{obj_t V_569_181;
V_569_181=CAR( S_561_113 );{obj_t S_882_229;
S_882_229=STRUCT_SLOT_REF( V_569_181, BINT( 4 ) );OBJ1_880_18=STRUCT_SLOT_REF( S_882_229, BINT( 12 ) );}}HEAD_563_237=MAKE_PAIR( OBJ1_880_18, OBJ2_879_217 );}{obj_t g1059_565_86, TAIL_566_163;
{obj_t C_CDR_893_244;
C_CDR_893_244=CDR( S_561_113 );{
TAIL_566_163=HEAD_563_237;
g1059_565_86=C_CDR_893_244;
{_g1060_564_243:

if( NULLP( g1059_565_86 ))
OBJ1_878_51=HEAD_563_237;else
{obj_t NEW_TAIL_567_115;
{obj_t OBJ2_886_198;
OBJ2_886_198=BNIL;{obj_t OBJ1_885_32;
{obj_t V_568_12;
V_568_12=CAR( g1059_565_86 );{obj_t S_887_120;
S_887_120=STRUCT_SLOT_REF( V_568_12, BINT( 4 ) );OBJ1_885_32=STRUCT_SLOT_REF( S_887_120, BINT( 12 ) );}}NEW_TAIL_567_115=MAKE_PAIR( OBJ1_885_32, OBJ2_886_198 );}}{
SET_CDR( TAIL_566_163, NEW_TAIL_567_115 );
{obj_t C_CDR_892_45;
C_CDR_892_45=CDR( g1059_565_86 );{
TAIL_566_163=NEW_TAIL_567_115;
g1059_565_86=C_CDR_892_45;
goto _g1060_564_243;
}}
}}}
}}}}}HEAD_547_142=MAKE_PAIR( OBJ1_878_51, OBJ2_879_217 );}}{obj_t g1055_549_20, TAIL_550_7;
{obj_t C_CDR_909_215;
C_CDR_909_215=CDR( SETS_519_70 );{
TAIL_550_7=HEAD_547_142;
g1055_549_20=C_CDR_909_215;
{_g1056_548_45:

if( NULLP( g1055_549_20 ))
OLD_KEYS_524_224=HEAD_547_142;else
{obj_t NEW_TAIL_551_26;
{obj_t OBJ2_895_230;
OBJ2_895_230=BNIL;{obj_t OBJ1_894_41;
{obj_t S_552_151;
S_552_151=CAR( g1055_549_20 );if( NULLP( S_552_151 ))
OBJ1_894_41=BNIL;else
{obj_t HEAD_554_224;
{obj_t OBJ1_896_168;
{obj_t V_560_183;
V_560_183=CAR( S_552_151 );{obj_t S_898_91;
S_898_91=STRUCT_SLOT_REF( V_560_183, BINT( 4 ) );OBJ1_896_168=STRUCT_SLOT_REF( S_898_91, BINT( 12 ) );}}HEAD_554_224=MAKE_PAIR( OBJ1_896_168, OBJ2_895_230 );}{obj_t g1057_556_114, TAIL_557_36;
{obj_t C_CDR_907_179;
C_CDR_907_179=CDR( S_552_151 );{
TAIL_557_36=HEAD_554_224;
g1057_556_114=C_CDR_907_179;
{_g1058_555_144:

if( NULLP( g1057_556_114 ))
OBJ1_894_41=HEAD_554_224;else
{obj_t NEW_TAIL_558_80;
{obj_t OBJ2_902_174;
OBJ2_902_174=BNIL;{obj_t OBJ1_901_177;
{obj_t V_559_30;
V_559_30=CAR( g1057_556_114 );{obj_t S_903_51;
S_903_51=STRUCT_SLOT_REF( V_559_30, BINT( 4 ) );OBJ1_901_177=STRUCT_SLOT_REF( S_903_51, BINT( 12 ) );}}NEW_TAIL_558_80=MAKE_PAIR( OBJ1_901_177, OBJ2_902_174 );}}{
SET_CDR( TAIL_557_36, NEW_TAIL_558_80 );
{obj_t C_CDR_906_62;
C_CDR_906_62=CDR( g1057_556_114 );{
TAIL_557_36=NEW_TAIL_558_80;
g1057_556_114=C_CDR_906_62;
goto _g1058_555_144;
}}
}}}
}}}}}NEW_TAIL_551_26=MAKE_PAIR( OBJ1_894_41, OBJ2_895_230 );}}{
SET_CDR( TAIL_550_7, NEW_TAIL_551_26 );
{obj_t C_CDR_908_160;
C_CDR_908_160=CDR( g1055_549_20 );{
TAIL_550_7=NEW_TAIL_551_26;
g1055_549_20=C_CDR_908_160;
goto _g1056_548_45;
}}
}}}
}}}}{
{obj_t g1047_527_82;
{
g1047_527_82=SETS_519_70;
{_g1048_526_241:

if( PAIRP( g1047_527_82 ))
{
{obj_t S_528_218;
S_528_218=CAR( g1047_527_82 );{obj_t g1049_530_254;
{
g1049_530_254=S_528_218;
{_g1050_529_8:

if( PAIRP( g1049_530_254 ))
{
{obj_t V_531_6;
V_531_6=CAR( g1049_530_254 );{obj_t S_910_50;
S_910_50=STRUCT_SLOT_REF( V_531_6, BINT( 4 ) );STRUCT_SLOT_SET( S_910_50, BINT( 12 ), NEW_KEY_525_42 );}}
{obj_t C_CDR_912_158;
C_CDR_912_158=CDR( g1049_530_254 );{
g1049_530_254=C_CDR_912_158;
goto _g1050_529_8;
}}
}else
BTRUE;}
}}}
{obj_t C_CDR_913_201;
C_CDR_913_201=CDR( g1047_527_82 );{
g1047_527_82=C_CDR_913_201;
goto _g1048_526_241;
}}
}else
BTRUE;}
}}
{obj_t g1051_533_149;
{obj_t S_917_195;
S_917_195=STRUCT_SLOT_REF( INTEGRATOR_520_143, BINT( 4 ) );{obj_t C_STRUCT_REF_918_90;
C_STRUCT_REF_918_90=STRUCT_SLOT_REF( S_917_195, BINT( 9 ) );{
g1051_533_149=C_STRUCT_REF_918_90;
{_g1052_532_185:

if( PAIRP( g1051_533_149 ))
{
{obj_t V_534_17;
V_534_17=CAR( g1051_533_149 );{obj_t S_914_100;
S_914_100=STRUCT_SLOT_REF( V_534_17, BINT( 4 ) );STRUCT_SLOT_SET( S_914_100, BINT( 12 ), KEY_518_11 );}}
{obj_t C_CDR_916_255;
C_CDR_916_255=CDR( g1051_533_149 );{
g1051_533_149=C_CDR_916_255;
goto _g1052_532_185;
}}
}else
BTRUE;}
}}}}
{obj_t S_920_84;
S_920_84=STRUCT_SLOT_REF( INTEGRATOR_520_143, BINT( 4 ) );STRUCT_SLOT_SET( S_920_84, BINT( 12 ), KEY_518_11 );}
{obj_t SETS_536_182, OLD_KEYS_537_142, RES_538_136;
{
RES_538_136=BNIL;
OLD_KEYS_537_142=OLD_KEYS_524_224;
SETS_536_182=SETS_519_70;
{_LOOP_535_116:

if( NULLP( SETS_536_182 ))
return RES_538_136;else
{obj_t S_540_173, OK_541_85, R_542_177;
{obj_t C_CAR_970_50;
C_CAR_970_50=CAR( SETS_536_182 );{obj_t C_CAR_971_34;
C_CAR_971_34=CAR( OLD_KEYS_537_142 );{
R_542_177=RES_538_136;
OK_541_85=C_CAR_971_34;
S_540_173=C_CAR_970_50;
{_LIIP_539_153:

{
{obj_t AUX_1074_42;
{obj_t AUX_1075_155;
AUX_1075_155=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 41 ) );AUX_1074_42=SATISFY__TOOLS_TRACE_72( AUX_1075_155 );}if( BBOOL_TO_CBOOL( AUX_1074_42 ))
{
{obj_t g1053_544_61;
{obj_t L_923_172;
{obj_t STRING_CAST_1047_231;
STRING_CAST_1047_231=CNST_TABLE_REF( 42 );{obj_t C_CONS_925_115;
{obj_t C_CONS_924_48;
C_CONS_924_48=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_1073_9;
AUX_1073_9=SHAPE_TOOLS_SHAPE_229( S_540_173 );C_CONS_925_115=MAKE_PAIR( AUX_1073_9, C_CONS_924_48 );}}L_923_172=MAKE_PAIR( STRING_CAST_1047_231, C_CONS_925_115 );}}{
g1053_544_61=L_923_172;
{_g1054_543_169:

if( PAIRP( g1053_544_61 ))
{
{obj_t A_545_63;
A_545_63=CAR( g1053_544_61 );{obj_t VA_ARG_1046_195;
VA_ARG_1046_195=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_545_63, VA_ARG_1046_195 );}}
{obj_t C_CDR_922_135;
C_CDR_922_135=CDR( g1053_544_61 );{
g1053_544_61=C_CDR_922_135;
goto _g1054_543_169;
}}
}else
BTRUE;}
}}}
{obj_t PORT_926_205;
PORT_926_205=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_926_205 );}
}else
BFALSE;}
if( NULLP( S_540_173 ))
{obj_t C_CDR_927_38;
C_CDR_927_38=CDR( SETS_536_182 );{obj_t C_CDR_928_146;
C_CDR_928_146=CDR( OLD_KEYS_537_142 );{
RES_538_136=R_542_177;
OLD_KEYS_537_142=C_CDR_928_146;
SETS_536_182=C_CDR_927_38;
goto _LOOP_535_116;
}}}else
{obj_t OBJ1_929_158;
{obj_t S_930_240;
{obj_t S_932_218;
S_932_218=CAR( S_540_173 );S_930_240=STRUCT_SLOT_REF( S_932_218, BINT( 4 ) );}OBJ1_929_158=STRUCT_SLOT_REF( S_930_240, BINT( 12 ) );}if( EQP( OBJ1_929_158, NEW_KEY_525_42 ))
{
{obj_t V_935_76;
V_935_76=CAR( OK_541_85 );{obj_t S_934_201;
{obj_t S_936_106;
S_936_106=CAR( S_540_173 );S_934_201=STRUCT_SLOT_REF( S_936_106, BINT( 4 ) );}STRUCT_SLOT_SET( S_934_201, BINT( 12 ), V_935_76 );}}
{obj_t OBJ1_938_168;
{obj_t S_939_89;
S_939_89=CAR( S_540_173 );OBJ1_938_168=STRUCT_SLOT_REF( S_939_89, BINT( 2 ) );}if( EQP( OBJ1_938_168, CNST_TABLE_REF( 7 ) ))
{obj_t S_941_64;
{obj_t S_943_72;
S_943_72=CAR( S_540_173 );S_941_64=STRUCT_SLOT_REF( S_943_72, BINT( 3 ) );}{bool_t C_STRUCT_REF_1063_197;
C_STRUCT_REF_1063_197=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_941_64, BINT( 6 ) ) );if( C_STRUCT_REF_1063_197)
{obj_t C_CDR_945_185;
C_CDR_945_185=CDR( S_540_173 );{obj_t C_CDR_946_164;
C_CDR_946_164=CDR( OK_541_85 );{obj_t OBJ1_947_202;
OBJ1_947_202=CAR( S_540_173 );{obj_t C_CONS_948_46;
C_CONS_948_46=MAKE_PAIR( OBJ1_947_202, R_542_177 );{
R_542_177=C_CONS_948_46;
OK_541_85=C_CDR_946_164;
S_540_173=C_CDR_945_185;
goto _LIIP_539_153;
}}}}}else
{obj_t C_CDR_949_77;
C_CDR_949_77=CDR( S_540_173 );{obj_t C_CDR_950_10;
C_CDR_950_10=CDR( OK_541_85 );{
OK_541_85=C_CDR_950_10;
S_540_173=C_CDR_949_77;
goto _LIIP_539_153;
}}}}}else
{obj_t OBJ1_951_200;
{obj_t S_952_242;
S_952_242=CAR( S_540_173 );OBJ1_951_200=STRUCT_SLOT_REF( S_952_242, BINT( 2 ) );}if( EQP( OBJ1_951_200, CNST_TABLE_REF( 8 ) ))
{obj_t S_954_171;
{obj_t S_956_11;
S_956_11=CAR( S_540_173 );S_954_171=STRUCT_SLOT_REF( S_956_11, BINT( 4 ) );}{bool_t C_STRUCT_REF_1064_56;
C_STRUCT_REF_1064_56=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_954_171, BINT( 4 ) ) );if( C_STRUCT_REF_1064_56)
{obj_t C_CDR_958_209;
C_CDR_958_209=CDR( S_540_173 );{obj_t C_CDR_959_120;
C_CDR_959_120=CDR( OK_541_85 );{obj_t OBJ1_960_132;
OBJ1_960_132=CAR( S_540_173 );{obj_t C_CONS_961_70;
C_CONS_961_70=MAKE_PAIR( OBJ1_960_132, R_542_177 );{
R_542_177=C_CONS_961_70;
OK_541_85=C_CDR_959_120;
S_540_173=C_CDR_958_209;
goto _LIIP_539_153;
}}}}}else
{obj_t C_CDR_962_177;
C_CDR_962_177=CDR( S_540_173 );{obj_t C_CDR_963_107;
C_CDR_963_107=CDR( OK_541_85 );{
OK_541_85=C_CDR_963_107;
S_540_173=C_CDR_962_177;
goto _LIIP_539_153;
}}}}}else
{obj_t C_CDR_964_234;
C_CDR_964_234=CDR( S_540_173 );{obj_t C_CDR_965_169;
C_CDR_965_169=CDR( OK_541_85 );{obj_t OBJ1_966_1;
OBJ1_966_1=CAR( S_540_173 );{obj_t C_CONS_967_58;
C_CONS_967_58=MAKE_PAIR( OBJ1_966_1, R_542_177 );{
R_542_177=C_CONS_967_58;
OK_541_85=C_CDR_965_169;
S_540_173=C_CDR_964_234;
goto _LIIP_539_153;
}}}}}}}
}else
{obj_t C_CDR_968_30;
C_CDR_968_30=CDR( S_540_173 );{obj_t C_CDR_969_7;
C_CDR_969_7=CDR( OK_541_85 );{
OK_541_85=C_CDR_969_7;
S_540_173=C_CDR_968_30;
goto _LIIP_539_153;
}}}}
}}
}}}}}
}}
}}
}
}

static obj_t
#if defined( __STDC__ )
AJUST_BIND_ESCAPING__LIFT_KAPTURE_145(obj_t VAR_570_205)
#else
AJUST_BIND_ESCAPING__LIFT_KAPTURE_145( VAR_570_205 )
obj_t VAR_570_205;
#endif
{

{obj_t LIFT_571_121;
LIFT_571_121=STRUCT_SLOT_REF( VAR_570_205, BINT( 4 ) );{obj_t CTO_572_221;
CTO_572_221=STRUCT_SLOT_REF( LIFT_571_121, BINT( 1 ) );{obj_t ESCAPING_573_148;
ESCAPING_573_148=STRUCT_SLOT_REF( LIFT_571_121, BINT( 10 ) );{obj_t KEY_574_132;
KEY_574_132=PROCEDURE_ENTRY( GET_NEW_KEY_LIFT_KAPTURE_107 )( GET_NEW_KEY_LIFT_KAPTURE_107, BEOA );{
{obj_t g1061_576_19;
{
g1061_576_19=ESCAPING_573_148;
{_g1062_575_147:

if( PAIRP( g1061_576_19 ))
{
{obj_t V_577_105;
V_577_105=CAR( g1061_576_19 );{obj_t S_975_240;
S_975_240=STRUCT_SLOT_REF( V_577_105, BINT( 4 ) );STRUCT_SLOT_SET( S_975_240, BINT( 12 ), KEY_574_132 );}}
{obj_t C_CDR_977_238;
C_CDR_977_238=CDR( g1061_576_19 );{
g1061_576_19=C_CDR_977_238;
goto _g1062_575_147;
}}
}else
BTRUE;}
}}
{obj_t g1063_579_104;
{
g1063_579_104=CTO_572_221;
{_g1064_578_229:

if( PAIRP( g1063_579_104 ))
{
{obj_t V_580_126;
V_580_126=CAR( g1063_579_104 );{obj_t S_978_159;
S_978_159=STRUCT_SLOT_REF( V_580_126, BINT( 4 ) );STRUCT_SLOT_SET( S_978_159, BINT( 12 ), BFALSE );}}
{obj_t C_CDR_980_39;
C_CDR_980_39=CDR( g1063_579_104 );{
g1063_579_104=C_CDR_980_39;
goto _g1064_578_229;
}}
}else
BTRUE;}
}}
{obj_t ESCAPING_582_148, RES_583_12;
{
RES_583_12=BNIL;
ESCAPING_582_148=ESCAPING_573_148;
{_LOOP_581_228:

if( NULLP( ESCAPING_582_148 ))
return STRUCT_SLOT_SET( LIFT_571_121, BINT( 10 ), RES_583_12 );else
{obj_t OBJ1_981_72;
{obj_t S_982_137;
{obj_t S_984_108;
S_984_108=CAR( ESCAPING_582_148 );S_982_137=STRUCT_SLOT_REF( S_984_108, BINT( 4 ) );}OBJ1_981_72=STRUCT_SLOT_REF( S_982_137, BINT( 12 ) );}if( EQP( OBJ1_981_72, KEY_574_132 ))
{
{obj_t S_986_232;
{obj_t S_987_139;
S_987_139=CAR( ESCAPING_582_148 );S_986_232=STRUCT_SLOT_REF( S_987_139, BINT( 4 ) );}STRUCT_SLOT_SET( S_986_232, BINT( 12 ), BFALSE );}
{obj_t C_CDR_989_0;
C_CDR_989_0=CDR( ESCAPING_582_148 );{obj_t OBJ1_990_106;
OBJ1_990_106=CAR( ESCAPING_582_148 );{obj_t C_CONS_991_138;
C_CONS_991_138=MAKE_PAIR( OBJ1_990_106, RES_583_12 );{
RES_583_12=C_CONS_991_138;
ESCAPING_582_148=C_CDR_989_0;
goto _LOOP_581_228;
}}}}
}else
{obj_t C_CDR_992_42;
C_CDR_992_42=CDR( ESCAPING_582_148 );{
ESCAPING_582_148=C_CDR_992_42;
goto _LOOP_581_228;
}}}}
}}
}}}}}
}

