/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/import.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t DECLARE_GLOBAL_INLINE__VAR_DECLARE_45();
extern obj_t ADD_ACCESS__READ_ACCESS_91();
extern obj_t DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251();
#if defined( __STDC__ )
extern obj_t __PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_235(obj_t);
#else
extern obj_t __PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_235();
#endif
obj_t PARSE_IMPORT_ENV_PARSE_IMPORT_209 = BUNSPEC;
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
#if defined( __STDC__ )
extern obj_t PARSE_IMPORTED_PARSE_IMPORT_151(obj_t, obj_t);
#else
extern obj_t PARSE_IMPORTED_PARSE_IMPORT_151();
#endif
extern obj_t READ_ALL_IMPORTED_MODULE_READ_IMPORT_250();
extern obj_t DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53();
static obj_t __cnst[ 11 ] ;
extern obj_t READ___READER_198;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
static obj_t REQUIRE_INITIALISATION__PARSE_IMPORT_20 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
obj_t PARSE_IMPORT_INITIALISATION_ENV_PARSE_IMPORT_180 = BUNSPEC;
obj_t PARSE_IMPORTED_ENV_PARSE_IMPORT_143 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __PARSE_IMPORTED_PARSE_IMPORT_164(obj_t, obj_t, obj_t);
#else
extern obj_t __PARSE_IMPORTED_PARSE_IMPORT_164();
#endif
extern obj_t READ_ACCESS_INITIALISATION_READ_ACCESS_130();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
extern obj_t PARSE_IMPORT_PARSE_IMPORT_87(obj_t);
#else
extern obj_t PARSE_IMPORT_PARSE_IMPORT_87();
#endif
extern obj_t READ_IMPORT_INITIALISATION_READ_IMPORT_3();
extern obj_t PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
#if defined( __STDC__ )
extern obj_t __PARSE_IMPORT_PARSE_IMPORT_35(obj_t, obj_t);
#else
extern obj_t __PARSE_IMPORT_PARSE_IMPORT_35();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206()
#else
PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_IMPORT_20 ))
{
REQUIRE_INITIALISATION__PARSE_IMPORT_20=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
READ_IMPORT_INITIALISATION_READ_IMPORT_3();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
READ_ACCESS_INITIALISATION_READ_ACCESS_130();
DECLARE_CNST_TABLE( __cnst[ 11 ]  );
{obj_t PORT_355_242;
{obj_t AUX_360_188;
AUX_360_188=c_constant_string_to_string( "MAIN INLINE #\"Illegal export clause\" #\"parse-imported\" (ARGV ) IMPORT #\"Illegal clause\" #\"parse-import\" #\"Illegal import clause\" #\"parse-import\" DONE " );PORT_355_242=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_360_188 );}{obj_t OFFSET_356_250;
{
OFFSET_356_250=BINT( 10 );
{_LOOP_357_28:

if( LT_I( OFFSET_356_250, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_361_40;
AUX_361_40=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_355_242, BEOA );CNST_TABLE_SET( OFFSET_356_250, AUX_361_40 );}
{obj_t OFFSET_362_86;
OFFSET_362_86=OFFSET_356_250;{
OFFSET_356_250=SUB_I( OFFSET_362_86, BINT( 1 ) );
goto _LOOP_357_28;
}}
}}
}}}
{
PARSE_IMPORT_INITIALISATION_ENV_PARSE_IMPORT_180=make_fx_procedure( __PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_235, 0, 0 );
PARSE_IMPORT_ENV_PARSE_IMPORT_209=make_fx_procedure( __PARSE_IMPORT_PARSE_IMPORT_35, 1, 0 );
PARSE_IMPORTED_ENV_PARSE_IMPORT_143=make_fx_procedure( __PARSE_IMPORTED_PARSE_IMPORT_164, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_235(obj_t ENV_343_182)
#else
__PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_235( ENV_343_182 )
obj_t ENV_343_182;
#endif
{

return PARSE_IMPORT_INITIALISATION_PARSE_IMPORT_206();
}

obj_t
#if defined( __STDC__ )
PARSE_IMPORT_PARSE_IMPORT_87(obj_t IMPORTS_222_254)
#else
PARSE_IMPORT_PARSE_IMPORT_87( IMPORTS_222_254 )
obj_t IMPORTS_222_254;
#endif
{

if( NULLP( IMPORTS_222_254 ))
return CNST_TABLE_REF( 0 );else
{obj_t IMPORTS_224_241, IMPORTED_225_89;
{
IMPORTED_225_89=BNIL;
IMPORTS_224_241=IMPORTS_222_254;
{_LOOP_223_128:

if( NULLP( IMPORTS_224_241 ))
return READ_ALL_IMPORTED_MODULE_READ_IMPORT_250( IMPORTED_225_89 );else
{obj_t FIRST_234_1, SECOND_235_79, VAR_238_248, MODULE_239_77, FILE_240_128, MODULE_242_49;
{obj_t E_105_230_171;
E_105_230_171=CAR( IMPORTS_224_241 );if( PAIRP( E_105_230_171 ))
{obj_t CDR_124_231_69;
CDR_124_231_69=CDR( E_105_230_171 );if( PAIRP( CDR_124_231_69 ))
{obj_t OBJ2_318_36;
OBJ2_318_36=BNIL;{obj_t OBJ1_317_167;
OBJ1_317_167=CDR( CDR_124_231_69 );if( EQP( OBJ1_317_167, OBJ2_318_36 ))
{obj_t C_CAR_319_19;
C_CAR_319_19=CAR( E_105_230_171 );{obj_t C_CAR_320_18;
C_CAR_320_18=CAR( CDR_124_231_69 );{
SECOND_235_79=C_CAR_320_18;
FIRST_234_1=C_CAR_319_19;
{
if( STRINGP( SECOND_235_79 ))
{
ADD_ACCESS__READ_ACCESS_91( FIRST_234_1, SECOND_235_79 );
{obj_t B_236_64;
B_236_64=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( FIRST_234_1, IMPORTED_225_89 );if( BBOOL_TO_CBOOL( B_236_64 ))
{
{obj_t OBJ_297_135;
OBJ_297_135=BNIL;SET_CDR( B_236_64, OBJ_297_135 );}
{obj_t C_CDR_298_191;
C_CDR_298_191=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_298_191;
goto _LOOP_223_128;
}}
}else
{obj_t C_CDR_299_108;
C_CDR_299_108=CDR( IMPORTS_224_241 );{obj_t OBJ1_300_181;
{obj_t OBJ2_302_36;
OBJ2_302_36=BNIL;OBJ1_300_181=MAKE_PAIR( FIRST_234_1, OBJ2_302_36 );}{obj_t C_CONS_301_190;
C_CONS_301_190=MAKE_PAIR( OBJ1_300_181, IMPORTED_225_89 );{
IMPORTED_225_89=C_CONS_301_190;
IMPORTS_224_241=C_CDR_299_108;
goto _LOOP_223_128;
}}}}}
}else
{obj_t B_237_121;
B_237_121=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( SECOND_235_79, IMPORTED_225_89 );if( BBOOL_TO_CBOOL( B_237_121 ))
{obj_t OBJ_303_67;
OBJ_303_67=CDR( B_237_121 );if( NULLP( OBJ_303_67 ))
{obj_t C_CDR_304_188;
C_CDR_304_188=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_304_188;
goto _LOOP_223_128;
}}else
{
{obj_t AUX_358_98;
AUX_358_98=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( FIRST_234_1, OBJ_303_67 );if( BBOOL_TO_CBOOL( AUX_358_98 ))
BFALSE;else
{obj_t OBJ_306_115;
{obj_t OBJ2_307_73;
OBJ2_307_73=CDR( B_237_121 );OBJ_306_115=MAKE_PAIR( FIRST_234_1, OBJ2_307_73 );}SET_CDR( B_237_121, OBJ_306_115 );}}
{obj_t C_CDR_308_87;
C_CDR_308_87=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_308_87;
goto _LOOP_223_128;
}}
}}else
{obj_t C_CDR_309_197;
C_CDR_309_197=CDR( IMPORTS_224_241 );{obj_t OBJ1_310_172;
{obj_t OBJ2_312_234;
OBJ2_312_234=MAKE_PAIR( FIRST_234_1, BNIL );OBJ1_310_172=MAKE_PAIR( SECOND_235_79, OBJ2_312_234 );}{obj_t C_CONS_311_52;
C_CONS_311_52=MAKE_PAIR( OBJ1_310_172, IMPORTED_225_89 );{
IMPORTED_225_89=C_CONS_311_52;
IMPORTS_224_241=C_CDR_309_197;
goto _LOOP_223_128;
}}}}}}
}}}else
if( PAIRP( OBJ1_317_167 ))
{obj_t OBJ1_321_221;
OBJ1_321_221=CDR( OBJ1_317_167 );if( EQP( OBJ1_321_221, OBJ2_318_36 ))
{obj_t C_CAR_323_226;
C_CAR_323_226=CAR( E_105_230_171 );{obj_t C_CAR_324_13;
C_CAR_324_13=CAR( CDR_124_231_69 );{obj_t C_CAR_325_32;
C_CAR_325_32=CAR( OBJ1_317_167 );{
FILE_240_128=C_CAR_325_32;
MODULE_239_77=C_CAR_324_13;
VAR_238_248=C_CAR_323_226;
{
if( STRINGP( FILE_240_128 ))
{
ADD_ACCESS__READ_ACCESS_91( MODULE_239_77, FILE_240_128 );
{obj_t B_241_24;
B_241_24=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( MODULE_239_77, IMPORTED_225_89 );if( BBOOL_TO_CBOOL( B_241_24 ))
{obj_t OBJ_284_233;
OBJ_284_233=CDR( B_241_24 );if( NULLP( OBJ_284_233 ))
{obj_t C_CDR_285_148;
C_CDR_285_148=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_285_148;
goto _LOOP_223_128;
}}else
{
{obj_t AUX_359_21;
AUX_359_21=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( VAR_238_248, OBJ_284_233 );if( BBOOL_TO_CBOOL( AUX_359_21 ))
BFALSE;else
{obj_t OBJ_287_140;
{obj_t OBJ2_288_191;
OBJ2_288_191=CDR( B_241_24 );OBJ_287_140=MAKE_PAIR( VAR_238_248, OBJ2_288_191 );}SET_CDR( B_241_24, OBJ_287_140 );}}
{obj_t C_CDR_289_15;
C_CDR_289_15=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_289_15;
goto _LOOP_223_128;
}}
}}else
{obj_t C_CDR_290_171;
C_CDR_290_171=CDR( IMPORTS_224_241 );{obj_t OBJ1_291_8;
{obj_t OBJ2_293_49;
OBJ2_293_49=MAKE_PAIR( VAR_238_248, BNIL );OBJ1_291_8=MAKE_PAIR( MODULE_239_77, OBJ2_293_49 );}{obj_t C_CONS_292_82;
C_CONS_292_82=MAKE_PAIR( OBJ1_291_8, IMPORTED_225_89 );{
IMPORTED_225_89=C_CONS_292_82;
IMPORTS_224_241=C_CDR_290_171;
goto _LOOP_223_128;
}}}}}
}else
{obj_t OBJECT_296_168;
OBJECT_296_168=CAR( IMPORTS_224_241 );FAILURE( CNST_TABLE_REF( 1 ), CNST_TABLE_REF( 2 ), OBJECT_296_168 );}}
}}}}else
{_TAG_104_229_207:

{obj_t OBJECT_269_13;
OBJECT_269_13=CAR( IMPORTS_224_241 );FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), OBJECT_269_13 );}}}else
goto _TAG_104_229_207;}}else
goto _TAG_104_229_207;}else
{
MODULE_242_49=E_105_230_171;
{
{obj_t B_243_20;
B_243_20=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( MODULE_242_49, IMPORTED_225_89 );if( BBOOL_TO_CBOOL( B_243_20 ))
{
{obj_t OBJ_273_181;
OBJ_273_181=BNIL;SET_CDR( B_243_20, OBJ_273_181 );}
{obj_t C_CDR_275_236;
C_CDR_275_236=CDR( IMPORTS_224_241 );{
IMPORTS_224_241=C_CDR_275_236;
goto _LOOP_223_128;
}}
}else
{obj_t C_CDR_276_45;
C_CDR_276_45=CDR( IMPORTS_224_241 );{obj_t OBJ1_279_174;
{obj_t OBJ2_282_11;
OBJ2_282_11=BNIL;{obj_t OBJ1_281_65;
OBJ1_281_65=CAR( IMPORTS_224_241 );OBJ1_279_174=MAKE_PAIR( OBJ1_281_65, OBJ2_282_11 );}}{obj_t C_CONS_280_204;
C_CONS_280_204=MAKE_PAIR( OBJ1_279_174, IMPORTED_225_89 );{
IMPORTED_225_89=C_CONS_280_204;
IMPORTS_224_241=C_CDR_276_45;
goto _LOOP_223_128;
}}}}}}
}}}}
}}
}

obj_t
#if defined( __STDC__ )
__PARSE_IMPORT_PARSE_IMPORT_35(obj_t ENV_342_111,obj_t IMPORTS_222_254)
#else
__PARSE_IMPORT_PARSE_IMPORT_35( ENV_342_111, IMPORTS_222_254 )
obj_t ENV_342_111, IMPORTS_222_254;
#endif
{

return PARSE_IMPORT_PARSE_IMPORT_87( IMPORTS_222_254 );
}

obj_t
#if defined( __STDC__ )
PARSE_IMPORTED_PARSE_IMPORT_151(obj_t PROVIDED_244_250,obj_t MODULE_245_223)
#else
PARSE_IMPORTED_PARSE_IMPORT_151( PROVIDED_244_250, MODULE_245_223 )
obj_t PROVIDED_244_250, MODULE_245_223;
#endif
{

{obj_t NAME_259_123, ARGS_260_229, NAME_261_154, ARGS_262_131, NAME_263_88, NAME_264_178;
if( PAIRP( PROVIDED_244_250 ))
{obj_t CDR_192_252_98;
CDR_192_252_98=CDR( PROVIDED_244_250 );{obj_t OBJ1_326_35;
OBJ1_326_35=CAR( PROVIDED_244_250 );if( EQP( OBJ1_326_35, CNST_TABLE_REF( 9 ) ))
if( PAIRP( CDR_192_252_98 ))
{obj_t CAR_235_253_246;
CAR_235_253_246=CAR( CDR_192_252_98 );if( SYMBOLP( CAR_235_253_246 ))
{obj_t C_CDR_328_150;
C_CDR_328_150=CDR( CDR_192_252_98 );{
ARGS_260_229=C_CDR_328_150;
NAME_259_123=CAR_235_253_246;
{
{
DECLARE_GLOBAL_INLINE__VAR_DECLARE_45( NAME_259_123, ARGS_260_229, MODULE_245_223, CNST_TABLE_REF( 5 ) );
return NAME_259_123;
}}
}}else
if( SYMBOLP( OBJ1_326_35 ))
{
ARGS_262_131=CDR_192_252_98;
NAME_261_154=OBJ1_326_35;
{_TAG_170_247_118:

{
DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( NAME_261_154, ARGS_262_131, MODULE_245_223, CNST_TABLE_REF( 5 ) );
return BFALSE;
}}
}else
{_TAG_173_250_211:

FAILURE( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), PROVIDED_244_250 );}}else
if( SYMBOLP( OBJ1_326_35 ))
{
ARGS_262_131=CDR_192_252_98;
NAME_261_154=OBJ1_326_35;
goto _TAG_170_247_118;
}else
goto _TAG_173_250_211;else
if( SYMBOLP( OBJ1_326_35 ))
{
ARGS_262_131=CDR_192_252_98;
NAME_261_154=OBJ1_326_35;
goto _TAG_170_247_118;
}else
if( EQP( OBJ1_326_35, CNST_TABLE_REF( 10 ) ))
if( PAIRP( CDR_192_252_98 ))
{obj_t CAR_211_258_223;
CAR_211_258_223=CAR( CDR_192_252_98 );if( SYMBOLP( CAR_211_258_223 ))
{obj_t OBJ2_334_24;
OBJ2_334_24=BNIL;{obj_t OBJ1_333_15;
OBJ1_333_15=CDR( CDR_192_252_98 );if( EQP( OBJ1_333_15, OBJ2_334_24 ))
{
NAME_264_178=CAR_211_258_223;
{
{
DECLARE_GLOBAL_PROCEDURE__VAR_DECLARE_53( NAME_264_178, CNST_TABLE_REF( 6 ), MODULE_245_223, CNST_TABLE_REF( 5 ) );
return BFALSE;
}}
}else
goto _TAG_173_250_211;}}else
goto _TAG_173_250_211;}else
goto _TAG_173_250_211;else
goto _TAG_173_250_211;}}else
if( SYMBOLP( PROVIDED_244_250 ))
{
NAME_263_88=PROVIDED_244_250;
{
{
DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( NAME_263_88, MODULE_245_223, CNST_TABLE_REF( 5 ) );
return BFALSE;
}}
}else
goto _TAG_173_250_211;}
}

obj_t
#if defined( __STDC__ )
__PARSE_IMPORTED_PARSE_IMPORT_164(obj_t ENV_341_136,obj_t PROVIDED_244_250,obj_t MODULE_245_223)
#else
__PARSE_IMPORTED_PARSE_IMPORT_164( ENV_341_136, PROVIDED_244_250, MODULE_245_223 )
obj_t ENV_341_136, PROVIDED_244_250, MODULE_245_223;
#endif
{

return PARSE_IMPORTED_PARSE_IMPORT_151( PROVIDED_244_250, MODULE_245_223 );
}

