/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/include.c                                                   */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#if defined( __STDC__ )
extern obj_t PARSE_INCLUDE_PARSE_INCLUDE_157(obj_t);
#else
extern obj_t PARSE_INCLUDE_PARSE_INCLUDE_157();
#endif
#if defined( __STDC__ )
extern obj_t __PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_223(obj_t);
#else
extern obj_t __PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_223();
#endif
extern obj_t READ_INCLUDE_READ_INCLUDE_137();
static obj_t REQUIRE_INITIALISATION__PARSE_INCLUDE_22 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t PARSE_INCLUDE_INITIALISATION_ENV_PARSE_INCLUDE_179 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __PARSE_INCLUDE_PARSE_INCLUDE_65(obj_t, obj_t);
#else
extern obj_t __PARSE_INCLUDE_PARSE_INCLUDE_65();
#endif
extern obj_t READ_INCLUDE_INITIALISATION_READ_INCLUDE_15();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t PARSE_INCLUDE_ENV_PARSE_INCLUDE_222 = BUNSPEC;
extern obj_t PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59();
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();


obj_t
#if defined( __STDC__ )
PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59()
#else
PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_INCLUDE_22 ))
{
REQUIRE_INITIALISATION__PARSE_INCLUDE_22=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
READ_INCLUDE_INITIALISATION_READ_INCLUDE_15();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
{
PARSE_INCLUDE_INITIALISATION_ENV_PARSE_INCLUDE_179=make_fx_procedure( __PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_223, 0, 0 );
PARSE_INCLUDE_ENV_PARSE_INCLUDE_222=make_fx_procedure( __PARSE_INCLUDE_PARSE_INCLUDE_65, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_223(obj_t ENV_286_188)
#else
__PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_223( ENV_286_188 )
obj_t ENV_286_188;
#endif
{

return PARSE_INCLUDE_INITIALISATION_PARSE_INCLUDE_59();
}

obj_t
#if defined( __STDC__ )
PARSE_INCLUDE_PARSE_INCLUDE_157(obj_t FILES_222_175)
#else
PARSE_INCLUDE_PARSE_INCLUDE_157( FILES_222_175 )
obj_t FILES_222_175;
#endif
{

{obj_t FILES_224_50, FOREIGN_225_83, IMPORT_226_172, BODY_227_102, EXPORT_228_56;
{
EXPORT_228_56=BNIL;
BODY_227_102=BNIL;
IMPORT_226_172=BNIL;
FOREIGN_225_83=BNIL;
FILES_224_50=FILES_222_175;
{_LOOP_223_128:

if( NULLP( FILES_224_50 ))
{obj_t C_CONS_235_111;
{obj_t C_CONS_234_182;
{obj_t C_CONS_233_45;
C_CONS_233_45=MAKE_PAIR( EXPORT_228_56, BNIL );C_CONS_234_182=MAKE_PAIR( BODY_227_102, C_CONS_233_45 );}C_CONS_235_111=MAKE_PAIR( FOREIGN_225_83, C_CONS_234_182 );}return MAKE_PAIR( IMPORT_226_172, C_CONS_235_111 );}else
{obj_t IMP_INC_SEXP_FOR_EXPO_229_132;
{obj_t C_CAR_237_254;
C_CAR_237_254=CAR( FILES_224_50 );IMP_INC_SEXP_FOR_EXPO_229_132=READ_INCLUDE_READ_INCLUDE_137( C_CAR_237_254 );}{bool_t OBJ_287_140;
OBJ_287_140=NULLP( CDR( FILES_224_50 ) );{obj_t PAIR_266_16;
{obj_t PAIR_268_175;
PAIR_268_175=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_266_16=CDR( PAIR_268_175 );}{obj_t C_CAR_267_96;
C_CAR_267_96=CAR( PAIR_266_16 );{obj_t AUX_299_157, AUX_297_58, AUX_296_22, AUX_294_75, AUX_292_12;
if( NULLP( EXPORT_228_56 ))
{obj_t PAIR_269_195;
{obj_t PAIR_272_131;
{obj_t PAIR_273_152;
{obj_t PAIR_274_209;
PAIR_274_209=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_273_152=CDR( PAIR_274_209 );}PAIR_272_131=CDR( PAIR_273_152 );}PAIR_269_195=CDR( PAIR_272_131 );}AUX_299_157=CAR( PAIR_269_195 );}else
{bool_t OBJ_291_31;
{obj_t AUX_300_63;
{obj_t PAIR_276_76;
{obj_t PAIR_277_203;
{obj_t PAIR_278_235;
{obj_t PAIR_279_222;
PAIR_279_222=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_278_235=CDR( PAIR_279_222 );}PAIR_277_203=CDR( PAIR_278_235 );}PAIR_276_76=CDR( PAIR_277_203 );}AUX_300_63=CAR( PAIR_276_76 );}OBJ_291_31=NULLP( AUX_300_63 );}if( OBJ_291_31)
AUX_299_157=EXPORT_228_56;else
{obj_t PAIR_280_215;
{obj_t PAIR_282_53;
{obj_t PAIR_283_162;
{obj_t PAIR_284_109;
PAIR_284_109=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_283_162=CDR( PAIR_284_109 );}PAIR_282_53=CDR( PAIR_283_162 );}PAIR_280_215=CDR( PAIR_282_53 );}{obj_t C_CAR_281_45;
C_CAR_281_45=CAR( PAIR_280_215 );AUX_299_157=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_281_45, EXPORT_228_56 );}}}{obj_t AUX_298_238;
AUX_298_238=REVERSE___R4_PAIRS_AND_LISTS_6_3_37( C_CAR_267_96 );AUX_297_58=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_298_238, BODY_227_102 );}if( NULLP( IMPORT_226_172 ))
AUX_296_22=CAR( IMP_INC_SEXP_FOR_EXPO_229_132 );else
{obj_t OBJ_263_124;
OBJ_263_124=CAR( IMP_INC_SEXP_FOR_EXPO_229_132 );if( NULLP( OBJ_263_124 ))
AUX_296_22=IMPORT_226_172;else
AUX_296_22=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( OBJ_263_124, IMPORT_226_172 );}if( NULLP( FOREIGN_225_83 ))
{obj_t PAIR_250_156;
{obj_t PAIR_252_79;
{obj_t PAIR_253_46;
PAIR_253_46=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_252_79=CDR( PAIR_253_46 );}PAIR_250_156=CDR( PAIR_252_79 );}AUX_294_75=CAR( PAIR_250_156 );}else
{bool_t OBJ_289_1;
{obj_t AUX_295_78;
{obj_t PAIR_255_198;
{obj_t PAIR_256_41;
{obj_t PAIR_257_254;
PAIR_257_254=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_256_41=CDR( PAIR_257_254 );}PAIR_255_198=CDR( PAIR_256_41 );}AUX_295_78=CAR( PAIR_255_198 );}OBJ_289_1=NULLP( AUX_295_78 );}if( OBJ_289_1)
AUX_294_75=FOREIGN_225_83;else
{obj_t PAIR_258_176;
{obj_t PAIR_260_4;
{obj_t PAIR_261_33;
PAIR_261_33=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );PAIR_260_4=CDR( PAIR_261_33 );}PAIR_258_176=CDR( PAIR_260_4 );}{obj_t C_CAR_259_24;
C_CAR_259_24=CAR( PAIR_258_176 );AUX_294_75=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_259_24, FOREIGN_225_83 );}}}if( OBJ_287_140)
{obj_t PAIR_241_44;
PAIR_241_44=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );AUX_292_12=CAR( PAIR_241_44 );}else
{bool_t OBJ_288_14;
{obj_t AUX_293_181;
{obj_t PAIR_244_0;
PAIR_244_0=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );AUX_293_181=CAR( PAIR_244_0 );}OBJ_288_14=NULLP( AUX_293_181 );}if( OBJ_288_14)
AUX_292_12=CDR( FILES_224_50 );else
{obj_t PAIR_246_52;
PAIR_246_52=CDR( IMP_INC_SEXP_FOR_EXPO_229_132 );{obj_t C_CAR_247_199;
C_CAR_247_199=CAR( PAIR_246_52 );{obj_t C_CDR_248_236;
C_CDR_248_236=CDR( FILES_224_50 );AUX_292_12=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_247_199, C_CDR_248_236 );}}}}{
EXPORT_228_56=AUX_299_157;
BODY_227_102=AUX_297_58;
IMPORT_226_172=AUX_296_22;
FOREIGN_225_83=AUX_294_75;
FILES_224_50=AUX_292_12;
goto _LOOP_223_128;
}}}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__PARSE_INCLUDE_PARSE_INCLUDE_65(obj_t ENV_285_65,obj_t FILES_222_175)
#else
__PARSE_INCLUDE_PARSE_INCLUDE_65( ENV_285_65, FILES_222_175 )
obj_t ENV_285_65, FILES_222_175;
#endif
{

return PARSE_INCLUDE_PARSE_INCLUDE_157( FILES_222_175 );
}

