/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Parse/top-level.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t PARSE_TOP_LEVEL_INITIALISATION_ENV_PARSE_TOP_LEVEL_17 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_67(obj_t, obj_t);
#else
extern obj_t __PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_67();
#endif
extern obj_t DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251();
extern obj_t VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
static obj_t __cnst[ 1 ] ;
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192(obj_t);
#else
extern obj_t PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192();
#endif
static obj_t REQUIRE_INITIALISATION__PARSE_TOP_LEVEL_60 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
#if defined( __STDC__ )
extern obj_t __PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_249(obj_t);
#else
extern obj_t __PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_249();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78();
obj_t PARSE_TOP_LEVEL_ENV_PARSE_TOP_LEVEL_26 = BUNSPEC;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78()
#else
PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__PARSE_TOP_LEVEL_60 ))
{
REQUIRE_INITIALISATION__PARSE_TOP_LEVEL_60=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
VAR_DECLARE_INITIALISATION_VAR_DECLARE_146();
DECLARE_CNST_TABLE( __cnst[ 1 ]  );
{obj_t PORT_246_235;
{obj_t AUX_249_98;
AUX_249_98=c_constant_string_to_string( "TOP-LEVEL " );PORT_246_235=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_249_98 );}{obj_t OFFSET_247_68;
{
OFFSET_247_68=BINT( 0 );
{_LOOP_248_33:

if( LT_I( OFFSET_247_68, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_250_184;
AUX_250_184=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_246_235, BEOA );CNST_TABLE_SET( OFFSET_247_68, AUX_250_184 );}
{obj_t OFFSET_251_124;
OFFSET_251_124=OFFSET_247_68;{
OFFSET_247_68=SUB_I( OFFSET_251_124, BINT( 1 ) );
goto _LOOP_248_33;
}}
}}
}}}
{
PARSE_TOP_LEVEL_INITIALISATION_ENV_PARSE_TOP_LEVEL_17=make_fx_procedure( __PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_249, 0, 0 );
PARSE_TOP_LEVEL_ENV_PARSE_TOP_LEVEL_26=make_fx_procedure( __PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_67, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_249(obj_t ENV_245_237)
#else
__PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_249( ENV_245_237 )
obj_t ENV_245_237;
#endif
{

return PARSE_TOP_LEVEL_INITIALISATION_PARSE_TOP_LEVEL_78();
}

obj_t
#if defined( __STDC__ )
PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192(obj_t TOP_LEVELS_222_245)
#else
PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192( TOP_LEVELS_222_245 )
obj_t TOP_LEVELS_222_245;
#endif
{

if( NULLP( TOP_LEVELS_222_245 ))
return BNIL;else
{obj_t HEAD_224_110;
{obj_t OBJ2_235_21;
OBJ2_235_21=BNIL;{obj_t OBJ1_234_208;
{obj_t V_230_17;
V_230_17=CAR( TOP_LEVELS_222_245 );OBJ1_234_208=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( V_230_17, CNST_TABLE_REF( 0 ), CNST_TABLE_REF( 0 ) );}HEAD_224_110=MAKE_PAIR( OBJ1_234_208, OBJ2_235_21 );}}{obj_t g1000_226_212, TAIL_227_144;
{obj_t C_CDR_243_217;
C_CDR_243_217=CDR( TOP_LEVELS_222_245 );{
TAIL_227_144=HEAD_224_110;
g1000_226_212=C_CDR_243_217;
{_g1001_225_48:

if( NULLP( g1000_226_212 ))
return HEAD_224_110;else
{obj_t NEW_TAIL_228_226;
{obj_t OBJ2_238_24;
OBJ2_238_24=BNIL;{obj_t OBJ1_237_122;
{obj_t V_229_148;
V_229_148=CAR( g1000_226_212 );OBJ1_237_122=DECLARE_GLOBAL_VARIABLE__VAR_DECLARE_251( V_229_148, CNST_TABLE_REF( 0 ), CNST_TABLE_REF( 0 ) );}NEW_TAIL_228_226=MAKE_PAIR( OBJ1_237_122, OBJ2_238_24 );}}{
SET_CDR( TAIL_227_144, NEW_TAIL_228_226 );
{obj_t C_CDR_242_202;
C_CDR_242_202=CDR( g1000_226_212 );{
TAIL_227_144=NEW_TAIL_228_226;
g1000_226_212=C_CDR_242_202;
goto _g1001_225_48;
}}
}}}
}}}}
}

obj_t
#if defined( __STDC__ )
__PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_67(obj_t ENV_244_253,obj_t TOP_LEVELS_222_245)
#else
__PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_67( ENV_244_253, TOP_LEVELS_222_245 )
obj_t ENV_244_253, TOP_LEVELS_222_245;
#endif
{

return PARSE_TOP_LEVEL_PARSE_TOP_LEVEL_192( TOP_LEVELS_222_245 );
}

