/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Read/include.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __READ_INCLUDE_INITIALISATION_READ_INCLUDE_162(obj_t);
#else
extern obj_t __READ_INCLUDE_INITIALISATION_READ_INCLUDE_162();
#endif
obj_t READ_INCLUDE_ENV_READ_INCLUDE_45 = BUNSPEC;
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
extern obj_t bigloo_exit();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
#if defined( __STDC__ )
extern obj_t READ_INCLUDE_READ_INCLUDE_137(obj_t);
#else
extern obj_t READ_INCLUDE_READ_INCLUDE_137();
#endif
extern obj_t input_port_display_error();
extern bool_t fexists();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t current_error_port;
extern obj_t __LOAD_PATH____EVAL_245;
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 18 ] ;
extern obj_t EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
extern obj_t ___EVAL_INITIALISATION___EVAL_167();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t close_input_port();
extern obj_t READ___READER_198;
extern obj_t VERBOSE_TOOLS_SPEEK_191();
static obj_t REQUIRE_INITIALISATION__READ_INCLUDE_229 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t ADD_MACRO__EXPAND_EPS_124();
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
#if defined( __STDC__ )
extern obj_t __READ_INCLUDE_READ_INCLUDE_53(obj_t, obj_t);
#else
extern obj_t __READ_INCLUDE_READ_INCLUDE_53();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t __ORDER_INIT_MODULES__ENGINE_PARAM_218;
extern obj_t make_fx_procedure();
obj_t READ_INCLUDE_INITIALISATION_ENV_READ_INCLUDE_171 = BUNSPEC;
extern obj_t NOTIFY_ERROR___ERROR_187();
extern obj_t READ_INCLUDE_INITIALISATION_READ_INCLUDE_15();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
static obj_t FIND_FILE_READ_INCLUDE_189(obj_t);
#else
static obj_t FIND_FILE_READ_INCLUDE_189();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
#if defined( __STDC__ )
static obj_t PARSE_INCLUDE_DIRECTIVES_READ_INCLUDE_104(obj_t, obj_t);
#else
static obj_t PARSE_INCLUDE_DIRECTIVES_READ_INCLUDE_104();
#endif

static obj_t HANDLER_228_33();
static obj_t ESCAPE_233_206();
static obj_t BODY_230_243();
static obj_t ESCAPE_340_39();

obj_t
#if defined( __STDC__ )
READ_INCLUDE_INITIALISATION_READ_INCLUDE_15()
#else
READ_INCLUDE_INITIALISATION_READ_INCLUDE_15()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__READ_INCLUDE_229 ))
{
REQUIRE_INITIALISATION__READ_INCLUDE_229=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
EXPAND_EPS_INITIALISATION_EXPAND_EPS_123();
TOOLS_SPEEK_INITIALISATION_TOOLS_SPEEK_3();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
___EVAL_INITIALISATION___EVAL_167();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 18 ]  );
{obj_t PORT_359_139;
{obj_t AUX_372_234;
AUX_372_234=c_constant_string_to_string( "EXPORT FOREIGN INCLUDE FORCE IMPORT USE #\"Illegal directive\" #\"parse-include-directives\" DEFINE-EXPANDER DEFINE-MACRO DIRECTIVES #\"(file \" #\")\" #\"Can't open such file\" #\"read-include\" #\"      [reading include file \" #\"]\" #\"/\" " );PORT_359_139=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_372_234 );}{obj_t OFFSET_360_161;
{
OFFSET_360_161=BINT( 17 );
{_LOOP_361_102:

if( LT_I( OFFSET_360_161, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_373_169;
AUX_373_169=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_359_139, BEOA );CNST_TABLE_SET( OFFSET_360_161, AUX_373_169 );}
{obj_t OFFSET_374_60;
OFFSET_374_60=OFFSET_360_161;{
OFFSET_360_161=SUB_I( OFFSET_374_60, BINT( 1 ) );
goto _LOOP_361_102;
}}
}}
}}}
{
READ_INCLUDE_INITIALISATION_ENV_READ_INCLUDE_171=make_fx_procedure( __READ_INCLUDE_INITIALISATION_READ_INCLUDE_162, 0, 0 );
READ_INCLUDE_ENV_READ_INCLUDE_45=make_fx_procedure( __READ_INCLUDE_READ_INCLUDE_53, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__READ_INCLUDE_INITIALISATION_READ_INCLUDE_162(obj_t ENV_354_128)
#else
__READ_INCLUDE_INITIALISATION_READ_INCLUDE_162( ENV_354_128 )
obj_t ENV_354_128;
#endif
{

return READ_INCLUDE_INITIALISATION_READ_INCLUDE_15();
}

static obj_t
#if defined( __STDC__ )
FIND_FILE_READ_INCLUDE_189(obj_t NAME_222_1)
#else
FIND_FILE_READ_INCLUDE_189( NAME_222_1 )
obj_t NAME_222_1;
#endif
{

if( fexists( BSTRING_TO_CSTRING( NAME_222_1 ) ))
return NAME_222_1;else
{obj_t PATH_224_213;
{
PATH_224_213=__LOAD_PATH____EVAL_245;
{_LOOP_223_128:

if( NULLP( PATH_224_213 ))
return NAME_222_1;else
{obj_t TRY_225_77;
{obj_t VA_ARG_323_168;
VA_ARG_323_168=MAKE_PAIR( NAME_222_1, BNIL );{obj_t VA_ARG_324_46;
{obj_t STRING_CAST_326_64;
STRING_CAST_326_64=CNST_TABLE_REF( 0 );VA_ARG_324_46=MAKE_PAIR( STRING_CAST_326_64, VA_ARG_323_168 );}{obj_t VA_ARG_325_79;
{obj_t PAIR_277_203;
PAIR_277_203=__LOAD_PATH____EVAL_245;{obj_t C_CAR_278_86;
C_CAR_278_86=CAR( PAIR_277_203 );VA_ARG_325_79=MAKE_PAIR( C_CAR_278_86, VA_ARG_324_46 );}}TRY_225_77=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_325_79 );}}}if( fexists( BSTRING_TO_CSTRING( TRY_225_77 ) ))
return TRY_225_77;else
{obj_t C_CDR_280_190;
C_CDR_280_190=CDR( PATH_224_213 );{
PATH_224_213=C_CDR_280_190;
goto _LOOP_223_128;
}}}}
}}
}

obj_t
#if defined( __STDC__ )
READ_INCLUDE_READ_INCLUDE_137(obj_t FILE_226_109)
#else
READ_INCLUDE_READ_INCLUDE_137( FILE_226_109 )
obj_t FILE_226_109;
#endif
{

{
{obj_t VA_ARG_327_156;
VA_ARG_327_156=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t VA_ARG_328_83;
{obj_t STRING_CAST_332_171;
STRING_CAST_332_171=CNST_TABLE_REF( 1 );VA_ARG_328_83=MAKE_PAIR( STRING_CAST_332_171, VA_ARG_327_156 );}{obj_t VA_ARG_329_128;
VA_ARG_329_128=MAKE_PAIR( FILE_226_109, VA_ARG_328_83 );{obj_t VA_ARG_330_213;
{obj_t STRING_CAST_331_126;
STRING_CAST_331_126=CNST_TABLE_REF( 2 );VA_ARG_330_213=MAKE_PAIR( STRING_CAST_331_126, VA_ARG_329_128 );}VERBOSE_TOOLS_SPEEK_191( VA_ARG_330_213 );}}}}
{obj_t PORT_227_34;
{obj_t AUX_371_68;
AUX_371_68=FIND_FILE_READ_INCLUDE_189( FILE_226_109 );PORT_227_34=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( AUX_371_68, BNIL );}if( INPUT_PORTP( PORT_227_34 ))
{obj_t HANDLER_ENV_351_144;
HANDLER_ENV_351_144=make_fx_procedure( HANDLER_228_33, 4, 2 );{
PROCEDURE_ENV_SET( HANDLER_ENV_351_144, 1, PORT_227_34 );
PROCEDURE_ENV_SET( HANDLER_ENV_351_144, 0, FILE_226_109 );
{obj_t HANDLER_229_4;
HANDLER_229_4=HANDLER_ENV_351_144;{obj_t LAMBDA_STACK_231_40;
LAMBDA_STACK_231_40=GET_LAMBDA_STACK();{obj_t RES_232_95;
RES_232_95=ESCAPE_233_206( HANDLER_229_4, PORT_227_34 );{
SET_LAMBDA_STACK( LAMBDA_STACK_231_40 );
return RES_232_95;
}}}}
}}else
FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), FILE_226_109 );}
}
}

obj_t
#if defined( __STDC__ )
__READ_INCLUDE_READ_INCLUDE_53(obj_t ENV_353_161,obj_t FILE_226_109)
#else
__READ_INCLUDE_READ_INCLUDE_53( ENV_353_161, FILE_226_109 )
obj_t ENV_353_161, FILE_226_109;
#endif
{

return READ_INCLUDE_READ_INCLUDE_137( FILE_226_109 );
}

static obj_t
#if defined( __STDC__ )
HANDLER_228_33(obj_t HANDLER_ENV_352_124,obj_t ESCAPE_247_129,obj_t PROC_248_250,obj_t MES_249_181,obj_t OBJ_250_86)
#else
HANDLER_228_33( HANDLER_ENV_352_124, ESCAPE_247_129, PROC_248_250, MES_249_181, OBJ_250_86 )
obj_t HANDLER_ENV_352_124, ESCAPE_247_129, PROC_248_250, MES_249_181, OBJ_250_86;
#endif
{

{obj_t FILE_226_109, PORT_227_34;
FILE_226_109=PROCEDURE_ENV_REF( HANDLER_ENV_352_124, 0 );PORT_227_34=PROCEDURE_ENV_REF( HANDLER_ENV_352_124, 1 );{
NOTIFY_ERROR___ERROR_187( PROC_248_250, MES_249_181, OBJ_250_86 );
{obj_t OP_284_220;
OP_284_220=current_error_port;input_port_display_error( PORT_227_34, OP_284_220 );}
{obj_t VA_ARG_333_104;
{obj_t STRING_CAST_337_193;
STRING_CAST_337_193=CNST_TABLE_REF( 5 );VA_ARG_333_104=MAKE_PAIR( STRING_CAST_337_193, BNIL );}{obj_t VA_ARG_334_211;
VA_ARG_334_211=MAKE_PAIR( FILE_226_109, VA_ARG_333_104 );{obj_t VA_ARG_335_57;
{obj_t STRING_CAST_336_239;
STRING_CAST_336_239=CNST_TABLE_REF( 6 );VA_ARG_335_57=MAKE_PAIR( STRING_CAST_336_239, VA_ARG_334_211 );}FPRINT___R4_OUTPUT_6_10_3_45( current_error_port, VA_ARG_335_57 );}}}
close_input_port( PORT_227_34 );
return bigloo_exit( BINT( -3 ) );
}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_233_206(obj_t HANDLER_349_161,obj_t PORT_350_126)
#else
ESCAPE_233_206( HANDLER_349_161, PORT_350_126 )
obj_t HANDLER_349_161, PORT_350_126;
#endif
{

{obj_t ESCAPE_CONT_346_98;
jmp_buf JMP_BUF_370_191;{if( SETJMP( (JMP_BUF *)JMP_BUF_370_191 ) )return __ContinueValue;
else
ESCAPE_CONT_346_98=((obj_t)JMP_BUF_370_191);}{obj_t ESCAPE_ENV_347_234;
ESCAPE_ENV_347_234=make_fx_procedure( ESCAPE_340_39, 1, 3 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_347_234, 2, HANDLER_349_161 );
PROCEDURE_ENV_SET( ESCAPE_ENV_347_234, 1, PORT_350_126 );
PROCEDURE_ENV_SET( ESCAPE_ENV_347_234, 0, ESCAPE_CONT_346_98 );
{
{obj_t A_FUNCTION_341_189;
A_FUNCTION_341_189=ESCAPE_ENV_347_234;ADD_ERROR_HANDLER____ERROR_27( HANDLER_349_161, A_FUNCTION_341_189 );}
{obj_t RES_234_252;
RES_234_252=BODY_230_243( PORT_350_126 );{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_234_252;
}}
}
}}}
}

static obj_t
#if defined( __STDC__ )
BODY_230_243(obj_t PORT_350_126)
#else
BODY_230_243( PORT_350_126 )
obj_t PORT_350_126;
#endif
{

{obj_t FIRST_236_110;
FIRST_236_110=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_350_126, BEOA );{obj_t DIRECTIVES_237_227;
{if( PAIRP( FIRST_236_110 ))
{obj_t OBJ1_290_189;
OBJ1_290_189=CAR( FIRST_236_110 );if( EQP( OBJ1_290_189, CNST_TABLE_REF( 7 ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{DIRECTIVES_237_227=FIRST_236_110;
goto _endif_2;}_false_1:
DIRECTIVES_237_227=BNIL;_endif_2:
;
}{obj_t R_239_68, SEXP_240_164;
{
SEXP_240_164=BNIL;
if( PAIRP( DIRECTIVES_237_227 ))
R_239_68=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_350_126, BEOA );else
R_239_68=FIRST_236_110;
{_LOOP_238_65:

if( EOF_OBJECTP( R_239_68 ))
{
close_input_port( PORT_350_126 );
{obj_t AUX_366_173;
AUX_366_173=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( SEXP_240_164 );return PARSE_INCLUDE_DIRECTIVES_READ_INCLUDE_104( DIRECTIVES_237_227, AUX_366_173 );}
}else
{if( PAIRP( R_239_68 ))
{obj_t OBJ1_295_16;
OBJ1_295_16=CAR( R_239_68 );if( EQP( OBJ1_295_16, CNST_TABLE_REF( 8 ) ))
{
{
ADD_MACRO__EXPAND_EPS_124( R_239_68 );
{obj_t AUX_367_73;
AUX_367_73=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_350_126, BEOA );{
R_239_68=AUX_367_73;
goto _LOOP_238_65;
}}
}}else
if( EQP( OBJ1_295_16, CNST_TABLE_REF( 9 ) ))
{
{
ADD_MACRO__EXPAND_EPS_124( R_239_68 );
{obj_t AUX_368_234;
AUX_368_234=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_350_126, BEOA );{
R_239_68=AUX_368_234;
goto _LOOP_238_65;
}}
}}else
{_TAG_103_243_131:

{obj_t C_CONS_294_255;
C_CONS_294_255=MAKE_PAIR( R_239_68, SEXP_240_164 );{obj_t AUX_369_169;
AUX_369_169=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_350_126, BEOA );{
SEXP_240_164=C_CONS_294_255;
R_239_68=AUX_369_169;
goto _LOOP_238_65;
}}}}}else
goto _TAG_103_243_131;}}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_340_39(obj_t ESCAPE_ENV_348_73,obj_t VAL_339_197)
#else
ESCAPE_340_39( ESCAPE_ENV_348_73, VAL_339_197 )
obj_t ESCAPE_ENV_348_73, VAL_339_197;
#endif
{

{obj_t PORT_227_34, HANDLER_229_4;
PORT_227_34=PROCEDURE_ENV_REF( ESCAPE_ENV_348_73, 1 );HANDLER_229_4=PROCEDURE_ENV_REF( ESCAPE_ENV_348_73, 2 );{__ContinueValue = VAL_339_197;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_348_73, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
PARSE_INCLUDE_DIRECTIVES_READ_INCLUDE_104(obj_t DIRECTIVES_251_185,obj_t SEXP_252_238)
#else
PARSE_INCLUDE_DIRECTIVES_READ_INCLUDE_104( DIRECTIVES_251_185, SEXP_252_238 )
obj_t DIRECTIVES_251_185, SEXP_252_238;
#endif
{

{obj_t DIR_254_89, IMPORT_255_20, INCLUDE_256_151, FOREIGN_257_142, EXPORT_258_193;
{
EXPORT_258_193=BNIL;
FOREIGN_257_142=BNIL;
INCLUDE_256_151=BNIL;
IMPORT_255_20=BNIL;
if( NULLP( DIRECTIVES_251_185 ))
DIR_254_89=BNIL;else
DIR_254_89=CDR( DIRECTIVES_251_185 );
{_LOOP_253_56:

if( NULLP( DIR_254_89 ))
{obj_t C_CONS_306_57;
{obj_t C_CONS_305_223;
{obj_t C_CONS_304_148;
{obj_t C_CONS_303_213;
C_CONS_303_213=MAKE_PAIR( EXPORT_258_193, BNIL );C_CONS_304_148=MAKE_PAIR( FOREIGN_257_142, C_CONS_303_213 );}C_CONS_305_223=MAKE_PAIR( SEXP_252_238, C_CONS_304_148 );}C_CONS_306_57=MAKE_PAIR( INCLUDE_256_151, C_CONS_305_223 );}return MAKE_PAIR( IMPORT_255_20, C_CONS_306_57 );}else
{obj_t R_259_209;
R_259_209=CAR( DIR_254_89 );{obj_t REST_269_75, REST_270_103, FILE_271_212, REST_272_12, REST_273_181;
if( PAIRP( R_259_209 ))
{obj_t CAR_129_267_24;
CAR_129_267_24=CAR( R_259_209 );{if( EQP( CAR_129_267_24, CNST_TABLE_REF( 12 ) ))
{_KAP_131_268_241:

{obj_t C_CDR_313_194;
C_CDR_313_194=CDR( R_259_209 );{
REST_269_75=C_CDR_313_194;
{
{obj_t C_CDR_312_185;
C_CDR_312_185=CDR( DIR_254_89 );{obj_t AUX_362_36;
AUX_362_36=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( REST_269_75, IMPORT_255_20 );{
IMPORT_255_20=AUX_362_36;
DIR_254_89=C_CDR_312_185;
goto _LOOP_253_56;
}}}}
}}}else
if( EQP( CAR_129_267_24, CNST_TABLE_REF( 13 ) ))
goto _KAP_131_268_241;else
if( EQP( CAR_129_267_24, CNST_TABLE_REF( 14 ) ))
{obj_t C_CDR_315_55;
C_CDR_315_55=CDR( R_259_209 );{
REST_270_103=C_CDR_315_55;
{
{
__ORDER_INIT_MODULES__ENGINE_PARAM_218=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( __ORDER_INIT_MODULES__ENGINE_PARAM_218, REST_270_103 );
{obj_t C_CDR_311_164;
C_CDR_311_164=CDR( DIR_254_89 );{
DIR_254_89=C_CDR_311_164;
goto _LOOP_253_56;
}}
}}
}}else
if( EQP( CAR_129_267_24, CNST_TABLE_REF( 15 ) ))
{obj_t C_CDR_317_134;
C_CDR_317_134=CDR( R_259_209 );{
FILE_271_212=C_CDR_317_134;
{
{obj_t C_CDR_310_29;
C_CDR_310_29=CDR( DIR_254_89 );{obj_t AUX_363_65;
AUX_363_65=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( FILE_271_212, INCLUDE_256_151 );{
INCLUDE_256_151=AUX_363_65;
DIR_254_89=C_CDR_310_29;
goto _LOOP_253_56;
}}}}
}}else
if( EQP( CAR_129_267_24, CNST_TABLE_REF( 16 ) ))
{obj_t C_CDR_319_245;
C_CDR_319_245=CDR( R_259_209 );{
REST_272_12=C_CDR_319_245;
{
{obj_t C_CDR_309_197;
C_CDR_309_197=CDR( DIR_254_89 );{obj_t AUX_364_30;
AUX_364_30=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( REST_272_12, FOREIGN_257_142 );{
FOREIGN_257_142=AUX_364_30;
DIR_254_89=C_CDR_309_197;
goto _LOOP_253_56;
}}}}
}}else
if( EQP( CAR_129_267_24, CNST_TABLE_REF( 17 ) ))
{obj_t C_CDR_321_166;
C_CDR_321_166=CDR( R_259_209 );{
REST_273_181=C_CDR_321_166;
{
{obj_t C_CDR_308_87;
C_CDR_308_87=CDR( DIR_254_89 );{obj_t AUX_365_7;
AUX_365_7=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( REST_273_181, EXPORT_258_193 );{
EXPORT_258_193=AUX_365_7;
DIR_254_89=C_CDR_308_87;
goto _LOOP_253_56;
}}}}
}}else
{_TAG_114_265_38:

FAILURE( CNST_TABLE_REF( 10 ), CNST_TABLE_REF( 11 ), R_259_209 );}}}else
goto _TAG_114_265_38;}}}
}}
}

