/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Read/inline.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __LOOK_FOR_INLINE_READ_INLINE_64(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __LOOK_FOR_INLINE_READ_INLINE_64();
#endif
obj_t LOOK_FOR_INLINE_ENV_READ_INLINE_65 = BUNSPEC;
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t string_append();
obj_t READ_INLINE_INITIALISATION_ENV_READ_INLINE_193 = BUNSPEC;
extern obj_t __GENV__VAR_ENV_215;
extern obj_t TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
extern obj_t FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t READ_INLINE_INITIALISATION_READ_INLINE_79();
#if defined( __STDC__ )
extern obj_t LOOK_FOR_INLINE_READ_INLINE_140(obj_t, obj_t, obj_t);
#else
extern obj_t LOOK_FOR_INLINE_READ_INLINE_140();
#endif
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 11 ] ;
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t WARNING___ERROR_212();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t FORCE_PROGN_TOOLS_PROGN_87();
static obj_t REQUIRE_INITIALISATION__READ_INLINE_161 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57();
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
extern obj_t __READ_INLINE_INITIALISATION_READ_INLINE_42(obj_t);
#else
extern obj_t __READ_INLINE_INITIALISATION_READ_INLINE_42();
#endif
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
READ_INLINE_INITIALISATION_READ_INLINE_79()
#else
READ_INLINE_INITIALISATION_READ_INLINE_79()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__READ_INLINE_161 ))
{
REQUIRE_INITIALISATION__READ_INLINE_161=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
TOOLS_PROGN_INITIALISATION_TOOLS_PROGN_179();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
VAR_ENV_INITIALISATION_VAR_ENV_78();
DECLARE_CNST_TABLE( __cnst[ 11 ]  );
{obj_t PORT_496_177;
{obj_t AUX_513_95;
AUX_513_95=c_constant_string_to_string( "DEFINE-INLINE #\"module-declaration\" #\"Can't find such inline definition -- \" #\"@\" #\"Can't find such inline definition\" #\"look-for-inline\" #\"@\" DONE #\"                 : \" #\"Je recherche dans: \" READ " );PORT_496_177=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_513_95 );}{obj_t OFFSET_497_138;
{
OFFSET_497_138=BINT( 10 );
{_LOOP_498_65:

if( LT_I( OFFSET_497_138, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_514_192;
AUX_514_192=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_496_177, BEOA );CNST_TABLE_SET( OFFSET_497_138, AUX_514_192 );}
{obj_t OFFSET_515_111;
OFFSET_515_111=OFFSET_497_138;{
OFFSET_497_138=SUB_I( OFFSET_515_111, BINT( 1 ) );
goto _LOOP_498_65;
}}
}}
}}}
{
READ_INLINE_INITIALISATION_ENV_READ_INLINE_193=make_fx_procedure( __READ_INLINE_INITIALISATION_READ_INLINE_42, 0, 0 );
LOOK_FOR_INLINE_ENV_READ_INLINE_65=make_fx_procedure( __LOOK_FOR_INLINE_READ_INLINE_64, 3, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__READ_INLINE_INITIALISATION_READ_INLINE_42(obj_t ENV_492_57)
#else
__READ_INLINE_INITIALISATION_READ_INLINE_42( ENV_492_57 )
obj_t ENV_492_57;
#endif
{

return READ_INLINE_INITIALISATION_READ_INLINE_79();
}

obj_t
#if defined( __STDC__ )
LOOK_FOR_INLINE_READ_INLINE_140(obj_t INLINES_365_171,obj_t PORT_366_234,obj_t MODULE_367_37)
#else
LOOK_FOR_INLINE_READ_INLINE_140( INLINES_365_171, PORT_366_234, MODULE_367_37 )
obj_t INLINES_365_171, PORT_366_234, MODULE_367_37;
#endif
{

{
{obj_t AUX_499_161;
{obj_t AUX_500_13;
AUX_500_13=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 0 ) );AUX_499_161=SATISFY__TOOLS_TRACE_72( AUX_500_13 );}if( BBOOL_TO_CBOOL( AUX_499_161 ))
{
{obj_t g1000_369_89;
{obj_t L_454_255;
{obj_t STRING_CAST_480_62;
STRING_CAST_480_62=CNST_TABLE_REF( 1 );{obj_t C_CONS_458_229;
{obj_t C_CONS_457_248;
{obj_t C_CONS_456_243;
{obj_t STRING_CAST_481_179;
STRING_CAST_481_179=CNST_TABLE_REF( 2 );{obj_t C_CONS_455_219;
C_CONS_455_219=MAKE_PAIR( INLINES_365_171, BNIL );C_CONS_456_243=MAKE_PAIR( STRING_CAST_481_179, C_CONS_455_219 );}}C_CONS_457_248=MAKE_PAIR( BCHAR( '\n' ), C_CONS_456_243 );}C_CONS_458_229=MAKE_PAIR( MODULE_367_37, C_CONS_457_248 );}L_454_255=MAKE_PAIR( STRING_CAST_480_62, C_CONS_458_229 );}}{
g1000_369_89=L_454_255;
{_g1001_368_140:

if( PAIRP( g1000_369_89 ))
{
{obj_t A_370_162;
A_370_162=CAR( g1000_369_89 );{obj_t VA_ARG_479_151;
VA_ARG_479_151=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_370_162, VA_ARG_479_151 );}}
{obj_t C_CDR_452_16;
C_CDR_452_16=CDR( g1000_369_89 );{
g1000_369_89=C_CDR_452_16;
goto _g1001_368_140;
}}
}else
BTRUE;}
}}}
{obj_t PORT_460_243;
PORT_460_243=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_460_243 );}
}else
BFALSE;}
if( NULLP( INLINES_365_171 ))
return CNST_TABLE_REF( 3 );else
{obj_t EXP_372_66, INLINES_373_135;
{
INLINES_373_135=INLINES_365_171;
EXP_372_66=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_366_234, BEOA );
{_LOOP_371_211:

if( NULLP( INLINES_373_135 ))
return CNST_TABLE_REF( 3 );else
if( EOF_OBJECTP( EXP_372_66 ))
{obj_t INLINES_375_31;
{
INLINES_375_31=INLINES_373_135;
{_LOOP_374_49:

{bool_t OBJ_493_4;
OBJ_493_4=NULLP( CDR( INLINES_375_31 ) );if( OBJ_493_4)
{obj_t OBJECT_463_70;
{obj_t SYMBOL_465_221;
SYMBOL_465_221=CAR( INLINES_375_31 );{obj_t STRING_CAST_482_246;
STRING_CAST_482_246=CNST_TABLE_REF( 4 );{obj_t AUX_503_187, AUX_501_32;
AUX_503_187=SYMBOL_TO_STRING( MODULE_367_37 );{obj_t AUX_502_199;
AUX_502_199=SYMBOL_TO_STRING( SYMBOL_465_221 );AUX_501_32=string_append( AUX_502_199, STRING_CAST_482_246 );}OBJECT_463_70=string_append( AUX_501_32, AUX_503_187 );}}}FAILURE( CNST_TABLE_REF( 5 ), CNST_TABLE_REF( 6 ), OBJECT_463_70 );}else
{
{obj_t VA_ARG_485_167;
{obj_t SYMBOL_466_252;
SYMBOL_466_252=CAR( INLINES_375_31 );{obj_t STRING_CAST_490_220;
STRING_CAST_490_220=CNST_TABLE_REF( 7 );{obj_t AUX_504_18;
{obj_t AUX_507_226, AUX_505_214;
AUX_507_226=SYMBOL_TO_STRING( MODULE_367_37 );{obj_t AUX_506_84;
AUX_506_84=SYMBOL_TO_STRING( SYMBOL_466_252 );AUX_505_214=string_append( AUX_506_84, STRING_CAST_490_220 );}AUX_504_18=string_append( AUX_505_214, AUX_507_226 );}VA_ARG_485_167=MAKE_PAIR( AUX_504_18, BNIL );}}}{obj_t VA_ARG_486_238;
{obj_t STRING_CAST_489_180;
STRING_CAST_489_180=CNST_TABLE_REF( 8 );VA_ARG_486_238=MAKE_PAIR( STRING_CAST_489_180, VA_ARG_485_167 );}{obj_t VA_ARG_487_157;
{obj_t STRING_CAST_488_205;
STRING_CAST_488_205=CNST_TABLE_REF( 9 );VA_ARG_487_157=MAKE_PAIR( STRING_CAST_488_205, VA_ARG_486_238 );}WARNING___ERROR_212( VA_ARG_487_157 );}}}
{obj_t C_CDR_467_41;
C_CDR_467_41=CDR( INLINES_375_31 );{
INLINES_375_31=C_CDR_467_41;
goto _LOOP_374_49;
}}
}}}
}}else
{obj_t NAME_381_193, ARGS_382_234, BODY_383_41;
if( PAIRP( EXP_372_66 ))
{obj_t CDR_111_379_104;
CDR_111_379_104=CDR( EXP_372_66 );{obj_t OBJ1_470_103;
OBJ1_470_103=CAR( EXP_372_66 );if( EQP( OBJ1_470_103, CNST_TABLE_REF( 10 ) ))
if( PAIRP( CDR_111_379_104 ))
{obj_t CAR_115_380_34;
CAR_115_380_34=CAR( CDR_111_379_104 );if( PAIRP( CAR_115_380_34 ))
{obj_t C_CAR_471_238;
C_CAR_471_238=CAR( CAR_115_380_34 );{obj_t C_CDR_472_50;
C_CDR_472_50=CDR( CAR_115_380_34 );{obj_t C_CDR_473_34;
C_CDR_473_34=CDR( CDR_111_379_104 );{
BODY_383_41=C_CDR_473_34;
ARGS_382_234=C_CDR_472_50;
NAME_381_193=C_CAR_471_238;
{
{obj_t AUX_511_35;
AUX_511_35=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( NAME_381_193, INLINES_373_135 );if( BBOOL_TO_CBOOL( AUX_511_35 ))
{obj_t GLOBAL_384_77;
GLOBAL_384_77=FIND_IN_GLOBAL_ENVIRONMENT_VAR_ENV_13( NAME_381_193, __GENV__VAR_ENV_215 );{obj_t FUNCTION_385_97;
FUNCTION_385_97=STRUCT_SLOT_REF( GLOBAL_384_77, BINT( 6 ) );{
{obj_t V_469_251;
V_469_251=FORCE_PROGN_TOOLS_PROGN_87( BODY_383_41 );STRUCT_SLOT_SET( FUNCTION_385_97, BINT( 4 ), V_469_251 );}
STRUCT_SLOT_SET( FUNCTION_385_97, BINT( 3 ), ARGS_382_234 );
{obj_t AUX_509_43, AUX_508_196;
AUX_509_43=REMQ____R4_PAIRS_AND_LISTS_6_3_57( NAME_381_193, INLINES_373_135 );AUX_508_196=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_366_234, BEOA );{
INLINES_373_135=AUX_509_43;
EXP_372_66=AUX_508_196;
goto _LOOP_371_211;
}}
}}}else
{obj_t AUX_510_206;
AUX_510_206=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_366_234, BEOA );{
EXP_372_66=AUX_510_206;
goto _LOOP_371_211;
}}}}
}}}}else
{_TAG_102_377_56:

{obj_t AUX_512_116;
AUX_512_116=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_366_234, BEOA );{
EXP_372_66=AUX_512_116;
goto _LOOP_371_211;
}}}}else
goto _TAG_102_377_56;else
goto _TAG_102_377_56;}}else
goto _TAG_102_377_56;}}
}}
}
}

obj_t
#if defined( __STDC__ )
__LOOK_FOR_INLINE_READ_INLINE_64(obj_t ENV_491_223,obj_t INLINES_365_171,obj_t PORT_366_234,obj_t MODULE_367_37)
#else
__LOOK_FOR_INLINE_READ_INLINE_64( ENV_491_223, INLINES_365_171, PORT_366_234, MODULE_367_37 )
obj_t ENV_491_223, INLINES_365_171, PORT_366_234, MODULE_367_37;
#endif
{

return LOOK_FOR_INLINE_READ_INLINE_140( INLINES_365_171, PORT_366_234, MODULE_367_37 );
}

