/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Read/src.c                                                        */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t READ_SRC_INITIALISATION_ENV_READ_SRC_35 = BUNSPEC;
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
extern obj_t __GENV__VAR_ENV_215;
extern obj_t bigloo_exit();
extern obj_t HELLO_WORLD_ENGINE_ENGINE_251();
extern obj_t MAKE_FOREIGN_EXPORTED_BODY__FOREIGN_EXPORT_211();
#if defined( __STDC__ )
extern obj_t __READ_SRC_INITIALISATION_READ_SRC_120(obj_t);
#else
extern obj_t __READ_SRC_INITIALISATION_READ_SRC_120();
#endif
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
extern obj_t input_port_display_error();
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
extern bool_t fexists();
extern obj_t FOREIGN_EXPORT_INITIALISATION_FOREIGN_EXPORT_245();
extern obj_t VAR_ENV_INITIALISATION_VAR_ENV_78();
extern obj_t READ_SRC_READ_SRC_249();
extern obj_t dump_lambda_stack();
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t current_error_port;
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
#if defined( __STDC__ )
extern obj_t __READ_SRC_READ_SRC_57(obj_t);
#else
extern obj_t __READ_SRC_READ_SRC_57();
#endif
extern obj_t PARSE_MODULE_PARSE_MODULE_80();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
static obj_t __cnst[ 10 ] ;
#if defined( __STDC__ )
static obj_t READ_FILE_READ_SRC_25(obj_t);
#else
static obj_t READ_FILE_READ_SRC_25();
#endif
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t PARSE_MODULE_INITIALISATION_PARSE_MODULE_211();
extern obj_t FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
extern obj_t __SRC__ENGINE_PARAM_53;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ_SRC_INITIALISATION_READ_SRC_206();
extern obj_t close_input_port();
extern obj_t READ___READER_198;
static obj_t PROCEDURE_0_READ_SRC_60 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__READ_SRC_255 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t PP_GLOBAL_ENVIRONMENT_VAR_ENV_198();
extern obj_t REMOVE_ERROR_HANDLER____ERROR_19();
extern obj_t ADD_ERROR_HANDLER____ERROR_27();
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t APPEND___R4_PAIRS_AND_LISTS_6_3_111();
extern obj_t NOTIFY_ERROR___ERROR_187();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
extern obj_t WHEN_TRACE_TOOLS_TRACE_59();
extern obj_t START_PARTIAL_ERROR_TOOLS_ERROR_175();
obj_t READ_SRC_ENV_READ_SRC_246 = BUNSPEC;
extern obj_t current_input_port;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t HANDLER_223_100();
static obj_t ESCAPE_230_95();
static obj_t ESCAPE_301_76();
static obj_t LAMBDA_0_1_235_209();

obj_t
#if defined( __STDC__ )
READ_SRC_INITIALISATION_READ_SRC_206()
#else
READ_SRC_INITIALISATION_READ_SRC_206()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__READ_SRC_255 ))
{
REQUIRE_INITIALISATION__READ_SRC_255=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
FOREIGN_EXPORT_INITIALISATION_FOREIGN_EXPORT_245();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
PARSE_MODULE_INITIALISATION_PARSE_MODULE_211();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
VAR_ENV_INITIALISATION_VAR_ENV_78();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
ENGINE_ENGINE_INITIALISATION_ENGINE_ENGINE_251();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 10 ]  );
{obj_t PORT_331_154;
{obj_t AUX_342_186;
AUX_342_186=c_constant_string_to_string( "#\"-------------------------------------------- \" #\"--------- Le corps Lu est ------------------ \" READ #\"==> Genv (parse-module): \" (ENV READ ) #\"Can't find such file\" #\"src-file->memory\" #\"Can't open such file\" #\"src-file->memory\" #\"Read\" " );PORT_331_154=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_342_186 );}{obj_t OFFSET_332_76;
{
OFFSET_332_76=BINT( 9 );
{_LOOP_333_93:

if( LT_I( OFFSET_332_76, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_343_67;
AUX_343_67=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_331_154, BEOA );CNST_TABLE_SET( OFFSET_332_76, AUX_343_67 );}
{obj_t OFFSET_344_213;
OFFSET_344_213=OFFSET_332_76;{
OFFSET_332_76=SUB_I( OFFSET_344_213, BINT( 1 ) );
goto _LOOP_333_93;
}}
}}
}}}
PROCEDURE_0_READ_SRC_60=make_fx_procedure( LAMBDA_0_1_235_209, 0, 0 );
{
READ_SRC_INITIALISATION_ENV_READ_SRC_35=make_fx_procedure( __READ_SRC_INITIALISATION_READ_SRC_120, 0, 0 );
READ_SRC_ENV_READ_SRC_246=make_fx_procedure( __READ_SRC_READ_SRC_57, 0, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__READ_SRC_INITIALISATION_READ_SRC_120(obj_t ENV_325_227)
#else
__READ_SRC_INITIALISATION_READ_SRC_120( ENV_325_227 )
obj_t ENV_325_227;
#endif
{

return READ_SRC_INITIALISATION_READ_SRC_206();
}

obj_t
#if defined( __STDC__ )
READ_SRC_READ_SRC_249()
#else
READ_SRC_READ_SRC_249()
#endif
{

{
{obj_t STRING_CAST_294_2;
STRING_CAST_294_2=CNST_TABLE_REF( 0 );START_PARTIAL_ERROR_TOOLS_ERROR_175( STRING_CAST_294_2 );}
{obj_t PORT_222_100;
{bool_t OBJ_326_173;
OBJ_326_173=STRINGP( __SRC__ENGINE_PARAM_53 );if( OBJ_326_173)
{obj_t NAME_252_200;
NAME_252_200=__SRC__ENGINE_PARAM_53;if( fexists( BSTRING_TO_CSTRING( NAME_252_200 ) ))
{obj_t PORT_241_248;
PORT_241_248=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( __SRC__ENGINE_PARAM_53, BNIL );if( INPUT_PORTP( PORT_241_248 ))
PORT_222_100=PORT_241_248;else
{obj_t OBJECT_257_226;
OBJECT_257_226=__SRC__ENGINE_PARAM_53;FAILURE( CNST_TABLE_REF( 1 ), CNST_TABLE_REF( 2 ), OBJECT_257_226 );}}else
{obj_t OBJECT_258_196;
OBJECT_258_196=__SRC__ENGINE_PARAM_53;FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), OBJECT_258_196 );}}else
PORT_222_100=current_input_port;}{obj_t HANDLER_ENV_322_13;
HANDLER_ENV_322_13=make_fx_procedure( HANDLER_223_100, 4, 1 );{
PROCEDURE_ENV_SET( HANDLER_ENV_322_13, 0, PORT_222_100 );
{obj_t MODULE_225_222, BODY_224_240;
MODULE_225_222=MAKE_CELL( BUNSPEC );BODY_224_240=MAKE_CELL( BUNSPEC );{
{obj_t HANDLER_226_34;
HANDLER_226_34=HANDLER_ENV_322_13;{obj_t LAMBDA_STACK_228_36;
LAMBDA_STACK_228_36=GET_LAMBDA_STACK();{obj_t RES_229_122;
RES_229_122=ESCAPE_230_95( HANDLER_226_34, PORT_222_100, BODY_224_240, MODULE_225_222 );{
SET_LAMBDA_STACK( LAMBDA_STACK_228_36 );
RES_229_122;
}}}}
{obj_t MODULE_BODY_234_15, EXPORT_BODY_233_5;
{obj_t AUX_340_28;
AUX_340_28=CELL_REF( MODULE_225_222 );MODULE_BODY_234_15=PARSE_MODULE_PARSE_MODULE_80( AUX_340_28 );}EXPORT_BODY_233_5=MAKE_FOREIGN_EXPORTED_BODY__FOREIGN_EXPORT_211();{
{obj_t VA_ARG_303_61;
{obj_t LAMBDA_0_1_ENV_314_35;
LAMBDA_0_1_ENV_314_35=PROCEDURE_0_READ_SRC_60;{obj_t A_FUNCTION_306_166;
A_FUNCTION_306_166=LAMBDA_0_1_ENV_314_35;VA_ARG_303_61=MAKE_PAIR( A_FUNCTION_306_166, BNIL );}}WHEN_TRACE_TOOLS_TRACE_59( CNST_TABLE_REF( 5 ), VA_ARG_303_61 );}
FAIL_IF_PARTIAL_ERROR_TOOLS_ERROR_227();
{obj_t VA_ARG_307_42;
VA_ARG_307_42=MAKE_PAIR( EXPORT_BODY_233_5, BNIL );{obj_t VA_ARG_308_240;
{obj_t AUX_341_210;
AUX_341_210=CELL_REF( BODY_224_240 );VA_ARG_308_240=MAKE_PAIR( AUX_341_210, VA_ARG_307_42 );}{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( MODULE_BODY_234_15, VA_ARG_308_240 );return APPEND___R4_PAIRS_AND_LISTS_6_3_111( VA_ARG_309_255 );}}}
}}
}}
}}}
}
}

obj_t
#if defined( __STDC__ )
__READ_SRC_READ_SRC_57(obj_t ENV_324_96)
#else
__READ_SRC_READ_SRC_57( ENV_324_96 )
obj_t ENV_324_96;
#endif
{

return READ_SRC_READ_SRC_249();
}

static obj_t
#if defined( __STDC__ )
HANDLER_223_100(obj_t HANDLER_ENV_323_32,obj_t ESCAPE_237_192,obj_t PROC_238_205,obj_t MES_239_112,obj_t OBJ_240_1)
#else
HANDLER_223_100( HANDLER_ENV_323_32, ESCAPE_237_192, PROC_238_205, MES_239_112, OBJ_240_1 )
obj_t HANDLER_ENV_323_32, ESCAPE_237_192, PROC_238_205, MES_239_112, OBJ_240_1;
#endif
{

{obj_t PORT_222_100;
PORT_222_100=PROCEDURE_ENV_REF( HANDLER_ENV_323_32, 0 );{
HELLO_WORLD_ENGINE_ENGINE_251();
NOTIFY_ERROR___ERROR_187( PROC_238_205, MES_239_112, OBJ_240_1 );
{obj_t DEPTH_262_182;
DEPTH_262_182=BNIL;{long DEPTH_330_118;
DEPTH_330_118=10;dump_lambda_stack( current_error_port, DEPTH_330_118 );}}
{obj_t OP_273_243;
OP_273_243=current_error_port;input_port_display_error( PORT_222_100, OP_273_243 );}
close_input_port( PORT_222_100 );
return bigloo_exit( BINT( -3 ) );
}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_230_95(obj_t HANDLER_318_180,obj_t PORT_319_126,obj_t BODY_320_181,obj_t MODULE_321_66)
#else
ESCAPE_230_95( HANDLER_318_180, PORT_319_126, BODY_320_181, MODULE_321_66 )
obj_t HANDLER_318_180, PORT_319_126, BODY_320_181, MODULE_321_66;
#endif
{

{obj_t ESCAPE_CONT_313_140;
jmp_buf JMP_BUF_337_107;{if( SETJMP( (JMP_BUF *)JMP_BUF_337_107 ) )return __ContinueValue;
else
ESCAPE_CONT_313_140=((obj_t)JMP_BUF_337_107);}{{obj_t ESCAPE_ENV_316_219;
ESCAPE_ENV_316_219=make_fx_procedure( ESCAPE_301_76, 1, 5 );{
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 4, HANDLER_318_180 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 3, PORT_319_126 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 2, BODY_320_181 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 1, MODULE_321_66 );
PROCEDURE_ENV_SET( ESCAPE_ENV_316_219, 0, ESCAPE_CONT_313_140 );
{
{obj_t A_FUNCTION_302_175;
A_FUNCTION_302_175=ESCAPE_ENV_316_219;ADD_ERROR_HANDLER____ERROR_27( HANDLER_318_180, A_FUNCTION_302_175 );}
{obj_t RES_231_206;
{
{
{obj_t AUX_338_183;
AUX_338_183=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_319_126, BEOA );CELL_SET( MODULE_321_66, AUX_338_183 );}
{obj_t AUX_339_167;
AUX_339_167=READ_FILE_READ_SRC_25( PORT_319_126 );RES_231_206=CELL_SET( BODY_320_181, AUX_339_167 );}
}}{
REMOVE_ERROR_HANDLER____ERROR_19();
return RES_231_206;
}}
}
}}}}
}

static obj_t
#if defined( __STDC__ )
ESCAPE_301_76(obj_t ESCAPE_ENV_317_10,obj_t VAL_300_234)
#else
ESCAPE_301_76( ESCAPE_ENV_317_10, VAL_300_234 )
obj_t ESCAPE_ENV_317_10, VAL_300_234;
#endif
{

{obj_t MODULE_225_222, BODY_224_240, PORT_222_100, HANDLER_226_34;
MODULE_225_222=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 1 );BODY_224_240=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 2 );PORT_222_100=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 3 );HANDLER_226_34=PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 4 );{__ContinueValue = VAL_300_234;LONGJMP( (JMP_BUF *)PROCEDURE_ENV_REF( ESCAPE_ENV_317_10, 0 ), (JMP_VAL)1 );}}
}

static obj_t
#if defined( __STDC__ )
LAMBDA_0_1_235_209(obj_t LAMBDA_0_1_ENV_315_206)
#else
LAMBDA_0_1_235_209( LAMBDA_0_1_ENV_315_206 )
obj_t LAMBDA_0_1_ENV_315_206;
#endif
{

{
{obj_t VA_ARG_304_93;
{obj_t STRING_CAST_305_215;
STRING_CAST_305_215=CNST_TABLE_REF( 6 );VA_ARG_304_93=MAKE_PAIR( STRING_CAST_305_215, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( __TRACE_PORT__TOOLS_TRACE_74, VA_ARG_304_93 );}
return PP_GLOBAL_ENVIRONMENT_VAR_ENV_198( __TRACE_PORT__TOOLS_TRACE_74, __GENV__VAR_ENV_215 );
}
}

static obj_t
#if defined( __STDC__ )
READ_FILE_READ_SRC_25(obj_t PORT_242_10)
#else
READ_FILE_READ_SRC_25( PORT_242_10 )
obj_t PORT_242_10;
#endif
{

{obj_t R_244_108, ACC_245_26;
{
ACC_245_26=BNIL;
R_244_108=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_242_10, BEOA );
{_LOOP_243_100:

if( EOF_OBJECTP( R_244_108 ))
{
ACC_245_26=REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_245_26 );
{obj_t AUX_334_22;
{obj_t AUX_335_58;
AUX_335_58=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 7 ) );AUX_334_22=SATISFY__TOOLS_TRACE_72( AUX_335_58 );}if( BBOOL_TO_CBOOL( AUX_334_22 ))
{
{obj_t g1000_247_118;
{obj_t L_282_247;
{obj_t STRING_CAST_311_21;
STRING_CAST_311_21=CNST_TABLE_REF( 8 );{obj_t C_CONS_287_224;
{obj_t C_CONS_286_212;
{obj_t C_CONS_285_94;
{obj_t C_CONS_284_220;
{obj_t STRING_CAST_312_112;
STRING_CAST_312_112=CNST_TABLE_REF( 9 );{obj_t C_CONS_283_196;
C_CONS_283_196=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_284_220=MAKE_PAIR( STRING_CAST_312_112, C_CONS_283_196 );}}C_CONS_285_94=MAKE_PAIR( BCHAR( '\n' ), C_CONS_284_220 );}C_CONS_286_212=MAKE_PAIR( ACC_245_26, C_CONS_285_94 );}C_CONS_287_224=MAKE_PAIR( BCHAR( '\n' ), C_CONS_286_212 );}L_282_247=MAKE_PAIR( STRING_CAST_311_21, C_CONS_287_224 );}}{
g1000_247_118=L_282_247;
{_g1001_246_221:

if( PAIRP( g1000_247_118 ))
{
{obj_t A_248_68;
A_248_68=CAR( g1000_247_118 );{obj_t VA_ARG_310_42;
VA_ARG_310_42=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_248_68, VA_ARG_310_42 );}}
{obj_t C_CDR_280_190;
C_CDR_280_190=CDR( g1000_247_118 );{
g1000_247_118=C_CDR_280_190;
goto _g1001_246_221;
}}
}else
BTRUE;}
}}}
{obj_t PORT_289_197;
PORT_289_197=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_289_197 );}
}else
BFALSE;}
return ACC_245_26;
}else
{obj_t OBJ2_292_213;
OBJ2_292_213=ACC_245_26;{obj_t C_CONS_293_106;
C_CONS_293_106=MAKE_PAIR( R_244_108, OBJ2_292_213 );{obj_t AUX_336_75;
AUX_336_75=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_242_10, BEOA );{
ACC_245_26=C_CONS_293_106;
R_244_108=AUX_336_75;
goto _LOOP_243_100;
}}}}}
}}
}

