/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Stack/alloc.c                                                     */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t DEFINE_TYPE_FOREIGN_TOOLS_21();
obj_t STACK_REFERENCE_ENV_STACK_ALLOC_104 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t LIST_REF___R4_PAIRS_AND_LISTS_6_3_197();
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
#if defined( __STDC__ )
extern obj_t HEAP__STACK__STACK_ALLOC_86(obj_t, obj_t);
#else
extern obj_t HEAP__STACK__STACK_ALLOC_86();
#endif
#if defined( __STDC__ )
extern obj_t __HEAP_ALLOCATION__STACK_ALLOC_222(obj_t, obj_t);
#else
extern obj_t __HEAP_ALLOCATION__STACK_ALLOC_222();
#endif
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#if defined( __STDC__ )
static obj_t HEAP__STACK_FIXED_LENGTH__STACK_ALLOC_15(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t HEAP__STACK_FIXED_LENGTH__STACK_ALLOC_15();
#endif
#if defined( __STDC__ )
extern obj_t __STACK_ALLOC_INITIALISATION_STACK_ALLOC_174(obj_t);
#else
extern obj_t __STACK_ALLOC_INITIALISATION_STACK_ALLOC_174();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
static obj_t __cnst[ 10 ] ;
extern obj_t __MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220;
extern obj_t GET_TYPE_FOREIGN_TOOLS_48();
#if defined( __STDC__ )
extern obj_t STACK_REFERENCE_STACK_ALLOC_14(obj_t);
#else
extern obj_t STACK_REFERENCE_STACK_ALLOC_14();
#endif
extern obj_t ABSTRACT_CINT__BINT__HEAP_ABSTRACT_128();
extern obj_t READ___READER_198;
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157();
obj_t STACK_ALLOC_INITIALISATION_ENV_STACK_ALLOC_44 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ALLOC_SIZE_STACK_ALLOC_74(obj_t, obj_t);
#else
static obj_t ALLOC_SIZE_STACK_ALLOC_74();
#endif
obj_t HEAP__STACK__ENV_STACK_ALLOC_23 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__STACK_ALLOC_245 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STACK_REFERENCE_STACK_ALLOC_57(obj_t, obj_t);
#else
extern obj_t __STACK_REFERENCE_STACK_ALLOC_57();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t TYPE_EXISTS__FOREIGN_TOOLS_103();
#if defined( __STDC__ )
extern obj_t __HEAP__STACK__STACK_ALLOC_114(obj_t, obj_t, obj_t);
#else
extern obj_t __HEAP__STACK__STACK_ALLOC_114();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#if defined( __STDC__ )
extern obj_t HEAP_ALLOCATION__STACK_ALLOC_75(obj_t);
#else
extern obj_t HEAP_ALLOCATION__STACK_ALLOC_75();
#endif
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
obj_t HEAP_ALLOCATION__ENV_STACK_ALLOC_87 = BUNSPEC;
extern obj_t STACK_ALLOC_INITIALISATION_STACK_ALLOC_162();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
STACK_ALLOC_INITIALISATION_STACK_ALLOC_162()
#else
STACK_ALLOC_INITIALISATION_STACK_ALLOC_162()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__STACK_ALLOC_245 ))
{
REQUIRE_INITIALISATION__STACK_ALLOC_245=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
FOREIGN_TOOLS_INITIALISATION_FOREIGN_TOOLS_73();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 10 ]  );
{obj_t PORT_663_168;
{obj_t AUX_686_27;
AUX_686_27=c_constant_string_to_string( "CAST STACK-TYPE #\"_t( \" #\" )\" FIXED-LENGTH #\"Illegal pragma\" #\"heap-allocation?\" _ALLOCATER_ FOREIGN GLOBAL " );PORT_663_168=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_686_27 );}{obj_t OFFSET_664_57;
{
OFFSET_664_57=BINT( 9 );
{_LOOP_665_224:

if( LT_I( OFFSET_664_57, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_687_233;
AUX_687_233=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_663_168, BEOA );CNST_TABLE_SET( OFFSET_664_57, AUX_687_233 );}
{obj_t OFFSET_688_11;
OFFSET_688_11=OFFSET_664_57;{
OFFSET_664_57=SUB_I( OFFSET_688_11, BINT( 1 ) );
goto _LOOP_665_224;
}}
}}
}}}
{
STACK_ALLOC_INITIALISATION_ENV_STACK_ALLOC_44=make_fx_procedure( __STACK_ALLOC_INITIALISATION_STACK_ALLOC_174, 0, 0 );
HEAP_ALLOCATION__ENV_STACK_ALLOC_87=make_fx_procedure( __HEAP_ALLOCATION__STACK_ALLOC_222, 1, 0 );
HEAP__STACK__ENV_STACK_ALLOC_23=make_fx_procedure( __HEAP__STACK__STACK_ALLOC_114, 2, 0 );
STACK_REFERENCE_ENV_STACK_ALLOC_104=make_fx_procedure( __STACK_REFERENCE_STACK_ALLOC_57, 1, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__STACK_ALLOC_INITIALISATION_STACK_ALLOC_174(obj_t ENV_645_47)
#else
__STACK_ALLOC_INITIALISATION_STACK_ALLOC_174( ENV_645_47 )
obj_t ENV_645_47;
#endif
{

return STACK_ALLOC_INITIALISATION_STACK_ALLOC_162();
}

static obj_t
#if defined( __STDC__ )
ALLOC_SIZE_STACK_ALLOC_74(obj_t EXP_401_50,obj_t ALLOC_INFO_402_132)
#else
ALLOC_SIZE_STACK_ALLOC_74( EXP_401_50, ALLOC_INFO_402_132 )
obj_t EXP_401_50, ALLOC_INFO_402_132;
#endif
{

{obj_t SLOT_403_79;
SLOT_403_79=VECTOR_REF( ALLOC_INFO_402_132, BINT( 3 ) );{obj_t ARG_404_171;
{obj_t C_CDR_524_248;
C_CDR_524_248=CDR( EXP_401_50 );ARG_404_171=LIST_REF___R4_PAIRS_AND_LISTS_6_3_197( C_CDR_524_248, SLOT_403_79 );}{obj_t FUN_409_16, ARG_410_121;
if( PAIRP( ARG_404_171 ))
{obj_t CDR_109_408_6;
CDR_109_408_6=CDR( ARG_404_171 );if( PAIRP( CDR_109_408_6 ))
{obj_t OBJ2_528_245;
OBJ2_528_245=BNIL;{obj_t OBJ1_527_73;
OBJ1_527_73=CDR( CDR_109_408_6 );if( EQP( OBJ1_527_73, OBJ2_528_245 ))
{obj_t C_CAR_529_167;
C_CAR_529_167=CAR( ARG_404_171 );{obj_t C_CAR_530_32;
C_CAR_530_32=CAR( CDR_109_408_6 );{
ARG_410_121=C_CAR_530_32;
FUN_409_16=C_CAR_529_167;
{
{obj_t AUX_685_51;
AUX_685_51=ABSTRACT_CINT__BINT__HEAP_ABSTRACT_128( FUN_409_16 );if( BBOOL_TO_CBOOL( AUX_685_51 ))
return ARG_410_121;else
return BFALSE;}}
}}}else
{_TAG_102_406_31:

if( INTEGERP( ARG_404_171 ))
return ARG_404_171;else
return BFALSE;}}}else
goto _TAG_102_406_31;}else
goto _TAG_102_406_31;}}}
}

obj_t
#if defined( __STDC__ )
HEAP_ALLOCATION__STACK_ALLOC_75(obj_t EXP_411_134)
#else
HEAP_ALLOCATION__STACK_ALLOC_75( EXP_411_134 )
obj_t EXP_411_134;
#endif
{

if( PAIRP( EXP_411_134 ))
{bool_t __ortest_1003_650_104;
{obj_t AUX_675_215;
{bool_t OBJ_649_50;
{obj_t AUX_676_162;
{obj_t O_533_246;
O_533_246=CAR( EXP_411_134 );if( STRUCTP( O_533_246 ))
AUX_676_162=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( O_533_246 ), CNST_TABLE_REF( 0 ) ) );else
AUX_676_162=BFALSE;}OBJ_649_50=BBOOL_TO_CBOOL( AUX_676_162 );}if( OBJ_649_50)
AUX_675_215=BFALSE;else
AUX_675_215=BTRUE;}__ortest_1003_650_104=BBOOL_TO_CBOOL( AUX_675_215 );}{if( __ortest_1003_650_104)
goto _true_0;else
{bool_t OBJ_651_189;
{obj_t AUX_677_53;
{obj_t OBJ1_536_87;
{obj_t S_537_172;
S_537_172=CAR( EXP_411_134 );OBJ1_536_87=STRUCT_SLOT_REF( S_537_172, BINT( 4 ) );}AUX_677_53=CBOOL_TO_BBOOL( EQP( OBJ1_536_87, CNST_TABLE_REF( 1 ) ) );}OBJ_651_189=BBOOL_TO_CBOOL( AUX_677_53 );}if( OBJ_651_189)
goto _false_1;else
goto _true_0;}_true_0:
return BFALSE;_false_1:
{obj_t CELL_413_104;
{obj_t S_539_12;
S_539_12=CAR( EXP_411_134 );{obj_t C_STRUCT_REF_540_169;
C_STRUCT_REF_540_169=STRUCT_SLOT_REF( S_539_12, BINT( 7 ) );CELL_413_104=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CNST_TABLE_REF( 2 ), C_STRUCT_REF_540_169 );}}if( PAIRP( CELL_413_104 ))
{bool_t __ortest_1001_655_59;
{obj_t AUX_678_246;
{bool_t OBJ_654_16;
{obj_t AUX_679_114;
{bool_t OBJ_653_33;
OBJ_653_33=PAIRP( CDR( CELL_413_104 ) );AUX_679_114=CBOOL_TO_BBOOL( OBJ_653_33 );}OBJ_654_16=BBOOL_TO_CBOOL( AUX_679_114 );}if( OBJ_654_16)
AUX_678_246=BFALSE;else
AUX_678_246=BTRUE;}__ortest_1001_655_59=BBOOL_TO_CBOOL( AUX_678_246 );}{if( __ortest_1001_655_59)
goto _true_3;else
{bool_t __ortest_1002_658_95;
{obj_t AUX_680_125;
{bool_t OBJ_657_150;
{obj_t AUX_681_118;
{bool_t OBJ_656_26;
{obj_t AUX_682_138;
{obj_t PAIR_547_220;
PAIR_547_220=CDR( CELL_413_104 );AUX_682_138=CAR( PAIR_547_220 );}OBJ_656_26=VECTORP( AUX_682_138 );}AUX_681_118=CBOOL_TO_BBOOL( OBJ_656_26 );}OBJ_657_150=BBOOL_TO_CBOOL( AUX_681_118 );}if( OBJ_657_150)
AUX_680_125=BFALSE;else
AUX_680_125=BTRUE;}__ortest_1002_658_95=BBOOL_TO_CBOOL( AUX_680_125 );}if( __ortest_1002_658_95)
goto _true_3;else
{bool_t OBJ_660_148;
{obj_t AUX_683_170;
{obj_t N1_551_50;
{obj_t VECTOR_659_206;
{obj_t AUX_684_140;
{obj_t PAIR_554_96;
PAIR_554_96=CDR( CELL_413_104 );AUX_684_140=CAR( PAIR_554_96 );}VECTOR_659_206=VECTOR_LENGTH( AUX_684_140 );}N1_551_50=VECTOR_659_206;}AUX_683_170=CBOOL_TO_BBOOL( EQ_I( N1_551_50, BINT( 4 ) ) );}OBJ_660_148=BBOOL_TO_CBOOL( AUX_683_170 );}if( OBJ_660_148)
goto _false_4;else
goto _true_3;}}_true_3:
{obj_t OBJECT_555_210;
{obj_t S_556_98;
S_556_98=CAR( EXP_411_134 );OBJECT_555_210=STRUCT_SLOT_REF( S_556_98, BINT( 7 ) );}FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), OBJECT_555_210 );}_false_4:
{obj_t ALLOC_INFO_416_146;
{obj_t PAIR_558_47;
PAIR_558_47=CDR( CELL_413_104 );ALLOC_INFO_416_146=CAR( PAIR_558_47 );}{obj_t OBJ1_559_233;
OBJ1_559_233=VECTOR_REF( ALLOC_INFO_416_146, BINT( 3 ) );if( EQP( OBJ1_559_233, CNST_TABLE_REF( 5 ) ))
return BTRUE;else
{obj_t ALLOC_SIZE_417_0;
ALLOC_SIZE_417_0=ALLOC_SIZE_STACK_ALLOC_74( EXP_411_134, ALLOC_INFO_416_146 );if( INTEGERP( ALLOC_SIZE_417_0 ))
{obj_t N2_562_120;
N2_562_120=__MAX_STACK_ALLOCATION_SIZE__ENGINE_PARAM_220;return CBOOL_TO_BBOOL( LT_I( ALLOC_SIZE_417_0, N2_562_120 ) );}else
return BFALSE;}}};
}}else
return BFALSE;};
}}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__HEAP_ALLOCATION__STACK_ALLOC_222(obj_t ENV_644_109,obj_t EXP_411_134)
#else
__HEAP_ALLOCATION__STACK_ALLOC_222( ENV_644_109, EXP_411_134 )
obj_t ENV_644_109, EXP_411_134;
#endif
{

return HEAP_ALLOCATION__STACK_ALLOC_75( EXP_411_134 );
}

obj_t
#if defined( __STDC__ )
HEAP__STACK__STACK_ALLOC_86(obj_t LOCAL_419_221,obj_t EXP_420_31)
#else
HEAP__STACK__STACK_ALLOC_86( LOCAL_419_221, EXP_420_31 )
obj_t LOCAL_419_221, EXP_420_31;
#endif
{

{obj_t FUN_421_149;
FUN_421_149=CAR( EXP_420_31 );{obj_t ALLOCATER_PROP_422_210;
{obj_t PAIR_563_230;
{obj_t C_STRUCT_REF_565_125;
C_STRUCT_REF_565_125=STRUCT_SLOT_REF( FUN_421_149, BINT( 7 ) );PAIR_563_230=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CNST_TABLE_REF( 2 ), C_STRUCT_REF_565_125 );}{obj_t PAIR_564_114;
PAIR_564_114=CDR( PAIR_563_230 );ALLOCATER_PROP_422_210=CAR( PAIR_564_114 );}}{obj_t STACK_INIT_423_20;
{obj_t PAIR_566_179;
{obj_t C_VECTOR_REF_567_240;
C_VECTOR_REF_567_240=VECTOR_REF( ALLOCATER_PROP_422_210, BINT( 0 ) );PAIR_566_179=ABSTRACT_HEAP_ABSTRACT_235( C_VECTOR_REF_567_240, BNIL );}STACK_INIT_423_20=CAR( PAIR_566_179 );}{obj_t STACK_TYPE_NAME_424_185;
STACK_TYPE_NAME_424_185=VECTOR_REF( ALLOCATER_PROP_422_210, BINT( 1 ) );{obj_t REFERENCE_425_125;
{obj_t PAIR_568_215;
{obj_t C_VECTOR_REF_569_155;
C_VECTOR_REF_569_155=VECTOR_REF( ALLOCATER_PROP_422_210, BINT( 2 ) );PAIR_568_215=ABSTRACT_HEAP_ABSTRACT_235( C_VECTOR_REF_569_155, BNIL );}REFERENCE_425_125=CAR( PAIR_568_215 );}{obj_t OBJ1_570_12;
OBJ1_570_12=VECTOR_REF( ALLOCATER_PROP_422_210, BINT( 3 ) );if( EQP( OBJ1_570_12, CNST_TABLE_REF( 5 ) ))
return HEAP__STACK_FIXED_LENGTH__STACK_ALLOC_15( LOCAL_419_221, EXP_420_31, REFERENCE_425_125, STACK_INIT_423_20, STACK_TYPE_NAME_424_185 );else
{obj_t ALLOCATION_SIZE_571_45;
ALLOCATION_SIZE_571_45=ALLOC_SIZE_STACK_ALLOC_74( EXP_420_31, ALLOCATER_PROP_422_210 );{obj_t C_TYPE_NAME_572_52;
{obj_t VA_ARG_618_110;
{obj_t STRING_CAST_623_234;
STRING_CAST_623_234=CNST_TABLE_REF( 6 );VA_ARG_618_110=MAKE_PAIR( STRING_CAST_623_234, BNIL );}{obj_t VA_ARG_619_25;
{obj_t AUX_670_47;
AUX_670_47=NUMBER__STRING___R4_NUMBERS_6_5_157( ALLOCATION_SIZE_571_45, BNIL );VA_ARG_619_25=MAKE_PAIR( AUX_670_47, VA_ARG_618_110 );}{obj_t VA_ARG_620_145;
{obj_t STRING_CAST_622_169;
STRING_CAST_622_169=CNST_TABLE_REF( 7 );VA_ARG_620_145=MAKE_PAIR( STRING_CAST_622_169, VA_ARG_619_25 );}{obj_t VA_ARG_621_16;
VA_ARG_621_16=MAKE_PAIR( STACK_TYPE_NAME_424_185, VA_ARG_620_145 );C_TYPE_NAME_572_52=STRING_APPEND___R4_STRINGS_6_7_103( VA_ARG_621_16 );}}}}{obj_t SCHEME_TYPE_NAME_573_227;
SCHEME_TYPE_NAME_573_227=c_string_to_symbol( BSTRING_TO_CSTRING( C_TYPE_NAME_572_52 ) );{obj_t SCHEME_TYPE_574_54;
{obj_t AUX_671_109;
AUX_671_109=TYPE_EXISTS__FOREIGN_TOOLS_103( SCHEME_TYPE_NAME_573_227 );if( BBOOL_TO_CBOOL( AUX_671_109 ))
SCHEME_TYPE_574_54=GET_TYPE_FOREIGN_TOOLS_48( SCHEME_TYPE_NAME_573_227 );else
SCHEME_TYPE_574_54=DEFINE_TYPE_FOREIGN_TOOLS_21( SCHEME_TYPE_NAME_573_227, C_TYPE_NAME_572_52, CNST_TABLE_REF( 8 ), SCHEME_TYPE_NAME_573_227 );}{
{obj_t S_576_9;
S_576_9=STRUCT_SLOT_REF( LOCAL_419_221, BINT( 4 ) );STRUCT_SLOT_SET( S_576_9, BINT( 5 ), REFERENCE_425_125 );}
{obj_t S_578_106;
S_578_106=STRUCT_SLOT_REF( LOCAL_419_221, BINT( 4 ) );STRUCT_SLOT_SET( S_578_106, BINT( 4 ), BTRUE );}
SET_CAR( EXP_420_31, CNST_TABLE_REF( 9 ) );
{obj_t OBJ_584_196;
{obj_t VA_ARG_624_189;
VA_ARG_624_189=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_625_8;
{obj_t VA_ARG_626_33;
{obj_t C_CDR_585_155;
C_CDR_585_155=CDR( EXP_420_31 );{obj_t AUX_672_205;
{obj_t AUX_673_180;
AUX_673_180=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_672_205=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_585_155, AUX_673_180 );}VA_ARG_626_33=MAKE_PAIR( AUX_672_205, BNIL );}}{obj_t VA_ARG_627_4;
VA_ARG_627_4=MAKE_PAIR( LOCAL_419_221, VA_ARG_626_33 );{obj_t AUX_674_160;
AUX_674_160=CONS____R4_PAIRS_AND_LISTS_6_3_28( STACK_INIT_423_20, VA_ARG_627_4 );VA_ARG_625_8=MAKE_PAIR( AUX_674_160, VA_ARG_624_189 );}}}OBJ_584_196=CONS____R4_PAIRS_AND_LISTS_6_3_28( SCHEME_TYPE_574_54, VA_ARG_625_8 );}}return SET_CDR( EXP_420_31, OBJ_584_196 );}
}}}}}}}}}}}
}

obj_t
#if defined( __STDC__ )
__HEAP__STACK__STACK_ALLOC_114(obj_t ENV_643_162,obj_t LOCAL_419_221,obj_t EXP_420_31)
#else
__HEAP__STACK__STACK_ALLOC_114( ENV_643_162, LOCAL_419_221, EXP_420_31 )
obj_t ENV_643_162, LOCAL_419_221, EXP_420_31;
#endif
{

return HEAP__STACK__STACK_ALLOC_86( LOCAL_419_221, EXP_420_31 );
}

static obj_t
#if defined( __STDC__ )
HEAP__STACK_FIXED_LENGTH__STACK_ALLOC_15(obj_t LOCAL_426_153,obj_t EXP_427_0,obj_t REFERENCE_428_119,obj_t STACK_INIT_429_151,obj_t TYPE_430_234)
#else
HEAP__STACK_FIXED_LENGTH__STACK_ALLOC_15( LOCAL_426_153, EXP_427_0, REFERENCE_428_119, STACK_INIT_429_151, TYPE_430_234 )
obj_t LOCAL_426_153, EXP_427_0, REFERENCE_428_119, STACK_INIT_429_151, TYPE_430_234;
#endif
{

{
{obj_t S_586_178;
S_586_178=STRUCT_SLOT_REF( LOCAL_426_153, BINT( 4 ) );STRUCT_SLOT_SET( S_586_178, BINT( 5 ), REFERENCE_428_119 );}
{obj_t S_588_54;
S_588_54=STRUCT_SLOT_REF( LOCAL_426_153, BINT( 4 ) );STRUCT_SLOT_SET( S_588_54, BINT( 4 ), BTRUE );}
if( SYMBOLP( TYPE_430_234 ))
{
SET_CAR( EXP_427_0, STACK_INIT_429_151 );
{obj_t OBJ_591_228;
{obj_t OBJ2_594_228;
OBJ2_594_228=CDR( EXP_427_0 );OBJ_591_228=MAKE_PAIR( LOCAL_426_153, OBJ2_594_228 );}return SET_CDR( EXP_427_0, OBJ_591_228 );}
}else
{obj_t SCHEME_TYPE_NAME_431_116;
SCHEME_TYPE_NAME_431_116=c_string_to_symbol( BSTRING_TO_CSTRING( TYPE_430_234 ) );{obj_t SCHEME_TYPE_433_76;
{obj_t AUX_666_207;
AUX_666_207=TYPE_EXISTS__FOREIGN_TOOLS_103( SCHEME_TYPE_NAME_431_116 );if( BBOOL_TO_CBOOL( AUX_666_207 ))
SCHEME_TYPE_433_76=GET_TYPE_FOREIGN_TOOLS_48( SCHEME_TYPE_NAME_431_116 );else
SCHEME_TYPE_433_76=DEFINE_TYPE_FOREIGN_TOOLS_21( SCHEME_TYPE_NAME_431_116, TYPE_430_234, CNST_TABLE_REF( 8 ), SCHEME_TYPE_NAME_431_116 );}{
SET_CAR( EXP_427_0, CNST_TABLE_REF( 9 ) );
{obj_t OBJ_595_139;
{obj_t VA_ARG_628_34;
VA_ARG_628_34=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_629_50;
{obj_t VA_ARG_630_8;
{obj_t C_CDR_596_214;
C_CDR_596_214=CDR( EXP_427_0 );{obj_t AUX_667_225;
{obj_t AUX_668_17;
AUX_668_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_667_225=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_596_214, AUX_668_17 );}VA_ARG_630_8=MAKE_PAIR( AUX_667_225, BNIL );}}{obj_t VA_ARG_631_189;
VA_ARG_631_189=MAKE_PAIR( LOCAL_426_153, VA_ARG_630_8 );{obj_t AUX_669_127;
AUX_669_127=CONS____R4_PAIRS_AND_LISTS_6_3_28( STACK_INIT_429_151, VA_ARG_631_189 );VA_ARG_629_50=MAKE_PAIR( AUX_669_127, VA_ARG_628_34 );}}}OBJ_595_139=CONS____R4_PAIRS_AND_LISTS_6_3_28( SCHEME_TYPE_433_76, VA_ARG_629_50 );}}return SET_CDR( EXP_427_0, OBJ_595_139 );}
}}}
}
}

obj_t
#if defined( __STDC__ )
STACK_REFERENCE_STACK_ALLOC_14(obj_t LOCAL_443_206)
#else
STACK_REFERENCE_STACK_ALLOC_14( LOCAL_443_206 )
obj_t LOCAL_443_206;
#endif
{

{obj_t OBJ2_604_101;
{obj_t OBJ2_609_139;
OBJ2_609_139=BNIL;OBJ2_604_101=MAKE_PAIR( LOCAL_443_206, OBJ2_609_139 );}{obj_t OBJ1_603_95;
{obj_t S_606_184;
S_606_184=STRUCT_SLOT_REF( LOCAL_443_206, BINT( 4 ) );OBJ1_603_95=STRUCT_SLOT_REF( S_606_184, BINT( 5 ) );}return MAKE_PAIR( OBJ1_603_95, OBJ2_604_101 );}}
}

obj_t
#if defined( __STDC__ )
__STACK_REFERENCE_STACK_ALLOC_57(obj_t ENV_642_53,obj_t LOCAL_443_206)
#else
__STACK_REFERENCE_STACK_ALLOC_57( ENV_642_53, LOCAL_443_206 )
obj_t ENV_642_53, LOCAL_443_206;
#endif
{

return STACK_REFERENCE_STACK_ALLOC_14( LOCAL_443_206 );
}

