/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Stack/expression.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
static obj_t STACK_EXPRESSION___STACK_EXPRESSION_115(obj_t, obj_t, obj_t);
#else
static obj_t STACK_EXPRESSION___STACK_EXPRESSION_115();
#endif
extern obj_t TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
obj_t RESET_STACK_STATISTICS__ENV_STACK_EXPRESSION_42 = BUNSPEC;
extern obj_t HEAP__STACK__STACK_ALLOC_86();
extern obj_t make_struct();
static obj_t __NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217 = BUNSPEC;
obj_t STACK_EXPRESSION__ENV_STACK_EXPRESSION_82 = BUNSPEC;
extern obj_t DISPLAY___R4_OUTPUT_6_10_3_107();
#if defined( __STDC__ )
extern obj_t __RESET_STACK_STATISTICS__STACK_EXPRESSION_214(obj_t);
#else
extern obj_t __RESET_STACK_STATISTICS__STACK_EXPRESSION_214();
#endif
obj_t DEFAULT_S_PROPERTY_ENV_STACK_EXPRESSION_172 = BUNSPEC;
extern obj_t SHAPE_TOOLS_SHAPE_229();
#if defined( __STDC__ )
static obj_t TRACE_STACKABLE_STACK_EXPRESSION_105(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t TRACE_STACKABLE_STACK_EXPRESSION_105();
#endif
extern obj_t IS_THE_TEMPORARY_A_RESULT__STACK_RESULT_22();
#if defined( __STDC__ )
extern obj_t __STACK_EXPRESSION__STACK_EXPRESSION_13(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STACK_EXPRESSION__STACK_EXPRESSION_13();
#endif
extern obj_t __TRACE_PORT__TOOLS_TRACE_74;
static obj_t __cnst[ 33 ] ;
#if defined( __STDC__ )
extern obj_t __TRACE_STACK_STATISTICS_STACK_EXPRESSION_48(obj_t);
#else
extern obj_t __TRACE_STACK_STATISTICS_STACK_EXPRESSION_48();
#endif
extern obj_t SATISFY__TOOLS_TRACE_72();
extern obj_t TRACE_STACK_STATISTICS_STACK_EXPRESSION_51();
extern obj_t STACK_REFERENCE_STACK_ALLOC_14();
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
extern obj_t READ___READER_198;
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
extern obj_t STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_219();
static obj_t REQUIRE_INITIALISATION__STACK_EXPRESSION_92 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t DEFAULT_S_PROPERTY_STACK_EXPRESSION_132();
obj_t TRACE_STACK_STATISTICS_ENV_STACK_EXPRESSION_210 = BUNSPEC;
obj_t STACK_EXPRESSION_INITIALISATION_ENV_STACK_EXPRESSION_56 = BUNSPEC;
extern obj_t RESET_STACK_STATISTICS__STACK_EXPRESSION_55();
extern obj_t c_constant_string_to_string();
static obj_t __NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140 = BUNSPEC;
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t STACKABLE__STACK_EXPRESSION_59(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t STACKABLE__STACK_EXPRESSION_59();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __DEFAULT_S_PROPERTY_STACK_EXPRESSION_252(obj_t);
#else
extern obj_t __DEFAULT_S_PROPERTY_STACK_EXPRESSION_252();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
extern obj_t HEAP_ALLOCATION__STACK_ALLOC_75();
extern obj_t STACK_RESULT_INITIALISATION_STACK_RESULT_132();
extern obj_t TRACE_MASK_VALUE_TOOLS_TRACE_242();
#if defined( __STDC__ )
extern obj_t __STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_198(obj_t);
#else
extern obj_t __STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_198();
#endif
#if defined( __STDC__ )
extern obj_t STACK_EXPRESSION__STACK_EXPRESSION_235(obj_t, obj_t, obj_t);
#else
extern obj_t STACK_EXPRESSION__STACK_EXPRESSION_235();
#endif
extern obj_t STACK_ALLOC_INITIALISATION_STACK_ALLOC_162();
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();


obj_t
#if defined( __STDC__ )
STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_219()
#else
STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_219()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__STACK_EXPRESSION_92 ))
{
REQUIRE_INITIALISATION__STACK_EXPRESSION_92=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
TOOLS_TRACE_INITIALISATION_TOOLS_TRACE_181();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
STACK_RESULT_INITIALISATION_STACK_RESULT_132();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
STACK_ALLOC_INITIALISATION_STACK_ALLOC_162();
DECLARE_CNST_TABLE( __cnst[ 33 ]  );
{obj_t PORT_769_121;
{obj_t AUX_797_12;
AUX_797_12=c_constant_string_to_string( "#\"-----------------------------------------------------------\" #\"stack allocations (after the optimization) : \" #\"Heap Allocations (before the optimization) : \" #\"-----------------------------------------------------------\" #\"                 *** stack statistics ***\" #\"===========================================================\" STACK #\"--------------------------------\" #\"result ?    : \" #\"read-only?  : \" #\"--------------------------------\" #\"stackable?  : \" #\"--------------------------------\" (STACK LOOP ) WRITE FUNCTION LOCAL (APPLY FUNCALL FUNCALL-LIGHT FUNCALL-MEDIUM ) (BLOCK RETURN-FROM ) LABELS LET TYPED-CASE FAILURE CAST PRAGMA (FUNCTION FUNCTION-EXTRA-LIGHT FUNCTION-LIGHT ) SET! CIF BEGIN QUOTE #\"stack-expression!: \" (STACK LOOP ) S-PROPERTY " );PORT_769_121=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_797_12 );}{obj_t OFFSET_770_229;
{
OFFSET_770_229=BINT( 32 );
{_LOOP_771_39:

if( LT_I( OFFSET_770_229, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_798_144;
AUX_798_144=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_769_121, BEOA );CNST_TABLE_SET( OFFSET_770_229, AUX_798_144 );}
{obj_t OFFSET_799_52;
OFFSET_799_52=OFFSET_770_229;{
OFFSET_770_229=SUB_I( OFFSET_799_52, BINT( 1 ) );
goto _LOOP_771_39;
}}
}}
}}}
{
STACK_EXPRESSION_INITIALISATION_ENV_STACK_EXPRESSION_56=make_fx_procedure( __STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_198, 0, 0 );
RESET_STACK_STATISTICS__ENV_STACK_EXPRESSION_42=make_fx_procedure( __RESET_STACK_STATISTICS__STACK_EXPRESSION_214, 0, 0 );
DEFAULT_S_PROPERTY_ENV_STACK_EXPRESSION_172=make_fx_procedure( __DEFAULT_S_PROPERTY_STACK_EXPRESSION_252, 0, 0 );
STACK_EXPRESSION__ENV_STACK_EXPRESSION_82=make_fx_procedure( __STACK_EXPRESSION__STACK_EXPRESSION_13, 3, 0 );
TRACE_STACK_STATISTICS_ENV_STACK_EXPRESSION_210=make_fx_procedure( __TRACE_STACK_STATISTICS_STACK_EXPRESSION_48, 0, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
__NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217=BNIL;
__NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_198(obj_t ENV_755_29)
#else
__STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_198( ENV_755_29 )
obj_t ENV_755_29;
#endif
{

return STACK_EXPRESSION_INITIALISATION_STACK_EXPRESSION_219();
}

obj_t
#if defined( __STDC__ )
RESET_STACK_STATISTICS__STACK_EXPRESSION_55()
#else
RESET_STACK_STATISTICS__STACK_EXPRESSION_55()
#endif
{

{
__NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217=BNIL;
__NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140=BNIL;
}
}

obj_t
#if defined( __STDC__ )
__RESET_STACK_STATISTICS__STACK_EXPRESSION_214(obj_t ENV_754_164)
#else
__RESET_STACK_STATISTICS__STACK_EXPRESSION_214( ENV_754_164 )
obj_t ENV_754_164;
#endif
{

return RESET_STACK_STATISTICS__STACK_EXPRESSION_55();
}

obj_t
#if defined( __STDC__ )
DEFAULT_S_PROPERTY_STACK_EXPRESSION_132()
#else
DEFAULT_S_PROPERTY_STACK_EXPRESSION_132()
#endif
{

{obj_t PROP_400_238;
{obj_t INIT_531_126;
INIT_531_126=BNIL;{obj_t INIT_532_171;
INIT_532_171=BNIL;PROP_400_238=make_struct( CNST_TABLE_REF( 0 ), BINT( 8 ), INIT_532_171 );}}{
{obj_t V_534_17;
V_534_17=BUNSPEC;STRUCT_SLOT_SET( PROP_400_238, BINT( 0 ), V_534_17 );}
{obj_t V_535_127;
V_535_127=BNIL;STRUCT_SLOT_SET( PROP_400_238, BINT( 1 ), V_535_127 );}
{obj_t V_536_92;
V_536_92=BUNSPEC;STRUCT_SLOT_SET( PROP_400_238, BINT( 2 ), V_536_92 );}
{obj_t V_537_91;
V_537_91=BNIL;STRUCT_SLOT_SET( PROP_400_238, BINT( 3 ), V_537_91 );}
STRUCT_SLOT_SET( PROP_400_238, BINT( 4 ), BFALSE );
{obj_t V_538_151;
V_538_151=BUNSPEC;STRUCT_SLOT_SET( PROP_400_238, BINT( 5 ), V_538_151 );}
{obj_t V_539_251;
V_539_251=BUNSPEC;STRUCT_SLOT_SET( PROP_400_238, BINT( 6 ), V_539_251 );}
{obj_t V_540_22;
V_540_22=BUNSPEC;STRUCT_SLOT_SET( PROP_400_238, BINT( 7 ), V_540_22 );}
return PROP_400_238;
}}
}

obj_t
#if defined( __STDC__ )
__DEFAULT_S_PROPERTY_STACK_EXPRESSION_252(obj_t ENV_753_105)
#else
__DEFAULT_S_PROPERTY_STACK_EXPRESSION_252( ENV_753_105 )
obj_t ENV_753_105;
#endif
{

return DEFAULT_S_PROPERTY_STACK_EXPRESSION_132();
}

obj_t
#if defined( __STDC__ )
STACK_EXPRESSION__STACK_EXPRESSION_235(obj_t EXP_401_50,obj_t TAIL__402_137,obj_t DEPTH_403_111)
#else
STACK_EXPRESSION__STACK_EXPRESSION_235( EXP_401_50, TAIL__402_137, DEPTH_403_111 )
obj_t EXP_401_50, TAIL__402_137, DEPTH_403_111;
#endif
{

{
{obj_t AUX_788_148;
{obj_t AUX_789_223;
AUX_789_223=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 1 ) );AUX_788_148=SATISFY__TOOLS_TRACE_72( AUX_789_223 );}if( BBOOL_TO_CBOOL( AUX_788_148 ))
{
{obj_t g1000_405_3;
{obj_t L_544_182;
{obj_t STRING_CAST_736_5;
STRING_CAST_736_5=CNST_TABLE_REF( 2 );{obj_t C_CONS_546_163;
{obj_t C_CONS_545_235;
C_CONS_545_235=MAKE_PAIR( BCHAR( '\n' ), BNIL );{obj_t AUX_787_115;
AUX_787_115=SHAPE_TOOLS_SHAPE_229( EXP_401_50 );C_CONS_546_163=MAKE_PAIR( AUX_787_115, C_CONS_545_235 );}}L_544_182=MAKE_PAIR( STRING_CAST_736_5, C_CONS_546_163 );}}{
g1000_405_3=L_544_182;
{_g1001_404_24:

if( PAIRP( g1000_405_3 ))
{
{obj_t A_406_100;
A_406_100=CAR( g1000_405_3 );{obj_t VA_ARG_735_208;
VA_ARG_735_208=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_406_100, VA_ARG_735_208 );}}
{obj_t C_CDR_542_128;
C_CDR_542_128=CDR( g1000_405_3 );{
g1000_405_3=C_CDR_542_128;
goto _g1001_404_24;
}}
}else
BTRUE;}
}}}
{obj_t PORT_548_59;
PORT_548_59=__TRACE_PORT__TOOLS_TRACE_74;FLUSH_OUTPUT_PORT( PORT_548_59 );}
}else
BFALSE;}
if( PAIRP( EXP_401_50 ))
{obj_t CASE_VALUE_409_101;
CASE_VALUE_409_101=CAR( EXP_401_50 );if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 3 ) ))
return EXP_401_50;else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 4 ) ))
{
{obj_t C_CDR_549_198;
C_CDR_549_198=CDR( EXP_401_50 );STACK_EXPRESSION___STACK_EXPRESSION_115( C_CDR_549_198, TAIL__402_137, DEPTH_403_111 );}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 5 ) ))
{
{obj_t OBJ_553_191;
{obj_t PAIR_555_227;
PAIR_555_227=CDR( EXP_401_50 );{obj_t C_CAR_556_115;
C_CAR_556_115=CAR( PAIR_555_227 );OBJ_553_191=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_556_115, BFALSE, DEPTH_403_111 );}}{obj_t PAIR_552_62;
PAIR_552_62=CDR( EXP_401_50 );SET_CAR( PAIR_552_62, OBJ_553_191 );}}
{obj_t OBJ_558_126;
{obj_t PAIR_562_142;
{obj_t PAIR_564_114;
PAIR_564_114=CDR( EXP_401_50 );PAIR_562_142=CDR( PAIR_564_114 );}{obj_t C_CAR_563_169;
C_CAR_563_169=CAR( PAIR_562_142 );OBJ_558_126=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_563_169, TAIL__402_137, DEPTH_403_111 );}}{obj_t PAIR_557_142;
{obj_t PAIR_560_227;
PAIR_560_227=CDR( EXP_401_50 );PAIR_557_142=CDR( PAIR_560_227 );}SET_CAR( PAIR_557_142, OBJ_558_126 );}}
{obj_t OBJ_566_18;
{obj_t PAIR_571_85;
{obj_t PAIR_573_237;
{obj_t PAIR_574_250;
PAIR_574_250=CDR( EXP_401_50 );PAIR_573_237=CDR( PAIR_574_250 );}PAIR_571_85=CDR( PAIR_573_237 );}{obj_t C_CAR_572_36;
C_CAR_572_36=CAR( PAIR_571_85 );OBJ_566_18=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_572_36, TAIL__402_137, DEPTH_403_111 );}}{obj_t PAIR_565_246;
{obj_t PAIR_568_215;
{obj_t PAIR_569_160;
PAIR_569_160=CDR( EXP_401_50 );PAIR_568_215=CDR( PAIR_569_160 );}PAIR_565_246=CDR( PAIR_568_215 );}SET_CAR( PAIR_565_246, OBJ_566_18 );}}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 6 ) ))
{
{obj_t OBJ_576_161;
{obj_t PAIR_578_35;
{obj_t PAIR_580_208;
PAIR_580_208=CDR( EXP_401_50 );PAIR_578_35=CDR( PAIR_580_208 );}{obj_t C_CAR_579_169;
C_CAR_579_169=CAR( PAIR_578_35 );OBJ_576_161=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_579_169, BFALSE, DEPTH_403_111 );}}{obj_t PAIR_575_154;
{obj_t PAIR_577_88;
PAIR_577_88=CDR( EXP_401_50 );PAIR_575_154=CDR( PAIR_577_88 );}SET_CAR( PAIR_575_154, OBJ_576_161 );}}
return EXP_401_50;
}else
{obj_t AUX_793_22;
AUX_793_22=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_409_101, CNST_TABLE_REF( 7 ) );if( BBOOL_TO_CBOOL( AUX_793_22 ))
return EXP_401_50;else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 8 ) ))
{
{obj_t C_CDR_581_3;
C_CDR_581_3=CDR( EXP_401_50 );STACK_EXPRESSION___STACK_EXPRESSION_115( C_CDR_581_3, BFALSE, DEPTH_403_111 );}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 9 ) ))
{
{obj_t OBJ_583_220;
{obj_t PAIR_585_64;
{obj_t PAIR_587_72;
PAIR_587_72=CDR( EXP_401_50 );PAIR_585_64=CDR( PAIR_587_72 );}{obj_t C_CAR_586_185;
C_CAR_586_185=CAR( PAIR_585_64 );OBJ_583_220=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_586_185, TAIL__402_137, DEPTH_403_111 );}}{obj_t PAIR_582_130;
{obj_t PAIR_584_121;
PAIR_584_121=CDR( EXP_401_50 );PAIR_582_130=CDR( PAIR_584_121 );}SET_CAR( PAIR_582_130, OBJ_583_220 );}}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 10 ) ))
{
{obj_t C_CDR_588_102;
C_CDR_588_102=CDR( EXP_401_50 );STACK_EXPRESSION___STACK_EXPRESSION_115( C_CDR_588_102, BFALSE, DEPTH_403_111 );}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 11 ) ))
{
{obj_t OBJ_590_137;
{obj_t PAIR_592_209;
{obj_t PAIR_594_131;
PAIR_594_131=CDR( EXP_401_50 );PAIR_592_209=CDR( PAIR_594_131 );}{obj_t C_CAR_593_24;
C_CAR_593_24=CAR( PAIR_592_209 );OBJ_590_137=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_593_24, BFALSE, DEPTH_403_111 );}}{obj_t PAIR_589_164;
{obj_t PAIR_591_203;
PAIR_591_203=CDR( EXP_401_50 );PAIR_589_164=CDR( PAIR_591_203 );}SET_CAR( PAIR_589_164, OBJ_590_137 );}}
{obj_t g1006_411_194;
{obj_t PAIR_600_202;
{obj_t PAIR_602_90;
PAIR_602_90=CDR( EXP_401_50 );PAIR_600_202=CDR( PAIR_602_90 );}{obj_t C_CDR_601_93;
C_CDR_601_93=CDR( PAIR_600_202 );{
g1006_411_194=C_CDR_601_93;
{_g1007_410_105:

if( PAIRP( g1006_411_194 ))
{
{obj_t CLAUSE_412_244;
CLAUSE_412_244=CAR( g1006_411_194 );{obj_t OBJ_596_108;
{obj_t PAIR_597_123;
PAIR_597_123=CDR( CLAUSE_412_244 );{obj_t C_CAR_598_225;
C_CAR_598_225=CAR( PAIR_597_123 );OBJ_596_108=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_598_225, TAIL__402_137, DEPTH_403_111 );}}{obj_t PAIR_595_152;
PAIR_595_152=CDR( CLAUSE_412_244 );SET_CAR( PAIR_595_152, OBJ_596_108 );}}}
{obj_t C_CDR_599_247;
C_CDR_599_247=CDR( g1006_411_194 );{
g1006_411_194=C_CDR_599_247;
goto _g1007_410_105;
}}
}else
BTRUE;}
}}}}
return EXP_401_50;
}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 12 ) ))
{obj_t BODY_413_117;
{obj_t PAIR_603_129;
{obj_t PAIR_604_71;
PAIR_604_71=CDR( EXP_401_50 );PAIR_603_129=CDR( PAIR_604_71 );}BODY_413_117=CAR( PAIR_603_129 );}{obj_t BINDINGS_415_18;
{obj_t PAIR_637_152;
PAIR_637_152=CDR( EXP_401_50 );{obj_t C_CAR_638_114;
C_CAR_638_114=CAR( PAIR_637_152 );{
BINDINGS_415_18=C_CAR_638_114;
{_LOOP_414_214:

if( NULLP( BINDINGS_415_18 ))
{
{obj_t OBJ_606_85;
OBJ_606_85=STACK_EXPRESSION__STACK_EXPRESSION_235( BODY_413_117, TAIL__402_137, ADD_I_PTAG( DEPTH_403_111, PSUB_TAG( 1 ) ) );{obj_t PAIR_605_231;
{obj_t PAIR_607_19;
PAIR_607_19=CDR( EXP_401_50 );PAIR_605_231=CDR( PAIR_607_19 );}SET_CAR( PAIR_605_231, OBJ_606_85 );}}
return EXP_401_50;
}else
{obj_t BINDING_416_203;
BINDING_416_203=CAR( BINDINGS_415_18 );{obj_t LOCAL_417_85;
LOCAL_417_85=CAR( BINDING_416_203 );{obj_t VALUE_418_226;
{obj_t PAIR_611_91;
PAIR_611_91=CDR( BINDING_416_203 );VALUE_418_226=CAR( PAIR_611_91 );}{
{obj_t O_612_105;
O_612_105=STRUCT_SLOT_REF( LOCAL_417_85, BINT( 4 ) );{if( STRUCTP( O_612_105 ))
if( EQP( STRUCT_KEY( O_612_105 ), CNST_TABLE_REF( 0 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{BFALSE;
goto _endif_2;}_false_1:
{
{obj_t V_615_151;
V_615_151=DEFAULT_S_PROPERTY_STACK_EXPRESSION_132();STRUCT_SLOT_SET( LOCAL_417_85, BINT( 4 ), V_615_151 );}
{obj_t S_616_203;
S_616_203=STRUCT_SLOT_REF( LOCAL_417_85, BINT( 4 ) );STRUCT_SLOT_SET( S_616_203, BINT( 0 ), DEPTH_403_111 );}
{obj_t S_618_222;
S_618_222=STRUCT_SLOT_REF( LOCAL_417_85, BINT( 4 ) );STRUCT_SLOT_SET( S_618_222, BINT( 6 ), EXP_401_50 );}
{obj_t S_620_226;
S_620_226=STRUCT_SLOT_REF( LOCAL_417_85, BINT( 4 ) );STRUCT_SLOT_SET( S_620_226, BINT( 7 ), TAIL__402_137 );}
}_endif_2:
;
}}
{obj_t OBJ_623_144;
OBJ_623_144=STACK_EXPRESSION__STACK_EXPRESSION_235( VALUE_418_226, BFALSE, ADD_I_PTAG( DEPTH_403_111, PSUB_TAG( 1 ) ) );{obj_t PAIR_622_227;
PAIR_622_227=CDR( BINDING_416_203 );SET_CAR( PAIR_622_227, OBJ_623_144 );}}
{obj_t AUX_790_78;
AUX_790_78=STACKABLE__STACK_EXPRESSION_59( LOCAL_417_85, VALUE_418_226, EXP_401_50, BODY_413_117, TAIL__402_137, DEPTH_403_111 );if( BBOOL_TO_CBOOL( AUX_790_78 ))
{obj_t FUN_419_72;
FUN_419_72=CAR( VALUE_418_226 );{obj_t CELL_420_9;
CELL_420_9=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( FUN_419_72, __NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140 );{
if( PAIRP( CELL_420_9 ))
{obj_t OBJ_627_157;
{obj_t R_630_21;
R_630_21=CDR( CELL_420_9 );OBJ_627_157=ADD_I_PTAG( PSUB_TAG( 1 ), R_630_21 );}SET_CDR( CELL_420_9, OBJ_627_157 );}else
{obj_t OBJ2_635_68;
OBJ2_635_68=__NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140;{obj_t OBJ1_634_25;
OBJ1_634_25=MAKE_PAIR( FUN_419_72, BINT( 1 ) );__NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140=MAKE_PAIR( OBJ1_634_25, OBJ2_635_68 );}}
HEAP__STACK__STACK_ALLOC_86( LOCAL_417_85, VALUE_418_226 );
}}}else
BFALSE;}
{obj_t C_CDR_636_31;
C_CDR_636_31=CDR( BINDINGS_415_18 );{
BINDINGS_415_18=C_CDR_636_31;
goto _LOOP_414_214;
}}
}}}}}
}}}}}else
if( EQP( CASE_VALUE_409_101, CNST_TABLE_REF( 13 ) ))
{
{obj_t g1002_422_137;
{obj_t PAIR_654_133;
PAIR_654_133=CDR( EXP_401_50 );{obj_t C_CAR_655_172;
C_CAR_655_172=CAR( PAIR_654_133 );{
g1002_422_137=C_CAR_655_172;
{_g1003_421_229:

if( PAIRP( g1002_422_137 ))
{
{obj_t BINDING_423_18;
BINDING_423_18=CAR( g1002_422_137 );{obj_t FUNCTION_424_78;
{obj_t S_639_240;
S_639_240=CAR( BINDING_423_18 );FUNCTION_424_78=STRUCT_SLOT_REF( S_639_240, BINT( 3 ) );}{
{obj_t g1004_426_148;
{obj_t C_STRUCT_REF_648_235;
C_STRUCT_REF_648_235=STRUCT_SLOT_REF( FUNCTION_424_78, BINT( 3 ) );{
g1004_426_148=C_STRUCT_REF_648_235;
{_g1005_425_58:

if( PAIRP( g1004_426_148 ))
{
{obj_t ARG_427_218;
ARG_427_218=CAR( g1004_426_148 );{
{obj_t O_641_234;
O_641_234=STRUCT_SLOT_REF( ARG_427_218, BINT( 4 ) );{if( STRUCTP( O_641_234 ))
if( EQP( STRUCT_KEY( O_641_234 ), CNST_TABLE_REF( 0 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{BFALSE;
goto _endif_5;}_false_4:
{obj_t V_644_222;
V_644_222=DEFAULT_S_PROPERTY_STACK_EXPRESSION_132();STRUCT_SLOT_SET( ARG_427_218, BINT( 4 ), V_644_222 );}_endif_5:
;
}}
{obj_t S_645_96;
S_645_96=STRUCT_SLOT_REF( ARG_427_218, BINT( 4 ) );STRUCT_SLOT_SET( S_645_96, BINT( 0 ), DEPTH_403_111 );}
}}
{obj_t C_CDR_647_249;
C_CDR_647_249=CDR( g1004_426_148 );{
g1004_426_148=C_CDR_647_249;
goto _g1005_425_58;
}}
}else
BTRUE;}
}}}
{obj_t NEW_BODY_428_230;
{obj_t C_STRUCT_REF_649_222;
C_STRUCT_REF_649_222=STRUCT_SLOT_REF( FUNCTION_424_78, BINT( 4 ) );NEW_BODY_428_230=STACK_EXPRESSION__STACK_EXPRESSION_235( C_STRUCT_REF_649_222, BTRUE, ADD_I_PTAG( DEPTH_403_111, PSUB_TAG( 1 ) ) );}{
{obj_t PAIR_651_237;
{obj_t PAIR_652_178;
PAIR_652_178=CDR( BINDING_423_18 );PAIR_651_237=CDR( PAIR_652_178 );}SET_CAR( PAIR_651_237, NEW_BODY_428_230 );}
STRUCT_SLOT_SET( FUNCTION_424_78, BINT( 4 ), NEW_BODY_428_230 );
}}
}}}
{obj_t C_CDR_653_209;
C_CDR_653_209=CDR( g1002_422_137 );{
g1002_422_137=C_CDR_653_209;
goto _g1003_421_229;
}}
}else
BTRUE;}
}}}}
{obj_t OBJ_657_150;
{obj_t PAIR_659_116;
{obj_t PAIR_661_176;
PAIR_661_176=CDR( EXP_401_50 );PAIR_659_116=CDR( PAIR_661_176 );}{obj_t C_CAR_660_58;
C_CAR_660_58=CAR( PAIR_659_116 );OBJ_657_150=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_660_58, TAIL__402_137, ADD_I_PTAG( DEPTH_403_111, PSUB_TAG( 1 ) ) );}}{obj_t PAIR_656_250;
{obj_t PAIR_658_95;
PAIR_658_95=CDR( EXP_401_50 );PAIR_656_250=CDR( PAIR_658_95 );}SET_CAR( PAIR_656_250, OBJ_657_150 );}}
return EXP_401_50;
}else
{obj_t AUX_792_58;
AUX_792_58=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_409_101, CNST_TABLE_REF( 14 ) );if( BBOOL_TO_CBOOL( AUX_792_58 ))
{
{obj_t OBJ_664_104;
{obj_t PAIR_666_83;
{obj_t PAIR_668_241;
PAIR_668_241=CDR( EXP_401_50 );PAIR_666_83=CDR( PAIR_668_241 );}{obj_t C_CAR_667_103;
C_CAR_667_103=CAR( PAIR_666_83 );OBJ_664_104=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_667_103, BFALSE, DEPTH_403_111 );}}{obj_t PAIR_663_141;
{obj_t PAIR_665_60;
PAIR_665_60=CDR( EXP_401_50 );PAIR_663_141=CDR( PAIR_665_60 );}SET_CAR( PAIR_663_141, OBJ_664_104 );}}
return EXP_401_50;
}else
{obj_t AUX_791_75;
AUX_791_75=MEMQ___R4_PAIRS_AND_LISTS_6_3_141( CASE_VALUE_409_101, CNST_TABLE_REF( 15 ) );if( BBOOL_TO_CBOOL( AUX_791_75 ))
{
{obj_t C_CDR_669_76;
C_CDR_669_76=CDR( EXP_401_50 );STACK_EXPRESSION___STACK_EXPRESSION_115( C_CDR_669_76, TAIL__402_137, DEPTH_403_111 );}
return EXP_401_50;
}else
{
{obj_t C_CDR_670_73;
C_CDR_670_73=CDR( EXP_401_50 );STACK_EXPRESSION___STACK_EXPRESSION_115( C_CDR_670_73, TAIL__402_137, DEPTH_403_111 );}
return EXP_401_50;
}}}}}else
{bool_t __andtest_1008_759_21;
{obj_t AUX_794_70;
if( STRUCTP( EXP_401_50 ))
AUX_794_70=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( EXP_401_50 ), CNST_TABLE_REF( 16 ) ) );else
AUX_794_70=BFALSE;__andtest_1008_759_21=BBOOL_TO_CBOOL( AUX_794_70 );}{if( __andtest_1008_759_21)
{bool_t __andtest_1009_761_228;
{obj_t AUX_795_103;
{bool_t OBJ_760_11;
{obj_t AUX_796_181;
{obj_t OBJ1_674_193;
OBJ1_674_193=STRUCT_SLOT_REF( EXP_401_50, BINT( 2 ) );AUX_796_181=CBOOL_TO_BBOOL( EQP( OBJ1_674_193, CNST_TABLE_REF( 17 ) ) );}OBJ_760_11=BBOOL_TO_CBOOL( AUX_796_181 );}if( OBJ_760_11)
AUX_795_103=BFALSE;else
AUX_795_103=BTRUE;}__andtest_1009_761_228=BBOOL_TO_CBOOL( AUX_795_103 );}if( __andtest_1009_761_228)
{obj_t S_676_242;
S_676_242=STRUCT_SLOT_REF( EXP_401_50, BINT( 4 ) );{bool_t C_STRUCT_REF_762_59;
C_STRUCT_REF_762_59=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_676_242, BINT( 4 ) ) );if( C_STRUCT_REF_762_59)
goto _true_6;else
goto _false_7;}}else
goto _false_7;}else
goto _false_7;_true_6:
return STACK_REFERENCE_STACK_ALLOC_14( EXP_401_50 );_false_7:
return EXP_401_50;;
}}
}
}

obj_t
#if defined( __STDC__ )
__STACK_EXPRESSION__STACK_EXPRESSION_13(obj_t ENV_752_134,obj_t EXP_401_50,obj_t TAIL__402_137,obj_t DEPTH_403_111)
#else
__STACK_EXPRESSION__STACK_EXPRESSION_13( ENV_752_134, EXP_401_50, TAIL__402_137, DEPTH_403_111 )
obj_t ENV_752_134, EXP_401_50, TAIL__402_137, DEPTH_403_111;
#endif
{

return STACK_EXPRESSION__STACK_EXPRESSION_235( EXP_401_50, TAIL__402_137, DEPTH_403_111 );
}

static obj_t
#if defined( __STDC__ )
STACK_EXPRESSION___STACK_EXPRESSION_115(obj_t EXP_429_69,obj_t TAIL__430_231,obj_t DEPTH_431_173)
#else
STACK_EXPRESSION___STACK_EXPRESSION_115( EXP_429_69, TAIL__430_231, DEPTH_431_173 )
obj_t EXP_429_69, TAIL__430_231, DEPTH_431_173;
#endif
{

{obj_t EXPS_433_122;
{
EXPS_433_122=EXP_429_69;
{_LOOP_432_37:

if( NULLP( EXPS_433_122 ))
return EXP_429_69;else
{
{obj_t OBJ_679_25;
{obj_t C_CAR_680_220;
C_CAR_680_220=CAR( EXPS_433_122 );{obj_t AUX_786_48;
if( BBOOL_TO_CBOOL( TAIL__430_231 ))
{bool_t OBJ_763_5;
OBJ_763_5=NULLP( CDR( EXPS_433_122 ) );AUX_786_48=CBOOL_TO_BBOOL( OBJ_763_5 );}else
AUX_786_48=BFALSE;OBJ_679_25=STACK_EXPRESSION__STACK_EXPRESSION_235( C_CAR_680_220, AUX_786_48, DEPTH_431_173 );}}SET_CAR( EXPS_433_122, OBJ_679_25 );}
{obj_t C_CDR_682_158;
C_CDR_682_158=CDR( EXPS_433_122 );{
EXPS_433_122=C_CDR_682_158;
goto _LOOP_432_37;
}}
}}
}}
}

static obj_t
#if defined( __STDC__ )
STACKABLE__STACK_EXPRESSION_59(obj_t LOCAL_434_202,obj_t VALUE_435_189,obj_t EXP_436_15,obj_t BODY_437_5,obj_t TAIL__438_153,obj_t DEPTH_439_177)
#else
STACKABLE__STACK_EXPRESSION_59( LOCAL_434_202, VALUE_435_189, EXP_436_15, BODY_437_5, TAIL__438_153, DEPTH_439_177 )
obj_t LOCAL_434_202, VALUE_435_189, EXP_436_15, BODY_437_5, TAIL__438_153, DEPTH_439_177;
#endif
{

{obj_t AUX_785_2;
AUX_785_2=HEAP_ALLOCATION__STACK_ALLOC_75( VALUE_435_189 );if( BBOOL_TO_CBOOL( AUX_785_2 ))
{
{obj_t FUN_440_1;
FUN_440_1=CAR( VALUE_435_189 );{obj_t CELL_441_78;
CELL_441_78=ASSQ___R4_PAIRS_AND_LISTS_6_3_184( FUN_440_1, __NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217 );if( PAIRP( CELL_441_78 ))
{obj_t OBJ_683_180;
{obj_t R_684_255;
R_684_255=CDR( CELL_441_78 );OBJ_683_180=ADD_I_PTAG( PSUB_TAG( 1 ), R_684_255 );}SET_CDR( CELL_441_78, OBJ_683_180 );}else
{obj_t OBJ2_687_186;
OBJ2_687_186=__NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217;{obj_t OBJ1_686_145;
OBJ1_686_145=MAKE_PAIR( FUN_440_1, BINT( 1 ) );__NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217=MAKE_PAIR( OBJ1_686_145, OBJ2_687_186 );}}}}
TRACE_STACKABLE_STACK_EXPRESSION_105( LOCAL_434_202, VALUE_435_189, EXP_436_15, BODY_437_5, TAIL__438_153, DEPTH_439_177 );
{bool_t __andtest_1010_766_119;
{obj_t AUX_782_67;
{bool_t OBJ_765_101;
{obj_t AUX_783_186;
{obj_t OBJ1_689_175;
OBJ1_689_175=STRUCT_SLOT_REF( LOCAL_434_202, BINT( 5 ) );AUX_783_186=CBOOL_TO_BBOOL( EQP( OBJ1_689_175, CNST_TABLE_REF( 18 ) ) );}OBJ_765_101=BBOOL_TO_CBOOL( AUX_783_186 );}if( OBJ_765_101)
AUX_782_67=BFALSE;else
AUX_782_67=BTRUE;}__andtest_1010_766_119=BBOOL_TO_CBOOL( AUX_782_67 );}if( __andtest_1010_766_119)
{bool_t OBJ_767_193;
{obj_t AUX_784_15;
AUX_784_15=IS_THE_TEMPORARY_A_RESULT__STACK_RESULT_22( LOCAL_434_202, EXP_436_15, BTRUE, DEPTH_439_177 );OBJ_767_193=BBOOL_TO_CBOOL( AUX_784_15 );}if( OBJ_767_193)
return BFALSE;else
return BTRUE;}else
return BFALSE;}
}else
return BFALSE;}
}

static obj_t
#if defined( __STDC__ )
TRACE_STACKABLE_STACK_EXPRESSION_105(obj_t LOCAL_443_206,obj_t VALUE_444_43,obj_t EXP_445_174,obj_t BODY_446_124,obj_t TAIL__447_207,obj_t DEPTH_448_158)
#else
TRACE_STACKABLE_STACK_EXPRESSION_105( LOCAL_443_206, VALUE_444_43, EXP_445_174, BODY_446_124, TAIL__447_207, DEPTH_448_158 )
obj_t LOCAL_443_206, VALUE_444_43, EXP_445_174, BODY_446_124, TAIL__447_207, DEPTH_448_158;
#endif
{

{obj_t AUX_780_210;
{obj_t AUX_781_28;
AUX_781_28=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 19 ) );AUX_780_210=SATISFY__TOOLS_TRACE_72( AUX_781_28 );}if( BBOOL_TO_CBOOL( AUX_780_210 ))
{
{obj_t g1011_450_54;
{obj_t L_693_236;
{obj_t STRING_CAST_738_137;
STRING_CAST_738_137=CNST_TABLE_REF( 20 );{obj_t C_CONS_710_22;
{obj_t C_CONS_709_30;
{obj_t STRING_CAST_739_228;
STRING_CAST_739_228=CNST_TABLE_REF( 21 );{obj_t C_CONS_708_7;
{obj_t C_CONS_707_56;
{obj_t C_CONS_706_68;
{obj_t STRING_CAST_740_192;
STRING_CAST_740_192=CNST_TABLE_REF( 22 );{obj_t C_CONS_705_234;
{obj_t C_CONS_704_169;
{obj_t STRING_CAST_741_252;
STRING_CAST_741_252=CNST_TABLE_REF( 23 );{obj_t C_CONS_703_177;
{bool_t OBJ_768_139;
{obj_t AUX_776_50;
{obj_t OBJ1_695_33;
OBJ1_695_33=STRUCT_SLOT_REF( LOCAL_443_206, BINT( 5 ) );AUX_776_50=CBOOL_TO_BBOOL( EQP( OBJ1_695_33, CNST_TABLE_REF( 18 ) ) );}OBJ_768_139=BBOOL_TO_CBOOL( AUX_776_50 );}{obj_t C_CONS_702_107;
{obj_t C_CONS_701_87;
{obj_t STRING_CAST_742_221;
STRING_CAST_742_221=CNST_TABLE_REF( 24 );{obj_t C_CONS_700_197;
{obj_t C_CONS_699_3;
{obj_t C_CONS_698_61;
{obj_t STRING_CAST_743_54;
STRING_CAST_743_54=CNST_TABLE_REF( 25 );{obj_t C_CONS_697_201;
C_CONS_697_201=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_698_61=MAKE_PAIR( STRING_CAST_743_54, C_CONS_697_201 );}}C_CONS_699_3=MAKE_PAIR( BCHAR( '\n' ), C_CONS_698_61 );}{obj_t AUX_777_34;
AUX_777_34=IS_THE_TEMPORARY_A_RESULT__STACK_RESULT_22( LOCAL_443_206, EXP_445_174, BTRUE, DEPTH_448_158 );C_CONS_700_197=MAKE_PAIR( AUX_777_34, C_CONS_699_3 );}}C_CONS_701_87=MAKE_PAIR( STRING_CAST_742_221, C_CONS_700_197 );}}C_CONS_702_107=MAKE_PAIR( BCHAR( '\n' ), C_CONS_701_87 );}{obj_t AUX_778_4;
if( OBJ_768_139)
AUX_778_4=BFALSE;else
AUX_778_4=BTRUE;C_CONS_703_177=MAKE_PAIR( AUX_778_4, C_CONS_702_107 );}}}C_CONS_704_169=MAKE_PAIR( STRING_CAST_741_252, C_CONS_703_177 );}}C_CONS_705_234=MAKE_PAIR( BCHAR( '\n' ), C_CONS_704_169 );}C_CONS_706_68=MAKE_PAIR( STRING_CAST_740_192, C_CONS_705_234 );}}C_CONS_707_56=MAKE_PAIR( BCHAR( '\n' ), C_CONS_706_68 );}{obj_t AUX_779_33;
AUX_779_33=SHAPE_TOOLS_SHAPE_229( EXP_445_174 );C_CONS_708_7=MAKE_PAIR( AUX_779_33, C_CONS_707_56 );}}C_CONS_709_30=MAKE_PAIR( STRING_CAST_739_228, C_CONS_708_7 );}}C_CONS_710_22=MAKE_PAIR( BCHAR( '\n' ), C_CONS_709_30 );}L_693_236=MAKE_PAIR( STRING_CAST_738_137, C_CONS_710_22 );}}{
g1011_450_54=L_693_236;
{_g1012_449_243:

if( PAIRP( g1011_450_54 ))
{
{obj_t A_451_38;
A_451_38=CAR( g1011_450_54 );{obj_t VA_ARG_737_130;
VA_ARG_737_130=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_451_38, VA_ARG_737_130 );}}
{obj_t C_CDR_692_230;
C_CDR_692_230=CDR( g1011_450_54 );{
g1011_450_54=C_CDR_692_230;
goto _g1012_449_243;
}}
}else
BTRUE;}
}}}
{obj_t PORT_711_132;
PORT_711_132=__TRACE_PORT__TOOLS_TRACE_74;return FLUSH_OUTPUT_PORT( PORT_711_132 );}
}else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
TRACE_STACK_STATISTICS_STACK_EXPRESSION_51()
#else
TRACE_STACK_STATISTICS_STACK_EXPRESSION_51()
#endif
{

{obj_t AUX_774_166;
{obj_t AUX_775_80;
AUX_775_80=TRACE_MASK_VALUE_TOOLS_TRACE_242( CNST_TABLE_REF( 26 ) );AUX_774_166=SATISFY__TOOLS_TRACE_72( AUX_775_80 );}if( BBOOL_TO_CBOOL( AUX_774_166 ))
{
{obj_t g1013_453_15;
{obj_t L_713_52;
{obj_t STRING_CAST_745_35;
STRING_CAST_745_35=CNST_TABLE_REF( 27 );{obj_t C_CONS_726_134;
{obj_t C_CONS_725_143;
{obj_t STRING_CAST_746_116;
STRING_CAST_746_116=CNST_TABLE_REF( 28 );{obj_t C_CONS_724_55;
{obj_t C_CONS_723_185;
{obj_t STRING_CAST_747_95;
STRING_CAST_747_95=CNST_TABLE_REF( 29 );{obj_t C_CONS_722_194;
{obj_t C_CONS_721_29;
{obj_t STRING_CAST_748_154;
STRING_CAST_748_154=CNST_TABLE_REF( 30 );{obj_t C_CONS_720_164;
{obj_t C_CONS_719_147;
{obj_t C_CONS_718_124;
{obj_t STRING_CAST_749_250;
STRING_CAST_749_250=CNST_TABLE_REF( 31 );{obj_t C_CONS_717_70;
{obj_t C_CONS_716_103;
{obj_t C_CONS_715_181;
{obj_t STRING_CAST_750_65;
STRING_CAST_750_65=CNST_TABLE_REF( 32 );{obj_t C_CONS_714_12;
C_CONS_714_12=MAKE_PAIR( BCHAR( '\n' ), BNIL );C_CONS_715_181=MAKE_PAIR( STRING_CAST_750_65, C_CONS_714_12 );}}C_CONS_716_103=MAKE_PAIR( BCHAR( '\n' ), C_CONS_715_181 );}{obj_t AUX_772_100;
AUX_772_100=SHAPE_TOOLS_SHAPE_229( __NB_OF_STACK_ALLOCS__STACK_EXPRESSION_140 );C_CONS_717_70=MAKE_PAIR( AUX_772_100, C_CONS_716_103 );}}C_CONS_718_124=MAKE_PAIR( STRING_CAST_749_250, C_CONS_717_70 );}}C_CONS_719_147=MAKE_PAIR( BCHAR( '\n' ), C_CONS_718_124 );}{obj_t AUX_773_99;
AUX_773_99=SHAPE_TOOLS_SHAPE_229( __NB_OF_HEAP_ALLOCS__STACK_EXPRESSION_217 );C_CONS_720_164=MAKE_PAIR( AUX_773_99, C_CONS_719_147 );}}C_CONS_721_29=MAKE_PAIR( STRING_CAST_748_154, C_CONS_720_164 );}}C_CONS_722_194=MAKE_PAIR( BCHAR( '\n' ), C_CONS_721_29 );}C_CONS_723_185=MAKE_PAIR( STRING_CAST_747_95, C_CONS_722_194 );}}C_CONS_724_55=MAKE_PAIR( BCHAR( '\n' ), C_CONS_723_185 );}C_CONS_725_143=MAKE_PAIR( STRING_CAST_746_116, C_CONS_724_55 );}}C_CONS_726_134=MAKE_PAIR( BCHAR( '\n' ), C_CONS_725_143 );}L_713_52=MAKE_PAIR( STRING_CAST_745_35, C_CONS_726_134 );}}{
g1013_453_15=L_713_52;
{_g1014_452_146:

if( PAIRP( g1013_453_15 ))
{
{obj_t A_454_135;
A_454_135=CAR( g1013_453_15 );{obj_t VA_ARG_744_191;
VA_ARG_744_191=MAKE_PAIR( __TRACE_PORT__TOOLS_TRACE_74, BNIL );DISPLAY___R4_OUTPUT_6_10_3_107( A_454_135, VA_ARG_744_191 );}}
{obj_t C_CDR_712_90;
C_CDR_712_90=CDR( g1013_453_15 );{
g1013_453_15=C_CDR_712_90;
goto _g1014_452_146;
}}
}else
BTRUE;}
}}}
{obj_t PORT_727_54;
PORT_727_54=__TRACE_PORT__TOOLS_TRACE_74;return FLUSH_OUTPUT_PORT( PORT_727_54 );}
}else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__TRACE_STACK_STATISTICS_STACK_EXPRESSION_48(obj_t ENV_751_143)
#else
__TRACE_STACK_STATISTICS_STACK_EXPRESSION_48( ENV_751_143 )
obj_t ENV_751_143;
#endif
{

return TRACE_STACK_STATISTICS_STACK_EXPRESSION_51();
}

