/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Tools/hash.c                                                      */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t HASHTABLE__TOOLS_HASH_7(obj_t, obj_t);
#else
extern obj_t HASHTABLE__TOOLS_HASH_7();
#endif
#if defined( __STDC__ )
extern obj_t BIND_OBJECT__TOOLS_HASH_11(obj_t, obj_t, obj_t);
#else
extern obj_t BIND_OBJECT__TOOLS_HASH_11();
#endif
#if defined( __STDC__ )
extern obj_t HASH_TABLE_LENGTH_TOOLS_HASH_178(obj_t, obj_t);
#else
extern obj_t HASH_TABLE_LENGTH_TOOLS_HASH_178();
#endif
extern obj_t make_struct();
#if defined( __STDC__ )
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171(obj_t, obj_t, obj_t);
#else
extern obj_t WALK_ON_HASH_TABLE__TOOLS_HASH_171();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_HASHTABLE_TOOLS_HASH_49(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_HASHTABLE_TOOLS_HASH_49();
#endif
#if defined( __STDC__ )
extern obj_t UNBIND_OBJECT__TOOLS_HASH_22(obj_t, obj_t, obj_t);
#else
extern obj_t UNBIND_OBJECT__TOOLS_HASH_22();
#endif
#if defined( __STDC__ )
extern obj_t FIND_OBJECT_TOOLS_HASH_106(obj_t, obj_t, obj_t);
#else
extern obj_t FIND_OBJECT_TOOLS_HASH_106();
#endif
#if defined( __STDC__ )
extern obj_t __WALK_ON_HASH_TABLE__TOOLS_HASH_35(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __WALK_ON_HASH_TABLE__TOOLS_HASH_35();
#endif
#if defined( __STDC__ )
extern obj_t HASH_TABLE_SET_BUCKET__TOOLS_HASH_50(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t HASH_TABLE_SET_BUCKET__TOOLS_HASH_50();
#endif
obj_t HASHTABLE__ENV_TOOLS_HASH_156 = BUNSPEC;
obj_t BIND_OBJECT__ENV_TOOLS_HASH_240 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __UNBIND_OBJECT__TOOLS_HASH_175(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __UNBIND_OBJECT__TOOLS_HASH_175();
#endif
obj_t FIND_OBJECT_ENV_TOOLS_HASH_233 = BUNSPEC;
static obj_t __cnst[ 20 ] ;
#if defined( __STDC__ )
extern obj_t __MAKE_HASHTABLE_TOOLS_HASH_104(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_HASHTABLE_TOOLS_HASH_104();
#endif
obj_t HASH_TABLE_SET_BUCKET__ENV_TOOLS_HASH_249 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __HASH_TABLE_SET_BUCKET__TOOLS_HASH_244(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __HASH_TABLE_SET_BUCKET__TOOLS_HASH_244();
#endif
extern obj_t READ___READER_198;
#if defined( __STDC__ )
extern obj_t __HASH_TABLE_LENGTH_TOOLS_HASH_33(obj_t, obj_t, obj_t);
#else
extern obj_t __HASH_TABLE_LENGTH_TOOLS_HASH_33();
#endif
obj_t HASH_TABLE_LENGTH_ENV_TOOLS_HASH_98 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__TOOLS_HASH_236 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __TOOLS_HASH_INITIALISATION_TOOLS_HASH_247(obj_t);
#else
extern obj_t __TOOLS_HASH_INITIALISATION_TOOLS_HASH_247();
#endif
extern obj_t c_constant_string_to_string();
extern obj_t TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
extern obj_t make_vector();
#if defined( __STDC__ )
extern obj_t __FIND_OBJECT_TOOLS_HASH_66(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __FIND_OBJECT_TOOLS_HASH_66();
#endif
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
extern obj_t __PP_HASHTABLE_TOOLS_HASH_96(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __PP_HASHTABLE_TOOLS_HASH_96();
#endif
extern obj_t make_fx_procedure();
extern long get_hash_power_number();
#if defined( __STDC__ )
extern obj_t __BIND_OBJECT__TOOLS_HASH_177(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __BIND_OBJECT__TOOLS_HASH_177();
#endif
obj_t PP_HASHTABLE_ENV_TOOLS_HASH_149 = BUNSPEC;
obj_t WALK_ON_HASH_TABLE__ENV_TOOLS_HASH_13 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t PP_HASHTABLE_TOOLS_HASH_132(obj_t, obj_t, obj_t);
#else
extern obj_t PP_HASHTABLE_TOOLS_HASH_132();
#endif
extern bool_t bigloo_strcmp();
obj_t UNBIND_OBJECT__ENV_TOOLS_HASH_117 = BUNSPEC;
obj_t MAKE_HASHTABLE_ENV_TOOLS_HASH_219 = BUNSPEC;
static obj_t __HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47 = BUNSPEC;
obj_t TOOLS_HASH_INITIALISATION_ENV_TOOLS_HASH_140 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __HASHTABLE__TOOLS_HASH_168(obj_t, obj_t, obj_t);
#else
extern obj_t __HASHTABLE__TOOLS_HASH_168();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();

static obj_t LOOP_291_23();

obj_t
#if defined( __STDC__ )
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74()
#else
TOOLS_HASH_INITIALISATION_TOOLS_HASH_74()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__TOOLS_HASH_236 ))
{
REQUIRE_INITIALISATION__TOOLS_HASH_236=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
DECLARE_CNST_TABLE( __cnst[ 20 ]  );
{obj_t PORT_503_80;
{obj_t AUX_515_252;
AUX_515_252=c_constant_string_to_string( "#\"not an hash-table\" #\"hash-table-set-bucke!\" #\"not an hash-table\" #\"walk-on-hash-table!\" #\"not an hash-table\" #\"pp-hashtable\" DONE #\"not an hash-table\" #\"unbind-symbol!\" #\"not an hash-table\" #\"bind-symbol!\" #\"not an hash-table\" #\"find-symbol\" #\"not an hash-table\" #\"hash-table-length\" #\"Illegal table type\" #\"make-hashtable\" TABLE STRING SYMBOL " );PORT_503_80=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_515_252 );}{obj_t OFFSET_504_251;
{
OFFSET_504_251=BINT( 19 );
{_LOOP_505_157:

if( LT_I( OFFSET_504_251, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_516_221;
AUX_516_221=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_503_80, BEOA );CNST_TABLE_SET( OFFSET_504_251, AUX_516_221 );}
{obj_t OFFSET_517_153;
OFFSET_517_153=OFFSET_504_251;{
OFFSET_504_251=SUB_I( OFFSET_517_153, BINT( 1 ) );
goto _LOOP_505_157;
}}
}}
}}}
{
TOOLS_HASH_INITIALISATION_ENV_TOOLS_HASH_140=make_fx_procedure( __TOOLS_HASH_INITIALISATION_TOOLS_HASH_247, 0, 0 );
MAKE_HASHTABLE_ENV_TOOLS_HASH_219=make_fx_procedure( __MAKE_HASHTABLE_TOOLS_HASH_104, 5, 0 );
HASHTABLE__ENV_TOOLS_HASH_156=make_fx_procedure( __HASHTABLE__TOOLS_HASH_168, 2, 0 );
HASH_TABLE_LENGTH_ENV_TOOLS_HASH_98=make_fx_procedure( __HASH_TABLE_LENGTH_TOOLS_HASH_33, 2, 0 );
FIND_OBJECT_ENV_TOOLS_HASH_233=make_fx_procedure( __FIND_OBJECT_TOOLS_HASH_66, 3, 0 );
BIND_OBJECT__ENV_TOOLS_HASH_240=make_fx_procedure( __BIND_OBJECT__TOOLS_HASH_177, 3, 0 );
UNBIND_OBJECT__ENV_TOOLS_HASH_117=make_fx_procedure( __UNBIND_OBJECT__TOOLS_HASH_175, 3, 0 );
PP_HASHTABLE_ENV_TOOLS_HASH_149=make_fx_procedure( __PP_HASHTABLE_TOOLS_HASH_96, 3, 0 );
WALK_ON_HASH_TABLE__ENV_TOOLS_HASH_13=make_fx_procedure( __WALK_ON_HASH_TABLE__TOOLS_HASH_35, 3, 0 );
HASH_TABLE_SET_BUCKET__ENV_TOOLS_HASH_249=make_fx_procedure( __HASH_TABLE_SET_BUCKET__TOOLS_HASH_244, 4, 0 );
{
BUNSPEC;
__HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47=BINT( 11 );
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__TOOLS_HASH_INITIALISATION_TOOLS_HASH_247(obj_t ENV_492_57)
#else
__TOOLS_HASH_INITIALISATION_TOOLS_HASH_247( ENV_492_57 )
obj_t ENV_492_57;
#endif
{

return TOOLS_HASH_INITIALISATION_TOOLS_HASH_74();
}

obj_t
#if defined( __STDC__ )
MAKE_HASHTABLE_TOOLS_HASH_49(obj_t KEY_250_64,obj_t TYPE_251_159,obj_t CREATOR_252_197,obj_t IDENTIFICATOR_253_130,obj_t PRINTER_254_241)
#else
MAKE_HASHTABLE_TOOLS_HASH_49( KEY_250_64, TYPE_251_159, CREATOR_252_197, IDENTIFICATOR_253_130, PRINTER_254_241 )
obj_t KEY_250_64, TYPE_251_159, CREATOR_252_197, IDENTIFICATOR_253_130, PRINTER_254_241;
#endif
{

{if( EQP( TYPE_251_159, CNST_TABLE_REF( 0 ) ))
goto _true_9;else
if( EQP( TYPE_251_159, CNST_TABLE_REF( 1 ) ))
goto _true_9;else
goto _false_10;_true_9:
{obj_t TABLE_256_141;
{obj_t INIT_341_123;
INIT_341_123=BNIL;{obj_t INIT_342_131;
INIT_342_131=BNIL;TABLE_256_141=make_struct( CNST_TABLE_REF( 2 ), BINT( 6 ), INIT_342_131 );}}{
STRUCT_SLOT_SET( TABLE_256_141, BINT( 0 ), KEY_250_64 );
STRUCT_SLOT_SET( TABLE_256_141, BINT( 1 ), TYPE_251_159 );
STRUCT_SLOT_SET( TABLE_256_141, BINT( 2 ), CREATOR_252_197 );
STRUCT_SLOT_SET( TABLE_256_141, BINT( 3 ), IDENTIFICATOR_253_130 );
STRUCT_SLOT_SET( TABLE_256_141, BINT( 4 ), PRINTER_254_241 );
{obj_t V_344_162;
{obj_t Y_347_10;
Y_347_10=__HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47;{obj_t AUX_514_192;
AUX_514_192=BITLSH( BINT( 1 ), Y_347_10 );V_344_162=make_vector( AUX_514_192, BNIL );}}STRUCT_SLOT_SET( TABLE_256_141, BINT( 5 ), V_344_162 );}
return TABLE_256_141;
}}_false_10:
FAILURE( CNST_TABLE_REF( 3 ), CNST_TABLE_REF( 4 ), TYPE_251_159 );;
}
}

obj_t
#if defined( __STDC__ )
__MAKE_HASHTABLE_TOOLS_HASH_104(obj_t ENV_491_223,obj_t KEY_250_64,obj_t TYPE_251_159,obj_t CREATOR_252_197,obj_t IDENTIFICATOR_253_130,obj_t PRINTER_254_241)
#else
__MAKE_HASHTABLE_TOOLS_HASH_104( ENV_491_223, KEY_250_64, TYPE_251_159, CREATOR_252_197, IDENTIFICATOR_253_130, PRINTER_254_241 )
obj_t ENV_491_223, KEY_250_64, TYPE_251_159, CREATOR_252_197, IDENTIFICATOR_253_130, PRINTER_254_241;
#endif
{

return MAKE_HASHTABLE_TOOLS_HASH_49( KEY_250_64, TYPE_251_159, CREATOR_252_197, IDENTIFICATOR_253_130, PRINTER_254_241 );
}

obj_t
#if defined( __STDC__ )
HASHTABLE__TOOLS_HASH_7(obj_t TABLE_257_86,obj_t KEY_258_55)
#else
HASHTABLE__TOOLS_HASH_7( TABLE_257_86, KEY_258_55 )
obj_t TABLE_257_86, KEY_258_55;
#endif
{

return CBOOL_TO_BBOOL( EQP( STRUCT_SLOT_REF( TABLE_257_86, BINT( 0 ) ), KEY_258_55 ) );
}

obj_t
#if defined( __STDC__ )
__HASHTABLE__TOOLS_HASH_168(obj_t ENV_490_148,obj_t TABLE_257_86,obj_t KEY_258_55)
#else
__HASHTABLE__TOOLS_HASH_168( ENV_490_148, TABLE_257_86, KEY_258_55 )
obj_t ENV_490_148, TABLE_257_86, KEY_258_55;
#endif
{

return HASHTABLE__TOOLS_HASH_7( TABLE_257_86, KEY_258_55 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE_LENGTH_TOOLS_HASH_178(obj_t TABLE_259_198,obj_t KEY_260_243)
#else
HASH_TABLE_LENGTH_TOOLS_HASH_178( TABLE_259_198, KEY_260_243 )
obj_t TABLE_259_198, KEY_260_243;
#endif
{

if( EQP( STRUCT_SLOT_REF( TABLE_259_198, BINT( 0 ) ), KEY_260_243 ))
return VECTOR_LENGTH( STRUCT_SLOT_REF( TABLE_259_198, BINT( 5 ) ) );else
FAILURE( CNST_TABLE_REF( 5 ), CNST_TABLE_REF( 6 ), TABLE_259_198 );
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE_LENGTH_TOOLS_HASH_33(obj_t ENV_489_25,obj_t TABLE_259_198,obj_t KEY_260_243)
#else
__HASH_TABLE_LENGTH_TOOLS_HASH_33( ENV_489_25, TABLE_259_198, KEY_260_243 )
obj_t ENV_489_25, TABLE_259_198, KEY_260_243;
#endif
{

return HASH_TABLE_LENGTH_TOOLS_HASH_178( TABLE_259_198, KEY_260_243 );
}

obj_t
#if defined( __STDC__ )
FIND_OBJECT_TOOLS_HASH_106(obj_t ID_261_233,obj_t TABLE_262_197,obj_t KEY_263_219)
#else
FIND_OBJECT_TOOLS_HASH_106( ID_261_233, TABLE_262_197, KEY_263_219 )
obj_t ID_261_233, TABLE_262_197, KEY_263_219;
#endif
{

{obj_t OBJ1_356_74;
OBJ1_356_74=STRUCT_SLOT_REF( TABLE_262_197, BINT( 0 ) );if( EQP( OBJ1_356_74, KEY_263_219 ))
{obj_t SYMBOL_NAME_264_42;
{obj_t OBJ1_358_126;
OBJ1_358_126=STRUCT_SLOT_REF( TABLE_262_197, BINT( 1 ) );if( EQP( OBJ1_358_126, CNST_TABLE_REF( 0 ) ))
SYMBOL_NAME_264_42=SYMBOL_TO_STRING( ID_261_233 );else
SYMBOL_NAME_264_42=ID_261_233;}{obj_t HASH_NUMBER_265_211;
{long POWER_495_50;
POWER_495_50=CINT( __HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47 );{long AUX_512_116;
AUX_512_116=get_hash_power_number( BSTRING_TO_CSTRING( SYMBOL_NAME_264_42 ), POWER_495_50 );HASH_NUMBER_265_211=BINT( AUX_512_116 );}}{obj_t BUCKET_266_160;
{obj_t VECTOR_364_209;
VECTOR_364_209=STRUCT_SLOT_REF( TABLE_262_197, BINT( 5 ) );BUCKET_266_160=VECTOR_REF( VECTOR_364_209, HASH_NUMBER_265_211 );}{obj_t IDENTIFICATOR_267_178;
IDENTIFICATOR_267_178=STRUCT_SLOT_REF( TABLE_262_197, BINT( 3 ) );{obj_t BUCKET_269_179;
{
BUCKET_269_179=BUCKET_266_160;
{_LOOP_268_28:

if( NULLP( BUCKET_269_179 ))
return BFALSE;else
{obj_t OBJ1_367_214;
{obj_t C_CAR_368_195;
C_CAR_368_195=CAR( BUCKET_269_179 );OBJ1_367_214=PROCEDURE_ENTRY( IDENTIFICATOR_267_178 )( IDENTIFICATOR_267_178, C_CAR_368_195, BEOA );}if( EQP( OBJ1_367_214, ID_261_233 ))
return CAR( BUCKET_269_179 );else
{bool_t __andtest_1001_496_92;
{obj_t AUX_513_95;
{obj_t OBJ1_370_83;
OBJ1_370_83=STRUCT_SLOT_REF( TABLE_262_197, BINT( 1 ) );AUX_513_95=CBOOL_TO_BBOOL( EQP( OBJ1_370_83, CNST_TABLE_REF( 1 ) ) );}__andtest_1001_496_92=BBOOL_TO_CBOOL( AUX_513_95 );}{if( __andtest_1001_496_92)
{obj_t STRING1_374_7;
{obj_t C_CAR_375_33;
C_CAR_375_33=CAR( BUCKET_269_179 );STRING1_374_7=PROCEDURE_ENTRY( IDENTIFICATOR_267_178 )( IDENTIFICATOR_267_178, C_CAR_375_33, BEOA );}if( bigloo_strcmp( STRING1_374_7, ID_261_233 ))
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
return CAR( BUCKET_269_179 );_false_7:
{obj_t C_CDR_377_137;
C_CDR_377_137=CDR( BUCKET_269_179 );{
BUCKET_269_179=C_CDR_377_137;
goto _LOOP_268_28;
}};
}}}}
}}}}}}else
FAILURE( CNST_TABLE_REF( 7 ), CNST_TABLE_REF( 8 ), TABLE_262_197 );}
}

obj_t
#if defined( __STDC__ )
__FIND_OBJECT_TOOLS_HASH_66(obj_t ENV_488_110,obj_t ID_261_233,obj_t TABLE_262_197,obj_t KEY_263_219)
#else
__FIND_OBJECT_TOOLS_HASH_66( ENV_488_110, ID_261_233, TABLE_262_197, KEY_263_219 )
obj_t ENV_488_110, ID_261_233, TABLE_262_197, KEY_263_219;
#endif
{

return FIND_OBJECT_TOOLS_HASH_106( ID_261_233, TABLE_262_197, KEY_263_219 );
}

obj_t
#if defined( __STDC__ )
BIND_OBJECT__TOOLS_HASH_11(obj_t ID_271_34,obj_t TABLE_272_203,obj_t KEY_273_82)
#else
BIND_OBJECT__TOOLS_HASH_11( ID_271_34, TABLE_272_203, KEY_273_82 )
obj_t ID_271_34, TABLE_272_203, KEY_273_82;
#endif
{

{obj_t OBJ1_378_254;
OBJ1_378_254=STRUCT_SLOT_REF( TABLE_272_203, BINT( 0 ) );if( EQP( OBJ1_378_254, KEY_273_82 ))
{obj_t SYMBOL_NAME_274_226;
{obj_t OBJ1_380_224;
OBJ1_380_224=STRUCT_SLOT_REF( TABLE_272_203, BINT( 1 ) );if( EQP( OBJ1_380_224, CNST_TABLE_REF( 0 ) ))
SYMBOL_NAME_274_226=SYMBOL_TO_STRING( ID_271_34 );else
SYMBOL_NAME_274_226=ID_271_34;}{obj_t HASH_NUMBER_275_127;
{long POWER_497_166;
POWER_497_166=CINT( __HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47 );{long AUX_510_206;
AUX_510_206=get_hash_power_number( BSTRING_TO_CSTRING( SYMBOL_NAME_274_226 ), POWER_497_166 );HASH_NUMBER_275_127=BINT( AUX_510_206 );}}{obj_t BUCKET_276_71;
{obj_t VECTOR_383_117;
VECTOR_383_117=STRUCT_SLOT_REF( TABLE_272_203, BINT( 5 ) );BUCKET_276_71=VECTOR_REF( VECTOR_383_117, HASH_NUMBER_275_127 );}{obj_t IDENTIFICATOR_277_80;
IDENTIFICATOR_277_80=STRUCT_SLOT_REF( TABLE_272_203, BINT( 3 ) );{obj_t CREATOR_278_201;
CREATOR_278_201=STRUCT_SLOT_REF( TABLE_272_203, BINT( 2 ) );if( NULLP( BUCKET_276_71 ))
{obj_t NEW_279_214;
NEW_279_214=PROCEDURE_ENTRY( CREATOR_278_201 )( CREATOR_278_201, ID_271_34, BEOA );{
{obj_t OBJ_391_175;
OBJ_391_175=MAKE_PAIR( NEW_279_214, BNIL );{obj_t VECTOR_390_215;
VECTOR_390_215=STRUCT_SLOT_REF( TABLE_272_203, BINT( 5 ) );VECTOR_SET( VECTOR_390_215, HASH_NUMBER_275_127, OBJ_391_175 );}}
return NEW_279_214;
}}else
{obj_t BUCKET_281_100;
{
BUCKET_281_100=BUCKET_276_71;
{_LOOP_280_97:

{obj_t OBJ1_395_139;
{obj_t C_CAR_396_101;
C_CAR_396_101=CAR( BUCKET_281_100 );OBJ1_395_139=PROCEDURE_ENTRY( IDENTIFICATOR_277_80 )( IDENTIFICATOR_277_80, C_CAR_396_101, BEOA );}if( EQP( OBJ1_395_139, ID_271_34 ))
return CAR( BUCKET_281_100 );else
{bool_t __andtest_1002_499_185;
{obj_t AUX_511_35;
{obj_t OBJ1_398_101;
OBJ1_398_101=STRUCT_SLOT_REF( TABLE_272_203, BINT( 1 ) );AUX_511_35=CBOOL_TO_BBOOL( EQP( OBJ1_398_101, CNST_TABLE_REF( 1 ) ) );}__andtest_1002_499_185=BBOOL_TO_CBOOL( AUX_511_35 );}{if( __andtest_1002_499_185)
{obj_t STRING1_400_197;
{obj_t C_CAR_401_163;
C_CAR_401_163=CAR( BUCKET_281_100 );STRING1_400_197=PROCEDURE_ENTRY( IDENTIFICATOR_277_80 )( IDENTIFICATOR_277_80, C_CAR_401_163, BEOA );}if( bigloo_strcmp( STRING1_400_197, ID_271_34 ))
goto _true_3;else
goto _false_4;}else
goto _false_4;_true_3:
return CAR( BUCKET_281_100 );_false_4:
{obj_t OBJ_403_106;
OBJ_403_106=CDR( BUCKET_281_100 );if( NULLP( OBJ_403_106 ))
{obj_t NEW_283_60;
NEW_283_60=PROCEDURE_ENTRY( CREATOR_278_201 )( CREATOR_278_201, ID_271_34, BEOA );{
{obj_t OBJ_406_102;
OBJ_406_102=MAKE_PAIR( NEW_283_60, BNIL );SET_CDR( BUCKET_281_100, OBJ_406_102 );}
return NEW_283_60;
}}else
{
BUCKET_281_100=OBJ_403_106;
goto _LOOP_280_97;
}};
}}}}
}}}}}}}else
FAILURE( CNST_TABLE_REF( 9 ), CNST_TABLE_REF( 10 ), TABLE_272_203 );}
}

obj_t
#if defined( __STDC__ )
__BIND_OBJECT__TOOLS_HASH_177(obj_t ENV_487_233,obj_t ID_271_34,obj_t TABLE_272_203,obj_t KEY_273_82)
#else
__BIND_OBJECT__TOOLS_HASH_177( ENV_487_233, ID_271_34, TABLE_272_203, KEY_273_82 )
obj_t ENV_487_233, ID_271_34, TABLE_272_203, KEY_273_82;
#endif
{

return BIND_OBJECT__TOOLS_HASH_11( ID_271_34, TABLE_272_203, KEY_273_82 );
}

obj_t
#if defined( __STDC__ )
UNBIND_OBJECT__TOOLS_HASH_22(obj_t ID_284_145,obj_t TABLE_285_84,obj_t KEY_286_99)
#else
UNBIND_OBJECT__TOOLS_HASH_22( ID_284_145, TABLE_285_84, KEY_286_99 )
obj_t ID_284_145, TABLE_285_84, KEY_286_99;
#endif
{

{obj_t OBJ1_409_16;
OBJ1_409_16=STRUCT_SLOT_REF( TABLE_285_84, BINT( 0 ) );if( EQP( OBJ1_409_16, KEY_286_99 ))
{obj_t SYMBOL_NAME_287_131;
{obj_t OBJ1_411_134;
OBJ1_411_134=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );if( EQP( OBJ1_411_134, CNST_TABLE_REF( 0 ) ))
SYMBOL_NAME_287_131=SYMBOL_TO_STRING( ID_284_145 );else
SYMBOL_NAME_287_131=ID_284_145;}{obj_t HASH_NUMBER_288_11;
{long POWER_501_247;
POWER_501_247=CINT( __HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47 );{long AUX_509_43;
AUX_509_43=get_hash_power_number( BSTRING_TO_CSTRING( SYMBOL_NAME_287_131 ), POWER_501_247 );HASH_NUMBER_288_11=BINT( AUX_509_43 );}}{obj_t IDENTIFICATOR_289_66;
IDENTIFICATOR_289_66=STRUCT_SLOT_REF( TABLE_285_84, BINT( 3 ) );{obj_t BUCKET_290_114;
{obj_t VECTOR_415_192;
VECTOR_415_192=STRUCT_SLOT_REF( TABLE_285_84, BINT( 5 ) );BUCKET_290_114=VECTOR_REF( VECTOR_415_192, HASH_NUMBER_288_11 );}{obj_t OBJ_418_187;
OBJ_418_187=LOOP_291_23( TABLE_285_84, IDENTIFICATOR_289_66, ID_284_145, BUCKET_290_114 );{obj_t VECTOR_417_221;
VECTOR_417_221=STRUCT_SLOT_REF( TABLE_285_84, BINT( 5 ) );return VECTOR_SET( VECTOR_417_221, HASH_NUMBER_288_11, OBJ_418_187 );}}}}}}else
FAILURE( CNST_TABLE_REF( 11 ), CNST_TABLE_REF( 12 ), TABLE_285_84 );}
}

static obj_t
#if defined( __STDC__ )
LOOP_291_23(obj_t TABLE_285_84,obj_t IDENTIFICATOR_289_66,obj_t ID_284_145,obj_t BUCKET_292_179)
#else
LOOP_291_23( TABLE_285_84, IDENTIFICATOR_289_66, ID_284_145, BUCKET_292_179 )
obj_t TABLE_285_84, IDENTIFICATOR_289_66, ID_284_145, BUCKET_292_179;
#endif
{

if( NULLP( BUCKET_292_179 ))
return BNIL;else
{obj_t OBJ1_420_31;
{obj_t C_CAR_421_250;
C_CAR_421_250=CAR( BUCKET_292_179 );OBJ1_420_31=PROCEDURE_ENTRY( IDENTIFICATOR_289_66 )( IDENTIFICATOR_289_66, C_CAR_421_250, BEOA );}if( EQP( OBJ1_420_31, ID_284_145 ))
return CDR( BUCKET_292_179 );else
{bool_t __andtest_1003_502_22;
{obj_t AUX_508_196;
{obj_t OBJ1_423_38;
OBJ1_423_38=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );AUX_508_196=CBOOL_TO_BBOOL( EQP( OBJ1_423_38, CNST_TABLE_REF( 1 ) ) );}__andtest_1003_502_22=BBOOL_TO_CBOOL( AUX_508_196 );}{if( __andtest_1003_502_22)
{obj_t STRING1_425_143;
{obj_t C_CAR_426_237;
C_CAR_426_237=CAR( BUCKET_292_179 );STRING1_425_143=PROCEDURE_ENTRY( IDENTIFICATOR_289_66 )( IDENTIFICATOR_289_66, C_CAR_426_237, BEOA );}if( bigloo_strcmp( STRING1_425_143, ID_284_145 ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
return CDR( BUCKET_292_179 );_false_1:
{obj_t OBJ2_431_6;
{obj_t C_CDR_433_153;
C_CDR_433_153=CDR( BUCKET_292_179 );OBJ2_431_6=LOOP_291_23( TABLE_285_84, IDENTIFICATOR_289_66, ID_284_145, C_CDR_433_153 );}{obj_t OBJ1_430_67;
OBJ1_430_67=CAR( BUCKET_292_179 );return MAKE_PAIR( OBJ1_430_67, OBJ2_431_6 );}};
}}}
}

obj_t
#if defined( __STDC__ )
__UNBIND_OBJECT__TOOLS_HASH_175(obj_t ENV_486_27,obj_t ID_284_145,obj_t TABLE_285_84,obj_t KEY_286_99)
#else
__UNBIND_OBJECT__TOOLS_HASH_175( ENV_486_27, ID_284_145, TABLE_285_84, KEY_286_99 )
obj_t ENV_486_27, ID_284_145, TABLE_285_84, KEY_286_99;
#endif
{

return UNBIND_OBJECT__TOOLS_HASH_22( ID_284_145, TABLE_285_84, KEY_286_99 );
}

obj_t
#if defined( __STDC__ )
PP_HASHTABLE_TOOLS_HASH_132(obj_t PORT_294_143,obj_t TABLE_295_155,obj_t KEY_296_177)
#else
PP_HASHTABLE_TOOLS_HASH_132( PORT_294_143, TABLE_295_155, KEY_296_177 )
obj_t PORT_294_143, TABLE_295_155, KEY_296_177;
#endif
{

{obj_t OBJ1_434_48;
OBJ1_434_48=STRUCT_SLOT_REF( TABLE_295_155, BINT( 0 ) );if( EQP( OBJ1_434_48, KEY_296_177 ))
{obj_t PRINTER_297_214;
PRINTER_297_214=STRUCT_SLOT_REF( TABLE_295_155, BINT( 4 ) );{obj_t I_299_250;
{
I_299_250=BINT( 0 );
{_LOOP_298_44:

{obj_t N2_439_146;
{obj_t Y_440_200;
Y_440_200=__HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47;N2_439_146=BITLSH( BINT( 1 ), Y_440_200 );}if( EQ_I( I_299_250, N2_439_146 ))
return CNST_TABLE_REF( 13 );else
{obj_t BUCKET_301_123;
{obj_t VECTOR_446_23;
VECTOR_446_23=STRUCT_SLOT_REF( TABLE_295_155, BINT( 5 ) );{obj_t C_VECTOR_REF_447_10;
C_VECTOR_REF_447_10=VECTOR_REF( VECTOR_446_23, I_299_250 );{
BUCKET_301_123=C_VECTOR_REF_447_10;
{_LIIP_300_231:

if( NULLP( BUCKET_301_123 ))
{obj_t I_507_224;
I_507_224=I_299_250;{
I_299_250=ADD_I_PTAG( I_507_224, PSUB_TAG( 1 ) );
goto _LOOP_298_44;
}}else
{
{obj_t C_CAR_444_181;
C_CAR_444_181=CAR( BUCKET_301_123 );PROCEDURE_ENTRY( PRINTER_297_214 )( PRINTER_297_214, PORT_294_143, C_CAR_444_181, BEOA );}
{obj_t C_CDR_445_26;
C_CDR_445_26=CDR( BUCKET_301_123 );{
BUCKET_301_123=C_CDR_445_26;
goto _LIIP_300_231;
}}
}}
}}}}}}
}}}else
FAILURE( CNST_TABLE_REF( 14 ), CNST_TABLE_REF( 15 ), TABLE_295_155 );}
}

obj_t
#if defined( __STDC__ )
__PP_HASHTABLE_TOOLS_HASH_96(obj_t ENV_485_51,obj_t PORT_294_143,obj_t TABLE_295_155,obj_t KEY_296_177)
#else
__PP_HASHTABLE_TOOLS_HASH_96( ENV_485_51, PORT_294_143, TABLE_295_155, KEY_296_177 )
obj_t ENV_485_51, PORT_294_143, TABLE_295_155, KEY_296_177;
#endif
{

return PP_HASHTABLE_TOOLS_HASH_132( PORT_294_143, TABLE_295_155, KEY_296_177 );
}

obj_t
#if defined( __STDC__ )
WALK_ON_HASH_TABLE__TOOLS_HASH_171(obj_t PROC_302_23,obj_t TABLE_303_176,obj_t KEY_304_100)
#else
WALK_ON_HASH_TABLE__TOOLS_HASH_171( PROC_302_23, TABLE_303_176, KEY_304_100 )
obj_t PROC_302_23, TABLE_303_176, KEY_304_100;
#endif
{

{obj_t OBJ1_449_170;
OBJ1_449_170=STRUCT_SLOT_REF( TABLE_303_176, BINT( 0 ) );if( EQP( OBJ1_449_170, KEY_304_100 ))
{obj_t I_306_222;
{
I_306_222=BINT( 0 );
{_LOOP_305_79:

{obj_t N2_451_245;
{obj_t Y_452_180;
Y_452_180=__HASH_TABLE_LENGTH_POWER__TOOLS_HASH_47;N2_451_245=BITLSH( BINT( 1 ), Y_452_180 );}if( EQ_I( I_306_222, N2_451_245 ))
return CNST_TABLE_REF( 13 );else
{
{obj_t VECTOR_453_92;
VECTOR_453_92=STRUCT_SLOT_REF( TABLE_303_176, BINT( 5 ) );{obj_t C_VECTOR_REF_454_129;
C_VECTOR_REF_454_129=VECTOR_REF( VECTOR_453_92, I_306_222 );PROCEDURE_ENTRY( PROC_302_23 )( PROC_302_23, C_VECTOR_REF_454_129, BEOA );}}
{obj_t I_506_212;
I_506_212=I_306_222;{
I_306_222=ADD_I_PTAG( I_506_212, PSUB_TAG( 1 ) );
goto _LOOP_305_79;
}}
}}}
}}else
FAILURE( CNST_TABLE_REF( 16 ), CNST_TABLE_REF( 17 ), TABLE_303_176 );}
}

obj_t
#if defined( __STDC__ )
__WALK_ON_HASH_TABLE__TOOLS_HASH_35(obj_t ENV_484_140,obj_t PROC_302_23,obj_t TABLE_303_176,obj_t KEY_304_100)
#else
__WALK_ON_HASH_TABLE__TOOLS_HASH_35( ENV_484_140, PROC_302_23, TABLE_303_176, KEY_304_100 )
obj_t ENV_484_140, PROC_302_23, TABLE_303_176, KEY_304_100;
#endif
{

return WALK_ON_HASH_TABLE__TOOLS_HASH_171( PROC_302_23, TABLE_303_176, KEY_304_100 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE_SET_BUCKET__TOOLS_HASH_50(obj_t TABLE_307_60,obj_t KEY_308_16,obj_t FUN_309_183,obj_t BUCKET_NUMBER_310_71)
#else
HASH_TABLE_SET_BUCKET__TOOLS_HASH_50( TABLE_307_60, KEY_308_16, FUN_309_183, BUCKET_NUMBER_310_71 )
obj_t TABLE_307_60, KEY_308_16, FUN_309_183, BUCKET_NUMBER_310_71;
#endif
{

{obj_t OBJ1_457_60;
OBJ1_457_60=STRUCT_SLOT_REF( TABLE_307_60, BINT( 0 ) );if( EQP( OBJ1_457_60, KEY_308_16 ))
{obj_t OBJ_460_50;
{obj_t VECTOR_462_38;
VECTOR_462_38=STRUCT_SLOT_REF( TABLE_307_60, BINT( 5 ) );{obj_t C_VECTOR_REF_463_146;
C_VECTOR_REF_463_146=VECTOR_REF( VECTOR_462_38, BUCKET_NUMBER_310_71 );OBJ_460_50=PROCEDURE_ENTRY( FUN_309_183 )( FUN_309_183, C_VECTOR_REF_463_146, BEOA );}}{obj_t VECTOR_459_98;
VECTOR_459_98=STRUCT_SLOT_REF( TABLE_307_60, BINT( 5 ) );return VECTOR_SET( VECTOR_459_98, BUCKET_NUMBER_310_71, OBJ_460_50 );}}else
FAILURE( CNST_TABLE_REF( 18 ), CNST_TABLE_REF( 19 ), TABLE_307_60 );}
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE_SET_BUCKET__TOOLS_HASH_244(obj_t ENV_483_170,obj_t TABLE_307_60,obj_t KEY_308_16,obj_t FUN_309_183,obj_t BUCKET_NUMBER_310_71)
#else
__HASH_TABLE_SET_BUCKET__TOOLS_HASH_244( ENV_483_170, TABLE_307_60, KEY_308_16, FUN_309_183, BUCKET_NUMBER_310_71 )
obj_t ENV_483_170, TABLE_307_60, KEY_308_16, FUN_309_183, BUCKET_NUMBER_310_71;
#endif
{

return HASH_TABLE_SET_BUCKET__TOOLS_HASH_50( TABLE_307_60, KEY_308_16, FUN_309_183, BUCKET_NUMBER_310_71 );
}

