/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Type/enforce.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t ENFORCER_ENV_TYPE_ENFORCE_209 = BUNSPEC;
obj_t TYPE_ENFORCE_INITIALISATION_ENV_TYPE_ENFORCE_120 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ENFORCE_PROCEDURE_TYPE_ENFORCE_212(obj_t, obj_t, obj_t);
#else
extern obj_t __ENFORCE_PROCEDURE_TYPE_ENFORCE_212();
#endif
extern obj_t CURRENT_FUNCTION_TOOLS_ERROR_77();
extern obj_t ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13();
obj_t ENFORCE_PROCEDURE_ENV_TYPE_ENFORCE_65 = BUNSPEC;
extern obj_t __UNSAFE_ARITY__ENGINE_PARAM_35;
extern obj_t FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
extern obj_t SHAPE_TOOLS_SHAPE_229();
#if defined( __STDC__ )
static obj_t CHECK_TYPE_ENFORCE_24(obj_t, obj_t, obj_t);
#else
static obj_t CHECK_TYPE_ENFORCE_24();
#endif
#if defined( __STDC__ )
static obj_t GET_TYPE_AUX_VAR_TYPE_ENFORCE_173(obj_t);
#else
static obj_t GET_TYPE_AUX_VAR_TYPE_ENFORCE_173();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
extern obj_t TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
extern obj_t TYPE_OF_TYPE_TYPE_212();
static obj_t __cnst[ 11 ] ;
extern obj_t ABSTRACT_CSTRING__BSTRING_HEAP_ABSTRACT_218();
#if defined( __STDC__ )
extern obj_t ENFORCER_TYPE_ENFORCE_109(obj_t, obj_t);
#else
extern obj_t ENFORCER_TYPE_ENFORCE_109();
#endif
extern obj_t READ___READER_198;
extern obj_t CAST_TYPE_CAST_50();
static obj_t PROCEDURE_0_TYPE_ENFORCE_63 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION__TYPE_ENFORCE_66 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t TYPE_TYPE_INITIALISATION_TYPE_TYPE_144();
extern obj_t ABSTRACT_TYPE_ERROR_HEAP_ABSTRACT_137();
#if defined( __STDC__ )
extern obj_t __TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_101(obj_t);
#else
extern obj_t __TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_101();
#endif
extern obj_t __BOOL__FOREIGN_ATOMIC_92;
extern obj_t c_constant_string_to_string();
extern obj_t __UNSAFE_TYPE__ENGINE_PARAM_0;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
extern obj_t ___READER_INITIALISATION___READER_22();
#if defined( __STDC__ )
static obj_t ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33(obj_t, obj_t);
#else
static obj_t ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33();
#endif
extern obj_t make_fx_procedure();
extern obj_t TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
extern obj_t HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
extern obj_t TYPE_CAST_INITIALISATION_TYPE_CAST_70();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
#if defined( __STDC__ )
extern obj_t ENFORCE_PROCEDURE_TYPE_ENFORCE_25(obj_t, obj_t);
#else
extern obj_t ENFORCE_PROCEDURE_TYPE_ENFORCE_25();
#endif
extern obj_t ABSTRACT_HEAP_ABSTRACT_235();
#if defined( __STDC__ )
extern obj_t __ENFORCER_TYPE_ENFORCE_102(obj_t, obj_t, obj_t);
#else
extern obj_t __ENFORCER_TYPE_ENFORCE_102();
#endif
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
extern obj_t TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();

static obj_t LAMBDA_1_0_367_237();
static obj_t LAMBDA_1_1_377_96();
static obj_t CHECK_ATOM_382_222();

obj_t
#if defined( __STDC__ )
TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130()
#else
TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__TYPE_ENFORCE_66 ))
{
REQUIRE_INITIALISATION__TYPE_ENFORCE_66=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
SCAN_LEXICAL_INITIALISATION_SCAN_LEXICAL_121();
FOREIGN_ATOMIC_INITIALISATION_FOREIGN_ATOMIC_195();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
TYPE_TYPE_INITIALISATION_TYPE_TYPE_144();
TOOLS_SHAPE_INITIALISATION_TOOLS_SHAPE_116();
TYPE_CAST_INITIALISATION_TYPE_CAST_70();
HEAP_ABSTRACT_INITIALISATION_HEAP_ABSTRACT_171();
TOOLS_ERROR_INITIALISATION_TOOLS_ERROR_111();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 11 ]  );
{obj_t PORT_529_89;
{obj_t AUX_549_229;
AUX_549_229=c_constant_string_to_string( "TYPE-AUX LOCAL GLOBAL CIF PROCEDURE-CORRECT-ARITY? FAILURE #\"Wrong number of arguments for\" QUOTE C-PROCEDURE? LET PROCEDURE " );PORT_529_89=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_549_229 );}{obj_t OFFSET_530_36;
{
OFFSET_530_36=BINT( 10 );
{_LOOP_531_221:

if( LT_I( OFFSET_530_36, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_550_55;
AUX_550_55=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_529_89, BEOA );CNST_TABLE_SET( OFFSET_530_36, AUX_550_55 );}
{obj_t OFFSET_551_10;
OFFSET_551_10=OFFSET_530_36;{
OFFSET_530_36=SUB_I( OFFSET_551_10, BINT( 1 ) );
goto _LOOP_531_221;
}}
}}
}}}
PROCEDURE_0_TYPE_ENFORCE_63=make_fx_procedure( LAMBDA_1_0_367_237, 1, 0 );
{
TYPE_ENFORCE_INITIALISATION_ENV_TYPE_ENFORCE_120=make_fx_procedure( __TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_101, 0, 0 );
ENFORCE_PROCEDURE_ENV_TYPE_ENFORCE_65=make_fx_procedure( __ENFORCE_PROCEDURE_TYPE_ENFORCE_212, 2, 0 );
ENFORCER_ENV_TYPE_ENFORCE_209=make_fx_procedure( __ENFORCER_TYPE_ENFORCE_102, 2, 0 );
{
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_101(obj_t ENV_528_55)
#else
__TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_101( ENV_528_55 )
obj_t ENV_528_55;
#endif
{

return TYPE_ENFORCE_INITIALISATION_TYPE_ENFORCE_130();
}

obj_t
#if defined( __STDC__ )
ENFORCE_PROCEDURE_TYPE_ENFORCE_25(obj_t ARITY_365_253,obj_t PROC_366_171)
#else
ENFORCE_PROCEDURE_TYPE_ENFORCE_25( ARITY_365_253, PROC_366_171 )
obj_t ARITY_365_253, PROC_366_171;
#endif
{

{obj_t PROCEDURE_454_18;
if( BBOOL_TO_CBOOL( __UNSAFE_TYPE__ENGINE_PARAM_0 ))
PROCEDURE_454_18=PROC_366_171;else
{obj_t LAMBDA_1_0_ENV_525_126;
LAMBDA_1_0_ENV_525_126=PROCEDURE_0_TYPE_ENFORCE_63;{obj_t A_FUNCTION_483_93;
A_FUNCTION_483_93=LAMBDA_1_0_ENV_525_126;PROCEDURE_454_18=CHECK_TYPE_ENFORCE_24( A_FUNCTION_483_93, PROC_366_171, CNST_TABLE_REF( 0 ) );}}if( BBOOL_TO_CBOOL( __UNSAFE_ARITY__ENGINE_PARAM_35 ))
return PROCEDURE_454_18;else
if( PAIRP( PROCEDURE_454_18 ))
{obj_t AUX_455_69;
AUX_455_69=GET_TYPE_AUX_VAR_TYPE_ENFORCE_173( PROC_366_171 );{obj_t VA_ARG_484_183;
VA_ARG_484_183=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_485_167;
{obj_t AUX_546_248;
AUX_546_248=ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33( ARITY_365_253, AUX_455_69 );VA_ARG_485_167=MAKE_PAIR( AUX_546_248, VA_ARG_484_183 );}{obj_t VA_ARG_486_238;
{obj_t VA_ARG_487_157;
VA_ARG_487_157=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_488_22;
VA_ARG_488_22=MAKE_PAIR( PROCEDURE_454_18, VA_ARG_487_157 );{obj_t VA_ARG_489_58;
VA_ARG_489_58=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_547_243;
{obj_t AUX_548_123;
AUX_548_123=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_455_69, VA_ARG_488_22 );AUX_547_243=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_548_123, VA_ARG_489_58 );}VA_ARG_486_238=MAKE_PAIR( AUX_547_243, VA_ARG_485_167 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 1 ), VA_ARG_486_238 );}}}}else
return ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33( ARITY_365_253, PROCEDURE_454_18 );}
}

obj_t
#if defined( __STDC__ )
__ENFORCE_PROCEDURE_TYPE_ENFORCE_212(obj_t ENV_527_130,obj_t ARITY_365_253,obj_t PROC_366_171)
#else
__ENFORCE_PROCEDURE_TYPE_ENFORCE_212( ENV_527_130, ARITY_365_253, PROC_366_171 )
obj_t ENV_527_130, ARITY_365_253, PROC_366_171;
#endif
{

return ENFORCE_PROCEDURE_TYPE_ENFORCE_25( ARITY_365_253, PROC_366_171 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_367_237(obj_t LAMBDA_1_0_ENV_526_171,obj_t EXP_368_247)
#else
LAMBDA_1_0_367_237( LAMBDA_1_0_ENV_526_171, EXP_368_247 )
obj_t LAMBDA_1_0_ENV_526_171, EXP_368_247;
#endif
{

{obj_t VA_ARG_482_172;
VA_ARG_482_172=MAKE_PAIR( EXP_368_247, BNIL );return ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 2 ), VA_ARG_482_172 );}
}

static obj_t
#if defined( __STDC__ )
ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33(obj_t ARITY_373_195,obj_t PROCEDURE_374_94)
#else
ENFORCE_ATOM_ARITY_TYPE_ENFORCE_33( ARITY_373_195, PROCEDURE_374_94 )
obj_t ARITY_373_195, PROCEDURE_374_94;
#endif
{

{obj_t VA_ARG_496_72;
VA_ARG_496_72=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_497_77;
{obj_t VA_ARG_502_126;
VA_ARG_502_126=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_503_11;
{obj_t L_460_121;
{obj_t C_CONS_461_154;
{obj_t AUX_541_235;
AUX_541_235=SHAPE_TOOLS_SHAPE_229( PROCEDURE_374_94 );C_CONS_461_154=MAKE_PAIR( AUX_541_235, BNIL );}L_460_121=MAKE_PAIR( CNST_TABLE_REF( 3 ), C_CONS_461_154 );}VA_ARG_503_11=MAKE_PAIR( L_460_121, VA_ARG_502_126 );}{obj_t VA_ARG_504_193;
{obj_t STRING_CAST_506_113;
STRING_CAST_506_113=CNST_TABLE_REF( 4 );{obj_t AUX_542_163;
AUX_542_163=ABSTRACT_CSTRING__BSTRING_HEAP_ABSTRACT_218( STRING_CAST_506_113 );VA_ARG_504_193=MAKE_PAIR( AUX_542_163, VA_ARG_503_11 );}}{obj_t VA_ARG_505_239;
{obj_t L_458_159;
{obj_t C_CONS_459_123;
{obj_t AUX_543_200;
AUX_543_200=CURRENT_FUNCTION_TOOLS_ERROR_77();C_CONS_459_123=MAKE_PAIR( AUX_543_200, BNIL );}L_458_159=MAKE_PAIR( CNST_TABLE_REF( 3 ), C_CONS_459_123 );}VA_ARG_505_239=MAKE_PAIR( L_458_159, VA_ARG_504_193 );}{obj_t AUX_544_219;
AUX_544_219=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 5 ), VA_ARG_505_239 );VA_ARG_497_77=MAKE_PAIR( AUX_544_219, VA_ARG_496_72 );}}}}}{obj_t VA_ARG_498_164;
VA_ARG_498_164=MAKE_PAIR( PROCEDURE_374_94, VA_ARG_497_77 );{obj_t VA_ARG_499_29;
{obj_t VA_ARG_500_5;
VA_ARG_500_5=MAKE_PAIR( ARITY_373_195, BNIL );{obj_t VA_ARG_501_171;
VA_ARG_501_171=MAKE_PAIR( PROCEDURE_374_94, VA_ARG_500_5 );{obj_t AUX_545_10;
AUX_545_10=ABSTRACT_HEAP_ABSTRACT_235( CNST_TABLE_REF( 6 ), VA_ARG_501_171 );VA_ARG_499_29=MAKE_PAIR( AUX_545_10, VA_ARG_498_164 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 7 ), VA_ARG_499_29 );}}}}
}

obj_t
#if defined( __STDC__ )
ENFORCER_TYPE_ENFORCE_109(obj_t CHECKER_375_216,obj_t TYPE_NAME_376_73)
#else
ENFORCER_TYPE_ENFORCE_109( CHECKER_375_216, TYPE_NAME_376_73 )
obj_t CHECKER_375_216, TYPE_NAME_376_73;
#endif
{

{obj_t LAMBDA_1_1_ENV_522_214;
LAMBDA_1_1_ENV_522_214=make_fx_procedure( LAMBDA_1_1_377_96, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_1_ENV_522_214, 1, TYPE_NAME_376_73 );
PROCEDURE_ENV_SET( LAMBDA_1_1_ENV_522_214, 0, CHECKER_375_216 );
return LAMBDA_1_1_ENV_522_214;
}}
}

obj_t
#if defined( __STDC__ )
__ENFORCER_TYPE_ENFORCE_102(obj_t ENV_524_245,obj_t CHECKER_375_216,obj_t TYPE_NAME_376_73)
#else
__ENFORCER_TYPE_ENFORCE_102( ENV_524_245, CHECKER_375_216, TYPE_NAME_376_73 )
obj_t ENV_524_245, CHECKER_375_216, TYPE_NAME_376_73;
#endif
{

return ENFORCER_TYPE_ENFORCE_109( CHECKER_375_216, TYPE_NAME_376_73 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_1_377_96(obj_t LAMBDA_1_1_ENV_523_18,obj_t EXP_378_254)
#else
LAMBDA_1_1_377_96( LAMBDA_1_1_ENV_523_18, EXP_378_254 )
obj_t LAMBDA_1_1_ENV_523_18, EXP_378_254;
#endif
{

{obj_t CHECKER_375_216, TYPE_NAME_376_73;
CHECKER_375_216=PROCEDURE_ENV_REF( LAMBDA_1_1_ENV_523_18, 0 );TYPE_NAME_376_73=PROCEDURE_ENV_REF( LAMBDA_1_1_ENV_523_18, 1 );if( BBOOL_TO_CBOOL( __UNSAFE_TYPE__ENGINE_PARAM_0 ))
return EXP_378_254;else
return CHECK_TYPE_ENFORCE_24( CHECKER_375_216, EXP_378_254, TYPE_NAME_376_73 );}
}

static obj_t
#if defined( __STDC__ )
CHECK_TYPE_ENFORCE_24(obj_t CHECKER_379_37,obj_t EXP_380_224,obj_t TYPE_381_143)
#else
CHECK_TYPE_ENFORCE_24( CHECKER_379_37, EXP_380_224, TYPE_381_143 )
obj_t CHECKER_379_37, EXP_380_224, TYPE_381_143;
#endif
{

if( PAIRP( EXP_380_224 ))
{obj_t AUX_383_24;
AUX_383_24=GET_TYPE_AUX_VAR_TYPE_ENFORCE_173( EXP_380_224 );{obj_t VA_ARG_516_2;
VA_ARG_516_2=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_517_15;
{obj_t AUX_538_32;
AUX_538_32=CHECK_ATOM_382_222( CHECKER_379_37, TYPE_381_143, AUX_383_24 );VA_ARG_517_15=MAKE_PAIR( AUX_538_32, VA_ARG_516_2 );}{obj_t VA_ARG_518_211;
{obj_t VA_ARG_519_57;
VA_ARG_519_57=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_520_222;
VA_ARG_520_222=MAKE_PAIR( EXP_380_224, VA_ARG_519_57 );{obj_t VA_ARG_521_235;
VA_ARG_521_235=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_539_13;
{obj_t AUX_540_222;
AUX_540_222=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_383_24, VA_ARG_520_222 );AUX_539_13=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_540_222, VA_ARG_521_235 );}VA_ARG_518_211=MAKE_PAIR( AUX_539_13, VA_ARG_517_15 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 1 ), VA_ARG_518_211 );}}}}else
return CHECK_ATOM_382_222( CHECKER_379_37, TYPE_381_143, EXP_380_224 );
}

static obj_t
#if defined( __STDC__ )
CHECK_ATOM_382_222(obj_t CHECKER_379_37,obj_t TYPE_381_143,obj_t EXP_385_43)
#else
CHECK_ATOM_382_222( CHECKER_379_37, TYPE_381_143, EXP_385_43 )
obj_t CHECKER_379_37, TYPE_381_143, EXP_385_43;
#endif
{

{obj_t CHECK_386_68;
CHECK_386_68=PROCEDURE_ENTRY( CHECKER_379_37 )( CHECKER_379_37, EXP_385_43, BEOA );{obj_t VA_ARG_508_108;
VA_ARG_508_108=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_509_191;
{obj_t VA_ARG_512_28;
VA_ARG_512_28=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_513_210;
VA_ARG_513_210=MAKE_PAIR( EXP_385_43, VA_ARG_512_28 );{obj_t VA_ARG_514_115;
{obj_t L_464_208;
{obj_t C_CONS_465_85;
C_CONS_465_85=MAKE_PAIR( TYPE_381_143, BNIL );L_464_208=MAKE_PAIR( CNST_TABLE_REF( 3 ), C_CONS_465_85 );}{obj_t L_466_130;
{obj_t C_CONS_467_237;
{obj_t AUX_532_204;
AUX_532_204=SHAPE_TOOLS_SHAPE_229( EXP_385_43 );C_CONS_467_237=MAKE_PAIR( AUX_532_204, BNIL );}L_466_130=MAKE_PAIR( CNST_TABLE_REF( 3 ), C_CONS_467_237 );}{obj_t AUX_533_247;
AUX_533_247=ABSTRACT_TYPE_ERROR_HEAP_ABSTRACT_137( L_464_208, L_466_130 );VA_ARG_514_115=MAKE_PAIR( AUX_533_247, VA_ARG_513_210 );}}}{obj_t VA_ARG_515_48;
{obj_t L_462_77;
{obj_t C_CONS_463_88;
{obj_t AUX_534_212;
AUX_534_212=CURRENT_FUNCTION_TOOLS_ERROR_77();C_CONS_463_88=MAKE_PAIR( AUX_534_212, BNIL );}L_462_77=MAKE_PAIR( CNST_TABLE_REF( 3 ), C_CONS_463_88 );}VA_ARG_515_48=MAKE_PAIR( L_462_77, VA_ARG_514_115 );}{obj_t AUX_535_224;
AUX_535_224=CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 5 ), VA_ARG_515_48 );VA_ARG_509_191=MAKE_PAIR( AUX_535_224, VA_ARG_508_108 );}}}}}{obj_t VA_ARG_510_186;
VA_ARG_510_186=MAKE_PAIR( EXP_385_43, VA_ARG_509_191 );{obj_t VA_ARG_511_67;
{obj_t AUX_536_220;
{obj_t AUX_537_94;
AUX_537_94=TYPE_OF_TYPE_TYPE_212( CHECK_386_68 );AUX_536_220=CAST_TYPE_CAST_50( CHECK_386_68, AUX_537_94, __BOOL__FOREIGN_ATOMIC_92 );}VA_ARG_511_67=MAKE_PAIR( AUX_536_220, VA_ARG_510_186 );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( CNST_TABLE_REF( 7 ), VA_ARG_511_67 );}}}}}
}

static obj_t
#if defined( __STDC__ )
GET_TYPE_AUX_VAR_TYPE_ENFORCE_173(obj_t EXP_387_204)
#else
GET_TYPE_AUX_VAR_TYPE_ENFORCE_173( EXP_387_204 )
obj_t EXP_387_204;
#endif
{

{obj_t TYPE_AUX_NAME_388_8;
{if( STRUCTP( EXP_387_204 ))
if( EQP( STRUCT_KEY( EXP_387_204 ), CNST_TABLE_REF( 8 ) ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
{TYPE_AUX_NAME_388_8=STRUCT_SLOT_REF( EXP_387_204, BINT( 0 ) );
goto _endif_2;}_false_1:
{if( STRUCTP( EXP_387_204 ))
if( EQP( STRUCT_KEY( EXP_387_204 ), CNST_TABLE_REF( 9 ) ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
{TYPE_AUX_NAME_388_8=STRUCT_SLOT_REF( EXP_387_204, BINT( 0 ) );
goto _endif_5;}_false_4:
TYPE_AUX_NAME_388_8=CNST_TABLE_REF( 10 );_endif_5:
;
}_endif_2:
;
}{obj_t PAIR_473_228;
{obj_t L_476_11;
L_476_11=MAKE_PAIR( TYPE_AUX_NAME_388_8, BNIL );PAIR_473_228=ALLOCATE_LOCAL_VARIABLES_SCAN_LEXICAL_13( L_476_11 );}{obj_t PAIR_474_108;
PAIR_474_108=CAR( PAIR_473_228 );return CDR( PAIR_474_108 );}}}
}

