/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   Write/scheme.c                                                    */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t WRITE_SCHEME_FILE_HEADER_ENV_WRITE_SCHEME_96 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __WRITE_SCHEME_COMMENT_WRITE_SCHEME_87(obj_t, obj_t, obj_t);
#else
extern obj_t __WRITE_SCHEME_COMMENT_WRITE_SCHEME_87();
#endif
extern obj_t __BIGLOO_DATE__ENGINE_PARAM_166;
#if defined( __STDC__ )
extern obj_t WRITE_SCHEME_COMMENT_WRITE_SCHEME_39(obj_t, obj_t);
#else
extern obj_t WRITE_SCHEME_COMMENT_WRITE_SCHEME_39();
#endif
#if defined( __STDC__ )
extern obj_t __WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_201(obj_t, obj_t, obj_t);
#else
extern obj_t __WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_201();
#endif
extern obj_t ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
obj_t WRITE_SCHEME_COMMENT_ENV_WRITE_SCHEME_15 = BUNSPEC;
static obj_t __cnst[ 7 ] ;
extern obj_t __BIGLOO_AUTHOR__ENGINE_PARAM_117;
obj_t WRITE_SCHEME_INITIALISATION_ENV_WRITE_SCHEME_101 = BUNSPEC;
extern obj_t ___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
#if defined( __STDC__ )
extern obj_t __WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_144(obj_t);
#else
extern obj_t __WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_144();
#endif
extern obj_t READ___READER_198;
static obj_t REQUIRE_INITIALISATION__WRITE_SCHEME_12 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t c_constant_string_to_string();
extern obj_t ___READER_INITIALISATION___READER_22();
extern obj_t make_fx_procedure();
extern obj_t NEWLINE___R4_OUTPUT_6_10_3_64();
extern obj_t FPRINT___R4_OUTPUT_6_10_3_45();
extern obj_t WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90();
#if defined( __STDC__ )
extern obj_t WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71(obj_t, obj_t);
#else
extern obj_t WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71();
#endif
extern obj_t __BIGLOO_NAME__ENGINE_PARAM_173;
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();


obj_t
#if defined( __STDC__ )
WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90()
#else
WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION__WRITE_SCHEME_12 ))
{
REQUIRE_INITIALISATION__WRITE_SCHEME_12=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___READER_INITIALISATION___READER_22();
___R4_OUTPUT_6_10_3_INITIALISATION___R4_OUTPUT_6_10_3_145();
ENGINE_PARAM_INITIALISATION_ENGINE_PARAM_252();
DECLARE_CNST_TABLE( __cnst[ 7 ]  );
{obj_t PORT_249_203;
{obj_t AUX_252_117;
AUX_252_117=c_constant_string_to_string( "#\";; \" #\";; =========================================================\" #\";; \" #\" (c)      \" #\";; \" #\";; \" #\";; =========================================================\" " );PORT_249_203=OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( AUX_252_117 );}{obj_t OFFSET_250_147;
{
OFFSET_250_147=BINT( 6 );
{_LOOP_251_234:

if( LT_I( OFFSET_250_147, BINT( 0 ) ))
BUNSPEC;else
{
{obj_t AUX_253_39;
AUX_253_39=PROCEDURE_ENTRY( READ___READER_198 )( READ___READER_198, PORT_249_203, BEOA );CNST_TABLE_SET( OFFSET_250_147, AUX_253_39 );}
{obj_t OFFSET_254_167;
OFFSET_254_167=OFFSET_250_147;{
OFFSET_250_147=SUB_I( OFFSET_254_167, BINT( 1 ) );
goto _LOOP_251_234;
}}
}}
}}}
{
WRITE_SCHEME_INITIALISATION_ENV_WRITE_SCHEME_101=make_fx_procedure( __WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_144, 0, 0 );
WRITE_SCHEME_FILE_HEADER_ENV_WRITE_SCHEME_96=make_fx_procedure( __WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_201, 2, 0 );
WRITE_SCHEME_COMMENT_ENV_WRITE_SCHEME_15=make_fx_procedure( __WRITE_SCHEME_COMMENT_WRITE_SCHEME_87, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
__WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_144(obj_t ENV_248_54)
#else
__WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_144( ENV_248_54 )
obj_t ENV_248_54;
#endif
{

return WRITE_SCHEME_INITIALISATION_WRITE_SCHEME_90();
}

obj_t
#if defined( __STDC__ )
WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71(obj_t PORT_222_100,obj_t STRING_223_102)
#else
WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71( PORT_222_100, STRING_223_102 )
obj_t PORT_222_100, STRING_223_102;
#endif
{

{
{obj_t VA_ARG_226_132;
{obj_t STRING_CAST_227_49;
STRING_CAST_227_49=CNST_TABLE_REF( 0 );VA_ARG_226_132=MAKE_PAIR( STRING_CAST_227_49, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( PORT_222_100, VA_ARG_226_132 );}
{obj_t VA_ARG_228_138;
VA_ARG_228_138=MAKE_PAIR( STRING_223_102, BNIL );{obj_t VA_ARG_229_170;
{obj_t STRING_CAST_230_51;
STRING_CAST_230_51=CNST_TABLE_REF( 1 );VA_ARG_229_170=MAKE_PAIR( STRING_CAST_230_51, VA_ARG_228_138 );}FPRINT___R4_OUTPUT_6_10_3_45( PORT_222_100, VA_ARG_229_170 );}}
{obj_t VA_ARG_231_141;
VA_ARG_231_141=MAKE_PAIR( __BIGLOO_NAME__ENGINE_PARAM_173, BNIL );{obj_t VA_ARG_232_161;
{obj_t STRING_CAST_233_27;
STRING_CAST_233_27=CNST_TABLE_REF( 2 );VA_ARG_232_161=MAKE_PAIR( STRING_CAST_233_27, VA_ARG_231_141 );}FPRINT___R4_OUTPUT_6_10_3_45( PORT_222_100, VA_ARG_232_161 );}}
{obj_t VA_ARG_234_83;
VA_ARG_234_83=MAKE_PAIR( __BIGLOO_DATE__ENGINE_PARAM_166, BNIL );{obj_t VA_ARG_235_128;
{obj_t STRING_CAST_239_132;
STRING_CAST_239_132=CNST_TABLE_REF( 3 );VA_ARG_235_128=MAKE_PAIR( STRING_CAST_239_132, VA_ARG_234_83 );}{obj_t VA_ARG_236_66;
VA_ARG_236_66=MAKE_PAIR( __BIGLOO_AUTHOR__ENGINE_PARAM_117, VA_ARG_235_128 );{obj_t VA_ARG_237_60;
{obj_t STRING_CAST_238_119;
STRING_CAST_238_119=CNST_TABLE_REF( 4 );VA_ARG_237_60=MAKE_PAIR( STRING_CAST_238_119, VA_ARG_236_66 );}FPRINT___R4_OUTPUT_6_10_3_45( PORT_222_100, VA_ARG_237_60 );}}}}
{obj_t VA_ARG_240_31;
{obj_t STRING_CAST_241_55;
STRING_CAST_241_55=CNST_TABLE_REF( 5 );VA_ARG_240_31=MAKE_PAIR( STRING_CAST_241_55, BNIL );}FPRINT___R4_OUTPUT_6_10_3_45( PORT_222_100, VA_ARG_240_31 );}
{obj_t VA_ARG_242_44;
VA_ARG_242_44=MAKE_PAIR( PORT_222_100, BNIL );return NEWLINE___R4_OUTPUT_6_10_3_64( VA_ARG_242_44 );}
}
}

obj_t
#if defined( __STDC__ )
__WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_201(obj_t ENV_247_85,obj_t PORT_222_100,obj_t STRING_223_102)
#else
__WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_201( ENV_247_85, PORT_222_100, STRING_223_102 )
obj_t ENV_247_85, PORT_222_100, STRING_223_102;
#endif
{

return WRITE_SCHEME_FILE_HEADER_WRITE_SCHEME_71( PORT_222_100, STRING_223_102 );
}

obj_t
#if defined( __STDC__ )
WRITE_SCHEME_COMMENT_WRITE_SCHEME_39(obj_t PORT_224_166,obj_t STRING_225_158)
#else
WRITE_SCHEME_COMMENT_WRITE_SCHEME_39( PORT_224_166, STRING_225_158 )
obj_t PORT_224_166, STRING_225_158;
#endif
{

{obj_t VA_ARG_243_38;
VA_ARG_243_38=MAKE_PAIR( STRING_225_158, BNIL );{obj_t VA_ARG_244_216;
{obj_t STRING_CAST_245_164;
STRING_CAST_245_164=CNST_TABLE_REF( 6 );VA_ARG_244_216=MAKE_PAIR( STRING_CAST_245_164, VA_ARG_243_38 );}return FPRINT___R4_OUTPUT_6_10_3_45( PORT_224_166, VA_ARG_244_216 );}}
}

obj_t
#if defined( __STDC__ )
__WRITE_SCHEME_COMMENT_WRITE_SCHEME_87(obj_t ENV_246_178,obj_t PORT_224_166,obj_t STRING_225_158)
#else
__WRITE_SCHEME_COMMENT_WRITE_SCHEME_87( ENV_246_178, PORT_224_166, STRING_225_158 )
obj_t ENV_246_178, PORT_224_166, STRING_225_158;
#endif
{

return WRITE_SCHEME_COMMENT_WRITE_SCHEME_39( PORT_224_166, STRING_225_158 );
}

