/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/equiv.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
static obj_t FOREIGN_15___R4_EQUIVALENCE_6_2_195 = BUNSPEC;
static obj_t OBJ______16___R4_EQUIVALENCE_6_2_130 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EQ____R4_EQUIVALENCE_6_2_70(obj_t, obj_t, obj_t);
#else
extern obj_t __EQ____R4_EQUIVALENCE_6_2_70();
#endif
static obj_t OBJ______5___R4_EQUIVALENCE_6_2_68 = BUNSPEC;
static obj_t VECTOR_6___R4_EQUIVALENCE_6_2_186 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t EQUAL__ENV___R4_EQUIVALENCE_6_2_101 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211(obj_t);
#else
extern obj_t ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
DEFINE_STRING( BIGLOO___0___R4_EQUIVALENCE_6_2_19, "Bigloo (v1.7)", 13);
static obj_t STRING_10___R4_EQUIVALENCE_6_2_115 = BUNSPEC;
static obj_t STRUCT_12___R4_EQUIVALENCE_6_2_125 = BUNSPEC;
static obj_t EQUAL__2___R4_EQUIVALENCE_6_2_85 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EQ____R4_EQUIVALENCE_6_2_163(obj_t, obj_t);
#else
extern obj_t EQ____R4_EQUIVALENCE_6_2_163();
#endif
#if defined( __STDC__ )
extern obj_t __EQUAL____R4_EQUIVALENCE_6_2_13(obj_t, obj_t, obj_t);
#else
extern obj_t __EQUAL____R4_EQUIVALENCE_6_2_13();
#endif
#if defined( __STDC__ )
extern obj_t EQV____R4_EQUIVALENCE_6_2_87(obj_t, obj_t);
#else
extern obj_t EQV____R4_EQUIVALENCE_6_2_87();
#endif
static obj_t REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234(obj_t, obj_t);
#else
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
#endif
extern obj_t _2____R4_NUMBERS_6_5_144();
static obj_t N______8___R4_EQUIVALENCE_6_2_184 = BUNSPEC;
obj_t EQ__ENV___R4_EQUIVALENCE_6_2_54 = BUNSPEC;
static obj_t REAL_11___R4_EQUIVALENCE_6_2_194 = BUNSPEC;
static obj_t N______14___R4_EQUIVALENCE_6_2_154 = BUNSPEC;
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
static obj_t NUMBER_7___R4_EQUIVALENCE_6_2_207 = BUNSPEC;
obj_t EQV__ENV___R4_EQUIVALENCE_6_2_224 = BUNSPEC;
static obj_t LOBJ_____13___R4_EQUIVALENCE_6_2_209 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EQV____R4_EQUIVALENCE_6_2_232(obj_t, obj_t, obj_t);
#else
extern obj_t __EQV____R4_EQUIVALENCE_6_2_232();
#endif
extern obj_t make_fx_procedure();
static obj_t EQUAL____3___R4_EQUIVALENCE_6_2_112 = BUNSPEC;
static obj_t PAIR_4___R4_EQUIVALENCE_6_2_165 = BUNSPEC;
static obj_t ___R__EQU_1___R4_EQUIVALENCE_6_2_216 = BUNSPEC;
extern bool_t bigloo_strcmp();
static obj_t N______9___R4_EQUIVALENCE_6_2_40 = BUNSPEC;
obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION_ENV___R4_EQUIVALENCE_6_2_235 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();


obj_t
#if defined( __STDC__ )
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64()
#else
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213 ))
{
REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___SYSTEM_INITIALISATION___SYSTEM_109();
N______9___R4_EQUIVALENCE_6_2_40=c_string_to_symbol( "N1@264" );
OBJ______5___R4_EQUIVALENCE_6_2_68=c_string_to_symbol( "OBJ2@227" );
VECTOR_6___R4_EQUIVALENCE_6_2_186=c_string_to_symbol( "VECTOR" );
___R__EQU_1___R4_EQUIVALENCE_6_2_216=c_string_to_symbol( "__R4_EQUIVALENCE_6_2" );
N______8___R4_EQUIVALENCE_6_2_184=c_string_to_symbol( "N2@265" );
FOREIGN_15___R4_EQUIVALENCE_6_2_195=c_string_to_symbol( "FOREIGN" );
EQUAL__2___R4_EQUIVALENCE_6_2_85=c_string_to_symbol( "EQUAL?" );
LOBJ_____13___R4_EQUIVALENCE_6_2_209=c_string_to_symbol( "LOBJ1@240" );
PAIR_4___R4_EQUIVALENCE_6_2_165=c_string_to_symbol( "PAIR" );
N______14___R4_EQUIVALENCE_6_2_154=c_string_to_symbol( "N1@282" );
OBJ______16___R4_EQUIVALENCE_6_2_130=c_string_to_symbol( "OBJ1@226" );
STRUCT_12___R4_EQUIVALENCE_6_2_125=c_string_to_symbol( "STRUCT" );
NUMBER_7___R4_EQUIVALENCE_6_2_207=c_string_to_symbol( "NUMBER" );
REAL_11___R4_EQUIVALENCE_6_2_194=c_string_to_symbol( "REAL" );
STRING_10___R4_EQUIVALENCE_6_2_115=c_string_to_symbol( "STRING" );
EQUAL____3___R4_EQUIVALENCE_6_2_112=c_string_to_symbol( "EQUAL?@__R4_EQUIVALENCE_6_2" );
{
___R4_EQUIVALENCE_6_2_INITIALISATION_ENV___R4_EQUIVALENCE_6_2_235=make_fx_procedure( ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211, 0, 0 );
EQ__ENV___R4_EQUIVALENCE_6_2_54=make_fx_procedure( __EQ____R4_EQUIVALENCE_6_2_70, 2, 0 );
EQV__ENV___R4_EQUIVALENCE_6_2_224=make_fx_procedure( __EQV____R4_EQUIVALENCE_6_2_232, 2, 0 );
EQUAL__ENV___R4_EQUIVALENCE_6_2_101=make_fx_procedure( __EQUAL____R4_EQUIVALENCE_6_2_13, 2, 0 );
{
{obj_t STRING_CAST_293_67;
STRING_CAST_293_67=BREF( &BIGLOO___0___R4_EQUIVALENCE_6_2_19);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__EQU_1___R4_EQUIVALENCE_6_2_216, STRING_CAST_293_67, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211(obj_t ENV_297_21)
#else
____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211( ENV_297_21 )
obj_t ENV_297_21;
#endif
{

return ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
}

obj_t
#if defined( __STDC__ )
EQ____R4_EQUIVALENCE_6_2_163(obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
EQ____R4_EQUIVALENCE_6_2_163( OBJ1_222_242, OBJ2_223_212 )
obj_t OBJ1_222_242, OBJ2_223_212;
#endif
{

return CBOOL_TO_BBOOL( EQP( OBJ1_222_242, OBJ2_223_212 ) );
}

obj_t
#if defined( __STDC__ )
__EQ____R4_EQUIVALENCE_6_2_70(obj_t ENV_296_98,obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
__EQ____R4_EQUIVALENCE_6_2_70( ENV_296_98, OBJ1_222_242, OBJ2_223_212 )
obj_t ENV_296_98, OBJ1_222_242, OBJ2_223_212;
#endif
{

return EQ____R4_EQUIVALENCE_6_2_163( OBJ1_222_242, OBJ2_223_212 );
}

obj_t
#if defined( __STDC__ )
EQV____R4_EQUIVALENCE_6_2_87(obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
EQV____R4_EQUIVALENCE_6_2_87( OBJ1_224_171, OBJ2_225_204 )
obj_t OBJ1_224_171, OBJ2_225_204;
#endif
{

return CBOOL_TO_BBOOL( EQP( OBJ1_224_171, OBJ2_225_204 ) );
}

obj_t
#if defined( __STDC__ )
__EQV____R4_EQUIVALENCE_6_2_232(obj_t ENV_295_113,obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
__EQV____R4_EQUIVALENCE_6_2_232( ENV_295_113, OBJ1_224_171, OBJ2_225_204 )
obj_t ENV_295_113, OBJ1_224_171, OBJ2_225_204;
#endif
{

return EQV____R4_EQUIVALENCE_6_2_87( OBJ1_224_171, OBJ2_225_204 );
}

obj_t
#if defined( __STDC__ )
EQUAL____R4_EQUIVALENCE_6_2_234(obj_t OBJ1_226_11,obj_t OBJ2_227_43)
#else
EQUAL____R4_EQUIVALENCE_6_2_234( OBJ1_226_11, OBJ2_227_43 )
obj_t OBJ1_226_11, OBJ2_227_43;
#endif
{

{
PUSH_LAMBDA_TRACE( EQUAL__2___R4_EQUIVALENCE_6_2_85 );
{obj_t AUX_320_32;
if( EQP( OBJ1_226_11, OBJ2_227_43 ))
AUX_320_32=BTRUE;else
if( INTEGERP( OBJ1_226_11 ))
AUX_320_32=BFALSE;else
if( SYMBOLP( OBJ1_226_11 ))
AUX_320_32=BFALSE;else
if( PAIRP( OBJ1_226_11 ))
if( PAIRP( OBJ2_227_43 ))
{bool_t __andtest_1015_299_198;
{obj_t AUX_321_13;
{obj_t C_CAR_255_98;
if( PAIRP( OBJ2_227_43 ))
C_CAR_255_98=CAR( OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( PAIR_4___R4_EQUIVALENCE_6_2_165, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );AUX_321_13=EQUAL____R4_EQUIVALENCE_6_2_234( CAR( OBJ1_226_11 ), C_CAR_255_98 );}__andtest_1015_299_198=BBOOL_TO_CBOOL( AUX_321_13 );}if( __andtest_1015_299_198)
{obj_t C_CDR_258_62;
if( PAIRP( OBJ2_227_43 ))
C_CDR_258_62=CDR( OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( PAIR_4___R4_EQUIVALENCE_6_2_165, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );AUX_320_32=EQUAL____R4_EQUIVALENCE_6_2_234( CDR( OBJ1_226_11 ), C_CDR_258_62 );}else
AUX_320_32=BFALSE;}else
AUX_320_32=BFALSE;else
if( VECTORP( OBJ1_226_11 ))
{obj_t LOBJ1_230_177;
LOBJ1_230_177=VECTOR_LENGTH( OBJ1_226_11 );if( VECTORP( OBJ2_227_43 ))
{bool_t __andtest_1010_301_198;
{obj_t AUX_322_187;
{obj_t N1_263_9;
if( VECTORP( OBJ2_227_43 ))
N1_263_9=VECTOR_LENGTH( OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( VECTOR_6___R4_EQUIVALENCE_6_2_186, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );AUX_322_187=CBOOL_TO_BBOOL( EQ_I( N1_263_9, LOBJ1_230_177 ) );}__andtest_1010_301_198=BBOOL_TO_CBOOL( AUX_322_187 );}if( __andtest_1010_301_198)
{bool_t __andtest_1011_304_160;
{obj_t AUX_323_199;
{obj_t N2_265_181;
if( VECTORP( OBJ2_227_43 ))
N2_265_181=VECTOR_TAG( OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( VECTOR_6___R4_EQUIVALENCE_6_2_186, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );{obj_t N1_264_42;
N1_264_42=VECTOR_TAG( OBJ1_226_11 );if( INTEGERP( N1_264_42 ))
if( INTEGERP( N2_265_181 ))
AUX_323_199=CBOOL_TO_BBOOL( EQ_I( N1_264_42, N2_265_181 ) );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( NUMBER_7___R4_EQUIVALENCE_6_2_207, N______8___R4_EQUIVALENCE_6_2_184 ), N2_265_181 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( NUMBER_7___R4_EQUIVALENCE_6_2_207, N______9___R4_EQUIVALENCE_6_2_40 ), N1_264_42 );}}__andtest_1011_304_160=BBOOL_TO_CBOOL( AUX_323_199 );}if( __andtest_1011_304_160)
{obj_t I_235_130;
{
I_235_130=SUB_I_PTAG( LOBJ1_230_177, PSUB_TAG( 1 ) );
{_TEST_234_13:

if( EQ_I( I_235_130, BINT( -1 ) ))
AUX_320_32=CBOOL_TO_BBOOL( EQ_I( I_235_130, BINT( -1 ) ) );else
{bool_t __andtest_1013_306_133;
{obj_t AUX_324_214;
{obj_t C_VECTOR_REF_270_144;
if( VECTORP( OBJ2_227_43 ))
C_VECTOR_REF_270_144=VECTOR_REF( OBJ2_227_43, I_235_130 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( VECTOR_6___R4_EQUIVALENCE_6_2_186, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );AUX_324_214=EQUAL____R4_EQUIVALENCE_6_2_234( VECTOR_REF( OBJ1_226_11, I_235_130 ), C_VECTOR_REF_270_144 );}__andtest_1013_306_133=BBOOL_TO_CBOOL( AUX_324_214 );}if( __andtest_1013_306_133)
{obj_t I_325_45;
I_325_45=I_235_130;{
I_235_130=SUB_I_PTAG( I_325_45, PSUB_TAG( 1 ) );
goto _TEST_234_13;
}}else
AUX_320_32=BFALSE;}}
}}else
AUX_320_32=BFALSE;}else
AUX_320_32=BFALSE;}else
AUX_320_32=BFALSE;}else
if( STRINGP( OBJ1_226_11 ))
if( STRINGP( OBJ2_227_43 ))
if( STRINGP( OBJ2_227_43 ))
AUX_320_32=CBOOL_TO_BBOOL( bigloo_strcmp( OBJ1_226_11, OBJ2_227_43 ) );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( STRING_10___R4_EQUIVALENCE_6_2_115, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );else
AUX_320_32=BFALSE;else
if( REALP( OBJ1_226_11 ))
if( REALP( OBJ2_227_43 ))
if( REALP( OBJ2_227_43 ))
AUX_320_32=CBOOL_TO_BBOOL( EQ_R( OBJ1_226_11, OBJ2_227_43 ) );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( REAL_11___R4_EQUIVALENCE_6_2_194, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );else
AUX_320_32=BFALSE;else
if( STRUCTP( OBJ1_226_11 ))
{obj_t LOBJ1_240_139;
LOBJ1_240_139=STRUCT_LENGTH( OBJ1_226_11 );if( STRUCTP( OBJ2_227_43 ))
{bool_t __andtest_1004_312_189;
{obj_t AUX_326_226;
{obj_t N1_282_203;
if( STRUCTP( OBJ2_227_43 ))
N1_282_203=STRUCT_LENGTH( OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( STRUCT_12___R4_EQUIVALENCE_6_2_125, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );if( INTEGERP( N1_282_203 ))
if( INTEGERP( LOBJ1_240_139 ))
AUX_326_226=CBOOL_TO_BBOOL( EQ_I( N1_282_203, LOBJ1_240_139 ) );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( NUMBER_7___R4_EQUIVALENCE_6_2_207, LOBJ_____13___R4_EQUIVALENCE_6_2_209 ), LOBJ1_240_139 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( NUMBER_7___R4_EQUIVALENCE_6_2_207, N______14___R4_EQUIVALENCE_6_2_154 ), N1_282_203 );}__andtest_1004_312_189=BBOOL_TO_CBOOL( AUX_326_226 );}if( __andtest_1004_312_189)
{obj_t I_244_250;
if( INTEGERP( LOBJ1_240_139 ))
{
I_244_250=SUB_I_PTAG( LOBJ1_240_139, PSUB_TAG( 1 ) );
{_TEST_243_34:

if( EQ_I( I_244_250, BINT( -1 ) ))
AUX_320_32=CBOOL_TO_BBOOL( EQ_I( I_244_250, BINT( -1 ) ) );else
{bool_t __andtest_1006_314_128;
{obj_t AUX_327_84;
{obj_t C_STRUCT_REF_286_203;
if( STRUCTP( OBJ2_227_43 ))
C_STRUCT_REF_286_203=STRUCT_SLOT_REF( OBJ2_227_43, I_244_250 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( STRUCT_12___R4_EQUIVALENCE_6_2_125, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );AUX_327_84=EQUAL____R4_EQUIVALENCE_6_2_234( STRUCT_SLOT_REF( OBJ1_226_11, I_244_250 ), C_STRUCT_REF_286_203 );}__andtest_1006_314_128=BBOOL_TO_CBOOL( AUX_327_84 );}if( __andtest_1006_314_128)
{obj_t I_328_71;
I_328_71=I_244_250;{
I_244_250=SUB_I_PTAG( I_328_71, PSUB_TAG( 1 ) );
goto _TEST_243_34;
}}else
AUX_320_32=BFALSE;}}
}else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( NUMBER_7___R4_EQUIVALENCE_6_2_207, LOBJ_____13___R4_EQUIVALENCE_6_2_209 ), LOBJ1_240_139 );}else
AUX_320_32=BFALSE;}else
AUX_320_32=BFALSE;}else
if( FOREIGNP( OBJ1_226_11 ))
{bool_t __andtest_1002_315_187;
__andtest_1002_315_187=FOREIGNP( OBJ2_227_43 );if( __andtest_1002_315_187)
if( FOREIGNP( OBJ1_226_11 ))
if( FOREIGNP( OBJ2_227_43 ))
{bool_t AUX_329_196;
AUX_329_196=FOREIGN_EQP( OBJ1_226_11, OBJ2_227_43 );AUX_320_32=CBOOL_TO_BBOOL( AUX_329_196 );}else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( FOREIGN_15___R4_EQUIVALENCE_6_2_195, OBJ______5___R4_EQUIVALENCE_6_2_68 ), OBJ2_227_43 );else
FAILURE( EQUAL____3___R4_EQUIVALENCE_6_2_112, TYPE_ERROR___ERROR_146( FOREIGN_15___R4_EQUIVALENCE_6_2_195, OBJ______16___R4_EQUIVALENCE_6_2_130 ), OBJ1_226_11 );else
AUX_320_32=BFALSE;}else
if( CELLP( OBJ1_226_11 ))
{bool_t __andtest_1001_316_236;
__andtest_1001_316_236=CELLP( OBJ2_227_43 );if( __andtest_1001_316_236)
{obj_t AUX_331_181, AUX_330_12;
AUX_331_181=CELL_REF( OBJ2_227_43 );AUX_330_12=CELL_REF( OBJ1_226_11 );AUX_320_32=EQUAL____R4_EQUIVALENCE_6_2_234( AUX_330_12, AUX_331_181 );}else
AUX_320_32=BFALSE;}else
{if( INTEGERP( OBJ1_226_11 ))
goto _true_0;else
goto _false_1;_true_0:
{obj_t AUX_332_103;
if( INTEGERP( OBJ2_227_43 ))
AUX_332_103=CBOOL_TO_BBOOL( INTEGERP( OBJ2_227_43 ) );else
AUX_332_103=CBOOL_TO_BBOOL( REALP( OBJ2_227_43 ) );if( BBOOL_TO_CBOOL( AUX_332_103 ))
{AUX_320_32=_2____R4_NUMBERS_6_5_144( OBJ1_226_11, OBJ2_227_43 );
goto _endif_2;}else
{AUX_320_32=BFALSE;
goto _endif_2;}}_false_1:
AUX_320_32=BFALSE;_endif_2:
;
}return POP_LAMBDA_TRACE( AUX_320_32 );}
}
}

obj_t
#if defined( __STDC__ )
__EQUAL____R4_EQUIVALENCE_6_2_13(obj_t ENV_294_112,obj_t OBJ1_226_11,obj_t OBJ2_227_43)
#else
__EQUAL____R4_EQUIVALENCE_6_2_13( ENV_294_112, OBJ1_226_11, OBJ2_227_43 )
obj_t ENV_294_112, OBJ1_226_11, OBJ2_227_43;
#endif
{

return EQUAL____R4_EQUIVALENCE_6_2_234( OBJ1_226_11, OBJ2_227_43 );
}

