/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/flonum.c                                               */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __ACOSFL___R4_NUMBERS_6_5_FLONUM_63(obj_t, obj_t);
#else
extern obj_t __ACOSFL___R4_NUMBERS_6_5_FLONUM_63();
#endif
obj_t NEGFL_ENV___R4_NUMBERS_6_5_FLONUM_211 = BUNSPEC;
static obj_t __FL___R__27___R4_NUMBERS_6_5_FLONUM_90 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPFL___R4_NUMBERS_6_5_FLONUM_47(obj_t);
#else
extern obj_t EXPFL___R4_NUMBERS_6_5_FLONUM_47();
#endif
static obj_t REAL_3___R4_NUMBERS_6_5_FLONUM_119 = BUNSPEC;
static obj_t R______43___R4_NUMBERS_6_5_FLONUM_173 = BUNSPEC;
obj_t EXPTFL_ENV___R4_NUMBERS_6_5_FLONUM_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPTFL___R4_NUMBERS_6_5_FLONUM_132(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPTFL___R4_NUMBERS_6_5_FLONUM_132();
#endif
static obj_t SINFL____63___R4_NUMBERS_6_5_FLONUM_152 = BUNSPEC;
obj_t TANFL_ENV___R4_NUMBERS_6_5_FLONUM_14 = BUNSPEC;
static obj_t X_____64___R4_NUMBERS_6_5_FLONUM_14 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPFL___R4_NUMBERS_6_5_FLONUM_197(obj_t, obj_t);
#else
extern obj_t __EXPFL___R4_NUMBERS_6_5_FLONUM_197();
#endif
#if defined( __STDC__ )
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_14(obj_t, obj_t, obj_t);
#else
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_14();
#endif
#if defined( __STDC__ )
extern obj_t __MAXFL___R4_NUMBERS_6_5_FLONUM_123(obj_t, obj_t, obj_t);
#else
extern obj_t __MAXFL___R4_NUMBERS_6_5_FLONUM_123();
#endif
obj_t MAXFL_ENV___R4_NUMBERS_6_5_FLONUM_138 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REAL____R4_NUMBERS_6_5_FLONUM_86(obj_t);
#else
extern obj_t REAL____R4_NUMBERS_6_5_FLONUM_86();
#endif
static obj_t R______25___R4_NUMBERS_6_5_FLONUM_73 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_109 = BUNSPEC;
DEFINE_REAL( A_REAL_76___R4_NUMBERS_6_5_FLONUM_174, 0.);
#if defined( __STDC__ )
extern obj_t __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80(obj_t, obj_t);
#else
extern obj_t __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80();
#endif
static obj_t R______89___R4_NUMBERS_6_5_FLONUM_109 = BUNSPEC;
obj_t LOGFL_ENV___R4_NUMBERS_6_5_FLONUM_199 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ASINFL___R4_NUMBERS_6_5_FLONUM_47(obj_t, obj_t);
#else
extern obj_t __ASINFL___R4_NUMBERS_6_5_FLONUM_47();
#endif
#if defined( __STDC__ )
extern obj_t ACOSFL___R4_NUMBERS_6_5_FLONUM_151(obj_t);
#else
extern obj_t ACOSFL___R4_NUMBERS_6_5_FLONUM_151();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_87(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_87();
#endif
#if defined( __STDC__ )
extern obj_t EXPTFL___R4_NUMBERS_6_5_FLONUM_138(obj_t, obj_t);
#else
extern obj_t EXPTFL___R4_NUMBERS_6_5_FLONUM_138();
#endif
static obj_t __FL___R__30___R4_NUMBERS_6_5_FLONUM_43 = BUNSPEC;
obj_t NEGATIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131(obj_t, obj_t);
#else
extern obj_t __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131();
#endif
static obj_t Y_____75___R4_NUMBERS_6_5_FLONUM_232 = BUNSPEC;
static obj_t R______17___R4_NUMBERS_6_5_FLONUM_35 = BUNSPEC;
obj_t ROUNDFL_ENV___R4_NUMBERS_6_5_FLONUM_25 = BUNSPEC;
static obj_t REAL__ST_93___R4_NUMBERS_6_5_FLONUM_162 = BUNSPEC;
static obj_t STRING_91___R4_NUMBERS_6_5_FLONUM_65 = BUNSPEC;
static obj_t ACOSFL___71___R4_NUMBERS_6_5_FLONUM_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REAL____R4_NUMBERS_6_5_FLONUM_35(obj_t, obj_t);
#else
extern obj_t __REAL____R4_NUMBERS_6_5_FLONUM_35();
#endif
static obj_t MAXFL_38___R4_NUMBERS_6_5_FLONUM_40 = BUNSPEC;
DEFINE_STRING( ATANFL_79___R4_NUMBERS_6_5_FLONUM_38, "atanfl", 6);
obj_t ASINFL_ENV___R4_NUMBERS_6_5_FLONUM_54 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_176 = BUNSPEC;
static obj_t STRING___90___R4_NUMBERS_6_5_FLONUM_168 = BUNSPEC;
static obj_t R______8___R4_NUMBERS_6_5_FLONUM_129 = BUNSPEC;
static obj_t R______35___R4_NUMBERS_6_5_FLONUM_227 = BUNSPEC;
static obj_t MAXFL____39___R4_NUMBERS_6_5_FLONUM_229 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172(obj_t, obj_t);
#else
extern obj_t __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172();
#endif
obj_t CEILINGFL_ENV___R4_NUMBERS_6_5_FLONUM_213 = BUNSPEC;
static obj_t Y_____78___R4_NUMBERS_6_5_FLONUM_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95(obj_t, obj_t);
#else
extern obj_t __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95();
#endif
static obj_t R______34___R4_NUMBERS_6_5_FLONUM_59 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t EXPFL____59___R4_NUMBERS_6_5_FLONUM_90 = BUNSPEC;
static obj_t R_____50___R4_NUMBERS_6_5_FLONUM_52 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_179(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_179();
#endif
static obj_t R______16___R4_NUMBERS_6_5_FLONUM_71 = BUNSPEC;
extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_133(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_133();
#endif
obj_t ATANFL_ENV___R4_NUMBERS_6_5_FLONUM_195 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FLOORFL___R4_NUMBERS_6_5_FLONUM_36(obj_t);
#else
extern obj_t FLOORFL___R4_NUMBERS_6_5_FLONUM_36();
#endif
static obj_t MINFL_44___R4_NUMBERS_6_5_FLONUM_148 = BUNSPEC;
static obj_t ASINFL___69___R4_NUMBERS_6_5_FLONUM_239 = BUNSPEC;
static obj_t MIN_____47___R4_NUMBERS_6_5_FLONUM_231 = BUNSPEC;
static obj_t REAL_____94___R4_NUMBERS_6_5_FLONUM_53 = BUNSPEC;
static obj_t __FL___R__24___R4_NUMBERS_6_5_FLONUM_248 = BUNSPEC;
obj_t REAL__ENV___R4_NUMBERS_6_5_FLONUM_104 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_10 = BUNSPEC;
static obj_t COSFL____65___R4_NUMBERS_6_5_FLONUM_24 = BUNSPEC;
static obj_t R______26___R4_NUMBERS_6_5_FLONUM_199 = BUNSPEC;
static obj_t ABSFL____49___R4_NUMBERS_6_5_FLONUM_39 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
static obj_t R_____86___R4_NUMBERS_6_5_FLONUM_250 = BUNSPEC;
static obj_t EXPTFL___87___R4_NUMBERS_6_5_FLONUM_71 = BUNSPEC;
static obj_t __FL___R__2___R4_NUMBERS_6_5_FLONUM_246 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ATANFL___R4_NUMBERS_6_5_FLONUM_207(obj_t, obj_t);
#else
extern obj_t ATANFL___R4_NUMBERS_6_5_FLONUM_207();
#endif
#if defined( __STDC__ )
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_223(obj_t, obj_t, obj_t);
#else
extern obj_t ____FL___R4_NUMBERS_6_5_FLONUM_223();
#endif
obj_t SINFL_ENV___R4_NUMBERS_6_5_FLONUM_131 = BUNSPEC;
DEFINE_REAL( A_REAL_77___R4_NUMBERS_6_5_FLONUM_173, 0.);
#if defined( __STDC__ )
extern obj_t LOGFL___R4_NUMBERS_6_5_FLONUM_35(obj_t);
#else
extern obj_t LOGFL___R4_NUMBERS_6_5_FLONUM_35();
#endif
obj_t FLOORFL_ENV___R4_NUMBERS_6_5_FLONUM_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229(obj_t, obj_t);
#else
extern obj_t __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229();
#endif
DEFINE_STRING( DOMAIN_E_80___R4_NUMBERS_6_5_FLONUM_70, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t COSFL___R4_NUMBERS_6_5_FLONUM_153(obj_t);
#else
extern obj_t COSFL___R4_NUMBERS_6_5_FLONUM_153();
#endif
#if defined( __STDC__ )
extern obj_t __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54(obj_t, obj_t);
#else
extern obj_t __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54();
#endif
static obj_t ROUNDFL__57___R4_NUMBERS_6_5_FLONUM_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_46(obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_46();
#endif
static obj_t R______88___R4_NUMBERS_6_5_FLONUM_234 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106(obj_t);
#else
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106();
#endif
DEFINE_STRING( BIGLOO___0___R4_NUMBERS_6_5_FLONUM_66, "Bigloo (v1.7)", 13);
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_85(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_85();
#endif
#if defined( __STDC__ )
extern obj_t __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15(obj_t, obj_t);
#else
extern obj_t __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15();
#endif
#if defined( __STDC__ )
extern obj_t __LOGFL___R4_NUMBERS_6_5_FLONUM_143(obj_t, obj_t);
#else
extern obj_t __LOGFL___R4_NUMBERS_6_5_FLONUM_143();
#endif
#if defined( __STDC__ )
extern obj_t __NEGFL___R4_NUMBERS_6_5_FLONUM_116(obj_t, obj_t);
#else
extern obj_t __NEGFL___R4_NUMBERS_6_5_FLONUM_116();
#endif
static obj_t PAIR_40___R4_NUMBERS_6_5_FLONUM_180 = BUNSPEC;
obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION_ENV___R4_NUMBERS_6_5_FLONUM_20 = BUNSPEC;
static obj_t RN_____46___R4_NUMBERS_6_5_FLONUM_54 = BUNSPEC;
static obj_t POSITIVE_20___R4_NUMBERS_6_5_FLONUM_59 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MINFL___R4_NUMBERS_6_5_FLONUM_5(obj_t, obj_t, obj_t);
#else
extern obj_t __MINFL___R4_NUMBERS_6_5_FLONUM_5();
#endif
static obj_t FLOORFL__51___R4_NUMBERS_6_5_FLONUM_87 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100(obj_t);
#else
extern obj_t POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100();
#endif
#if defined( __STDC__ )
extern obj_t SQRTFL___R4_NUMBERS_6_5_FLONUM_117(obj_t);
#else
extern obj_t SQRTFL___R4_NUMBERS_6_5_FLONUM_117();
#endif
static obj_t CEILINGF_53___R4_NUMBERS_6_5_FLONUM_140 = BUNSPEC;
static obj_t R_____54___R4_NUMBERS_6_5_FLONUM_191 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t NEGFL___R4_NUMBERS_6_5_FLONUM_14(obj_t);
#else
extern obj_t NEGFL___R4_NUMBERS_6_5_FLONUM_14();
#endif
static obj_t R_____23___R4_NUMBERS_6_5_FLONUM_251 = BUNSPEC;
static obj_t MINFL____45___R4_NUMBERS_6_5_FLONUM_189 = BUNSPEC;
obj_t ACOSFL_ENV___R4_NUMBERS_6_5_FLONUM_109 = BUNSPEC;
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_45 = BUNSPEC;
static obj_t R______48___R4_NUMBERS_6_5_FLONUM_102 = BUNSPEC;
static obj_t X_____70___R4_NUMBERS_6_5_FLONUM_97 = BUNSPEC;
static obj_t TANFL____67___R4_NUMBERS_6_5_FLONUM_38 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_11(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_11();
#endif
static obj_t REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ROUNDFL___R4_NUMBERS_6_5_FLONUM_152(obj_t);
#else
extern obj_t ROUNDFL___R4_NUMBERS_6_5_FLONUM_152();
#endif
static obj_t STRING___92___R4_NUMBERS_6_5_FLONUM_183 = BUNSPEC;
static obj_t ZEROFL___18___R4_NUMBERS_6_5_FLONUM_89 = BUNSPEC;
static obj_t R______29___R4_NUMBERS_6_5_FLONUM_154 = BUNSPEC;
DEFINE_REAL( A_REAL_82___R4_NUMBERS_6_5_FLONUM_250, 0.);
#if defined( __STDC__ )
extern obj_t TANFL___R4_NUMBERS_6_5_FLONUM_216(obj_t);
#else
extern obj_t TANFL___R4_NUMBERS_6_5_FLONUM_216();
#endif
static obj_t R______14___R4_NUMBERS_6_5_FLONUM_173 = BUNSPEC;
obj_t TRUNCATEFL_ENV___R4_NUMBERS_6_5_FLONUM_129 = BUNSPEC;
static obj_t RN_____41___R4_NUMBERS_6_5_FLONUM_3 = BUNSPEC;
static obj_t ___FL___R_12___R4_NUMBERS_6_5_FLONUM_133 = BUNSPEC;
obj_t ABSFL_ENV___R4_NUMBERS_6_5_FLONUM_15 = BUNSPEC;
DEFINE_REAL( A_REAL_81___R4_NUMBERS_6_5_FLONUM_118, 0.);
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_94 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_217(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_217();
#endif
static obj_t R______4___R4_NUMBERS_6_5_FLONUM_26 = BUNSPEC;
static obj_t R______10___R4_NUMBERS_6_5_FLONUM_136 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SINFL___R4_NUMBERS_6_5_FLONUM_15(obj_t, obj_t);
#else
extern obj_t __SINFL___R4_NUMBERS_6_5_FLONUM_15();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_72(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_72();
#endif
#if defined( __STDC__ )
extern obj_t MAXFL___R4_NUMBERS_6_5_FLONUM_18(obj_t, obj_t);
#else
extern obj_t MAXFL___R4_NUMBERS_6_5_FLONUM_18();
#endif
#if defined( __STDC__ )
extern obj_t __TANFL___R4_NUMBERS_6_5_FLONUM_17(obj_t, obj_t);
#else
extern obj_t __TANFL___R4_NUMBERS_6_5_FLONUM_17();
#endif
#if defined( __STDC__ )
extern obj_t MINFL___R4_NUMBERS_6_5_FLONUM_231(obj_t, obj_t);
#else
extern obj_t MINFL___R4_NUMBERS_6_5_FLONUM_231();
#endif
obj_t ___FL_ENV___R4_NUMBERS_6_5_FLONUM_100 = BUNSPEC;
static obj_t R______5___R4_NUMBERS_6_5_FLONUM_3 = BUNSPEC;
static obj_t __FL___R__33___R4_NUMBERS_6_5_FLONUM_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REAL__STRING___R4_NUMBERS_6_5_FLONUM_54(obj_t);
#else
extern obj_t REAL__STRING___R4_NUMBERS_6_5_FLONUM_54();
#endif
#if defined( __STDC__ )
extern obj_t SINFL___R4_NUMBERS_6_5_FLONUM_48(obj_t);
#else
extern obj_t SINFL___R4_NUMBERS_6_5_FLONUM_48();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_165(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_165();
#endif
obj_t STRING__REAL_ENV___R4_NUMBERS_6_5_FLONUM_134 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ABSFL___R4_NUMBERS_6_5_FLONUM_242(obj_t, obj_t);
#else
extern obj_t __ABSFL___R4_NUMBERS_6_5_FLONUM_242();
#endif
obj_t ___FL_ENV___R4_NUMBERS_6_5_FLONUM_62 = BUNSPEC;
static obj_t R______31___R4_NUMBERS_6_5_FLONUM_243 = BUNSPEC;
static obj_t X_____72___R4_NUMBERS_6_5_FLONUM_70 = BUNSPEC;
static obj_t MAX_____42___R4_NUMBERS_6_5_FLONUM_132 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112(obj_t);
#else
extern obj_t NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112();
#endif
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_17 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_248(obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_248();
#endif
#if defined( __STDC__ )
extern obj_t __COSFL___R4_NUMBERS_6_5_FLONUM_22(obj_t, obj_t);
#else
extern obj_t __COSFL___R4_NUMBERS_6_5_FLONUM_22();
#endif
static obj_t R______11___R4_NUMBERS_6_5_FLONUM_49 = BUNSPEC;
obj_t REAL__STRING_ENV___R4_NUMBERS_6_5_FLONUM_86 = BUNSPEC;
static obj_t TRUNCATE_55___R4_NUMBERS_6_5_FLONUM_46 = BUNSPEC;
static obj_t X_____62___R4_NUMBERS_6_5_FLONUM_67 = BUNSPEC;
obj_t COSFL_ENV___R4_NUMBERS_6_5_FLONUM_120 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_73(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_73();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_151(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_151();
#endif
static obj_t R_____52___R4_NUMBERS_6_5_FLONUM_75 = BUNSPEC;
static obj_t ATANFL___73___R4_NUMBERS_6_5_FLONUM_154 = BUNSPEC;
static obj_t __FL___R__9___R4_NUMBERS_6_5_FLONUM_86 = BUNSPEC;
obj_t EXPFL_ENV___R4_NUMBERS_6_5_FLONUM_152 = BUNSPEC;
static obj_t R_____21___R4_NUMBERS_6_5_FLONUM_234 = BUNSPEC;
static obj_t ___FL___R_15___R4_NUMBERS_6_5_FLONUM_212 = BUNSPEC;
DEFINE_STRING( DOMAIN_E_84___R4_NUMBERS_6_5_FLONUM_118, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t __SQRTFL___R4_NUMBERS_6_5_FLONUM_116(obj_t, obj_t);
#else
extern obj_t __SQRTFL___R4_NUMBERS_6_5_FLONUM_116();
#endif
extern double strtod();
obj_t ZEROFL__ENV___R4_NUMBERS_6_5_FLONUM_195 = BUNSPEC;
DEFINE_STRING( SQRT_83___R4_NUMBERS_6_5_FLONUM_224, "sqrt", 4);
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_35(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_35();
#endif
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_100(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_100();
#endif
obj_t POSITIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_94 = BUNSPEC;
obj_t SQRTFL_ENV___R4_NUMBERS_6_5_FLONUM_54 = BUNSPEC;
static obj_t NEGFL____36___R4_NUMBERS_6_5_FLONUM_178 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ZEROFL____R4_NUMBERS_6_5_FLONUM_210(obj_t, obj_t);
#else
extern obj_t __ZEROFL____R4_NUMBERS_6_5_FLONUM_210();
#endif
#if defined( __STDC__ )
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_175(obj_t, obj_t, obj_t);
#else
extern obj_t ___FL___R4_NUMBERS_6_5_FLONUM_175();
#endif
static obj_t R_____19___R4_NUMBERS_6_5_FLONUM_226 = BUNSPEC;
static obj_t R______37___R4_NUMBERS_6_5_FLONUM_208 = BUNSPEC;
static obj_t X_____74___R4_NUMBERS_6_5_FLONUM_233 = BUNSPEC;
static obj_t R_____56___R4_NUMBERS_6_5_FLONUM_112 = BUNSPEC;
static obj_t X_____68___R4_NUMBERS_6_5_FLONUM_66 = BUNSPEC;
static obj_t R______32___R4_NUMBERS_6_5_FLONUM_232 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLOORFL___R4_NUMBERS_6_5_FLONUM_112(obj_t, obj_t);
#else
extern obj_t __FLOORFL___R4_NUMBERS_6_5_FLONUM_112();
#endif
static obj_t LOGFL____61___R4_NUMBERS_6_5_FLONUM_77 = BUNSPEC;
static obj_t X_____60___R4_NUMBERS_6_5_FLONUM_74 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ABSFL___R4_NUMBERS_6_5_FLONUM_206(obj_t);
#else
extern obj_t ABSFL___R4_NUMBERS_6_5_FLONUM_206();
#endif
static obj_t R______7___R4_NUMBERS_6_5_FLONUM_95 = BUNSPEC;
extern char * real_to_string();
#if defined( __STDC__ )
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_188(obj_t, obj_t);
#else
extern obj_t __FL___R4_NUMBERS_6_5_FLONUM_188();
#endif
#if defined( __STDC__ )
extern obj_t ZEROFL____R4_NUMBERS_6_5_FLONUM_207(obj_t);
#else
extern obj_t ZEROFL____R4_NUMBERS_6_5_FLONUM_207();
#endif
static obj_t NEGATIVE_22___R4_NUMBERS_6_5_FLONUM_163 = BUNSPEC;
static obj_t R_____58___R4_NUMBERS_6_5_FLONUM_253 = BUNSPEC;
static obj_t X_____66___R4_NUMBERS_6_5_FLONUM_0 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50(obj_t);
#else
extern obj_t ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50();
#endif
static obj_t SQRTFL___85___R4_NUMBERS_6_5_FLONUM_240 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ATANFL___R4_NUMBERS_6_5_FLONUM_98(obj_t, obj_t, obj_t);
#else
extern obj_t __ATANFL___R4_NUMBERS_6_5_FLONUM_98();
#endif
obj_t __FL_ENV___R4_NUMBERS_6_5_FLONUM_6 = BUNSPEC;
static obj_t __FL___R__6___R4_NUMBERS_6_5_FLONUM_93 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ASINFL___R4_NUMBERS_6_5_FLONUM_117(obj_t);
#else
extern obj_t ASINFL___R4_NUMBERS_6_5_FLONUM_117();
#endif
obj_t MINFL_ENV___R4_NUMBERS_6_5_FLONUM_72 = BUNSPEC;
static obj_t R______28___R4_NUMBERS_6_5_FLONUM_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CEILINGFL___R4_NUMBERS_6_5_FLONUM_161(obj_t);
#else
extern obj_t CEILINGFL___R4_NUMBERS_6_5_FLONUM_161();
#endif
static obj_t R______13___R4_NUMBERS_6_5_FLONUM_106 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
#if defined( __STDC__ )
extern obj_t TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121(obj_t);
#else
extern obj_t TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121();
#endif
static obj_t ___R__NUM_1___R4_NUMBERS_6_5_FLONUM_3 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59()
#else
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120 ))
{
REQUIRE_INITIALISATION____R4_NUMBERS_6_5_FLONUM_120=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
X_____70___R4_NUMBERS_6_5_FLONUM_97=c_string_to_symbol( "X@266" );
R______17___R4_NUMBERS_6_5_FLONUM_35=c_string_to_symbol( "R1@232" );
MINFL____45___R4_NUMBERS_6_5_FLONUM_189=c_string_to_symbol( "MINFL@__R4_NUMBERS_6_5_FLONUM" );
TANFL____67___R4_NUMBERS_6_5_FLONUM_38=c_string_to_symbol( "TANFL@__R4_NUMBERS_6_5_FLONUM" );
R______10___R4_NUMBERS_6_5_FLONUM_136=c_string_to_symbol( "R2@229" );
X_____72___R4_NUMBERS_6_5_FLONUM_70=c_string_to_symbol( "X@267" );
R______8___R4_NUMBERS_6_5_FLONUM_129=c_string_to_symbol( "R1@226" );
R______7___R4_NUMBERS_6_5_FLONUM_95=c_string_to_symbol( "R2@227" );
FLOORFL__51___R4_NUMBERS_6_5_FLONUM_87=c_string_to_symbol( "FLOORFL@__R4_NUMBERS_6_5_FLONUM" );
RN_____46___R4_NUMBERS_6_5_FLONUM_54=c_string_to_symbol( "RN@255" );
R______14___R4_NUMBERS_6_5_FLONUM_173=c_string_to_symbol( "R1@230" );
X_____68___R4_NUMBERS_6_5_FLONUM_66=c_string_to_symbol( "X@265" );
R______31___R4_NUMBERS_6_5_FLONUM_243=c_string_to_symbol( "R2@242" );
MAXFL____39___R4_NUMBERS_6_5_FLONUM_229=c_string_to_symbol( "MAXFL@__R4_NUMBERS_6_5_FLONUM" );
REAL_____94___R4_NUMBERS_6_5_FLONUM_53=c_string_to_symbol( "REAL@276" );
ASINFL___69___R4_NUMBERS_6_5_FLONUM_239=c_string_to_symbol( "ASINFL@__R4_NUMBERS_6_5_FLONUM" );
R______29___R4_NUMBERS_6_5_FLONUM_154=c_string_to_symbol( "R1@239" );
X_____64___R4_NUMBERS_6_5_FLONUM_14=c_string_to_symbol( "X@263" );
R______26___R4_NUMBERS_6_5_FLONUM_199=c_string_to_symbol( "R1@237" );
R______48___R4_NUMBERS_6_5_FLONUM_102=c_string_to_symbol( "R1@284" );
R_____52___R4_NUMBERS_6_5_FLONUM_75=c_string_to_symbol( "R@257" );
R_____21___R4_NUMBERS_6_5_FLONUM_234=c_string_to_symbol( "R@235" );
ACOSFL___71___R4_NUMBERS_6_5_FLONUM_77=c_string_to_symbol( "ACOSFL@__R4_NUMBERS_6_5_FLONUM" );
__FL___R__27___R4_NUMBERS_6_5_FLONUM_90=c_string_to_symbol( "-FL@__R4_NUMBERS_6_5_FLONUM" );
R______11___R4_NUMBERS_6_5_FLONUM_49=c_string_to_symbol( "R1@228" );
Y_____78___R4_NUMBERS_6_5_FLONUM_64=c_string_to_symbol( "Y@270" );
ATANFL___73___R4_NUMBERS_6_5_FLONUM_154=c_string_to_symbol( "ATANFL@__R4_NUMBERS_6_5_FLONUM" );
MINFL_44___R4_NUMBERS_6_5_FLONUM_148=c_string_to_symbol( "MINFL" );
__FL___R__30___R4_NUMBERS_6_5_FLONUM_43=c_string_to_symbol( "*FL@__R4_NUMBERS_6_5_FLONUM" );
MAXFL_38___R4_NUMBERS_6_5_FLONUM_40=c_string_to_symbol( "MAXFL" );
R_____19___R4_NUMBERS_6_5_FLONUM_226=c_string_to_symbol( "R@234" );
SINFL____63___R4_NUMBERS_6_5_FLONUM_152=c_string_to_symbol( "SINFL@__R4_NUMBERS_6_5_FLONUM" );
R_____50___R4_NUMBERS_6_5_FLONUM_52=c_string_to_symbol( "R@256" );
__FL___R__24___R4_NUMBERS_6_5_FLONUM_248=c_string_to_symbol( "+FL@__R4_NUMBERS_6_5_FLONUM" );
Y_____75___R4_NUMBERS_6_5_FLONUM_232=c_string_to_symbol( "Y@269" );
X_____62___R4_NUMBERS_6_5_FLONUM_67=c_string_to_symbol( "X@262" );
__FL___R__2___R4_NUMBERS_6_5_FLONUM_246=c_string_to_symbol( "=FL@__R4_NUMBERS_6_5_FLONUM" );
__FL___R__6___R4_NUMBERS_6_5_FLONUM_93=c_string_to_symbol( "<FL@__R4_NUMBERS_6_5_FLONUM" );
R______13___R4_NUMBERS_6_5_FLONUM_106=c_string_to_symbol( "R2@231" );
__FL___R__33___R4_NUMBERS_6_5_FLONUM_67=c_string_to_symbol( "/FL@__R4_NUMBERS_6_5_FLONUM" );
___R__NUM_1___R4_NUMBERS_6_5_FLONUM_3=c_string_to_symbol( "__R4_NUMBERS_6_5_FLONUM" );
R_____54___R4_NUMBERS_6_5_FLONUM_191=c_string_to_symbol( "R@258" );
R_____86___R4_NUMBERS_6_5_FLONUM_250=c_string_to_symbol( "R@272" );
R______28___R4_NUMBERS_6_5_FLONUM_67=c_string_to_symbol( "R2@240" );
EXPTFL___87___R4_NUMBERS_6_5_FLONUM_71=c_string_to_symbol( "EXPTFL@__R4_NUMBERS_6_5_FLONUM" );
ROUNDFL__57___R4_NUMBERS_6_5_FLONUM_156=c_string_to_symbol( "ROUNDFL@__R4_NUMBERS_6_5_FLONUM" );
R______4___R4_NUMBERS_6_5_FLONUM_26=c_string_to_symbol( "R2@225" );
CEILINGF_53___R4_NUMBERS_6_5_FLONUM_140=c_string_to_symbol( "CEILINGFL@__R4_NUMBERS_6_5_FLONUM" );
PAIR_40___R4_NUMBERS_6_5_FLONUM_180=c_string_to_symbol( "PAIR" );
REAL__ST_93___R4_NUMBERS_6_5_FLONUM_162=c_string_to_symbol( "REAL->STRING@__R4_NUMBERS_6_5_FLONUM" );
R______16___R4_NUMBERS_6_5_FLONUM_71=c_string_to_symbol( "R2@233" );
___FL___R_15___R4_NUMBERS_6_5_FLONUM_212=c_string_to_symbol( ">=FL@__R4_NUMBERS_6_5_FLONUM" );
MIN_____47___R4_NUMBERS_6_5_FLONUM_231=c_string_to_symbol( "MIN@254" );
R______5___R4_NUMBERS_6_5_FLONUM_3=c_string_to_symbol( "R1@224" );
NEGATIVE_22___R4_NUMBERS_6_5_FLONUM_163=c_string_to_symbol( "NEGATIVEFL?@__R4_NUMBERS_6_5_FLONUM" );
X_____60___R4_NUMBERS_6_5_FLONUM_74=c_string_to_symbol( "X@261" );
X_____66___R4_NUMBERS_6_5_FLONUM_0=c_string_to_symbol( "X@264" );
R_____23___R4_NUMBERS_6_5_FLONUM_251=c_string_to_symbol( "R@236" );
EXPFL____59___R4_NUMBERS_6_5_FLONUM_90=c_string_to_symbol( "EXPFL@__R4_NUMBERS_6_5_FLONUM" );
R______43___R4_NUMBERS_6_5_FLONUM_173=c_string_to_symbol( "R1@278" );
STRING___92___R4_NUMBERS_6_5_FLONUM_183=c_string_to_symbol( "STRING@275" );
R______88___R4_NUMBERS_6_5_FLONUM_234=c_string_to_symbol( "R2@274" );
R_____56___R4_NUMBERS_6_5_FLONUM_112=c_string_to_symbol( "R@259" );
LOGFL____61___R4_NUMBERS_6_5_FLONUM_77=c_string_to_symbol( "LOGFL@__R4_NUMBERS_6_5_FLONUM" );
R______25___R4_NUMBERS_6_5_FLONUM_73=c_string_to_symbol( "R2@238" );
NEGFL____36___R4_NUMBERS_6_5_FLONUM_178=c_string_to_symbol( "NEGFL@__R4_NUMBERS_6_5_FLONUM" );
MAX_____42___R4_NUMBERS_6_5_FLONUM_132=c_string_to_symbol( "MAX@249" );
ZEROFL___18___R4_NUMBERS_6_5_FLONUM_89=c_string_to_symbol( "ZEROFL?@__R4_NUMBERS_6_5_FLONUM" );
STRING___90___R4_NUMBERS_6_5_FLONUM_168=c_string_to_symbol( "STRING->REAL@__R4_NUMBERS_6_5_FLONUM" );
___FL___R_12___R4_NUMBERS_6_5_FLONUM_133=c_string_to_symbol( "<=FL@__R4_NUMBERS_6_5_FLONUM" );
R______89___R4_NUMBERS_6_5_FLONUM_109=c_string_to_symbol( "R1@273" );
R______34___R4_NUMBERS_6_5_FLONUM_59=c_string_to_symbol( "R2@244" );
R_____58___R4_NUMBERS_6_5_FLONUM_253=c_string_to_symbol( "R@260" );
X_____74___R4_NUMBERS_6_5_FLONUM_233=c_string_to_symbol( "X@268" );
ABSFL____49___R4_NUMBERS_6_5_FLONUM_39=c_string_to_symbol( "ABSFL@__R4_NUMBERS_6_5_FLONUM" );
SQRTFL___85___R4_NUMBERS_6_5_FLONUM_240=c_string_to_symbol( "SQRTFL@__R4_NUMBERS_6_5_FLONUM" );
POSITIVE_20___R4_NUMBERS_6_5_FLONUM_59=c_string_to_symbol( "POSITIVEFL?@__R4_NUMBERS_6_5_FLONUM" );
REAL_3___R4_NUMBERS_6_5_FLONUM_119=c_string_to_symbol( "REAL" );
STRING_91___R4_NUMBERS_6_5_FLONUM_65=c_string_to_symbol( "STRING" );
R______37___R4_NUMBERS_6_5_FLONUM_208=c_string_to_symbol( "R1@245" );
TRUNCATE_55___R4_NUMBERS_6_5_FLONUM_46=c_string_to_symbol( "TRUNCATEFL@__R4_NUMBERS_6_5_FLONUM" );
RN_____41___R4_NUMBERS_6_5_FLONUM_3=c_string_to_symbol( "RN@250" );
__FL___R__9___R4_NUMBERS_6_5_FLONUM_86=c_string_to_symbol( ">FL@__R4_NUMBERS_6_5_FLONUM" );
R______32___R4_NUMBERS_6_5_FLONUM_232=c_string_to_symbol( "R1@241" );
R______35___R4_NUMBERS_6_5_FLONUM_227=c_string_to_symbol( "R1@243" );
COSFL____65___R4_NUMBERS_6_5_FLONUM_24=c_string_to_symbol( "COSFL@__R4_NUMBERS_6_5_FLONUM" );
{
___R4_NUMBERS_6_5_FLONUM_INITIALISATION_ENV___R4_NUMBERS_6_5_FLONUM_20=make_fx_procedure( ____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50, 0, 0 );
REAL__ENV___R4_NUMBERS_6_5_FLONUM_104=make_fx_procedure( __REAL____R4_NUMBERS_6_5_FLONUM_35, 1, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_6=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_72, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_109=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_11, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_94=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_35, 2, 0 );
___FL_ENV___R4_NUMBERS_6_5_FLONUM_62=make_fx_procedure( ____FL___R4_NUMBERS_6_5_FLONUM_14, 2, 0 );
___FL_ENV___R4_NUMBERS_6_5_FLONUM_100=make_fx_procedure( ____FL___R4_NUMBERS_6_5_FLONUM_223, 2, 0 );
ZEROFL__ENV___R4_NUMBERS_6_5_FLONUM_195=make_fx_procedure( __ZEROFL____R4_NUMBERS_6_5_FLONUM_210, 1, 0 );
POSITIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_94=make_fx_procedure( __POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54, 1, 0 );
NEGATIVEFL__ENV___R4_NUMBERS_6_5_FLONUM_77=make_fx_procedure( __NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131, 1, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_10=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_175, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_45=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_165, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_176=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_179, 2, 0 );
__FL_ENV___R4_NUMBERS_6_5_FLONUM_17=make_fx_procedure( ___FL___R4_NUMBERS_6_5_FLONUM_85, 2, 0 );
NEGFL_ENV___R4_NUMBERS_6_5_FLONUM_211=make_fx_procedure( __NEGFL___R4_NUMBERS_6_5_FLONUM_116, 1, 0 );
MAXFL_ENV___R4_NUMBERS_6_5_FLONUM_138=make_va_procedure( __MAXFL___R4_NUMBERS_6_5_FLONUM_123, -2, 0 );
MINFL_ENV___R4_NUMBERS_6_5_FLONUM_72=make_va_procedure( __MINFL___R4_NUMBERS_6_5_FLONUM_5, -2, 0 );
ABSFL_ENV___R4_NUMBERS_6_5_FLONUM_15=make_fx_procedure( __ABSFL___R4_NUMBERS_6_5_FLONUM_242, 1, 0 );
FLOORFL_ENV___R4_NUMBERS_6_5_FLONUM_64=make_fx_procedure( __FLOORFL___R4_NUMBERS_6_5_FLONUM_112, 1, 0 );
CEILINGFL_ENV___R4_NUMBERS_6_5_FLONUM_213=make_fx_procedure( __CEILINGFL___R4_NUMBERS_6_5_FLONUM_229, 1, 0 );
TRUNCATEFL_ENV___R4_NUMBERS_6_5_FLONUM_129=make_fx_procedure( __TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172, 1, 0 );
ROUNDFL_ENV___R4_NUMBERS_6_5_FLONUM_25=make_fx_procedure( __ROUNDFL___R4_NUMBERS_6_5_FLONUM_15, 1, 0 );
EXPFL_ENV___R4_NUMBERS_6_5_FLONUM_152=make_fx_procedure( __EXPFL___R4_NUMBERS_6_5_FLONUM_197, 1, 0 );
LOGFL_ENV___R4_NUMBERS_6_5_FLONUM_199=make_fx_procedure( __LOGFL___R4_NUMBERS_6_5_FLONUM_143, 1, 0 );
SINFL_ENV___R4_NUMBERS_6_5_FLONUM_131=make_fx_procedure( __SINFL___R4_NUMBERS_6_5_FLONUM_15, 1, 0 );
COSFL_ENV___R4_NUMBERS_6_5_FLONUM_120=make_fx_procedure( __COSFL___R4_NUMBERS_6_5_FLONUM_22, 1, 0 );
TANFL_ENV___R4_NUMBERS_6_5_FLONUM_14=make_fx_procedure( __TANFL___R4_NUMBERS_6_5_FLONUM_17, 1, 0 );
ASINFL_ENV___R4_NUMBERS_6_5_FLONUM_54=make_fx_procedure( __ASINFL___R4_NUMBERS_6_5_FLONUM_47, 1, 0 );
ACOSFL_ENV___R4_NUMBERS_6_5_FLONUM_109=make_fx_procedure( __ACOSFL___R4_NUMBERS_6_5_FLONUM_63, 1, 0 );
ATANFL_ENV___R4_NUMBERS_6_5_FLONUM_195=make_va_procedure( __ATANFL___R4_NUMBERS_6_5_FLONUM_98, -2, 0 );
SQRTFL_ENV___R4_NUMBERS_6_5_FLONUM_54=make_fx_procedure( __SQRTFL___R4_NUMBERS_6_5_FLONUM_116, 1, 0 );
EXPTFL_ENV___R4_NUMBERS_6_5_FLONUM_67=make_fx_procedure( __EXPTFL___R4_NUMBERS_6_5_FLONUM_132, 2, 0 );
STRING__REAL_ENV___R4_NUMBERS_6_5_FLONUM_134=make_fx_procedure( __STRING__REAL___R4_NUMBERS_6_5_FLONUM_80, 1, 0 );
REAL__STRING_ENV___R4_NUMBERS_6_5_FLONUM_86=make_fx_procedure( __REAL__STRING___R4_NUMBERS_6_5_FLONUM_95, 1, 0 );
{
{obj_t STRING_CAST_291_210;
STRING_CAST_291_210=BREF( &BIGLOO___0___R4_NUMBERS_6_5_FLONUM_66);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__NUM_1___R4_NUMBERS_6_5_FLONUM_3, STRING_CAST_291_210, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50(obj_t ENV_356_60)
#else
____R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_50( ENV_356_60 )
obj_t ENV_356_60;
#endif
{

return ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
}

obj_t
#if defined( __STDC__ )
REAL____R4_NUMBERS_6_5_FLONUM_86(obj_t OBJ_222_44)
#else
REAL____R4_NUMBERS_6_5_FLONUM_86( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

if( INTEGERP( OBJ_222_44 ))
return CBOOL_TO_BBOOL( INTEGERP( OBJ_222_44 ) );else
return CBOOL_TO_BBOOL( REALP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__REAL____R4_NUMBERS_6_5_FLONUM_35(obj_t ENV_355_83,obj_t OBJ_222_44)
#else
__REAL____R4_NUMBERS_6_5_FLONUM_35( ENV_355_83, OBJ_222_44 )
obj_t ENV_355_83, OBJ_222_44;
#endif
{

return REAL____R4_NUMBERS_6_5_FLONUM_86( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_133(obj_t R1_224_23,obj_t R2_225_242)
#else
__FL___R4_NUMBERS_6_5_FLONUM_133( R1_224_23, R2_225_242 )
obj_t R1_224_23, R2_225_242;
#endif
{

if( REALP( R1_224_23 ))
if( REALP( R2_225_242 ))
return CBOOL_TO_BBOOL( EQ_R( R1_224_23, R2_225_242 ) );else
FAILURE( __FL___R__2___R4_NUMBERS_6_5_FLONUM_246, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______4___R4_NUMBERS_6_5_FLONUM_26 ), R2_225_242 );else
FAILURE( __FL___R__2___R4_NUMBERS_6_5_FLONUM_246, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______5___R4_NUMBERS_6_5_FLONUM_3 ), R1_224_23 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_72(obj_t ENV_354_128,obj_t R1_224_23,obj_t R2_225_242)
#else
___FL___R4_NUMBERS_6_5_FLONUM_72( ENV_354_128, R1_224_23, R2_225_242 )
obj_t ENV_354_128, R1_224_23, R2_225_242;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_133( R1_224_23, R2_225_242 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_151(obj_t R1_226_69,obj_t R2_227_239)
#else
__FL___R4_NUMBERS_6_5_FLONUM_151( R1_226_69, R2_227_239 )
obj_t R1_226_69, R2_227_239;
#endif
{

if( REALP( R1_226_69 ))
if( REALP( R2_227_239 ))
return CBOOL_TO_BBOOL( LT_R( R1_226_69, R2_227_239 ) );else
FAILURE( __FL___R__6___R4_NUMBERS_6_5_FLONUM_93, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______7___R4_NUMBERS_6_5_FLONUM_95 ), R2_227_239 );else
FAILURE( __FL___R__6___R4_NUMBERS_6_5_FLONUM_93, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______8___R4_NUMBERS_6_5_FLONUM_129 ), R1_226_69 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_11(obj_t ENV_353_161,obj_t R1_226_69,obj_t R2_227_239)
#else
___FL___R4_NUMBERS_6_5_FLONUM_11( ENV_353_161, R1_226_69, R2_227_239 )
obj_t ENV_353_161, R1_226_69, R2_227_239;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_151( R1_226_69, R2_227_239 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_100(obj_t R1_228_0,obj_t R2_229_139)
#else
__FL___R4_NUMBERS_6_5_FLONUM_100( R1_228_0, R2_229_139 )
obj_t R1_228_0, R2_229_139;
#endif
{

if( REALP( R1_228_0 ))
if( REALP( R2_229_139 ))
return CBOOL_TO_BBOOL( GT_R( R1_228_0, R2_229_139 ) );else
FAILURE( __FL___R__9___R4_NUMBERS_6_5_FLONUM_86, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______10___R4_NUMBERS_6_5_FLONUM_136 ), R2_229_139 );else
FAILURE( __FL___R__9___R4_NUMBERS_6_5_FLONUM_86, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______11___R4_NUMBERS_6_5_FLONUM_49 ), R1_228_0 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_35(obj_t ENV_352_176,obj_t R1_228_0,obj_t R2_229_139)
#else
___FL___R4_NUMBERS_6_5_FLONUM_35( ENV_352_176, R1_228_0, R2_229_139 )
obj_t ENV_352_176, R1_228_0, R2_229_139;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_100( R1_228_0, R2_229_139 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_46(obj_t R1_230_132,obj_t R2_231_218)
#else
___FL___R4_NUMBERS_6_5_FLONUM_46( R1_230_132, R2_231_218 )
obj_t R1_230_132, R2_231_218;
#endif
{

if( REALP( R1_230_132 ))
if( REALP( R2_231_218 ))
return CBOOL_TO_BBOOL( LE_R( R1_230_132, R2_231_218 ) );else
FAILURE( ___FL___R_12___R4_NUMBERS_6_5_FLONUM_133, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______13___R4_NUMBERS_6_5_FLONUM_106 ), R2_231_218 );else
FAILURE( ___FL___R_12___R4_NUMBERS_6_5_FLONUM_133, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______14___R4_NUMBERS_6_5_FLONUM_173 ), R1_230_132 );
}

obj_t
#if defined( __STDC__ )
____FL___R4_NUMBERS_6_5_FLONUM_14(obj_t ENV_351_86,obj_t R1_230_132,obj_t R2_231_218)
#else
____FL___R4_NUMBERS_6_5_FLONUM_14( ENV_351_86, R1_230_132, R2_231_218 )
obj_t ENV_351_86, R1_230_132, R2_231_218;
#endif
{

return ___FL___R4_NUMBERS_6_5_FLONUM_46( R1_230_132, R2_231_218 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_248(obj_t R1_232_97,obj_t R2_233_240)
#else
___FL___R4_NUMBERS_6_5_FLONUM_248( R1_232_97, R2_233_240 )
obj_t R1_232_97, R2_233_240;
#endif
{

if( REALP( R1_232_97 ))
if( REALP( R2_233_240 ))
return CBOOL_TO_BBOOL( GE_R( R1_232_97, R2_233_240 ) );else
FAILURE( ___FL___R_15___R4_NUMBERS_6_5_FLONUM_212, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______16___R4_NUMBERS_6_5_FLONUM_71 ), R2_233_240 );else
FAILURE( ___FL___R_15___R4_NUMBERS_6_5_FLONUM_212, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______17___R4_NUMBERS_6_5_FLONUM_35 ), R1_232_97 );
}

obj_t
#if defined( __STDC__ )
____FL___R4_NUMBERS_6_5_FLONUM_223(obj_t ENV_350_141,obj_t R1_232_97,obj_t R2_233_240)
#else
____FL___R4_NUMBERS_6_5_FLONUM_223( ENV_350_141, R1_232_97, R2_233_240 )
obj_t ENV_350_141, R1_232_97, R2_233_240;
#endif
{

return ___FL___R4_NUMBERS_6_5_FLONUM_248( R1_232_97, R2_233_240 );
}

obj_t
#if defined( __STDC__ )
ZEROFL____R4_NUMBERS_6_5_FLONUM_207(obj_t R_234_173)
#else
ZEROFL____R4_NUMBERS_6_5_FLONUM_207( R_234_173 )
obj_t R_234_173;
#endif
{

if( REALP( R_234_173 ))
return CBOOL_TO_BBOOL( ZEROP_R( R_234_173 ) );else
FAILURE( ZEROFL___18___R4_NUMBERS_6_5_FLONUM_89, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____19___R4_NUMBERS_6_5_FLONUM_226 ), R_234_173 );
}

obj_t
#if defined( __STDC__ )
__ZEROFL____R4_NUMBERS_6_5_FLONUM_210(obj_t ENV_349_71,obj_t R_234_173)
#else
__ZEROFL____R4_NUMBERS_6_5_FLONUM_210( ENV_349_71, R_234_173 )
obj_t ENV_349_71, R_234_173;
#endif
{

return ZEROFL____R4_NUMBERS_6_5_FLONUM_207( R_234_173 );
}

obj_t
#if defined( __STDC__ )
POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100(obj_t R_235_73)
#else
POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100( R_235_73 )
obj_t R_235_73;
#endif
{

if( REALP( R_235_73 ))
return CBOOL_TO_BBOOL( POSITIVEP_R( R_235_73 ) );else
FAILURE( POSITIVE_20___R4_NUMBERS_6_5_FLONUM_59, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____21___R4_NUMBERS_6_5_FLONUM_234 ), R_235_73 );
}

obj_t
#if defined( __STDC__ )
__POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54(obj_t ENV_348_231,obj_t R_235_73)
#else
__POSITIVEFL____R4_NUMBERS_6_5_FLONUM_54( ENV_348_231, R_235_73 )
obj_t ENV_348_231, R_235_73;
#endif
{

return POSITIVEFL____R4_NUMBERS_6_5_FLONUM_100( R_235_73 );
}

obj_t
#if defined( __STDC__ )
NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112(obj_t R_236_30)
#else
NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112( R_236_30 )
obj_t R_236_30;
#endif
{

if( REALP( R_236_30 ))
return CBOOL_TO_BBOOL( NEGATIVEP_R( R_236_30 ) );else
FAILURE( NEGATIVE_22___R4_NUMBERS_6_5_FLONUM_163, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____23___R4_NUMBERS_6_5_FLONUM_251 ), R_236_30 );
}

obj_t
#if defined( __STDC__ )
__NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131(obj_t ENV_347_236,obj_t R_236_30)
#else
__NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_131( ENV_347_236, R_236_30 )
obj_t ENV_347_236, R_236_30;
#endif
{

return NEGATIVEFL____R4_NUMBERS_6_5_FLONUM_112( R_236_30 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_73(obj_t R1_237_14,obj_t R2_238_61)
#else
__FL___R4_NUMBERS_6_5_FLONUM_73( R1_237_14, R2_238_61 )
obj_t R1_237_14, R2_238_61;
#endif
{

if( REALP( R1_237_14 ))
if( REALP( R2_238_61 ))
return DOUBLE_TO_REAL( ADD_R( R1_237_14, R2_238_61 ) );else
FAILURE( __FL___R__24___R4_NUMBERS_6_5_FLONUM_248, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______25___R4_NUMBERS_6_5_FLONUM_73 ), R2_238_61 );else
FAILURE( __FL___R__24___R4_NUMBERS_6_5_FLONUM_248, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______26___R4_NUMBERS_6_5_FLONUM_199 ), R1_237_14 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_175(obj_t ENV_346_249,obj_t R1_237_14,obj_t R2_238_61)
#else
___FL___R4_NUMBERS_6_5_FLONUM_175( ENV_346_249, R1_237_14, R2_238_61 )
obj_t ENV_346_249, R1_237_14, R2_238_61;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_73( R1_237_14, R2_238_61 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_87(obj_t R1_239_51,obj_t R2_240_250)
#else
__FL___R4_NUMBERS_6_5_FLONUM_87( R1_239_51, R2_240_250 )
obj_t R1_239_51, R2_240_250;
#endif
{

if( REALP( R1_239_51 ))
if( REALP( R2_240_250 ))
return DOUBLE_TO_REAL( SUB_R( R1_239_51, R2_240_250 ) );else
FAILURE( __FL___R__27___R4_NUMBERS_6_5_FLONUM_90, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______28___R4_NUMBERS_6_5_FLONUM_67 ), R2_240_250 );else
FAILURE( __FL___R__27___R4_NUMBERS_6_5_FLONUM_90, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______29___R4_NUMBERS_6_5_FLONUM_154 ), R1_239_51 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_165(obj_t ENV_345_244,obj_t R1_239_51,obj_t R2_240_250)
#else
___FL___R4_NUMBERS_6_5_FLONUM_165( ENV_345_244, R1_239_51, R2_240_250 )
obj_t ENV_345_244, R1_239_51, R2_240_250;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_87( R1_239_51, R2_240_250 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_217(obj_t R1_241_209,obj_t R2_242_133)
#else
__FL___R4_NUMBERS_6_5_FLONUM_217( R1_241_209, R2_242_133 )
obj_t R1_241_209, R2_242_133;
#endif
{

if( REALP( R1_241_209 ))
if( REALP( R2_242_133 ))
return DOUBLE_TO_REAL( MUL_R( R1_241_209, R2_242_133 ) );else
FAILURE( __FL___R__30___R4_NUMBERS_6_5_FLONUM_43, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______31___R4_NUMBERS_6_5_FLONUM_243 ), R2_242_133 );else
FAILURE( __FL___R__30___R4_NUMBERS_6_5_FLONUM_43, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______32___R4_NUMBERS_6_5_FLONUM_232 ), R1_241_209 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_179(obj_t ENV_344_45,obj_t R1_241_209,obj_t R2_242_133)
#else
___FL___R4_NUMBERS_6_5_FLONUM_179( ENV_344_45, R1_241_209, R2_242_133 )
obj_t ENV_344_45, R1_241_209, R2_242_133;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_217( R1_241_209, R2_242_133 );
}

obj_t
#if defined( __STDC__ )
__FL___R4_NUMBERS_6_5_FLONUM_188(obj_t R1_243_76,obj_t R2_244_178)
#else
__FL___R4_NUMBERS_6_5_FLONUM_188( R1_243_76, R2_244_178 )
obj_t R1_243_76, R2_244_178;
#endif
{

if( REALP( R1_243_76 ))
if( REALP( R2_244_178 ))
return DOUBLE_TO_REAL( DIV_R( R1_243_76, R2_244_178 ) );else
FAILURE( __FL___R__33___R4_NUMBERS_6_5_FLONUM_67, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______34___R4_NUMBERS_6_5_FLONUM_59 ), R2_244_178 );else
FAILURE( __FL___R__33___R4_NUMBERS_6_5_FLONUM_67, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______35___R4_NUMBERS_6_5_FLONUM_227 ), R1_243_76 );
}

obj_t
#if defined( __STDC__ )
___FL___R4_NUMBERS_6_5_FLONUM_85(obj_t ENV_343_182,obj_t R1_243_76,obj_t R2_244_178)
#else
___FL___R4_NUMBERS_6_5_FLONUM_85( ENV_343_182, R1_243_76, R2_244_178 )
obj_t ENV_343_182, R1_243_76, R2_244_178;
#endif
{

return __FL___R4_NUMBERS_6_5_FLONUM_188( R1_243_76, R2_244_178 );
}

obj_t
#if defined( __STDC__ )
NEGFL___R4_NUMBERS_6_5_FLONUM_14(obj_t R1_245_229)
#else
NEGFL___R4_NUMBERS_6_5_FLONUM_14( R1_245_229 )
obj_t R1_245_229;
#endif
{

if( REALP( R1_245_229 ))
return DOUBLE_TO_REAL( NEG_R( R1_245_229 ) );else
FAILURE( NEGFL____36___R4_NUMBERS_6_5_FLONUM_178, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______37___R4_NUMBERS_6_5_FLONUM_208 ), R1_245_229 );
}

obj_t
#if defined( __STDC__ )
__NEGFL___R4_NUMBERS_6_5_FLONUM_116(obj_t ENV_342_111,obj_t R1_245_229)
#else
__NEGFL___R4_NUMBERS_6_5_FLONUM_116( ENV_342_111, R1_245_229 )
obj_t ENV_342_111, R1_245_229;
#endif
{

return NEGFL___R4_NUMBERS_6_5_FLONUM_14( R1_245_229 );
}

obj_t
#if defined( __STDC__ )
MAXFL___R4_NUMBERS_6_5_FLONUM_18(obj_t R1_246_152,obj_t RN_247_116)
#else
MAXFL___R4_NUMBERS_6_5_FLONUM_18( R1_246_152, RN_247_116 )
obj_t R1_246_152, RN_247_116;
#endif
{

{
PUSH_LAMBDA_TRACE( MAXFL_38___R4_NUMBERS_6_5_FLONUM_40 );
{obj_t AUX_382_6;
{obj_t MAX_249_158, RN_250_194;
{
RN_250_194=RN_247_116;
MAX_249_158=R1_246_152;
{_LOOP_248_33:

if( NULLP( RN_250_194 ))
AUX_382_6=MAX_249_158;else
{obj_t R1_278_201;
if( PAIRP( RN_250_194 ))
R1_278_201=CAR( RN_250_194 );else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____41___R4_NUMBERS_6_5_FLONUM_3 ), RN_250_194 );if( REALP( R1_278_201 ))
if( REALP( MAX_249_158 ))
if( GT_R( R1_278_201, MAX_249_158 ))
{obj_t C_CAR_280_244;
if( PAIRP( RN_250_194 ))
C_CAR_280_244=CAR( RN_250_194 );else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____41___R4_NUMBERS_6_5_FLONUM_3 ), RN_250_194 );{obj_t C_CDR_282_213;
if( PAIRP( RN_250_194 ))
C_CDR_282_213=CDR( RN_250_194 );else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____41___R4_NUMBERS_6_5_FLONUM_3 ), RN_250_194 );{
RN_250_194=C_CDR_282_213;
MAX_249_158=C_CAR_280_244;
goto _LOOP_248_33;
}}}else
{obj_t C_CDR_283_49;
if( PAIRP( RN_250_194 ))
C_CDR_283_49=CDR( RN_250_194 );else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____41___R4_NUMBERS_6_5_FLONUM_3 ), RN_250_194 );{
RN_250_194=C_CDR_283_49;
goto _LOOP_248_33;
}}else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, MAX_____42___R4_NUMBERS_6_5_FLONUM_132 ), MAX_249_158 );else
FAILURE( MAXFL____39___R4_NUMBERS_6_5_FLONUM_229, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______43___R4_NUMBERS_6_5_FLONUM_173 ), R1_278_201 );}}
}}return POP_LAMBDA_TRACE( AUX_382_6 );}
}
}

obj_t
#if defined( __STDC__ )
__MAXFL___R4_NUMBERS_6_5_FLONUM_123(obj_t ENV_341_136,obj_t R1_246_152,obj_t RN_247_116)
#else
__MAXFL___R4_NUMBERS_6_5_FLONUM_123( ENV_341_136, R1_246_152, RN_247_116 )
obj_t ENV_341_136, R1_246_152, RN_247_116;
#endif
{

return MAXFL___R4_NUMBERS_6_5_FLONUM_18( R1_246_152, RN_247_116 );
}

obj_t
#if defined( __STDC__ )
MINFL___R4_NUMBERS_6_5_FLONUM_231(obj_t R1_251_177,obj_t RN_252_164)
#else
MINFL___R4_NUMBERS_6_5_FLONUM_231( R1_251_177, RN_252_164 )
obj_t R1_251_177, RN_252_164;
#endif
{

{
PUSH_LAMBDA_TRACE( MINFL_44___R4_NUMBERS_6_5_FLONUM_148 );
{obj_t AUX_381_20;
{obj_t MIN_254_80, RN_255_105;
{
RN_255_105=RN_252_164;
MIN_254_80=R1_251_177;
{_LOOP_253_56:

if( NULLP( RN_255_105 ))
AUX_381_20=MIN_254_80;else
{obj_t R1_284_113;
if( PAIRP( RN_255_105 ))
R1_284_113=CAR( RN_255_105 );else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____46___R4_NUMBERS_6_5_FLONUM_54 ), RN_255_105 );if( REALP( R1_284_113 ))
if( REALP( MIN_254_80 ))
if( LT_R( R1_284_113, MIN_254_80 ))
{obj_t C_CAR_285_153;
if( PAIRP( RN_255_105 ))
C_CAR_285_153=CAR( RN_255_105 );else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____46___R4_NUMBERS_6_5_FLONUM_54 ), RN_255_105 );{obj_t C_CDR_286_211;
if( PAIRP( RN_255_105 ))
C_CDR_286_211=CDR( RN_255_105 );else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____46___R4_NUMBERS_6_5_FLONUM_54 ), RN_255_105 );{
RN_255_105=C_CDR_286_211;
MIN_254_80=C_CAR_285_153;
goto _LOOP_253_56;
}}}else
{obj_t C_CDR_287_57;
if( PAIRP( RN_255_105 ))
C_CDR_287_57=CDR( RN_255_105 );else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, RN_____46___R4_NUMBERS_6_5_FLONUM_54 ), RN_255_105 );{
RN_255_105=C_CDR_287_57;
goto _LOOP_253_56;
}}else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, MIN_____47___R4_NUMBERS_6_5_FLONUM_231 ), MIN_254_80 );else
FAILURE( MINFL____45___R4_NUMBERS_6_5_FLONUM_189, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______48___R4_NUMBERS_6_5_FLONUM_102 ), R1_284_113 );}}
}}return POP_LAMBDA_TRACE( AUX_381_20 );}
}
}

obj_t
#if defined( __STDC__ )
__MINFL___R4_NUMBERS_6_5_FLONUM_5(obj_t ENV_340_153,obj_t R1_251_177,obj_t RN_252_164)
#else
__MINFL___R4_NUMBERS_6_5_FLONUM_5( ENV_340_153, R1_251_177, RN_252_164 )
obj_t ENV_340_153, R1_251_177, RN_252_164;
#endif
{

return MINFL___R4_NUMBERS_6_5_FLONUM_231( R1_251_177, RN_252_164 );
}

obj_t
#if defined( __STDC__ )
ABSFL___R4_NUMBERS_6_5_FLONUM_206(obj_t R_256_163)
#else
ABSFL___R4_NUMBERS_6_5_FLONUM_206( R_256_163 )
obj_t R_256_163;
#endif
{

if( REALP( R_256_163 ))
return ABS_R( R_256_163 );else
FAILURE( ABSFL____49___R4_NUMBERS_6_5_FLONUM_39, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____50___R4_NUMBERS_6_5_FLONUM_52 ), R_256_163 );
}

obj_t
#if defined( __STDC__ )
__ABSFL___R4_NUMBERS_6_5_FLONUM_242(obj_t ENV_339_32,obj_t R_256_163)
#else
__ABSFL___R4_NUMBERS_6_5_FLONUM_242( ENV_339_32, R_256_163 )
obj_t ENV_339_32, R_256_163;
#endif
{

return ABSFL___R4_NUMBERS_6_5_FLONUM_206( R_256_163 );
}

obj_t
#if defined( __STDC__ )
FLOORFL___R4_NUMBERS_6_5_FLONUM_36(obj_t R_257_200)
#else
FLOORFL___R4_NUMBERS_6_5_FLONUM_36( R_257_200 )
obj_t R_257_200;
#endif
{

if( REALP( R_257_200 ))
{double AUX_380_81;
AUX_380_81=floor( REAL_TO_DOUBLE( R_257_200 ) );return DOUBLE_TO_REAL( AUX_380_81 );}else
FAILURE( FLOORFL__51___R4_NUMBERS_6_5_FLONUM_87, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____52___R4_NUMBERS_6_5_FLONUM_75 ), R_257_200 );
}

obj_t
#if defined( __STDC__ )
__FLOORFL___R4_NUMBERS_6_5_FLONUM_112(obj_t ENV_338_13,obj_t R_257_200)
#else
__FLOORFL___R4_NUMBERS_6_5_FLONUM_112( ENV_338_13, R_257_200 )
obj_t ENV_338_13, R_257_200;
#endif
{

return FLOORFL___R4_NUMBERS_6_5_FLONUM_36( R_257_200 );
}

obj_t
#if defined( __STDC__ )
CEILINGFL___R4_NUMBERS_6_5_FLONUM_161(obj_t R_258_120)
#else
CEILINGFL___R4_NUMBERS_6_5_FLONUM_161( R_258_120 )
obj_t R_258_120;
#endif
{

if( REALP( R_258_120 ))
{double AUX_379_65;
AUX_379_65=ceil( REAL_TO_DOUBLE( R_258_120 ) );return DOUBLE_TO_REAL( AUX_379_65 );}else
FAILURE( CEILINGF_53___R4_NUMBERS_6_5_FLONUM_140, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____54___R4_NUMBERS_6_5_FLONUM_191 ), R_258_120 );
}

obj_t
#if defined( __STDC__ )
__CEILINGFL___R4_NUMBERS_6_5_FLONUM_229(obj_t ENV_337_220,obj_t R_258_120)
#else
__CEILINGFL___R4_NUMBERS_6_5_FLONUM_229( ENV_337_220, R_258_120 )
obj_t ENV_337_220, R_258_120;
#endif
{

return CEILINGFL___R4_NUMBERS_6_5_FLONUM_161( R_258_120 );
}

obj_t
#if defined( __STDC__ )
TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121(obj_t R_259_209)
#else
TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121( R_259_209 )
obj_t R_259_209;
#endif
{

if( REALP( R_259_209 ))
if( NEGATIVEP_R( R_259_209 ))
{double AUX_377_197;
AUX_377_197=ceil( REAL_TO_DOUBLE( R_259_209 ) );return DOUBLE_TO_REAL( AUX_377_197 );}else
{double AUX_378_36;
AUX_378_36=floor( REAL_TO_DOUBLE( R_259_209 ) );return DOUBLE_TO_REAL( AUX_378_36 );}else
FAILURE( TRUNCATE_55___R4_NUMBERS_6_5_FLONUM_46, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____56___R4_NUMBERS_6_5_FLONUM_112 ), R_259_209 );
}

obj_t
#if defined( __STDC__ )
__TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172(obj_t ENV_336_94,obj_t R_259_209)
#else
__TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_172( ENV_336_94, R_259_209 )
obj_t ENV_336_94, R_259_209;
#endif
{

return TRUNCATEFL___R4_NUMBERS_6_5_FLONUM_121( R_259_209 );
}

obj_t
#if defined( __STDC__ )
ROUNDFL___R4_NUMBERS_6_5_FLONUM_152(obj_t R_260_7)
#else
ROUNDFL___R4_NUMBERS_6_5_FLONUM_152( R_260_7 )
obj_t R_260_7;
#endif
{

if( REALP( R_260_7 ))
{double AUX_376_87;
AUX_376_87=ROUND_R( REAL_TO_DOUBLE( R_260_7 ) );return DOUBLE_TO_REAL( AUX_376_87 );}else
FAILURE( ROUNDFL__57___R4_NUMBERS_6_5_FLONUM_156, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____58___R4_NUMBERS_6_5_FLONUM_253 ), R_260_7 );
}

obj_t
#if defined( __STDC__ )
__ROUNDFL___R4_NUMBERS_6_5_FLONUM_15(obj_t ENV_335_212,obj_t R_260_7)
#else
__ROUNDFL___R4_NUMBERS_6_5_FLONUM_15( ENV_335_212, R_260_7 )
obj_t ENV_335_212, R_260_7;
#endif
{

return ROUNDFL___R4_NUMBERS_6_5_FLONUM_152( R_260_7 );
}

obj_t
#if defined( __STDC__ )
EXPFL___R4_NUMBERS_6_5_FLONUM_47(obj_t X_261_26)
#else
EXPFL___R4_NUMBERS_6_5_FLONUM_47( X_261_26 )
obj_t X_261_26;
#endif
{

if( REALP( X_261_26 ))
{double AUX_375_107;
AUX_375_107=exp( REAL_TO_DOUBLE( X_261_26 ) );return DOUBLE_TO_REAL( AUX_375_107 );}else
FAILURE( EXPFL____59___R4_NUMBERS_6_5_FLONUM_90, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____60___R4_NUMBERS_6_5_FLONUM_74 ), X_261_26 );
}

obj_t
#if defined( __STDC__ )
__EXPFL___R4_NUMBERS_6_5_FLONUM_197(obj_t ENV_334_224,obj_t X_261_26)
#else
__EXPFL___R4_NUMBERS_6_5_FLONUM_197( ENV_334_224, X_261_26 )
obj_t ENV_334_224, X_261_26;
#endif
{

return EXPFL___R4_NUMBERS_6_5_FLONUM_47( X_261_26 );
}

obj_t
#if defined( __STDC__ )
LOGFL___R4_NUMBERS_6_5_FLONUM_35(obj_t X_262_145)
#else
LOGFL___R4_NUMBERS_6_5_FLONUM_35( X_262_145 )
obj_t X_262_145;
#endif
{

if( REALP( X_262_145 ))
{double AUX_374_177;
AUX_374_177=log( REAL_TO_DOUBLE( X_262_145 ) );return DOUBLE_TO_REAL( AUX_374_177 );}else
FAILURE( LOGFL____61___R4_NUMBERS_6_5_FLONUM_77, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____62___R4_NUMBERS_6_5_FLONUM_67 ), X_262_145 );
}

obj_t
#if defined( __STDC__ )
__LOGFL___R4_NUMBERS_6_5_FLONUM_143(obj_t ENV_333_204,obj_t X_262_145)
#else
__LOGFL___R4_NUMBERS_6_5_FLONUM_143( ENV_333_204, X_262_145 )
obj_t ENV_333_204, X_262_145;
#endif
{

return LOGFL___R4_NUMBERS_6_5_FLONUM_35( X_262_145 );
}

obj_t
#if defined( __STDC__ )
SINFL___R4_NUMBERS_6_5_FLONUM_48(obj_t X_263_16)
#else
SINFL___R4_NUMBERS_6_5_FLONUM_48( X_263_16 )
obj_t X_263_16;
#endif
{

if( REALP( X_263_16 ))
{double AUX_373_169;
AUX_373_169=sin( REAL_TO_DOUBLE( X_263_16 ) );return DOUBLE_TO_REAL( AUX_373_169 );}else
FAILURE( SINFL____63___R4_NUMBERS_6_5_FLONUM_152, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____64___R4_NUMBERS_6_5_FLONUM_14 ), X_263_16 );
}

obj_t
#if defined( __STDC__ )
__SINFL___R4_NUMBERS_6_5_FLONUM_15(obj_t ENV_332_247,obj_t X_263_16)
#else
__SINFL___R4_NUMBERS_6_5_FLONUM_15( ENV_332_247, X_263_16 )
obj_t ENV_332_247, X_263_16;
#endif
{

return SINFL___R4_NUMBERS_6_5_FLONUM_48( X_263_16 );
}

obj_t
#if defined( __STDC__ )
COSFL___R4_NUMBERS_6_5_FLONUM_153(obj_t X_264_33)
#else
COSFL___R4_NUMBERS_6_5_FLONUM_153( X_264_33 )
obj_t X_264_33;
#endif
{

if( REALP( X_264_33 ))
{double AUX_372_234;
AUX_372_234=cos( REAL_TO_DOUBLE( X_264_33 ) );return DOUBLE_TO_REAL( AUX_372_234 );}else
FAILURE( COSFL____65___R4_NUMBERS_6_5_FLONUM_24, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____66___R4_NUMBERS_6_5_FLONUM_0 ), X_264_33 );
}

obj_t
#if defined( __STDC__ )
__COSFL___R4_NUMBERS_6_5_FLONUM_22(obj_t ENV_331_43,obj_t X_264_33)
#else
__COSFL___R4_NUMBERS_6_5_FLONUM_22( ENV_331_43, X_264_33 )
obj_t ENV_331_43, X_264_33;
#endif
{

return COSFL___R4_NUMBERS_6_5_FLONUM_153( X_264_33 );
}

obj_t
#if defined( __STDC__ )
TANFL___R4_NUMBERS_6_5_FLONUM_216(obj_t X_265_4)
#else
TANFL___R4_NUMBERS_6_5_FLONUM_216( X_265_4 )
obj_t X_265_4;
#endif
{

if( REALP( X_265_4 ))
{double AUX_371_68;
AUX_371_68=tan( REAL_TO_DOUBLE( X_265_4 ) );return DOUBLE_TO_REAL( AUX_371_68 );}else
FAILURE( TANFL____67___R4_NUMBERS_6_5_FLONUM_38, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____68___R4_NUMBERS_6_5_FLONUM_66 ), X_265_4 );
}

obj_t
#if defined( __STDC__ )
__TANFL___R4_NUMBERS_6_5_FLONUM_17(obj_t ENV_330_196,obj_t X_265_4)
#else
__TANFL___R4_NUMBERS_6_5_FLONUM_17( ENV_330_196, X_265_4 )
obj_t ENV_330_196, X_265_4;
#endif
{

return TANFL___R4_NUMBERS_6_5_FLONUM_216( X_265_4 );
}

obj_t
#if defined( __STDC__ )
ASINFL___R4_NUMBERS_6_5_FLONUM_117(obj_t X_266_189)
#else
ASINFL___R4_NUMBERS_6_5_FLONUM_117( X_266_189 )
obj_t X_266_189;
#endif
{

if( REALP( X_266_189 ))
{double AUX_370_56;
AUX_370_56=asin( REAL_TO_DOUBLE( X_266_189 ) );return DOUBLE_TO_REAL( AUX_370_56 );}else
FAILURE( ASINFL___69___R4_NUMBERS_6_5_FLONUM_239, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____70___R4_NUMBERS_6_5_FLONUM_97 ), X_266_189 );
}

obj_t
#if defined( __STDC__ )
__ASINFL___R4_NUMBERS_6_5_FLONUM_47(obj_t ENV_329_109,obj_t X_266_189)
#else
__ASINFL___R4_NUMBERS_6_5_FLONUM_47( ENV_329_109, X_266_189 )
obj_t ENV_329_109, X_266_189;
#endif
{

return ASINFL___R4_NUMBERS_6_5_FLONUM_117( X_266_189 );
}

obj_t
#if defined( __STDC__ )
ACOSFL___R4_NUMBERS_6_5_FLONUM_151(obj_t X_267_8)
#else
ACOSFL___R4_NUMBERS_6_5_FLONUM_151( X_267_8 )
obj_t X_267_8;
#endif
{

if( REALP( X_267_8 ))
{double AUX_369_169;
AUX_369_169=acos( REAL_TO_DOUBLE( X_267_8 ) );return DOUBLE_TO_REAL( AUX_369_169 );}else
FAILURE( ACOSFL___71___R4_NUMBERS_6_5_FLONUM_77, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____72___R4_NUMBERS_6_5_FLONUM_70 ), X_267_8 );
}

obj_t
#if defined( __STDC__ )
__ACOSFL___R4_NUMBERS_6_5_FLONUM_63(obj_t ENV_328_47,obj_t X_267_8)
#else
__ACOSFL___R4_NUMBERS_6_5_FLONUM_63( ENV_328_47, X_267_8 )
obj_t ENV_328_47, X_267_8;
#endif
{

return ACOSFL___R4_NUMBERS_6_5_FLONUM_151( X_267_8 );
}

obj_t
#if defined( __STDC__ )
ATANFL___R4_NUMBERS_6_5_FLONUM_207(obj_t X_268_80,obj_t Y_269_155)
#else
ATANFL___R4_NUMBERS_6_5_FLONUM_207( X_268_80, Y_269_155 )
obj_t X_268_80, Y_269_155;
#endif
{

if( NULLP( Y_269_155 ))
if( REALP( X_268_80 ))
{double AUX_366_173;
AUX_366_173=atan( REAL_TO_DOUBLE( X_268_80 ) );return DOUBLE_TO_REAL( AUX_366_173 );}else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____74___R4_NUMBERS_6_5_FLONUM_233 ), X_268_80 );else
{obj_t Y_270_96;
if( PAIRP( Y_269_155 ))
Y_270_96=CAR( Y_269_155 );else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( PAIR_40___R4_NUMBERS_6_5_FLONUM_180, Y_____75___R4_NUMBERS_6_5_FLONUM_232 ), Y_269_155 );{bool_t __andtest_1001_360_135;
{obj_t AUX_367_73;
if( REALP( X_268_80 ))
AUX_367_73=CBOOL_TO_BBOOL( EQ_R( X_268_80, BREAL( &A_REAL_76___R4_NUMBERS_6_5_FLONUM_174) ) );else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____74___R4_NUMBERS_6_5_FLONUM_233 ), X_268_80 );__andtest_1001_360_135=BBOOL_TO_CBOOL( AUX_367_73 );}{if( __andtest_1001_360_135)
if( REALP( Y_270_96 ))
if( EQ_R( Y_270_96, BREAL( &A_REAL_77___R4_NUMBERS_6_5_FLONUM_173) ))
goto _true_0;else
goto _false_1;else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, Y_____78___R4_NUMBERS_6_5_FLONUM_64 ), Y_270_96 );else
goto _false_1;_true_0:
FAILURE( BREF( &ATANFL_79___R4_NUMBERS_6_5_FLONUM_38), BREF( &DOMAIN_E_80___R4_NUMBERS_6_5_FLONUM_70), BREAL( &A_REAL_81___R4_NUMBERS_6_5_FLONUM_118) );_false_1:
if( REALP( X_268_80 ))
if( REALP( Y_270_96 ))
{double AUX_368_234;
AUX_368_234=atan2( REAL_TO_DOUBLE( X_268_80 ), REAL_TO_DOUBLE( Y_270_96 ) );return DOUBLE_TO_REAL( AUX_368_234 );}else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, Y_____78___R4_NUMBERS_6_5_FLONUM_64 ), Y_270_96 );else
FAILURE( ATANFL___73___R4_NUMBERS_6_5_FLONUM_154, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, X_____74___R4_NUMBERS_6_5_FLONUM_233 ), X_268_80 );;
}}}
}

obj_t
#if defined( __STDC__ )
__ATANFL___R4_NUMBERS_6_5_FLONUM_98(obj_t ENV_327_142,obj_t X_268_80,obj_t Y_269_155)
#else
__ATANFL___R4_NUMBERS_6_5_FLONUM_98( ENV_327_142, X_268_80, Y_269_155 )
obj_t ENV_327_142, X_268_80, Y_269_155;
#endif
{

return ATANFL___R4_NUMBERS_6_5_FLONUM_207( X_268_80, Y_269_155 );
}

obj_t
#if defined( __STDC__ )
SQRTFL___R4_NUMBERS_6_5_FLONUM_117(obj_t R_272_19)
#else
SQRTFL___R4_NUMBERS_6_5_FLONUM_117( R_272_19 )
obj_t R_272_19;
#endif
{

if( REALP( R_272_19 ))
if( LT_R( R_272_19, BREAL( &A_REAL_82___R4_NUMBERS_6_5_FLONUM_250) ))
FAILURE( BREF( &SQRT_83___R4_NUMBERS_6_5_FLONUM_224), BREF( &DOMAIN_E_84___R4_NUMBERS_6_5_FLONUM_118), R_272_19 );else
{double AUX_365_7;
AUX_365_7=sqrt( REAL_TO_DOUBLE( R_272_19 ) );return DOUBLE_TO_REAL( AUX_365_7 );}else
FAILURE( SQRTFL___85___R4_NUMBERS_6_5_FLONUM_240, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R_____86___R4_NUMBERS_6_5_FLONUM_250 ), R_272_19 );
}

obj_t
#if defined( __STDC__ )
__SQRTFL___R4_NUMBERS_6_5_FLONUM_116(obj_t ENV_326_230,obj_t R_272_19)
#else
__SQRTFL___R4_NUMBERS_6_5_FLONUM_116( ENV_326_230, R_272_19 )
obj_t ENV_326_230, R_272_19;
#endif
{

return SQRTFL___R4_NUMBERS_6_5_FLONUM_117( R_272_19 );
}

obj_t
#if defined( __STDC__ )
EXPTFL___R4_NUMBERS_6_5_FLONUM_138(obj_t R1_273_42,obj_t R2_274_10)
#else
EXPTFL___R4_NUMBERS_6_5_FLONUM_138( R1_273_42, R2_274_10 )
obj_t R1_273_42, R2_274_10;
#endif
{

if( REALP( R1_273_42 ))
if( REALP( R2_274_10 ))
{double AUX_364_30;
AUX_364_30=pow( REAL_TO_DOUBLE( R1_273_42 ), REAL_TO_DOUBLE( R2_274_10 ) );return DOUBLE_TO_REAL( AUX_364_30 );}else
FAILURE( EXPTFL___87___R4_NUMBERS_6_5_FLONUM_71, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______88___R4_NUMBERS_6_5_FLONUM_234 ), R2_274_10 );else
FAILURE( EXPTFL___87___R4_NUMBERS_6_5_FLONUM_71, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, R______89___R4_NUMBERS_6_5_FLONUM_109 ), R1_273_42 );
}

obj_t
#if defined( __STDC__ )
__EXPTFL___R4_NUMBERS_6_5_FLONUM_132(obj_t ENV_325_227,obj_t R1_273_42,obj_t R2_274_10)
#else
__EXPTFL___R4_NUMBERS_6_5_FLONUM_132( ENV_325_227, R1_273_42, R2_274_10 )
obj_t ENV_325_227, R1_273_42, R2_274_10;
#endif
{

return EXPTFL___R4_NUMBERS_6_5_FLONUM_138( R1_273_42, R2_274_10 );
}

obj_t
#if defined( __STDC__ )
STRING__REAL___R4_NUMBERS_6_5_FLONUM_106(obj_t STRING_275_94)
#else
STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_275_94 )
obj_t STRING_275_94;
#endif
{

if( STRINGP( STRING_275_94 ))
{double AUX_363_65;
AUX_363_65=strtod( BSTRING_TO_CSTRING( STRING_275_94 ), 0 );return DOUBLE_TO_REAL( AUX_363_65 );}else
FAILURE( STRING___90___R4_NUMBERS_6_5_FLONUM_168, TYPE_ERROR___ERROR_146( STRING_91___R4_NUMBERS_6_5_FLONUM_65, STRING___92___R4_NUMBERS_6_5_FLONUM_183 ), STRING_275_94 );
}

obj_t
#if defined( __STDC__ )
__STRING__REAL___R4_NUMBERS_6_5_FLONUM_80(obj_t ENV_324_96,obj_t STRING_275_94)
#else
__STRING__REAL___R4_NUMBERS_6_5_FLONUM_80( ENV_324_96, STRING_275_94 )
obj_t ENV_324_96, STRING_275_94;
#endif
{

return STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_275_94 );
}

obj_t
#if defined( __STDC__ )
REAL__STRING___R4_NUMBERS_6_5_FLONUM_54(obj_t REAL_276_81)
#else
REAL__STRING___R4_NUMBERS_6_5_FLONUM_54( REAL_276_81 )
obj_t REAL_276_81;
#endif
{

if( REALP( REAL_276_81 ))
{char * AUX_362_36;
AUX_362_36=real_to_string( REAL_TO_DOUBLE( REAL_276_81 ) );return CSTRING_TO_BSTRING( AUX_362_36 );}else
FAILURE( REAL__ST_93___R4_NUMBERS_6_5_FLONUM_162, TYPE_ERROR___ERROR_146( REAL_3___R4_NUMBERS_6_5_FLONUM_119, REAL_____94___R4_NUMBERS_6_5_FLONUM_53 ), REAL_276_81 );
}

obj_t
#if defined( __STDC__ )
__REAL__STRING___R4_NUMBERS_6_5_FLONUM_95(obj_t ENV_323_179,obj_t REAL_276_81)
#else
__REAL__STRING___R4_NUMBERS_6_5_FLONUM_95( ENV_323_179, REAL_276_81 )
obj_t ENV_323_179, REAL_276_81;
#endif
{

return REAL__STRING___R4_NUMBERS_6_5_FLONUM_54( REAL_276_81 );
}

