/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/input.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( READ_RP_14___R4_INPUT_6_10_2_9, "read/rp", 7);
extern obj_t ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
#if defined( __STDC__ )
extern obj_t READ_RP___R4_INPUT_6_10_2_90(obj_t, obj_t);
#else
extern obj_t READ_RP___R4_INPUT_6_10_2_90();
#endif
DEFINE_STRING( WRONG_NU_12___R4_INPUT_6_10_2_55, "Wrong number of arguments for", 29);
static obj_t NUMBER___30___R4_INPUT_6_10_2_168 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EOF_OBJECT____R4_INPUT_6_10_2_140(obj_t);
#else
extern obj_t EOF_OBJECT____R4_INPUT_6_10_2_140();
#endif
obj_t CHAR_READY__ENV___R4_INPUT_6_10_2_244 = BUNSPEC;
DEFINE_STRING( __5___R4_INPUT_6_10_2_4, "", 0);
static obj_t GRAMMAR__16___R4_INPUT_6_10_2_116 = BUNSPEC;
extern obj_t input_port_get_string();
#if defined( __STDC__ )
extern obj_t __PEEK_CHAR___R4_INPUT_6_10_2_211(obj_t, obj_t);
#else
extern obj_t __PEEK_CHAR___R4_INPUT_6_10_2_211();
#endif
static obj_t CHAR_REA_27___R4_INPUT_6_10_2_191 = BUNSPEC;
obj_t READ_RP_UT_ENV___R4_INPUT_6_10_2_144 = BUNSPEC;
obj_t READ_STRING_ENV___R4_INPUT_6_10_2_170 = BUNSPEC;
static obj_t PORT_8___R4_INPUT_6_10_2_188 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#if defined( __STDC__ )
extern obj_t __READ_STRING___R4_INPUT_6_10_2_23(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_STRING___R4_INPUT_6_10_2_23();
#endif
#if defined( __STDC__ )
extern obj_t __EOF_OBJECT____R4_INPUT_6_10_2_209(obj_t, obj_t);
#else
extern obj_t __EOF_OBJECT____R4_INPUT_6_10_2_209();
#endif
obj_t EOF_OBJECT__ENV___R4_INPUT_6_10_2_43 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
obj_t ___R4_INPUT_6_10_2_INITIALISATION_ENV___R4_INPUT_6_10_2_12 = BUNSPEC;
extern obj_t make_va_procedure();
static obj_t PROCEDUR_10___R4_INPUT_6_10_2_127 = BUNSPEC;
static obj_t PEEK_CHA_24___R4_INPUT_6_10_2_223 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHAR_READY____R4_INPUT_6_10_2_123(obj_t);
#else
extern obj_t __CHAR_READY____R4_INPUT_6_10_2_123();
#endif
static obj_t GRAMMAR__18___R4_INPUT_6_10_2_114 = BUNSPEC;
DEFINE_STRING( BIGLOO___0___R4_INPUT_6_10_2_80, "Bigloo (v1.7)", 13);
#if defined( __STDC__ )
extern obj_t READ_CHAR___R4_INPUT_6_10_2_86(obj_t);
#else
extern obj_t READ_CHAR___R4_INPUT_6_10_2_86();
#endif
DEFINE_STRING( REGULAR__3___R4_INPUT_6_10_2_35, "regular-grammar", 15);
static obj_t PAIR_20___R4_INPUT_6_10_2_29 = BUNSPEC;
static obj_t GRAMMAR__11___R4_INPUT_6_10_2_195 = BUNSPEC;
extern obj_t intput_port_read_string();
static obj_t REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t ___R__INP_1___R4_INPUT_6_10_2_208 = BUNSPEC;
DEFINE_STRING( TOKEN_TO_4___R4_INPUT_6_10_2_49, "token too large", 15);
DEFINE_STRING( WRONG_NU_17___R4_INPUT_6_10_2_47, "Wrong number of arguments for", 29);
DEFINE_STRING( READ_RP_6___R4_INPUT_6_10_2_209, "read/rp", 7);
#if defined( __STDC__ )
extern obj_t __READ_RP___R4_INPUT_6_10_2_95(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_RP___R4_INPUT_6_10_2_95();
#endif
#if defined( __STDC__ )
extern obj_t PEEK_CHAR___R4_INPUT_6_10_2_201(obj_t);
#else
extern obj_t PEEK_CHAR___R4_INPUT_6_10_2_201();
#endif
static obj_t GRAMMAR__13___R4_INPUT_6_10_2_49 = BUNSPEC;
static obj_t READ_RP__15___R4_INPUT_6_10_2_148 = BUNSPEC;
static obj_t INPUT_PO_22___R4_INPUT_6_10_2_75 = BUNSPEC;
obj_t READ_LINE___R4_INPUT_6_10_2_31 = BUNSPEC;
static obj_t READ_STR_28___R4_INPUT_6_10_2_82 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t BINPUT_P_7___R4_INPUT_6_10_2_119 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __READ_CHAR___R4_INPUT_6_10_2_173(obj_t, obj_t);
#else
extern obj_t __READ_CHAR___R4_INPUT_6_10_2_173();
#endif
static obj_t PORT_____26___R4_INPUT_6_10_2_63 = BUNSPEC;
extern obj_t CHAR_READY____R4_INPUT_6_10_2_158();
obj_t READ_RP_ENV___R4_INPUT_6_10_2_47 = BUNSPEC;
static obj_t PROCEDURE_2___R4_INPUT_6_10_2_7 = BUNSPEC;
static obj_t PORT_____21___R4_INPUT_6_10_2_214 = BUNSPEC;
static obj_t PORT_____25___R4_INPUT_6_10_2_231 = BUNSPEC;
static obj_t NUMBER_29___R4_INPUT_6_10_2_42 = BUNSPEC;
obj_t PEEK_CHAR_ENV___R4_INPUT_6_10_2_240 = BUNSPEC;
obj_t READ_CHAR_ENV___R4_INPUT_6_10_2_55 = BUNSPEC;
static obj_t READ_CHA_19___R4_INPUT_6_10_2_96 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226(obj_t);
#else
extern obj_t ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226();
#endif
extern obj_t current_input_port;
static obj_t READ_RP__9___R4_INPUT_6_10_2_141 = BUNSPEC;
static obj_t PORT_____23___R4_INPUT_6_10_2_125 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t READ_RP_UT___R4_INPUT_6_10_2_160(obj_t, obj_t);
#else
extern obj_t READ_RP_UT___R4_INPUT_6_10_2_160();
#endif
#if defined( __STDC__ )
extern obj_t READ_STRING___R4_INPUT_6_10_2_184(obj_t, obj_t);
#else
extern obj_t READ_STRING___R4_INPUT_6_10_2_184();
#endif
#if defined( __STDC__ )
extern obj_t __READ_RP_UT___R4_INPUT_6_10_2_99(obj_t, obj_t, obj_t);
#else
extern obj_t __READ_RP_UT___R4_INPUT_6_10_2_99();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();

static obj_t LAMBDA_1_0_234_145();

obj_t
#if defined( __STDC__ )
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100()
#else
___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65 ))
{
REQUIRE_INITIALISATION____R4_INPUT_6_10_2_65=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
PORT_8___R4_INPUT_6_10_2_188=c_string_to_symbol( "PORT" );
GRAMMAR__11___R4_INPUT_6_10_2_195=c_string_to_symbol( "GRAMMAR@222" );
PROCEDUR_10___R4_INPUT_6_10_2_127=c_string_to_symbol( "PROCEDURE" );
CHAR_REA_27___R4_INPUT_6_10_2_191=c_string_to_symbol( "CHAR-READY?" );
INPUT_PO_22___R4_INPUT_6_10_2_75=c_string_to_symbol( "INPUT-PORT" );
READ_CHA_19___R4_INPUT_6_10_2_96=c_string_to_symbol( "READ-CHAR@__R4_INPUT_6_10_2" );
READ_RP__9___R4_INPUT_6_10_2_141=c_string_to_symbol( "READ/RP@__R4_INPUT_6_10_2" );
PAIR_20___R4_INPUT_6_10_2_29=c_string_to_symbol( "PAIR" );
PORT_____25___R4_INPUT_6_10_2_231=c_string_to_symbol( "PORT@228" );
BINPUT_P_7___R4_INPUT_6_10_2_119=c_string_to_symbol( "BINPUT-PORT" );
GRAMMAR__16___R4_INPUT_6_10_2_116=c_string_to_symbol( "GRAMMAR@224" );
PEEK_CHA_24___R4_INPUT_6_10_2_223=c_string_to_symbol( "PEEK-CHAR@__R4_INPUT_6_10_2" );
READ_STR_28___R4_INPUT_6_10_2_82=c_string_to_symbol( "READ-STRING@__R4_INPUT_6_10_2" );
READ_RP__15___R4_INPUT_6_10_2_148=c_string_to_symbol( "READ/RP-UT@__R4_INPUT_6_10_2" );
NUMBER_29___R4_INPUT_6_10_2_42=c_string_to_symbol( "NUMBER" );
PORT_____21___R4_INPUT_6_10_2_214=c_string_to_symbol( "PORT@226" );
PORT_____23___R4_INPUT_6_10_2_125=c_string_to_symbol( "PORT@227" );
GRAMMAR__18___R4_INPUT_6_10_2_114=c_string_to_symbol( "GRAMMAR@287" );
___R__INP_1___R4_INPUT_6_10_2_208=c_string_to_symbol( "__R4_INPUT_6_10_2" );
GRAMMAR__13___R4_INPUT_6_10_2_49=c_string_to_symbol( "GRAMMAR@285" );
NUMBER___30___R4_INPUT_6_10_2_168=c_string_to_symbol( "NUMBER@232" );
PORT_____26___R4_INPUT_6_10_2_63=c_string_to_symbol( "PORT@229" );
PROCEDURE_2___R4_INPUT_6_10_2_7=make_fx_procedure( LAMBDA_1_0_234_145, 1, 0 );
{
___R4_INPUT_6_10_2_INITIALISATION_ENV___R4_INPUT_6_10_2_12=make_fx_procedure( ____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226, 0, 0 );
READ_RP_ENV___R4_INPUT_6_10_2_47=make_fx_procedure( __READ_RP___R4_INPUT_6_10_2_95, 2, 0 );
READ_RP_UT_ENV___R4_INPUT_6_10_2_144=make_fx_procedure( __READ_RP_UT___R4_INPUT_6_10_2_99, 2, 0 );
READ_CHAR_ENV___R4_INPUT_6_10_2_55=make_va_procedure( __READ_CHAR___R4_INPUT_6_10_2_173, -1, 0 );
PEEK_CHAR_ENV___R4_INPUT_6_10_2_240=make_va_procedure( __PEEK_CHAR___R4_INPUT_6_10_2_211, -1, 0 );
EOF_OBJECT__ENV___R4_INPUT_6_10_2_43=make_fx_procedure( __EOF_OBJECT____R4_INPUT_6_10_2_209, 1, 0 );
CHAR_READY__ENV___R4_INPUT_6_10_2_244=make_fx_procedure( __CHAR_READY____R4_INPUT_6_10_2_123, 0, 0 );
READ_STRING_ENV___R4_INPUT_6_10_2_170=make_fx_procedure( __READ_STRING___R4_INPUT_6_10_2_23, 2, 0 );
{
{obj_t STRING_CAST_279_36;
STRING_CAST_279_36=BREF( &BIGLOO___0___R4_INPUT_6_10_2_80);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__INP_1___R4_INPUT_6_10_2_208, STRING_CAST_279_36, BCHAR( 'b' ) );}
{obj_t LAMBDA_1_0_ENV_295_183;
LAMBDA_1_0_ENV_295_183=PROCEDURE_2___R4_INPUT_6_10_2_7;{obj_t A_FUNCTION_284_137;
A_FUNCTION_284_137=LAMBDA_1_0_ENV_295_183;READ_LINE___R4_INPUT_6_10_2_31=A_FUNCTION_284_137;}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226(obj_t ENV_297_21)
#else
____R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_226( ENV_297_21 )
obj_t ENV_297_21;
#endif
{

return ___R4_INPUT_6_10_2_INITIALISATION___R4_INPUT_6_10_2_100();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_234_145(obj_t LAMBDA_1_0_ENV_296_157,obj_t INPUT_PORT_235_30)
#else
LAMBDA_1_0_234_145( LAMBDA_1_0_ENV_296_157, INPUT_PORT_235_30 )
obj_t LAMBDA_1_0_ENV_296_157, INPUT_PORT_235_30;
#endif
{

{obj_t INPUT_PORT_237_173;
if( INPUT_PORTP( INPUT_PORT_235_30 ))
{
INPUT_PORT_237_173=INPUT_PORT_235_30;
{
{obj_t CURRENT_CONTEXT_238_222;
CURRENT_CONTEXT_238_222=BINT( 0 );{obj_t RULE_248_82;
{
{long RULE_300_74;
{obj_t AUX_303_69;
{
RULE_248_82=BINT( 0 );
{
{obj_t MR_251_244, MR_253_236;
{
MR_251_244=RULE_248_82;
{_STATE_0_249_236:

{long C_298_97;
C_298_97=INPUT_PORT_READ_CHAR( INPUT_PORT_237_173 );if( EQ_I( C_298_97, 10 ))
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
AUX_303_69=BINT( 2 );
}else
if( EQ_I( C_298_97, 0 ))
if( input_port_fill_buffer( INPUT_PORT_237_173 ))
goto _STATE_0_249_236;else
AUX_303_69=MR_251_244;else
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
{
MR_253_236=BINT( 1 );
{_STATE_2_250_172:

{long C_299_174;
C_299_174=INPUT_PORT_READ_CHAR( INPUT_PORT_237_173 );if( EQ_I( C_299_174, 10 ))
AUX_303_69=MR_253_236;else
if( EQ_I( C_299_174, 0 ))
if( input_port_fill_buffer( INPUT_PORT_237_173 ))
goto _STATE_2_250_172;else
AUX_303_69=MR_253_236;else
{
INPUT_PORT_REMEMBER_REF( INPUT_PORT_237_173 );
{
MR_253_236=BINT( 1 );
goto _STATE_2_250_172;
}
}}}
}
}}}
}}}
}RULE_300_74=CINT( AUX_303_69 );}{
INPUT_PORT_AJUST_CURSOR( INPUT_PORT_237_173 );
{switch( (long)RULE_300_74){case 2 : 
return BREF( &__5___R4_INPUT_6_10_2_4);break;case 1 : 
{obj_t STRING_258_143;
{
STRING_258_143=input_port_get_string( INPUT_PORT_237_173 );}{
INPUT_PORT_STOLE_CHAR( INPUT_PORT_237_173 );
return STRING_258_143;
}}break;default: 
{
{
if( INPUT_PORT_TOKEN_TOO_LARGEP( INPUT_PORT_237_173 ))
{obj_t OBJECT_264_212;
OBJECT_264_212=BUNSPEC;FAILURE( BREF( &REGULAR__3___R4_INPUT_6_10_2_35), BREF( &TOKEN_TO_4___R4_INPUT_6_10_2_49), OBJECT_264_212 );}else
BFALSE;
{
return INPUT_PORT_STOLE_CHAR( INPUT_PORT_237_173 );}
}}}}
}}}}}}
}else
FAILURE( BREF( &READ_RP_6___R4_INPUT_6_10_2_209), TYPE_ERROR___ERROR_146( BINPUT_P_7___R4_INPUT_6_10_2_119, PORT_8___R4_INPUT_6_10_2_188 ), INPUT_PORT_235_30 );}
}

obj_t
#if defined( __STDC__ )
READ_RP___R4_INPUT_6_10_2_90(obj_t GRAMMAR_222_19,obj_t PORT_223_99)
#else
READ_RP___R4_INPUT_6_10_2_90( GRAMMAR_222_19, PORT_223_99 )
obj_t GRAMMAR_222_19, PORT_223_99;
#endif
{

if( INPUT_PORTP( PORT_223_99 ))
{obj_t GRAMMAR_285_99;
if( PROCEDUREP( GRAMMAR_222_19 ))
GRAMMAR_285_99=GRAMMAR_222_19;else
FAILURE( READ_RP__9___R4_INPUT_6_10_2_141, TYPE_ERROR___ERROR_146( PROCEDUR_10___R4_INPUT_6_10_2_127, GRAMMAR__11___R4_INPUT_6_10_2_195 ), GRAMMAR_222_19 );if( PROCEDURE_CORRECT_ARITYP( GRAMMAR_285_99, 1 ))
return PROCEDURE_ENTRY( GRAMMAR_285_99 )( GRAMMAR_285_99, PORT_223_99, BEOA );else
FAILURE( READ_RP__9___R4_INPUT_6_10_2_141, BREF( &WRONG_NU_12___R4_INPUT_6_10_2_55), GRAMMAR__13___R4_INPUT_6_10_2_49 );}else
FAILURE( BREF( &READ_RP_14___R4_INPUT_6_10_2_9), TYPE_ERROR___ERROR_146( BINPUT_P_7___R4_INPUT_6_10_2_119, PORT_8___R4_INPUT_6_10_2_188 ), PORT_223_99 );
}

obj_t
#if defined( __STDC__ )
__READ_RP___R4_INPUT_6_10_2_95(obj_t ENV_294_112,obj_t GRAMMAR_222_19,obj_t PORT_223_99)
#else
__READ_RP___R4_INPUT_6_10_2_95( ENV_294_112, GRAMMAR_222_19, PORT_223_99 )
obj_t ENV_294_112, GRAMMAR_222_19, PORT_223_99;
#endif
{

return READ_RP___R4_INPUT_6_10_2_90( GRAMMAR_222_19, PORT_223_99 );
}

obj_t
#if defined( __STDC__ )
READ_RP_UT___R4_INPUT_6_10_2_160(obj_t GRAMMAR_224_217,obj_t PORT_225_80)
#else
READ_RP_UT___R4_INPUT_6_10_2_160( GRAMMAR_224_217, PORT_225_80 )
obj_t GRAMMAR_224_217, PORT_225_80;
#endif
{

{obj_t GRAMMAR_287_195;
if( PROCEDUREP( GRAMMAR_224_217 ))
GRAMMAR_287_195=GRAMMAR_224_217;else
FAILURE( READ_RP__15___R4_INPUT_6_10_2_148, TYPE_ERROR___ERROR_146( PROCEDUR_10___R4_INPUT_6_10_2_127, GRAMMAR__16___R4_INPUT_6_10_2_116 ), GRAMMAR_224_217 );if( PROCEDURE_CORRECT_ARITYP( GRAMMAR_287_195, 1 ))
return PROCEDURE_ENTRY( GRAMMAR_287_195 )( GRAMMAR_287_195, PORT_225_80, BEOA );else
FAILURE( READ_RP__15___R4_INPUT_6_10_2_148, BREF( &WRONG_NU_17___R4_INPUT_6_10_2_47), GRAMMAR__18___R4_INPUT_6_10_2_114 );}
}

obj_t
#if defined( __STDC__ )
__READ_RP_UT___R4_INPUT_6_10_2_99(obj_t ENV_293_251,obj_t GRAMMAR_224_217,obj_t PORT_225_80)
#else
__READ_RP_UT___R4_INPUT_6_10_2_99( ENV_293_251, GRAMMAR_224_217, PORT_225_80 )
obj_t ENV_293_251, GRAMMAR_224_217, PORT_225_80;
#endif
{

return READ_RP_UT___R4_INPUT_6_10_2_160( GRAMMAR_224_217, PORT_225_80 );
}

obj_t
#if defined( __STDC__ )
READ_CHAR___R4_INPUT_6_10_2_86(obj_t PORT_226_50)
#else
READ_CHAR___R4_INPUT_6_10_2_86( PORT_226_50 )
obj_t PORT_226_50;
#endif
{

{obj_t PORT_227_34;
if( NULLP( PORT_226_50 ))
PORT_227_34=current_input_port;else
if( PAIRP( PORT_226_50 ))
PORT_227_34=CAR( PORT_226_50 );else
FAILURE( READ_CHA_19___R4_INPUT_6_10_2_96, TYPE_ERROR___ERROR_146( PAIR_20___R4_INPUT_6_10_2_29, PORT_____21___R4_INPUT_6_10_2_214 ), PORT_226_50 );if( INPUT_PORTP( PORT_227_34 ))
return READ_CHAR( PORT_227_34 );else
FAILURE( READ_CHA_19___R4_INPUT_6_10_2_96, TYPE_ERROR___ERROR_146( INPUT_PO_22___R4_INPUT_6_10_2_75, PORT_____23___R4_INPUT_6_10_2_125 ), PORT_227_34 );}
}

obj_t
#if defined( __STDC__ )
__READ_CHAR___R4_INPUT_6_10_2_173(obj_t ENV_292_151,obj_t PORT_226_50)
#else
__READ_CHAR___R4_INPUT_6_10_2_173( ENV_292_151, PORT_226_50 )
obj_t ENV_292_151, PORT_226_50;
#endif
{

return READ_CHAR___R4_INPUT_6_10_2_86( PORT_226_50 );
}

obj_t
#if defined( __STDC__ )
PEEK_CHAR___R4_INPUT_6_10_2_201(obj_t PORT_228_4)
#else
PEEK_CHAR___R4_INPUT_6_10_2_201( PORT_228_4 )
obj_t PORT_228_4;
#endif
{

{obj_t PORT_229_33;
if( NULLP( PORT_228_4 ))
PORT_229_33=current_input_port;else
if( PAIRP( PORT_228_4 ))
PORT_229_33=CAR( PORT_228_4 );else
FAILURE( PEEK_CHA_24___R4_INPUT_6_10_2_223, TYPE_ERROR___ERROR_146( PAIR_20___R4_INPUT_6_10_2_29, PORT_____25___R4_INPUT_6_10_2_231 ), PORT_228_4 );if( INPUT_PORTP( PORT_229_33 ))
return PEEK_CHAR( PORT_229_33 );else
FAILURE( PEEK_CHA_24___R4_INPUT_6_10_2_223, TYPE_ERROR___ERROR_146( INPUT_PO_22___R4_INPUT_6_10_2_75, PORT_____26___R4_INPUT_6_10_2_63 ), PORT_229_33 );}
}

obj_t
#if defined( __STDC__ )
__PEEK_CHAR___R4_INPUT_6_10_2_211(obj_t ENV_291_225,obj_t PORT_228_4)
#else
__PEEK_CHAR___R4_INPUT_6_10_2_211( ENV_291_225, PORT_228_4 )
obj_t ENV_291_225, PORT_228_4;
#endif
{

return PEEK_CHAR___R4_INPUT_6_10_2_201( PORT_228_4 );
}

obj_t
#if defined( __STDC__ )
EOF_OBJECT____R4_INPUT_6_10_2_140(obj_t OBJECT_230_5)
#else
EOF_OBJECT____R4_INPUT_6_10_2_140( OBJECT_230_5 )
obj_t OBJECT_230_5;
#endif
{

{bool_t AUX_302_37;
AUX_302_37=EOF_OBJECTP( OBJECT_230_5 );return CBOOL_TO_BBOOL( AUX_302_37 );}
}

obj_t
#if defined( __STDC__ )
__EOF_OBJECT____R4_INPUT_6_10_2_209(obj_t ENV_290_207,obj_t OBJECT_230_5)
#else
__EOF_OBJECT____R4_INPUT_6_10_2_209( ENV_290_207, OBJECT_230_5 )
obj_t ENV_290_207, OBJECT_230_5;
#endif
{

return EOF_OBJECT____R4_INPUT_6_10_2_140( OBJECT_230_5 );
}

obj_t
#if defined( __STDC__ )
CHAR_READY____R4_INPUT_6_10_2_158()
#else
CHAR_READY____R4_INPUT_6_10_2_158()
#endif
{

{
PUSH_LAMBDA_TRACE( CHAR_REA_27___R4_INPUT_6_10_2_191 );
{obj_t AUX_301_23;
AUX_301_23=BTRUE;return POP_LAMBDA_TRACE( AUX_301_23 );}
}
}

obj_t
#if defined( __STDC__ )
__CHAR_READY____R4_INPUT_6_10_2_123(obj_t ENV_289_107)
#else
__CHAR_READY____R4_INPUT_6_10_2_123( ENV_289_107 )
obj_t ENV_289_107;
#endif
{

return CHAR_READY____R4_INPUT_6_10_2_158();
}

obj_t
#if defined( __STDC__ )
READ_STRING___R4_INPUT_6_10_2_184(obj_t INPUT_PORT_231_188,obj_t NUMBER_232_52)
#else
READ_STRING___R4_INPUT_6_10_2_184( INPUT_PORT_231_188, NUMBER_232_52 )
obj_t INPUT_PORT_231_188, NUMBER_232_52;
#endif
{

if( INTEGERP( NUMBER_232_52 ))
return intput_port_read_string( INPUT_PORT_231_188, NUMBER_232_52 );else
FAILURE( READ_STR_28___R4_INPUT_6_10_2_82, TYPE_ERROR___ERROR_146( NUMBER_29___R4_INPUT_6_10_2_42, NUMBER___30___R4_INPUT_6_10_2_168 ), NUMBER_232_52 );
}

obj_t
#if defined( __STDC__ )
__READ_STRING___R4_INPUT_6_10_2_23(obj_t ENV_288_177,obj_t INPUT_PORT_231_188,obj_t NUMBER_232_52)
#else
__READ_STRING___R4_INPUT_6_10_2_23( ENV_288_177, INPUT_PORT_231_188, NUMBER_232_52 )
obj_t ENV_288_177, INPUT_PORT_231_188, NUMBER_232_52;
#endif
{

return READ_STRING___R4_INPUT_6_10_2_184( INPUT_PORT_231_188, NUMBER_232_52 );
}

