/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/numbers.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t _____41___R4_NUMBERS_6_5_134 = BUNSPEC;
DEFINE_STRING( SIN_130___R4_NUMBERS_6_5_22, "sin", 3);
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_167(obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_167();
#endif
DEFINE_STRING( EXP_124___R4_NUMBERS_6_5_26, "exp", 3);
obj_t TAN_ENV___R4_NUMBERS_6_5_83 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __COMPLEX____R4_NUMBERS_6_5_113(obj_t, obj_t);
#else
extern obj_t __COMPLEX____R4_NUMBERS_6_5_113();
#endif
static obj_t _____R__N_29___R4_NUMBERS_6_5_109 = BUNSPEC;
static obj_t FLONUM___4___R4_NUMBERS_6_5_2 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_255(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_255();
#endif
DEFINE_STRING( ___101___R4_NUMBERS_6_5_5, "/", 1);
DEFINE_STRING( NOT_A_NU_137___R4_NUMBERS_6_5_72, "not a number", 12);
DEFINE_STRING( NOT_A_NU_122___R4_NUMBERS_6_5_218, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __ROUND___R4_NUMBERS_6_5_114(obj_t, obj_t);
#else
extern obj_t __ROUND___R4_NUMBERS_6_5_114();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_35(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_35();
#endif
#if defined( __STDC__ )
extern obj_t COS___R4_NUMBERS_6_5_115(obj_t);
#else
extern obj_t COS___R4_NUMBERS_6_5_115();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_30(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_30();
#endif
DEFINE_STRING( ___103___R4_NUMBERS_6_5_220, "/", 1);
obj_t ___ENV___R4_NUMBERS_6_5_73 = BUNSPEC;
obj_t EXACT__ENV___R4_NUMBERS_6_5_62 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_188 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
#if defined( __STDC__ )
extern obj_t __CEILING___R4_NUMBERS_6_5_75(obj_t, obj_t);
#else
extern obj_t __CEILING___R4_NUMBERS_6_5_75();
#endif
#if defined( __STDC__ )
extern obj_t TRUNCATE___R4_NUMBERS_6_5_202(obj_t);
#else
extern obj_t TRUNCATE___R4_NUMBERS_6_5_202();
#endif
obj_t TRUNCATE_ENV___R4_NUMBERS_6_5_42 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_216(obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_216();
#endif
DEFINE_STRING( STRING_R_188___R4_NUMBERS_6_5_107, "string-ref", 10);
static obj_t X_____9___R4_NUMBERS_6_5_11 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_49(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_49();
#endif
DEFINE_STRING( FLOOR_112___R4_NUMBERS_6_5_57, "floor", 5);
DEFINE_STRING( NEGATIVE_68___R4_NUMBERS_6_5_251, "negative", 8);
static obj_t REAL_5___R4_NUMBERS_6_5_96 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_131___R4_NUMBERS_6_5_219, "not a number", 12);
obj_t CEILING_ENV___R4_NUMBERS_6_5_246 = BUNSPEC;
static obj_t MIN_73___R4_NUMBERS_6_5_71 = BUNSPEC;
obj_t SIN_ENV___R4_NUMBERS_6_5_102 = BUNSPEC;
DEFINE_STRING( ___81___R4_NUMBERS_6_5_42, "+", 1);
static obj_t ___38___R4_NUMBERS_6_5_55 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t RATIONAL____R4_NUMBERS_6_5_163(obj_t);
#else
extern obj_t RATIONAL____R4_NUMBERS_6_5_163();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_143(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_143();
#endif
static obj_t EXPT___R_168___R4_NUMBERS_6_5_11 = BUNSPEC;
static obj_t ZERO__61___R4_NUMBERS_6_5_205 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ASIN___R4_NUMBERS_6_5_248(obj_t, obj_t);
#else
extern obj_t __ASIN___R4_NUMBERS_6_5_248();
#endif
DEFINE_STRING( NOT_A_NU_106___R4_NUMBERS_6_5_31, "not a number", 12);
#if defined( __STDC__ )
extern obj_t EXACT__INEXACT___R4_NUMBERS_6_5_78(obj_t);
#else
extern obj_t EXACT__INEXACT___R4_NUMBERS_6_5_78();
#endif
DEFINE_STRING( ___79___R4_NUMBERS_6_5_111, "+", 1);
obj_t COMPLEX__ENV___R4_NUMBERS_6_5_224 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_119___R4_NUMBERS_6_5_71, "not a number", 12);
static obj_t STRING_186___R4_NUMBERS_6_5_24 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _______R4_NUMBERS_6_5_110(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t _______R4_NUMBERS_6_5_110();
#endif
DEFINE_STRING( ____46___R4_NUMBERS_6_5_18, "<=", 2);
DEFINE_STRING( INDEX_OU_184___R4_NUMBERS_6_5_143, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __ATAN___R4_NUMBERS_6_5_94(obj_t, obj_t, obj_t);
#else
extern obj_t __ATAN___R4_NUMBERS_6_5_94();
#endif
DEFINE_STRING( NOT_A_NU_165___R4_NUMBERS_6_5_67, "not a number", 12);
DEFINE_STRING( NOT_A_NU_94___R4_NUMBERS_6_5_79, "not a number", 12);
#if defined( __STDC__ )
extern obj_t ROUND___R4_NUMBERS_6_5_160(obj_t);
#else
extern obj_t ROUND___R4_NUMBERS_6_5_160();
#endif
static obj_t X_____169___R4_NUMBERS_6_5_12 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MIN___R4_NUMBERS_6_5_170(obj_t, obj_t, obj_t);
#else
extern obj_t __MIN___R4_NUMBERS_6_5_170();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_102(obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_102();
#endif
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_57(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_57();
#endif
#if defined( __STDC__ )
extern obj_t __COS___R4_NUMBERS_6_5_235(obj_t, obj_t);
#else
extern obj_t __COS___R4_NUMBERS_6_5_235();
#endif
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_57(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_57();
#endif
DEFINE_STRING( ____56___R4_NUMBERS_6_5_2, ">=", 2);
obj_t FLONUM__FIXNUM_ENV___R4_NUMBERS_6_5_255 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __2_____R4_NUMBERS_6_5_55(obj_t, obj_t, obj_t);
#else
extern obj_t __2_____R4_NUMBERS_6_5_55();
#endif
DEFINE_REAL( A_REAL_167___R4_NUMBERS_6_5_2, 0.);
DEFINE_STRING( TAN_136___R4_NUMBERS_6_5_61, "tan", 3);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_255(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_255();
#endif
DEFINE_STRING( NOT_A_NU_35___R4_NUMBERS_6_5_103, "not a number", 12);
obj_t NUMBER__ENV___R4_NUMBERS_6_5_4 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NUMBER____R4_NUMBERS_6_5_234(obj_t, obj_t);
#else
extern obj_t __NUMBER____R4_NUMBERS_6_5_234();
#endif
DEFINE_STRING( NOT_A_NU_116___R4_NUMBERS_6_5_234, "not a number", 12);
static obj_t Z_____20___R4_NUMBERS_6_5_1 = BUNSPEC;
obj_t EXPT_ENV___R4_NUMBERS_6_5_113 = BUNSPEC;
DEFINE_STRING( ___97___R4_NUMBERS_6_5_208, "-", 1);
DEFINE_STRING( NOT_A_NU_86___R4_NUMBERS_6_5_59, "not a number", 12);
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#if defined( __STDC__ )
extern obj_t SIN___R4_NUMBERS_6_5_226(obj_t);
#else
extern obj_t SIN___R4_NUMBERS_6_5_226();
#endif
obj_t INEXACT__EXACT_ENV___R4_NUMBERS_6_5_90 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __TRUNCATE___R4_NUMBERS_6_5_184(obj_t, obj_t);
#else
extern obj_t __TRUNCATE___R4_NUMBERS_6_5_184();
#endif
obj_t LOG_ENV___R4_NUMBERS_6_5_21 = BUNSPEC;
obj_t FLOOR_ENV___R4_NUMBERS_6_5_89 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_33 = BUNSPEC;
DEFINE_STRING( DOMAIN_E_160___R4_NUMBERS_6_5_186, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t TAN___R4_NUMBERS_6_5_201(obj_t);
#else
extern obj_t TAN___R4_NUMBERS_6_5_201();
#endif
#if defined( __STDC__ )
extern obj_t CEILING___R4_NUMBERS_6_5_198(obj_t);
#else
extern obj_t CEILING___R4_NUMBERS_6_5_198();
#endif
#if defined( __STDC__ )
extern obj_t MIN___R4_NUMBERS_6_5_9(obj_t, obj_t);
#else
extern obj_t MIN___R4_NUMBERS_6_5_9();
#endif
DEFINE_STRING( ____52___R4_NUMBERS_6_5_169, ">=", 2);
obj_t NUMBER__STRING_ENV___R4_NUMBERS_6_5_243 = BUNSPEC;
DEFINE_STRING( ___24___R4_NUMBERS_6_5_210, "<", 1);
DEFINE_STRING( CEILING_115___R4_NUMBERS_6_5_67, "ceiling", 7);
static obj_t POSITIVE_64___R4_NUMBERS_6_5_122 = BUNSPEC;
obj_t FIXNUM__FLONUM_ENV___R4_NUMBERS_6_5_246 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_222 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ACOS___R4_NUMBERS_6_5_40(obj_t);
#else
extern obj_t ACOS___R4_NUMBERS_6_5_40();
#endif
static obj_t MAX_70___R4_NUMBERS_6_5_90 = BUNSPEC;
static obj_t COMPLEX__2___R4_NUMBERS_6_5_131 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_148(obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_148();
#endif
static obj_t EXP_123___R4_NUMBERS_6_5_15 = BUNSPEC;
static obj_t Z_____60___R4_NUMBERS_6_5_156 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_128 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_54 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_16___R4_NUMBERS_6_5_39, "not a number", 12);
#if defined( __STDC__ )
extern obj_t ASIN___R4_NUMBERS_6_5_77(obj_t);
#else
extern obj_t ASIN___R4_NUMBERS_6_5_77();
#endif
DEFINE_STRING( SQRT_164___R4_NUMBERS_6_5_217, "sqrt", 4);
DEFINE_STRING( ___26___R4_NUMBERS_6_5_212, "<", 1);
DEFINE_STRING( NOT_A_NU_146___R4_NUMBERS_6_5_123, "not a number", 12);
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_131(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_131();
#endif
#if defined( __STDC__ )
extern obj_t __NUMBER__STRING___R4_NUMBERS_6_5_203(obj_t, obj_t, obj_t);
#else
extern obj_t __NUMBER__STRING___R4_NUMBERS_6_5_203();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
#if defined( __STDC__ )
extern obj_t __2_____R4_NUMBERS_6_5_159(obj_t, obj_t, obj_t);
#else
extern obj_t __2_____R4_NUMBERS_6_5_159();
#endif
obj_t ___ENV___R4_NUMBERS_6_5_36 = BUNSPEC;
static obj_t Y_____151___R4_NUMBERS_6_5_43 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_12___R4_NUMBERS_6_5_199, "not a number", 12);
static obj_t X_____187___R4_NUMBERS_6_5_30 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_166(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_166();
#endif
static obj_t SIN_129___R4_NUMBERS_6_5_23 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FIXNUM__FLONUM___R4_NUMBERS_6_5_225(obj_t, obj_t);
#else
extern obj_t __FIXNUM__FLONUM___R4_NUMBERS_6_5_225();
#endif
extern obj_t make_va_procedure();
static obj_t Z_____40___R4_NUMBERS_6_5_105 = BUNSPEC;
extern obj_t INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99();
static obj_t Z_____72___R4_NUMBERS_6_5_9 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_176___R4_NUMBERS_6_5_17, "not a number", 12);
static obj_t Y_____171___R4_NUMBERS_6_5_31 = BUNSPEC;
static obj_t PAIR_____181___R4_NUMBERS_6_5_216 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_119 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLOOR___R4_NUMBERS_6_5_103(obj_t, obj_t);
#else
extern obj_t __FLOOR___R4_NUMBERS_6_5_103();
#endif
#if defined( __STDC__ )
extern obj_t FLOOR___R4_NUMBERS_6_5_49(obj_t);
#else
extern obj_t FLOOR___R4_NUMBERS_6_5_49();
#endif
extern obj_t ___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
static obj_t ___107___R4_NUMBERS_6_5_209 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_96___R4_NUMBERS_6_5_206, "not a number", 12);
static obj_t NUMBER_8___R4_NUMBERS_6_5_216 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_15(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_15();
#endif
static obj_t ____31___R4_NUMBERS_6_5_206 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_128___R4_NUMBERS_6_5_210, "not a number", 12);
obj_t _2__ENV___R4_NUMBERS_6_5_207 = BUNSPEC;
DEFINE_REAL( A_REAL_172___R4_NUMBERS_6_5_69, 1.);
#if defined( __STDC__ )
extern obj_t INEXACT__EXACT___R4_NUMBERS_6_5_56(obj_t);
#else
extern obj_t INEXACT__EXACT___R4_NUMBERS_6_5_56();
#endif
DEFINE_REAL( A_REAL_150___R4_NUMBERS_6_5_193, 0.);
#if defined( __STDC__ )
extern obj_t __TAN___R4_NUMBERS_6_5_81(obj_t, obj_t);
#else
extern obj_t __TAN___R4_NUMBERS_6_5_81();
#endif
#if defined( __STDC__ )
extern obj_t __POSITIVE____R4_NUMBERS_6_5_129(obj_t, obj_t);
#else
extern obj_t __POSITIVE____R4_NUMBERS_6_5_129();
#endif
obj_t POSITIVE__ENV___R4_NUMBERS_6_5_191 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SQRT___R4_NUMBERS_6_5_111(obj_t, obj_t);
#else
extern obj_t __SQRT___R4_NUMBERS_6_5_111();
#endif
obj_t ___ENV___R4_NUMBERS_6_5_27 = BUNSPEC;
static obj_t ATAN___R_148___R4_NUMBERS_6_5_228 = BUNSPEC;
DEFINE_STRING( INDEX_OU_191___R4_NUMBERS_6_5_120, "index out of range", 18);
obj_t _2__ENV___R4_NUMBERS_6_5_89 = BUNSPEC;
static obj_t ___91___R4_NUMBERS_6_5_185 = BUNSPEC;
DEFINE_REAL( A_REAL_147___R4_NUMBERS_6_5_221, 0.);
#if defined( __STDC__ )
extern obj_t EXP___R4_NUMBERS_6_5_248(obj_t);
#else
extern obj_t EXP___R4_NUMBERS_6_5_248();
#endif
extern obj_t STRING__REAL___R4_NUMBERS_6_5_FLONUM_106();
#if defined( __STDC__ )
extern obj_t __STRING__NUMBER___R4_NUMBERS_6_5_64(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING__NUMBER___R4_NUMBERS_6_5_64();
#endif
DEFINE_STRING( NOT_A_NU_66___R4_NUMBERS_6_5_151, "not a number", 12);
#if defined( __STDC__ )
extern obj_t COMPLEX____R4_NUMBERS_6_5_3(obj_t);
#else
extern obj_t COMPLEX____R4_NUMBERS_6_5_3();
#endif
DEFINE_STRING( BIGLOO___0___R4_NUMBERS_6_5_187, "Bigloo (v1.7)", 13);
#if defined( __STDC__ )
extern obj_t ZERO____R4_NUMBERS_6_5_157(obj_t);
#else
extern obj_t ZERO____R4_NUMBERS_6_5_157();
#endif
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_207(obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_207();
#endif
static obj_t ___83___R4_NUMBERS_6_5_231 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INEXACT____R4_NUMBERS_6_5_170(obj_t);
#else
extern obj_t INEXACT____R4_NUMBERS_6_5_170();
#endif
static obj_t ___99___R4_NUMBERS_6_5_62 = BUNSPEC;
static obj_t NUMBER___179___R4_NUMBERS_6_5_3 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ATAN___R4_NUMBERS_6_5_14(obj_t, obj_t);
#else
extern obj_t ATAN___R4_NUMBERS_6_5_14();
#endif
static obj_t ____84___R4_NUMBERS_6_5_114 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ACOS___R4_NUMBERS_6_5_107(obj_t, obj_t);
#else
extern obj_t __ACOS___R4_NUMBERS_6_5_107();
#endif
DEFINE_STRING( DOMAIN_E_153___R4_NUMBERS_6_5_254, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_28(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_28();
#endif
DEFINE_STRING( EXPT_175___R4_NUMBERS_6_5_34, "expt", 4);
#if defined( __STDC__ )
extern obj_t SQRT___R4_NUMBERS_6_5_77(obj_t);
#else
extern obj_t SQRT___R4_NUMBERS_6_5_77();
#endif
static obj_t LOG_126___R4_NUMBERS_6_5_14 = BUNSPEC;
DEFINE_STRING( POSITIVE_65___R4_NUMBERS_6_5_191, "positive", 8);
static obj_t CEILING_114___R4_NUMBERS_6_5_227 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_88___R4_NUMBERS_6_5_69, "not a number", 12);
DEFINE_STRING( ___22___R4_NUMBERS_6_5_73, "<", 1);
DEFINE_STRING( NOT_A_NU_27___R4_NUMBERS_6_5_32, "not a number", 12);
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_142(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_142();
#endif
obj_t ___R4_NUMBERS_6_5_INITIALISATION_ENV___R4_NUMBERS_6_5_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_38(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_38();
#endif
static obj_t NUMBER___180___R4_NUMBERS_6_5_91 = BUNSPEC;
static obj_t _____R__N_18___R4_NUMBERS_6_5_125 = BUNSPEC;
DEFINE_REAL( A_REAL_154___R4_NUMBERS_6_5_51, 0.);
DEFINE_STRING( SQRT_159___R4_NUMBERS_6_5_67, "sqrt", 4);
DEFINE_STRING( ___89___R4_NUMBERS_6_5_194, "*", 1);
#if defined( __STDC__ )
extern obj_t __INEXACT____R4_NUMBERS_6_5_110(obj_t, obj_t);
#else
extern obj_t __INEXACT____R4_NUMBERS_6_5_110();
#endif
obj_t COS_ENV___R4_NUMBERS_6_5_46 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ABS___R4_NUMBERS_6_5_20(obj_t, obj_t);
#else
extern obj_t __ABS___R4_NUMBERS_6_5_20();
#endif
#if defined( __STDC__ )
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157(obj_t, obj_t);
#else
extern obj_t NUMBER__STRING___R4_NUMBERS_6_5_157();
#endif
DEFINE_STRING( NOT_A_NU_143___R4_NUMBERS_6_5_216, "not a number", 12);
DEFINE_STRING( LOG_127___R4_NUMBERS_6_5_97, "log", 3);
static obj_t AUX_____193___R4_NUMBERS_6_5_187 = BUNSPEC;
DEFINE_STRING( ___11___R4_NUMBERS_6_5_138, "=", 1);
DEFINE_STRING( TOO_MANY_194___R4_NUMBERS_6_5_167, "Too many argument provided", 26);
#if defined( __STDC__ )
extern obj_t __EXPT___R4_NUMBERS_6_5_156(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPT___R4_NUMBERS_6_5_156();
#endif
static obj_t _____51___R4_NUMBERS_6_5_148 = BUNSPEC;
extern obj_t STRING__INTEGER___R4_NUMBERS_6_5_FIXNUM_235();
DEFINE_STRING( ASIN_139___R4_NUMBERS_6_5_173, "asin", 4);
#if defined( __STDC__ )
extern obj_t __LOG___R4_NUMBERS_6_5_176(obj_t, obj_t);
#else
extern obj_t __LOG___R4_NUMBERS_6_5_176();
#endif
DEFINE_REAL( A_REAL_158___R4_NUMBERS_6_5_240, 0.);
DEFINE_STRING( DOMAIN_E_163___R4_NUMBERS_6_5_226, "Domain error", 12);
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_45(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_45();
#endif
obj_t ____ENV___R4_NUMBERS_6_5_164 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_102___R4_NUMBERS_6_5_23, "not a number", 12);
static obj_t _____R__N_39___R4_NUMBERS_6_5_203 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLONUM__FIXNUM___R4_NUMBERS_6_5_39(obj_t, obj_t);
#else
extern obj_t __FLONUM__FIXNUM___R4_NUMBERS_6_5_39();
#endif
DEFINE_STRING( NOT_A_NU_104___R4_NUMBERS_6_5_20, "not a number", 12);
static obj_t Z_____50___R4_NUMBERS_6_5_78 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180(obj_t);
#else
extern obj_t ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180();
#endif
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_128(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_128();
#endif
DEFINE_STRING( COS_133___R4_NUMBERS_6_5_97, "cos", 3);
static obj_t STRING___185___R4_NUMBERS_6_5_124 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_144(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_144();
#endif
DEFINE_STRING( NOT_A_NU_125___R4_NUMBERS_6_5_38, "not a number", 12);
obj_t ROUND_ENV___R4_NUMBERS_6_5_77 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NEGATIVE____R4_NUMBERS_6_5_117(obj_t, obj_t);
#else
extern obj_t __NEGATIVE____R4_NUMBERS_6_5_117();
#endif
static obj_t STRING___195___R4_NUMBERS_6_5_225 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_40(obj_t, obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_40();
#endif
static obj_t ATAN_144___R4_NUMBERS_6_5_181 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_110___R4_NUMBERS_6_5_122, "not a number", 12);
DEFINE_STRING( ATAN_155___R4_NUMBERS_6_5_203, "atan", 4);
#if defined( __STDC__ )
extern obj_t POSITIVE____R4_NUMBERS_6_5_164(obj_t);
#else
extern obj_t POSITIVE____R4_NUMBERS_6_5_164();
#endif
static obj_t FLOOR_111___R4_NUMBERS_6_5_46 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2____R4_NUMBERS_6_5_47(obj_t, obj_t);
#else
extern obj_t _2____R4_NUMBERS_6_5_47();
#endif
DEFINE_STRING( ___105___R4_NUMBERS_6_5_244, "/", 1);
#if defined( __STDC__ )
extern obj_t EXACT____R4_NUMBERS_6_5_111(obj_t);
#else
extern obj_t EXACT____R4_NUMBERS_6_5_111();
#endif
#if defined( __STDC__ )
extern obj_t __ZERO____R4_NUMBERS_6_5_58(obj_t, obj_t);
#else
extern obj_t __ZERO____R4_NUMBERS_6_5_58();
#endif
obj_t STRING__NUMBER_ENV___R4_NUMBERS_6_5_195 = BUNSPEC;
DEFINE_STRING( ____54___R4_NUMBERS_6_5_108, ">=", 2);
DEFINE_STRING( NOT_A_NU_45___R4_NUMBERS_6_5_13, "not a number", 12);
DEFINE_STRING( NOT_A_NU_47___R4_NUMBERS_6_5_242, "not a number", 12);
static obj_t ACOS_141___R4_NUMBERS_6_5_113 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SIN___R4_NUMBERS_6_5_114(obj_t, obj_t);
#else
extern obj_t __SIN___R4_NUMBERS_6_5_114();
#endif
DEFINE_STRING( NOT_A_NU_82___R4_NUMBERS_6_5_235, "not a number", 12);
#if defined( __STDC__ )
extern obj_t ABS___R4_NUMBERS_6_5_209(obj_t);
#else
extern obj_t ABS___R4_NUMBERS_6_5_209();
#endif
static obj_t ___28___R4_NUMBERS_6_5_28 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXACT__INEXACT___R4_NUMBERS_6_5_82(obj_t, obj_t);
#else
extern obj_t __EXACT__INEXACT___R4_NUMBERS_6_5_82();
#endif
#if defined( __STDC__ )
extern obj_t LOG___R4_NUMBERS_6_5_45(obj_t);
#else
extern obj_t LOG___R4_NUMBERS_6_5_45();
#endif
DEFINE_STRING( INDEX_OU_189___R4_NUMBERS_6_5_92, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_196(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_196();
#endif
#if defined( __STDC__ )
extern obj_t __EXACT____R4_NUMBERS_6_5_239(obj_t, obj_t);
#else
extern obj_t __EXACT____R4_NUMBERS_6_5_239();
#endif
DEFINE_STRING( EXPT_177___R4_NUMBERS_6_5_98, "expt", 4);
#if defined( __STDC__ )
extern obj_t __INEXACT__EXACT___R4_NUMBERS_6_5_100(obj_t, obj_t);
#else
extern obj_t __INEXACT__EXACT___R4_NUMBERS_6_5_100();
#endif
DEFINE_STRING( ATANFL_152___R4_NUMBERS_6_5_249, "atanfl", 6);
static obj_t ____10___R4_NUMBERS_6_5_63 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_25___R4_NUMBERS_6_5_192, "not a number", 12);
DEFINE_STRING( ___32___R4_NUMBERS_6_5_25, ">", 1);
static obj_t COS_132___R4_NUMBERS_6_5_14 = BUNSPEC;
static obj_t FIXNUM___7___R4_NUMBERS_6_5_84 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t NUMBER____R4_NUMBERS_6_5_95(obj_t);
#else
extern obj_t NUMBER____R4_NUMBERS_6_5_95();
#endif
#if defined( __STDC__ )
extern obj_t __EXP___R4_NUMBERS_6_5_239(obj_t, obj_t);
#else
extern obj_t __EXP___R4_NUMBERS_6_5_239();
#endif
#if defined( __STDC__ )
extern obj_t _______R4_NUMBERS_6_5_18(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t _______R4_NUMBERS_6_5_18();
#endif
static obj_t Z_____75___R4_NUMBERS_6_5_92 = BUNSPEC;
static obj_t ___17___R4_NUMBERS_6_5_154 = BUNSPEC;
DEFINE_STRING( TRUNCATE_118___R4_NUMBERS_6_5_118, "truncate", 8);
obj_t ATAN_ENV___R4_NUMBERS_6_5_110 = BUNSPEC;
DEFINE_STRING( ___93___R4_NUMBERS_6_5_117, "-", 1);
obj_t INEXACT__ENV___R4_NUMBERS_6_5_193 = BUNSPEC;
static obj_t MAX___R__71___R4_NUMBERS_6_5_228 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_14___R4_NUMBERS_6_5_76, "not a number", 12);
obj_t _2___ENV___R4_NUMBERS_6_5_227 = BUNSPEC;
static obj_t PAIR_19___R4_NUMBERS_6_5_191 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_23___R4_NUMBERS_6_5_63, "not a number", 12);
DEFINE_STRING( ___34___R4_NUMBERS_6_5_107, ">", 1);
static obj_t MIN___R__74___R4_NUMBERS_6_5_211 = BUNSPEC;
static obj_t STRING___182___R4_NUMBERS_6_5_115 = BUNSPEC;
obj_t MAX_ENV___R4_NUMBERS_6_5_40 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2_____R4_NUMBERS_6_5_203(obj_t, obj_t);
#else
extern obj_t _2_____R4_NUMBERS_6_5_203();
#endif
DEFINE_STRING( ____44___R4_NUMBERS_6_5_155, "<=", 2);
DEFINE_STRING( ABS_109___R4_NUMBERS_6_5_123, "abs", 3);
#if defined( __STDC__ )
extern obj_t ______R4_NUMBERS_6_5_86(obj_t, obj_t);
#else
extern obj_t ______R4_NUMBERS_6_5_86();
#endif
DEFINE_STRING( NOT_A_NU_134___R4_NUMBERS_6_5_113, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __RATIONAL____R4_NUMBERS_6_5_139(obj_t, obj_t);
#else
extern obj_t __RATIONAL____R4_NUMBERS_6_5_139();
#endif
obj_t EXP_ENV___R4_NUMBERS_6_5_232 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_78___R4_NUMBERS_6_5_110, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_217(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_217();
#endif
extern obj_t make_fx_procedure();
DEFINE_REAL( A_REAL_170___R4_NUMBERS_6_5_26, 0.);
DEFINE_STRING( NOT_A_NU_80___R4_NUMBERS_6_5_52, "not a number", 12);
obj_t NEGATIVE__ENV___R4_NUMBERS_6_5_9 = BUNSPEC;
static obj_t X_____6___R4_NUMBERS_6_5_133 = BUNSPEC;
static obj_t NEGATIVE_67___R4_NUMBERS_6_5_149 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAX___R4_NUMBERS_6_5_36(obj_t, obj_t, obj_t);
#else
extern obj_t __MAX___R4_NUMBERS_6_5_36();
#endif
DEFINE_STRING( NOT_A_NU_33___R4_NUMBERS_6_5_113, "not a number", 12);
obj_t _2___ENV___R4_NUMBERS_6_5_156 = BUNSPEC;
static obj_t ABS_108___R4_NUMBERS_6_5_140 = BUNSPEC;
obj_t _2__ENV___R4_NUMBERS_6_5_182 = BUNSPEC;
obj_t ___ENV___R4_NUMBERS_6_5_60 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_69___R4_NUMBERS_6_5_162, "not a number", 12);
static obj_t ____76___R4_NUMBERS_6_5_165 = BUNSPEC;
static obj_t X_____149___R4_NUMBERS_6_5_179 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_43___R4_NUMBERS_6_5_92, "not a number", 12);
static obj_t ____92___R4_NUMBERS_6_5_248 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _____R4_NUMBERS_6_5_140(obj_t, obj_t);
#else
extern obj_t _____R4_NUMBERS_6_5_140();
#endif
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
DEFINE_STRING( NOT_A_NU_113___R4_NUMBERS_6_5_109, "not a number", 12);
DEFINE_STRING( ROUND_121___R4_NUMBERS_6_5_222, "round", 5);
DEFINE_STRING( STRING_R_183___R4_NUMBERS_6_5_8, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t FLONUM__FIXNUM___R4_NUMBERS_6_5_186(obj_t);
#else
extern obj_t FLONUM__FIXNUM___R4_NUMBERS_6_5_186();
#endif
DEFINE_STRING( ___77___R4_NUMBERS_6_5_56, "+", 1);
DEFINE_STRING( ____42___R4_NUMBERS_6_5_247, "<=", 2);
DEFINE_STRING( ___95___R4_NUMBERS_6_5_224, "-", 1);
obj_t ASIN_ENV___R4_NUMBERS_6_5_78 = BUNSPEC;
DEFINE_REAL( A_REAL_161___R4_NUMBERS_6_5_160, 0.);
DEFINE_STRING( STRING_R_190___R4_NUMBERS_6_5_129, "string-ref", 10);
obj_t ABS_ENV___R4_NUMBERS_6_5_51 = BUNSPEC;
static obj_t ______R___59___R4_NUMBERS_6_5_104 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_57___R4_NUMBERS_6_5_52, "not a number", 12);
static obj_t ____48___R4_NUMBERS_6_5_106 = BUNSPEC;
static obj_t TRUNCATE_117___R4_NUMBERS_6_5_167 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_178___R4_NUMBERS_6_5_245, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_44(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_44();
#endif
obj_t SQRT_ENV___R4_NUMBERS_6_5_78 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_53___R4_NUMBERS_6_5_249, "not a number", 12);
DEFINE_STRING( ATAN_145___R4_NUMBERS_6_5_105, "atan", 4);
static obj_t Z_____30___R4_NUMBERS_6_5_225 = BUNSPEC;
obj_t MIN_ENV___R4_NUMBERS_6_5_76 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t _2_____R4_NUMBERS_6_5_228(obj_t, obj_t);
#else
extern obj_t _2_____R4_NUMBERS_6_5_228();
#endif
static obj_t ROUND_120___R4_NUMBERS_6_5_199 = BUNSPEC;
static obj_t SQRT_157___R4_NUMBERS_6_5_164 = BUNSPEC;
DEFINE_STRING( ___87___R4_NUMBERS_6_5_181, "*", 1);
static obj_t A______192___R4_NUMBERS_6_5_102 = BUNSPEC;
static obj_t ASIN_138___R4_NUMBERS_6_5_130 = BUNSPEC;
static obj_t ____100___R4_NUMBERS_6_5_219 = BUNSPEC;
obj_t RATIONAL__ENV___R4_NUMBERS_6_5_218 = BUNSPEC;
DEFINE_STRING( EXPT_173___R4_NUMBERS_6_5_36, "expt", 4);
obj_t ____ENV___R4_NUMBERS_6_5_88 = BUNSPEC;
obj_t ZERO__ENV___R4_NUMBERS_6_5_243 = BUNSPEC;
obj_t ACOS_ENV___R4_NUMBERS_6_5_27 = BUNSPEC;
DEFINE_STRING( ACOS_142___R4_NUMBERS_6_5_72, "acos", 4);
obj_t ___ENV___R4_NUMBERS_6_5_14 = BUNSPEC;
static obj_t TAN_135___R4_NUMBERS_6_5_40 = BUNSPEC;
static obj_t ______R___49___R4_NUMBERS_6_5_211 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_63___R4_NUMBERS_6_5_43, "not a number", 12);
#if defined( __STDC__ )
extern obj_t STRING__NUMBER___R4_NUMBERS_6_5_34(obj_t, obj_t);
#else
extern obj_t STRING__NUMBER___R4_NUMBERS_6_5_34();
#endif
DEFINE_STRING( NOT_A_NU_174___R4_NUMBERS_6_5_144, "not a number", 12);
#if defined( __STDC__ )
extern obj_t EXPT___R4_NUMBERS_6_5_82(obj_t, obj_t);
#else
extern obj_t EXPT___R4_NUMBERS_6_5_82();
#endif
DEFINE_STRING( ___36___R4_NUMBERS_6_5_41, ">", 1);
DEFINE_STRING( NOT_A_NU_156___R4_NUMBERS_6_5_7, "not a number", 12);
extern char * real_to_string();
#if defined( __STDC__ )
extern obj_t NEGATIVE____R4_NUMBERS_6_5_8(obj_t);
#else
extern obj_t NEGATIVE____R4_NUMBERS_6_5_8();
#endif
DEFINE_STRING( NOT_A_NU_37___R4_NUMBERS_6_5_146, "not a number", 12);
static obj_t RATIONAL_3___R4_NUMBERS_6_5_77 = BUNSPEC;
obj_t EXACT__INEXACT_ENV___R4_NUMBERS_6_5_168 = BUNSPEC;
DEFINE_STRING( SQRT_162___R4_NUMBERS_6_5_17, "sqrt", 4);
static obj_t EXPT_166___R4_NUMBERS_6_5_54 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_140___R4_NUMBERS_6_5_141, "not a number", 12);
static obj_t ____21___R4_NUMBERS_6_5_168 = BUNSPEC;
DEFINE_STRING( ZERO_62___R4_NUMBERS_6_5_103, "zero", 4);
DEFINE_STRING( NOT_A_NU_55___R4_NUMBERS_6_5_235, "not a number", 12);
DEFINE_STRING( ___13___R4_NUMBERS_6_5_16, "=", 1);
DEFINE_STRING( NOT_A_NU_98___R4_NUMBERS_6_5_165, "not a number", 12);
DEFINE_STRING( ___85___R4_NUMBERS_6_5_250, "*", 1);
#if defined( __STDC__ )
extern obj_t FIXNUM__FLONUM___R4_NUMBERS_6_5_198(obj_t);
#else
extern obj_t FIXNUM__FLONUM___R4_NUMBERS_6_5_198();
#endif
DEFINE_STRING( NOT_A_NU_90___R4_NUMBERS_6_5_173, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __2____R4_NUMBERS_6_5_183(obj_t, obj_t, obj_t);
#else
extern obj_t __2____R4_NUMBERS_6_5_183();
#endif
DEFINE_STRING( ___15___R4_NUMBERS_6_5_162, "=", 1);
#if defined( __STDC__ )
extern obj_t MAX___R4_NUMBERS_6_5_192(obj_t, obj_t);
#else
extern obj_t MAX___R4_NUMBERS_6_5_192();
#endif
static obj_t ____58___R4_NUMBERS_6_5_120 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
static obj_t ___R__NUM_1___R4_NUMBERS_6_5_16 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98()
#else
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62 ))
{
REQUIRE_INITIALISATION____R4_NUMBERS_6_5_62=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___R4_NUMBERS_6_5_FLONUM_INITIALISATION___R4_NUMBERS_6_5_FLONUM_59();
___SYSTEM_INITIALISATION___SYSTEM_109();
MAX_70___R4_NUMBERS_6_5_90=c_string_to_symbol( "MAX" );
Y_____151___R4_NUMBERS_6_5_43=c_string_to_symbol( "Y@513" );
NEGATIVE_67___R4_NUMBERS_6_5_149=c_string_to_symbol( "NEGATIVE?" );
EXPT_166___R4_NUMBERS_6_5_54=c_string_to_symbol( "EXPT" );
STRING___182___R4_NUMBERS_6_5_115=c_string_to_symbol( "STRING->NUMBER" );
EXPT___R_168___R4_NUMBERS_6_5_11=c_string_to_symbol( "EXPT@__R4_NUMBERS_6_5" );
Z_____30___R4_NUMBERS_6_5_225=c_string_to_symbol( "Z@249" );
_____51___R4_NUMBERS_6_5_148=c_string_to_symbol( "2>=" );
___R__NUM_1___R4_NUMBERS_6_5_16=c_string_to_symbol( "__R4_NUMBERS_6_5" );
FLONUM___4___R4_NUMBERS_6_5_2=c_string_to_symbol( "FLONUM->FIXNUM@__R4_NUMBERS_6_5" );
___107___R4_NUMBERS_6_5_209=c_string_to_symbol( "/" );
X_____6___R4_NUMBERS_6_5_133=c_string_to_symbol( "X@228" );
MAX___R__71___R4_NUMBERS_6_5_228=c_string_to_symbol( "MAX@__R4_NUMBERS_6_5" );
Z_____60___R4_NUMBERS_6_5_156=c_string_to_symbol( "Z@279" );
_____41___R4_NUMBERS_6_5_134=c_string_to_symbol( "2<=" );
AUX_____193___R4_NUMBERS_6_5_187=c_string_to_symbol( "AUX@725" );
Z_____75___R4_NUMBERS_6_5_92=c_string_to_symbol( "Z@434" );
LOG_126___R4_NUMBERS_6_5_14=c_string_to_symbol( "LOG" );
ABS_108___R4_NUMBERS_6_5_140=c_string_to_symbol( "ABS" );
______R___49___R4_NUMBERS_6_5_211=c_string_to_symbol( "<=@__R4_NUMBERS_6_5" );
X_____169___R4_NUMBERS_6_5_12=c_string_to_symbol( "X@339" );
ATAN___R_148___R4_NUMBERS_6_5_228=c_string_to_symbol( "ATAN@__R4_NUMBERS_6_5" );
____76___R4_NUMBERS_6_5_165=c_string_to_symbol( "2+" );
POSITIVE_64___R4_NUMBERS_6_5_122=c_string_to_symbol( "POSITIVE?" );
___28___R4_NUMBERS_6_5_28=c_string_to_symbol( "<" );
____10___R4_NUMBERS_6_5_63=c_string_to_symbol( "2=" );
___38___R4_NUMBERS_6_5_55=c_string_to_symbol( ">" );
NUMBER___180___R4_NUMBERS_6_5_91=c_string_to_symbol( "NUMBER->STRING@__R4_NUMBERS_6_5" );
NUMBER___179___R4_NUMBERS_6_5_3=c_string_to_symbol( "NUMBER->STRING" );
PAIR_19___R4_NUMBERS_6_5_191=c_string_to_symbol( "PAIR" );
_____R__N_29___R4_NUMBERS_6_5_109=c_string_to_symbol( "<@__R4_NUMBERS_6_5" );
Z_____50___R4_NUMBERS_6_5_78=c_string_to_symbol( "Z@269" );
___17___R4_NUMBERS_6_5_154=c_string_to_symbol( "=" );
STRING___185___R4_NUMBERS_6_5_124=c_string_to_symbol( "STRING->NUMBER@__R4_NUMBERS_6_5" );
X_____9___R4_NUMBERS_6_5_11=c_string_to_symbol( "X@229" );
SQRT_157___R4_NUMBERS_6_5_164=c_string_to_symbol( "SQRT" );
PAIR_____181___R4_NUMBERS_6_5_216=c_string_to_symbol( "PAIR@528" );
ATAN_144___R4_NUMBERS_6_5_181=c_string_to_symbol( "ATAN" );
____48___R4_NUMBERS_6_5_106=c_string_to_symbol( "<=" );
ZERO__61___R4_NUMBERS_6_5_205=c_string_to_symbol( "ZERO?" );
COMPLEX__2___R4_NUMBERS_6_5_131=c_string_to_symbol( "COMPLEX?" );
EXP_123___R4_NUMBERS_6_5_15=c_string_to_symbol( "EXP" );
MIN___R__74___R4_NUMBERS_6_5_211=c_string_to_symbol( "MIN@__R4_NUMBERS_6_5" );
Z_____40___R4_NUMBERS_6_5_105=c_string_to_symbol( "Z@259" );
_____R__N_39___R4_NUMBERS_6_5_203=c_string_to_symbol( ">@__R4_NUMBERS_6_5" );
____58___R4_NUMBERS_6_5_120=c_string_to_symbol( ">=" );
FLOOR_111___R4_NUMBERS_6_5_46=c_string_to_symbol( "FLOOR" );
Y_____171___R4_NUMBERS_6_5_31=c_string_to_symbol( "Y@340" );
A______192___R4_NUMBERS_6_5_102=c_string_to_symbol( "A1@724" );
NUMBER_8___R4_NUMBERS_6_5_216=c_string_to_symbol( "NUMBER" );
ASIN_138___R4_NUMBERS_6_5_130=c_string_to_symbol( "ASIN" );
X_____187___R4_NUMBERS_6_5_30=c_string_to_symbol( "X@353" );
______R___59___R4_NUMBERS_6_5_104=c_string_to_symbol( ">=@__R4_NUMBERS_6_5" );
___99___R4_NUMBERS_6_5_62=c_string_to_symbol( "-" );
ACOS_141___R4_NUMBERS_6_5_113=c_string_to_symbol( "ACOS" );
MIN_73___R4_NUMBERS_6_5_71=c_string_to_symbol( "MIN" );
Z_____20___R4_NUMBERS_6_5_1=c_string_to_symbol( "Z@239" );
CEILING_114___R4_NUMBERS_6_5_227=c_string_to_symbol( "CEILING" );
TAN_135___R4_NUMBERS_6_5_40=c_string_to_symbol( "TAN" );
SIN_129___R4_NUMBERS_6_5_23=c_string_to_symbol( "SIN" );
_____R__N_18___R4_NUMBERS_6_5_125=c_string_to_symbol( "=@__R4_NUMBERS_6_5" );
STRING___195___R4_NUMBERS_6_5_225=c_string_to_symbol( "STRING->REAL@__R4_NUMBERS_6_5_FLONUM" );
Z_____72___R4_NUMBERS_6_5_9=c_string_to_symbol( "Z@423" );
____84___R4_NUMBERS_6_5_114=c_string_to_symbol( "2*" );
ROUND_120___R4_NUMBERS_6_5_199=c_string_to_symbol( "ROUND" );
____31___R4_NUMBERS_6_5_206=c_string_to_symbol( "2>" );
RATIONAL_3___R4_NUMBERS_6_5_77=c_string_to_symbol( "RATIONAL?" );
REAL_5___R4_NUMBERS_6_5_96=c_string_to_symbol( "REAL" );
STRING_186___R4_NUMBERS_6_5_24=c_string_to_symbol( "STRING" );
____21___R4_NUMBERS_6_5_168=c_string_to_symbol( "2<" );
___83___R4_NUMBERS_6_5_231=c_string_to_symbol( "+" );
FIXNUM___7___R4_NUMBERS_6_5_84=c_string_to_symbol( "FIXNUM->FLONUM@__R4_NUMBERS_6_5" );
TRUNCATE_117___R4_NUMBERS_6_5_167=c_string_to_symbol( "TRUNCATE" );
____92___R4_NUMBERS_6_5_248=c_string_to_symbol( "2-" );
COS_132___R4_NUMBERS_6_5_14=c_string_to_symbol( "COS" );
X_____149___R4_NUMBERS_6_5_179=c_string_to_symbol( "X@336" );
____100___R4_NUMBERS_6_5_219=c_string_to_symbol( "2/" );
___91___R4_NUMBERS_6_5_185=c_string_to_symbol( "*" );
{
___R4_NUMBERS_6_5_INITIALISATION_ENV___R4_NUMBERS_6_5_1=make_fx_procedure( ____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180, 0, 0 );
NUMBER__ENV___R4_NUMBERS_6_5_4=make_fx_procedure( __NUMBER____R4_NUMBERS_6_5_234, 1, 0 );
EXACT__ENV___R4_NUMBERS_6_5_62=make_fx_procedure( __EXACT____R4_NUMBERS_6_5_239, 1, 0 );
INEXACT__ENV___R4_NUMBERS_6_5_193=make_fx_procedure( __INEXACT____R4_NUMBERS_6_5_110, 1, 0 );
COMPLEX__ENV___R4_NUMBERS_6_5_224=make_fx_procedure( __COMPLEX____R4_NUMBERS_6_5_113, 1, 0 );
RATIONAL__ENV___R4_NUMBERS_6_5_218=make_fx_procedure( __RATIONAL____R4_NUMBERS_6_5_139, 1, 0 );
FLONUM__FIXNUM_ENV___R4_NUMBERS_6_5_255=make_fx_procedure( __FLONUM__FIXNUM___R4_NUMBERS_6_5_39, 1, 0 );
FIXNUM__FLONUM_ENV___R4_NUMBERS_6_5_246=make_fx_procedure( __FIXNUM__FLONUM___R4_NUMBERS_6_5_225, 1, 0 );
_2__ENV___R4_NUMBERS_6_5_128=make_fx_procedure( __2____R4_NUMBERS_6_5_183, 2, 0 );
___ENV___R4_NUMBERS_6_5_33=make_va_procedure( ______R4_NUMBERS_6_5_28, -3, 0 );
_2__ENV___R4_NUMBERS_6_5_89=make_fx_procedure( __2____R4_NUMBERS_6_5_217, 2, 0 );
___ENV___R4_NUMBERS_6_5_27=make_va_procedure( ______R4_NUMBERS_6_5_38, -3, 0 );
_2__ENV___R4_NUMBERS_6_5_182=make_fx_procedure( __2____R4_NUMBERS_6_5_44, 2, 0 );
___ENV___R4_NUMBERS_6_5_60=make_va_procedure( ______R4_NUMBERS_6_5_45, -3, 0 );
_2___ENV___R4_NUMBERS_6_5_156=make_fx_procedure( __2_____R4_NUMBERS_6_5_159, 2, 0 );
____ENV___R4_NUMBERS_6_5_88=make_va_procedure( _______R4_NUMBERS_6_5_18, -3, 0 );
_2___ENV___R4_NUMBERS_6_5_227=make_fx_procedure( __2_____R4_NUMBERS_6_5_55, 2, 0 );
____ENV___R4_NUMBERS_6_5_164=make_va_procedure( _______R4_NUMBERS_6_5_110, -3, 0 );
ZERO__ENV___R4_NUMBERS_6_5_243=make_fx_procedure( __ZERO____R4_NUMBERS_6_5_58, 1, 0 );
POSITIVE__ENV___R4_NUMBERS_6_5_191=make_fx_procedure( __POSITIVE____R4_NUMBERS_6_5_129, 1, 0 );
NEGATIVE__ENV___R4_NUMBERS_6_5_9=make_fx_procedure( __NEGATIVE____R4_NUMBERS_6_5_117, 1, 0 );
MAX_ENV___R4_NUMBERS_6_5_40=make_va_procedure( __MAX___R4_NUMBERS_6_5_36, -2, 0 );
MIN_ENV___R4_NUMBERS_6_5_76=make_va_procedure( __MIN___R4_NUMBERS_6_5_170, -2, 0 );
_2__ENV___R4_NUMBERS_6_5_188=make_fx_procedure( __2____R4_NUMBERS_6_5_166, 2, 0 );
___ENV___R4_NUMBERS_6_5_119=make_va_procedure( ______R4_NUMBERS_6_5_102, -1, 0 );
_2__ENV___R4_NUMBERS_6_5_222=make_fx_procedure( __2____R4_NUMBERS_6_5_255, 2, 0 );
___ENV___R4_NUMBERS_6_5_36=make_va_procedure( ______R4_NUMBERS_6_5_86, -1, 0 );
_2__ENV___R4_NUMBERS_6_5_207=make_fx_procedure( __2____R4_NUMBERS_6_5_196, 2, 0 );
___ENV___R4_NUMBERS_6_5_14=make_va_procedure( ______R4_NUMBERS_6_5_131, -2, 0 );
_2__ENV___R4_NUMBERS_6_5_54=make_fx_procedure( __2____R4_NUMBERS_6_5_57, 2, 0 );
___ENV___R4_NUMBERS_6_5_73=make_va_procedure( ______R4_NUMBERS_6_5_35, -2, 0 );
ABS_ENV___R4_NUMBERS_6_5_51=make_fx_procedure( __ABS___R4_NUMBERS_6_5_20, 1, 0 );
FLOOR_ENV___R4_NUMBERS_6_5_89=make_fx_procedure( __FLOOR___R4_NUMBERS_6_5_103, 1, 0 );
CEILING_ENV___R4_NUMBERS_6_5_246=make_fx_procedure( __CEILING___R4_NUMBERS_6_5_75, 1, 0 );
TRUNCATE_ENV___R4_NUMBERS_6_5_42=make_fx_procedure( __TRUNCATE___R4_NUMBERS_6_5_184, 1, 0 );
ROUND_ENV___R4_NUMBERS_6_5_77=make_fx_procedure( __ROUND___R4_NUMBERS_6_5_114, 1, 0 );
EXP_ENV___R4_NUMBERS_6_5_232=make_fx_procedure( __EXP___R4_NUMBERS_6_5_239, 1, 0 );
LOG_ENV___R4_NUMBERS_6_5_21=make_fx_procedure( __LOG___R4_NUMBERS_6_5_176, 1, 0 );
SIN_ENV___R4_NUMBERS_6_5_102=make_fx_procedure( __SIN___R4_NUMBERS_6_5_114, 1, 0 );
COS_ENV___R4_NUMBERS_6_5_46=make_fx_procedure( __COS___R4_NUMBERS_6_5_235, 1, 0 );
TAN_ENV___R4_NUMBERS_6_5_83=make_fx_procedure( __TAN___R4_NUMBERS_6_5_81, 1, 0 );
ASIN_ENV___R4_NUMBERS_6_5_78=make_fx_procedure( __ASIN___R4_NUMBERS_6_5_248, 1, 0 );
ACOS_ENV___R4_NUMBERS_6_5_27=make_fx_procedure( __ACOS___R4_NUMBERS_6_5_107, 1, 0 );
ATAN_ENV___R4_NUMBERS_6_5_110=make_va_procedure( __ATAN___R4_NUMBERS_6_5_94, -2, 0 );
SQRT_ENV___R4_NUMBERS_6_5_78=make_fx_procedure( __SQRT___R4_NUMBERS_6_5_111, 1, 0 );
EXPT_ENV___R4_NUMBERS_6_5_113=make_fx_procedure( __EXPT___R4_NUMBERS_6_5_156, 2, 0 );
EXACT__INEXACT_ENV___R4_NUMBERS_6_5_168=make_fx_procedure( __EXACT__INEXACT___R4_NUMBERS_6_5_82, 1, 0 );
INEXACT__EXACT_ENV___R4_NUMBERS_6_5_90=make_fx_procedure( __INEXACT__EXACT___R4_NUMBERS_6_5_100, 1, 0 );
NUMBER__STRING_ENV___R4_NUMBERS_6_5_243=make_va_procedure( __NUMBER__STRING___R4_NUMBERS_6_5_203, -2, 0 );
STRING__NUMBER_ENV___R4_NUMBERS_6_5_195=make_va_procedure( __STRING__NUMBER___R4_NUMBERS_6_5_64, -2, 0 );
{
{obj_t STRING_CAST_553_189;
STRING_CAST_553_189=BREF( &BIGLOO___0___R4_NUMBERS_6_5_187);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__NUM_1___R4_NUMBERS_6_5_16, STRING_CAST_553_189, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180(obj_t ENV_776_2)
#else
____R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_180( ENV_776_2 )
obj_t ENV_776_2;
#endif
{

return ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
}

obj_t
#if defined( __STDC__ )
NUMBER____R4_NUMBERS_6_5_95(obj_t OBJ_222_44)
#else
NUMBER____R4_NUMBERS_6_5_95( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

if( INTEGERP( OBJ_222_44 ))
return CBOOL_TO_BBOOL( INTEGERP( OBJ_222_44 ) );else
return CBOOL_TO_BBOOL( REALP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__NUMBER____R4_NUMBERS_6_5_234(obj_t ENV_775_48,obj_t OBJ_222_44)
#else
__NUMBER____R4_NUMBERS_6_5_234( ENV_775_48, OBJ_222_44 )
obj_t ENV_775_48, OBJ_222_44;
#endif
{

return NUMBER____R4_NUMBERS_6_5_95( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
EXACT____R4_NUMBERS_6_5_111(obj_t Z_224_240)
#else
EXACT____R4_NUMBERS_6_5_111( Z_224_240 )
obj_t Z_224_240;
#endif
{

return CBOOL_TO_BBOOL( INTEGERP( Z_224_240 ) );
}

obj_t
#if defined( __STDC__ )
__EXACT____R4_NUMBERS_6_5_239(obj_t ENV_774_115,obj_t Z_224_240)
#else
__EXACT____R4_NUMBERS_6_5_239( ENV_774_115, Z_224_240 )
obj_t ENV_774_115, Z_224_240;
#endif
{

return EXACT____R4_NUMBERS_6_5_111( Z_224_240 );
}

obj_t
#if defined( __STDC__ )
INEXACT____R4_NUMBERS_6_5_170(obj_t Z_225_255)
#else
INEXACT____R4_NUMBERS_6_5_170( Z_225_255 )
obj_t Z_225_255;
#endif
{

return CBOOL_TO_BBOOL( REALP( Z_225_255 ) );
}

obj_t
#if defined( __STDC__ )
__INEXACT____R4_NUMBERS_6_5_110(obj_t ENV_773_210,obj_t Z_225_255)
#else
__INEXACT____R4_NUMBERS_6_5_110( ENV_773_210, Z_225_255 )
obj_t ENV_773_210, Z_225_255;
#endif
{

return INEXACT____R4_NUMBERS_6_5_170( Z_225_255 );
}

obj_t
#if defined( __STDC__ )
COMPLEX____R4_NUMBERS_6_5_3(obj_t X_226_99)
#else
COMPLEX____R4_NUMBERS_6_5_3( X_226_99 )
obj_t X_226_99;
#endif
{

{
PUSH_LAMBDA_TRACE( COMPLEX__2___R4_NUMBERS_6_5_131 );
{obj_t AUX_927_17;
if( INTEGERP( X_226_99 ))
AUX_927_17=CBOOL_TO_BBOOL( INTEGERP( X_226_99 ) );else
AUX_927_17=CBOOL_TO_BBOOL( REALP( X_226_99 ) );return POP_LAMBDA_TRACE( AUX_927_17 );}
}
}

obj_t
#if defined( __STDC__ )
__COMPLEX____R4_NUMBERS_6_5_113(obj_t ENV_772_28,obj_t X_226_99)
#else
__COMPLEX____R4_NUMBERS_6_5_113( ENV_772_28, X_226_99 )
obj_t ENV_772_28, X_226_99;
#endif
{

return COMPLEX____R4_NUMBERS_6_5_3( X_226_99 );
}

obj_t
#if defined( __STDC__ )
RATIONAL____R4_NUMBERS_6_5_163(obj_t X_227_100)
#else
RATIONAL____R4_NUMBERS_6_5_163( X_227_100 )
obj_t X_227_100;
#endif
{

{
PUSH_LAMBDA_TRACE( RATIONAL_3___R4_NUMBERS_6_5_77 );
{obj_t AUX_926_127;
if( INTEGERP( X_227_100 ))
AUX_926_127=CBOOL_TO_BBOOL( INTEGERP( X_227_100 ) );else
AUX_926_127=CBOOL_TO_BBOOL( REALP( X_227_100 ) );return POP_LAMBDA_TRACE( AUX_926_127 );}
}
}

obj_t
#if defined( __STDC__ )
__RATIONAL____R4_NUMBERS_6_5_139(obj_t ENV_771_67,obj_t X_227_100)
#else
__RATIONAL____R4_NUMBERS_6_5_139( ENV_771_67, X_227_100 )
obj_t ENV_771_67, X_227_100;
#endif
{

return RATIONAL____R4_NUMBERS_6_5_163( X_227_100 );
}

obj_t
#if defined( __STDC__ )
FLONUM__FIXNUM___R4_NUMBERS_6_5_186(obj_t X_228_150)
#else
FLONUM__FIXNUM___R4_NUMBERS_6_5_186( X_228_150 )
obj_t X_228_150;
#endif
{

if( REALP( X_228_150 ))
return REAL_TO_INT( X_228_150 );else
FAILURE( FLONUM___4___R4_NUMBERS_6_5_2, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, X_____6___R4_NUMBERS_6_5_133 ), X_228_150 );
}

obj_t
#if defined( __STDC__ )
__FLONUM__FIXNUM___R4_NUMBERS_6_5_39(obj_t ENV_770_186,obj_t X_228_150)
#else
__FLONUM__FIXNUM___R4_NUMBERS_6_5_39( ENV_770_186, X_228_150 )
obj_t ENV_770_186, X_228_150;
#endif
{

return FLONUM__FIXNUM___R4_NUMBERS_6_5_186( X_228_150 );
}

obj_t
#if defined( __STDC__ )
FIXNUM__FLONUM___R4_NUMBERS_6_5_198(obj_t X_229_26)
#else
FIXNUM__FLONUM___R4_NUMBERS_6_5_198( X_229_26 )
obj_t X_229_26;
#endif
{

if( INTEGERP( X_229_26 ))
return INT_TO_REAL( X_229_26 );else
FAILURE( FIXNUM___7___R4_NUMBERS_6_5_84, TYPE_ERROR___ERROR_146( NUMBER_8___R4_NUMBERS_6_5_216, X_____9___R4_NUMBERS_6_5_11 ), X_229_26 );
}

obj_t
#if defined( __STDC__ )
__FIXNUM__FLONUM___R4_NUMBERS_6_5_225(obj_t ENV_769_191,obj_t X_229_26)
#else
__FIXNUM__FLONUM___R4_NUMBERS_6_5_225( ENV_769_191, X_229_26 )
obj_t ENV_769_191, X_229_26;
#endif
{

return FIXNUM__FLONUM___R4_NUMBERS_6_5_198( X_229_26 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_144(obj_t X_230_234,obj_t Y_231_105)
#else
_2____R4_NUMBERS_6_5_144( X_230_234, Y_231_105 )
obj_t X_230_234, Y_231_105;
#endif
{

{
PUSH_LAMBDA_TRACE( ____10___R4_NUMBERS_6_5_63 );
{obj_t AUX_925_92;
if( INTEGERP( X_230_234 ))
if( INTEGERP( Y_231_105 ))
AUX_925_92=CBOOL_TO_BBOOL( EQ_I( X_230_234, Y_231_105 ) );else
if( REALP( Y_231_105 ))
{obj_t R1_366_181;
R1_366_181=INT_TO_REAL( X_230_234 );AUX_925_92=CBOOL_TO_BBOOL( EQ_R( R1_366_181, Y_231_105 ) );}else
FAILURE( BREF( &___11___R4_NUMBERS_6_5_138), BREF( &NOT_A_NU_12___R4_NUMBERS_6_5_199), Y_231_105 );else
if( REALP( X_230_234 ))
if( REALP( Y_231_105 ))
AUX_925_92=CBOOL_TO_BBOOL( EQ_R( X_230_234, Y_231_105 ) );else
if( INTEGERP( Y_231_105 ))
{obj_t R2_370_128;
R2_370_128=INT_TO_REAL( Y_231_105 );AUX_925_92=CBOOL_TO_BBOOL( EQ_R( X_230_234, R2_370_128 ) );}else
FAILURE( BREF( &___13___R4_NUMBERS_6_5_16), BREF( &NOT_A_NU_14___R4_NUMBERS_6_5_76), Y_231_105 );else
FAILURE( BREF( &___15___R4_NUMBERS_6_5_162), BREF( &NOT_A_NU_16___R4_NUMBERS_6_5_39), X_230_234 );return POP_LAMBDA_TRACE( AUX_925_92 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_183(obj_t ENV_768_108,obj_t X_230_234,obj_t Y_231_105)
#else
__2____R4_NUMBERS_6_5_183( ENV_768_108, X_230_234, Y_231_105 )
obj_t ENV_768_108, X_230_234, Y_231_105;
#endif
{

return _2____R4_NUMBERS_6_5_144( X_230_234, Y_231_105 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_142(obj_t X_232_56,obj_t Y_233_143,obj_t Z_234_200)
#else
_____R4_NUMBERS_6_5_142( X_232_56, Y_233_143, Z_234_200 )
obj_t X_232_56, Y_233_143, Z_234_200;
#endif
{

{
PUSH_LAMBDA_TRACE( ___17___R4_NUMBERS_6_5_154 );
{obj_t AUX_922_6;
{obj_t X_238_188, Z_239_203;
{bool_t __andtest_1001_780_159;
{obj_t AUX_923_24;
AUX_923_24=_2____R4_NUMBERS_6_5_144( X_232_56, Y_233_143 );__andtest_1001_780_159=BBOOL_TO_CBOOL( AUX_923_24 );}if( __andtest_1001_780_159)
{
Z_239_203=Z_234_200;
X_238_188=Y_233_143;
{____LIST_235_8:

if( NULLP( Z_239_203 ))
AUX_922_6=BTRUE;else
{obj_t C_CAR_373_145;
if( PAIRP( Z_239_203 ))
C_CAR_373_145=CAR( Z_239_203 );else
FAILURE( _____R__N_18___R4_NUMBERS_6_5_125, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____20___R4_NUMBERS_6_5_1 ), Z_239_203 );{obj_t AUX_924_91;
AUX_924_91=_2____R4_NUMBERS_6_5_144( X_238_188, C_CAR_373_145 );if( BBOOL_TO_CBOOL( AUX_924_91 ))
{obj_t C_CDR_375_74;
if( PAIRP( Z_239_203 ))
C_CDR_375_74=CDR( Z_239_203 );else
FAILURE( _____R__N_18___R4_NUMBERS_6_5_125, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____20___R4_NUMBERS_6_5_1 ), Z_239_203 );{
Z_239_203=C_CDR_375_74;
goto ____LIST_235_8;
}}else
AUX_922_6=BFALSE;}}}
}else
AUX_922_6=BFALSE;}}return POP_LAMBDA_TRACE( AUX_922_6 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_28(obj_t ENV_767_242,obj_t X_232_56,obj_t Y_233_143,obj_t Z_234_200)
#else
______R4_NUMBERS_6_5_28( ENV_767_242, X_232_56, Y_233_143, Z_234_200 )
obj_t ENV_767_242, X_232_56, Y_233_143, Z_234_200;
#endif
{

return _____R4_NUMBERS_6_5_142( X_232_56, Y_233_143, Z_234_200 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_49(obj_t X_240_78,obj_t Y_241_190)
#else
_2____R4_NUMBERS_6_5_49( X_240_78, Y_241_190 )
obj_t X_240_78, Y_241_190;
#endif
{

{
PUSH_LAMBDA_TRACE( ____21___R4_NUMBERS_6_5_168 );
{obj_t AUX_921_20;
if( INTEGERP( X_240_78 ))
if( INTEGERP( Y_241_190 ))
AUX_921_20=CBOOL_TO_BBOOL( LT_I( X_240_78, Y_241_190 ) );else
if( REALP( Y_241_190 ))
{obj_t R1_380_175;
R1_380_175=INT_TO_REAL( X_240_78 );AUX_921_20=CBOOL_TO_BBOOL( LT_R( R1_380_175, Y_241_190 ) );}else
FAILURE( BREF( &___22___R4_NUMBERS_6_5_73), BREF( &NOT_A_NU_23___R4_NUMBERS_6_5_63), Y_241_190 );else
if( REALP( X_240_78 ))
if( REALP( Y_241_190 ))
AUX_921_20=CBOOL_TO_BBOOL( LT_R( X_240_78, Y_241_190 ) );else
if( INTEGERP( Y_241_190 ))
{obj_t R2_381_178;
R2_381_178=INT_TO_REAL( Y_241_190 );AUX_921_20=CBOOL_TO_BBOOL( LT_R( X_240_78, R2_381_178 ) );}else
FAILURE( BREF( &___24___R4_NUMBERS_6_5_210), BREF( &NOT_A_NU_25___R4_NUMBERS_6_5_192), Y_241_190 );else
FAILURE( BREF( &___26___R4_NUMBERS_6_5_212), BREF( &NOT_A_NU_27___R4_NUMBERS_6_5_32), X_240_78 );return POP_LAMBDA_TRACE( AUX_921_20 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_217(obj_t ENV_766_101,obj_t X_240_78,obj_t Y_241_190)
#else
__2____R4_NUMBERS_6_5_217( ENV_766_101, X_240_78, Y_241_190 )
obj_t ENV_766_101, X_240_78, Y_241_190;
#endif
{

return _2____R4_NUMBERS_6_5_49( X_240_78, Y_241_190 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_40(obj_t X_242_58,obj_t Y_243_213,obj_t Z_244_27)
#else
_____R4_NUMBERS_6_5_40( X_242_58, Y_243_213, Z_244_27 )
obj_t X_242_58, Y_243_213, Z_244_27;
#endif
{

{
PUSH_LAMBDA_TRACE( ___28___R4_NUMBERS_6_5_28 );
{obj_t AUX_918_198;
{obj_t X_248_144, Z_249_14;
{bool_t __andtest_1002_781_135;
{obj_t AUX_919_168;
AUX_919_168=_2____R4_NUMBERS_6_5_49( X_242_58, Y_243_213 );__andtest_1002_781_135=BBOOL_TO_CBOOL( AUX_919_168 );}if( __andtest_1002_781_135)
{
Z_249_14=Z_244_27;
X_248_144=Y_243_213;
{____LIST_245_247:

if( NULLP( Z_249_14 ))
AUX_918_198=BTRUE;else
{obj_t C_CAR_382_28;
if( PAIRP( Z_249_14 ))
C_CAR_382_28=CAR( Z_249_14 );else
FAILURE( _____R__N_29___R4_NUMBERS_6_5_109, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____30___R4_NUMBERS_6_5_225 ), Z_249_14 );{obj_t AUX_920_81;
AUX_920_81=_2____R4_NUMBERS_6_5_49( X_248_144, C_CAR_382_28 );if( BBOOL_TO_CBOOL( AUX_920_81 ))
{obj_t C_CAR_383_210;
if( PAIRP( Z_249_14 ))
C_CAR_383_210=CAR( Z_249_14 );else
FAILURE( _____R__N_29___R4_NUMBERS_6_5_109, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____30___R4_NUMBERS_6_5_225 ), Z_249_14 );{obj_t C_CDR_384_191;
if( PAIRP( Z_249_14 ))
C_CDR_384_191=CDR( Z_249_14 );else
FAILURE( _____R__N_29___R4_NUMBERS_6_5_109, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____30___R4_NUMBERS_6_5_225 ), Z_249_14 );{
Z_249_14=C_CDR_384_191;
X_248_144=C_CAR_383_210;
goto ____LIST_245_247;
}}}else
AUX_918_198=BFALSE;}}}
}else
AUX_918_198=BFALSE;}}return POP_LAMBDA_TRACE( AUX_918_198 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_38(obj_t ENV_765_239,obj_t X_242_58,obj_t Y_243_213,obj_t Z_244_27)
#else
______R4_NUMBERS_6_5_38( ENV_765_239, X_242_58, Y_243_213, Z_244_27 )
obj_t ENV_765_239, X_242_58, Y_243_213, Z_244_27;
#endif
{

return _____R4_NUMBERS_6_5_40( X_242_58, Y_243_213, Z_244_27 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_143(obj_t X_250_210,obj_t Y_251_52)
#else
_2____R4_NUMBERS_6_5_143( X_250_210, Y_251_52 )
obj_t X_250_210, Y_251_52;
#endif
{

{
PUSH_LAMBDA_TRACE( ____31___R4_NUMBERS_6_5_206 );
{obj_t AUX_917_141;
if( INTEGERP( X_250_210 ))
if( INTEGERP( Y_251_52 ))
AUX_917_141=CBOOL_TO_BBOOL( GT_I( X_250_210, Y_251_52 ) );else
if( REALP( Y_251_52 ))
{obj_t R1_389_33;
R1_389_33=INT_TO_REAL( X_250_210 );AUX_917_141=CBOOL_TO_BBOOL( GT_R( R1_389_33, Y_251_52 ) );}else
FAILURE( BREF( &___32___R4_NUMBERS_6_5_25), BREF( &NOT_A_NU_33___R4_NUMBERS_6_5_113), Y_251_52 );else
if( REALP( X_250_210 ))
if( REALP( Y_251_52 ))
AUX_917_141=CBOOL_TO_BBOOL( GT_R( X_250_210, Y_251_52 ) );else
if( INTEGERP( Y_251_52 ))
{obj_t R2_390_232;
R2_390_232=INT_TO_REAL( Y_251_52 );AUX_917_141=CBOOL_TO_BBOOL( GT_R( X_250_210, R2_390_232 ) );}else
FAILURE( BREF( &___34___R4_NUMBERS_6_5_107), BREF( &NOT_A_NU_35___R4_NUMBERS_6_5_103), Y_251_52 );else
FAILURE( BREF( &___36___R4_NUMBERS_6_5_41), BREF( &NOT_A_NU_37___R4_NUMBERS_6_5_146), X_250_210 );return POP_LAMBDA_TRACE( AUX_917_141 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_44(obj_t ENV_764_193,obj_t X_250_210,obj_t Y_251_52)
#else
__2____R4_NUMBERS_6_5_44( ENV_764_193, X_250_210, Y_251_52 )
obj_t ENV_764_193, X_250_210, Y_251_52;
#endif
{

return _2____R4_NUMBERS_6_5_143( X_250_210, Y_251_52 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_128(obj_t X_252_67,obj_t Y_253_0,obj_t Z_254_166)
#else
_____R4_NUMBERS_6_5_128( X_252_67, Y_253_0, Z_254_166 )
obj_t X_252_67, Y_253_0, Z_254_166;
#endif
{

{
PUSH_LAMBDA_TRACE( ___38___R4_NUMBERS_6_5_55 );
{obj_t AUX_914_161;
{obj_t X_258_148, Z_259_33;
{bool_t __andtest_1003_782_76;
{obj_t AUX_915_176;
AUX_915_176=_2____R4_NUMBERS_6_5_143( X_252_67, Y_253_0 );__andtest_1003_782_76=BBOOL_TO_CBOOL( AUX_915_176 );}if( __andtest_1003_782_76)
{
Z_259_33=Z_254_166;
X_258_148=Y_253_0;
{____LIST_255_61:

if( NULLP( Z_259_33 ))
AUX_914_161=BTRUE;else
{obj_t C_CAR_391_171;
if( PAIRP( Z_259_33 ))
C_CAR_391_171=CAR( Z_259_33 );else
FAILURE( _____R__N_39___R4_NUMBERS_6_5_203, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____40___R4_NUMBERS_6_5_105 ), Z_259_33 );{obj_t AUX_916_86;
AUX_916_86=_2____R4_NUMBERS_6_5_143( X_258_148, C_CAR_391_171 );if( BBOOL_TO_CBOOL( AUX_916_86 ))
{obj_t C_CAR_392_126;
if( PAIRP( Z_259_33 ))
C_CAR_392_126=CAR( Z_259_33 );else
FAILURE( _____R__N_39___R4_NUMBERS_6_5_203, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____40___R4_NUMBERS_6_5_105 ), Z_259_33 );{obj_t C_CDR_393_53;
if( PAIRP( Z_259_33 ))
C_CDR_393_53=CDR( Z_259_33 );else
FAILURE( _____R__N_39___R4_NUMBERS_6_5_203, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____40___R4_NUMBERS_6_5_105 ), Z_259_33 );{
Z_259_33=C_CDR_393_53;
X_258_148=C_CAR_392_126;
goto ____LIST_255_61;
}}}else
AUX_914_161=BFALSE;}}}
}else
AUX_914_161=BFALSE;}}return POP_LAMBDA_TRACE( AUX_914_161 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_45(obj_t ENV_763_11,obj_t X_252_67,obj_t Y_253_0,obj_t Z_254_166)
#else
______R4_NUMBERS_6_5_45( ENV_763_11, X_252_67, Y_253_0, Z_254_166 )
obj_t ENV_763_11, X_252_67, Y_253_0, Z_254_166;
#endif
{

return _____R4_NUMBERS_6_5_128( X_252_67, Y_253_0, Z_254_166 );
}

obj_t
#if defined( __STDC__ )
_2_____R4_NUMBERS_6_5_203(obj_t X_260_150,obj_t Y_261_106)
#else
_2_____R4_NUMBERS_6_5_203( X_260_150, Y_261_106 )
obj_t X_260_150, Y_261_106;
#endif
{

{
PUSH_LAMBDA_TRACE( _____41___R4_NUMBERS_6_5_134 );
{obj_t AUX_913_128;
if( INTEGERP( X_260_150 ))
if( INTEGERP( Y_261_106 ))
AUX_913_128=CBOOL_TO_BBOOL( LE_I( X_260_150, Y_261_106 ) );else
if( REALP( Y_261_106 ))
{obj_t R1_398_1;
R1_398_1=INT_TO_REAL( X_260_150 );AUX_913_128=CBOOL_TO_BBOOL( LE_R( R1_398_1, Y_261_106 ) );}else
FAILURE( BREF( &____42___R4_NUMBERS_6_5_247), BREF( &NOT_A_NU_43___R4_NUMBERS_6_5_92), Y_261_106 );else
if( REALP( X_260_150 ))
if( REALP( Y_261_106 ))
AUX_913_128=CBOOL_TO_BBOOL( LE_R( X_260_150, Y_261_106 ) );else
if( INTEGERP( Y_261_106 ))
{obj_t R2_399_11;
R2_399_11=INT_TO_REAL( Y_261_106 );AUX_913_128=CBOOL_TO_BBOOL( LE_R( X_260_150, R2_399_11 ) );}else
FAILURE( BREF( &____44___R4_NUMBERS_6_5_155), BREF( &NOT_A_NU_45___R4_NUMBERS_6_5_13), Y_261_106 );else
FAILURE( BREF( &____46___R4_NUMBERS_6_5_18), BREF( &NOT_A_NU_47___R4_NUMBERS_6_5_242), X_260_150 );return POP_LAMBDA_TRACE( AUX_913_128 );}
}
}

obj_t
#if defined( __STDC__ )
__2_____R4_NUMBERS_6_5_159(obj_t ENV_762_126,obj_t X_260_150,obj_t Y_261_106)
#else
__2_____R4_NUMBERS_6_5_159( ENV_762_126, X_260_150, Y_261_106 )
obj_t ENV_762_126, X_260_150, Y_261_106;
#endif
{

return _2_____R4_NUMBERS_6_5_203( X_260_150, Y_261_106 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_207(obj_t X_262_145,obj_t Y_263_201,obj_t Z_264_47)
#else
______R4_NUMBERS_6_5_207( X_262_145, Y_263_201, Z_264_47 )
obj_t X_262_145, Y_263_201, Z_264_47;
#endif
{

{
PUSH_LAMBDA_TRACE( ____48___R4_NUMBERS_6_5_106 );
{obj_t AUX_910_66;
{obj_t X_268_80, Z_269_227;
{bool_t __andtest_1004_783_172;
{obj_t AUX_911_60;
AUX_911_60=_2_____R4_NUMBERS_6_5_203( X_262_145, Y_263_201 );__andtest_1004_783_172=BBOOL_TO_CBOOL( AUX_911_60 );}if( __andtest_1004_783_172)
{
Z_269_227=Z_264_47;
X_268_80=Y_263_201;
{_____LIST_265_67:

if( NULLP( Z_269_227 ))
AUX_910_66=BTRUE;else
{obj_t C_CAR_400_200;
if( PAIRP( Z_269_227 ))
C_CAR_400_200=CAR( Z_269_227 );else
FAILURE( ______R___49___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____50___R4_NUMBERS_6_5_78 ), Z_269_227 );{obj_t AUX_912_83;
AUX_912_83=_2_____R4_NUMBERS_6_5_203( X_268_80, C_CAR_400_200 );if( BBOOL_TO_CBOOL( AUX_912_83 ))
{obj_t C_CAR_401_163;
if( PAIRP( Z_269_227 ))
C_CAR_401_163=CAR( Z_269_227 );else
FAILURE( ______R___49___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____50___R4_NUMBERS_6_5_78 ), Z_269_227 );{obj_t C_CDR_402_84;
if( PAIRP( Z_269_227 ))
C_CDR_402_84=CDR( Z_269_227 );else
FAILURE( ______R___49___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____50___R4_NUMBERS_6_5_78 ), Z_269_227 );{
Z_269_227=C_CDR_402_84;
X_268_80=C_CAR_401_163;
goto _____LIST_265_67;
}}}else
AUX_910_66=BFALSE;}}}
}else
AUX_910_66=BFALSE;}}return POP_LAMBDA_TRACE( AUX_910_66 );}
}
}

obj_t
#if defined( __STDC__ )
_______R4_NUMBERS_6_5_18(obj_t ENV_761_171,obj_t X_262_145,obj_t Y_263_201,obj_t Z_264_47)
#else
_______R4_NUMBERS_6_5_18( ENV_761_171, X_262_145, Y_263_201, Z_264_47 )
obj_t ENV_761_171, X_262_145, Y_263_201, Z_264_47;
#endif
{

return ______R4_NUMBERS_6_5_207( X_262_145, Y_263_201, Z_264_47 );
}

obj_t
#if defined( __STDC__ )
_2_____R4_NUMBERS_6_5_228(obj_t X_270_191,obj_t Y_271_227)
#else
_2_____R4_NUMBERS_6_5_228( X_270_191, Y_271_227 )
obj_t X_270_191, Y_271_227;
#endif
{

{
PUSH_LAMBDA_TRACE( _____51___R4_NUMBERS_6_5_148 );
{obj_t AUX_909_36;
if( INTEGERP( X_270_191 ))
if( INTEGERP( Y_271_227 ))
AUX_909_36=CBOOL_TO_BBOOL( GE_I( X_270_191, Y_271_227 ) );else
if( REALP( Y_271_227 ))
{obj_t R1_407_59;
R1_407_59=INT_TO_REAL( X_270_191 );AUX_909_36=CBOOL_TO_BBOOL( GE_R( R1_407_59, Y_271_227 ) );}else
FAILURE( BREF( &____52___R4_NUMBERS_6_5_169), BREF( &NOT_A_NU_53___R4_NUMBERS_6_5_249), Y_271_227 );else
if( REALP( X_270_191 ))
if( REALP( Y_271_227 ))
AUX_909_36=CBOOL_TO_BBOOL( GE_R( X_270_191, Y_271_227 ) );else
if( INTEGERP( Y_271_227 ))
{obj_t R2_408_91;
R2_408_91=INT_TO_REAL( Y_271_227 );AUX_909_36=CBOOL_TO_BBOOL( GE_R( X_270_191, R2_408_91 ) );}else
FAILURE( BREF( &____54___R4_NUMBERS_6_5_108), BREF( &NOT_A_NU_55___R4_NUMBERS_6_5_235), Y_271_227 );else
FAILURE( BREF( &____56___R4_NUMBERS_6_5_2), BREF( &NOT_A_NU_57___R4_NUMBERS_6_5_52), X_270_191 );return POP_LAMBDA_TRACE( AUX_909_36 );}
}
}

obj_t
#if defined( __STDC__ )
__2_____R4_NUMBERS_6_5_55(obj_t ENV_760_5,obj_t X_270_191,obj_t Y_271_227)
#else
__2_____R4_NUMBERS_6_5_55( ENV_760_5, X_270_191, Y_271_227 )
obj_t ENV_760_5, X_270_191, Y_271_227;
#endif
{

return _2_____R4_NUMBERS_6_5_228( X_270_191, Y_271_227 );
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_15(obj_t X_272_139,obj_t Y_273_142,obj_t Z_274_191)
#else
______R4_NUMBERS_6_5_15( X_272_139, Y_273_142, Z_274_191 )
obj_t X_272_139, Y_273_142, Z_274_191;
#endif
{

{
PUSH_LAMBDA_TRACE( ____58___R4_NUMBERS_6_5_120 );
{obj_t AUX_906_197;
{obj_t X_278_171, Z_279_193;
{bool_t __andtest_1005_784_3;
{obj_t AUX_907_87;
AUX_907_87=_2_____R4_NUMBERS_6_5_228( X_272_139, Y_273_142 );__andtest_1005_784_3=BBOOL_TO_CBOOL( AUX_907_87 );}if( __andtest_1005_784_3)
{
Z_279_193=Z_274_191;
X_278_171=Y_273_142;
{_____LIST_275_185:

if( NULLP( Z_279_193 ))
AUX_906_197=BTRUE;else
{obj_t C_CAR_409_152;
if( PAIRP( Z_279_193 ))
C_CAR_409_152=CAR( Z_279_193 );else
FAILURE( ______R___59___R4_NUMBERS_6_5_104, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____60___R4_NUMBERS_6_5_156 ), Z_279_193 );{obj_t AUX_908_65;
AUX_908_65=_2_____R4_NUMBERS_6_5_228( X_278_171, C_CAR_409_152 );if( BBOOL_TO_CBOOL( AUX_908_65 ))
{obj_t C_CAR_410_109;
if( PAIRP( Z_279_193 ))
C_CAR_410_109=CAR( Z_279_193 );else
FAILURE( ______R___59___R4_NUMBERS_6_5_104, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____60___R4_NUMBERS_6_5_156 ), Z_279_193 );{obj_t C_CDR_411_46;
if( PAIRP( Z_279_193 ))
C_CDR_411_46=CDR( Z_279_193 );else
FAILURE( ______R___59___R4_NUMBERS_6_5_104, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____60___R4_NUMBERS_6_5_156 ), Z_279_193 );{
Z_279_193=C_CDR_411_46;
X_278_171=C_CAR_410_109;
goto _____LIST_275_185;
}}}else
AUX_906_197=BFALSE;}}}
}else
AUX_906_197=BFALSE;}}return POP_LAMBDA_TRACE( AUX_906_197 );}
}
}

obj_t
#if defined( __STDC__ )
_______R4_NUMBERS_6_5_110(obj_t ENV_759_121,obj_t X_272_139,obj_t Y_273_142,obj_t Z_274_191)
#else
_______R4_NUMBERS_6_5_110( ENV_759_121, X_272_139, Y_273_142, Z_274_191 )
obj_t ENV_759_121, X_272_139, Y_273_142, Z_274_191;
#endif
{

return ______R4_NUMBERS_6_5_15( X_272_139, Y_273_142, Z_274_191 );
}

obj_t
#if defined( __STDC__ )
ZERO____R4_NUMBERS_6_5_157(obj_t X_280_59)
#else
ZERO____R4_NUMBERS_6_5_157( X_280_59 )
obj_t X_280_59;
#endif
{

{
PUSH_LAMBDA_TRACE( ZERO__61___R4_NUMBERS_6_5_205 );
{obj_t AUX_905_177;
if( INTEGERP( X_280_59 ))
AUX_905_177=CBOOL_TO_BBOOL( EQ_I( X_280_59, BINT( 0 ) ) );else
if( REALP( X_280_59 ))
AUX_905_177=CBOOL_TO_BBOOL( ZEROP_R( X_280_59 ) );else
FAILURE( BREF( &ZERO_62___R4_NUMBERS_6_5_103), BREF( &NOT_A_NU_63___R4_NUMBERS_6_5_43), X_280_59 );return POP_LAMBDA_TRACE( AUX_905_177 );}
}
}

obj_t
#if defined( __STDC__ )
__ZERO____R4_NUMBERS_6_5_58(obj_t ENV_758_64,obj_t X_280_59)
#else
__ZERO____R4_NUMBERS_6_5_58( ENV_758_64, X_280_59 )
obj_t ENV_758_64, X_280_59;
#endif
{

return ZERO____R4_NUMBERS_6_5_157( X_280_59 );
}

obj_t
#if defined( __STDC__ )
POSITIVE____R4_NUMBERS_6_5_164(obj_t X_281_74)
#else
POSITIVE____R4_NUMBERS_6_5_164( X_281_74 )
obj_t X_281_74;
#endif
{

{
PUSH_LAMBDA_TRACE( POSITIVE_64___R4_NUMBERS_6_5_122 );
{obj_t AUX_904_107;
if( INTEGERP( X_281_74 ))
AUX_904_107=CBOOL_TO_BBOOL( GT_I( X_281_74, BINT( 0 ) ) );else
if( REALP( X_281_74 ))
AUX_904_107=CBOOL_TO_BBOOL( POSITIVEP_R( X_281_74 ) );else
FAILURE( BREF( &POSITIVE_65___R4_NUMBERS_6_5_191), BREF( &NOT_A_NU_66___R4_NUMBERS_6_5_151), X_281_74 );return POP_LAMBDA_TRACE( AUX_904_107 );}
}
}

obj_t
#if defined( __STDC__ )
__POSITIVE____R4_NUMBERS_6_5_129(obj_t ENV_757_185,obj_t X_281_74)
#else
__POSITIVE____R4_NUMBERS_6_5_129( ENV_757_185, X_281_74 )
obj_t ENV_757_185, X_281_74;
#endif
{

return POSITIVE____R4_NUMBERS_6_5_164( X_281_74 );
}

obj_t
#if defined( __STDC__ )
NEGATIVE____R4_NUMBERS_6_5_8(obj_t X_282_228)
#else
NEGATIVE____R4_NUMBERS_6_5_8( X_282_228 )
obj_t X_282_228;
#endif
{

{
PUSH_LAMBDA_TRACE( NEGATIVE_67___R4_NUMBERS_6_5_149 );
{obj_t AUX_903_234;
if( INTEGERP( X_282_228 ))
AUX_903_234=CBOOL_TO_BBOOL( LT_I( X_282_228, BINT( 0 ) ) );else
if( REALP( X_282_228 ))
AUX_903_234=CBOOL_TO_BBOOL( NEGATIVEP_R( X_282_228 ) );else
FAILURE( BREF( &NEGATIVE_68___R4_NUMBERS_6_5_251), BREF( &NOT_A_NU_69___R4_NUMBERS_6_5_162), X_282_228 );return POP_LAMBDA_TRACE( AUX_903_234 );}
}
}

obj_t
#if defined( __STDC__ )
__NEGATIVE____R4_NUMBERS_6_5_117(obj_t ENV_756_194,obj_t X_282_228)
#else
__NEGATIVE____R4_NUMBERS_6_5_117( ENV_756_194, X_282_228 )
obj_t ENV_756_194, X_282_228;
#endif
{

return NEGATIVE____R4_NUMBERS_6_5_8( X_282_228 );
}

obj_t
#if defined( __STDC__ )
MAX___R4_NUMBERS_6_5_192(obj_t X_283_137,obj_t Y_284_163)
#else
MAX___R4_NUMBERS_6_5_192( X_283_137, Y_284_163 )
obj_t X_283_137, Y_284_163;
#endif
{

{
PUSH_LAMBDA_TRACE( MAX_70___R4_NUMBERS_6_5_90 );
{obj_t AUX_897_120;
{obj_t X_286_139, Y_287_235;
{
Y_287_235=Y_284_163;
X_286_139=X_283_137;
{_LOOP_285_14:

if( PAIRP( Y_287_235 ))
{obj_t Z_420_152;
Z_420_152=BNIL;{obj_t Y_419_101;
Y_419_101=CAR( Y_287_235 );{obj_t C_CDR_429_23;
C_CDR_429_23=CDR( Y_287_235 );{obj_t AUX_898_200;
{{
PUSH_LAMBDA_TRACE( ___38___R4_NUMBERS_6_5_55 );
{obj_t AUX_899_163;
{obj_t AUX_900_68;
{obj_t X_422_222, Z_423_229;
{bool_t __andtest_1003_785_123;
{obj_t AUX_901_56;
AUX_901_56=_2____R4_NUMBERS_6_5_143( X_286_139, Y_419_101 );__andtest_1003_785_123=BBOOL_TO_CBOOL( AUX_901_56 );}if( __andtest_1003_785_123)
{
Z_423_229=Z_420_152;
X_422_222=Y_419_101;
{____LIST_421_222:

if( NULLP( Z_423_229 ))
AUX_900_68=BTRUE;else
{obj_t C_CAR_424_85;
if( PAIRP( Z_423_229 ))
C_CAR_424_85=CAR( Z_423_229 );else
FAILURE( MAX___R__71___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____72___R4_NUMBERS_6_5_9 ), Z_423_229 );{obj_t AUX_902_169;
AUX_902_169=_2____R4_NUMBERS_6_5_143( X_422_222, C_CAR_424_85 );if( BBOOL_TO_CBOOL( AUX_902_169 ))
{obj_t C_CAR_425_178;
if( PAIRP( Z_423_229 ))
C_CAR_425_178=CAR( Z_423_229 );else
FAILURE( MAX___R__71___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____72___R4_NUMBERS_6_5_9 ), Z_423_229 );{obj_t C_CDR_426_216;
if( PAIRP( Z_423_229 ))
C_CDR_426_216=CDR( Z_423_229 );else
FAILURE( MAX___R__71___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____72___R4_NUMBERS_6_5_9 ), Z_423_229 );{
Z_423_229=C_CDR_426_216;
X_422_222=C_CAR_425_178;
goto ____LIST_421_222;
}}}else
AUX_900_68=BFALSE;}}}
}else
AUX_900_68=BFALSE;}}AUX_899_163=POP_LAMBDA_TRACE( AUX_900_68 );}if( BBOOL_TO_CBOOL( AUX_899_163 ))
goto _true_18;else
goto _false_19;}
}_true_18:
{AUX_898_200=X_286_139;
goto _endif_20;}_false_19:
AUX_898_200=CAR( Y_287_235 );_endif_20:
;
}{
Y_287_235=C_CDR_429_23;
X_286_139=AUX_898_200;
goto _LOOP_285_14;
}}}}}else
AUX_897_120=X_286_139;}
}}return POP_LAMBDA_TRACE( AUX_897_120 );}
}
}

obj_t
#if defined( __STDC__ )
__MAX___R4_NUMBERS_6_5_36(obj_t ENV_755_29,obj_t X_283_137,obj_t Y_284_163)
#else
__MAX___R4_NUMBERS_6_5_36( ENV_755_29, X_283_137, Y_284_163 )
obj_t ENV_755_29, X_283_137, Y_284_163;
#endif
{

return MAX___R4_NUMBERS_6_5_192( X_283_137, Y_284_163 );
}

obj_t
#if defined( __STDC__ )
MIN___R4_NUMBERS_6_5_9(obj_t X_288_239,obj_t Y_289_76)
#else
MIN___R4_NUMBERS_6_5_9( X_288_239, Y_289_76 )
obj_t X_288_239, Y_289_76;
#endif
{

{
PUSH_LAMBDA_TRACE( MIN_73___R4_NUMBERS_6_5_71 );
{obj_t AUX_891_152;
{obj_t X_291_215, Y_292_7;
{
Y_292_7=Y_289_76;
X_291_215=X_288_239;
{_LOOP_290_63:

if( PAIRP( Y_292_7 ))
{obj_t Z_431_101;
Z_431_101=BNIL;{obj_t Y_430_157;
Y_430_157=CAR( Y_292_7 );{obj_t C_CDR_440_33;
C_CDR_440_33=CDR( Y_292_7 );{obj_t AUX_892_229;
{{
PUSH_LAMBDA_TRACE( ___28___R4_NUMBERS_6_5_28 );
{obj_t AUX_893_123;
{obj_t AUX_894_76;
{obj_t X_433_71, Z_434_11;
{bool_t __andtest_1002_786_149;
{obj_t AUX_895_203;
AUX_895_203=_2____R4_NUMBERS_6_5_49( X_291_215, Y_430_157 );__andtest_1002_786_149=BBOOL_TO_CBOOL( AUX_895_203 );}if( __andtest_1002_786_149)
{
Z_434_11=Z_431_101;
X_433_71=Y_430_157;
{____LIST_432_147:

if( NULLP( Z_434_11 ))
AUX_894_76=BTRUE;else
{obj_t C_CAR_435_136;
if( PAIRP( Z_434_11 ))
C_CAR_435_136=CAR( Z_434_11 );else
FAILURE( MIN___R__74___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____75___R4_NUMBERS_6_5_92 ), Z_434_11 );{obj_t AUX_896_209;
AUX_896_209=_2____R4_NUMBERS_6_5_49( X_433_71, C_CAR_435_136 );if( BBOOL_TO_CBOOL( AUX_896_209 ))
{obj_t C_CAR_436_111;
if( PAIRP( Z_434_11 ))
C_CAR_436_111=CAR( Z_434_11 );else
FAILURE( MIN___R__74___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____75___R4_NUMBERS_6_5_92 ), Z_434_11 );{obj_t C_CDR_437_45;
if( PAIRP( Z_434_11 ))
C_CDR_437_45=CDR( Z_434_11 );else
FAILURE( MIN___R__74___R4_NUMBERS_6_5_211, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, Z_____75___R4_NUMBERS_6_5_92 ), Z_434_11 );{
Z_434_11=C_CDR_437_45;
X_433_71=C_CAR_436_111;
goto ____LIST_432_147;
}}}else
AUX_894_76=BFALSE;}}}
}else
AUX_894_76=BFALSE;}}AUX_893_123=POP_LAMBDA_TRACE( AUX_894_76 );}if( BBOOL_TO_CBOOL( AUX_893_123 ))
goto _true_15;else
goto _false_16;}
}_true_15:
{AUX_892_229=X_291_215;
goto _endif_17;}_false_16:
AUX_892_229=CAR( Y_292_7 );_endif_17:
;
}{
Y_292_7=C_CDR_440_33;
X_291_215=AUX_892_229;
goto _LOOP_290_63;
}}}}}else
AUX_891_152=X_291_215;}
}}return POP_LAMBDA_TRACE( AUX_891_152 );}
}
}

obj_t
#if defined( __STDC__ )
__MIN___R4_NUMBERS_6_5_170(obj_t ENV_754_164,obj_t X_288_239,obj_t Y_289_76)
#else
__MIN___R4_NUMBERS_6_5_170( ENV_754_164, X_288_239, Y_289_76 )
obj_t ENV_754_164, X_288_239, Y_289_76;
#endif
{

return MIN___R4_NUMBERS_6_5_9( X_288_239, Y_289_76 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_47(obj_t X_293_53,obj_t Y_294_65)
#else
_2____R4_NUMBERS_6_5_47( X_293_53, Y_294_65 )
obj_t X_293_53, Y_294_65;
#endif
{

{
PUSH_LAMBDA_TRACE( ____76___R4_NUMBERS_6_5_165 );
{obj_t AUX_890_131;
if( INTEGERP( X_293_53 ))
if( INTEGERP( Y_294_65 ))
AUX_890_131=ADD_I( X_293_53, Y_294_65 );else
if( REALP( Y_294_65 ))
{obj_t R1_446_183;
R1_446_183=INT_TO_REAL( X_293_53 );AUX_890_131=DOUBLE_TO_REAL( ADD_R( R1_446_183, Y_294_65 ) );}else
FAILURE( BREF( &___77___R4_NUMBERS_6_5_56), BREF( &NOT_A_NU_78___R4_NUMBERS_6_5_110), Y_294_65 );else
if( REALP( X_293_53 ))
if( REALP( Y_294_65 ))
AUX_890_131=DOUBLE_TO_REAL( ADD_R( X_293_53, Y_294_65 ) );else
if( INTEGERP( Y_294_65 ))
{obj_t R2_447_129;
R2_447_129=INT_TO_REAL( Y_294_65 );AUX_890_131=DOUBLE_TO_REAL( ADD_R( X_293_53, R2_447_129 ) );}else
FAILURE( BREF( &___79___R4_NUMBERS_6_5_111), BREF( &NOT_A_NU_80___R4_NUMBERS_6_5_52), Y_294_65 );else
FAILURE( BREF( &___81___R4_NUMBERS_6_5_42), BREF( &NOT_A_NU_82___R4_NUMBERS_6_5_235), X_293_53 );return POP_LAMBDA_TRACE( AUX_890_131 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_166(obj_t ENV_753_105,obj_t X_293_53,obj_t Y_294_65)
#else
__2____R4_NUMBERS_6_5_166( ENV_753_105, X_293_53, Y_294_65 )
obj_t ENV_753_105, X_293_53, Y_294_65;
#endif
{

return _2____R4_NUMBERS_6_5_47( X_293_53, Y_294_65 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_216(obj_t X_295_109)
#else
_____R4_NUMBERS_6_5_216( X_295_109 )
obj_t X_295_109;
#endif
{

{
PUSH_LAMBDA_TRACE( ___83___R4_NUMBERS_6_5_231 );
{obj_t AUX_887_151;
{obj_t SUM_297_233, X_298_96;
{
X_298_96=X_295_109;
SUM_297_233=BINT( 0 );
{_LOOP_296_146:

if( PAIRP( X_298_96 ))
{obj_t AUX_888_91;
AUX_888_91=_2____R4_NUMBERS_6_5_47( SUM_297_233, CAR( X_298_96 ) );{obj_t X_889_0;
X_889_0=X_298_96;{
X_298_96=CDR( X_889_0 );
SUM_297_233=AUX_888_91;
goto _LOOP_296_146;
}}}else
AUX_887_151=SUM_297_233;}
}}return POP_LAMBDA_TRACE( AUX_887_151 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_102(obj_t ENV_752_134,obj_t X_295_109)
#else
______R4_NUMBERS_6_5_102( ENV_752_134, X_295_109 )
obj_t ENV_752_134, X_295_109;
#endif
{

return _____R4_NUMBERS_6_5_216( X_295_109 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_57(obj_t X_299_227,obj_t Y_300_120)
#else
_2____R4_NUMBERS_6_5_57( X_299_227, Y_300_120 )
obj_t X_299_227, Y_300_120;
#endif
{

{
PUSH_LAMBDA_TRACE( ____84___R4_NUMBERS_6_5_114 );
{obj_t AUX_886_251;
if( INTEGERP( X_299_227 ))
if( INTEGERP( Y_300_120 ))
AUX_886_251=MUL_I( X_299_227, Y_300_120 );else
if( REALP( Y_300_120 ))
{obj_t R1_455_22;
R1_455_22=INT_TO_REAL( X_299_227 );AUX_886_251=DOUBLE_TO_REAL( MUL_R( R1_455_22, Y_300_120 ) );}else
FAILURE( BREF( &___85___R4_NUMBERS_6_5_250), BREF( &NOT_A_NU_86___R4_NUMBERS_6_5_59), Y_300_120 );else
if( REALP( X_299_227 ))
if( REALP( Y_300_120 ))
AUX_886_251=DOUBLE_TO_REAL( MUL_R( X_299_227, Y_300_120 ) );else
if( INTEGERP( Y_300_120 ))
{obj_t R2_456_153;
R2_456_153=INT_TO_REAL( Y_300_120 );AUX_886_251=DOUBLE_TO_REAL( MUL_R( X_299_227, R2_456_153 ) );}else
FAILURE( BREF( &___87___R4_NUMBERS_6_5_181), BREF( &NOT_A_NU_88___R4_NUMBERS_6_5_69), Y_300_120 );else
FAILURE( BREF( &___89___R4_NUMBERS_6_5_194), BREF( &NOT_A_NU_90___R4_NUMBERS_6_5_173), X_299_227 );return POP_LAMBDA_TRACE( AUX_886_251 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_255(obj_t ENV_751_143,obj_t X_299_227,obj_t Y_300_120)
#else
__2____R4_NUMBERS_6_5_255( ENV_751_143, X_299_227, Y_300_120 )
obj_t ENV_751_143, X_299_227, Y_300_120;
#endif
{

return _2____R4_NUMBERS_6_5_57( X_299_227, Y_300_120 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_167(obj_t X_301_54)
#else
_____R4_NUMBERS_6_5_167( X_301_54 )
obj_t X_301_54;
#endif
{

{
PUSH_LAMBDA_TRACE( ___91___R4_NUMBERS_6_5_185 );
{obj_t AUX_883_98;
{obj_t PRODUCT_303_247, X_304_116;
{
X_304_116=X_301_54;
PRODUCT_303_247=BINT( 1 );
{_LOOP_302_198:

if( PAIRP( X_304_116 ))
{obj_t AUX_884_225;
AUX_884_225=_2____R4_NUMBERS_6_5_57( PRODUCT_303_247, CAR( X_304_116 ) );{obj_t X_885_23;
X_885_23=X_304_116;{
X_304_116=CDR( X_885_23 );
PRODUCT_303_247=AUX_884_225;
goto _LOOP_302_198;
}}}else
AUX_883_98=PRODUCT_303_247;}
}}return POP_LAMBDA_TRACE( AUX_883_98 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_86(obj_t ENV_750_55,obj_t X_301_54)
#else
______R4_NUMBERS_6_5_86( ENV_750_55, X_301_54 )
obj_t ENV_750_55, X_301_54;
#endif
{

return _____R4_NUMBERS_6_5_167( X_301_54 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_30(obj_t X_305_95,obj_t Y_306_152)
#else
_2____R4_NUMBERS_6_5_30( X_305_95, Y_306_152 )
obj_t X_305_95, Y_306_152;
#endif
{

{
PUSH_LAMBDA_TRACE( ____92___R4_NUMBERS_6_5_248 );
{obj_t AUX_882_21;
if( INTEGERP( X_305_95 ))
if( INTEGERP( Y_306_152 ))
AUX_882_21=SUB_I( X_305_95, Y_306_152 );else
if( REALP( Y_306_152 ))
{obj_t R1_464_186;
R1_464_186=INT_TO_REAL( X_305_95 );AUX_882_21=DOUBLE_TO_REAL( SUB_R( R1_464_186, Y_306_152 ) );}else
FAILURE( BREF( &___93___R4_NUMBERS_6_5_117), BREF( &NOT_A_NU_94___R4_NUMBERS_6_5_79), Y_306_152 );else
if( REALP( X_305_95 ))
if( REALP( Y_306_152 ))
AUX_882_21=DOUBLE_TO_REAL( SUB_R( X_305_95, Y_306_152 ) );else
if( INTEGERP( Y_306_152 ))
{obj_t R2_465_237;
R2_465_237=INT_TO_REAL( Y_306_152 );AUX_882_21=DOUBLE_TO_REAL( SUB_R( X_305_95, R2_465_237 ) );}else
FAILURE( BREF( &___95___R4_NUMBERS_6_5_224), BREF( &NOT_A_NU_96___R4_NUMBERS_6_5_206), Y_306_152 );else
FAILURE( BREF( &___97___R4_NUMBERS_6_5_208), BREF( &NOT_A_NU_98___R4_NUMBERS_6_5_165), X_305_95 );return POP_LAMBDA_TRACE( AUX_882_21 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_196(obj_t ENV_749_229,obj_t X_305_95,obj_t Y_306_152)
#else
__2____R4_NUMBERS_6_5_196( ENV_749_229, X_305_95, Y_306_152 )
obj_t ENV_749_229, X_305_95, Y_306_152;
#endif
{

return _2____R4_NUMBERS_6_5_30( X_305_95, Y_306_152 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_148(obj_t X_307_35,obj_t Y_308_219)
#else
_____R4_NUMBERS_6_5_148( X_307_35, Y_308_219 )
obj_t X_307_35, Y_308_219;
#endif
{

{
PUSH_LAMBDA_TRACE( ___99___R4_NUMBERS_6_5_62 );
{obj_t AUX_879_238;
if( PAIRP( Y_308_219 ))
{obj_t RESULT_310_148, ARGS_311_140;
{
ARGS_311_140=CDR( Y_308_219 );
RESULT_310_148=_2____R4_NUMBERS_6_5_30( X_307_35, CAR( Y_308_219 ) );
{_LOOP_309_128:

if( PAIRP( ARGS_311_140 ))
{obj_t AUX_880_113;
AUX_880_113=_2____R4_NUMBERS_6_5_30( RESULT_310_148, CAR( ARGS_311_140 ) );{obj_t ARGS_881_51;
ARGS_881_51=ARGS_311_140;{
ARGS_311_140=CDR( ARGS_881_51 );
RESULT_310_148=AUX_880_113;
goto _LOOP_309_128;
}}}else
AUX_879_238=RESULT_310_148;}
}}else
AUX_879_238=_2____R4_NUMBERS_6_5_30( BINT( 0 ), X_307_35 );return POP_LAMBDA_TRACE( AUX_879_238 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_131(obj_t ENV_748_123,obj_t X_307_35,obj_t Y_308_219)
#else
______R4_NUMBERS_6_5_131( ENV_748_123, X_307_35, Y_308_219 )
obj_t ENV_748_123, X_307_35, Y_308_219;
#endif
{

return _____R4_NUMBERS_6_5_148( X_307_35, Y_308_219 );
}

obj_t
#if defined( __STDC__ )
_2____R4_NUMBERS_6_5_255(obj_t X_312_208,obj_t Y_313_87)
#else
_2____R4_NUMBERS_6_5_255( X_312_208, Y_313_87 )
obj_t X_312_208, Y_313_87;
#endif
{

{
PUSH_LAMBDA_TRACE( ____100___R4_NUMBERS_6_5_219 );
{obj_t AUX_878_157;
if( INTEGERP( X_312_208 ))
if( INTEGERP( Y_313_87 ))
if( EQ_I( REMAINDER_I( X_312_208, Y_313_87 ), BINT( 0 ) ))
AUX_878_157=DIV_I( X_312_208, Y_313_87 );else
{obj_t R2_479_149;
R2_479_149=INT_TO_REAL( Y_313_87 );{obj_t R1_478_133;
R1_478_133=INT_TO_REAL( X_312_208 );AUX_878_157=DOUBLE_TO_REAL( DIV_R( R1_478_133, R2_479_149 ) );}}else
if( REALP( Y_313_87 ))
{obj_t R1_480_53;
R1_480_53=INT_TO_REAL( X_312_208 );AUX_878_157=DOUBLE_TO_REAL( DIV_R( R1_480_53, Y_313_87 ) );}else
FAILURE( BREF( &___101___R4_NUMBERS_6_5_5), BREF( &NOT_A_NU_102___R4_NUMBERS_6_5_23), Y_313_87 );else
if( REALP( X_312_208 ))
if( REALP( Y_313_87 ))
AUX_878_157=DOUBLE_TO_REAL( DIV_R( X_312_208, Y_313_87 ) );else
if( INTEGERP( Y_313_87 ))
{obj_t R2_481_113;
R2_481_113=INT_TO_REAL( Y_313_87 );AUX_878_157=DOUBLE_TO_REAL( DIV_R( X_312_208, R2_481_113 ) );}else
FAILURE( BREF( &___103___R4_NUMBERS_6_5_220), BREF( &NOT_A_NU_104___R4_NUMBERS_6_5_20), Y_313_87 );else
FAILURE( BREF( &___105___R4_NUMBERS_6_5_244), BREF( &NOT_A_NU_106___R4_NUMBERS_6_5_31), X_312_208 );return POP_LAMBDA_TRACE( AUX_878_157 );}
}
}

obj_t
#if defined( __STDC__ )
__2____R4_NUMBERS_6_5_57(obj_t ENV_747_243,obj_t X_312_208,obj_t Y_313_87)
#else
__2____R4_NUMBERS_6_5_57( ENV_747_243, X_312_208, Y_313_87 )
obj_t ENV_747_243, X_312_208, Y_313_87;
#endif
{

return _2____R4_NUMBERS_6_5_255( X_312_208, Y_313_87 );
}

obj_t
#if defined( __STDC__ )
_____R4_NUMBERS_6_5_140(obj_t X_314_77,obj_t Y_315_56)
#else
_____R4_NUMBERS_6_5_140( X_314_77, Y_315_56 )
obj_t X_314_77, Y_315_56;
#endif
{

{
PUSH_LAMBDA_TRACE( ___107___R4_NUMBERS_6_5_209 );
{obj_t AUX_875_75;
if( PAIRP( Y_315_56 ))
{obj_t RESULT_317_213, Z_318_213;
{
Z_318_213=CDR( Y_315_56 );
RESULT_317_213=_2____R4_NUMBERS_6_5_255( X_314_77, CAR( Y_315_56 ) );
{_LOOP_316_223:

if( PAIRP( Z_318_213 ))
{obj_t AUX_876_58;
AUX_876_58=_2____R4_NUMBERS_6_5_255( RESULT_317_213, CAR( Z_318_213 ) );{obj_t Z_877_28;
Z_877_28=Z_318_213;{
Z_318_213=CDR( Z_877_28 );
RESULT_317_213=AUX_876_58;
goto _LOOP_316_223;
}}}else
AUX_875_75=RESULT_317_213;}
}}else
AUX_875_75=_2____R4_NUMBERS_6_5_255( BINT( 1 ), X_314_77 );return POP_LAMBDA_TRACE( AUX_875_75 );}
}
}

obj_t
#if defined( __STDC__ )
______R4_NUMBERS_6_5_35(obj_t ENV_746_248,obj_t X_314_77,obj_t Y_315_56)
#else
______R4_NUMBERS_6_5_35( ENV_746_248, X_314_77, Y_315_56 )
obj_t ENV_746_248, X_314_77, Y_315_56;
#endif
{

return _____R4_NUMBERS_6_5_140( X_314_77, Y_315_56 );
}

obj_t
#if defined( __STDC__ )
ABS___R4_NUMBERS_6_5_209(obj_t X_319_194)
#else
ABS___R4_NUMBERS_6_5_209( X_319_194 )
obj_t X_319_194;
#endif
{

{
PUSH_LAMBDA_TRACE( ABS_108___R4_NUMBERS_6_5_140 );
{obj_t AUX_874_78;
if( INTEGERP( X_319_194 ))
AUX_874_78=ABS_I( X_319_194 );else
if( REALP( X_319_194 ))
AUX_874_78=ABS_R( X_319_194 );else
FAILURE( BREF( &ABS_109___R4_NUMBERS_6_5_123), BREF( &NOT_A_NU_110___R4_NUMBERS_6_5_122), X_319_194 );return POP_LAMBDA_TRACE( AUX_874_78 );}
}
}

obj_t
#if defined( __STDC__ )
__ABS___R4_NUMBERS_6_5_20(obj_t ENV_745_10,obj_t X_319_194)
#else
__ABS___R4_NUMBERS_6_5_20( ENV_745_10, X_319_194 )
obj_t ENV_745_10, X_319_194;
#endif
{

return ABS___R4_NUMBERS_6_5_209( X_319_194 );
}

obj_t
#if defined( __STDC__ )
FLOOR___R4_NUMBERS_6_5_49(obj_t X_320_151)
#else
FLOOR___R4_NUMBERS_6_5_49( X_320_151 )
obj_t X_320_151;
#endif
{

{
PUSH_LAMBDA_TRACE( FLOOR_111___R4_NUMBERS_6_5_46 );
{obj_t AUX_872_181;
if( INTEGERP( X_320_151 ))
AUX_872_181=X_320_151;else
if( REALP( X_320_151 ))
{double AUX_873_12;
AUX_873_12=floor( REAL_TO_DOUBLE( X_320_151 ) );AUX_872_181=DOUBLE_TO_REAL( AUX_873_12 );}else
FAILURE( BREF( &FLOOR_112___R4_NUMBERS_6_5_57), BREF( &NOT_A_NU_113___R4_NUMBERS_6_5_109), X_320_151 );return POP_LAMBDA_TRACE( AUX_872_181 );}
}
}

obj_t
#if defined( __STDC__ )
__FLOOR___R4_NUMBERS_6_5_103(obj_t ENV_744_219,obj_t X_320_151)
#else
__FLOOR___R4_NUMBERS_6_5_103( ENV_744_219, X_320_151 )
obj_t ENV_744_219, X_320_151;
#endif
{

return FLOOR___R4_NUMBERS_6_5_49( X_320_151 );
}

obj_t
#if defined( __STDC__ )
CEILING___R4_NUMBERS_6_5_198(obj_t X_321_251)
#else
CEILING___R4_NUMBERS_6_5_198( X_321_251 )
obj_t X_321_251;
#endif
{

{
PUSH_LAMBDA_TRACE( CEILING_114___R4_NUMBERS_6_5_227 );
{obj_t AUX_870_70;
if( INTEGERP( X_321_251 ))
AUX_870_70=X_321_251;else
if( REALP( X_321_251 ))
{double AUX_871_103;
AUX_871_103=ceil( REAL_TO_DOUBLE( X_321_251 ) );AUX_870_70=DOUBLE_TO_REAL( AUX_871_103 );}else
FAILURE( BREF( &CEILING_115___R4_NUMBERS_6_5_67), BREF( &NOT_A_NU_116___R4_NUMBERS_6_5_234), X_321_251 );return POP_LAMBDA_TRACE( AUX_870_70 );}
}
}

obj_t
#if defined( __STDC__ )
__CEILING___R4_NUMBERS_6_5_75(obj_t ENV_743_200,obj_t X_321_251)
#else
__CEILING___R4_NUMBERS_6_5_75( ENV_743_200, X_321_251 )
obj_t ENV_743_200, X_321_251;
#endif
{

return CEILING___R4_NUMBERS_6_5_198( X_321_251 );
}

obj_t
#if defined( __STDC__ )
TRUNCATE___R4_NUMBERS_6_5_202(obj_t X_322_207)
#else
TRUNCATE___R4_NUMBERS_6_5_202( X_322_207 )
obj_t X_322_207;
#endif
{

{
PUSH_LAMBDA_TRACE( TRUNCATE_117___R4_NUMBERS_6_5_167 );
{obj_t AUX_867_125;
if( INTEGERP( X_322_207 ))
AUX_867_125=X_322_207;else
if( REALP( X_322_207 ))
if( NEGATIVEP_R( X_322_207 ))
{double AUX_868_174;
AUX_868_174=ceil( REAL_TO_DOUBLE( X_322_207 ) );AUX_867_125=DOUBLE_TO_REAL( AUX_868_174 );}else
{double AUX_869_97;
AUX_869_97=floor( REAL_TO_DOUBLE( X_322_207 ) );AUX_867_125=DOUBLE_TO_REAL( AUX_869_97 );}else
FAILURE( BREF( &TRUNCATE_118___R4_NUMBERS_6_5_118), BREF( &NOT_A_NU_119___R4_NUMBERS_6_5_71), X_322_207 );return POP_LAMBDA_TRACE( AUX_867_125 );}
}
}

obj_t
#if defined( __STDC__ )
__TRUNCATE___R4_NUMBERS_6_5_184(obj_t ENV_742_163,obj_t X_322_207)
#else
__TRUNCATE___R4_NUMBERS_6_5_184( ENV_742_163, X_322_207 )
obj_t ENV_742_163, X_322_207;
#endif
{

return TRUNCATE___R4_NUMBERS_6_5_202( X_322_207 );
}

obj_t
#if defined( __STDC__ )
ROUND___R4_NUMBERS_6_5_160(obj_t X_323_225)
#else
ROUND___R4_NUMBERS_6_5_160( X_323_225 )
obj_t X_323_225;
#endif
{

{
PUSH_LAMBDA_TRACE( ROUND_120___R4_NUMBERS_6_5_199 );
{obj_t AUX_865_138;
if( INTEGERP( X_323_225 ))
AUX_865_138=X_323_225;else
if( REALP( X_323_225 ))
{double AUX_866_118;
AUX_866_118=ROUND_R( REAL_TO_DOUBLE( X_323_225 ) );AUX_865_138=DOUBLE_TO_REAL( AUX_866_118 );}else
FAILURE( BREF( &ROUND_121___R4_NUMBERS_6_5_222), BREF( &NOT_A_NU_122___R4_NUMBERS_6_5_218), X_323_225 );return POP_LAMBDA_TRACE( AUX_865_138 );}
}
}

obj_t
#if defined( __STDC__ )
__ROUND___R4_NUMBERS_6_5_114(obj_t ENV_741_235,obj_t X_323_225)
#else
__ROUND___R4_NUMBERS_6_5_114( ENV_741_235, X_323_225 )
obj_t ENV_741_235, X_323_225;
#endif
{

return ROUND___R4_NUMBERS_6_5_160( X_323_225 );
}

obj_t
#if defined( __STDC__ )
EXP___R4_NUMBERS_6_5_248(obj_t X_324_98)
#else
EXP___R4_NUMBERS_6_5_248( X_324_98 )
obj_t X_324_98;
#endif
{

{
PUSH_LAMBDA_TRACE( EXP_123___R4_NUMBERS_6_5_15 );
{obj_t AUX_861_27;
if( INTEGERP( X_324_98 ))
{double X_787_240;
{obj_t AUX_862_51;
AUX_862_51=INT_TO_REAL( X_324_98 );X_787_240=REAL_TO_DOUBLE( AUX_862_51 );}{double AUX_863_140;
AUX_863_140=exp( X_787_240 );AUX_861_27=DOUBLE_TO_REAL( AUX_863_140 );}}else
if( REALP( X_324_98 ))
{double AUX_864_170;
AUX_864_170=exp( REAL_TO_DOUBLE( X_324_98 ) );AUX_861_27=DOUBLE_TO_REAL( AUX_864_170 );}else
FAILURE( BREF( &EXP_124___R4_NUMBERS_6_5_26), BREF( &NOT_A_NU_125___R4_NUMBERS_6_5_38), X_324_98 );return POP_LAMBDA_TRACE( AUX_861_27 );}
}
}

obj_t
#if defined( __STDC__ )
__EXP___R4_NUMBERS_6_5_239(obj_t ENV_740_222,obj_t X_324_98)
#else
__EXP___R4_NUMBERS_6_5_239( ENV_740_222, X_324_98 )
obj_t ENV_740_222, X_324_98;
#endif
{

return EXP___R4_NUMBERS_6_5_248( X_324_98 );
}

obj_t
#if defined( __STDC__ )
LOG___R4_NUMBERS_6_5_45(obj_t X_325_21)
#else
LOG___R4_NUMBERS_6_5_45( X_325_21 )
obj_t X_325_21;
#endif
{

{
PUSH_LAMBDA_TRACE( LOG_126___R4_NUMBERS_6_5_14 );
{obj_t AUX_857_172;
if( INTEGERP( X_325_21 ))
{double X_788_42;
{obj_t AUX_858_181;
AUX_858_181=INT_TO_REAL( X_325_21 );X_788_42=REAL_TO_DOUBLE( AUX_858_181 );}{double AUX_859_12;
AUX_859_12=log( X_788_42 );AUX_857_172=DOUBLE_TO_REAL( AUX_859_12 );}}else
if( REALP( X_325_21 ))
{double AUX_860_233;
AUX_860_233=log( REAL_TO_DOUBLE( X_325_21 ) );AUX_857_172=DOUBLE_TO_REAL( AUX_860_233 );}else
FAILURE( BREF( &LOG_127___R4_NUMBERS_6_5_97), BREF( &NOT_A_NU_128___R4_NUMBERS_6_5_210), X_325_21 );return POP_LAMBDA_TRACE( AUX_857_172 );}
}
}

obj_t
#if defined( __STDC__ )
__LOG___R4_NUMBERS_6_5_176(obj_t ENV_739_13,obj_t X_325_21)
#else
__LOG___R4_NUMBERS_6_5_176( ENV_739_13, X_325_21 )
obj_t ENV_739_13, X_325_21;
#endif
{

return LOG___R4_NUMBERS_6_5_45( X_325_21 );
}

obj_t
#if defined( __STDC__ )
SIN___R4_NUMBERS_6_5_226(obj_t X_326_112)
#else
SIN___R4_NUMBERS_6_5_226( X_326_112 )
obj_t X_326_112;
#endif
{

{
PUSH_LAMBDA_TRACE( SIN_129___R4_NUMBERS_6_5_23 );
{obj_t AUX_853_238;
if( INTEGERP( X_326_112 ))
{double X_789_155;
{obj_t AUX_854_147;
AUX_854_147=INT_TO_REAL( X_326_112 );X_789_155=REAL_TO_DOUBLE( AUX_854_147 );}{double AUX_855_124;
AUX_855_124=sin( X_789_155 );AUX_853_238=DOUBLE_TO_REAL( AUX_855_124 );}}else
if( REALP( X_326_112 ))
{double AUX_856_144;
AUX_856_144=sin( REAL_TO_DOUBLE( X_326_112 ) );AUX_853_238=DOUBLE_TO_REAL( AUX_856_144 );}else
FAILURE( BREF( &SIN_130___R4_NUMBERS_6_5_22), BREF( &NOT_A_NU_131___R4_NUMBERS_6_5_219), X_326_112 );return POP_LAMBDA_TRACE( AUX_853_238 );}
}
}

obj_t
#if defined( __STDC__ )
__SIN___R4_NUMBERS_6_5_114(obj_t ENV_738_32,obj_t X_326_112)
#else
__SIN___R4_NUMBERS_6_5_114( ENV_738_32, X_326_112 )
obj_t ENV_738_32, X_326_112;
#endif
{

return SIN___R4_NUMBERS_6_5_226( X_326_112 );
}

obj_t
#if defined( __STDC__ )
COS___R4_NUMBERS_6_5_115(obj_t X_327_113)
#else
COS___R4_NUMBERS_6_5_115( X_327_113 )
obj_t X_327_113;
#endif
{

{
PUSH_LAMBDA_TRACE( COS_132___R4_NUMBERS_6_5_14 );
{obj_t AUX_849_102;
if( INTEGERP( X_327_113 ))
{double X_790_96;
{obj_t AUX_850_167;
AUX_850_167=INT_TO_REAL( X_327_113 );X_790_96=REAL_TO_DOUBLE( AUX_850_167 );}{double AUX_851_183;
AUX_851_183=cos( X_790_96 );AUX_849_102=DOUBLE_TO_REAL( AUX_851_183 );}}else
if( REALP( X_327_113 ))
{double AUX_852_157;
AUX_852_157=cos( REAL_TO_DOUBLE( X_327_113 ) );AUX_849_102=DOUBLE_TO_REAL( AUX_852_157 );}else
FAILURE( BREF( &COS_133___R4_NUMBERS_6_5_97), BREF( &NOT_A_NU_134___R4_NUMBERS_6_5_113), X_327_113 );return POP_LAMBDA_TRACE( AUX_849_102 );}
}
}

obj_t
#if defined( __STDC__ )
__COS___R4_NUMBERS_6_5_235(obj_t ENV_737_94,obj_t X_327_113)
#else
__COS___R4_NUMBERS_6_5_235( ENV_737_94, X_327_113 )
obj_t ENV_737_94, X_327_113;
#endif
{

return COS___R4_NUMBERS_6_5_115( X_327_113 );
}

obj_t
#if defined( __STDC__ )
TAN___R4_NUMBERS_6_5_201(obj_t X_328_24)
#else
TAN___R4_NUMBERS_6_5_201( X_328_24 )
obj_t X_328_24;
#endif
{

{
PUSH_LAMBDA_TRACE( TAN_135___R4_NUMBERS_6_5_40 );
{obj_t AUX_845_42;
if( INTEGERP( X_328_24 ))
{double X_791_227;
{obj_t AUX_846_93;
AUX_846_93=INT_TO_REAL( X_328_24 );X_791_227=REAL_TO_DOUBLE( AUX_846_93 );}{double AUX_847_159;
AUX_847_159=tan( X_791_227 );AUX_845_42=DOUBLE_TO_REAL( AUX_847_159 );}}else
if( REALP( X_328_24 ))
{double AUX_848_218;
AUX_848_218=tan( REAL_TO_DOUBLE( X_328_24 ) );AUX_845_42=DOUBLE_TO_REAL( AUX_848_218 );}else
FAILURE( BREF( &TAN_136___R4_NUMBERS_6_5_61), BREF( &NOT_A_NU_137___R4_NUMBERS_6_5_72), X_328_24 );return POP_LAMBDA_TRACE( AUX_845_42 );}
}
}

obj_t
#if defined( __STDC__ )
__TAN___R4_NUMBERS_6_5_81(obj_t ENV_736_220,obj_t X_328_24)
#else
__TAN___R4_NUMBERS_6_5_81( ENV_736_220, X_328_24 )
obj_t ENV_736_220, X_328_24;
#endif
{

return TAN___R4_NUMBERS_6_5_201( X_328_24 );
}

obj_t
#if defined( __STDC__ )
ASIN___R4_NUMBERS_6_5_77(obj_t X_329_6)
#else
ASIN___R4_NUMBERS_6_5_77( X_329_6 )
obj_t X_329_6;
#endif
{

{
PUSH_LAMBDA_TRACE( ASIN_138___R4_NUMBERS_6_5_130 );
{obj_t AUX_841_61;
if( INTEGERP( X_329_6 ))
{double X_792_230;
{obj_t AUX_842_9;
AUX_842_9=INT_TO_REAL( X_329_6 );X_792_230=REAL_TO_DOUBLE( AUX_842_9 );}{double AUX_843_89;
AUX_843_89=asin( X_792_230 );AUX_841_61=DOUBLE_TO_REAL( AUX_843_89 );}}else
if( REALP( X_329_6 ))
{double AUX_844_155;
AUX_844_155=asin( REAL_TO_DOUBLE( X_329_6 ) );AUX_841_61=DOUBLE_TO_REAL( AUX_844_155 );}else
FAILURE( BREF( &ASIN_139___R4_NUMBERS_6_5_173), BREF( &NOT_A_NU_140___R4_NUMBERS_6_5_141), X_329_6 );return POP_LAMBDA_TRACE( AUX_841_61 );}
}
}

obj_t
#if defined( __STDC__ )
__ASIN___R4_NUMBERS_6_5_248(obj_t ENV_735_224,obj_t X_329_6)
#else
__ASIN___R4_NUMBERS_6_5_248( ENV_735_224, X_329_6 )
obj_t ENV_735_224, X_329_6;
#endif
{

return ASIN___R4_NUMBERS_6_5_77( X_329_6 );
}

obj_t
#if defined( __STDC__ )
ACOS___R4_NUMBERS_6_5_40(obj_t X_330_94)
#else
ACOS___R4_NUMBERS_6_5_40( X_330_94 )
obj_t X_330_94;
#endif
{

{
PUSH_LAMBDA_TRACE( ACOS_141___R4_NUMBERS_6_5_113 );
{obj_t AUX_837_21;
if( INTEGERP( X_330_94 ))
{double X_793_142;
{obj_t AUX_838_20;
AUX_838_20=INT_TO_REAL( X_330_94 );X_793_142=REAL_TO_DOUBLE( AUX_838_20 );}{double AUX_839_81;
AUX_839_81=acos( X_793_142 );AUX_837_21=DOUBLE_TO_REAL( AUX_839_81 );}}else
if( REALP( X_330_94 ))
{double AUX_840_3;
AUX_840_3=acos( REAL_TO_DOUBLE( X_330_94 ) );AUX_837_21=DOUBLE_TO_REAL( AUX_840_3 );}else
FAILURE( BREF( &ACOS_142___R4_NUMBERS_6_5_72), BREF( &NOT_A_NU_143___R4_NUMBERS_6_5_216), X_330_94 );return POP_LAMBDA_TRACE( AUX_837_21 );}
}
}

obj_t
#if defined( __STDC__ )
__ACOS___R4_NUMBERS_6_5_107(obj_t ENV_734_212,obj_t X_330_94)
#else
__ACOS___R4_NUMBERS_6_5_107( ENV_734_212, X_330_94 )
obj_t ENV_734_212, X_330_94;
#endif
{

return ACOS___R4_NUMBERS_6_5_40( X_330_94 );
}

obj_t
#if defined( __STDC__ )
ATAN___R4_NUMBERS_6_5_14(obj_t X_331_220,obj_t Y_332_155)
#else
ATAN___R4_NUMBERS_6_5_14( X_331_220, Y_332_155 )
obj_t X_331_220, Y_332_155;
#endif
{

{
PUSH_LAMBDA_TRACE( ATAN_144___R4_NUMBERS_6_5_181 );
{obj_t AUX_833_251;
{obj_t Y_333_42;
if( PAIRP( Y_332_155 ))
{obj_t Y_337_61;
Y_337_61=CAR( Y_332_155 );if( INTEGERP( Y_337_61 ))
Y_333_42=INT_TO_REAL( Y_337_61 );else
if( REALP( Y_337_61 ))
Y_333_42=Y_337_61;else
FAILURE( BREF( &ATAN_145___R4_NUMBERS_6_5_105), BREF( &NOT_A_NU_146___R4_NUMBERS_6_5_123), Y_337_61 );}else
Y_333_42=BFALSE;{obj_t X_336_196;
if( INTEGERP( X_331_220 ))
{
X_336_196=INT_TO_REAL( X_331_220 );
{_DO_ATANFL_334_66:

{if( INTEGERP( Y_333_42 ))
goto _true_9;else
if( REALP( Y_333_42 ))
goto _true_9;else
goto _false_10;_true_9:
{obj_t Y_512_80;
Y_512_80=MAKE_PAIR( Y_333_42, BNIL );{obj_t Y_513_166;
Y_513_166=CAR( Y_512_80 );{bool_t __ANDTEST_1007_797_204;
{obj_t AUX_835_113;
if( REALP( X_336_196 ))
AUX_835_113=CBOOL_TO_BBOOL( EQ_R( X_336_196, BREAL( &A_REAL_147___R4_NUMBERS_6_5_221) ) );else
FAILURE( ATAN___R_148___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, X_____149___R4_NUMBERS_6_5_179 ), X_336_196 );__ANDTEST_1007_797_204=BBOOL_TO_CBOOL( AUX_835_113 );}{if( __ANDTEST_1007_797_204)
if( REALP( Y_513_166 ))
if( EQ_R( Y_513_166, BREAL( &A_REAL_150___R4_NUMBERS_6_5_193) ))
goto _true_12;else
goto _false_13;else
FAILURE( ATAN___R_148___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, Y_____151___R4_NUMBERS_6_5_43 ), Y_513_166 );else
goto _false_13;_true_12:
FAILURE( BREF( &ATANFL_152___R4_NUMBERS_6_5_249), BREF( &DOMAIN_E_153___R4_NUMBERS_6_5_254), BREAL( &A_REAL_154___R4_NUMBERS_6_5_51) );_false_13:
if( REALP( X_336_196 ))
if( REALP( Y_513_166 ))
{double AUX_836_98;
AUX_836_98=atan2( REAL_TO_DOUBLE( X_336_196 ), REAL_TO_DOUBLE( Y_513_166 ) );{AUX_833_251=DOUBLE_TO_REAL( AUX_836_98 );
goto _endif_11;}}else
FAILURE( ATAN___R_148___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, Y_____151___R4_NUMBERS_6_5_43 ), Y_513_166 );else
FAILURE( ATAN___R_148___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, X_____149___R4_NUMBERS_6_5_179 ), X_336_196 );;
}}}}_false_10:
{obj_t Y_515_100;
Y_515_100=BNIL;if( REALP( X_336_196 ))
{double AUX_834_112;
AUX_834_112=atan( REAL_TO_DOUBLE( X_336_196 ) );AUX_833_251=DOUBLE_TO_REAL( AUX_834_112 );}else
FAILURE( ATAN___R_148___R4_NUMBERS_6_5_228, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, X_____149___R4_NUMBERS_6_5_179 ), X_336_196 );}_endif_11:
;
}}
}else
if( REALP( X_331_220 ))
{
X_336_196=X_331_220;
goto _DO_ATANFL_334_66;
}else
FAILURE( BREF( &ATAN_155___R4_NUMBERS_6_5_203), BREF( &NOT_A_NU_156___R4_NUMBERS_6_5_7), X_331_220 );}}return POP_LAMBDA_TRACE( AUX_833_251 );}
}
}

obj_t
#if defined( __STDC__ )
__ATAN___R4_NUMBERS_6_5_94(obj_t ENV_733_247,obj_t X_331_220,obj_t Y_332_155)
#else
__ATAN___R4_NUMBERS_6_5_94( ENV_733_247, X_331_220, Y_332_155 )
obj_t ENV_733_247, X_331_220, Y_332_155;
#endif
{

return ATAN___R4_NUMBERS_6_5_14( X_331_220, Y_332_155 );
}

obj_t
#if defined( __STDC__ )
SQRT___R4_NUMBERS_6_5_77(obj_t X_338_84)
#else
SQRT___R4_NUMBERS_6_5_77( X_338_84 )
obj_t X_338_84;
#endif
{

{
PUSH_LAMBDA_TRACE( SQRT_157___R4_NUMBERS_6_5_164 );
{obj_t AUX_830_207;
if( INTEGERP( X_338_84 ))
{obj_t R_519_2;
R_519_2=INT_TO_REAL( X_338_84 );if( LT_R( R_519_2, BREAL( &A_REAL_158___R4_NUMBERS_6_5_240) ))
FAILURE( BREF( &SQRT_159___R4_NUMBERS_6_5_67), BREF( &DOMAIN_E_160___R4_NUMBERS_6_5_186), R_519_2 );else
{double AUX_831_225;
AUX_831_225=sqrt( REAL_TO_DOUBLE( R_519_2 ) );AUX_830_207=DOUBLE_TO_REAL( AUX_831_225 );}}else
if( REALP( X_338_84 ))
if( LT_R( X_338_84, BREAL( &A_REAL_161___R4_NUMBERS_6_5_160) ))
FAILURE( BREF( &SQRT_162___R4_NUMBERS_6_5_17), BREF( &DOMAIN_E_163___R4_NUMBERS_6_5_226), X_338_84 );else
{double AUX_832_151;
AUX_832_151=sqrt( REAL_TO_DOUBLE( X_338_84 ) );AUX_830_207=DOUBLE_TO_REAL( AUX_832_151 );}else
FAILURE( BREF( &SQRT_164___R4_NUMBERS_6_5_217), BREF( &NOT_A_NU_165___R4_NUMBERS_6_5_67), X_338_84 );return POP_LAMBDA_TRACE( AUX_830_207 );}
}
}

obj_t
#if defined( __STDC__ )
__SQRT___R4_NUMBERS_6_5_111(obj_t ENV_732_204,obj_t X_338_84)
#else
__SQRT___R4_NUMBERS_6_5_111( ENV_732_204, X_338_84 )
obj_t ENV_732_204, X_338_84;
#endif
{

return SQRT___R4_NUMBERS_6_5_77( X_338_84 );
}

obj_t
#if defined( __STDC__ )
EXPT___R4_NUMBERS_6_5_82(obj_t X_339_226,obj_t Y_340_163)
#else
EXPT___R4_NUMBERS_6_5_82( X_339_226, Y_340_163 )
obj_t X_339_226, Y_340_163;
#endif
{

{
PUSH_LAMBDA_TRACE( EXPT_166___R4_NUMBERS_6_5_54 );
{obj_t AUX_820_173;
{if( REALP( X_339_226 ))
if( REALP( Y_340_163 ))
{bool_t __andtest_1009_801_178;
{obj_t AUX_821_73;
if( REALP( X_339_226 ))
AUX_821_73=CBOOL_TO_BBOOL( EQ_R( X_339_226, BREAL( &A_REAL_167___R4_NUMBERS_6_5_2) ) );else
FAILURE( EXPT___R_168___R4_NUMBERS_6_5_11, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, X_____169___R4_NUMBERS_6_5_12 ), X_339_226 );__andtest_1009_801_178=BBOOL_TO_CBOOL( AUX_821_73 );}if( __andtest_1009_801_178)
if( REALP( Y_340_163 ))
if( EQ_R( Y_340_163, BREAL( &A_REAL_170___R4_NUMBERS_6_5_26) ))
goto _true_3;else
goto _false_4;else
FAILURE( EXPT___R_168___R4_NUMBERS_6_5_11, TYPE_ERROR___ERROR_146( REAL_5___R4_NUMBERS_6_5_96, Y_____171___R4_NUMBERS_6_5_31 ), Y_340_163 );else
goto _false_4;}else
goto _false_4;else
goto _false_4;_true_3:
{AUX_820_173=BREAL( &A_REAL_172___R4_NUMBERS_6_5_69);
goto _endif_5;}_false_4:
{if( INTEGERP( X_339_226 ))
if( INTEGERP( Y_340_163 ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{obj_t X_520_44;
{double R2_804_227;
{obj_t AUX_827_40;
if( INTEGERP( Y_340_163 ))
AUX_827_40=INT_TO_REAL( Y_340_163 );else
FAILURE( EXPT___R_168___R4_NUMBERS_6_5_11, TYPE_ERROR___ERROR_146( NUMBER_8___R4_NUMBERS_6_5_216, Y_____171___R4_NUMBERS_6_5_31 ), Y_340_163 );R2_804_227=REAL_TO_DOUBLE( AUX_827_40 );}{double R1_803_145;
{obj_t AUX_828_177;
if( INTEGERP( X_339_226 ))
AUX_828_177=INT_TO_REAL( X_339_226 );else
FAILURE( EXPT___R_168___R4_NUMBERS_6_5_11, TYPE_ERROR___ERROR_146( NUMBER_8___R4_NUMBERS_6_5_216, X_____169___R4_NUMBERS_6_5_12 ), X_339_226 );R1_803_145=REAL_TO_DOUBLE( AUX_828_177 );}{double AUX_829_107;
AUX_829_107=pow( R1_803_145, R2_804_227 );X_520_44=DOUBLE_TO_REAL( AUX_829_107 );}}}{AUX_820_173=REAL_TO_INT( X_520_44 );
goto _endif_8;}}_false_7:
if( INTEGERP( X_339_226 ))
if( REALP( Y_340_163 ))
{double R1_805_33;
{obj_t AUX_822_30;
AUX_822_30=INT_TO_REAL( X_339_226 );R1_805_33=REAL_TO_DOUBLE( AUX_822_30 );}{double AUX_823_7;
AUX_823_7=pow( R1_805_33, REAL_TO_DOUBLE( Y_340_163 ) );AUX_820_173=DOUBLE_TO_REAL( AUX_823_7 );}}else
FAILURE( BREF( &EXPT_173___R4_NUMBERS_6_5_36), BREF( &NOT_A_NU_174___R4_NUMBERS_6_5_144), Y_340_163 );else
if( REALP( X_339_226 ))
if( REALP( Y_340_163 ))
{double AUX_824_36;
AUX_824_36=pow( REAL_TO_DOUBLE( X_339_226 ), REAL_TO_DOUBLE( Y_340_163 ) );AUX_820_173=DOUBLE_TO_REAL( AUX_824_36 );}else
if( INTEGERP( Y_340_163 ))
{double R2_806_142;
{obj_t AUX_825_65;
AUX_825_65=INT_TO_REAL( Y_340_163 );R2_806_142=REAL_TO_DOUBLE( AUX_825_65 );}{double AUX_826_188;
AUX_826_188=pow( REAL_TO_DOUBLE( X_339_226 ), R2_806_142 );AUX_820_173=DOUBLE_TO_REAL( AUX_826_188 );}}else
FAILURE( BREF( &EXPT_175___R4_NUMBERS_6_5_34), BREF( &NOT_A_NU_176___R4_NUMBERS_6_5_17), Y_340_163 );else
FAILURE( BREF( &EXPT_177___R4_NUMBERS_6_5_98), BREF( &NOT_A_NU_178___R4_NUMBERS_6_5_245), X_339_226 );_endif_8:
;
}_endif_5:
;
}return POP_LAMBDA_TRACE( AUX_820_173 );}
}
}

obj_t
#if defined( __STDC__ )
__EXPT___R4_NUMBERS_6_5_156(obj_t ENV_731_196,obj_t X_339_226,obj_t Y_340_163)
#else
__EXPT___R4_NUMBERS_6_5_156( ENV_731_196, X_339_226, Y_340_163 )
obj_t ENV_731_196, X_339_226, Y_340_163;
#endif
{

return EXPT___R4_NUMBERS_6_5_82( X_339_226, Y_340_163 );
}

obj_t
#if defined( __STDC__ )
EXACT__INEXACT___R4_NUMBERS_6_5_78(obj_t Z_345_226)
#else
EXACT__INEXACT___R4_NUMBERS_6_5_78( Z_345_226 )
obj_t Z_345_226;
#endif
{

if( INTEGERP( Z_345_226 ))
return INT_TO_REAL( Z_345_226 );else
return Z_345_226;
}

obj_t
#if defined( __STDC__ )
__EXACT__INEXACT___R4_NUMBERS_6_5_82(obj_t ENV_730_43,obj_t Z_345_226)
#else
__EXACT__INEXACT___R4_NUMBERS_6_5_82( ENV_730_43, Z_345_226 )
obj_t ENV_730_43, Z_345_226;
#endif
{

return EXACT__INEXACT___R4_NUMBERS_6_5_78( Z_345_226 );
}

obj_t
#if defined( __STDC__ )
INEXACT__EXACT___R4_NUMBERS_6_5_56(obj_t Z_346_18)
#else
INEXACT__EXACT___R4_NUMBERS_6_5_56( Z_346_18 )
obj_t Z_346_18;
#endif
{

if( REALP( Z_346_18 ))
return REAL_TO_INT( Z_346_18 );else
return Z_346_18;
}

obj_t
#if defined( __STDC__ )
__INEXACT__EXACT___R4_NUMBERS_6_5_100(obj_t ENV_729_140,obj_t Z_346_18)
#else
__INEXACT__EXACT___R4_NUMBERS_6_5_100( ENV_729_140, Z_346_18 )
obj_t ENV_729_140, Z_346_18;
#endif
{

return INEXACT__EXACT___R4_NUMBERS_6_5_56( Z_346_18 );
}

obj_t
#if defined( __STDC__ )
NUMBER__STRING___R4_NUMBERS_6_5_157(obj_t X_347_231,obj_t RADIX_348_33)
#else
NUMBER__STRING___R4_NUMBERS_6_5_157( X_347_231, RADIX_348_33 )
obj_t X_347_231, RADIX_348_33;
#endif
{

{
PUSH_LAMBDA_TRACE( NUMBER___179___R4_NUMBERS_6_5_3 );
{obj_t AUX_818_106;
{
{bool_t OBJ_807_81;
OBJ_807_81=NULLP( RADIX_348_33 );if( OBJ_807_81)
RADIX_348_33=BINT( 10 );else
{obj_t PAIR_528_79;
PAIR_528_79=RADIX_348_33;if( PAIRP( PAIR_528_79 ))
RADIX_348_33=CAR( PAIR_528_79 );else
FAILURE( NUMBER___180___R4_NUMBERS_6_5_91, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, PAIR_____181___R4_NUMBERS_6_5_216 ), PAIR_528_79 );}}
if( INTEGERP( X_347_231 ))
{obj_t VA_ARG_711_158;
VA_ARG_711_158=MAKE_PAIR( RADIX_348_33, BNIL );AUX_818_106=INTEGER__STRING___R4_NUMBERS_6_5_FIXNUM_99( X_347_231, VA_ARG_711_158 );}else
if( REALP( X_347_231 ))
{char * AUX_819_82;
AUX_819_82=real_to_string( REAL_TO_DOUBLE( X_347_231 ) );AUX_818_106=CSTRING_TO_BSTRING( AUX_819_82 );}else
AUX_818_106=BFALSE;
}return POP_LAMBDA_TRACE( AUX_818_106 );}
}
}

obj_t
#if defined( __STDC__ )
__NUMBER__STRING___R4_NUMBERS_6_5_203(obj_t ENV_728_51,obj_t X_347_231,obj_t RADIX_348_33)
#else
__NUMBER__STRING___R4_NUMBERS_6_5_203( ENV_728_51, X_347_231, RADIX_348_33 )
obj_t ENV_728_51, X_347_231, RADIX_348_33;
#endif
{

return NUMBER__STRING___R4_NUMBERS_6_5_157( X_347_231, RADIX_348_33 );
}

obj_t
#if defined( __STDC__ )
STRING__NUMBER___R4_NUMBERS_6_5_34(obj_t X_349_249,obj_t RADIX_350_169)
#else
STRING__NUMBER___R4_NUMBERS_6_5_34( X_349_249, RADIX_350_169 )
obj_t X_349_249, RADIX_350_169;
#endif
{

{
PUSH_LAMBDA_TRACE( STRING___182___R4_NUMBERS_6_5_115 );
{obj_t AUX_810_155;
{obj_t X_353_109;
{obj_t AUX_811_42;
{
X_353_109=X_349_249;
{
{obj_t I_355_38;
{obj_t L_547_153;
if( STRINGP( X_353_109 ))
L_547_153=STRING_LENGTH( X_353_109 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( STRING_186___R4_NUMBERS_6_5_24, X_____187___R4_NUMBERS_6_5_30 ), X_353_109 );{
I_355_38=SUB_I_PTAG( L_547_153, PSUB_TAG( 1 ) );
{_LOOP_354_67:

if( EQ_I( I_355_38, BINT( -1 ) ))
AUX_811_42=BTRUE;else
{obj_t CHAR1_532_143;
if( STRINGP( X_353_109 ))
{obj_t AUX_812_93;
AUX_812_93=STRING_LENGTH( X_353_109 );if( BOUND_CHECK( I_355_38, AUX_812_93 ))
CHAR1_532_143=BCHAR( STRING_REF( X_353_109, CINT( I_355_38 ) ) );else
FAILURE( BREF( &STRING_R_183___R4_NUMBERS_6_5_8), BREF( &INDEX_OU_184___R4_NUMBERS_6_5_143), I_355_38 );}else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( STRING_186___R4_NUMBERS_6_5_24, X_____187___R4_NUMBERS_6_5_30 ), X_353_109 );if( EQP( CHAR1_532_143, BCHAR( '-' ) ))
AUX_811_42=CBOOL_TO_BBOOL( EQ_I( I_355_38, BINT( 0 ) ) );else
{bool_t __andtest_1010_809_116;
{obj_t AUX_813_159;
{obj_t CHAR1_540_144;
if( STRINGP( X_353_109 ))
{obj_t AUX_814_3;
AUX_814_3=STRING_LENGTH( X_353_109 );if( BOUND_CHECK( I_355_38, AUX_814_3 ))
CHAR1_540_144=BCHAR( STRING_REF( X_353_109, CINT( I_355_38 ) ) );else
FAILURE( BREF( &STRING_R_188___R4_NUMBERS_6_5_107), BREF( &INDEX_OU_189___R4_NUMBERS_6_5_92), I_355_38 );}else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( STRING_186___R4_NUMBERS_6_5_24, X_____187___R4_NUMBERS_6_5_30 ), X_353_109 );{bool_t AUX_815_61;
AUX_815_61=CHAR_GE( CHAR1_540_144, BCHAR( '0' ) );AUX_813_159=CBOOL_TO_BBOOL( AUX_815_61 );}}__andtest_1010_809_116=BBOOL_TO_CBOOL( AUX_813_159 );}{if( __andtest_1010_809_116)
{obj_t CHAR1_543_124;
if( STRINGP( X_353_109 ))
{obj_t AUX_816_9;
AUX_816_9=STRING_LENGTH( X_353_109 );if( BOUND_CHECK( I_355_38, AUX_816_9 ))
CHAR1_543_124=BCHAR( STRING_REF( X_353_109, CINT( I_355_38 ) ) );else
FAILURE( BREF( &STRING_R_190___R4_NUMBERS_6_5_129), BREF( &INDEX_OU_191___R4_NUMBERS_6_5_120), I_355_38 );}else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( STRING_186___R4_NUMBERS_6_5_24, X_____187___R4_NUMBERS_6_5_30 ), X_353_109 );if( CHAR_LE( CHAR1_543_124, BCHAR( '9' ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{obj_t I_817_162;
I_817_162=I_355_38;{
I_355_38=SUB_I_PTAG( I_817_162, PSUB_TAG( 1 ) );
goto _LOOP_354_67;
}}_false_1:
AUX_811_42=BFALSE;;
}}}}
}}}}
}if( BBOOL_TO_CBOOL( AUX_811_42 ))
{obj_t A1_724_218, A0_723_23;
A1_724_218=BUNSPEC;A0_723_23=BUNSPEC;{
{obj_t C_CONS_551_59;
C_CONS_551_59=MAKE_PAIR( X_349_249, RADIX_350_169 );A1_724_218=C_CONS_551_59;}
if( PAIRP( A1_724_218 ))
A0_723_23=CAR( A1_724_218 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, A______192___R4_NUMBERS_6_5_102 ), A1_724_218 );
if( PAIRP( A1_724_218 ))
A1_724_218=CDR( A1_724_218 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, A______192___R4_NUMBERS_6_5_102 ), A1_724_218 );
AUX_810_155=STRING__INTEGER___R4_NUMBERS_6_5_FIXNUM_235( A0_723_23, A1_724_218 );
}}else
{obj_t STRING_726_109, AUX_725_208;
STRING_726_109=BUNSPEC;AUX_725_208=BUNSPEC;{
{obj_t C_CONS_552_137;
C_CONS_552_137=MAKE_PAIR( X_349_249, RADIX_350_169 );AUX_725_208=C_CONS_552_137;}
if( PAIRP( AUX_725_208 ))
STRING_726_109=CAR( AUX_725_208 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, AUX_____193___R4_NUMBERS_6_5_187 ), AUX_725_208 );
if( PAIRP( AUX_725_208 ))
AUX_725_208=CDR( AUX_725_208 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, TYPE_ERROR___ERROR_146( PAIR_19___R4_NUMBERS_6_5_191, AUX_____193___R4_NUMBERS_6_5_187 ), AUX_725_208 );
if( NULLP( AUX_725_208 ))
AUX_810_155=STRING__REAL___R4_NUMBERS_6_5_FLONUM_106( STRING_726_109 );else
FAILURE( STRING___185___R4_NUMBERS_6_5_124, BREF( &TOO_MANY_194___R4_NUMBERS_6_5_167), STRING___195___R4_NUMBERS_6_5_225 );
}}}}return POP_LAMBDA_TRACE( AUX_810_155 );}
}
}

obj_t
#if defined( __STDC__ )
__STRING__NUMBER___R4_NUMBERS_6_5_64(obj_t ENV_727_1,obj_t X_349_249,obj_t RADIX_350_169)
#else
__STRING__NUMBER___R4_NUMBERS_6_5_64( ENV_727_1, X_349_249, RADIX_350_169 )
obj_t ENV_727_1, X_349_249, RADIX_350_169;
#endif
{

return STRING__NUMBER___R4_NUMBERS_6_5_34( X_349_249, RADIX_350_169 );
}

