/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/ports.c                                                */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t WITH_OUT_28___R4_PORTS_6_10_1_16 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126(obj_t);
#else
extern obj_t FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126();
#endif
static obj_t PORT_____20___R4_PORTS_6_10_1_101 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27(obj_t);
#else
extern obj_t __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27();
#endif
DEFINE_STRING( WRONG_NU_6___R4_PORTS_6_10_1_162, "Wrong number of arguments for", 29);
obj_t WITH_OUTPUT_TO_FILE_ENV___R4_PORTS_6_10_1_70 = BUNSPEC;
obj_t CURRENT_INPUT_PORT_ENV___R4_PORTS_6_10_1_243 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150(obj_t, obj_t);
#else
extern obj_t __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150();
#endif
obj_t APPEND_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_201 = BUNSPEC;
static obj_t THUNK____31___R4_PORTS_6_10_1_236 = BUNSPEC;
obj_t OPEN_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_50 = BUNSPEC;
DEFINE_STRING( OPEN_INP_43___R4_PORTS_6_10_1_32, "open-input-file", 15);
static obj_t PROC_____12___R4_PORTS_6_10_1_175 = BUNSPEC;
static obj_t OLD_INPU_24___R4_PORTS_6_10_1_141 = BUNSPEC;
DEFINE_STRING( WRONG_NU_13___R4_PORTS_6_10_1_247, "Wrong number of arguments for", 29);
obj_t OUTPUT_PORT__ENV___R4_PORTS_6_10_1_114 = BUNSPEC;
static obj_t CALL_WIT_10___R4_PORTS_6_10_1_204 = BUNSPEC;
static obj_t THUNK____33___R4_PORTS_6_10_1_200 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76(obj_t, obj_t);
#else
extern obj_t OPEN_INPUT_FILE___R4_PORTS_6_10_1_76();
#endif
#if defined( __STDC__ )
extern obj_t CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174(obj_t, obj_t);
#else
extern obj_t CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174();
#endif
obj_t ___R4_PORTS_6_10_1_INITIALISATION_ENV___R4_PORTS_6_10_1_128 = BUNSPEC;
static obj_t WITH_OUT_27___R4_PORTS_6_10_1_241 = BUNSPEC;
static obj_t PAIR_39___R4_PORTS_6_10_1_198 = BUNSPEC;
obj_t DELETE_FILE_ENV___R4_PORTS_6_10_1_93 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
obj_t CURRENT_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_64 = BUNSPEC;
extern bool_t unlink();
#if defined( __STDC__ )
extern obj_t __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109(obj_t, obj_t, obj_t);
#else
extern obj_t __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109();
#endif
DEFINE_STRING( WRONG_NU_22___R4_PORTS_6_10_1_215, "Wrong number of arguments for", 29);
static obj_t PORT_____46___R4_PORTS_6_10_1_16 = BUNSPEC;
extern bool_t fexists();
#if defined( __STDC__ )
extern obj_t __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168(obj_t, obj_t);
#else
extern obj_t __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168();
#endif
#if defined( __STDC__ )
extern obj_t __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24(obj_t, obj_t, obj_t);
#else
extern obj_t __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24();
#endif
obj_t CALL_WITH_INPUT_FILE_ENV___R4_PORTS_6_10_1_134 = BUNSPEC;
static obj_t CALL_WIT_11___R4_PORTS_6_10_1_62 = BUNSPEC;
obj_t CALL_WITH_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_71 = BUNSPEC;
DEFINE_STRING( CAN_T_OP_36___R4_PORTS_6_10_1_107, "can't open file", 15);
extern obj_t OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240();
DEFINE_STRING( CALL_WIT_15___R4_PORTS_6_10_1_232, "call-with-output-file", 21);
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t OPEN_INP_38___R4_PORTS_6_10_1_67 = BUNSPEC;
extern obj_t default_io_bufsiz;
extern obj_t CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130();
obj_t FLUSH_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t INPUT_PORT____R4_PORTS_6_10_1_237(obj_t);
#else
extern obj_t INPUT_PORT____R4_PORTS_6_10_1_237();
#endif
#if defined( __STDC__ )
extern obj_t APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152(obj_t);
#else
extern obj_t APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152();
#endif
DEFINE_STRING( WITH_OUT_35___R4_PORTS_6_10_1_66, "with-output-to-file", 19);
extern obj_t make_va_procedure();
obj_t OPEN_OUTPUT_STRING_ENV___R4_PORTS_6_10_1_33 = BUNSPEC;
static obj_t STRING___53___R4_PORTS_6_10_1_32 = BUNSPEC;
static obj_t STRING___42___R4_PORTS_6_10_1_241 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7(obj_t);
#else
extern obj_t __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7();
#endif
extern obj_t current_error_port;
#if defined( __STDC__ )
extern obj_t WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194(obj_t, obj_t);
#else
extern obj_t WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194();
#endif
extern obj_t current_output_port;
#if defined( __STDC__ )
extern obj_t WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93(obj_t, obj_t);
#else
extern obj_t WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93();
#endif
static obj_t OUTPUT_P_29___R4_PORTS_6_10_1_77 = BUNSPEC;
extern obj_t close_output_port();
#if defined( __STDC__ )
extern obj_t FILE_EXISTS____R4_PORTS_6_10_1_122(obj_t);
#else
extern obj_t FILE_EXISTS____R4_PORTS_6_10_1_122();
#endif
#if defined( __STDC__ )
extern obj_t __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83(obj_t, obj_t, obj_t);
#else
extern obj_t __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83();
#endif
DEFINE_STRING( BIGLOO___0___R4_PORTS_6_10_1_164, "Bigloo (v1.7)", 13);
extern obj_t append_output_file();
obj_t INPUT_PORT__ENV___R4_PORTS_6_10_1_175 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OUTPUT_PORT____R4_PORTS_6_10_1_115(obj_t);
#else
extern obj_t OUTPUT_PORT____R4_PORTS_6_10_1_115();
#endif
extern obj_t open_input_string();
extern int rename();
static obj_t THUNK____23___R4_PORTS_6_10_1_136 = BUNSPEC;
extern obj_t close_input_port();
#if defined( __STDC__ )
extern obj_t DELETE_FILE___R4_PORTS_6_10_1_147(obj_t);
#else
extern obj_t DELETE_FILE___R4_PORTS_6_10_1_147();
#endif
#if defined( __STDC__ )
extern obj_t __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4(obj_t, obj_t, obj_t);
#else
extern obj_t __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4();
#endif
static obj_t PORT_____30___R4_PORTS_6_10_1_187 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215(obj_t, obj_t);
#else
extern obj_t __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215();
#endif
static obj_t THUNK____21___R4_PORTS_6_10_1_103 = BUNSPEC;
DEFINE_STRING( WRONG_NU_32___R4_PORTS_6_10_1_144, "Wrong number of arguments for", 29);
#if defined( __STDC__ )
extern obj_t __OUTPUT_PORT____R4_PORTS_6_10_1_74(obj_t, obj_t);
#else
extern obj_t __OUTPUT_PORT____R4_PORTS_6_10_1_74();
#endif
#if defined( __STDC__ )
extern obj_t __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182(obj_t);
#else
extern obj_t __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182();
#endif
static obj_t STRING___52___R4_PORTS_6_10_1_42 = BUNSPEC;
DEFINE_STRING( CALL_WIT_8___R4_PORTS_6_10_1_23, "call-with-input-file", 20);
static obj_t REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55(obj_t, obj_t);
#else
extern obj_t __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55();
#endif
static obj_t FILE_EXI_47___R4_PORTS_6_10_1_95 = BUNSPEC;
static obj_t CALL_WIT_2___R4_PORTS_6_10_1_39 = BUNSPEC;
DEFINE_STRING( CAN_T_OP_16___R4_PORTS_6_10_1_84, "can't open file", 15);
DEFINE_STRING( WITH_INP_25___R4_PORTS_6_10_1_126, "with-input-from-file", 20);
#if defined( __STDC__ )
extern obj_t __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93(obj_t, obj_t, obj_t);
#else
extern obj_t __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93();
#endif
#if defined( __STDC__ )
extern obj_t RENAME_FILE___R4_PORTS_6_10_1_209(obj_t, obj_t);
#else
extern obj_t RENAME_FILE___R4_PORTS_6_10_1_209();
#endif
static obj_t RENAME_F_51___R4_PORTS_6_10_1_246 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __FILE_EXISTS____R4_PORTS_6_10_1_169(obj_t, obj_t);
#else
extern obj_t __FILE_EXISTS____R4_PORTS_6_10_1_169();
#endif
static obj_t OPEN_INP_37___R4_PORTS_6_10_1_141 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117(obj_t);
#else
extern obj_t OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117();
#endif
#if defined( __STDC__ )
extern obj_t __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46(obj_t);
#else
extern obj_t __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46();
#endif
extern obj_t ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
static obj_t PROCEDUR_4___R4_PORTS_6_10_1_121 = BUNSPEC;
static obj_t STRING___50___R4_PORTS_6_10_1_238 = BUNSPEC;
static obj_t INPUT_PO_19___R4_PORTS_6_10_1_155 = BUNSPEC;
static obj_t PROC_____7___R4_PORTS_6_10_1_173 = BUNSPEC;
extern obj_t open_input_file();
obj_t OPEN_INPUT_STRING_ENV___R4_PORTS_6_10_1_79 = BUNSPEC;
obj_t FILE_EXISTS__ENV___R4_PORTS_6_10_1_20 = BUNSPEC;
DEFINE_STRING( CAN_T_OP_26___R4_PORTS_6_10_1_170, "can't open file", 15);
static obj_t STRING_41___R4_PORTS_6_10_1_136 = BUNSPEC;
static obj_t WITH_INP_18___R4_PORTS_6_10_1_243 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t BUFSIZ___40___R4_PORTS_6_10_1_123 = BUNSPEC;
static obj_t FLUSH_OU_45___R4_PORTS_6_10_1_183 = BUNSPEC;
obj_t WITH_INPUT_FROM_FILE_ENV___R4_PORTS_6_10_1_3 = BUNSPEC;
extern obj_t open_output_string();
extern obj_t CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160();
static obj_t ___R__POR_1___R4_PORTS_6_10_1_76 = BUNSPEC;
DEFINE_STRING( NOT_A_NU_44___R4_PORTS_6_10_1_169, "not a number", 12);
#if defined( __STDC__ )
extern obj_t __DELETE_FILE___R4_PORTS_6_10_1_49(obj_t, obj_t);
#else
extern obj_t __DELETE_FILE___R4_PORTS_6_10_1_49();
#endif
obj_t RENAME_FILE_ENV___R4_PORTS_6_10_1_177 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __INPUT_PORT____R4_PORTS_6_10_1_20(obj_t, obj_t);
#else
extern obj_t __INPUT_PORT____R4_PORTS_6_10_1_20();
#endif
static obj_t OLD_OUTP_34___R4_PORTS_6_10_1_228 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109(obj_t);
#else
extern obj_t ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109();
#endif
extern obj_t open_output_file();
#if defined( __STDC__ )
extern obj_t __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177(obj_t, obj_t);
#else
extern obj_t __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177();
#endif
obj_t CLOSE_INPUT_PORT_ENV___R4_PORTS_6_10_1_205 = BUNSPEC;
static obj_t PROC_____14___R4_PORTS_6_10_1_52 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48(obj_t);
#else
extern obj_t CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48();
#endif
static obj_t DELETE_F_49___R4_PORTS_6_10_1_67 = BUNSPEC;
obj_t CLOSE_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_53 = BUNSPEC;
static obj_t NAME_____48___R4_PORTS_6_10_1_235 = BUNSPEC;
DEFINE_STRING( CAN_T_OP_9___R4_PORTS_6_10_1_193, "can't open file", 15);
#if defined( __STDC__ )
extern obj_t __RENAME_FILE___R4_PORTS_6_10_1_104(obj_t, obj_t, obj_t);
#else
extern obj_t __RENAME_FILE___R4_PORTS_6_10_1_104();
#endif
obj_t CURRENT_ERROR_PORT_ENV___R4_PORTS_6_10_1_208 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43(obj_t);
#else
extern obj_t CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43();
#endif
static obj_t CALL_WIT_3___R4_PORTS_6_10_1_4 = BUNSPEC;
extern obj_t current_input_port;
extern obj_t CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45();
#if defined( __STDC__ )
extern obj_t __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251(obj_t, obj_t);
#else
extern obj_t __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251();
#endif
#if defined( __STDC__ )
extern obj_t CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154(obj_t, obj_t);
#else
extern obj_t CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154();
#endif
static obj_t WITH_INP_17___R4_PORTS_6_10_1_27 = BUNSPEC;
static obj_t PROC_____5___R4_PORTS_6_10_1_93 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200(obj_t);
#else
extern obj_t OPEN_INPUT_STRING___R4_PORTS_6_10_1_200();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
obj_t OPEN_INPUT_FILE_ENV___R4_PORTS_6_10_1_7 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107()
#else
___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231 ))
{
REQUIRE_INITIALISATION____R4_PORTS_6_10_1_231=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
CALL_WIT_10___R4_PORTS_6_10_1_204=c_string_to_symbol( "CALL-WITH-OUTPUT-FILE" );
THUNK____21___R4_PORTS_6_10_1_103=c_string_to_symbol( "THUNK@233" );
PROCEDUR_4___R4_PORTS_6_10_1_121=c_string_to_symbol( "PROCEDURE" );
THUNK____31___R4_PORTS_6_10_1_236=c_string_to_symbol( "THUNK@238" );
OLD_INPU_24___R4_PORTS_6_10_1_141=c_string_to_symbol( "OLD-INPUT-PORT@236" );
OUTPUT_P_29___R4_PORTS_6_10_1_77=c_string_to_symbol( "OUTPUT-PORT" );
PROC_____14___R4_PORTS_6_10_1_52=c_string_to_symbol( "PROC@268" );
STRING___42___R4_PORTS_6_10_1_241=c_string_to_symbol( "STRING@242" );
STRING___50___R4_PORTS_6_10_1_238=c_string_to_symbol( "STRING@252" );
WITH_INP_18___R4_PORTS_6_10_1_243=c_string_to_symbol( "WITH-INPUT-FROM-FILE@__R4_PORTS_6_10_1" );
INPUT_PO_19___R4_PORTS_6_10_1_155=c_string_to_symbol( "INPUT-PORT" );
PROC_____5___R4_PORTS_6_10_1_93=c_string_to_symbol( "PROC@223" );
FILE_EXI_47___R4_PORTS_6_10_1_95=c_string_to_symbol( "FILE-EXISTS?@__R4_PORTS_6_10_1" );
DELETE_F_49___R4_PORTS_6_10_1_67=c_string_to_symbol( "DELETE-FILE@__R4_PORTS_6_10_1" );
CALL_WIT_11___R4_PORTS_6_10_1_62=c_string_to_symbol( "CALL-WITH-OUTPUT-FILE@__R4_PORTS_6_10_1" );
WITH_OUT_28___R4_PORTS_6_10_1_16=c_string_to_symbol( "WITH-OUTPUT-TO-FILE@__R4_PORTS_6_10_1" );
NAME_____48___R4_PORTS_6_10_1_235=c_string_to_symbol( "NAME@250" );
PORT_____20___R4_PORTS_6_10_1_101=c_string_to_symbol( "PORT@234" );
OPEN_INP_38___R4_PORTS_6_10_1_67=c_string_to_symbol( "OPEN-INPUT-FILE@__R4_PORTS_6_10_1" );
PAIR_39___R4_PORTS_6_10_1_198=c_string_to_symbol( "PAIR" );
THUNK____33___R4_PORTS_6_10_1_200=c_string_to_symbol( "THUNK@274" );
PROC_____12___R4_PORTS_6_10_1_175=c_string_to_symbol( "PROC@227" );
WITH_INP_17___R4_PORTS_6_10_1_27=c_string_to_symbol( "WITH-INPUT-FROM-FILE" );
STRING___52___R4_PORTS_6_10_1_42=c_string_to_symbol( "STRING2@254" );
WITH_OUT_27___R4_PORTS_6_10_1_241=c_string_to_symbol( "WITH-OUTPUT-TO-FILE" );
___R__POR_1___R4_PORTS_6_10_1_76=c_string_to_symbol( "__R4_PORTS_6_10_1" );
THUNK____23___R4_PORTS_6_10_1_136=c_string_to_symbol( "THUNK@271" );
BUFSIZ___40___R4_PORTS_6_10_1_123=c_string_to_symbol( "BUFSIZ@243" );
STRING___53___R4_PORTS_6_10_1_32=c_string_to_symbol( "STRING1@253" );
FLUSH_OU_45___R4_PORTS_6_10_1_183=c_string_to_symbol( "FLUSH-OUTPUT-PORT@__R4_PORTS_6_10_1" );
RENAME_F_51___R4_PORTS_6_10_1_246=c_string_to_symbol( "RENAME-FILE@__R4_PORTS_6_10_1" );
PROC_____7___R4_PORTS_6_10_1_173=c_string_to_symbol( "PROC@265" );
PORT_____46___R4_PORTS_6_10_1_16=c_string_to_symbol( "PORT@249" );
CALL_WIT_2___R4_PORTS_6_10_1_39=c_string_to_symbol( "CALL-WITH-INPUT-FILE" );
OPEN_INP_37___R4_PORTS_6_10_1_141=c_string_to_symbol( "OPEN-INPUT-FILE" );
PORT_____30___R4_PORTS_6_10_1_187=c_string_to_symbol( "PORT@239" );
CALL_WIT_3___R4_PORTS_6_10_1_4=c_string_to_symbol( "CALL-WITH-INPUT-FILE@__R4_PORTS_6_10_1" );
OLD_OUTP_34___R4_PORTS_6_10_1_228=c_string_to_symbol( "OLD-OUTPUT-PORT@241" );
STRING_41___R4_PORTS_6_10_1_136=c_string_to_symbol( "STRING" );
{
___R4_PORTS_6_10_1_INITIALISATION_ENV___R4_PORTS_6_10_1_128=make_fx_procedure( ____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109, 0, 0 );
CALL_WITH_INPUT_FILE_ENV___R4_PORTS_6_10_1_134=make_fx_procedure( __CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4, 2, 0 );
CALL_WITH_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_71=make_fx_procedure( __CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93, 2, 0 );
INPUT_PORT__ENV___R4_PORTS_6_10_1_175=make_fx_procedure( __INPUT_PORT____R4_PORTS_6_10_1_20, 1, 0 );
OUTPUT_PORT__ENV___R4_PORTS_6_10_1_114=make_fx_procedure( __OUTPUT_PORT____R4_PORTS_6_10_1_74, 1, 0 );
CURRENT_INPUT_PORT_ENV___R4_PORTS_6_10_1_243=make_fx_procedure( __CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7, 0, 0 );
CURRENT_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_64=make_fx_procedure( __CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182, 0, 0 );
CURRENT_ERROR_PORT_ENV___R4_PORTS_6_10_1_208=make_fx_procedure( __CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46, 0, 0 );
WITH_INPUT_FROM_FILE_ENV___R4_PORTS_6_10_1_3=make_fx_procedure( __WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83, 2, 0 );
WITH_OUTPUT_TO_FILE_ENV___R4_PORTS_6_10_1_70=make_fx_procedure( __WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109, 2, 0 );
OPEN_INPUT_FILE_ENV___R4_PORTS_6_10_1_7=make_va_procedure( __OPEN_INPUT_FILE___R4_PORTS_6_10_1_24, -2, 0 );
OPEN_INPUT_STRING_ENV___R4_PORTS_6_10_1_79=make_fx_procedure( __OPEN_INPUT_STRING___R4_PORTS_6_10_1_168, 1, 0 );
OPEN_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_50=make_fx_procedure( __OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55, 1, 0 );
OPEN_OUTPUT_STRING_ENV___R4_PORTS_6_10_1_33=make_fx_procedure( __OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27, 0, 0 );
CLOSE_INPUT_PORT_ENV___R4_PORTS_6_10_1_205=make_fx_procedure( __CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251, 1, 0 );
CLOSE_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_53=make_fx_procedure( __CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215, 1, 0 );
FLUSH_OUTPUT_PORT_ENV___R4_PORTS_6_10_1_156=make_fx_procedure( __FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150, 1, 0 );
FILE_EXISTS__ENV___R4_PORTS_6_10_1_20=make_fx_procedure( __FILE_EXISTS____R4_PORTS_6_10_1_169, 1, 0 );
APPEND_OUTPUT_FILE_ENV___R4_PORTS_6_10_1_201=make_fx_procedure( __APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177, 1, 0 );
DELETE_FILE_ENV___R4_PORTS_6_10_1_93=make_fx_procedure( __DELETE_FILE___R4_PORTS_6_10_1_49, 1, 0 );
RENAME_FILE_ENV___R4_PORTS_6_10_1_177=make_fx_procedure( __RENAME_FILE___R4_PORTS_6_10_1_104, 2, 0 );
{
{obj_t STRING_CAST_264_161;
STRING_CAST_264_161=BREF( &BIGLOO___0___R4_PORTS_6_10_1_164);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__POR_1___R4_PORTS_6_10_1_76, STRING_CAST_264_161, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109(obj_t ENV_299_81)
#else
____R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_109( ENV_299_81 )
obj_t ENV_299_81;
#endif
{

return ___R4_PORTS_6_10_1_INITIALISATION___R4_PORTS_6_10_1_107();
}

obj_t
#if defined( __STDC__ )
CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174(obj_t STRING_222_218,obj_t PROC_223_224)
#else
CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174( STRING_222_218, PROC_223_224 )
obj_t STRING_222_218, PROC_223_224;
#endif
{

{
PUSH_LAMBDA_TRACE( CALL_WIT_2___R4_PORTS_6_10_1_39 );
{obj_t AUX_310_97;
{obj_t PORT_224_166;
PORT_224_166=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_222_218, BNIL );if( INPUT_PORTP( PORT_224_166 ))
{obj_t RES_225_134;
{obj_t PROC_265_180;
if( PROCEDUREP( PROC_223_224 ))
PROC_265_180=PROC_223_224;else
FAILURE( CALL_WIT_3___R4_PORTS_6_10_1_4, TYPE_ERROR___ERROR_146( PROCEDUR_4___R4_PORTS_6_10_1_121, PROC_____5___R4_PORTS_6_10_1_93 ), PROC_223_224 );if( PROCEDURE_CORRECT_ARITYP( PROC_265_180, 1 ))
RES_225_134=PROCEDURE_ENTRY( PROC_265_180 )( PROC_265_180, PORT_224_166, BEOA );else
FAILURE( CALL_WIT_3___R4_PORTS_6_10_1_4, BREF( &WRONG_NU_6___R4_PORTS_6_10_1_162), PROC_____7___R4_PORTS_6_10_1_173 );}{
close_input_port( PORT_224_166 );
AUX_310_97=RES_225_134;
}}else
FAILURE( BREF( &CALL_WIT_8___R4_PORTS_6_10_1_23), BREF( &CAN_T_OP_9___R4_PORTS_6_10_1_193), STRING_222_218 );}return POP_LAMBDA_TRACE( AUX_310_97 );}
}
}

obj_t
#if defined( __STDC__ )
__CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4(obj_t ENV_298_20,obj_t STRING_222_218,obj_t PROC_223_224)
#else
__CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_4( ENV_298_20, STRING_222_218, PROC_223_224 )
obj_t ENV_298_20, STRING_222_218, PROC_223_224;
#endif
{

return CALL_WITH_INPUT_FILE___R4_PORTS_6_10_1_174( STRING_222_218, PROC_223_224 );
}

obj_t
#if defined( __STDC__ )
CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154(obj_t STRING_226_106,obj_t PROC_227_196)
#else
CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154( STRING_226_106, PROC_227_196 )
obj_t STRING_226_106, PROC_227_196;
#endif
{

{
PUSH_LAMBDA_TRACE( CALL_WIT_10___R4_PORTS_6_10_1_204 );
{obj_t AUX_309_38;
{obj_t PORT_228_4;
PORT_228_4=open_output_file( STRING_226_106 );if( OUTPUT_PORTP( PORT_228_4 ))
{obj_t RES_229_122;
{obj_t PROC_268_230;
if( PROCEDUREP( PROC_227_196 ))
PROC_268_230=PROC_227_196;else
FAILURE( CALL_WIT_11___R4_PORTS_6_10_1_62, TYPE_ERROR___ERROR_146( PROCEDUR_4___R4_PORTS_6_10_1_121, PROC_____12___R4_PORTS_6_10_1_175 ), PROC_227_196 );if( PROCEDURE_CORRECT_ARITYP( PROC_268_230, 1 ))
RES_229_122=PROCEDURE_ENTRY( PROC_268_230 )( PROC_268_230, PORT_228_4, BEOA );else
FAILURE( CALL_WIT_11___R4_PORTS_6_10_1_62, BREF( &WRONG_NU_13___R4_PORTS_6_10_1_247), PROC_____14___R4_PORTS_6_10_1_52 );}{
close_output_port( PORT_228_4 );
AUX_309_38=RES_229_122;
}}else
FAILURE( BREF( &CALL_WIT_15___R4_PORTS_6_10_1_232), BREF( &CAN_T_OP_16___R4_PORTS_6_10_1_84), STRING_226_106 );}return POP_LAMBDA_TRACE( AUX_309_38 );}
}
}

obj_t
#if defined( __STDC__ )
__CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93(obj_t ENV_297_21,obj_t STRING_226_106,obj_t PROC_227_196)
#else
__CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_93( ENV_297_21, STRING_226_106, PROC_227_196 )
obj_t ENV_297_21, STRING_226_106, PROC_227_196;
#endif
{

return CALL_WITH_OUTPUT_FILE___R4_PORTS_6_10_1_154( STRING_226_106, PROC_227_196 );
}

obj_t
#if defined( __STDC__ )
INPUT_PORT____R4_PORTS_6_10_1_237(obj_t OBJ_230_67)
#else
INPUT_PORT____R4_PORTS_6_10_1_237( OBJ_230_67 )
obj_t OBJ_230_67;
#endif
{

{bool_t AUX_308_44;
AUX_308_44=INPUT_PORTP( OBJ_230_67 );return CBOOL_TO_BBOOL( AUX_308_44 );}
}

obj_t
#if defined( __STDC__ )
__INPUT_PORT____R4_PORTS_6_10_1_20(obj_t ENV_296_98,obj_t OBJ_230_67)
#else
__INPUT_PORT____R4_PORTS_6_10_1_20( ENV_296_98, OBJ_230_67 )
obj_t ENV_296_98, OBJ_230_67;
#endif
{

return INPUT_PORT____R4_PORTS_6_10_1_237( OBJ_230_67 );
}

obj_t
#if defined( __STDC__ )
OUTPUT_PORT____R4_PORTS_6_10_1_115(obj_t OBJ_231_186)
#else
OUTPUT_PORT____R4_PORTS_6_10_1_115( OBJ_231_186 )
obj_t OBJ_231_186;
#endif
{

{bool_t AUX_307_184;
AUX_307_184=OUTPUT_PORTP( OBJ_231_186 );return CBOOL_TO_BBOOL( AUX_307_184 );}
}

obj_t
#if defined( __STDC__ )
__OUTPUT_PORT____R4_PORTS_6_10_1_74(obj_t ENV_295_113,obj_t OBJ_231_186)
#else
__OUTPUT_PORT____R4_PORTS_6_10_1_74( ENV_295_113, OBJ_231_186 )
obj_t ENV_295_113, OBJ_231_186;
#endif
{

return OUTPUT_PORT____R4_PORTS_6_10_1_115( OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160()
#else
CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160()
#endif
{

return current_input_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7(obj_t ENV_294_112)
#else
__CURRENT_INPUT_PORT___R4_PORTS_6_10_1_7( ENV_294_112 )
obj_t ENV_294_112;
#endif
{

return CURRENT_INPUT_PORT___R4_PORTS_6_10_1_160();
}

obj_t
#if defined( __STDC__ )
CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45()
#else
CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45()
#endif
{

return current_output_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182(obj_t ENV_293_251)
#else
__CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_182( ENV_293_251 )
obj_t ENV_293_251;
#endif
{

return CURRENT_OUTPUT_PORT___R4_PORTS_6_10_1_45();
}

obj_t
#if defined( __STDC__ )
CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130()
#else
CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130()
#endif
{

return current_error_port;
}

obj_t
#if defined( __STDC__ )
__CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46(obj_t ENV_292_151)
#else
__CURRENT_ERROR_PORT___R4_PORTS_6_10_1_46( ENV_292_151 )
obj_t ENV_292_151;
#endif
{

return CURRENT_ERROR_PORT___R4_PORTS_6_10_1_130();
}

obj_t
#if defined( __STDC__ )
WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93(obj_t STRING_232_18,obj_t THUNK_233_85)
#else
WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93( STRING_232_18, THUNK_233_85 )
obj_t STRING_232_18, THUNK_233_85;
#endif
{

{
PUSH_LAMBDA_TRACE( WITH_INP_17___R4_PORTS_6_10_1_27 );
{obj_t AUX_306_146;
{obj_t PORT_234_27;
PORT_234_27=OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_232_18, BNIL );if( INPUT_PORTP( PORT_234_27 ))
{obj_t OLD_INPUT_PORT_236_177, RESULT_235_189;
OLD_INPUT_PORT_236_177=current_input_port;RESULT_235_189=BNIL;{
if( INPUT_PORTP( PORT_234_27 ))
current_input_port=PORT_234_27;else
FAILURE( WITH_INP_18___R4_PORTS_6_10_1_243, TYPE_ERROR___ERROR_146( INPUT_PO_19___R4_PORTS_6_10_1_155, PORT_____20___R4_PORTS_6_10_1_101 ), PORT_234_27 );
{obj_t THUNK_271_91;
if( PROCEDUREP( THUNK_233_85 ))
THUNK_271_91=THUNK_233_85;else
FAILURE( WITH_INP_18___R4_PORTS_6_10_1_243, TYPE_ERROR___ERROR_146( PROCEDUR_4___R4_PORTS_6_10_1_121, THUNK____21___R4_PORTS_6_10_1_103 ), THUNK_233_85 );if( PROCEDURE_CORRECT_ARITYP( THUNK_271_91, 0 ))
RESULT_235_189=PROCEDURE_ENTRY( THUNK_271_91 )( THUNK_271_91, BEOA );else
FAILURE( WITH_INP_18___R4_PORTS_6_10_1_243, BREF( &WRONG_NU_22___R4_PORTS_6_10_1_215), THUNK____23___R4_PORTS_6_10_1_136 );}
close_input_port( PORT_234_27 );
if( INPUT_PORTP( OLD_INPUT_PORT_236_177 ))
current_input_port=OLD_INPUT_PORT_236_177;else
FAILURE( WITH_INP_18___R4_PORTS_6_10_1_243, TYPE_ERROR___ERROR_146( INPUT_PO_19___R4_PORTS_6_10_1_155, OLD_INPU_24___R4_PORTS_6_10_1_141 ), OLD_INPUT_PORT_236_177 );
AUX_306_146=RESULT_235_189;
}}else
FAILURE( BREF( &WITH_INP_25___R4_PORTS_6_10_1_126), BREF( &CAN_T_OP_26___R4_PORTS_6_10_1_170), STRING_232_18 );}return POP_LAMBDA_TRACE( AUX_306_146 );}
}
}

obj_t
#if defined( __STDC__ )
__WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83(obj_t ENV_291_225,obj_t STRING_232_18,obj_t THUNK_233_85)
#else
__WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_83( ENV_291_225, STRING_232_18, THUNK_233_85 )
obj_t ENV_291_225, STRING_232_18, THUNK_233_85;
#endif
{

return WITH_INPUT_FROM_FILE___R4_PORTS_6_10_1_93( STRING_232_18, THUNK_233_85 );
}

obj_t
#if defined( __STDC__ )
WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194(obj_t STRING_237_32,obj_t THUNK_238_95)
#else
WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194( STRING_237_32, THUNK_238_95 )
obj_t STRING_237_32, THUNK_238_95;
#endif
{

{
PUSH_LAMBDA_TRACE( WITH_OUT_27___R4_PORTS_6_10_1_241 );
{obj_t AUX_305_117;
{obj_t PORT_239_14;
PORT_239_14=open_output_file( STRING_237_32 );if( OUTPUT_PORTP( PORT_239_14 ))
{obj_t OLD_OUTPUT_PORT_241_26, RESULT_240_212;
OLD_OUTPUT_PORT_241_26=current_output_port;RESULT_240_212=BNIL;{
if( OUTPUT_PORTP( PORT_239_14 ))
current_output_port=PORT_239_14;else
FAILURE( WITH_OUT_28___R4_PORTS_6_10_1_16, TYPE_ERROR___ERROR_146( OUTPUT_P_29___R4_PORTS_6_10_1_77, PORT_____30___R4_PORTS_6_10_1_187 ), PORT_239_14 );
{obj_t THUNK_274_20;
if( PROCEDUREP( THUNK_238_95 ))
THUNK_274_20=THUNK_238_95;else
FAILURE( WITH_OUT_28___R4_PORTS_6_10_1_16, TYPE_ERROR___ERROR_146( PROCEDUR_4___R4_PORTS_6_10_1_121, THUNK____31___R4_PORTS_6_10_1_236 ), THUNK_238_95 );if( PROCEDURE_CORRECT_ARITYP( THUNK_274_20, 0 ))
RESULT_240_212=PROCEDURE_ENTRY( THUNK_274_20 )( THUNK_274_20, BEOA );else
FAILURE( WITH_OUT_28___R4_PORTS_6_10_1_16, BREF( &WRONG_NU_32___R4_PORTS_6_10_1_144), THUNK____33___R4_PORTS_6_10_1_200 );}
close_output_port( PORT_239_14 );
if( OUTPUT_PORTP( OLD_OUTPUT_PORT_241_26 ))
current_output_port=OLD_OUTPUT_PORT_241_26;else
FAILURE( WITH_OUT_28___R4_PORTS_6_10_1_16, TYPE_ERROR___ERROR_146( OUTPUT_P_29___R4_PORTS_6_10_1_77, OLD_OUTP_34___R4_PORTS_6_10_1_228 ), OLD_OUTPUT_PORT_241_26 );
AUX_305_117=RESULT_240_212;
}}else
FAILURE( BREF( &WITH_OUT_35___R4_PORTS_6_10_1_66), BREF( &CAN_T_OP_36___R4_PORTS_6_10_1_107), STRING_237_32 );}return POP_LAMBDA_TRACE( AUX_305_117 );}
}
}

obj_t
#if defined( __STDC__ )
__WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109(obj_t ENV_290_207,obj_t STRING_237_32,obj_t THUNK_238_95)
#else
__WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_109( ENV_290_207, STRING_237_32, THUNK_238_95 )
obj_t ENV_290_207, STRING_237_32, THUNK_238_95;
#endif
{

return WITH_OUTPUT_TO_FILE___R4_PORTS_6_10_1_194( STRING_237_32, THUNK_238_95 );
}

obj_t
#if defined( __STDC__ )
OPEN_INPUT_FILE___R4_PORTS_6_10_1_76(obj_t STRING_242_242,obj_t BUFSIZ_243_201)
#else
OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_242_242, BUFSIZ_243_201 )
obj_t STRING_242_242, BUFSIZ_243_201;
#endif
{

{
PUSH_LAMBDA_TRACE( OPEN_INP_37___R4_PORTS_6_10_1_141 );
{obj_t AUX_304_39;
{obj_t SIZE_244_131;
if( NULLP( BUFSIZ_243_201 ))
SIZE_244_131=default_io_bufsiz;else
if( PAIRP( BUFSIZ_243_201 ))
SIZE_244_131=CAR( BUFSIZ_243_201 );else
FAILURE( OPEN_INP_38___R4_PORTS_6_10_1_67, TYPE_ERROR___ERROR_146( PAIR_39___R4_PORTS_6_10_1_198, BUFSIZ___40___R4_PORTS_6_10_1_123 ), BUFSIZ_243_201 );if( INTEGERP( SIZE_244_131 ))
if( STRINGP( STRING_242_242 ))
AUX_304_39=open_input_file( STRING_242_242, SIZE_244_131 );else
FAILURE( OPEN_INP_38___R4_PORTS_6_10_1_67, TYPE_ERROR___ERROR_146( STRING_41___R4_PORTS_6_10_1_136, STRING___42___R4_PORTS_6_10_1_241 ), STRING_242_242 );else
FAILURE( BREF( &OPEN_INP_43___R4_PORTS_6_10_1_32), BREF( &NOT_A_NU_44___R4_PORTS_6_10_1_169), SIZE_244_131 );}return POP_LAMBDA_TRACE( AUX_304_39 );}
}
}

obj_t
#if defined( __STDC__ )
__OPEN_INPUT_FILE___R4_PORTS_6_10_1_24(obj_t ENV_289_107,obj_t STRING_242_242,obj_t BUFSIZ_243_201)
#else
__OPEN_INPUT_FILE___R4_PORTS_6_10_1_24( ENV_289_107, STRING_242_242, BUFSIZ_243_201 )
obj_t ENV_289_107, STRING_242_242, BUFSIZ_243_201;
#endif
{

return OPEN_INPUT_FILE___R4_PORTS_6_10_1_76( STRING_242_242, BUFSIZ_243_201 );
}

obj_t
#if defined( __STDC__ )
OPEN_INPUT_STRING___R4_PORTS_6_10_1_200(obj_t STRING_245_5)
#else
OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( STRING_245_5 )
obj_t STRING_245_5;
#endif
{

return open_input_string( STRING_245_5 );
}

obj_t
#if defined( __STDC__ )
__OPEN_INPUT_STRING___R4_PORTS_6_10_1_168(obj_t ENV_288_177,obj_t STRING_245_5)
#else
__OPEN_INPUT_STRING___R4_PORTS_6_10_1_168( ENV_288_177, STRING_245_5 )
obj_t ENV_288_177, STRING_245_5;
#endif
{

return OPEN_INPUT_STRING___R4_PORTS_6_10_1_200( STRING_245_5 );
}

obj_t
#if defined( __STDC__ )
OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117(obj_t STRING_246_11)
#else
OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117( STRING_246_11 )
obj_t STRING_246_11;
#endif
{

return open_output_file( STRING_246_11 );
}

obj_t
#if defined( __STDC__ )
__OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55(obj_t ENV_287_40,obj_t STRING_246_11)
#else
__OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_55( ENV_287_40, STRING_246_11 )
obj_t ENV_287_40, STRING_246_11;
#endif
{

return OPEN_OUTPUT_FILE___R4_PORTS_6_10_1_117( STRING_246_11 );
}

obj_t
#if defined( __STDC__ )
OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240()
#else
OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240()
#endif
{

return open_output_string();
}

obj_t
#if defined( __STDC__ )
__OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27(obj_t ENV_286_188)
#else
__OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_27( ENV_286_188 )
obj_t ENV_286_188;
#endif
{

return OPEN_OUTPUT_STRING___R4_PORTS_6_10_1_240();
}

obj_t
#if defined( __STDC__ )
CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48(obj_t PORT_247_222)
#else
CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48( PORT_247_222 )
obj_t PORT_247_222;
#endif
{

return close_input_port( PORT_247_222 );
}

obj_t
#if defined( __STDC__ )
__CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251(obj_t ENV_285_65,obj_t PORT_247_222)
#else
__CLOSE_INPUT_PORT___R4_PORTS_6_10_1_251( ENV_285_65, PORT_247_222 )
obj_t ENV_285_65, PORT_247_222;
#endif
{

return CLOSE_INPUT_PORT___R4_PORTS_6_10_1_48( PORT_247_222 );
}

obj_t
#if defined( __STDC__ )
CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43(obj_t PORT_248_76)
#else
CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43( PORT_248_76 )
obj_t PORT_248_76;
#endif
{

return close_output_port( PORT_248_76 );
}

obj_t
#if defined( __STDC__ )
__CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215(obj_t ENV_284_36,obj_t PORT_248_76)
#else
__CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_215( ENV_284_36, PORT_248_76 )
obj_t ENV_284_36, PORT_248_76;
#endif
{

return CLOSE_OUTPUT_PORT___R4_PORTS_6_10_1_43( PORT_248_76 );
}

obj_t
#if defined( __STDC__ )
FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126(obj_t PORT_249_203)
#else
FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126( PORT_249_203 )
obj_t PORT_249_203;
#endif
{

if( OUTPUT_PORTP( PORT_249_203 ))
return FLUSH_OUTPUT_PORT( PORT_249_203 );else
FAILURE( FLUSH_OU_45___R4_PORTS_6_10_1_183, TYPE_ERROR___ERROR_146( OUTPUT_P_29___R4_PORTS_6_10_1_77, PORT_____46___R4_PORTS_6_10_1_16 ), PORT_249_203 );
}

obj_t
#if defined( __STDC__ )
__FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150(obj_t ENV_283_7,obj_t PORT_249_203)
#else
__FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_150( ENV_283_7, PORT_249_203 )
obj_t ENV_283_7, PORT_249_203;
#endif
{

return FLUSH_OUTPUT_PORT___R4_PORTS_6_10_1_126( PORT_249_203 );
}

obj_t
#if defined( __STDC__ )
FILE_EXISTS____R4_PORTS_6_10_1_122(obj_t NAME_250_235)
#else
FILE_EXISTS____R4_PORTS_6_10_1_122( NAME_250_235 )
obj_t NAME_250_235;
#endif
{

if( STRINGP( NAME_250_235 ))
{bool_t AUX_303_69;
AUX_303_69=fexists( BSTRING_TO_CSTRING( NAME_250_235 ) );return CBOOL_TO_BBOOL( AUX_303_69 );}else
FAILURE( FILE_EXI_47___R4_PORTS_6_10_1_95, TYPE_ERROR___ERROR_146( STRING_41___R4_PORTS_6_10_1_136, NAME_____48___R4_PORTS_6_10_1_235 ), NAME_250_235 );
}

obj_t
#if defined( __STDC__ )
__FILE_EXISTS____R4_PORTS_6_10_1_169(obj_t ENV_282_30,obj_t NAME_250_235)
#else
__FILE_EXISTS____R4_PORTS_6_10_1_169( ENV_282_30, NAME_250_235 )
obj_t ENV_282_30, NAME_250_235;
#endif
{

return FILE_EXISTS____R4_PORTS_6_10_1_122( NAME_250_235 );
}

obj_t
#if defined( __STDC__ )
APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152(obj_t STRING_251_64)
#else
APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152( STRING_251_64 )
obj_t STRING_251_64;
#endif
{

return append_output_file( STRING_251_64 );
}

obj_t
#if defined( __STDC__ )
__APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177(obj_t ENV_281_73,obj_t STRING_251_64)
#else
__APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_177( ENV_281_73, STRING_251_64 )
obj_t ENV_281_73, STRING_251_64;
#endif
{

return APPEND_OUTPUT_FILE___R4_PORTS_6_10_1_152( STRING_251_64 );
}

obj_t
#if defined( __STDC__ )
DELETE_FILE___R4_PORTS_6_10_1_147(obj_t STRING_252_77)
#else
DELETE_FILE___R4_PORTS_6_10_1_147( STRING_252_77 )
obj_t STRING_252_77;
#endif
{

if( STRINGP( STRING_252_77 ))
{bool_t AUX_302_37;
AUX_302_37=unlink( BSTRING_TO_CSTRING( STRING_252_77 ) );return CBOOL_TO_BBOOL( AUX_302_37 );}else
FAILURE( DELETE_F_49___R4_PORTS_6_10_1_67, TYPE_ERROR___ERROR_146( STRING_41___R4_PORTS_6_10_1_136, STRING___50___R4_PORTS_6_10_1_238 ), STRING_252_77 );
}

obj_t
#if defined( __STDC__ )
__DELETE_FILE___R4_PORTS_6_10_1_49(obj_t ENV_280_173,obj_t STRING_252_77)
#else
__DELETE_FILE___R4_PORTS_6_10_1_49( ENV_280_173, STRING_252_77 )
obj_t ENV_280_173, STRING_252_77;
#endif
{

return DELETE_FILE___R4_PORTS_6_10_1_147( STRING_252_77 );
}

obj_t
#if defined( __STDC__ )
RENAME_FILE___R4_PORTS_6_10_1_209(obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
RENAME_FILE___R4_PORTS_6_10_1_209( STRING1_253_70, STRING2_254_130 )
obj_t STRING1_253_70, STRING2_254_130;
#endif
{

{obj_t OBJ1_263_80;
if( STRINGP( STRING1_253_70 ))
if( STRINGP( STRING2_254_130 ))
{int AUX_301_23;
AUX_301_23=rename( BSTRING_TO_CSTRING( STRING1_253_70 ), BSTRING_TO_CSTRING( STRING2_254_130 ) );OBJ1_263_80=BINT( AUX_301_23 );}else
FAILURE( RENAME_F_51___R4_PORTS_6_10_1_246, TYPE_ERROR___ERROR_146( STRING_41___R4_PORTS_6_10_1_136, STRING___52___R4_PORTS_6_10_1_42 ), STRING2_254_130 );else
FAILURE( RENAME_F_51___R4_PORTS_6_10_1_246, TYPE_ERROR___ERROR_146( STRING_41___R4_PORTS_6_10_1_136, STRING___53___R4_PORTS_6_10_1_32 ), STRING1_253_70 );if( EQP( OBJ1_263_80, BINT( 0 ) ))
return BTRUE;else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__RENAME_FILE___R4_PORTS_6_10_1_104(obj_t ENV_279_90,obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
__RENAME_FILE___R4_PORTS_6_10_1_104( ENV_279_90, STRING1_253_70, STRING2_254_130 )
obj_t ENV_279_90, STRING1_253_70, STRING2_254_130;
#endif
{

return RENAME_FILE___R4_PORTS_6_10_1_209( STRING1_253_70, STRING2_254_130 );
}

