/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Ieee/vectors.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t VECTOR___16___R4_VECTORS_6_8_147 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR__LIST___R4_VECTORS_6_8_10(obj_t, obj_t);
#else
extern obj_t __VECTOR__LIST___R4_VECTORS_6_8_10();
#endif
obj_t VECTOR_TAG_ENV___R4_VECTORS_6_8_123 = BUNSPEC;
static obj_t LIST__VE_30___R4_VECTORS_6_8_130 = BUNSPEC;
static obj_t VECTOR___25___R4_VECTORS_6_8_150 = BUNSPEC;
obj_t VECTOR_SET_UR__ENV___R4_VECTORS_6_8_63 = BUNSPEC;
static obj_t VECTOR_T_37___R4_VECTORS_6_8_179 = BUNSPEC;
static obj_t K_____21___R4_VECTORS_6_8_203 = BUNSPEC;
obj_t ___R4_VECTORS_6_8_INITIALISATION_ENV___R4_VECTORS_6_8_15 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_VECTOR___R4_VECTORS_6_8_229(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_VECTOR___R4_VECTORS_6_8_229();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_TAG___R4_VECTORS_6_8_23(obj_t);
#else
extern obj_t VECTOR_TAG___R4_VECTORS_6_8_23();
#endif
obj_t VECTOR_REF_ENV___R4_VECTORS_6_8_14 = BUNSPEC;
static obj_t PAIR_5___R4_VECTORS_6_8_250 = BUNSPEC;
static obj_t FILL_____6___R4_VECTORS_6_8_188 = BUNSPEC;
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
extern obj_t fill_vector();
obj_t VECTOR__ENV___R4_VECTORS_6_8_148 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_SET____R4_VECTORS_6_8_123(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_SET____R4_VECTORS_6_8_123();
#endif
static obj_t ___R__VEC_1___R4_VECTORS_6_8_134 = BUNSPEC;
static obj_t NUMBER_3___R4_VECTORS_6_8_11 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
static obj_t VECTOR___38___R4_VECTORS_6_8_49 = BUNSPEC;
static obj_t VECTOR___11___R4_VECTORS_6_8_5 = BUNSPEC;
DEFINE_STRING( VECTOR_S_17___R4_VECTORS_6_8_128, "vector-set!", 11);
#if defined( __STDC__ )
extern obj_t ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131(obj_t);
#else
extern obj_t ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131();
#endif
DEFINE_STRING( INDEX_OU_18___R4_VECTORS_6_8_38, "index out of range", 18);
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t K_____14___R4_VECTORS_6_8_228 = BUNSPEC;
static obj_t LIST__VE_29___R4_VECTORS_6_8_190 = BUNSPEC;
static obj_t VECTOR_R_20___R4_VECTORS_6_8_134 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LIST__VECTOR___R4_VECTORS_6_8_201(obj_t, obj_t);
#else
extern obj_t __LIST__VECTOR___R4_VECTORS_6_8_201();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_SET____R4_VECTORS_6_8_35(obj_t, obj_t, obj_t);
#else
extern obj_t VECTOR_SET____R4_VECTORS_6_8_35();
#endif
extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t __VECTOR_REF_UR___R4_VECTORS_6_8_10(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_REF_UR___R4_VECTORS_6_8_10();
#endif
DEFINE_STRING( INDEX_OU_13___R4_VECTORS_6_8_87, "index out of range", 18);
static obj_t K_____24___R4_VECTORS_6_8_6 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_TAG_SET____R4_VECTORS_6_8_196(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_TAG_SET____R4_VECTORS_6_8_196();
#endif
static obj_t MAKE_VEC_2___R4_VECTORS_6_8_166 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_REF___R4_VECTORS_6_8_181(obj_t, obj_t);
#else
extern obj_t VECTOR_REF___R4_VECTORS_6_8_181();
#endif
DEFINE_STRING( BIGLOO___0___R4_VECTORS_6_8_228, "Bigloo (v1.7)", 13);
#if defined( __STDC__ )
extern obj_t VECTOR_FILL____R4_VECTORS_6_8_68(obj_t, obj_t);
#else
extern obj_t VECTOR_FILL____R4_VECTORS_6_8_68();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR___R4_VECTORS_6_8_2(obj_t, obj_t);
#else
extern obj_t __VECTOR___R4_VECTORS_6_8_2();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR____R4_VECTORS_6_8_123(obj_t);
#else
extern obj_t VECTOR____R4_VECTORS_6_8_123();
#endif
static obj_t VECTOR___28___R4_VECTORS_6_8_124 = BUNSPEC;
obj_t VECTOR_TAG_SET__ENV___R4_VECTORS_6_8_16 = BUNSPEC;
static obj_t VECTOR_L_7___R4_VECTORS_6_8_101 = BUNSPEC;
DEFINE_STRING( VECTOR_R_12___R4_VECTORS_6_8_10, "vector-ref", 10);
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t INT_____4___R4_VECTORS_6_8_125 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_VECTORS_6_8_140 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t LIST__VECTOR_ENV___R4_VECTORS_6_8_40 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_SET_UR____R4_VECTORS_6_8_86(obj_t, obj_t, obj_t);
#else
extern obj_t VECTOR_SET_UR____R4_VECTORS_6_8_86();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR____R4_VECTORS_6_8_229(obj_t, obj_t);
#else
extern obj_t __VECTOR____R4_VECTORS_6_8_229();
#endif
static obj_t K_____19___R4_VECTORS_6_8_94 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_REF_UR___R4_VECTORS_6_8_188(obj_t, obj_t);
#else
extern obj_t VECTOR_REF_UR___R4_VECTORS_6_8_188();
#endif
static obj_t VECTOR___22___R4_VECTORS_6_8_108 = BUNSPEC;
static obj_t VECTOR___34___R4_VECTORS_6_8_233 = BUNSPEC;
extern obj_t make_vector();
obj_t VECTOR_LENGTH_ENV___R4_VECTORS_6_8_217 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_LENGTH___R4_VECTORS_6_8_252(obj_t, obj_t);
#else
extern obj_t __VECTOR_LENGTH___R4_VECTORS_6_8_252();
#endif
static obj_t VECTOR_F_33___R4_VECTORS_6_8_200 = BUNSPEC;
static obj_t VECTOR_S_15___R4_VECTORS_6_8_1 = BUNSPEC;
obj_t VECTOR_ENV___R4_VECTORS_6_8_43 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_TAG___R4_VECTORS_6_8_156(obj_t, obj_t);
#else
extern obj_t __VECTOR_TAG___R4_VECTORS_6_8_156();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45(obj_t);
#else
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR_FILL____R4_VECTORS_6_8_132(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_FILL____R4_VECTORS_6_8_132();
#endif
#if defined( __STDC__ )
extern obj_t __VECTOR_SET_UR____R4_VECTORS_6_8_35(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_SET_UR____R4_VECTORS_6_8_35();
#endif
static obj_t VECTOR_R_10___R4_VECTORS_6_8_196 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t VECTOR___R4_VECTORS_6_8_80(obj_t);
#else
extern obj_t VECTOR___R4_VECTORS_6_8_80();
#endif
static obj_t VECTOR___36___R4_VECTORS_6_8_184 = BUNSPEC;
static obj_t VECTOR_T_35___R4_VECTORS_6_8_98 = BUNSPEC;
obj_t VECTOR_SET__ENV___R4_VECTORS_6_8_11 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LIST__VECTOR___R4_VECTORS_6_8_97(obj_t);
#else
extern obj_t LIST__VECTOR___R4_VECTORS_6_8_97();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
static obj_t VECTOR___9___R4_VECTORS_6_8_15 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t VECTOR_LENGTH___R4_VECTORS_6_8_55(obj_t);
#else
extern obj_t VECTOR_LENGTH___R4_VECTORS_6_8_55();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_VECTOR___R4_VECTORS_6_8_22(obj_t, obj_t);
#else
extern obj_t MAKE_VECTOR___R4_VECTORS_6_8_22();
#endif
obj_t MAKE_VECTOR_ENV___R4_VECTORS_6_8_149 = BUNSPEC;
static obj_t VECTOR_8___R4_VECTORS_6_8_88 = BUNSPEC;
static obj_t VECTOR_F_32___R4_VECTORS_6_8_70 = BUNSPEC;
obj_t VECTOR_FILL__ENV___R4_VECTORS_6_8_9 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __VECTOR_REF___R4_VECTORS_6_8_148(obj_t, obj_t, obj_t);
#else
extern obj_t __VECTOR_REF___R4_VECTORS_6_8_148();
#endif
#if defined( __STDC__ )
extern obj_t VECTOR_TAG_SET____R4_VECTORS_6_8_87(obj_t, obj_t);
#else
extern obj_t VECTOR_TAG_SET____R4_VECTORS_6_8_87();
#endif
static obj_t VECTOR___27___R4_VECTORS_6_8_205 = BUNSPEC;
static obj_t L_____31___R4_VECTORS_6_8_233 = BUNSPEC;
static obj_t VECTOR___26___R4_VECTORS_6_8_2 = BUNSPEC;
static obj_t VECTOR_S_23___R4_VECTORS_6_8_189 = BUNSPEC;
obj_t VECTOR__LIST_ENV___R4_VECTORS_6_8_61 = BUNSPEC;
obj_t VECTOR_REF_UR_ENV___R4_VECTORS_6_8_246 = BUNSPEC;
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();


obj_t
#if defined( __STDC__ )
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215()
#else
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_VECTORS_6_8_140 ))
{
REQUIRE_INITIALISATION____R4_VECTORS_6_8_140=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___SYSTEM_INITIALISATION___SYSTEM_109();
VECTOR___34___R4_VECTORS_6_8_233=c_string_to_symbol( "VECTOR@248" );
MAKE_VEC_2___R4_VECTORS_6_8_166=c_string_to_symbol( "MAKE-VECTOR@__R4_VECTORS_6_8" );
VECTOR___25___R4_VECTORS_6_8_150=c_string_to_symbol( "VECTOR@234" );
VECTOR_S_15___R4_VECTORS_6_8_1=c_string_to_symbol( "VECTOR-SET!@__R4_VECTORS_6_8" );
LIST__VE_29___R4_VECTORS_6_8_190=c_string_to_symbol( "LIST->VECTOR" );
___R__VEC_1___R4_VECTORS_6_8_134=c_string_to_symbol( "__R4_VECTORS_6_8" );
FILL_____6___R4_VECTORS_6_8_188=c_string_to_symbol( "FILL@224" );
VECTOR_8___R4_VECTORS_6_8_88=c_string_to_symbol( "VECTOR" );
VECTOR___16___R4_VECTORS_6_8_147=c_string_to_symbol( "VECTOR@229" );
VECTOR___26___R4_VECTORS_6_8_2=c_string_to_symbol( "VECTOR->LIST" );
VECTOR___28___R4_VECTORS_6_8_124=c_string_to_symbol( "VECTOR@237" );
VECTOR_T_35___R4_VECTORS_6_8_98=c_string_to_symbol( "VECTOR-TAG@__R4_VECTORS_6_8" );
VECTOR_S_23___R4_VECTORS_6_8_189=c_string_to_symbol( "VECTOR-SET-UR!@__R4_VECTORS_6_8" );
VECTOR_R_20___R4_VECTORS_6_8_134=c_string_to_symbol( "VECTOR-REF-UR@__R4_VECTORS_6_8" );
VECTOR___38___R4_VECTORS_6_8_49=c_string_to_symbol( "VECTOR@251" );
PAIR_5___R4_VECTORS_6_8_250=c_string_to_symbol( "PAIR" );
VECTOR___22___R4_VECTORS_6_8_108=c_string_to_symbol( "VECTOR@232" );
VECTOR_F_32___R4_VECTORS_6_8_70=c_string_to_symbol( "VECTOR-FILL!" );
VECTOR_R_10___R4_VECTORS_6_8_196=c_string_to_symbol( "VECTOR-REF@__R4_VECTORS_6_8" );
VECTOR_L_7___R4_VECTORS_6_8_101=c_string_to_symbol( "VECTOR-LENGTH@__R4_VECTORS_6_8" );
K_____24___R4_VECTORS_6_8_6=c_string_to_symbol( "K@235" );
L_____31___R4_VECTORS_6_8_233=c_string_to_symbol( "L@247" );
VECTOR___36___R4_VECTORS_6_8_184=c_string_to_symbol( "VECTOR@250" );
VECTOR___27___R4_VECTORS_6_8_205=c_string_to_symbol( "VECTOR->LIST@__R4_VECTORS_6_8" );
VECTOR___9___R4_VECTORS_6_8_15=c_string_to_symbol( "VECTOR@226" );
INT_____4___R4_VECTORS_6_8_125=c_string_to_symbol( "INT@223" );
VECTOR___11___R4_VECTORS_6_8_5=c_string_to_symbol( "VECTOR@227" );
NUMBER_3___R4_VECTORS_6_8_11=c_string_to_symbol( "NUMBER" );
LIST__VE_30___R4_VECTORS_6_8_130=c_string_to_symbol( "LIST->VECTOR@__R4_VECTORS_6_8" );
K_____14___R4_VECTORS_6_8_228=c_string_to_symbol( "K@228" );
VECTOR_F_33___R4_VECTORS_6_8_200=c_string_to_symbol( "VECTOR-FILL!@__R4_VECTORS_6_8" );
VECTOR_T_37___R4_VECTORS_6_8_179=c_string_to_symbol( "VECTOR-TAG-SET!@__R4_VECTORS_6_8" );
K_____19___R4_VECTORS_6_8_94=c_string_to_symbol( "K@230" );
K_____21___R4_VECTORS_6_8_203=c_string_to_symbol( "K@233" );
{
___R4_VECTORS_6_8_INITIALISATION_ENV___R4_VECTORS_6_8_15=make_fx_procedure( ____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131, 0, 0 );
VECTOR__ENV___R4_VECTORS_6_8_148=make_fx_procedure( __VECTOR____R4_VECTORS_6_8_229, 1, 0 );
MAKE_VECTOR_ENV___R4_VECTORS_6_8_149=make_va_procedure( __MAKE_VECTOR___R4_VECTORS_6_8_229, -2, 0 );
VECTOR_ENV___R4_VECTORS_6_8_43=make_va_procedure( __VECTOR___R4_VECTORS_6_8_2, -1, 0 );
VECTOR_LENGTH_ENV___R4_VECTORS_6_8_217=make_fx_procedure( __VECTOR_LENGTH___R4_VECTORS_6_8_252, 1, 0 );
VECTOR_REF_ENV___R4_VECTORS_6_8_14=make_fx_procedure( __VECTOR_REF___R4_VECTORS_6_8_148, 2, 0 );
VECTOR_SET__ENV___R4_VECTORS_6_8_11=make_fx_procedure( __VECTOR_SET____R4_VECTORS_6_8_123, 3, 0 );
VECTOR_REF_UR_ENV___R4_VECTORS_6_8_246=make_fx_procedure( __VECTOR_REF_UR___R4_VECTORS_6_8_10, 2, 0 );
VECTOR_SET_UR__ENV___R4_VECTORS_6_8_63=make_fx_procedure( __VECTOR_SET_UR____R4_VECTORS_6_8_35, 3, 0 );
VECTOR__LIST_ENV___R4_VECTORS_6_8_61=make_fx_procedure( __VECTOR__LIST___R4_VECTORS_6_8_10, 1, 0 );
LIST__VECTOR_ENV___R4_VECTORS_6_8_40=make_fx_procedure( __LIST__VECTOR___R4_VECTORS_6_8_201, 1, 0 );
VECTOR_FILL__ENV___R4_VECTORS_6_8_9=make_fx_procedure( __VECTOR_FILL____R4_VECTORS_6_8_132, 2, 0 );
VECTOR_TAG_ENV___R4_VECTORS_6_8_123=make_fx_procedure( __VECTOR_TAG___R4_VECTORS_6_8_156, 1, 0 );
VECTOR_TAG_SET__ENV___R4_VECTORS_6_8_16=make_fx_procedure( __VECTOR_TAG_SET____R4_VECTORS_6_8_196, 2, 0 );
{
{obj_t STRING_CAST_292_186;
STRING_CAST_292_186=BREF( &BIGLOO___0___R4_VECTORS_6_8_228);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___R__VEC_1___R4_VECTORS_6_8_134, STRING_CAST_292_186, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131(obj_t ENV_310_227)
#else
____R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_131( ENV_310_227 )
obj_t ENV_310_227;
#endif
{

return ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
}

obj_t
#if defined( __STDC__ )
VECTOR____R4_VECTORS_6_8_123(obj_t OBJ_222_44)
#else
VECTOR____R4_VECTORS_6_8_123( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( VECTORP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__VECTOR____R4_VECTORS_6_8_229(obj_t ENV_309_206,obj_t OBJ_222_44)
#else
__VECTOR____R4_VECTORS_6_8_229( ENV_309_206, OBJ_222_44 )
obj_t ENV_309_206, OBJ_222_44;
#endif
{

return VECTOR____R4_VECTORS_6_8_123( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
MAKE_VECTOR___R4_VECTORS_6_8_22(obj_t INT_223_180,obj_t FILL_224_176)
#else
MAKE_VECTOR___R4_VECTORS_6_8_22( INT_223_180, FILL_224_176 )
obj_t INT_223_180, FILL_224_176;
#endif
{

if( NULLP( FILL_224_176 ))
if( INTEGERP( INT_223_180 ))
return make_vector( INT_223_180, BUNSPEC );else
FAILURE( MAKE_VEC_2___R4_VECTORS_6_8_166, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, INT_____4___R4_VECTORS_6_8_125 ), INT_223_180 );else
if( INTEGERP( INT_223_180 ))
{obj_t C_CAR_256_113;
if( PAIRP( FILL_224_176 ))
C_CAR_256_113=CAR( FILL_224_176 );else
FAILURE( MAKE_VEC_2___R4_VECTORS_6_8_166, TYPE_ERROR___ERROR_146( PAIR_5___R4_VECTORS_6_8_250, FILL_____6___R4_VECTORS_6_8_188 ), FILL_224_176 );return make_vector( INT_223_180, C_CAR_256_113 );}else
FAILURE( MAKE_VEC_2___R4_VECTORS_6_8_166, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, INT_____4___R4_VECTORS_6_8_125 ), INT_223_180 );
}

obj_t
#if defined( __STDC__ )
__MAKE_VECTOR___R4_VECTORS_6_8_229(obj_t ENV_308_35,obj_t INT_223_180,obj_t FILL_224_176)
#else
__MAKE_VECTOR___R4_VECTORS_6_8_229( ENV_308_35, INT_223_180, FILL_224_176 )
obj_t ENV_308_35, INT_223_180, FILL_224_176;
#endif
{

return MAKE_VECTOR___R4_VECTORS_6_8_22( INT_223_180, FILL_224_176 );
}

obj_t
#if defined( __STDC__ )
VECTOR___R4_VECTORS_6_8_80(obj_t ARGS_225_98)
#else
VECTOR___R4_VECTORS_6_8_80( ARGS_225_98 )
obj_t ARGS_225_98;
#endif
{

return LIST__VECTOR___R4_VECTORS_6_8_97( ARGS_225_98 );
}

obj_t
#if defined( __STDC__ )
__VECTOR___R4_VECTORS_6_8_2(obj_t ENV_307_88,obj_t ARGS_225_98)
#else
__VECTOR___R4_VECTORS_6_8_2( ENV_307_88, ARGS_225_98 )
obj_t ENV_307_88, ARGS_225_98;
#endif
{

return VECTOR___R4_VECTORS_6_8_80( ARGS_225_98 );
}

obj_t
#if defined( __STDC__ )
VECTOR_LENGTH___R4_VECTORS_6_8_55(obj_t VECTOR_226_34)
#else
VECTOR_LENGTH___R4_VECTORS_6_8_55( VECTOR_226_34 )
obj_t VECTOR_226_34;
#endif
{

if( VECTORP( VECTOR_226_34 ))
return VECTOR_LENGTH( VECTOR_226_34 );else
FAILURE( VECTOR_L_7___R4_VECTORS_6_8_101, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___9___R4_VECTORS_6_8_15 ), VECTOR_226_34 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_LENGTH___R4_VECTORS_6_8_252(obj_t ENV_306_133,obj_t VECTOR_226_34)
#else
__VECTOR_LENGTH___R4_VECTORS_6_8_252( ENV_306_133, VECTOR_226_34 )
obj_t ENV_306_133, VECTOR_226_34;
#endif
{

return VECTOR_LENGTH___R4_VECTORS_6_8_55( VECTOR_226_34 );
}

obj_t
#if defined( __STDC__ )
VECTOR_REF___R4_VECTORS_6_8_181(obj_t VECTOR_227_50,obj_t K_228_105)
#else
VECTOR_REF___R4_VECTORS_6_8_181( VECTOR_227_50, K_228_105 )
obj_t VECTOR_227_50, K_228_105;
#endif
{

if( INTEGERP( K_228_105 ))
{obj_t C_VECTOR_LENGTH_259_152;
if( VECTORP( VECTOR_227_50 ))
C_VECTOR_LENGTH_259_152=VECTOR_LENGTH( VECTOR_227_50 );else
FAILURE( VECTOR_R_10___R4_VECTORS_6_8_196, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___11___R4_VECTORS_6_8_5 ), VECTOR_227_50 );if( BOUND_CHECK( K_228_105, C_VECTOR_LENGTH_259_152 ))
if( VECTORP( VECTOR_227_50 ))
return VECTOR_REF( VECTOR_227_50, K_228_105 );else
FAILURE( VECTOR_R_10___R4_VECTORS_6_8_196, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___11___R4_VECTORS_6_8_5 ), VECTOR_227_50 );else
FAILURE( BREF( &VECTOR_R_12___R4_VECTORS_6_8_10), BREF( &INDEX_OU_13___R4_VECTORS_6_8_87), K_228_105 );}else
FAILURE( VECTOR_R_10___R4_VECTORS_6_8_196, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, K_____14___R4_VECTORS_6_8_228 ), K_228_105 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_REF___R4_VECTORS_6_8_148(obj_t ENV_305_154,obj_t VECTOR_227_50,obj_t K_228_105)
#else
__VECTOR_REF___R4_VECTORS_6_8_148( ENV_305_154, VECTOR_227_50, K_228_105 )
obj_t ENV_305_154, VECTOR_227_50, K_228_105;
#endif
{

return VECTOR_REF___R4_VECTORS_6_8_181( VECTOR_227_50, K_228_105 );
}

obj_t
#if defined( __STDC__ )
VECTOR_SET____R4_VECTORS_6_8_35(obj_t VECTOR_229_4,obj_t K_230_106,obj_t OBJ_231_186)
#else
VECTOR_SET____R4_VECTORS_6_8_35( VECTOR_229_4, K_230_106, OBJ_231_186 )
obj_t VECTOR_229_4, K_230_106, OBJ_231_186;
#endif
{

if( INTEGERP( K_230_106 ))
{obj_t C_VECTOR_LENGTH_264_153;
if( VECTORP( VECTOR_229_4 ))
C_VECTOR_LENGTH_264_153=VECTOR_LENGTH( VECTOR_229_4 );else
FAILURE( VECTOR_S_15___R4_VECTORS_6_8_1, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___16___R4_VECTORS_6_8_147 ), VECTOR_229_4 );if( BOUND_CHECK( K_230_106, C_VECTOR_LENGTH_264_153 ))
if( VECTORP( VECTOR_229_4 ))
return VECTOR_SET( VECTOR_229_4, K_230_106, OBJ_231_186 );else
FAILURE( VECTOR_S_15___R4_VECTORS_6_8_1, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___16___R4_VECTORS_6_8_147 ), VECTOR_229_4 );else
FAILURE( BREF( &VECTOR_S_17___R4_VECTORS_6_8_128), BREF( &INDEX_OU_18___R4_VECTORS_6_8_38), K_230_106 );}else
FAILURE( VECTOR_S_15___R4_VECTORS_6_8_1, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, K_____19___R4_VECTORS_6_8_94 ), K_230_106 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_SET____R4_VECTORS_6_8_123(obj_t ENV_304_250,obj_t VECTOR_229_4,obj_t K_230_106,obj_t OBJ_231_186)
#else
__VECTOR_SET____R4_VECTORS_6_8_123( ENV_304_250, VECTOR_229_4, K_230_106, OBJ_231_186 )
obj_t ENV_304_250, VECTOR_229_4, K_230_106, OBJ_231_186;
#endif
{

return VECTOR_SET____R4_VECTORS_6_8_35( VECTOR_229_4, K_230_106, OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
VECTOR_REF_UR___R4_VECTORS_6_8_188(obj_t VECTOR_232_68,obj_t K_233_158)
#else
VECTOR_REF_UR___R4_VECTORS_6_8_188( VECTOR_232_68, K_233_158 )
obj_t VECTOR_232_68, K_233_158;
#endif
{

if( VECTORP( VECTOR_232_68 ))
if( INTEGERP( K_233_158 ))
return VECTOR_REF( VECTOR_232_68, K_233_158 );else
FAILURE( VECTOR_R_20___R4_VECTORS_6_8_134, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, K_____21___R4_VECTORS_6_8_203 ), K_233_158 );else
FAILURE( VECTOR_R_20___R4_VECTORS_6_8_134, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___22___R4_VECTORS_6_8_108 ), VECTOR_232_68 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_REF_UR___R4_VECTORS_6_8_10(obj_t ENV_303_237,obj_t VECTOR_232_68,obj_t K_233_158)
#else
__VECTOR_REF_UR___R4_VECTORS_6_8_10( ENV_303_237, VECTOR_232_68, K_233_158 )
obj_t ENV_303_237, VECTOR_232_68, K_233_158;
#endif
{

return VECTOR_REF_UR___R4_VECTORS_6_8_188( VECTOR_232_68, K_233_158 );
}

obj_t
#if defined( __STDC__ )
VECTOR_SET_UR____R4_VECTORS_6_8_86(obj_t VECTOR_234_197,obj_t K_235_102,obj_t OBJ_236_15)
#else
VECTOR_SET_UR____R4_VECTORS_6_8_86( VECTOR_234_197, K_235_102, OBJ_236_15 )
obj_t VECTOR_234_197, K_235_102, OBJ_236_15;
#endif
{

if( VECTORP( VECTOR_234_197 ))
if( INTEGERP( K_235_102 ))
return VECTOR_SET( VECTOR_234_197, K_235_102, OBJ_236_15 );else
FAILURE( VECTOR_S_23___R4_VECTORS_6_8_189, TYPE_ERROR___ERROR_146( NUMBER_3___R4_VECTORS_6_8_11, K_____24___R4_VECTORS_6_8_6 ), K_235_102 );else
FAILURE( VECTOR_S_23___R4_VECTORS_6_8_189, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___25___R4_VECTORS_6_8_150 ), VECTOR_234_197 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_SET_UR____R4_VECTORS_6_8_35(obj_t ENV_302_253,obj_t VECTOR_234_197,obj_t K_235_102,obj_t OBJ_236_15)
#else
__VECTOR_SET_UR____R4_VECTORS_6_8_35( ENV_302_253, VECTOR_234_197, K_235_102, OBJ_236_15 )
obj_t ENV_302_253, VECTOR_234_197, K_235_102, OBJ_236_15;
#endif
{

return VECTOR_SET_UR____R4_VECTORS_6_8_86( VECTOR_234_197, K_235_102, OBJ_236_15 );
}

obj_t
#if defined( __STDC__ )
VECTOR__LIST___R4_VECTORS_6_8_45(obj_t VECTOR_237_177)
#else
VECTOR__LIST___R4_VECTORS_6_8_45( VECTOR_237_177 )
obj_t VECTOR_237_177;
#endif
{

{
PUSH_LAMBDA_TRACE( VECTOR___26___R4_VECTORS_6_8_2 );
{obj_t AUX_314_1;
{obj_t VLEN_238_89;
if( VECTORP( VECTOR_237_177 ))
VLEN_238_89=VECTOR_LENGTH( VECTOR_237_177 );else
FAILURE( VECTOR___27___R4_VECTORS_6_8_205, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___28___R4_VECTORS_6_8_124 ), VECTOR_237_177 );if( EQ_I( VLEN_238_89, BINT( 0 ) ))
AUX_314_1=BNIL;else
{obj_t I_240_178, ACC_241_4;
{
ACC_241_4=BNIL;
I_240_178=SUB_I_PTAG( VLEN_238_89, PSUB_TAG( 1 ) );
{_LOOP_239_36:

if( EQ_I( I_240_178, BINT( 0 ) ))
{obj_t OBJ1_271_233;
if( VECTORP( VECTOR_237_177 ))
OBJ1_271_233=VECTOR_REF( VECTOR_237_177, I_240_178 );else
FAILURE( VECTOR___27___R4_VECTORS_6_8_205, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___28___R4_VECTORS_6_8_124 ), VECTOR_237_177 );AUX_314_1=MAKE_PAIR( OBJ1_271_233, ACC_241_4 );}else
{obj_t OBJ1_277_118;
if( VECTORP( VECTOR_237_177 ))
OBJ1_277_118=VECTOR_REF( VECTOR_237_177, I_240_178 );else
FAILURE( VECTOR___27___R4_VECTORS_6_8_205, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___28___R4_VECTORS_6_8_124 ), VECTOR_237_177 );{obj_t C_CONS_278_120;
C_CONS_278_120=MAKE_PAIR( OBJ1_277_118, ACC_241_4 );{obj_t I_315_36;
I_315_36=I_240_178;{
ACC_241_4=C_CONS_278_120;
I_240_178=SUB_I_PTAG( I_315_36, PSUB_TAG( 1 ) );
goto _LOOP_239_36;
}}}}}
}}}return POP_LAMBDA_TRACE( AUX_314_1 );}
}
}

obj_t
#if defined( __STDC__ )
__VECTOR__LIST___R4_VECTORS_6_8_10(obj_t ENV_301_85,obj_t VECTOR_237_177)
#else
__VECTOR__LIST___R4_VECTORS_6_8_10( ENV_301_85, VECTOR_237_177 )
obj_t ENV_301_85, VECTOR_237_177;
#endif
{

return VECTOR__LIST___R4_VECTORS_6_8_45( VECTOR_237_177 );
}

obj_t
#if defined( __STDC__ )
LIST__VECTOR___R4_VECTORS_6_8_97(obj_t LIST_242_204)
#else
LIST__VECTOR___R4_VECTORS_6_8_97( LIST_242_204 )
obj_t LIST_242_204;
#endif
{

{
PUSH_LAMBDA_TRACE( LIST__VE_29___R4_VECTORS_6_8_190 );
{obj_t AUX_312_132;
{obj_t LEN_243_172;
LEN_243_172=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_242_204 );{obj_t VEC_244_252;
{obj_t FILL_281_82;
FILL_281_82=MAKE_PAIR( BNIL, BNIL );{obj_t C_CAR_284_136;
C_CAR_284_136=CAR( FILL_281_82 );VEC_244_252=make_vector( LEN_243_172, C_CAR_284_136 );}}{obj_t I_246_133, L_247_72;
{
L_247_72=LIST_242_204;
I_246_133=BINT( 0 );
{_LOOP_245_166:

if( EQ_I( I_246_133, LEN_243_172 ))
AUX_312_132=VEC_244_252;else
{
{obj_t OBJ_285_27;
if( PAIRP( L_247_72 ))
OBJ_285_27=CAR( L_247_72 );else
FAILURE( LIST__VE_30___R4_VECTORS_6_8_130, TYPE_ERROR___ERROR_146( PAIR_5___R4_VECTORS_6_8_250, L_____31___R4_VECTORS_6_8_233 ), L_247_72 );VECTOR_SET( VEC_244_252, I_246_133, OBJ_285_27 );}
{obj_t C_CDR_290_171;
if( PAIRP( L_247_72 ))
C_CDR_290_171=CDR( L_247_72 );else
FAILURE( LIST__VE_30___R4_VECTORS_6_8_130, TYPE_ERROR___ERROR_146( PAIR_5___R4_VECTORS_6_8_250, L_____31___R4_VECTORS_6_8_233 ), L_247_72 );{obj_t I_313_30;
I_313_30=I_246_133;{
L_247_72=C_CDR_290_171;
I_246_133=ADD_I_PTAG( I_313_30, PSUB_TAG( 1 ) );
goto _LOOP_245_166;
}}}
}}
}}}}return POP_LAMBDA_TRACE( AUX_312_132 );}
}
}

obj_t
#if defined( __STDC__ )
__LIST__VECTOR___R4_VECTORS_6_8_201(obj_t ENV_300_178,obj_t LIST_242_204)
#else
__LIST__VECTOR___R4_VECTORS_6_8_201( ENV_300_178, LIST_242_204 )
obj_t ENV_300_178, LIST_242_204;
#endif
{

return LIST__VECTOR___R4_VECTORS_6_8_97( LIST_242_204 );
}

obj_t
#if defined( __STDC__ )
VECTOR_FILL____R4_VECTORS_6_8_68(obj_t VECTOR_248_198,obj_t FILL_249_131)
#else
VECTOR_FILL____R4_VECTORS_6_8_68( VECTOR_248_198, FILL_249_131 )
obj_t VECTOR_248_198, FILL_249_131;
#endif
{

{
PUSH_LAMBDA_TRACE( VECTOR_F_32___R4_VECTORS_6_8_70 );
{obj_t AUX_311_174;
if( VECTORP( VECTOR_248_198 ))
AUX_311_174=fill_vector( VECTOR_248_198, VECTOR_LENGTH( VECTOR_248_198 ), FILL_249_131 );else
FAILURE( VECTOR_F_33___R4_VECTORS_6_8_200, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___34___R4_VECTORS_6_8_233 ), VECTOR_248_198 );return POP_LAMBDA_TRACE( AUX_311_174 );}
}
}

obj_t
#if defined( __STDC__ )
__VECTOR_FILL____R4_VECTORS_6_8_132(obj_t ENV_299_81,obj_t VECTOR_248_198,obj_t FILL_249_131)
#else
__VECTOR_FILL____R4_VECTORS_6_8_132( ENV_299_81, VECTOR_248_198, FILL_249_131 )
obj_t ENV_299_81, VECTOR_248_198, FILL_249_131;
#endif
{

return VECTOR_FILL____R4_VECTORS_6_8_68( VECTOR_248_198, FILL_249_131 );
}

obj_t
#if defined( __STDC__ )
VECTOR_TAG___R4_VECTORS_6_8_23(obj_t VECTOR_250_68)
#else
VECTOR_TAG___R4_VECTORS_6_8_23( VECTOR_250_68 )
obj_t VECTOR_250_68;
#endif
{

if( VECTORP( VECTOR_250_68 ))
return VECTOR_TAG( VECTOR_250_68 );else
FAILURE( VECTOR_T_35___R4_VECTORS_6_8_98, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___36___R4_VECTORS_6_8_184 ), VECTOR_250_68 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_TAG___R4_VECTORS_6_8_156(obj_t ENV_298_20,obj_t VECTOR_250_68)
#else
__VECTOR_TAG___R4_VECTORS_6_8_156( ENV_298_20, VECTOR_250_68 )
obj_t ENV_298_20, VECTOR_250_68;
#endif
{

return VECTOR_TAG___R4_VECTORS_6_8_23( VECTOR_250_68 );
}

obj_t
#if defined( __STDC__ )
VECTOR_TAG_SET____R4_VECTORS_6_8_87(obj_t VECTOR_251_56,obj_t TAG_252_237)
#else
VECTOR_TAG_SET____R4_VECTORS_6_8_87( VECTOR_251_56, TAG_252_237 )
obj_t VECTOR_251_56, TAG_252_237;
#endif
{

if( VECTORP( VECTOR_251_56 ))
return VECTOR_TAG_SET( VECTOR_251_56, TAG_252_237 );else
FAILURE( VECTOR_T_37___R4_VECTORS_6_8_179, TYPE_ERROR___ERROR_146( VECTOR_8___R4_VECTORS_6_8_88, VECTOR___38___R4_VECTORS_6_8_49 ), VECTOR_251_56 );
}

obj_t
#if defined( __STDC__ )
__VECTOR_TAG_SET____R4_VECTORS_6_8_196(obj_t ENV_297_21,obj_t VECTOR_251_56,obj_t TAG_252_237)
#else
__VECTOR_TAG_SET____R4_VECTORS_6_8_196( ENV_297_21, VECTOR_251_56, TAG_252_237 )
obj_t ENV_297_21, VECTOR_251_56, TAG_252_237;
#endif
{

return VECTOR_TAG_SET____R4_VECTORS_6_8_87( VECTOR_251_56, TAG_252_237 );
}

