/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/casting.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __DOUBLE__REAL___CASTING_163(obj_t, obj_t);
#else
extern obj_t __DOUBLE__REAL___CASTING_163();
#endif
static obj_t BBOOL__C_2___CASTING_41 = BUNSPEC;
static obj_t BCHAR__C_18___CASTING_190 = BUNSPEC;
obj_t CINT__BINT_ENV___CASTING_60 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t DOUBLE__REAL___CASTING_153(obj_t);
#else
extern obj_t DOUBLE__REAL___CASTING_153();
#endif
#if defined( __STDC__ )
extern obj_t __CINT__BINT___CASTING_52(obj_t, obj_t);
#else
extern obj_t __CINT__BINT___CASTING_52();
#endif
static obj_t BSTRING__13___CASTING_237 = BUNSPEC;
static obj_t BOOL_____4___CASTING_6 = BUNSPEC;
obj_t BCHAR__CCHAR_ENV___CASTING_73 = BUNSPEC;
static obj_t CHAR_16___CASTING_125 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BCHAR__CCHAR___CASTING_125(obj_t);
#else
extern obj_t BCHAR__CCHAR___CASTING_125();
#endif
#if defined( __STDC__ )
extern obj_t CINT__BINT___CASTING_46(obj_t);
#else
extern obj_t CINT__BINT___CASTING_46();
#endif
#if defined( __STDC__ )
extern obj_t CSTRING__BSTRING___CASTING_89(obj_t);
#else
extern obj_t CSTRING__BSTRING___CASTING_89();
#endif
#if defined( __STDC__ )
extern obj_t __BCHAR__CCHAR___CASTING_71(obj_t, obj_t);
#else
extern obj_t __BCHAR__CCHAR___CASTING_71();
#endif
static obj_t CHAR_____19___CASTING_5 = BUNSPEC;
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#if defined( __STDC__ )
extern obj_t __BBOOL__CBOOL___CASTING_6(obj_t, obj_t);
#else
extern obj_t __BBOOL__CBOOL___CASTING_6();
#endif
#if defined( __STDC__ )
extern obj_t BSTRING__CSTRING___CASTING_12(obj_t);
#else
extern obj_t BSTRING__CSTRING___CASTING_12();
#endif
extern obj_t TYPE_ERROR___ERROR_146();
static obj_t BINT__CI_8___CASTING_91 = BUNSPEC;
static obj_t STRING___12___CASTING_147 = BUNSPEC;
obj_t BSTRING__CSTRING_ENV___CASTING_57 = BUNSPEC;
static obj_t DOUBLE___20___CASTING_143 = BUNSPEC;
static obj_t REAL_21___CASTING_2 = BUNSPEC;
static obj_t INT_____7___CASTING_100 = BUNSPEC;
obj_t CCHAR__BCHAR_ENV___CASTING_83 = BUNSPEC;
obj_t BBOOL__CBOOL_ENV___CASTING_132 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BINT__CINT___CASTING_214(obj_t, obj_t);
#else
extern obj_t __BINT__CINT___CASTING_214();
#endif
DEFINE_STRING( BIGLOO___0___CASTING_164, "Bigloo (v1.7)", 13);
static obj_t CHAR_____17___CASTING_224 = BUNSPEC;
static obj_t STRING_11___CASTING_149 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BINT__CINT___CASTING_148(obj_t);
#else
extern obj_t BINT__CINT___CASTING_148();
#endif
#if defined( __STDC__ )
extern obj_t __CCHAR__BCHAR___CASTING_154(obj_t, obj_t);
#else
extern obj_t __CCHAR__BCHAR___CASTING_154();
#endif
static obj_t REQUIRE_INITIALISATION____CASTING_134 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __BSTRING__CSTRING___CASTING_218(obj_t, obj_t);
#else
extern obj_t __BSTRING__CSTRING___CASTING_218();
#endif
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t REAL__DO_23___CASTING_53 = BUNSPEC;
obj_t REAL__DOUBLE_ENV___CASTING_71 = BUNSPEC;
obj_t CBOOL__BBOOL_ENV___CASTING_7 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BBOOL__CBOOL___CASTING_114(obj_t);
#else
extern obj_t BBOOL__CBOOL___CASTING_114();
#endif
static obj_t DOUBLE___22___CASTING_184 = BUNSPEC;
static obj_t CSTRING__10___CASTING_12 = BUNSPEC;
obj_t BINT__CINT_ENV___CASTING_1 = BUNSPEC;
static obj_t ___CASTIN_1___CASTING_179 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CCHAR__BCHAR___CASTING_188(obj_t);
#else
extern obj_t CCHAR__BCHAR___CASTING_188();
#endif
static obj_t BOOL_3___CASTING_183 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CBOOL__BBOOL___CASTING_176(obj_t, obj_t);
#else
extern obj_t __CBOOL__BBOOL___CASTING_176();
#endif
static obj_t REAL_____24___CASTING_125 = BUNSPEC;
obj_t ___CASTING_INITIALISATION_ENV___CASTING_128 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t CINT__BI_5___CASTING_65 = BUNSPEC;
static obj_t INT_____9___CASTING_32 = BUNSPEC;
static obj_t NUMBER_6___CASTING_95 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____CASTING_INITIALISATION___CASTING_176(obj_t);
#else
extern obj_t ____CASTING_INITIALISATION___CASTING_176();
#endif
extern obj_t ___CASTING_INITIALISATION___CASTING_82();
#if defined( __STDC__ )
extern obj_t CBOOL__BBOOL___CASTING_56(obj_t);
#else
extern obj_t CBOOL__BBOOL___CASTING_56();
#endif
obj_t DOUBLE__REAL_ENV___CASTING_35 = BUNSPEC;
static obj_t STRING___14___CASTING_193 = BUNSPEC;
static obj_t CCHAR__B_15___CASTING_23 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CSTRING__BSTRING___CASTING_50(obj_t, obj_t);
#else
extern obj_t __CSTRING__BSTRING___CASTING_50();
#endif
#if defined( __STDC__ )
extern obj_t REAL__DOUBLE___CASTING_150(obj_t);
#else
extern obj_t REAL__DOUBLE___CASTING_150();
#endif
#if defined( __STDC__ )
extern obj_t __REAL__DOUBLE___CASTING_32(obj_t, obj_t);
#else
extern obj_t __REAL__DOUBLE___CASTING_32();
#endif
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();
obj_t CSTRING__BSTRING_ENV___CASTING_167 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___CASTING_INITIALISATION___CASTING_82()
#else
___CASTING_INITIALISATION___CASTING_82()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____CASTING_134 ))
{
REQUIRE_INITIALISATION____CASTING_134=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___SYSTEM_INITIALISATION___SYSTEM_109();
CINT__BI_5___CASTING_65=c_string_to_symbol( "CINT->BINT@__CASTING" );
BINT__CI_8___CASTING_91=c_string_to_symbol( "BINT->CINT@__CASTING" );
INT_____7___CASTING_100=c_string_to_symbol( "INT@224" );
BOOL_3___CASTING_183=c_string_to_symbol( "BOOL" );
DOUBLE___20___CASTING_143=c_string_to_symbol( "DOUBLE->REAL@__CASTING" );
INT_____9___CASTING_32=c_string_to_symbol( "INT@225" );
BCHAR__C_18___CASTING_190=c_string_to_symbol( "BCHAR->CCHAR@__CASTING" );
CHAR_____17___CASTING_224=c_string_to_symbol( "CHAR@228" );
BOOL_____4___CASTING_6=c_string_to_symbol( "BOOL@223" );
BBOOL__C_2___CASTING_41=c_string_to_symbol( "BBOOL->CBOOL@__CASTING" );
REAL__DO_23___CASTING_53=c_string_to_symbol( "REAL->DOUBLE@__CASTING" );
REAL_____24___CASTING_125=c_string_to_symbol( "REAL@231" );
CCHAR__B_15___CASTING_23=c_string_to_symbol( "CCHAR->BCHAR@__CASTING" );
NUMBER_6___CASTING_95=c_string_to_symbol( "NUMBER" );
BSTRING__13___CASTING_237=c_string_to_symbol( "BSTRING->CSTRING@__CASTING" );
STRING___12___CASTING_147=c_string_to_symbol( "STRING@226" );
___CASTIN_1___CASTING_179=c_string_to_symbol( "__CASTING" );
DOUBLE___22___CASTING_184=c_string_to_symbol( "DOUBLE@230" );
CSTRING__10___CASTING_12=c_string_to_symbol( "CSTRING->BSTRING@__CASTING" );
STRING___14___CASTING_193=c_string_to_symbol( "STRING@227" );
CHAR_16___CASTING_125=c_string_to_symbol( "CHAR" );
CHAR_____19___CASTING_5=c_string_to_symbol( "CHAR@229" );
REAL_21___CASTING_2=c_string_to_symbol( "REAL" );
STRING_11___CASTING_149=c_string_to_symbol( "STRING" );
{
___CASTING_INITIALISATION_ENV___CASTING_128=make_fx_procedure( ____CASTING_INITIALISATION___CASTING_176, 0, 0 );
CBOOL__BBOOL_ENV___CASTING_7=make_fx_procedure( __CBOOL__BBOOL___CASTING_176, 1, 0 );
BBOOL__CBOOL_ENV___CASTING_132=make_fx_procedure( __BBOOL__CBOOL___CASTING_6, 1, 0 );
CINT__BINT_ENV___CASTING_60=make_fx_procedure( __CINT__BINT___CASTING_52, 1, 0 );
BINT__CINT_ENV___CASTING_1=make_fx_procedure( __BINT__CINT___CASTING_214, 1, 0 );
CSTRING__BSTRING_ENV___CASTING_167=make_fx_procedure( __CSTRING__BSTRING___CASTING_50, 1, 0 );
BSTRING__CSTRING_ENV___CASTING_57=make_fx_procedure( __BSTRING__CSTRING___CASTING_218, 1, 0 );
CCHAR__BCHAR_ENV___CASTING_83=make_fx_procedure( __CCHAR__BCHAR___CASTING_154, 1, 0 );
BCHAR__CCHAR_ENV___CASTING_73=make_fx_procedure( __BCHAR__CCHAR___CASTING_71, 1, 0 );
DOUBLE__REAL_ENV___CASTING_35=make_fx_procedure( __DOUBLE__REAL___CASTING_163, 1, 0 );
REAL__DOUBLE_ENV___CASTING_71=make_fx_procedure( __REAL__DOUBLE___CASTING_32, 1, 0 );
{
{obj_t STRING_CAST_237_138;
STRING_CAST_237_138=BREF( &BIGLOO___0___CASTING_164);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___CASTIN_1___CASTING_179, STRING_CAST_237_138, BCHAR( 'b' ) );}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____CASTING_INITIALISATION___CASTING_176(obj_t ENV_250_37)
#else
____CASTING_INITIALISATION___CASTING_176( ENV_250_37 )
obj_t ENV_250_37;
#endif
{

return ___CASTING_INITIALISATION___CASTING_82();
}

obj_t
#if defined( __STDC__ )
CBOOL__BBOOL___CASTING_56(obj_t VOID_222_108)
#else
CBOOL__BBOOL___CASTING_56( VOID_222_108 )
obj_t VOID_222_108;
#endif
{

return VOID_222_108;
}

obj_t
#if defined( __STDC__ )
__CBOOL__BBOOL___CASTING_176(obj_t ENV_249_221,obj_t VOID_222_108)
#else
__CBOOL__BBOOL___CASTING_176( ENV_249_221, VOID_222_108 )
obj_t ENV_249_221, VOID_222_108;
#endif
{

return CBOOL__BBOOL___CASTING_56( VOID_222_108 );
}

obj_t
#if defined( __STDC__ )
BBOOL__CBOOL___CASTING_114(obj_t BOOL_223_224)
#else
BBOOL__CBOOL___CASTING_114( BOOL_223_224 )
obj_t BOOL_223_224;
#endif
{

if( BOOLEANP( BOOL_223_224 ))
return BOOL_223_224;else
FAILURE( BBOOL__C_2___CASTING_41, TYPE_ERROR___ERROR_146( BOOL_3___CASTING_183, BOOL_____4___CASTING_6 ), BOOL_223_224 );
}

obj_t
#if defined( __STDC__ )
__BBOOL__CBOOL___CASTING_6(obj_t ENV_248_54,obj_t BOOL_223_224)
#else
__BBOOL__CBOOL___CASTING_6( ENV_248_54, BOOL_223_224 )
obj_t ENV_248_54, BOOL_223_224;
#endif
{

return BBOOL__CBOOL___CASTING_114( BOOL_223_224 );
}

obj_t
#if defined( __STDC__ )
CINT__BINT___CASTING_46(obj_t INT_224_160)
#else
CINT__BINT___CASTING_46( INT_224_160 )
obj_t INT_224_160;
#endif
{

if( INTEGERP( INT_224_160 ))
return INT_224_160;else
FAILURE( CINT__BI_5___CASTING_65, TYPE_ERROR___ERROR_146( NUMBER_6___CASTING_95, INT_____7___CASTING_100 ), INT_224_160 );
}

obj_t
#if defined( __STDC__ )
__CINT__BINT___CASTING_52(obj_t ENV_247_85,obj_t INT_224_160)
#else
__CINT__BINT___CASTING_52( ENV_247_85, INT_224_160 )
obj_t ENV_247_85, INT_224_160;
#endif
{

return CINT__BINT___CASTING_46( INT_224_160 );
}

obj_t
#if defined( __STDC__ )
BINT__CINT___CASTING_148(obj_t INT_225_215)
#else
BINT__CINT___CASTING_148( INT_225_215 )
obj_t INT_225_215;
#endif
{

if( INTEGERP( INT_225_215 ))
return INT_225_215;else
FAILURE( BINT__CI_8___CASTING_91, TYPE_ERROR___ERROR_146( NUMBER_6___CASTING_95, INT_____9___CASTING_32 ), INT_225_215 );
}

obj_t
#if defined( __STDC__ )
__BINT__CINT___CASTING_214(obj_t ENV_246_178,obj_t INT_225_215)
#else
__BINT__CINT___CASTING_214( ENV_246_178, INT_225_215 )
obj_t ENV_246_178, INT_225_215;
#endif
{

return BINT__CINT___CASTING_148( INT_225_215 );
}

obj_t
#if defined( __STDC__ )
CSTRING__BSTRING___CASTING_89(obj_t STRING_226_106)
#else
CSTRING__BSTRING___CASTING_89( STRING_226_106 )
obj_t STRING_226_106;
#endif
{

if( STRINGP( STRING_226_106 ))
return CSTRING_TO_BSTRING( BSTRING_TO_CSTRING( STRING_226_106 ) );else
FAILURE( CSTRING__10___CASTING_12, TYPE_ERROR___ERROR_146( STRING_11___CASTING_149, STRING___12___CASTING_147 ), STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
__CSTRING__BSTRING___CASTING_50(obj_t ENV_245_237,obj_t STRING_226_106)
#else
__CSTRING__BSTRING___CASTING_50( ENV_245_237, STRING_226_106 )
obj_t ENV_245_237, STRING_226_106;
#endif
{

return CSTRING__BSTRING___CASTING_89( STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
BSTRING__CSTRING___CASTING_12(obj_t STRING_227_82)
#else
BSTRING__CSTRING___CASTING_12( STRING_227_82 )
obj_t STRING_227_82;
#endif
{

if( STRINGP( STRING_227_82 ))
return CSTRING_TO_BSTRING( BSTRING_TO_CSTRING( STRING_227_82 ) );else
FAILURE( BSTRING__13___CASTING_237, TYPE_ERROR___ERROR_146( STRING_11___CASTING_149, STRING___14___CASTING_193 ), STRING_227_82 );
}

obj_t
#if defined( __STDC__ )
__BSTRING__CSTRING___CASTING_218(obj_t ENV_244_253,obj_t STRING_227_82)
#else
__BSTRING__CSTRING___CASTING_218( ENV_244_253, STRING_227_82 )
obj_t ENV_244_253, STRING_227_82;
#endif
{

return BSTRING__CSTRING___CASTING_12( STRING_227_82 );
}

obj_t
#if defined( __STDC__ )
CCHAR__BCHAR___CASTING_188(obj_t CHAR_228_165)
#else
CCHAR__BCHAR___CASTING_188( CHAR_228_165 )
obj_t CHAR_228_165;
#endif
{

if( CHARP( CHAR_228_165 ))
return CHAR_228_165;else
FAILURE( CCHAR__B_15___CASTING_23, TYPE_ERROR___ERROR_146( CHAR_16___CASTING_125, CHAR_____17___CASTING_224 ), CHAR_228_165 );
}

obj_t
#if defined( __STDC__ )
__CCHAR__BCHAR___CASTING_154(obj_t ENV_243_154,obj_t CHAR_228_165)
#else
__CCHAR__BCHAR___CASTING_154( ENV_243_154, CHAR_228_165 )
obj_t ENV_243_154, CHAR_228_165;
#endif
{

return CCHAR__BCHAR___CASTING_188( CHAR_228_165 );
}

obj_t
#if defined( __STDC__ )
BCHAR__CCHAR___CASTING_125(obj_t CHAR_229_19)
#else
BCHAR__CCHAR___CASTING_125( CHAR_229_19 )
obj_t CHAR_229_19;
#endif
{

if( CHARP( CHAR_229_19 ))
return CCHAR( CHAR_229_19 );else
FAILURE( BCHAR__C_18___CASTING_190, TYPE_ERROR___ERROR_146( CHAR_16___CASTING_125, CHAR_____19___CASTING_5 ), CHAR_229_19 );
}

obj_t
#if defined( __STDC__ )
__BCHAR__CCHAR___CASTING_71(obj_t ENV_242_250,obj_t CHAR_229_19)
#else
__BCHAR__CCHAR___CASTING_71( ENV_242_250, CHAR_229_19 )
obj_t ENV_242_250, CHAR_229_19;
#endif
{

return BCHAR__CCHAR___CASTING_125( CHAR_229_19 );
}

obj_t
#if defined( __STDC__ )
DOUBLE__REAL___CASTING_153(obj_t DOUBLE_230_204)
#else
DOUBLE__REAL___CASTING_153( DOUBLE_230_204 )
obj_t DOUBLE_230_204;
#endif
{

if( REALP( DOUBLE_230_204 ))
return DOUBLE_TO_REAL( REAL_TO_DOUBLE( DOUBLE_230_204 ) );else
FAILURE( DOUBLE___20___CASTING_143, TYPE_ERROR___ERROR_146( REAL_21___CASTING_2, DOUBLE___22___CASTING_184 ), DOUBLE_230_204 );
}

obj_t
#if defined( __STDC__ )
__DOUBLE__REAL___CASTING_163(obj_t ENV_241_88,obj_t DOUBLE_230_204)
#else
__DOUBLE__REAL___CASTING_163( ENV_241_88, DOUBLE_230_204 )
obj_t ENV_241_88, DOUBLE_230_204;
#endif
{

return DOUBLE__REAL___CASTING_153( DOUBLE_230_204 );
}

obj_t
#if defined( __STDC__ )
REAL__DOUBLE___CASTING_150(obj_t REAL_231_206)
#else
REAL__DOUBLE___CASTING_150( REAL_231_206 )
obj_t REAL_231_206;
#endif
{

if( REALP( REAL_231_206 ))
return DOUBLE_TO_REAL( REAL_TO_DOUBLE( REAL_231_206 ) );else
FAILURE( REAL__DO_23___CASTING_53, TYPE_ERROR___ERROR_146( REAL_21___CASTING_2, REAL_____24___CASTING_125 ), REAL_231_206 );
}

obj_t
#if defined( __STDC__ )
__REAL__DOUBLE___CASTING_32(obj_t ENV_240_133,obj_t REAL_231_206)
#else
__REAL__DOUBLE___CASTING_32( ENV_240_133, REAL_231_206 )
obj_t ENV_240_133, REAL_231_206;
#endif
{

return REAL__DOUBLE___CASTING_150( REAL_231_206 );
}

