/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib/Llib/hash.c                                                 */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t SIZE_____7___HASH_181 = BUNSPEC;
DEFINE_STRING( HASHTBL_270___HASH_204, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_148___HASH_195, "not a `HASHTBL' structure", 25);
DEFINE_STRING( HASHTBL_24___HASH_238, "HASHTBL", 7);
static obj_t STRING___305___HASH_203 = BUNSPEC;
static obj_t HASH_NUM_79___HASH_46 = BUNSPEC;
DEFINE_STRING( MAKE_HAS_29___HASH_246, "make-hash-table", 15);
#if defined( __STDC__ )
extern obj_t __OBJ__0__2_X_1___HASH_210(obj_t, obj_t, obj_t);
#else
extern obj_t __OBJ__0__2_X_1___HASH_210();
#endif
DEFINE_STRING( STRUCT_R_237___HASH_240, "struct-ref:not an instance of", 29);
extern obj_t create_struct();
DEFINE_STRING( HASHTBL_294___HASH_174, "HASHTBL", 7);
static obj_t HASH_EQ__84___HASH_38 = BUNSPEC;
DEFINE_STRING( WRONG_NU_58___HASH_61, "Wrong number of arguments for", 29);
#if defined( __STDC__ )
extern obj_t __INT__0__255___HASH_153(obj_t, obj_t);
#else
extern obj_t __INT__0__255___HASH_153();
#endif
DEFINE_STRING( NOT_A__H_111___HASH_250, "not a `HASHTBL' structure", 25);
static obj_t MAX_SIZE_25___HASH_198 = BUNSPEC;
DEFINE_STRING( STRUCT_R_66___HASH_211, "struct-ref:not an instance of", 29);
DEFINE_STRING( HASHTBL_172___HASH_98, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_120___HASH_152, "struct-ref:not an instance of", 29);
DEFINE_STRING( NOT_A__H_54___HASH_3, "not a `HASHTBL' structure", 25);
static obj_t MAX_SIZE_60___HASH_124 = BUNSPEC;
DEFINE_STRING( STRUCT_S_13___HASH_44, "struct-set!:not an instance of", 30);
DEFINE_STRING( HASHTBL_109___HASH_240, "HASHTBL", 7);
DEFINE_STRING( GET_HASH_62___HASH_193, "get-hash-number", 15);
static obj_t POWER____318___HASH_238 = BUNSPEC;
DEFINE_STRING( STRUCT_R_224___HASH_53, "struct-ref:not an instance of", 29);
static obj_t GET_KEY__119___HASH_76 = BUNSPEC;
DEFINE_STRING( STRUCT_R_145___HASH_173, "struct-ref:not an instance of", 29);
DEFINE_STRING( WRONG_NU_154___HASH_60, "Wrong number of arguments for", 29);
DEFINE_STRING( STRUCT_R_108___HASH_151, "struct-ref:not an instance of", 29);
#if defined( __STDC__ )
extern obj_t __INT__0__2_X_1___HASH_161(obj_t, obj_t, obj_t);
#else
extern obj_t __INT__0__2_X_1___HASH_161();
#endif
extern long get_hash_power_number_from_int();
obj_t OBJ__0__255_ENV___HASH_29 = BUNSPEC;
DEFINE_STRING( VECTOR_R_129___HASH_98, "vector-ref", 10);
DEFINE_STRING( STRUCT_S_17___HASH_232, "struct-set!:not an instance of", 30);
DEFINE_STRING( HASHTBL_39___HASH_244, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_211___HASH_185, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_S_139___HASH_38, "struct-set!", 11);
DEFINE_STRING( STRUCT_R_258___HASH_151, "struct-ref", 10);
#if defined( __STDC__ )
extern obj_t STRING__0__2_X_1___HASH_0(obj_t, obj_t);
#else
extern obj_t STRING__0__2_X_1___HASH_0();
#endif
DEFINE_STRING( HASHTBL_286___HASH_187, "HASHTBL", 7);
DEFINE_STRING( HASHTBL_34___HASH_137, "HASHTBL", 7);
extern long get_hash_number();
DEFINE_STRING( NOT_A__H_272___HASH_46, "not a `HASHTBL' structure", 25);
DEFINE_STRING( WRONG_NU_262___HASH_172, "Wrong number of arguments for", 29);
static obj_t HASH_EQ__143___HASH_71 = BUNSPEC;
DEFINE_STRING( STRUCT_R_226___HASH_193, "struct-ref", 10);
DEFINE_STRING( HASHTBL_199___HASH_218, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_206___HASH_13, "struct-ref", 10);
DEFINE_STRING( HASHTBL_104___HASH_232, "HASHTBL", 7);
DEFINE_STRING( WRONG_NU_165___HASH_21, "Wrong number of arguments for", 29);
DEFINE_STRING( HASHTBL_20___HASH_74, "HASHTBL", 7);
obj_t INT__0__2_X_1_ENV___HASH_187 = BUNSPEC;
DEFINE_STRING( NOT_A__H_106___HASH_36, "not a `HASHTBL' structure", 25);
DEFINE_STRING( HASHTBL_230___HASH_64, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_174___HASH_116, "not a `HASHTBL' structure", 25);
extern long get_hash_power_number_from_int();
DEFINE_STRING( VECTOR_R_218___HASH_250, "vector-ref", 10);
static obj_t VECTOR_75___HASH_76 = BUNSPEC;
DEFINE_STRING( ILLEGAL__30___HASH_243, "Illegal init-size (not a 2 power)", 33);
obj_t STRING__0__255_ENV___HASH_184 = BUNSPEC;
DEFINE_STRING( HASHTBL_18___HASH_14, "HASHTBL", 7);
#if defined( __STDC__ )
static obj_t GET_HASH_NUMBER___HASH_157(obj_t, obj_t);
#else
static obj_t GET_HASH_NUMBER___HASH_157();
#endif
static obj_t MAKE_HAS_3___HASH_178 = BUNSPEC;
DEFINE_STRING( NOT_A__H_123___HASH_157, "not a `HASHTBL' structure", 25);
static obj_t Z______107___HASH_189 = BUNSPEC;
static obj_t POWER____307___HASH_192 = BUNSPEC;
DEFINE_STRING( HASHTBL_213___HASH_196, "HASHTBL", 7);
DEFINE_STRING( MAKE_HAS_8___HASH_42, "make-hash-table", 15);
DEFINE_STRING( ILLEGAL__63___HASH_26, "Illegal get-hash-function", 25);
#if defined( __STDC__ )
extern obj_t ____HASH_INITIALISATION___HASH_63(obj_t);
#else
extern obj_t ____HASH_INITIALISATION___HASH_63();
#endif
#if defined( __STDC__ )
extern obj_t OBJ__0__255___HASH_110(obj_t);
#else
extern obj_t OBJ__0__255___HASH_110();
#endif
static obj_t PAIR_____236___HASH_14 = BUNSPEC;
DEFINE_STRING( NOT_A__H_116___HASH_100, "not a `HASHTBL' structure", 25);
DEFINE_STRING( VECTOR_R_176___HASH_181, "vector-ref", 10);
DEFINE_STRING( STRUCT_R_94___HASH_14, "struct-ref", 10);
DEFINE_STRING( HASHTBL_48___HASH_100, "HASHTBL", 7);
static obj_t HASH_NUM_178___HASH_238 = BUNSPEC;
DEFINE_STRING( STRUCT_S_229___HASH_207, "struct-set!:not an instance of", 30);
static obj_t HASH_FUN_59___HASH_62 = BUNSPEC;
DEFINE_STRING( STRUCT_R_110___HASH_75, "struct-ref", 10);
static obj_t N______101___HASH_225 = BUNSPEC;
DEFINE_STRING( HASHTBL_97___HASH_251, "HASHTBL", 7);
static obj_t BUCKET___179___HASH_140 = BUNSPEC;
static obj_t POWER____312___HASH_53 = BUNSPEC;
DEFINE_STRING( STRUCT_R_239___HASH_67, "struct-ref", 10);
#if defined( __STDC__ )
extern obj_t INT__0__2_X_1___HASH_62(obj_t, obj_t);
#else
extern obj_t INT__0__2_X_1___HASH_62();
#endif
DEFINE_STRING( MAKE_HAS_27___HASH_204, "make-hash-table", 15);
static obj_t GET_KEY__88___HASH_204 = BUNSPEC;
static obj_t R_____136___HASH_99 = BUNSPEC;
DEFINE_STRING( NOT_A__H_207___HASH_96, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_279___HASH_76, "struct-ref:not an instance of", 29);
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
static obj_t OLD_TABL_298___HASH_98 = BUNSPEC;
obj_t HASH_TABLE__ENV___HASH_25 = BUNSPEC;
static obj_t HASHTBL_10___HASH_191 = BUNSPEC;
DEFINE_STRING( HASHTBL_93___HASH_201, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_212___HASH_35, "struct-ref:not an instance of", 29);
static obj_t BUCKET___144___HASH_199 = BUNSPEC;
DEFINE_STRING( NOT_A__H_245___HASH_75, "not a `HASHTBL' structure", 25);
static obj_t HASH_EQ__157___HASH_5 = BUNSPEC;
DEFINE_STRING( STRUCT_S_289___HASH_5, "struct-set!:not an instance of", 30);
static obj_t PAIR_____192___HASH_63 = BUNSPEC;
DEFINE_STRING( INIT_SIZ_9___HASH_208, "init-size greater than max-size !", 33);
#if defined( __STDC__ )
extern obj_t __STRING__0__2_X_1___HASH_46(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING__0__2_X_1___HASH_46();
#endif
DEFINE_STRING( STRUCT_S_244___HASH_180, "struct-set!", 11);
#if defined( __STDC__ )
extern obj_t __REM_KEY_HASH____HASH_70(obj_t, obj_t, obj_t);
#else
extern obj_t __REM_KEY_HASH____HASH_70();
#endif
static obj_t HASH_FUN_57___HASH_46 = BUNSPEC;
static obj_t VEC_____128___HASH_39 = BUNSPEC;
static obj_t PAIR_____202___HASH_76 = BUNSPEC;
static obj_t MAKE_HAS_2___HASH_205 = BUNSPEC;
DEFINE_STRING( STRUCT_S_198___HASH_103, "struct-set!:not an instance of", 30);
static obj_t PUT_HASH_91___HASH_243 = BUNSPEC;
DEFINE_STRING( STRUCT_R_134___HASH_43, "struct-ref", 10);
static obj_t HASH_NUM_131___HASH_94 = BUNSPEC;
obj_t REM_OBJ_HASH__ENV___HASH_108 = BUNSPEC;
static obj_t SIZE_____26___HASH_39 = BUNSPEC;
extern obj_t TYPE_ERROR___ERROR_146();
DEFINE_STRING( STRUCT_R_33___HASH_46, "struct-ref:not an instance of", 29);
static obj_t L_____184___HASH_48 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t HASH_TABLE_NB_ENTRY___HASH_219(obj_t);
#else
extern obj_t HASH_TABLE_NB_ENTRY___HASH_219();
#endif
DEFINE_STRING( VECTOR_R_267___HASH_48, "vector-ref", 10);
static obj_t SIZE_____284___HASH_76 = BUNSPEC;
obj_t PUT_HASH__ENV___HASH_56 = BUNSPEC;
extern obj_t make_va_procedure();
DEFINE_STRING( STRUCT_R_161___HASH_179, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_281___HASH_204, "struct-ref", 10);
static obj_t STRING___308___HASH_242 = BUNSPEC;
static obj_t GET_HASH_55___HASH_137 = BUNSPEC;
DEFINE_STRING( STRUCT_S_150___HASH_106, "struct-set!:not an instance of", 30);
static obj_t R_____149___HASH_113 = BUNSPEC;
DEFINE_STRING( STRUCT_S_15___HASH_251, "struct-set!:not an instance of", 30);
DEFINE_STRING( WRONG_NU_249___HASH_107, "Wrong number of arguments for", 29);
#if defined( __STDC__ )
extern obj_t FOR_EACH_HASH___HASH_57(obj_t, obj_t);
#else
extern obj_t FOR_EACH_HASH___HASH_57();
#endif
static obj_t INT______311___HASH_214 = BUNSPEC;
DEFINE_STRING( STRUCT_S_242___HASH_100, "struct-set!:not an instance of", 30);
DEFINE_STRING( HASHTBL_16___HASH_156, "HASHTBL", 7);
static obj_t STRING___306___HASH_179 = BUNSPEC;
static obj_t OBJ_____319___HASH_105 = BUNSPEC;
DEFINE_STRING( STRUCT_R_285___HASH_176, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_S_231___HASH_254, "struct-set!", 11);
DEFINE_STRING( WRONG_NU_156___HASH_206, "Wrong number of arguments for", 29);
DEFINE_STRING( STRUCT_R_147___HASH_149, "struct-ref", 10);
DEFINE_STRING( HASHTBL_168___HASH_108, "HASHTBL", 7);
static obj_t STRING___303___HASH_73 = BUNSPEC;
static obj_t HASH_TAB_32___HASH_5 = BUNSPEC;
static obj_t INT_____310___HASH_62 = BUNSPEC;
DEFINE_STRING( HASHTBL_151___HASH_13, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_69___HASH_221, "not a `HASHTBL' structure", 25);
static obj_t VEC_____175___HASH_220 = BUNSPEC;
DEFINE_STRING( NOT_A__H_170___HASH_234, "not a `HASHTBL' structure", 25);
#if defined( __STDC__ )
extern obj_t PUT_HASH____HASH_143(obj_t, obj_t);
#else
extern obj_t PUT_HASH____HASH_143();
#endif
DEFINE_STRING( STRUCT_R_180___HASH_106, "struct-ref:not an instance of", 29);
#if defined( __STDC__ )
extern obj_t __STRING__0__255___HASH_177(obj_t, obj_t);
#else
extern obj_t __STRING__0__255___HASH_177();
#endif
DEFINE_STRING( INDEX_OU_142___HASH_151, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t HASH_TABLE____HASH_220(obj_t);
#else
extern obj_t HASH_TABLE____HASH_220();
#endif
static obj_t REM_KEY__203___HASH_213 = BUNSPEC;
DEFINE_STRING( HASHTBL_52___HASH_168, "HASHTBL", 7);
static obj_t GET_HASH_74___HASH_191 = BUNSPEC;
DEFINE_STRING( STRUCT_R_214___HASH_55, "struct-ref", 10);
static obj_t GET_KEY__222___HASH_200 = BUNSPEC;
static obj_t L_____241___HASH_234 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REM_KEY_HASH____HASH_125(obj_t, obj_t);
#else
extern obj_t REM_KEY_HASH____HASH_125();
#endif
static obj_t GET_KEY__252___HASH_166 = BUNSPEC;
extern obj_t MODULO___R4_NUMBERS_6_5_FIXNUM_157();
DEFINE_STRING( NOT_A__H_240___HASH_93, "not a `HASHTBL' structure", 25);
DEFINE_STRING( NOT_A__H_201___HASH_198, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_70___HASH_167, "struct-ref:not an instance of", 29);
DEFINE_STRING( HASHTBL_125___HASH_249, "HASHTBL", 7);
static obj_t GET_KEY__85___HASH_27 = BUNSPEC;
DEFINE_STRING( STRUCT_R_208___HASH_92, "struct-ref:not an instance of", 29);
DEFINE_STRING( FOR_EACH_264___HASH_74, "for-each", 8);
static obj_t RES_____64___HASH_43 = BUNSPEC;
DEFINE_STRING( BIGLOO___0___HASH_123, "Bigloo (v1.7)", 13);
DEFINE_STRING( STRUCT_R_103___HASH_94, "struct-ref:not an instance of", 29);
extern long get_hash_number_from_int();
DEFINE_STRING( HASHTBL_205___HASH_23, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_73___HASH_244, "not a `HASHTBL' structure", 25);
#if defined( __STDC__ )
extern obj_t STRING__0__255___HASH_55(obj_t);
#else
extern obj_t STRING__0__255___HASH_55();
#endif
DEFINE_STRING( NOT_A__H_36___HASH_53, "not a `HASHTBL' structure", 25);
DEFINE_STRING( NOT_A__H_46___HASH_41, "not a `HASHTBL' structure", 25);
DEFINE_STRING( NOT_A__H_95___HASH_55, "not a `HASHTBL' structure", 25);
DEFINE_STRING( NOT_A__H_227___HASH_100, "not a `HASHTBL' structure", 25);
obj_t HASH_TABLE__VECTOR_ENV___HASH_53 = BUNSPEC;
DEFINE_STRING( HASHTBL_146___HASH_124, "HASHTBL", 7);
obj_t HASH_TABLE_NB_ENTRY_ENV___HASH_108 = BUNSPEC;
static obj_t GET_KEY__248___HASH_89 = BUNSPEC;
static obj_t STRING_304___HASH_153 = BUNSPEC;
DEFINE_STRING( NOT_A__H_153___HASH_223, "not a `HASHTBL' structure", 25);
static obj_t BUCKET___86___HASH_206 = BUNSPEC;
DEFINE_STRING( STRUCT_R_287___HASH_220, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_167___HASH_240, "struct-ref:not an instance of", 29);
DEFINE_STRING( HASHTBL_290___HASH_1, "HASHTBL", 7);
static obj_t REM_OBJ__158___HASH_212 = BUNSPEC;
static obj_t GET_KEY__166___HASH_13 = BUNSPEC;
DEFINE_STRING( ILLEGAL__28___HASH_248, "Illegal max-size (not a 2 power)", 32);
static obj_t REM_KEY__216___HASH_75 = BUNSPEC;
DEFINE_STRING( STRUCT_R_68___HASH_139, "struct-ref", 10);
DEFINE_STRING( NOT_A__H_41___HASH_38, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_S_185___HASH_207, "struct-set!:not an instance of", 30);
DEFINE_STRING( HASHTBL_276___HASH_220, "HASHTBL", 7);
static obj_t FOR_EACH_260___HASH_238 = BUNSPEC;
DEFINE_STRING( STRUCT_R_271___HASH_21, "struct-ref", 10);
static obj_t HASH_TAB_283___HASH_238 = BUNSPEC;
DEFINE_STRING( STRUCT_R_43___HASH_24, "struct-ref:not an instance of", 29);
DEFINE_STRING( VECTOR_R_77___HASH_180, "vector-ref", 10);
static obj_t HASH_TAB_274___HASH_219 = BUNSPEC;
static obj_t INIT_SIZ_5___HASH_154 = BUNSPEC;
obj_t STRING__0__2_X_1_ENV___HASH_140 = BUNSPEC;
DEFINE_STRING( HASHTBL_133___HASH_181, "HASHTBL", 7);
DEFINE_STRING( INDEX_OU_78___HASH_39, "index out of range", 18);
DEFINE_STRING( HASHTBL_81___HASH_33, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_204___HASH_179, "struct-ref:not an instance of", 29);
#if defined( __STDC__ )
extern obj_t __REM_OBJ_HASH____HASH_77(obj_t, obj_t, obj_t);
#else
extern obj_t __REM_OBJ_HASH____HASH_77();
#endif
obj_t REM_KEY_HASH__ENV___HASH_82 = BUNSPEC;
static obj_t OBJ______317___HASH_158 = BUNSPEC;
obj_t OBJ__0__2_X_1_ENV___HASH_127 = BUNSPEC;
DEFINE_STRING( STRUCT_S_200___HASH_16, "struct-set!", 11);
static obj_t PAIR_____246___HASH_26 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____HASH_52 = BUNSPEC;
static obj_t BUCKET___223___HASH_208 = BUNSPEC;
DEFINE_STRING( FOR_EACH_301___HASH_68, "for-each", 8);
static obj_t CHAR_315___HASH_117 = BUNSPEC;
static obj_t SIZE_____61___HASH_247 = BUNSPEC;
DEFINE_STRING( HASHTBL_238___HASH_153, "HASHTBL", 7);
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
DEFINE_STRING( INDEX_OU_219___HASH_3, "index out of range", 18);
DEFINE_STRING( NOT_A__H_127___HASH_211, "not a `HASHTBL' structure", 25);
static obj_t ___HASH_1___HASH_63 = BUNSPEC;
DEFINE_STRING( STRUCT_R_210___HASH_166, "struct-ref", 10);
static obj_t GET_HASH_42___HASH_221 = BUNSPEC;
DEFINE_STRING( STRUCT_S_23___HASH_68, "struct-set!:not an instance of", 30);
DEFINE_STRING( NOT_A__H_259___HASH_85, "not a `HASHTBL' structure", 25);
#if defined( __STDC__ )
extern obj_t __HASH_TABLE____HASH_123(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE____HASH_123();
#endif
static obj_t OBJ_____316___HASH_128 = BUNSPEC;
DEFINE_STRING( NOT_A__H_282___HASH_211, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_40___HASH_163, "struct-ref", 10);
static obj_t REM_OBJ__163___HASH_87 = BUNSPEC;
DEFINE_STRING( INDEX_OU_300___HASH_250, "index out of range", 18);
DEFINE_STRING( STRUCT_S_152___HASH_114, "struct-set!", 11);
DEFINE_STRING( NOT_A__H_196___HASH_40, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_82___HASH_76, "struct-ref", 10);
static obj_t INT______309___HASH_129 = BUNSPEC;
static obj_t OBJ______314___HASH_139 = BUNSPEC;
static obj_t BUCKET___191___HASH_143 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t OBJ__0__2_X_1___HASH_19(obj_t, obj_t);
#else
extern obj_t OBJ__0__2_X_1___HASH_19();
#endif
DEFINE_STRING( STRUCT_R_80___HASH_80, "struct-ref:not an instance of", 29);
obj_t GET_HASH_ENV___HASH_96 = BUNSPEC;
DEFINE_STRING( WRONG_NU_253___HASH_127, "Wrong number of arguments for", 29);
extern obj_t make_vector();
extern long get_hash_number_from_int();
DEFINE_STRING( HASHTBL_114___HASH_124, "HASHTBL", 7);
DEFINE_STRING( NOT_A__H_296___HASH_199, "not a `HASHTBL' structure", 25);
DEFINE_STRING( HASHTBL_181___HASH_221, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_122___HASH_194, "struct-ref", 10);
DEFINE_STRING( VECTOR_R_299___HASH_16, "vector-ref", 10);
DEFINE_STRING( NOT_A__H_232___HASH_31, "not a `HASHTBL' structure", 25);
#if defined( __STDC__ )
extern obj_t REM_OBJ_HASH____HASH_219(obj_t, obj_t);
#else
extern obj_t REM_OBJ_HASH____HASH_219();
#endif
DEFINE_STRING( STRUCT_R_159___HASH_201, "struct-ref:not an instance of", 29);
DEFINE_STRING( WRONG_NU_89___HASH_185, "Wrong number of arguments for", 29);
static obj_t L_____273___HASH_165 = BUNSPEC;
DEFINE_STRING( HASHTBL_71___HASH_198, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_182___HASH_114, "struct-ref", 10);
DEFINE_STRING( NOT_A__H_292___HASH_221, "not a `HASHTBL' structure", 25);
obj_t MAKE_HASH_TABLE_ENV___HASH_33 = BUNSPEC;
DEFINE_STRING( HASHTBL_14___HASH_71, "HASHTBL", 7);
DEFINE_STRING( HASHTBL_186___HASH_12, "HASHTBL", 7);
static obj_t HASH_EQ__254___HASH_49 = BUNSPEC;
DEFINE_STRING( STRUCT_R_45___HASH_148, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_277___HASH_98, "struct-ref", 10);
obj_t FOR_EACH_HASH_ENV___HASH_124 = BUNSPEC;
DEFINE_STRING( NOT_A__H_162___HASH_196, "not a `HASHTBL' structure", 25);
static obj_t N______102___HASH_52 = BUNSPEC;
DEFINE_STRING( INDEX_OU_177___HASH_150, "index out of range", 18);
DEFINE_STRING( STRUCT_R_72___HASH_104, "struct-ref", 10);
static obj_t VEC_____217___HASH_105 = BUNSPEC;
DEFINE_STRING( STRUCT_R_113___HASH_69, "struct-ref:not an instance of", 29);
DEFINE_STRING( HASHTBL_243___HASH_189, "HASHTBL", 7);
#if defined( __STDC__ )
extern obj_t HASH_TABLE__VECTOR___HASH_132(obj_t);
#else
extern obj_t HASH_TABLE__VECTOR___HASH_132();
#endif
static obj_t L_____197___HASH_137 = BUNSPEC;
DEFINE_STRING( HASHTBL_257___HASH_13, "HASHTBL", 7);
DEFINE_STRING( HASHTBL_280___HASH_188, "HASHTBL", 7);
DEFINE_STRING( HASHTBL_67___HASH_249, "HASHTBL", 7);
static obj_t HASH_EQ__90___HASH_241 = BUNSPEC;
DEFINE_STRING( HASHTBL_22___HASH_52, "HASHTBL", 7);
static obj_t GET_HASH_65___HASH_124 = BUNSPEC;
DEFINE_STRING( INDEX_OU_268___HASH_17, "index out of range", 18);
DEFINE_STRING( STRUCT_R_269___HASH_105, "struct-ref:not an instance of", 29);
DEFINE_STRING( NOT_A__H_83___HASH_83, "not a `HASHTBL' structure", 25);
DEFINE_STRING( NOT_A__H_140___HASH_25, "not a `HASHTBL' structure", 25);
extern obj_t ___HASH_INITIALISATION___HASH_224();
DEFINE_STRING( INDEX_OU_190___HASH_140, "index out of range", 18);
static obj_t GET_KEY__155___HASH_200 = BUNSPEC;
static obj_t VEC_____266___HASH_25 = BUNSPEC;
extern obj_t make_fx_procedure();
obj_t ___HASH_INITIALISATION_ENV___HASH_179 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __HASH_TABLE__VECTOR___HASH_153(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE__VECTOR___HASH_153();
#endif
DEFINE_STRING( WRONG_NU_251___HASH_190, "Wrong number of arguments for", 29);
DEFINE_STRING( HASHTBL_225___HASH_84, "HASHTBL", 7);
static obj_t HASH_NUM_220___HASH_10 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PUT_HASH____HASH_49(obj_t, obj_t, obj_t);
#else
extern obj_t __PUT_HASH____HASH_49();
#endif
obj_t INT__0__255_ENV___HASH_111 = BUNSPEC;
DEFINE_STRING( HASHTBL_194___HASH_180, "HASHTBL", 7);
extern long get_hash_power_number();
#if defined( __STDC__ )
extern obj_t __GET_HASH___HASH_178(obj_t, obj_t, obj_t);
#else
extern obj_t __GET_HASH___HASH_178();
#endif
DEFINE_STRING( STRUCT_R_171___HASH_124, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_S_11___HASH_201, "struct-set!:not an instance of", 30);
DEFINE_STRING( HASHTBL_160___HASH_88, "HASHTBL", 7);
DEFINE_STRING( INDEX_OU_130___HASH_211, "index out of range", 18);
DEFINE_STRING( INDEX_OU_234___HASH_79, "index out of range", 18);
DEFINE_STRING( VECTOR_S_233___HASH_94, "vector-set!", 11);
static obj_t DONE_297___HASH_111 = BUNSPEC;
DEFINE_STRING( STRUCT_R_96___HASH_216, "struct-ref:not an instance of", 29);
static obj_t HASH_TAB_37___HASH_44 = BUNSPEC;
static obj_t NUMBER_6___HASH_174 = BUNSPEC;
static obj_t PAIR_4___HASH_74 = BUNSPEC;
DEFINE_STRING( STRUCT_S_21___HASH_130, "struct-set!:not an instance of", 30);
static obj_t GET_KEY__117___HASH_98 = BUNSPEC;
DEFINE_STRING( NOT_A__H_278___HASH_249, "not a `HASHTBL' structure", 25);
#if defined( __STDC__ )
extern obj_t MAKE_HASH_TABLE___HASH_29(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_HASH_TABLE___HASH_29();
#endif
DEFINE_STRING( NOT_A__H_135___HASH_80, "not a `HASHTBL' structure", 25);
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
DEFINE_STRING( STRUCT_S_291___HASH_193, "struct-set!", 11);
#if defined( __STDC__ )
extern obj_t __FOR_EACH_HASH___HASH_209(obj_t, obj_t, obj_t);
#else
extern obj_t __FOR_EACH_HASH___HASH_209();
#endif
DEFINE_STRING( HASHTBL_209___HASH_178, "HASHTBL", 7);
static obj_t HASH_TAB_31___HASH_251 = BUNSPEC;
static obj_t INT_____313___HASH_40 = BUNSPEC;
DEFINE_STRING( STRUCT_S_295___HASH_18, "struct-set!", 11);
DEFINE_STRING( HASHTBL_44___HASH_56, "HASHTBL", 7);
#if defined( __STDC__ )
extern obj_t __OBJ__0__255___HASH_250(obj_t, obj_t);
#else
extern obj_t __OBJ__0__255___HASH_250();
#endif
DEFINE_STRING( STRUCT_R_98___HASH_71, "struct-ref", 10);
#if defined( __STDC__ )
static obj_t HASH_TABLE_GROWS____HASH_213(obj_t);
#else
static obj_t HASH_TABLE_GROWS____HASH_213();
#endif
DEFINE_STRING( VECTOR_S_141___HASH_195, "vector-set!", 11);
DEFINE_STRING( STRUCT_R_115___HASH_93, "struct-ref", 10);
DEFINE_STRING( HASHTBL_121___HASH_62, "HASHTBL", 7);
static obj_t GET_KEY__164___HASH_179 = BUNSPEC;
DEFINE_STRING( NOT_A__H_183___HASH_32, "not a `HASHTBL' structure", 25);
static obj_t HASH_EQ__221___HASH_67 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __HASH_TABLE_NB_ENTRY___HASH_108(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE_NB_ENTRY___HASH_108();
#endif
static obj_t FUN_____263___HASH_191 = BUNSPEC;
DEFINE_STRING( STRUCT_R_92___HASH_68, "struct-ref:not an instance of", 29);
DEFINE_STRING( WRONG_NU_247___HASH_162, "Wrong number of arguments for", 29);
DEFINE_STRING( NOT_A__H_288___HASH_244, "not a `HASHTBL' structure", 25);
static obj_t VECTOR___76___HASH_57 = BUNSPEC;
DEFINE_STRING( NOT_A__H_99___HASH_103, "not a `HASHTBL' structure", 25);
static obj_t BUCKET___235___HASH_115 = BUNSPEC;
DEFINE_STRING( VECTOR_S_189___HASH_180, "vector-set!", 11);
DEFINE_STRING( STRUCT_S_293___HASH_53, "struct-set!:not an instance of", 30);
#if defined( __STDC__ )
extern obj_t GET_HASH___HASH_1(obj_t, obj_t);
#else
extern obj_t GET_HASH___HASH_1();
#endif
DEFINE_STRING( STRUCT_R_169___HASH_67, "struct-ref", 10);
DEFINE_STRING( WRONG_NU_87___HASH_228, "Wrong number of arguments for", 29);
DEFINE_STRING( STRUCT_S_187___HASH_203, "struct-set!", 11);
static obj_t L_____228___HASH_186 = BUNSPEC;
DEFINE_STRING( STRUCT_R_35___HASH_173, "struct-ref", 10);
DEFINE_STRING( HASHTBL_12___HASH_41, "HASHTBL", 7);
static obj_t N______112___HASH_20 = BUNSPEC;
DEFINE_STRING( NOT_A__H_188___HASH_148, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_53___HASH_245, "struct-ref", 10);
#if defined( __STDC__ )
extern obj_t __MAKE_HASH_TABLE___HASH_59(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_HASH_TABLE___HASH_59();
#endif
DEFINE_STRING( STRUCT_S_137___HASH_247, "struct-set!:not an instance of", 30);
DEFINE_STRING( STRUCT_R_256___HASH_237, "struct-ref:not an instance of", 29);
DEFINE_STRING( HASHTBL_138___HASH_43, "HASHTBL", 7);
DEFINE_STRING( STRUCT_R_126___HASH_91, "struct-ref", 10);
#if defined( __STDC__ )
extern obj_t INT__0__255___HASH_251(obj_t);
#else
extern obj_t INT__0__255___HASH_251();
#endif
DEFINE_STRING( STRUCT_R_38___HASH_103, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_R_124___HASH_90, "struct-ref:not an instance of", 29);
DEFINE_STRING( NOT_A__H_50___HASH_53, "not a `HASHTBL' structure", 25);
static obj_t PROCEDUR_56___HASH_138 = BUNSPEC;
static obj_t FOR_EACH_255___HASH_116 = BUNSPEC;
DEFINE_STRING( STRUCT_R_51___HASH_21, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_R_132___HASH_111, "struct-ref:not an instance of", 29);
DEFINE_STRING( ARGUMENT_265___HASH_113, "argument not a list", 19);
DEFINE_STRING( WRONG_NU_118___HASH_185, "Wrong number of arguments for", 29);
DEFINE_STRING( STRUCT_S_19___HASH_73, "struct-set!:not an instance of", 30);
static obj_t FUN_____261___HASH_41 = BUNSPEC;
DEFINE_STRING( ARGUMENT_302___HASH_219, "argument not a list", 19);
static obj_t PUT_HASH_100___HASH_57 = BUNSPEC;
static obj_t HASH_EQ__250___HASH_61 = BUNSPEC;
DEFINE_STRING( STRUCT_R_193___HASH_40, "struct-ref:not an instance of", 29);
DEFINE_STRING( NOT_A__H_215___HASH_231, "not a `HASHTBL' structure", 25);
DEFINE_STRING( STRUCT_R_105___HASH_236, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_49___HASH_105, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_195___HASH_103, "struct-ref", 10);
DEFINE_STRING( STRUCT_R_275___HASH_95, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_R_47___HASH_87, "struct-ref:not an instance of", 29);
DEFINE_STRING( STRUCT_R_173___HASH_85, "struct-ref", 10);
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();

static obj_t _2_POWER__258_176();

obj_t
#if defined( __STDC__ )
___HASH_INITIALISATION___HASH_224()
#else
___HASH_INITIALISATION___HASH_224()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____HASH_52 ))
{
REQUIRE_INITIALISATION____HASH_52=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
___SYSTEM_INITIALISATION___SYSTEM_109();
L_____197___HASH_137=c_string_to_symbol( "L@511" );
REM_OBJ__163___HASH_87=c_string_to_symbol( "REM-OBJ-HASH!@__HASH" );
N______101___HASH_225=c_string_to_symbol( "N2@438" );
OBJ______314___HASH_139=c_string_to_symbol( "OBJ->0..255@__HASH" );
GET_KEY__119___HASH_76=c_string_to_symbol( "GET-KEY@763" );
HASH_NUM_220___HASH_10=c_string_to_symbol( "HASH-NUM@309" );
INT_____313___HASH_40=c_string_to_symbol( "INT@337" );
PROCEDUR_56___HASH_138=c_string_to_symbol( "PROCEDURE" );
FOR_EACH_260___HASH_238=c_string_to_symbol( "FOR-EACH-HASH@__HASH" );
GET_HASH_65___HASH_124=c_string_to_symbol( "GET-HASH" );
PAIR_____202___HASH_76=c_string_to_symbol( "PAIR@517" );
HASHTBL_10___HASH_191=c_string_to_symbol( "HASHTBL" );
HASH_TAB_274___HASH_219=c_string_to_symbol( "HASH-TABLE-GROWS!" );
MAKE_HAS_2___HASH_205=c_string_to_symbol( "MAKE-HASH-TABLE" );
OBJ_____319___HASH_105=c_string_to_symbol( "OBJ@340" );
L_____184___HASH_48=c_string_to_symbol( "L@500" );
HASH_EQ__221___HASH_67=c_string_to_symbol( "HASH-EQ?@308" );
BUCKET___144___HASH_199=c_string_to_symbol( "BUCKET@294" );
GET_KEY__117___HASH_98=c_string_to_symbol( "GET-KEY@287" );
HASH_EQ__143___HASH_71=c_string_to_symbol( "HASH-EQ?@289" );
STRING___305___HASH_203=c_string_to_symbol( "STRING@333" );
VECTOR_75___HASH_76=c_string_to_symbol( "VECTOR" );
N______102___HASH_52=c_string_to_symbol( "N1@437" );
HASH_TAB_37___HASH_44=c_string_to_symbol( "HASH-TABLE->VECTOR" );
REM_OBJ__158___HASH_212=c_string_to_symbol( "REM-OBJ-HASH!" );
GET_KEY__222___HASH_200=c_string_to_symbol( "GET-KEY@307" );
HASH_NUM_79___HASH_46=c_string_to_symbol( "HASH-NUM@278" );
RES_____64___HASH_43=c_string_to_symbol( "RES@275" );
L_____241___HASH_234=c_string_to_symbol( "L@540" );
INT______309___HASH_129=c_string_to_symbol( "INT->0..255@__HASH" );
HASH_EQ__157___HASH_5=c_string_to_symbol( "HASH-EQ?@785" );
OLD_TABL_298___HASH_98=c_string_to_symbol( "OLD-TABLE@326" );
MAX_SIZE_60___HASH_124=c_string_to_symbol( "MAX-SIZE@272" );
SIZE_____26___HASH_39=c_string_to_symbol( "SIZE@259" );
OBJ_____316___HASH_128=c_string_to_symbol( "OBJ@339" );
STRING___308___HASH_242=c_string_to_symbol( "STRING@334" );
VECTOR___76___HASH_57=c_string_to_symbol( "VECTOR@427" );
L_____273___HASH_165=c_string_to_symbol( "L@556" );
INT_____310___HASH_62=c_string_to_symbol( "INT@336" );
PAIR_____192___HASH_63=c_string_to_symbol( "PAIR@508" );
HASH_FUN_59___HASH_62=c_string_to_symbol( "HASH-FUNCTION@724" );
PAIR_4___HASH_74=c_string_to_symbol( "PAIR" );
PAIR_____236___HASH_14=c_string_to_symbol( "PAIR@536" );
GET_HASH_55___HASH_137=c_string_to_symbol( "GET-HASH-NUMBER@__HASH" );
L_____228___HASH_186=c_string_to_symbol( "L@530" );
___HASH_1___HASH_63=c_string_to_symbol( "__HASH" );
BUCKET___235___HASH_115=c_string_to_symbol( "BUCKET@313" );
INT______311___HASH_214=c_string_to_symbol( "INT->0..2^X-1@__HASH" );
HASH_EQ__254___HASH_49=c_string_to_symbol( "HASH-EQ?@842" );
REM_KEY__203___HASH_213=c_string_to_symbol( "REM-KEY-HASH!" );
GET_KEY__88___HASH_204=c_string_to_symbol( "GET-KEY@741" );
SIZE_____284___HASH_76=c_string_to_symbol( "SIZE@323" );
VEC_____266___HASH_25=c_string_to_symbol( "VEC@316" );
BUCKET___86___HASH_206=c_string_to_symbol( "BUCKET@283" );
SIZE_____61___HASH_247=c_string_to_symbol( "SIZE@273" );
HASH_TAB_31___HASH_251=c_string_to_symbol( "HASH-TABLE?" );
PUT_HASH_91___HASH_243=c_string_to_symbol( "PUT-HASH!" );
REM_KEY__216___HASH_75=c_string_to_symbol( "REM-KEY-HASH!@__HASH" );
POWER____312___HASH_53=c_string_to_symbol( "POWER@338" );
HASH_NUM_178___HASH_238=c_string_to_symbol( "HASH-NUM@300" );
HASH_TAB_283___HASH_238=c_string_to_symbol( "HASH-TABLE-GROWS!@__HASH" );
MAKE_HAS_3___HASH_178=c_string_to_symbol( "MAKE-HASH-TABLE@__HASH" );
FOR_EACH_255___HASH_116=c_string_to_symbol( "FOR-EACH-HASH" );
HASH_TAB_32___HASH_5=c_string_to_symbol( "HASH-TABLE-NB-ENTRY" );
NUMBER_6___HASH_174=c_string_to_symbol( "NUMBER" );
GET_KEY__164___HASH_179=c_string_to_symbol( "GET-KEY@297" );
HASH_FUN_57___HASH_46=c_string_to_symbol( "HASH-FUNCTION@271" );
GET_KEY__85___HASH_27=c_string_to_symbol( "GET-KEY@281" );
PUT_HASH_100___HASH_57=c_string_to_symbol( "PUT-HASH!@__HASH" );
GET_KEY__155___HASH_200=c_string_to_symbol( "GET-KEY@784" );
GET_HASH_74___HASH_191=c_string_to_symbol( "GET-HASH@__HASH" );
HASH_EQ__84___HASH_38=c_string_to_symbol( "HASH-EQ?@279" );
BUCKET___179___HASH_140=c_string_to_symbol( "BUCKET@302" );
GET_KEY__248___HASH_89=c_string_to_symbol( "GET-KEY@853" );
FUN_____261___HASH_41=c_string_to_symbol( "FUN@314" );
OBJ______317___HASH_158=c_string_to_symbol( "OBJ->0..2^X-1@__HASH" );
HASH_EQ__90___HASH_241=c_string_to_symbol( "HASH-EQ?@742" );
BUCKET___191___HASH_143=c_string_to_symbol( "BUCKET@304" );
INIT_SIZ_5___HASH_154=c_string_to_symbol( "INIT-SIZE@257" );
PAIR_____246___HASH_26=c_string_to_symbol( "PAIR@545" );
GET_HASH_42___HASH_221=c_string_to_symbol( "GET-HASH-NUMBER" );
CHAR_315___HASH_117=c_string_to_symbol( "CHAR" );
STRING___303___HASH_73=c_string_to_symbol( "STRING->0..255@__HASH" );
VEC_____217___HASH_105=c_string_to_symbol( "VEC@310" );
MAX_SIZE_25___HASH_198=c_string_to_symbol( "MAX-SIZE@253" );
STRING_304___HASH_153=c_string_to_symbol( "STRING" );
N______112___HASH_20=c_string_to_symbol( "N1@443" );
SIZE_____7___HASH_181=c_string_to_symbol( "SIZE@262" );
POWER____318___HASH_238=c_string_to_symbol( "POWER@341" );
HASH_NUM_131___HASH_94=c_string_to_symbol( "HASH-NUM@290" );
GET_KEY__166___HASH_13=c_string_to_symbol( "GET-KEY@798" );
Z______107___HASH_189=c_string_to_symbol( "Z1@449" );
HASH_EQ__250___HASH_61=c_string_to_symbol( "HASH-EQ?@854" );
STRING___306___HASH_179=c_string_to_symbol( "STRING->0..2^X-1@__HASH" );
VEC_____175___HASH_220=c_string_to_symbol( "VEC@301" );
DONE_297___HASH_111=c_string_to_symbol( "DONE" );
POWER____307___HASH_192=c_string_to_symbol( "POWER@335" );
VEC_____128___HASH_39=c_string_to_symbol( "VEC@291" );
GET_KEY__252___HASH_166=c_string_to_symbol( "GET-KEY@841" );
R_____149___HASH_113=c_string_to_symbol( "R@479" );
FUN_____263___HASH_191=c_string_to_symbol( "FUN@867" );
BUCKET___223___HASH_208=c_string_to_symbol( "BUCKET@311" );
R_____136___HASH_99=c_string_to_symbol( "R@463" );
{
___HASH_INITIALISATION_ENV___HASH_179=make_fx_procedure( ____HASH_INITIALISATION___HASH_63, 0, 0 );
MAKE_HASH_TABLE_ENV___HASH_33=make_va_procedure( __MAKE_HASH_TABLE___HASH_59, -5, 0 );
HASH_TABLE__ENV___HASH_25=make_fx_procedure( __HASH_TABLE____HASH_123, 1, 0 );
HASH_TABLE_NB_ENTRY_ENV___HASH_108=make_fx_procedure( __HASH_TABLE_NB_ENTRY___HASH_108, 1, 0 );
HASH_TABLE__VECTOR_ENV___HASH_53=make_fx_procedure( __HASH_TABLE__VECTOR___HASH_153, 1, 0 );
GET_HASH_ENV___HASH_96=make_fx_procedure( __GET_HASH___HASH_178, 2, 0 );
PUT_HASH__ENV___HASH_56=make_fx_procedure( __PUT_HASH____HASH_49, 2, 0 );
REM_OBJ_HASH__ENV___HASH_108=make_fx_procedure( __REM_OBJ_HASH____HASH_77, 2, 0 );
REM_KEY_HASH__ENV___HASH_82=make_fx_procedure( __REM_KEY_HASH____HASH_70, 2, 0 );
FOR_EACH_HASH_ENV___HASH_124=make_fx_procedure( __FOR_EACH_HASH___HASH_209, 2, 0 );
STRING__0__255_ENV___HASH_184=make_fx_procedure( __STRING__0__255___HASH_177, 1, 0 );
STRING__0__2_X_1_ENV___HASH_140=make_fx_procedure( __STRING__0__2_X_1___HASH_46, 2, 0 );
INT__0__255_ENV___HASH_111=make_fx_procedure( __INT__0__255___HASH_153, 1, 0 );
INT__0__2_X_1_ENV___HASH_187=make_fx_procedure( __INT__0__2_X_1___HASH_161, 2, 0 );
OBJ__0__255_ENV___HASH_29=make_fx_procedure( __OBJ__0__255___HASH_250, 1, 0 );
OBJ__0__2_X_1_ENV___HASH_127=make_fx_procedure( __OBJ__0__2_X_1___HASH_210, 2, 0 );
{
{obj_t STRING_CAST_581_101;
STRING_CAST_581_101=BREF( &BIGLOO___0___HASH_123);CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( ___HASH_1___HASH_63, STRING_CAST_581_101, BCHAR( 'b' ) );}
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____HASH_INITIALISATION___HASH_63(obj_t ENV_915_58)
#else
____HASH_INITIALISATION___HASH_63( ENV_915_58 )
obj_t ENV_915_58;
#endif
{

return ___HASH_INITIALISATION___HASH_224();
}

obj_t
#if defined( __STDC__ )
MAKE_HASH_TABLE___HASH_29(obj_t MAX_SIZE_253_191,obj_t GET_HASH_NUMBER_254_5,obj_t GET_KEY_255_19,obj_t EQ_256_239,obj_t INIT_SIZE_257_95)
#else
MAKE_HASH_TABLE___HASH_29( MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 )
obj_t MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95;
#endif
{

{
PUSH_LAMBDA_TRACE( MAKE_HAS_2___HASH_205 );
{obj_t AUX_992_103;
{obj_t SIZE_259_164;
if( NULLP( INIT_SIZE_257_95 ))
SIZE_259_164=MAX_SIZE_253_191;else
if( PAIRP( INIT_SIZE_257_95 ))
SIZE_259_164=CAR( INIT_SIZE_257_95 );else
FAILURE( MAKE_HAS_3___HASH_178, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, INIT_SIZ_5___HASH_154 ), INIT_SIZE_257_95 );{obj_t AUX_994_22;
AUX_994_22=_2_POWER__258_176( SIZE_259_164 );if( BBOOL_TO_CBOOL( AUX_994_22 ))
{obj_t AUX_993_70;
AUX_993_70=_2_POWER__258_176( MAX_SIZE_253_191 );if( BBOOL_TO_CBOOL( AUX_993_70 ))
if( INTEGERP( SIZE_259_164 ))
if( INTEGERP( MAX_SIZE_253_191 ))
if( GT_I( SIZE_259_164, MAX_SIZE_253_191 ))
FAILURE( BREF( &MAKE_HAS_8___HASH_42), BREF( &INIT_SIZ_9___HASH_208), SIZE_259_164 );else
{obj_t TABLE_260_107;
TABLE_260_107=make_vector( SIZE_259_164, BNIL );{obj_t NEW_402_240;
{obj_t TYPE_AUX_671_91;
TYPE_AUX_671_91=HASHTBL_10___HASH_191;NEW_402_240=create_struct( TYPE_AUX_671_91, BINT( 7 ) );}{
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 6 ), TABLE_260_107 );else
FAILURE( BREF( &STRUCT_S_11___HASH_201), BREF( &HASHTBL_12___HASH_41), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 5 ), EQ_256_239 );else
FAILURE( BREF( &STRUCT_S_13___HASH_44), BREF( &HASHTBL_14___HASH_71), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 4 ), BINT( 0 ) );else
FAILURE( BREF( &STRUCT_S_15___HASH_251), BREF( &HASHTBL_16___HASH_156), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 3 ), GET_KEY_255_19 );else
FAILURE( BREF( &STRUCT_S_17___HASH_232), BREF( &HASHTBL_18___HASH_14), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 2 ), GET_HASH_NUMBER_254_5 );else
FAILURE( BREF( &STRUCT_S_19___HASH_73), BREF( &HASHTBL_20___HASH_74), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 1 ), SIZE_259_164 );else
FAILURE( BREF( &STRUCT_S_21___HASH_130), BREF( &HASHTBL_22___HASH_52), NEW_402_240 );
if( EQP( STRUCT_KEY( NEW_402_240 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( NEW_402_240, BINT( 0 ), MAX_SIZE_253_191 );else
FAILURE( BREF( &STRUCT_S_23___HASH_68), BREF( &HASHTBL_24___HASH_238), NEW_402_240 );
AUX_992_103=NEW_402_240;
}}}else
FAILURE( MAKE_HAS_3___HASH_178, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, MAX_SIZE_25___HASH_198 ), MAX_SIZE_253_191 );else
FAILURE( MAKE_HAS_3___HASH_178, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, SIZE_____26___HASH_39 ), SIZE_259_164 );else
FAILURE( BREF( &MAKE_HAS_27___HASH_204), BREF( &ILLEGAL__28___HASH_248), MAX_SIZE_253_191 );}else
FAILURE( BREF( &MAKE_HAS_29___HASH_246), BREF( &ILLEGAL__30___HASH_243), SIZE_259_164 );}}return POP_LAMBDA_TRACE( AUX_992_103 );}
}
}

static obj_t
#if defined( __STDC__ )
_2_POWER__258_176(obj_t SIZE_262_40)
#else
_2_POWER__258_176( SIZE_262_40 )
obj_t SIZE_262_40;
#endif
{

{obj_t N_264_4;
{
N_264_4=BINT( 1 );
{_LOOP_263_57:

{obj_t NUM_265_227;
NUM_265_227=BITLSH( BINT( 1 ), N_264_4 );if( INTEGERP( SIZE_262_40 ))
if( EQ_I( NUM_265_227, SIZE_262_40 ))
return BTRUE;else
if( LT_I( NUM_265_227, SIZE_262_40 ))
{obj_t N_991_86;
N_991_86=N_264_4;{
N_264_4=ADD_I_PTAG( N_991_86, PSUB_TAG( 1 ) );
goto _LOOP_263_57;
}}else
return BFALSE;else
FAILURE( MAKE_HAS_3___HASH_178, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, SIZE_____7___HASH_181 ), SIZE_262_40 );}}
}}
}

obj_t
#if defined( __STDC__ )
__MAKE_HASH_TABLE___HASH_59(obj_t ENV_914_22,obj_t MAX_SIZE_253_191,obj_t GET_HASH_NUMBER_254_5,obj_t GET_KEY_255_19,obj_t EQ_256_239,obj_t INIT_SIZE_257_95)
#else
__MAKE_HASH_TABLE___HASH_59( ENV_914_22, MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 )
obj_t ENV_914_22, MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95;
#endif
{

return MAKE_HASH_TABLE___HASH_29( MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE____HASH_220(obj_t OBJ_266_167)
#else
HASH_TABLE____HASH_220( OBJ_266_167 )
obj_t OBJ_266_167;
#endif
{

{
PUSH_LAMBDA_TRACE( HASH_TAB_31___HASH_251 );
{obj_t AUX_990_12;
if( STRUCTP( OBJ_266_167 ))
AUX_990_12=CBOOL_TO_BBOOL( EQP( STRUCT_KEY( OBJ_266_167 ), HASHTBL_10___HASH_191 ) );else
AUX_990_12=BFALSE;return POP_LAMBDA_TRACE( AUX_990_12 );}
}
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE____HASH_123(obj_t ENV_913_70,obj_t OBJ_266_167)
#else
__HASH_TABLE____HASH_123( ENV_913_70, OBJ_266_167 )
obj_t ENV_913_70, OBJ_266_167;
#endif
{

return HASH_TABLE____HASH_220( OBJ_266_167 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE_NB_ENTRY___HASH_219(obj_t TABLE_267_234)
#else
HASH_TABLE_NB_ENTRY___HASH_219( TABLE_267_234 )
obj_t TABLE_267_234;
#endif
{

{
PUSH_LAMBDA_TRACE( HASH_TAB_32___HASH_5 );
{obj_t AUX_989_196;
if( STRUCTP( TABLE_267_234 ))
if( EQP( STRUCT_KEY( TABLE_267_234 ), HASHTBL_10___HASH_191 ))
AUX_989_196=STRUCT_SLOT_REF( TABLE_267_234, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_33___HASH_46), BREF( &HASHTBL_34___HASH_137), TABLE_267_234 );else
FAILURE( BREF( &STRUCT_R_35___HASH_173), BREF( &NOT_A__H_36___HASH_53), TABLE_267_234 );return POP_LAMBDA_TRACE( AUX_989_196 );}
}
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE_NB_ENTRY___HASH_108(obj_t ENV_912_103,obj_t TABLE_267_234)
#else
__HASH_TABLE_NB_ENTRY___HASH_108( ENV_912_103, TABLE_267_234 )
obj_t ENV_912_103, TABLE_267_234;
#endif
{

return HASH_TABLE_NB_ENTRY___HASH_219( TABLE_267_234 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE__VECTOR___HASH_132(obj_t TABLE_268_73)
#else
HASH_TABLE__VECTOR___HASH_132( TABLE_268_73 )
obj_t TABLE_268_73;
#endif
{

{
PUSH_LAMBDA_TRACE( HASH_TAB_37___HASH_44 );
{obj_t AUX_988_43;
if( STRUCTP( TABLE_268_73 ))
if( EQP( STRUCT_KEY( TABLE_268_73 ), HASHTBL_10___HASH_191 ))
AUX_988_43=STRUCT_SLOT_REF( TABLE_268_73, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_38___HASH_103), BREF( &HASHTBL_39___HASH_244), TABLE_268_73 );else
FAILURE( BREF( &STRUCT_R_40___HASH_163), BREF( &NOT_A__H_41___HASH_38), TABLE_268_73 );return POP_LAMBDA_TRACE( AUX_988_43 );}
}
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE__VECTOR___HASH_153(obj_t ENV_911_181,obj_t TABLE_268_73)
#else
__HASH_TABLE__VECTOR___HASH_153( ENV_911_181, TABLE_268_73 )
obj_t ENV_911_181, TABLE_268_73;
#endif
{

return HASH_TABLE__VECTOR___HASH_132( TABLE_268_73 );
}

static obj_t
#if defined( __STDC__ )
GET_HASH_NUMBER___HASH_157(obj_t TABLE_269_173,obj_t KEY_270_201)
#else
GET_HASH_NUMBER___HASH_157( TABLE_269_173, KEY_270_201 )
obj_t TABLE_269_173, KEY_270_201;
#endif
{

{
PUSH_LAMBDA_TRACE( GET_HASH_42___HASH_221 );
{obj_t AUX_987_84;
{obj_t HASH_FUNCTION_271_185;
if( STRUCTP( TABLE_269_173 ))
if( EQP( STRUCT_KEY( TABLE_269_173 ), HASHTBL_10___HASH_191 ))
HASH_FUNCTION_271_185=STRUCT_SLOT_REF( TABLE_269_173, BINT( 2 ) );else
FAILURE( BREF( &STRUCT_R_43___HASH_24), BREF( &HASHTBL_44___HASH_56), TABLE_269_173 );else
FAILURE( BREF( &STRUCT_R_45___HASH_148), BREF( &NOT_A__H_46___HASH_41), TABLE_269_173 );{obj_t MAX_SIZE_272_66;
if( STRUCTP( TABLE_269_173 ))
if( EQP( STRUCT_KEY( TABLE_269_173 ), HASHTBL_10___HASH_191 ))
MAX_SIZE_272_66=STRUCT_SLOT_REF( TABLE_269_173, BINT( 0 ) );else
FAILURE( BREF( &STRUCT_R_47___HASH_87), BREF( &HASHTBL_48___HASH_100), TABLE_269_173 );else
FAILURE( BREF( &STRUCT_R_49___HASH_105), BREF( &NOT_A__H_50___HASH_53), TABLE_269_173 );{obj_t SIZE_273_54;
if( STRUCTP( TABLE_269_173 ))
if( EQP( STRUCT_KEY( TABLE_269_173 ), HASHTBL_10___HASH_191 ))
SIZE_273_54=STRUCT_SLOT_REF( TABLE_269_173, BINT( 1 ) );else
FAILURE( BREF( &STRUCT_R_51___HASH_21), BREF( &HASHTBL_52___HASH_168), TABLE_269_173 );else
FAILURE( BREF( &STRUCT_R_53___HASH_245), BREF( &NOT_A__H_54___HASH_3), TABLE_269_173 );{obj_t NUM_274_224;
{obj_t HASH_FUNCTION_724_83;
if( PROCEDUREP( HASH_FUNCTION_271_185 ))
HASH_FUNCTION_724_83=HASH_FUNCTION_271_185;else
FAILURE( GET_HASH_55___HASH_137, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, HASH_FUN_57___HASH_46 ), HASH_FUNCTION_271_185 );if( PROCEDURE_CORRECT_ARITYP( HASH_FUNCTION_724_83, 1 ))
NUM_274_224=PROCEDURE_ENTRY( HASH_FUNCTION_724_83 )( HASH_FUNCTION_724_83, KEY_270_201, BEOA );else
FAILURE( GET_HASH_55___HASH_137, BREF( &WRONG_NU_58___HASH_61), HASH_FUN_59___HASH_62 );}{obj_t RES_275_24;
if( INTEGERP( SIZE_273_54 ))
if( INTEGERP( MAX_SIZE_272_66 ))
if( LT_I( SIZE_273_54, MAX_SIZE_272_66 ))
RES_275_24=MODULO___R4_NUMBERS_6_5_FIXNUM_157( NUM_274_224, SIZE_273_54 );else
RES_275_24=NUM_274_224;else
FAILURE( GET_HASH_55___HASH_137, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, MAX_SIZE_60___HASH_124 ), MAX_SIZE_272_66 );else
FAILURE( GET_HASH_55___HASH_137, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, SIZE_____61___HASH_247 ), SIZE_273_54 );if( INTEGERP( RES_275_24 ))
if( INTEGERP( MAX_SIZE_272_66 ))
if( GE_I( RES_275_24, MAX_SIZE_272_66 ))
FAILURE( BREF( &GET_HASH_62___HASH_193), BREF( &ILLEGAL__63___HASH_26), TABLE_269_173 );else
AUX_987_84=RES_275_24;else
FAILURE( GET_HASH_55___HASH_137, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, MAX_SIZE_60___HASH_124 ), MAX_SIZE_272_66 );else
FAILURE( GET_HASH_55___HASH_137, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, RES_____64___HASH_43 ), RES_275_24 );}}}}}return POP_LAMBDA_TRACE( AUX_987_84 );}
}
}

obj_t
#if defined( __STDC__ )
GET_HASH___HASH_1(obj_t KEY_276_218,obj_t TABLE_277_131)
#else
GET_HASH___HASH_1( KEY_276_218, TABLE_277_131 )
obj_t KEY_276_218, TABLE_277_131;
#endif
{

{
PUSH_LAMBDA_TRACE( GET_HASH_65___HASH_124 );
{obj_t AUX_984_214;
{obj_t HASH_NUM_278_233;
HASH_NUM_278_233=GET_HASH_NUMBER___HASH_157( TABLE_277_131, KEY_276_218 );{obj_t HASH_EQ__279_203;
if( STRUCTP( TABLE_277_131 ))
if( EQP( STRUCT_KEY( TABLE_277_131 ), HASHTBL_10___HASH_191 ))
HASH_EQ__279_203=STRUCT_SLOT_REF( TABLE_277_131, BINT( 5 ) );else
FAILURE( BREF( &STRUCT_R_66___HASH_211), BREF( &HASHTBL_67___HASH_249), TABLE_277_131 );else
FAILURE( BREF( &STRUCT_R_68___HASH_139), BREF( &NOT_A__H_69___HASH_221), TABLE_277_131 );{obj_t BUCKET_280_99;
{obj_t VECTOR_427_31;
if( STRUCTP( TABLE_277_131 ))
if( EQP( STRUCT_KEY( TABLE_277_131 ), HASHTBL_10___HASH_191 ))
VECTOR_427_31=STRUCT_SLOT_REF( TABLE_277_131, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_70___HASH_167), BREF( &HASHTBL_71___HASH_198), TABLE_277_131 );else
FAILURE( BREF( &STRUCT_R_72___HASH_104), BREF( &NOT_A__H_73___HASH_244), TABLE_277_131 );if( INTEGERP( HASH_NUM_278_233 ))
{obj_t C_VECTOR_LENGTH_429_24;
if( VECTORP( VECTOR_427_31 ))
C_VECTOR_LENGTH_429_24=VECTOR_LENGTH( VECTOR_427_31 );else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VECTOR___76___HASH_57 ), VECTOR_427_31 );if( BOUND_CHECK( HASH_NUM_278_233, C_VECTOR_LENGTH_429_24 ))
if( VECTORP( VECTOR_427_31 ))
BUCKET_280_99=VECTOR_REF( VECTOR_427_31, HASH_NUM_278_233 );else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VECTOR___76___HASH_57 ), VECTOR_427_31 );else
FAILURE( BREF( &VECTOR_R_77___HASH_180), BREF( &INDEX_OU_78___HASH_39), HASH_NUM_278_233 );}else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_79___HASH_46 ), HASH_NUM_278_233 );}{obj_t GET_KEY_281_5;
if( STRUCTP( TABLE_277_131 ))
if( EQP( STRUCT_KEY( TABLE_277_131 ), HASHTBL_10___HASH_191 ))
GET_KEY_281_5=STRUCT_SLOT_REF( TABLE_277_131, BINT( 3 ) );else
FAILURE( BREF( &STRUCT_R_80___HASH_80), BREF( &HASHTBL_81___HASH_33), TABLE_277_131 );else
FAILURE( BREF( &STRUCT_R_82___HASH_76), BREF( &NOT_A__H_83___HASH_83), TABLE_277_131 );{obj_t BUCKET_283_175;
{
BUCKET_283_175=BUCKET_280_99;
{_LOOP_282_132:

if( NULLP( BUCKET_283_175 ))
AUX_984_214=BFALSE;else
{obj_t HASH_EQ__742_135;
if( PROCEDUREP( HASH_EQ__279_203 ))
HASH_EQ__742_135=HASH_EQ__279_203;else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, HASH_EQ__84___HASH_38 ), HASH_EQ__279_203 );if( PROCEDURE_CORRECT_ARITYP( HASH_EQ__742_135, 2 ))
{obj_t GET_KEY_741_10;
if( PROCEDUREP( GET_KEY_281_5 ))
GET_KEY_741_10=GET_KEY_281_5;else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__85___HASH_27 ), GET_KEY_281_5 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_741_10, 1 ))
{obj_t C_CAR_434_153;
if( PAIRP( BUCKET_283_175 ))
C_CAR_434_153=CAR( BUCKET_283_175 );else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___86___HASH_206 ), BUCKET_283_175 );{obj_t AUX_985_18;
{obj_t AUX_986_226;
AUX_986_226=PROCEDURE_ENTRY( GET_KEY_741_10 )( GET_KEY_741_10, C_CAR_434_153, BEOA );AUX_985_18=PROCEDURE_ENTRY( HASH_EQ__742_135 )( HASH_EQ__742_135, AUX_986_226, KEY_276_218, BEOA );}if( BBOOL_TO_CBOOL( AUX_985_18 ))
if( PAIRP( BUCKET_283_175 ))
AUX_984_214=CAR( BUCKET_283_175 );else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___86___HASH_206 ), BUCKET_283_175 );else
{obj_t C_CDR_436_244;
if( PAIRP( BUCKET_283_175 ))
C_CDR_436_244=CDR( BUCKET_283_175 );else
FAILURE( GET_HASH_74___HASH_191, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___86___HASH_206 ), BUCKET_283_175 );{
BUCKET_283_175=C_CDR_436_244;
goto _LOOP_282_132;
}}}}else
FAILURE( GET_HASH_74___HASH_191, BREF( &WRONG_NU_87___HASH_228), GET_KEY__88___HASH_204 );}else
FAILURE( GET_HASH_74___HASH_191, BREF( &WRONG_NU_89___HASH_185), HASH_EQ__90___HASH_241 );}}
}}}}}}return POP_LAMBDA_TRACE( AUX_984_214 );}
}
}

obj_t
#if defined( __STDC__ )
__GET_HASH___HASH_178(obj_t ENV_910_12,obj_t KEY_276_218,obj_t TABLE_277_131)
#else
__GET_HASH___HASH_178( ENV_910_12, KEY_276_218, TABLE_277_131 )
obj_t ENV_910_12, KEY_276_218, TABLE_277_131;
#endif
{

return GET_HASH___HASH_1( KEY_276_218, TABLE_277_131 );
}

obj_t
#if defined( __STDC__ )
PUT_HASH____HASH_143(obj_t OBJ_284_233,obj_t TABLE_285_84)
#else
PUT_HASH____HASH_143( OBJ_284_233, TABLE_285_84 )
obj_t OBJ_284_233, TABLE_285_84;
#endif
{

{
PUSH_LAMBDA_TRACE( PUT_HASH_91___HASH_243 );
{obj_t AUX_978_33;
{
{bool_t __andtest_1000_924_79;
{obj_t AUX_979_4;
{obj_t N2_438_184;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
N2_438_184=STRUCT_SLOT_REF( TABLE_285_84, BINT( 0 ) );else
FAILURE( BREF( &STRUCT_R_92___HASH_68), BREF( &HASHTBL_93___HASH_201), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_94___HASH_14), BREF( &NOT_A__H_95___HASH_55), TABLE_285_84 );{obj_t N1_437_10;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
N1_437_10=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );else
FAILURE( BREF( &STRUCT_R_96___HASH_216), BREF( &HASHTBL_97___HASH_251), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_98___HASH_71), BREF( &NOT_A__H_99___HASH_103), TABLE_285_84 );if( INTEGERP( N1_437_10 ))
if( INTEGERP( N2_438_184 ))
AUX_979_4=CBOOL_TO_BBOOL( LT_I( N1_437_10, N2_438_184 ) );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, N______101___HASH_225 ), N2_438_184 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, N______102___HASH_52 ), N1_437_10 );}}__andtest_1000_924_79=BBOOL_TO_CBOOL( AUX_979_4 );}{if( __andtest_1000_924_79)
{obj_t N2_444_131;
{obj_t Z1_449_141;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
Z1_449_141=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );else
FAILURE( BREF( &STRUCT_R_103___HASH_94), BREF( &HASHTBL_104___HASH_232), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_105___HASH_236), BREF( &NOT_A__H_106___HASH_36), TABLE_285_84 );if( INTEGERP( Z1_449_141 ))
N2_444_131=DIV_I( Z1_449_141, BINT( 2 ) );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, Z______107___HASH_189 ), Z1_449_141 );}{obj_t N1_443_42;
{
PUSH_LAMBDA_TRACE( HASH_TAB_32___HASH_5 );
{obj_t AUX_980_32;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
AUX_980_32=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_108___HASH_151), BREF( &HASHTBL_109___HASH_240), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_110___HASH_75), BREF( &NOT_A__H_111___HASH_250), TABLE_285_84 );N1_443_42=POP_LAMBDA_TRACE( AUX_980_32 );}
}if( INTEGERP( N1_443_42 ))
if( GT_I( N1_443_42, N2_444_131 ))
goto _true_0;else
goto _false_1;else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, N______112___HASH_20 ), N1_443_42 );}}else
goto _false_1;_true_0:
{HASH_TABLE_GROWS____HASH_213( TABLE_285_84 );
goto _endif_2;}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t GET_KEY_287_101;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
GET_KEY_287_101=STRUCT_SLOT_REF( TABLE_285_84, BINT( 3 ) );else
FAILURE( BREF( &STRUCT_R_113___HASH_69), BREF( &HASHTBL_114___HASH_124), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_115___HASH_93), BREF( &NOT_A__H_116___HASH_100), TABLE_285_84 );{obj_t KEY_288_150;
{obj_t GET_KEY_763_165;
if( PROCEDUREP( GET_KEY_287_101 ))
GET_KEY_763_165=GET_KEY_287_101;else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__117___HASH_98 ), GET_KEY_287_101 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_763_165, 1 ))
KEY_288_150=PROCEDURE_ENTRY( GET_KEY_763_165 )( GET_KEY_763_165, OBJ_284_233, BEOA );else
FAILURE( PUT_HASH_100___HASH_57, BREF( &WRONG_NU_118___HASH_185), GET_KEY__119___HASH_76 );}{obj_t HASH_EQ__289_40;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
HASH_EQ__289_40=STRUCT_SLOT_REF( TABLE_285_84, BINT( 5 ) );else
FAILURE( BREF( &STRUCT_R_120___HASH_152), BREF( &HASHTBL_121___HASH_62), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_122___HASH_194), BREF( &NOT_A__H_123___HASH_157), TABLE_285_84 );{obj_t HASH_NUM_290_141;
HASH_NUM_290_141=GET_HASH_NUMBER___HASH_157( TABLE_285_84, KEY_288_150 );{obj_t VEC_291_186;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
VEC_291_186=STRUCT_SLOT_REF( TABLE_285_84, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_124___HASH_90), BREF( &HASHTBL_125___HASH_249), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_126___HASH_91), BREF( &NOT_A__H_127___HASH_211), TABLE_285_84 );{obj_t BUCKET_292_179;
if( INTEGERP( HASH_NUM_290_141 ))
{obj_t C_VECTOR_LENGTH_458_23;
if( VECTORP( VEC_291_186 ))
C_VECTOR_LENGTH_458_23=VECTOR_LENGTH( VEC_291_186 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____128___HASH_39 ), VEC_291_186 );if( BOUND_CHECK( HASH_NUM_290_141, C_VECTOR_LENGTH_458_23 ))
if( VECTORP( VEC_291_186 ))
BUCKET_292_179=VECTOR_REF( VEC_291_186, HASH_NUM_290_141 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____128___HASH_39 ), VEC_291_186 );else
FAILURE( BREF( &VECTOR_R_129___HASH_98), BREF( &INDEX_OU_130___HASH_211), HASH_NUM_290_141 );}else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_131___HASH_94 ), HASH_NUM_290_141 );if( NULLP( BUCKET_292_179 ))
{
{obj_t V_459_190;
{obj_t R_463_141;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
R_463_141=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_132___HASH_111), BREF( &HASHTBL_133___HASH_181), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_134___HASH_43), BREF( &NOT_A__H_135___HASH_80), TABLE_285_84 );if( INTEGERP( R_463_141 ))
V_459_190=ADD_I_PTAG( PSUB_TAG( 1 ), R_463_141 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, R_____136___HASH_99 ), R_463_141 );}if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_285_84, BINT( 4 ), V_459_190 );else
FAILURE( BREF( &STRUCT_S_137___HASH_247), BREF( &HASHTBL_138___HASH_43), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_S_139___HASH_38), BREF( &NOT_A__H_140___HASH_25), TABLE_285_84 );}
{obj_t OBJ_470_27;
OBJ_470_27=MAKE_PAIR( OBJ_284_233, BNIL );if( INTEGERP( HASH_NUM_290_141 ))
{obj_t C_VECTOR_LENGTH_471_33;
if( VECTORP( VEC_291_186 ))
C_VECTOR_LENGTH_471_33=VECTOR_LENGTH( VEC_291_186 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____128___HASH_39 ), VEC_291_186 );if( BOUND_CHECK( HASH_NUM_290_141, C_VECTOR_LENGTH_471_33 ))
if( VECTORP( VEC_291_186 ))
VECTOR_SET( VEC_291_186, HASH_NUM_290_141, OBJ_470_27 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____128___HASH_39 ), VEC_291_186 );else
FAILURE( BREF( &VECTOR_S_141___HASH_195), BREF( &INDEX_OU_142___HASH_151), HASH_NUM_290_141 );}else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_131___HASH_94 ), HASH_NUM_290_141 );}
AUX_978_33=OBJ_284_233;
}else
{obj_t BUCKET_294_227;
{
BUCKET_294_227=BUCKET_292_179;
{_LOOP_293_69:

{obj_t HASH_EQ__785_36;
if( PROCEDUREP( HASH_EQ__289_40 ))
HASH_EQ__785_36=HASH_EQ__289_40;else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, HASH_EQ__143___HASH_71 ), HASH_EQ__289_40 );if( PROCEDURE_CORRECT_ARITYP( HASH_EQ__785_36, 2 ))
{obj_t GET_KEY_784_171;
if( PROCEDUREP( GET_KEY_287_101 ))
GET_KEY_784_171=GET_KEY_287_101;else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__117___HASH_98 ), GET_KEY_287_101 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_784_171, 1 ))
{obj_t C_CAR_474_144;
if( PAIRP( BUCKET_294_227 ))
C_CAR_474_144=CAR( BUCKET_294_227 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___144___HASH_199 ), BUCKET_294_227 );{obj_t AUX_982_187;
{obj_t AUX_983_199;
AUX_983_199=PROCEDURE_ENTRY( GET_KEY_784_171 )( GET_KEY_784_171, C_CAR_474_144, BEOA );AUX_982_187=PROCEDURE_ENTRY( HASH_EQ__785_36 )( HASH_EQ__785_36, AUX_983_199, KEY_288_150, BEOA );}if( BBOOL_TO_CBOOL( AUX_982_187 ))
if( PAIRP( BUCKET_294_227 ))
AUX_978_33=CAR( BUCKET_294_227 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___144___HASH_199 ), BUCKET_294_227 );else
{bool_t OBJ_931_168;
{obj_t AUX_981_13;
if( PAIRP( BUCKET_294_227 ))
AUX_981_13=CDR( BUCKET_294_227 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___144___HASH_199 ), BUCKET_294_227 );OBJ_931_168=NULLP( AUX_981_13 );}if( OBJ_931_168)
{
{obj_t V_477_223;
{obj_t R_479_241;
if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
R_479_241=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_145___HASH_173), BREF( &HASHTBL_146___HASH_124), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_R_147___HASH_149), BREF( &NOT_A__H_148___HASH_195), TABLE_285_84 );if( INTEGERP( R_479_241 ))
V_477_223=ADD_I_PTAG( PSUB_TAG( 1 ), R_479_241 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, R_____149___HASH_113 ), R_479_241 );}if( STRUCTP( TABLE_285_84 ))
if( EQP( STRUCT_KEY( TABLE_285_84 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_285_84, BINT( 4 ), V_477_223 );else
FAILURE( BREF( &STRUCT_S_150___HASH_106), BREF( &HASHTBL_151___HASH_13), TABLE_285_84 );else
FAILURE( BREF( &STRUCT_S_152___HASH_114), BREF( &NOT_A__H_153___HASH_223), TABLE_285_84 );}
{obj_t OBJ_485_73;
OBJ_485_73=MAKE_PAIR( OBJ_284_233, BNIL );if( PAIRP( BUCKET_294_227 ))
SET_CDR( BUCKET_294_227, OBJ_485_73 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___144___HASH_199 ), BUCKET_294_227 );}
AUX_978_33=OBJ_284_233;
}else
{obj_t C_CDR_487_185;
if( PAIRP( BUCKET_294_227 ))
C_CDR_487_185=CDR( BUCKET_294_227 );else
FAILURE( PUT_HASH_100___HASH_57, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___144___HASH_199 ), BUCKET_294_227 );{
BUCKET_294_227=C_CDR_487_185;
goto _LOOP_293_69;
}}}}}else
FAILURE( PUT_HASH_100___HASH_57, BREF( &WRONG_NU_154___HASH_60), GET_KEY__155___HASH_200 );}else
FAILURE( PUT_HASH_100___HASH_57, BREF( &WRONG_NU_156___HASH_206), HASH_EQ__157___HASH_5 );}}
}}}}}}}}
}return POP_LAMBDA_TRACE( AUX_978_33 );}
}
}

obj_t
#if defined( __STDC__ )
__PUT_HASH____HASH_49(obj_t ENV_909_196,obj_t OBJ_284_233,obj_t TABLE_285_84)
#else
__PUT_HASH____HASH_49( ENV_909_196, OBJ_284_233, TABLE_285_84 )
obj_t ENV_909_196, OBJ_284_233, TABLE_285_84;
#endif
{

return PUT_HASH____HASH_143( OBJ_284_233, TABLE_285_84 );
}

obj_t
#if defined( __STDC__ )
REM_OBJ_HASH____HASH_219(obj_t OBJ_295_216,obj_t TABLE_296_159)
#else
REM_OBJ_HASH____HASH_219( OBJ_295_216, TABLE_296_159 )
obj_t OBJ_295_216, TABLE_296_159;
#endif
{

{
PUSH_LAMBDA_TRACE( REM_OBJ__158___HASH_212 );
{obj_t AUX_976_34;
{obj_t GET_KEY_297_57;
if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
GET_KEY_297_57=STRUCT_SLOT_REF( TABLE_296_159, BINT( 3 ) );else
FAILURE( BREF( &STRUCT_R_159___HASH_201), BREF( &HASHTBL_160___HASH_88), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_R_161___HASH_179), BREF( &NOT_A__H_162___HASH_196), TABLE_296_159 );{obj_t KEY_298_188;
{obj_t GET_KEY_798_143;
if( PROCEDUREP( GET_KEY_297_57 ))
GET_KEY_798_143=GET_KEY_297_57;else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__164___HASH_179 ), GET_KEY_297_57 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_798_143, 1 ))
KEY_298_188=PROCEDURE_ENTRY( GET_KEY_798_143 )( GET_KEY_798_143, OBJ_295_216, BEOA );else
FAILURE( REM_OBJ__163___HASH_87, BREF( &WRONG_NU_165___HASH_21), GET_KEY__166___HASH_13 );}{obj_t HASH_EQ__299_26;
if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
HASH_EQ__299_26=STRUCT_SLOT_REF( TABLE_296_159, BINT( 5 ) );else
FAILURE( BREF( &STRUCT_R_167___HASH_240), BREF( &HASHTBL_168___HASH_108), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_R_169___HASH_67), BREF( &NOT_A__H_170___HASH_234), TABLE_296_159 );{obj_t HASH_NUM_300_253;
HASH_NUM_300_253=GET_HASH_NUMBER___HASH_157( TABLE_296_159, KEY_298_188 );{obj_t VEC_301_168;
if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
VEC_301_168=STRUCT_SLOT_REF( TABLE_296_159, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_171___HASH_124), BREF( &HASHTBL_172___HASH_98), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_R_173___HASH_85), BREF( &NOT_A__H_174___HASH_116), TABLE_296_159 );{obj_t BUCKET_302_131;
if( INTEGERP( HASH_NUM_300_253 ))
{obj_t C_VECTOR_LENGTH_494_109;
if( VECTORP( VEC_301_168 ))
C_VECTOR_LENGTH_494_109=VECTOR_LENGTH( VEC_301_168 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____175___HASH_220 ), VEC_301_168 );if( BOUND_CHECK( HASH_NUM_300_253, C_VECTOR_LENGTH_494_109 ))
if( VECTORP( VEC_301_168 ))
BUCKET_302_131=VECTOR_REF( VEC_301_168, HASH_NUM_300_253 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____175___HASH_220 ), VEC_301_168 );else
FAILURE( BREF( &VECTOR_R_176___HASH_181), BREF( &INDEX_OU_177___HASH_150), HASH_NUM_300_253 );}else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_178___HASH_238 ), HASH_NUM_300_253 );if( NULLP( BUCKET_302_131 ))
AUX_976_34=BFALSE;else
{obj_t OBJ1_495_216;
if( PAIRP( BUCKET_302_131 ))
OBJ1_495_216=CAR( BUCKET_302_131 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___179___HASH_140 ), BUCKET_302_131 );if( EQP( OBJ1_495_216, OBJ_295_216 ))
{
{obj_t V_496_59;
{obj_t L_500_219;
if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
L_500_219=STRUCT_SLOT_REF( TABLE_296_159, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_180___HASH_106), BREF( &HASHTBL_181___HASH_221), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_R_182___HASH_114), BREF( &NOT_A__H_183___HASH_32), TABLE_296_159 );if( INTEGERP( L_500_219 ))
V_496_59=SUB_I_PTAG( L_500_219, PSUB_TAG( 1 ) );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, L_____184___HASH_48 ), L_500_219 );}if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_296_159, BINT( 4 ), V_496_59 );else
FAILURE( BREF( &STRUCT_S_185___HASH_207), BREF( &HASHTBL_186___HASH_12), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_S_187___HASH_203), BREF( &NOT_A__H_188___HASH_148), TABLE_296_159 );}
{obj_t OBJ_504_58;
if( PAIRP( BUCKET_302_131 ))
OBJ_504_58=CDR( BUCKET_302_131 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___179___HASH_140 ), BUCKET_302_131 );if( INTEGERP( HASH_NUM_300_253 ))
{obj_t C_VECTOR_LENGTH_505_104;
if( VECTORP( VEC_301_168 ))
C_VECTOR_LENGTH_505_104=VECTOR_LENGTH( VEC_301_168 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____175___HASH_220 ), VEC_301_168 );if( BOUND_CHECK( HASH_NUM_300_253, C_VECTOR_LENGTH_505_104 ))
if( VECTORP( VEC_301_168 ))
VECTOR_SET( VEC_301_168, HASH_NUM_300_253, OBJ_504_58 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____175___HASH_220 ), VEC_301_168 );else
FAILURE( BREF( &VECTOR_S_189___HASH_180), BREF( &INDEX_OU_190___HASH_140), HASH_NUM_300_253 );}else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_178___HASH_238 ), HASH_NUM_300_253 );}
AUX_976_34=BTRUE;
}else
{obj_t BUCKET_304_209;
{
BUCKET_304_209=BUCKET_302_131;
{_LOOP_303_168:

{obj_t OBJ1_506_115;
{obj_t PAIR_508_134;
if( PAIRP( BUCKET_304_209 ))
PAIR_508_134=CDR( BUCKET_304_209 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___191___HASH_143 ), BUCKET_304_209 );if( PAIRP( PAIR_508_134 ))
OBJ1_506_115=CAR( PAIR_508_134 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, PAIR_____192___HASH_63 ), PAIR_508_134 );}if( EQP( OBJ1_506_115, OBJ_295_216 ))
{
{obj_t V_509_190;
{obj_t L_511_59;
if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
L_511_59=STRUCT_SLOT_REF( TABLE_296_159, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_193___HASH_40), BREF( &HASHTBL_194___HASH_180), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_R_195___HASH_103), BREF( &NOT_A__H_196___HASH_40), TABLE_296_159 );if( INTEGERP( L_511_59 ))
V_509_190=SUB_I_PTAG( L_511_59, PSUB_TAG( 1 ) );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, L_____197___HASH_137 ), L_511_59 );}if( STRUCTP( TABLE_296_159 ))
if( EQP( STRUCT_KEY( TABLE_296_159 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_296_159, BINT( 4 ), V_509_190 );else
FAILURE( BREF( &STRUCT_S_198___HASH_103), BREF( &HASHTBL_199___HASH_218), TABLE_296_159 );else
FAILURE( BREF( &STRUCT_S_200___HASH_16), BREF( &NOT_A__H_201___HASH_198), TABLE_296_159 );}
{obj_t OBJ_515_157;
{obj_t PAIR_517_170;
if( PAIRP( BUCKET_304_209 ))
PAIR_517_170=CDR( BUCKET_304_209 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___191___HASH_143 ), BUCKET_304_209 );if( PAIRP( PAIR_517_170 ))
OBJ_515_157=CDR( PAIR_517_170 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, PAIR_____202___HASH_76 ), PAIR_517_170 );}if( PAIRP( BUCKET_304_209 ))
SET_CDR( BUCKET_304_209, OBJ_515_157 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___191___HASH_143 ), BUCKET_304_209 );}
AUX_976_34=BTRUE;
}else
{bool_t OBJ_940_53;
{obj_t AUX_977_50;
if( PAIRP( BUCKET_304_209 ))
AUX_977_50=CDR( BUCKET_304_209 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___191___HASH_143 ), BUCKET_304_209 );OBJ_940_53=NULLP( AUX_977_50 );}if( OBJ_940_53)
AUX_976_34=BFALSE;else
{obj_t C_CDR_519_51;
if( PAIRP( BUCKET_304_209 ))
C_CDR_519_51=CDR( BUCKET_304_209 );else
FAILURE( REM_OBJ__163___HASH_87, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___191___HASH_143 ), BUCKET_304_209 );{
BUCKET_304_209=C_CDR_519_51;
goto _LOOP_303_168;
}}}}}
}}}}}}}}}return POP_LAMBDA_TRACE( AUX_976_34 );}
}
}

obj_t
#if defined( __STDC__ )
__REM_OBJ_HASH____HASH_77(obj_t ENV_908_43,obj_t OBJ_295_216,obj_t TABLE_296_159)
#else
__REM_OBJ_HASH____HASH_77( ENV_908_43, OBJ_295_216, TABLE_296_159 )
obj_t ENV_908_43, OBJ_295_216, TABLE_296_159;
#endif
{

return REM_OBJ_HASH____HASH_219( OBJ_295_216, TABLE_296_159 );
}

obj_t
#if defined( __STDC__ )
REM_KEY_HASH____HASH_125(obj_t KEY_305_99,obj_t TABLE_306_66)
#else
REM_KEY_HASH____HASH_125( KEY_305_99, TABLE_306_66 )
obj_t KEY_305_99, TABLE_306_66;
#endif
{

{
PUSH_LAMBDA_TRACE( REM_KEY__203___HASH_213 );
{obj_t AUX_970_195;
{obj_t GET_KEY_307_73;
if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
GET_KEY_307_73=STRUCT_SLOT_REF( TABLE_306_66, BINT( 3 ) );else
FAILURE( BREF( &STRUCT_R_204___HASH_179), BREF( &HASHTBL_205___HASH_23), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_R_206___HASH_13), BREF( &NOT_A__H_207___HASH_96), TABLE_306_66 );{obj_t HASH_EQ__308_208;
if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
HASH_EQ__308_208=STRUCT_SLOT_REF( TABLE_306_66, BINT( 5 ) );else
FAILURE( BREF( &STRUCT_R_208___HASH_92), BREF( &HASHTBL_209___HASH_178), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_R_210___HASH_166), BREF( &NOT_A__H_211___HASH_185), TABLE_306_66 );{obj_t HASH_NUM_309_116;
HASH_NUM_309_116=GET_HASH_NUMBER___HASH_157( TABLE_306_66, KEY_305_99 );{obj_t VEC_310_128;
if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
VEC_310_128=STRUCT_SLOT_REF( TABLE_306_66, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_212___HASH_35), BREF( &HASHTBL_213___HASH_196), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_R_214___HASH_55), BREF( &NOT_A__H_215___HASH_231), TABLE_306_66 );{obj_t BUCKET_311_33;
if( INTEGERP( HASH_NUM_309_116 ))
{obj_t C_VECTOR_LENGTH_526_34;
if( VECTORP( VEC_310_128 ))
C_VECTOR_LENGTH_526_34=VECTOR_LENGTH( VEC_310_128 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____217___HASH_105 ), VEC_310_128 );if( BOUND_CHECK( HASH_NUM_309_116, C_VECTOR_LENGTH_526_34 ))
if( VECTORP( VEC_310_128 ))
BUCKET_311_33=VECTOR_REF( VEC_310_128, HASH_NUM_309_116 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____217___HASH_105 ), VEC_310_128 );else
FAILURE( BREF( &VECTOR_R_218___HASH_250), BREF( &INDEX_OU_219___HASH_3), HASH_NUM_309_116 );}else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_220___HASH_10 ), HASH_NUM_309_116 );if( NULLP( BUCKET_311_33 ))
AUX_970_195=BFALSE;else
{obj_t HASH_EQ__842_255;
if( PROCEDUREP( HASH_EQ__308_208 ))
HASH_EQ__842_255=HASH_EQ__308_208;else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, HASH_EQ__221___HASH_67 ), HASH_EQ__308_208 );if( PROCEDURE_CORRECT_ARITYP( HASH_EQ__842_255, 2 ))
{obj_t GET_KEY_841_37;
if( PROCEDUREP( GET_KEY_307_73 ))
GET_KEY_841_37=GET_KEY_307_73;else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__222___HASH_200 ), GET_KEY_307_73 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_841_37, 1 ))
{obj_t C_CAR_527_78;
if( PAIRP( BUCKET_311_33 ))
C_CAR_527_78=CAR( BUCKET_311_33 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___223___HASH_208 ), BUCKET_311_33 );{obj_t AUX_974_80;
{obj_t AUX_975_166;
AUX_975_166=PROCEDURE_ENTRY( GET_KEY_841_37 )( GET_KEY_841_37, C_CAR_527_78, BEOA );AUX_974_80=PROCEDURE_ENTRY( HASH_EQ__842_255 )( HASH_EQ__842_255, AUX_975_166, KEY_305_99, BEOA );}if( BBOOL_TO_CBOOL( AUX_974_80 ))
{
{obj_t V_528_48;
{obj_t L_530_7;
if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
L_530_7=STRUCT_SLOT_REF( TABLE_306_66, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_224___HASH_53), BREF( &HASHTBL_225___HASH_84), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_R_226___HASH_193), BREF( &NOT_A__H_227___HASH_100), TABLE_306_66 );if( INTEGERP( L_530_7 ))
V_528_48=SUB_I_PTAG( L_530_7, PSUB_TAG( 1 ) );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, L_____228___HASH_186 ), L_530_7 );}if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_306_66, BINT( 4 ), V_528_48 );else
FAILURE( BREF( &STRUCT_S_229___HASH_207), BREF( &HASHTBL_230___HASH_64), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_S_231___HASH_254), BREF( &NOT_A__H_232___HASH_31), TABLE_306_66 );}
{obj_t OBJ_534_186;
if( PAIRP( BUCKET_311_33 ))
OBJ_534_186=CDR( BUCKET_311_33 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___223___HASH_208 ), BUCKET_311_33 );if( INTEGERP( HASH_NUM_309_116 ))
{obj_t C_VECTOR_LENGTH_535_87;
if( VECTORP( VEC_310_128 ))
C_VECTOR_LENGTH_535_87=VECTOR_LENGTH( VEC_310_128 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____217___HASH_105 ), VEC_310_128 );if( BOUND_CHECK( HASH_NUM_309_116, C_VECTOR_LENGTH_535_87 ))
if( VECTORP( VEC_310_128 ))
VECTOR_SET( VEC_310_128, HASH_NUM_309_116, OBJ_534_186 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____217___HASH_105 ), VEC_310_128 );else
FAILURE( BREF( &VECTOR_S_233___HASH_94), BREF( &INDEX_OU_234___HASH_79), HASH_NUM_309_116 );}else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, HASH_NUM_220___HASH_10 ), HASH_NUM_309_116 );}
AUX_970_195=BTRUE;
}else
{obj_t BUCKET_313_189;
{
BUCKET_313_189=BUCKET_311_33;
{_LOOP_312_190:

{obj_t HASH_EQ__854_101;
if( PROCEDUREP( HASH_EQ__308_208 ))
HASH_EQ__854_101=HASH_EQ__308_208;else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, HASH_EQ__221___HASH_67 ), HASH_EQ__308_208 );if( PROCEDURE_CORRECT_ARITYP( HASH_EQ__854_101, 2 ))
{obj_t GET_KEY_853_167;
if( PROCEDUREP( GET_KEY_307_73 ))
GET_KEY_853_167=GET_KEY_307_73;else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, GET_KEY__222___HASH_200 ), GET_KEY_307_73 );if( PROCEDURE_CORRECT_ARITYP( GET_KEY_853_167, 1 ))
{obj_t PAIR_536_249;
if( PAIRP( BUCKET_313_189 ))
PAIR_536_249=CDR( BUCKET_313_189 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___235___HASH_115 ), BUCKET_313_189 );{obj_t C_CAR_537_84;
if( PAIRP( PAIR_536_249 ))
C_CAR_537_84=CAR( PAIR_536_249 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, PAIR_____236___HASH_14 ), PAIR_536_249 );{obj_t AUX_972_99;
{obj_t AUX_973_100;
AUX_973_100=PROCEDURE_ENTRY( GET_KEY_853_167 )( GET_KEY_853_167, C_CAR_537_84, BEOA );AUX_972_99=PROCEDURE_ENTRY( HASH_EQ__854_101 )( HASH_EQ__854_101, AUX_973_100, KEY_305_99, BEOA );}if( BBOOL_TO_CBOOL( AUX_972_99 ))
{
{obj_t V_538_151;
{obj_t L_540_236;
if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
L_540_236=STRUCT_SLOT_REF( TABLE_306_66, BINT( 4 ) );else
FAILURE( BREF( &STRUCT_R_237___HASH_240), BREF( &HASHTBL_238___HASH_153), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_R_239___HASH_67), BREF( &NOT_A__H_240___HASH_93), TABLE_306_66 );if( INTEGERP( L_540_236 ))
V_538_151=SUB_I_PTAG( L_540_236, PSUB_TAG( 1 ) );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, L_____241___HASH_234 ), L_540_236 );}if( STRUCTP( TABLE_306_66 ))
if( EQP( STRUCT_KEY( TABLE_306_66 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_306_66, BINT( 4 ), V_538_151 );else
FAILURE( BREF( &STRUCT_S_242___HASH_100), BREF( &HASHTBL_243___HASH_189), TABLE_306_66 );else
FAILURE( BREF( &STRUCT_S_244___HASH_180), BREF( &NOT_A__H_245___HASH_75), TABLE_306_66 );}
{obj_t OBJ_544_154;
{obj_t PAIR_545_212;
if( PAIRP( BUCKET_313_189 ))
PAIR_545_212=CDR( BUCKET_313_189 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___235___HASH_115 ), BUCKET_313_189 );if( PAIRP( PAIR_545_212 ))
OBJ_544_154=CDR( PAIR_545_212 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, PAIR_____246___HASH_26 ), PAIR_545_212 );}if( PAIRP( BUCKET_313_189 ))
SET_CDR( BUCKET_313_189, OBJ_544_154 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___235___HASH_115 ), BUCKET_313_189 );}
AUX_970_195=BTRUE;
}else
{bool_t OBJ_948_142;
{obj_t AUX_971_175;
if( PAIRP( BUCKET_313_189 ))
AUX_971_175=CDR( BUCKET_313_189 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___235___HASH_115 ), BUCKET_313_189 );OBJ_948_142=NULLP( AUX_971_175 );}if( OBJ_948_142)
AUX_970_195=BFALSE;else
{obj_t C_CDR_547_86;
if( PAIRP( BUCKET_313_189 ))
C_CDR_547_86=CDR( BUCKET_313_189 );else
FAILURE( REM_KEY__216___HASH_75, TYPE_ERROR___ERROR_146( PAIR_4___HASH_74, BUCKET___235___HASH_115 ), BUCKET_313_189 );{
BUCKET_313_189=C_CDR_547_86;
goto _LOOP_312_190;
}}}}}}else
FAILURE( REM_KEY__216___HASH_75, BREF( &WRONG_NU_247___HASH_162), GET_KEY__248___HASH_89 );}else
FAILURE( REM_KEY__216___HASH_75, BREF( &WRONG_NU_249___HASH_107), HASH_EQ__250___HASH_61 );}}
}}}}else
FAILURE( REM_KEY__216___HASH_75, BREF( &WRONG_NU_251___HASH_190), GET_KEY__252___HASH_166 );}else
FAILURE( REM_KEY__216___HASH_75, BREF( &WRONG_NU_253___HASH_127), HASH_EQ__254___HASH_49 );}}}}}}return POP_LAMBDA_TRACE( AUX_970_195 );}
}
}

obj_t
#if defined( __STDC__ )
__REM_KEY_HASH____HASH_70(obj_t ENV_907_84,obj_t KEY_305_99,obj_t TABLE_306_66)
#else
__REM_KEY_HASH____HASH_70( ENV_907_84, KEY_305_99, TABLE_306_66 )
obj_t ENV_907_84, KEY_305_99, TABLE_306_66;
#endif
{

return REM_KEY_HASH____HASH_125( KEY_305_99, TABLE_306_66 );
}

obj_t
#if defined( __STDC__ )
FOR_EACH_HASH___HASH_57(obj_t FUN_314_238,obj_t TABLE_315_174)
#else
FOR_EACH_HASH___HASH_57( FUN_314_238, TABLE_315_174 )
obj_t FUN_314_238, TABLE_315_174;
#endif
{

{
PUSH_LAMBDA_TRACE( FOR_EACH_255___HASH_116 );
{obj_t AUX_968_40;
{obj_t VEC_316_176;
if( STRUCTP( TABLE_315_174 ))
if( EQP( STRUCT_KEY( TABLE_315_174 ), HASHTBL_10___HASH_191 ))
VEC_316_176=STRUCT_SLOT_REF( TABLE_315_174, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_256___HASH_237), BREF( &HASHTBL_257___HASH_13), TABLE_315_174 );else
FAILURE( BREF( &STRUCT_R_258___HASH_151), BREF( &NOT_A__H_259___HASH_85), TABLE_315_174 );{obj_t I_318_107;
{obj_t L_556_225;
if( STRUCTP( TABLE_315_174 ))
if( EQP( STRUCT_KEY( TABLE_315_174 ), HASHTBL_10___HASH_191 ))
L_556_225=STRUCT_SLOT_REF( TABLE_315_174, BINT( 1 ) );else
FAILURE( BREF( &STRUCT_R_269___HASH_105), BREF( &HASHTBL_270___HASH_204), TABLE_315_174 );else
FAILURE( BREF( &STRUCT_R_271___HASH_21), BREF( &NOT_A__H_272___HASH_46), TABLE_315_174 );if( INTEGERP( L_556_225 ))
{
I_318_107=SUB_I_PTAG( L_556_225, PSUB_TAG( 1 ) );
{_LOOP_317_148:

if( EQ_I( I_318_107, BINT( -1 ) ))
AUX_968_40=BUNSPEC;else
{
{obj_t g1001_320_93;
{obj_t C_VECTOR_LENGTH_553_234;
if( VECTORP( VEC_316_176 ))
C_VECTOR_LENGTH_553_234=VECTOR_LENGTH( VEC_316_176 );else
FAILURE( FOR_EACH_260___HASH_238, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____266___HASH_25 ), VEC_316_176 );if( BOUND_CHECK( I_318_107, C_VECTOR_LENGTH_553_234 ))
{obj_t C_VECTOR_REF_554_31;
if( VECTORP( VEC_316_176 ))
C_VECTOR_REF_554_31=VECTOR_REF( VEC_316_176, I_318_107 );else
FAILURE( FOR_EACH_260___HASH_238, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, VEC_____266___HASH_25 ), VEC_316_176 );{
g1001_320_93=C_VECTOR_REF_554_31;
{_g1002_319_56:

if( PAIRP( g1001_320_93 ))
{
{obj_t FUN_867_94;
if( PROCEDUREP( FUN_314_238 ))
FUN_867_94=FUN_314_238;else
FAILURE( FOR_EACH_260___HASH_238, TYPE_ERROR___ERROR_146( PROCEDUR_56___HASH_138, FUN_____261___HASH_41 ), FUN_314_238 );if( PROCEDURE_CORRECT_ARITYP( FUN_867_94, 1 ))
{obj_t C_CAR_551_210;
C_CAR_551_210=CAR( g1001_320_93 );PROCEDURE_ENTRY( FUN_867_94 )( FUN_867_94, C_CAR_551_210, BEOA );}else
FAILURE( FOR_EACH_260___HASH_238, BREF( &WRONG_NU_262___HASH_172), FUN_____263___HASH_191 );}
{obj_t C_CDR_552_155;
C_CDR_552_155=CDR( g1001_320_93 );{
g1001_320_93=C_CDR_552_155;
goto _g1002_319_56;
}}
}else
if( NULLP( g1001_320_93 ))
BTRUE;else
FAILURE( BREF( &FOR_EACH_264___HASH_74), BREF( &ARGUMENT_265___HASH_113), g1001_320_93 );}
}}else
FAILURE( BREF( &VECTOR_R_267___HASH_48), BREF( &INDEX_OU_268___HASH_17), I_318_107 );}}
{obj_t I_969_65;
I_969_65=I_318_107;{
I_318_107=SUB_I_PTAG( I_969_65, PSUB_TAG( 1 ) );
goto _LOOP_317_148;
}}
}}
}else
FAILURE( FOR_EACH_260___HASH_238, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, L_____273___HASH_165 ), L_556_225 );}}}return POP_LAMBDA_TRACE( AUX_968_40 );}
}
}

obj_t
#if defined( __STDC__ )
__FOR_EACH_HASH___HASH_209(obj_t ENV_906_226,obj_t FUN_314_238,obj_t TABLE_315_174)
#else
__FOR_EACH_HASH___HASH_209( ENV_906_226, FUN_314_238, TABLE_315_174 )
obj_t ENV_906_226, FUN_314_238, TABLE_315_174;
#endif
{

return FOR_EACH_HASH___HASH_57( FUN_314_238, TABLE_315_174 );
}

static obj_t
#if defined( __STDC__ )
HASH_TABLE_GROWS____HASH_213(obj_t TABLE_321_70)
#else
HASH_TABLE_GROWS____HASH_213( TABLE_321_70 )
obj_t TABLE_321_70;
#endif
{

{
PUSH_LAMBDA_TRACE( HASH_TAB_274___HASH_219 );
{obj_t AUX_965_87;
{obj_t MAX_SIZE_322_242;
if( STRUCTP( TABLE_321_70 ))
if( EQP( STRUCT_KEY( TABLE_321_70 ), HASHTBL_10___HASH_191 ))
MAX_SIZE_322_242=STRUCT_SLOT_REF( TABLE_321_70, BINT( 0 ) );else
FAILURE( BREF( &STRUCT_R_275___HASH_95), BREF( &HASHTBL_276___HASH_220), TABLE_321_70 );else
FAILURE( BREF( &STRUCT_R_277___HASH_98), BREF( &NOT_A__H_278___HASH_249), TABLE_321_70 );{obj_t SIZE_323_184;
if( STRUCTP( TABLE_321_70 ))
if( EQP( STRUCT_KEY( TABLE_321_70 ), HASHTBL_10___HASH_191 ))
SIZE_323_184=STRUCT_SLOT_REF( TABLE_321_70, BINT( 1 ) );else
FAILURE( BREF( &STRUCT_R_279___HASH_76), BREF( &HASHTBL_280___HASH_188), TABLE_321_70 );else
FAILURE( BREF( &STRUCT_R_281___HASH_204), BREF( &NOT_A__H_282___HASH_211), TABLE_321_70 );{obj_t NEW_SIZE_324_24;
if( INTEGERP( SIZE_323_184 ))
NEW_SIZE_324_24=MUL_I( SIZE_323_184, BINT( 2 ) );else
FAILURE( HASH_TAB_283___HASH_238, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, SIZE_____284___HASH_76 ), SIZE_323_184 );{obj_t NEW_TABLE_325_20;
NEW_TABLE_325_20=make_vector( NEW_SIZE_324_24, BNIL );{obj_t OLD_TABLE_326_109;
{
PUSH_LAMBDA_TRACE( HASH_TAB_37___HASH_44 );
{obj_t AUX_966_107;
if( STRUCTP( TABLE_321_70 ))
if( EQP( STRUCT_KEY( TABLE_321_70 ), HASHTBL_10___HASH_191 ))
AUX_966_107=STRUCT_SLOT_REF( TABLE_321_70, BINT( 6 ) );else
FAILURE( BREF( &STRUCT_R_285___HASH_176), BREF( &HASHTBL_286___HASH_187), TABLE_321_70 );else
FAILURE( BREF( &STRUCT_R_287___HASH_220), BREF( &NOT_A__H_288___HASH_244), TABLE_321_70 );OLD_TABLE_326_109=POP_LAMBDA_TRACE( AUX_966_107 );}
}{
if( STRUCTP( TABLE_321_70 ))
if( EQP( STRUCT_KEY( TABLE_321_70 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_321_70, BINT( 1 ), NEW_SIZE_324_24 );else
FAILURE( BREF( &STRUCT_S_289___HASH_5), BREF( &HASHTBL_290___HASH_1), TABLE_321_70 );else
FAILURE( BREF( &STRUCT_S_291___HASH_193), BREF( &NOT_A__H_292___HASH_221), TABLE_321_70 );
if( STRUCTP( TABLE_321_70 ))
if( EQP( STRUCT_KEY( TABLE_321_70 ), HASHTBL_10___HASH_191 ))
STRUCT_SLOT_SET( TABLE_321_70, BINT( 6 ), NEW_TABLE_325_20 );else
FAILURE( BREF( &STRUCT_S_293___HASH_53), BREF( &HASHTBL_294___HASH_174), TABLE_321_70 );else
FAILURE( BREF( &STRUCT_S_295___HASH_18), BREF( &NOT_A__H_296___HASH_199), TABLE_321_70 );
{obj_t I_328_71;
{
I_328_71=BINT( 0 );
{_LOOP_327_42:

if( INTEGERP( SIZE_323_184 ))
if( EQ_I( I_328_71, SIZE_323_184 ))
AUX_965_87=DONE_297___HASH_111;else
{obj_t BUCKET_329_161;
{obj_t C_VECTOR_LENGTH_570_81;
if( VECTORP( OLD_TABLE_326_109 ))
C_VECTOR_LENGTH_570_81=VECTOR_LENGTH( OLD_TABLE_326_109 );else
FAILURE( HASH_TAB_283___HASH_238, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, OLD_TABL_298___HASH_98 ), OLD_TABLE_326_109 );if( BOUND_CHECK( I_328_71, C_VECTOR_LENGTH_570_81 ))
if( VECTORP( OLD_TABLE_326_109 ))
BUCKET_329_161=VECTOR_REF( OLD_TABLE_326_109, I_328_71 );else
FAILURE( HASH_TAB_283___HASH_238, TYPE_ERROR___ERROR_146( VECTOR_75___HASH_76, OLD_TABL_298___HASH_98 ), OLD_TABLE_326_109 );else
FAILURE( BREF( &VECTOR_R_299___HASH_16), BREF( &INDEX_OU_300___HASH_250), I_328_71 );}{
{obj_t g1003_331_0;
{
g1003_331_0=BUCKET_329_161;
{_g1004_330_17:

if( PAIRP( g1003_331_0 ))
{
{obj_t OBJ_332_234;
OBJ_332_234=CAR( g1003_331_0 );PUT_HASH____HASH_143( OBJ_332_234, TABLE_321_70 );}
{obj_t C_CDR_571_177;
C_CDR_571_177=CDR( g1003_331_0 );{
g1003_331_0=C_CDR_571_177;
goto _g1004_330_17;
}}
}else
if( NULLP( g1003_331_0 ))
BTRUE;else
FAILURE( BREF( &FOR_EACH_301___HASH_68), BREF( &ARGUMENT_302___HASH_219), g1003_331_0 );}
}}
{obj_t I_967_197;
I_967_197=I_328_71;{
I_328_71=ADD_I_PTAG( I_967_197, PSUB_TAG( 1 ) );
goto _LOOP_327_42;
}}
}}else
FAILURE( HASH_TAB_283___HASH_238, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, SIZE_____284___HASH_76 ), SIZE_323_184 );}
}}
}}}}}}return POP_LAMBDA_TRACE( AUX_965_87 );}
}
}

obj_t
#if defined( __STDC__ )
STRING__0__255___HASH_55(obj_t STRING_333_53)
#else
STRING__0__255___HASH_55( STRING_333_53 )
obj_t STRING_333_53;
#endif
{

if( STRINGP( STRING_333_53 ))
{long AUX_964_197;
AUX_964_197=get_hash_number( BSTRING_TO_CSTRING( STRING_333_53 ) );return BINT( AUX_964_197 );}else
FAILURE( STRING___303___HASH_73, TYPE_ERROR___ERROR_146( STRING_304___HASH_153, STRING___305___HASH_203 ), STRING_333_53 );
}

obj_t
#if defined( __STDC__ )
__STRING__0__255___HASH_177(obj_t ENV_905_18,obj_t STRING_333_53)
#else
__STRING__0__255___HASH_177( ENV_905_18, STRING_333_53 )
obj_t ENV_905_18, STRING_333_53;
#endif
{

return STRING__0__255___HASH_55( STRING_333_53 );
}

obj_t
#if defined( __STDC__ )
STRING__0__2_X_1___HASH_0(obj_t STRING_334_47,obj_t POWER_335_131)
#else
STRING__0__2_X_1___HASH_0( STRING_334_47, POWER_335_131 )
obj_t STRING_334_47, POWER_335_131;
#endif
{

if( STRINGP( STRING_334_47 ))
if( INTEGERP( POWER_335_131 ))
{long AUX_963_56;
AUX_963_56=get_hash_power_number( BSTRING_TO_CSTRING( STRING_334_47 ), CINT( POWER_335_131 ) );return BINT( AUX_963_56 );}else
FAILURE( STRING___306___HASH_179, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____307___HASH_192 ), POWER_335_131 );else
FAILURE( STRING___306___HASH_179, TYPE_ERROR___ERROR_146( STRING_304___HASH_153, STRING___308___HASH_242 ), STRING_334_47 );
}

obj_t
#if defined( __STDC__ )
__STRING__0__2_X_1___HASH_46(obj_t ENV_904_214,obj_t STRING_334_47,obj_t POWER_335_131)
#else
__STRING__0__2_X_1___HASH_46( ENV_904_214, STRING_334_47, POWER_335_131 )
obj_t ENV_904_214, STRING_334_47, POWER_335_131;
#endif
{

return STRING__0__2_X_1___HASH_0( STRING_334_47, POWER_335_131 );
}

obj_t
#if defined( __STDC__ )
INT__0__255___HASH_251(obj_t INT_336_194)
#else
INT__0__255___HASH_251( INT_336_194 )
obj_t INT_336_194;
#endif
{

if( INTEGERP( INT_336_194 ))
{long AUX_962_68;
AUX_962_68=get_hash_number_from_int( CINT( INT_336_194 ) );return BINT( AUX_962_68 );}else
FAILURE( INT______309___HASH_129, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, INT_____310___HASH_62 ), INT_336_194 );
}

obj_t
#if defined( __STDC__ )
__INT__0__255___HASH_153(obj_t ENV_903_199,obj_t INT_336_194)
#else
__INT__0__255___HASH_153( ENV_903_199, INT_336_194 )
obj_t ENV_903_199, INT_336_194;
#endif
{

return INT__0__255___HASH_251( INT_336_194 );
}

obj_t
#if defined( __STDC__ )
INT__0__2_X_1___HASH_62(obj_t INT_337_185,obj_t POWER_338_248)
#else
INT__0__2_X_1___HASH_62( INT_337_185, POWER_338_248 )
obj_t INT_337_185, POWER_338_248;
#endif
{

if( INTEGERP( INT_337_185 ))
if( INTEGERP( POWER_338_248 ))
{long AUX_961_234;
AUX_961_234=get_hash_power_number_from_int( CINT( INT_337_185 ), CINT( POWER_338_248 ) );return BINT( AUX_961_234 );}else
FAILURE( INT______311___HASH_214, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____312___HASH_53 ), POWER_338_248 );else
FAILURE( INT______311___HASH_214, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, INT_____313___HASH_40 ), INT_337_185 );
}

obj_t
#if defined( __STDC__ )
__INT__0__2_X_1___HASH_161(obj_t ENV_902_187,obj_t INT_337_185,obj_t POWER_338_248)
#else
__INT__0__2_X_1___HASH_161( ENV_902_187, INT_337_185, POWER_338_248 )
obj_t ENV_902_187, INT_337_185, POWER_338_248;
#endif
{

return INT__0__2_X_1___HASH_62( INT_337_185, POWER_338_248 );
}

obj_t
#if defined( __STDC__ )
OBJ__0__255___HASH_110(obj_t OBJ_339_65)
#else
OBJ__0__255___HASH_110( OBJ_339_65 )
obj_t OBJ_339_65;
#endif
{

if( STRINGP( OBJ_339_65 ))
{long AUX_957_49;
AUX_957_49=get_hash_number( BSTRING_TO_CSTRING( OBJ_339_65 ) );return BINT( AUX_957_49 );}else
if( SYMBOLP( OBJ_339_65 ))
{obj_t STRING_575_208;
STRING_575_208=SYMBOL_TO_STRING( OBJ_339_65 );{long AUX_958_28;
AUX_958_28=get_hash_number( BSTRING_TO_CSTRING( STRING_575_208 ) );return BINT( AUX_958_28 );}}else
if( INTEGERP( OBJ_339_65 ))
{long AUX_959_210;
AUX_959_210=get_hash_number_from_int( CINT( OBJ_339_65 ) );return BINT( AUX_959_210 );}else
if( CHARP( OBJ_339_65 ))
if( CHARP( OBJ_339_65 ))
return CHAR_TO_INT( OBJ_339_65 );else
FAILURE( OBJ______314___HASH_139, TYPE_ERROR___ERROR_146( CHAR_315___HASH_117, OBJ_____316___HASH_128 ), OBJ_339_65 );else
{long AUX_960_169;
AUX_960_169=get_hash_number_from_int( OBJ_339_65 );return BINT( AUX_960_169 );}
}

obj_t
#if defined( __STDC__ )
__OBJ__0__255___HASH_250(obj_t ENV_901_13,obj_t OBJ_339_65)
#else
__OBJ__0__255___HASH_250( ENV_901_13, OBJ_339_65 )
obj_t ENV_901_13, OBJ_339_65;
#endif
{

return OBJ__0__255___HASH_110( OBJ_339_65 );
}

obj_t
#if defined( __STDC__ )
OBJ__0__2_X_1___HASH_19(obj_t OBJ_340_63,obj_t POWER_341_142)
#else
OBJ__0__2_X_1___HASH_19( OBJ_340_63, POWER_341_142 )
obj_t OBJ_340_63, POWER_341_142;
#endif
{

if( STRINGP( OBJ_340_63 ))
if( INTEGERP( POWER_341_142 ))
{long AUX_953_57;
AUX_953_57=get_hash_power_number( BSTRING_TO_CSTRING( OBJ_340_63 ), CINT( POWER_341_142 ) );return BINT( AUX_953_57 );}else
FAILURE( OBJ______317___HASH_158, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____318___HASH_238 ), POWER_341_142 );else
if( SYMBOLP( OBJ_340_63 ))
{obj_t STRING_580_30;
STRING_580_30=SYMBOL_TO_STRING( OBJ_340_63 );if( INTEGERP( POWER_341_142 ))
{long AUX_954_190;
AUX_954_190=get_hash_power_number( BSTRING_TO_CSTRING( STRING_580_30 ), CINT( POWER_341_142 ) );return BINT( AUX_954_190 );}else
FAILURE( OBJ______317___HASH_158, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____318___HASH_238 ), POWER_341_142 );}else
if( INTEGERP( OBJ_340_63 ))
if( INTEGERP( POWER_341_142 ))
{long AUX_955_104;
AUX_955_104=get_hash_power_number_from_int( CINT( OBJ_340_63 ), CINT( POWER_341_142 ) );return BINT( AUX_955_104 );}else
FAILURE( OBJ______317___HASH_158, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____318___HASH_238 ), POWER_341_142 );else
if( CHARP( OBJ_340_63 ))
if( CHARP( OBJ_340_63 ))
return CHAR_TO_INT( OBJ_340_63 );else
FAILURE( OBJ______317___HASH_158, TYPE_ERROR___ERROR_146( CHAR_315___HASH_117, OBJ_____319___HASH_105 ), OBJ_340_63 );else
if( INTEGERP( POWER_341_142 ))
{long AUX_956_213;
AUX_956_213=get_hash_power_number_from_int( OBJ_340_63, CINT( POWER_341_142 ) );return BINT( AUX_956_213 );}else
FAILURE( OBJ______317___HASH_158, TYPE_ERROR___ERROR_146( NUMBER_6___HASH_174, POWER____318___HASH_238 ), POWER_341_142 );
}

obj_t
#if defined( __STDC__ )
__OBJ__0__2_X_1___HASH_210(obj_t ENV_900_32,obj_t OBJ_340_63,obj_t POWER_341_142)
#else
__OBJ__0__2_X_1___HASH_210( ENV_900_32, OBJ_340_63, POWER_341_142 )
obj_t ENV_900_32, OBJ_340_63, POWER_341_142;
#endif
{

return OBJ__0__2_X_1___HASH_19( OBJ_340_63, POWER_341_142 );
}

