/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-let.c                                           */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_LET___EXPANDER_LET_86(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_LET___EXPANDER_LET_86();
#endif
obj_t EXPAND_EVAL_LET__ENV___EXPANDER_LET_144 = BUNSPEC;
DEFINE_STRING( ILLEGAL__10___EXPANDER_LET_106, "Illegal form", 12);
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_LABELS___EXPANDER_LET_55(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_LABELS___EXPANDER_LET_55();
#endif
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_LET___EXPANDER_LET_41(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_LET___EXPANDER_LET_41();
#endif
DEFINE_STRING( LET_4___EXPANDER_LET_68, "let", 3);
DEFINE_STRING( EXPAND_L_13___EXPANDER_LET_174, "expand-labels", 13);
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t LETREC_3___EXPANDER_LET_35 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_LETREC___EXPANDER_LET_254(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_LETREC___EXPANDER_LET_254();
#endif
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_LET____EXPANDER_LET_242(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_LET____EXPANDER_LET_242();
#endif
static obj_t LIST_6___EXPANDER_LET_240 = BUNSPEC;
extern obj_t ___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120();
static obj_t LET_8___EXPANDER_LET_92 = BUNSPEC;
static obj_t LAMBDA_0___EXPANDER_LET_173 = BUNSPEC;
obj_t EXPAND_EVAL_LET_ENV___EXPANDER_LET_249 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_LET____EXPANDER_LET_146(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_LET____EXPANDER_LET_146();
#endif
obj_t EXPAND_EVAL_LABELS_ENV___EXPANDER_LET_159 = BUNSPEC;
extern obj_t ___PROGN_INITIALISATION___PROGN_85();
static obj_t REQUIRE_INITIALISATION____EXPANDER_LET_179 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t LET__7___EXPANDER_LET_196 = BUNSPEC;
obj_t EXPAND_EVAL_LETREC_ENV___EXPANDER_LET_75 = BUNSPEC;
DEFINE_STRING( EXPAND_L_9___EXPANDER_LET_166, "expand-let*", 11);
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
#if defined( __STDC__ )
extern obj_t EXPAND_EVAL_LETREC___EXPANDER_LET_80(obj_t, obj_t);
#else
extern obj_t EXPAND_EVAL_LETREC___EXPANDER_LET_80();
#endif
obj_t ___EXPANDER_LET_INITIALISATION_ENV___EXPANDER_LET_195 = BUNSPEC;
DEFINE_STRING( ILLEGAL__2___EXPANDER_LET_190, "Illegal `let' form", 18);
DEFINE_STRING( EXPAND_L_1___EXPANDER_LET_43, "expand-let", 10);
extern obj_t make_fx_procedure();
static obj_t SET__12___EXPANDER_LET_221 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____EXPANDER_LET_INITIALISATION___EXPANDER_LET_156(obj_t);
#else
extern obj_t ____EXPANDER_LET_INITIALISATION___EXPANDER_LET_156();
#endif
extern obj_t NORMALIZE_PROGN___PROGN_138();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
DEFINE_STRING( LETREC_11___EXPANDER_LET_98, "letrec", 6);
static obj_t UNSPECIF_5___EXPANDER_LET_126 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EXPAND_EVAL_LABELS___EXPANDER_LET_7(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_EVAL_LABELS___EXPANDER_LET_7();
#endif

static obj_t LOOP_333_93();

obj_t
#if defined( __STDC__ )
___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120()
#else
___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_LET_179 ))
{
REQUIRE_INITIALISATION____EXPANDER_LET_179=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___PROGN_INITIALISATION___PROGN_85();
SET__12___EXPANDER_LET_221=c_string_to_symbol( "SET!" );
LET_8___EXPANDER_LET_92=c_string_to_symbol( "LET" );
LETREC_3___EXPANDER_LET_35=c_string_to_symbol( "LETREC" );
LET__7___EXPANDER_LET_196=c_string_to_symbol( "LET*" );
LAMBDA_0___EXPANDER_LET_173=c_string_to_symbol( "LAMBDA" );
UNSPECIF_5___EXPANDER_LET_126=c_string_to_symbol( "UNSPECIFIED" );
LIST_6___EXPANDER_LET_240=MAKE_PAIR( UNSPECIF_5___EXPANDER_LET_126, BNIL );
{
___EXPANDER_LET_INITIALISATION_ENV___EXPANDER_LET_195=make_fx_procedure( ____EXPANDER_LET_INITIALISATION___EXPANDER_LET_156, 0, 0 );
EXPAND_EVAL_LET_ENV___EXPANDER_LET_249=make_fx_procedure( __EXPAND_EVAL_LET___EXPANDER_LET_86, 2, 0 );
EXPAND_EVAL_LET__ENV___EXPANDER_LET_144=make_fx_procedure( __EXPAND_EVAL_LET____EXPANDER_LET_242, 2, 0 );
EXPAND_EVAL_LETREC_ENV___EXPANDER_LET_75=make_fx_procedure( __EXPAND_EVAL_LETREC___EXPANDER_LET_254, 2, 0 );
EXPAND_EVAL_LABELS_ENV___EXPANDER_LET_159=make_fx_procedure( __EXPAND_EVAL_LABELS___EXPANDER_LET_7, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_LET_INITIALISATION___EXPANDER_LET_156(obj_t ENV_516_235)
#else
____EXPANDER_LET_INITIALISATION___EXPANDER_LET_156( ENV_516_235 )
obj_t ENV_516_235;
#endif
{

return ___EXPANDER_LET_INITIALISATION___EXPANDER_LET_120();
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_LET___EXPANDER_LET_41(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_EVAL_LET___EXPANDER_LET_41( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

{obj_t BODY_249_14, LOOP_250_169, BINDINGS_251_234, BODY_252_100, BINDINGS_270_51, BODY_271_74;
if( PAIRP( X_222_34 ))
{obj_t CDR_121_229_127;
CDR_121_229_127=CDR( X_222_34 );if( PAIRP( CDR_121_229_127 ))
{obj_t CDR_134_230_200;
CDR_134_230_200=CDR( CDR_121_229_127 );{obj_t OBJ2_388_119;
OBJ2_388_119=BNIL;{obj_t OBJ1_387_204;
OBJ1_387_204=CAR( CDR_121_229_127 );if( EQP( OBJ1_387_204, OBJ2_388_119 ))
if( EQP( CDR_134_230_200, OBJ2_388_119 ))
if( SYMBOLP( OBJ1_387_204 ))
if( PAIRP( CDR_134_230_200 ))
{obj_t CDR_240_234_96;
CDR_240_234_96=CDR( CDR_134_230_200 );if( EQP( CDR_240_234_96, OBJ2_388_119 ))
if( PAIRP( OBJ1_387_204 ))
{
BODY_271_74=CDR_134_230_200;
BINDINGS_270_51=OBJ1_387_204;
{_TAG_103_226_242:

{obj_t BODY_273_137, VARS_VALS_272_159;
BODY_273_137=NORMALIZE_PROGN___PROGN_138( BODY_271_74 );{obj_t BINDINGS_275_125, VARS_276_223, VALS_277_229;
{
VALS_277_229=BNIL;
VARS_276_223=BNIL;
BINDINGS_275_125=BINDINGS_270_51;
{_LOOP_274_118:

if( NULLP( BINDINGS_275_125 ))
VARS_VALS_272_159=MAKE_PAIR( VARS_276_223, VALS_277_229 );else
{obj_t OBJ_350_97;
OBJ_350_97=CAR( BINDINGS_275_125 );if( PAIRP( OBJ_350_97 ))
{obj_t C_CDR_353_186;
C_CDR_353_186=CDR( BINDINGS_275_125 );{obj_t OBJ1_354_137;
OBJ1_354_137=CAR( OBJ_350_97 );{obj_t C_CONS_355_169;
C_CONS_355_169=MAKE_PAIR( OBJ1_354_137, VARS_276_223 );{obj_t OBJ1_357_59;
{obj_t C_CDR_360_150;
C_CDR_360_150=CDR( OBJ_350_97 );OBJ1_357_59=NORMALIZE_PROGN___PROGN_138( C_CDR_360_150 );}{obj_t C_CONS_358_30;
C_CONS_358_30=MAKE_PAIR( OBJ1_357_59, VALS_277_229 );{
VALS_277_229=C_CONS_358_30;
VARS_276_223=C_CONS_355_169;
BINDINGS_275_125=C_CDR_353_186;
goto _LOOP_274_118;
}}}}}}else
{obj_t C_CDR_361_26;
C_CDR_361_26=CDR( BINDINGS_275_125 );{obj_t C_CONS_363_248;
C_CONS_363_248=MAKE_PAIR( OBJ_350_97, VARS_276_223 );{obj_t OBJ1_364_84;
OBJ1_364_84=LIST_6___EXPANDER_LET_240;{obj_t C_CONS_365_222;
C_CONS_365_222=MAKE_PAIR( OBJ1_364_84, VALS_277_229 );{
VALS_277_229=C_CONS_365_222;
VARS_276_223=C_CONS_363_248;
BINDINGS_275_125=C_CDR_361_26;
goto _LOOP_274_118;
}}}}}}}
}}{obj_t VA_ARG_448_60;
VA_ARG_448_60=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_449_66;
VA_ARG_449_66=MAKE_PAIR( BODY_273_137, VA_ARG_448_60 );{obj_t VA_ARG_450_20;
{obj_t C_CAR_366_145;
C_CAR_366_145=CAR( VARS_VALS_272_159 );VA_ARG_450_20=MAKE_PAIR( C_CAR_366_145, VA_ARG_449_66 );}{obj_t VA_ARG_451_81;
{obj_t C_CDR_367_8;
C_CDR_367_8=CDR( VARS_VALS_272_159 );{obj_t AUX_552_134;
{obj_t AUX_553_105;
AUX_553_105=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_552_134=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CDR_367_8, AUX_553_105 );}VA_ARG_451_81=MAKE_PAIR( AUX_552_134, BNIL );}}{obj_t AUX_554_164;
{obj_t AUX_555_29;
AUX_555_29=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_450_20 );AUX_554_164=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_555_29, VA_ARG_451_81 );}return PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_554_164, E_223_62, BEOA );}}}}}}}
}else
{_TAG_104_227_17:

FAILURE( BREF( &EXPAND_L_1___EXPANDER_LET_43), BREF( &ILLEGAL__2___EXPANDER_LET_190), X_222_34 );}else
{obj_t C_CAR_393_11;
C_CAR_393_11=CAR( CDR_134_230_200 );{
BODY_252_100=CDR_240_234_96;
BINDINGS_251_234=C_CAR_393_11;
LOOP_250_169=OBJ1_387_204;
{_TAG_102_225_139:

{if( NULLP( BINDINGS_251_234 ))
goto _true_0;else
if( PAIRP( BINDINGS_251_234 ))
goto _true_0;else
goto _false_1;_true_0:
{obj_t VA_ARG_452_24;
VA_ARG_452_24=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_453_6;
{obj_t VA_ARG_465_59;
{obj_t AUX_556_194;
{obj_t AUX_558_64, AUX_557_185;
AUX_558_64=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( NULLP( BINDINGS_251_234 ))
AUX_557_185=BNIL;else
{obj_t HEAD_263_42;
{obj_t OBJ2_377_25;
OBJ2_377_25=BNIL;{obj_t OBJ1_376_161;
{obj_t B_269_225;
B_269_225=CAR( BINDINGS_251_234 );{obj_t PAIR_379_251;
PAIR_379_251=CDR( B_269_225 );OBJ1_376_161=CAR( PAIR_379_251 );}}HEAD_263_42=MAKE_PAIR( OBJ1_376_161, OBJ2_377_25 );}}{obj_t g1000_265_187, TAIL_266_148;
{obj_t C_CDR_384_191;
C_CDR_384_191=CDR( BINDINGS_251_234 );{
TAIL_266_148=HEAD_263_42;
g1000_265_187=C_CDR_384_191;
{_g1001_264_212:

if( NULLP( g1000_265_187 ))
AUX_557_185=HEAD_263_42;else
{obj_t NEW_TAIL_267_109;
{obj_t OBJ2_381_140;
OBJ2_381_140=BNIL;{obj_t OBJ1_380_224;
{obj_t B_268_207;
B_268_207=CAR( g1000_265_187 );{obj_t PAIR_382_191;
PAIR_382_191=CDR( B_268_207 );OBJ1_380_224=CAR( PAIR_382_191 );}}NEW_TAIL_267_109=MAKE_PAIR( OBJ1_380_224, OBJ2_381_140 );}}{
SET_CDR( TAIL_266_148, NEW_TAIL_267_109 );
{obj_t C_CDR_383_137;
C_CDR_383_137=CDR( g1000_265_187 );{
TAIL_266_148=NEW_TAIL_267_109;
g1000_265_187=C_CDR_383_137;
goto _g1001_264_212;
}}
}}}
}}}}AUX_556_194=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_557_185, AUX_558_64 );}VA_ARG_465_59=MAKE_PAIR( AUX_556_194, BNIL );}{obj_t AUX_559_121;
AUX_559_121=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOOP_250_169, VA_ARG_465_59 );VA_ARG_453_6=MAKE_PAIR( AUX_559_121, VA_ARG_452_24 );}}{obj_t VA_ARG_454_92;
{obj_t VA_ARG_455_91;
VA_ARG_455_91=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_456_17;
{obj_t VA_ARG_457_127;
VA_ARG_457_127=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_458_207;
{obj_t AUX_560_5;
AUX_560_5=NORMALIZE_PROGN___PROGN_138( BODY_252_100 );VA_ARG_458_207=MAKE_PAIR( AUX_560_5, VA_ARG_457_127 );}{obj_t VA_ARG_459_225;
{obj_t AUX_561_171;
if( NULLP( BINDINGS_251_234 ))
AUX_561_171=BNIL;else
{obj_t HEAD_255_229;
{obj_t OBJ2_369_38;
OBJ2_369_38=BNIL;{obj_t OBJ1_368_247;
{obj_t B_261_81;
B_261_81=CAR( BINDINGS_251_234 );if( PAIRP( B_261_81 ))
OBJ1_368_247=CAR( B_261_81 );else
FAILURE( BREF( &EXPAND_L_1___EXPANDER_LET_43), BREF( &ILLEGAL__2___EXPANDER_LET_190), X_222_34 );}HEAD_255_229=MAKE_PAIR( OBJ1_368_247, OBJ2_369_38 );}}{obj_t g1002_257_71, TAIL_258_113;
{obj_t C_CDR_375_74;
C_CDR_375_74=CDR( BINDINGS_251_234 );{
TAIL_258_113=HEAD_255_229;
g1002_257_71=C_CDR_375_74;
{_g1003_256_190:

if( NULLP( g1002_257_71 ))
AUX_561_171=HEAD_255_229;else
{obj_t NEW_TAIL_259_130;
{obj_t OBJ2_371_174;
OBJ2_371_174=BNIL;{obj_t OBJ1_370_83;
{obj_t B_260_20;
B_260_20=CAR( g1002_257_71 );if( PAIRP( B_260_20 ))
OBJ1_370_83=CAR( B_260_20 );else
FAILURE( BREF( &EXPAND_L_1___EXPANDER_LET_43), BREF( &ILLEGAL__2___EXPANDER_LET_190), X_222_34 );}NEW_TAIL_259_130=MAKE_PAIR( OBJ1_370_83, OBJ2_371_174 );}}{
SET_CDR( TAIL_258_113, NEW_TAIL_259_130 );
{obj_t C_CDR_374_59;
C_CDR_374_59=CDR( g1002_257_71 );{
TAIL_258_113=NEW_TAIL_259_130;
g1002_257_71=C_CDR_374_59;
goto _g1003_256_190;
}}
}}}
}}}}VA_ARG_459_225=MAKE_PAIR( AUX_561_171, VA_ARG_458_207 );}{obj_t AUX_562_126;
AUX_562_126=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_459_225 );VA_ARG_456_17=MAKE_PAIR( AUX_562_126, VA_ARG_455_91 );}}}}{obj_t VA_ARG_464_74;
VA_ARG_464_74=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_563_11;
{obj_t AUX_564_193;
AUX_564_193=CONS____R4_PAIRS_AND_LISTS_6_3_28( LOOP_250_169, VA_ARG_456_17 );AUX_563_11=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_564_193, VA_ARG_464_74 );}VA_ARG_454_92=MAKE_PAIR( AUX_563_11, VA_ARG_453_6 );}}}}{obj_t AUX_565_239;
AUX_565_239=CONS____R4_PAIRS_AND_LISTS_6_3_28( LETREC_3___EXPANDER_LET_35, VA_ARG_454_92 );return PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_565_239, E_223_62, BEOA );}}}}_false_1:
FAILURE( BREF( &LET_4___EXPANDER_LET_68), BREF( &ILLEGAL__2___EXPANDER_LET_190), X_222_34 );;
}}
}}}else
goto _TAG_104_227_17;else
goto _TAG_104_227_17;else
{
BODY_249_14=CDR_134_230_200;
{
{obj_t VA_ARG_468_5;
VA_ARG_468_5=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_469_171;
{obj_t AUX_566_101;
AUX_566_101=NORMALIZE_PROGN___PROGN_138( BODY_249_14 );VA_ARG_469_171=MAKE_PAIR( AUX_566_101, VA_ARG_468_5 );}{obj_t VA_ARG_470_6;
VA_ARG_470_6=MAKE_PAIR( BNIL, VA_ARG_469_171 );{obj_t VA_ARG_471_24;
VA_ARG_471_24=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_567_242;
{obj_t AUX_568_108;
AUX_568_108=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_470_6 );AUX_567_242=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_568_108, VA_ARG_471_24 );}return PROCEDURE_ENTRY( E_223_62 )( E_223_62, AUX_567_242, E_223_62, BEOA );}}}}}}
}else
if( SYMBOLP( OBJ1_387_204 ))
if( PAIRP( CDR_134_230_200 ))
{obj_t CDR_188_240_74;
CDR_188_240_74=CDR( CDR_134_230_200 );if( EQP( CDR_188_240_74, OBJ2_388_119 ))
if( PAIRP( OBJ1_387_204 ))
{
BODY_271_74=CDR_134_230_200;
BINDINGS_270_51=OBJ1_387_204;
goto _TAG_103_226_242;
}else
goto _TAG_104_227_17;else
{obj_t C_CAR_396_101;
C_CAR_396_101=CAR( CDR_134_230_200 );{
BODY_252_100=CDR_188_240_74;
BINDINGS_251_234=C_CAR_396_101;
LOOP_250_169=OBJ1_387_204;
goto _TAG_102_225_139;
}}}else
if( PAIRP( OBJ1_387_204 ))
if( EQP( CDR_134_230_200, OBJ2_388_119 ))
goto _TAG_104_227_17;else
{
BODY_271_74=CDR_134_230_200;
BINDINGS_270_51=OBJ1_387_204;
goto _TAG_103_226_242;
}else
goto _TAG_104_227_17;else
if( PAIRP( OBJ1_387_204 ))
if( EQP( CDR_134_230_200, OBJ2_388_119 ))
goto _TAG_104_227_17;else
{
BODY_271_74=CDR_134_230_200;
BINDINGS_270_51=OBJ1_387_204;
goto _TAG_103_226_242;
}else
goto _TAG_104_227_17;}}}else
goto _TAG_104_227_17;}else
goto _TAG_104_227_17;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_LET___EXPANDER_LET_86(obj_t ENV_515_163,obj_t X_222_34,obj_t E_223_62)
#else
__EXPAND_EVAL_LET___EXPANDER_LET_86( ENV_515_163, X_222_34, E_223_62 )
obj_t ENV_515_163, X_222_34, E_223_62;
#endif
{

return EXPAND_EVAL_LET___EXPANDER_LET_41( X_222_34, E_223_62 );
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_LET____EXPANDER_LET_146(obj_t X_278_171,obj_t E_279_235)
#else
EXPAND_EVAL_LET____EXPANDER_LET_146( X_278_171, E_279_235 )
obj_t X_278_171, E_279_235;
#endif
{

{obj_t BODY_288_171, BINDINGS_289_233, BODY_290_150;
if( PAIRP( X_278_171 ))
{obj_t CDR_271_284_2;
CDR_271_284_2=CDR( X_278_171 );if( PAIRP( CDR_271_284_2 ))
{obj_t CDR_278_285_90;
CDR_278_285_90=CDR( CDR_271_284_2 );{obj_t OBJ2_402_48;
OBJ2_402_48=BNIL;{obj_t OBJ1_401_50;
OBJ1_401_50=CAR( CDR_271_284_2 );if( EQP( OBJ1_401_50, OBJ2_402_48 ))
if( EQP( CDR_278_285_90, OBJ2_402_48 ))
{_TAG_261_282_201:

FAILURE( BREF( &EXPAND_L_9___EXPANDER_LET_166), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_278_171 );}else
{
BODY_288_171=CDR_278_285_90;
{
{obj_t VA_ARG_481_147;
VA_ARG_481_147=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_482_172;
{obj_t AUX_545_10;
AUX_545_10=NORMALIZE_PROGN___PROGN_138( BODY_288_171 );VA_ARG_482_172=MAKE_PAIR( AUX_545_10, VA_ARG_481_147 );}{obj_t VA_ARG_483_144;
VA_ARG_483_144=MAKE_PAIR( BNIL, VA_ARG_482_172 );{obj_t VA_ARG_484_183;
VA_ARG_484_183=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_546_248;
{obj_t AUX_547_243;
AUX_547_243=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_483_144 );AUX_546_248=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_547_243, VA_ARG_484_183 );}return PROCEDURE_ENTRY( E_279_235 )( E_279_235, AUX_546_248, E_279_235, BEOA );}}}}}}
}else
if( EQP( CDR_278_285_90, OBJ2_402_48 ))
goto _TAG_261_282_201;else
{
BODY_290_150=CDR_278_285_90;
BINDINGS_289_233=OBJ1_401_50;
{
{obj_t VA_ARG_474_127;
VA_ARG_474_127=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_475_17;
{obj_t VA_ARG_478_251;
VA_ARG_478_251=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_479_151;
{obj_t AUX_548_123;
AUX_548_123=NORMALIZE_PROGN___PROGN_138( BODY_290_150 );VA_ARG_479_151=MAKE_PAIR( AUX_548_123, VA_ARG_478_251 );}{obj_t VA_ARG_480_124;
{obj_t C_CDR_400_18;
C_CDR_400_18=CDR( BINDINGS_289_233 );VA_ARG_480_124=MAKE_PAIR( C_CDR_400_18, VA_ARG_479_151 );}{obj_t AUX_549_229;
AUX_549_229=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET__7___EXPANDER_LET_196, VA_ARG_480_124 );VA_ARG_475_17=MAKE_PAIR( AUX_549_229, VA_ARG_474_127 );}}}}{obj_t VA_ARG_476_91;
{obj_t C_CAR_399_191;
C_CAR_399_191=CAR( BINDINGS_289_233 );{obj_t VA_ARG_477_92;
VA_ARG_477_92=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_550_55;
AUX_550_55=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_CAR_399_191, VA_ARG_477_92 );VA_ARG_476_91=MAKE_PAIR( AUX_550_55, VA_ARG_475_17 );}}}{obj_t AUX_551_143;
AUX_551_143=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_8___EXPANDER_LET_92, VA_ARG_476_91 );return PROCEDURE_ENTRY( E_279_235 )( E_279_235, AUX_551_143, E_279_235, BEOA );}}}}}
}}}}else
goto _TAG_261_282_201;}else
goto _TAG_261_282_201;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_LET____EXPANDER_LET_242(obj_t ENV_514_200,obj_t X_278_171,obj_t E_279_235)
#else
__EXPAND_EVAL_LET____EXPANDER_LET_242( ENV_514_200, X_278_171, E_279_235 )
obj_t ENV_514_200, X_278_171, E_279_235;
#endif
{

return EXPAND_EVAL_LET____EXPANDER_LET_146( X_278_171, E_279_235 );
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_LETREC___EXPANDER_LET_80(obj_t X_291_215,obj_t E_292_208)
#else
EXPAND_EVAL_LETREC___EXPANDER_LET_80( X_291_215, E_292_208 )
obj_t X_291_215, E_292_208;
#endif
{

{obj_t BINDINGS_299_38, BODY_300_54;
if( PAIRP( X_291_215 ))
{obj_t CDR_306_296_12;
CDR_306_296_12=CDR( X_291_215 );if( PAIRP( CDR_306_296_12 ))
{obj_t CAR_309_298_11, CDR_310_297_54;
CAR_309_298_11=CAR( CDR_306_296_12 );CDR_310_297_54=CDR( CDR_306_296_12 );if( PAIRP( CAR_309_298_11 ))
{obj_t OBJ2_433_81;
OBJ2_433_81=BNIL;if( EQP( CDR_310_297_54, OBJ2_433_81 ))
{_TAG_299_294_6:

FAILURE( BREF( &LETREC_11___EXPANDER_LET_98), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_291_215 );}else
{
BODY_300_54=CDR_310_297_54;
BINDINGS_299_38=CAR_309_298_11;
{
{obj_t BODY_302_252, VARS_VALS_301_192;
BODY_302_252=NORMALIZE_PROGN___PROGN_138( BODY_300_54 );{obj_t BINDINGS_316_223, VARS_317_1, VALS_318_205;
{
VALS_318_205=BNIL;
VARS_317_1=BNIL;
BINDINGS_316_223=BINDINGS_299_38;
{_LOOP_315_57:

if( NULLP( BINDINGS_316_223 ))
VARS_VALS_301_192=MAKE_PAIR( VARS_317_1, VALS_318_205 );else
{obj_t OBJ_407_218;
OBJ_407_218=CAR( BINDINGS_316_223 );if( PAIRP( OBJ_407_218 ))
{obj_t C_CDR_408_224;
C_CDR_408_224=CDR( BINDINGS_316_223 );{obj_t OBJ1_409_16;
OBJ1_409_16=CAR( OBJ_407_218 );{obj_t C_CONS_410_102;
C_CONS_410_102=MAKE_PAIR( OBJ1_409_16, VARS_317_1 );{obj_t OBJ1_412_143;
{obj_t C_CDR_415_254;
C_CDR_415_254=CDR( OBJ_407_218 );OBJ1_412_143=NORMALIZE_PROGN___PROGN_138( C_CDR_415_254 );}{obj_t C_CONS_413_240;
C_CONS_413_240=MAKE_PAIR( OBJ1_412_143, VALS_318_205 );{
VALS_318_205=C_CONS_413_240;
VARS_317_1=C_CONS_410_102;
BINDINGS_316_223=C_CDR_408_224;
goto _LOOP_315_57;
}}}}}}else
FAILURE( BREF( &LETREC_11___EXPANDER_LET_98), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_291_215 );}}
}}{obj_t VA_ARG_489_58;
VA_ARG_489_58=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_490_245;
{obj_t VARS_304_212, VALS_305_247, RES_306_129;
{obj_t C_CAR_423_133;
C_CAR_423_133=CAR( VARS_VALS_301_192 );{obj_t C_CDR_424_135;
C_CDR_424_135=CDR( VARS_VALS_301_192 );{obj_t L_426_125;
L_426_125=MAKE_PAIR( BODY_302_252, BNIL );{obj_t AUX_538_32;
{obj_t AUX_539_13;
{
RES_306_129=L_426_125;
VALS_305_247=C_CDR_424_135;
VARS_304_212=C_CAR_423_133;
{_LOOP_303_168:

if( NULLP( VARS_304_212 ))
AUX_539_13=RES_306_129;else
{obj_t C_CDR_417_198;
C_CDR_417_198=CDR( VARS_304_212 );{obj_t C_CDR_418_141;
C_CDR_418_141=CDR( VALS_305_247 );{obj_t OBJ1_419_72;
{obj_t VA_ARG_492_122;
VA_ARG_492_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_493_130;
{obj_t C_CAR_422_88;
C_CAR_422_88=CAR( VALS_305_247 );VA_ARG_493_130=MAKE_PAIR( C_CAR_422_88, VA_ARG_492_122 );}{obj_t VA_ARG_494_64;
{obj_t C_CAR_421_250;
C_CAR_421_250=CAR( VARS_304_212 );VA_ARG_494_64=MAKE_PAIR( C_CAR_421_250, VA_ARG_493_130 );}OBJ1_419_72=CONS____R4_PAIRS_AND_LISTS_6_3_28( SET__12___EXPANDER_LET_221, VA_ARG_494_64 );}}}{obj_t C_CONS_420_110;
C_CONS_420_110=MAKE_PAIR( OBJ1_419_72, RES_306_129 );{
RES_306_129=C_CONS_420_110;
VALS_305_247=C_CDR_418_141;
VARS_304_212=C_CDR_417_198;
goto _LOOP_303_168;
}}}}}}
}AUX_538_32=NORMALIZE_PROGN___PROGN_138( AUX_539_13 );}VA_ARG_490_245=MAKE_PAIR( AUX_538_32, VA_ARG_489_58 );}}}}}{obj_t VA_ARG_491_208;
{obj_t C_CAR_416_53;
C_CAR_416_53=CAR( VARS_VALS_301_192 );VA_ARG_491_208=MAKE_PAIR( C_CAR_416_53, VA_ARG_490_245 );}{obj_t VA_ARG_495_121;
{obj_t AUX_540_222;
{obj_t AUX_542_163, AUX_541_235;
AUX_542_163=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );if( NULLP( BINDINGS_299_38 ))
AUX_541_235=BNIL;else
{obj_t HEAD_308_123;
{obj_t OBJ2_428_48;
OBJ2_428_48=BNIL;{obj_t OBJ1_427_0;
{obj_t V_314_116;
V_314_116=CAR( BINDINGS_299_38 );OBJ1_427_0=LIST_6___EXPANDER_LET_240;}HEAD_308_123=MAKE_PAIR( OBJ1_427_0, OBJ2_428_48 );}}{obj_t g1005_310_229, TAIL_311_79;
{obj_t C_CDR_432_136;
C_CDR_432_136=CDR( BINDINGS_299_38 );{
TAIL_311_79=HEAD_308_123;
g1005_310_229=C_CDR_432_136;
{_g1006_309_43:

if( NULLP( g1005_310_229 ))
AUX_541_235=HEAD_308_123;else
{obj_t NEW_TAIL_312_183;
{obj_t OBJ2_430_24;
OBJ2_430_24=BNIL;{obj_t OBJ1_429_69;
{obj_t V_313_252;
V_313_252=CAR( g1005_310_229 );OBJ1_429_69=LIST_6___EXPANDER_LET_240;}NEW_TAIL_312_183=MAKE_PAIR( OBJ1_429_69, OBJ2_430_24 );}}{
SET_CDR( TAIL_311_79, NEW_TAIL_312_183 );
{obj_t C_CDR_431_111;
C_CDR_431_111=CDR( g1005_310_229 );{
TAIL_311_79=NEW_TAIL_312_183;
g1005_310_229=C_CDR_431_111;
goto _g1006_309_43;
}}
}}}
}}}}AUX_540_222=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_541_235, AUX_542_163 );}VA_ARG_495_121=MAKE_PAIR( AUX_540_222, BNIL );}{obj_t AUX_543_200;
{obj_t AUX_544_219;
AUX_544_219=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_491_208 );AUX_543_200=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_544_219, VA_ARG_495_121 );}return PROCEDURE_ENTRY( E_292_208 )( E_292_208, AUX_543_200, E_292_208, BEOA );}}}}}}}
}}else
goto _TAG_299_294_6;}else
goto _TAG_299_294_6;}else
goto _TAG_299_294_6;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_LETREC___EXPANDER_LET_254(obj_t ENV_513_219,obj_t X_291_215,obj_t E_292_208)
#else
__EXPAND_EVAL_LETREC___EXPANDER_LET_254( ENV_513_219, X_291_215, E_292_208 )
obj_t ENV_513_219, X_291_215, E_292_208;
#endif
{

return EXPAND_EVAL_LETREC___EXPANDER_LET_80( X_291_215, E_292_208 );
}

obj_t
#if defined( __STDC__ )
EXPAND_EVAL_LABELS___EXPANDER_LET_55(obj_t X_319_194,obj_t E_320_146)
#else
EXPAND_EVAL_LABELS___EXPANDER_LET_55( X_319_194, E_320_146 )
obj_t X_319_194, E_320_146;
#endif
{

{obj_t BODY_329_183, BINDINGS_330_42, BODY_331_144;
if( PAIRP( X_319_194 ))
{obj_t CDR_328_325_82;
CDR_328_325_82=CDR( X_319_194 );if( PAIRP( CDR_328_325_82 ))
{obj_t CDR_335_326_9;
CDR_335_326_9=CDR( CDR_328_325_82 );{obj_t OBJ2_442_75;
OBJ2_442_75=BNIL;{obj_t OBJ1_441_14;
OBJ1_441_14=CAR( CDR_328_325_82 );if( EQP( OBJ1_441_14, OBJ2_442_75 ))
if( EQP( CDR_335_326_9, OBJ2_442_75 ))
{_TAG_318_323_208:

FAILURE( BREF( &EXPAND_L_13___EXPANDER_LET_174), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_319_194 );}else
{
BODY_329_183=CDR_335_326_9;
{
{obj_t VA_ARG_508_108;
VA_ARG_508_108=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_509_191;
{obj_t AUX_532_204;
AUX_532_204=NORMALIZE_PROGN___PROGN_138( BODY_329_183 );VA_ARG_509_191=MAKE_PAIR( AUX_532_204, VA_ARG_508_108 );}{obj_t VA_ARG_510_186;
VA_ARG_510_186=MAKE_PAIR( BNIL, VA_ARG_509_191 );{obj_t VA_ARG_511_67;
VA_ARG_511_67=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_533_247;
{obj_t AUX_534_212;
AUX_534_212=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_510_186 );AUX_533_247=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_534_212, VA_ARG_511_67 );}return PROCEDURE_ENTRY( E_320_146 )( E_320_146, AUX_533_247, E_320_146, BEOA );}}}}}}
}else
if( EQP( CDR_335_326_9, OBJ2_442_75 ))
goto _TAG_318_323_208;else
{
BODY_331_144=CDR_335_326_9;
BINDINGS_330_42=OBJ1_441_14;
{
{obj_t NEW_332_118;
NEW_332_118=LOOP_333_93( X_319_194, BINDINGS_330_42 );{obj_t VA_ARG_506_101;
{obj_t AUX_535_224;
{obj_t AUX_536_220;
AUX_536_220=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_535_224=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( BODY_331_144, AUX_536_220 );}VA_ARG_506_101=MAKE_PAIR( AUX_535_224, BNIL );}{obj_t VA_ARG_507_242;
VA_ARG_507_242=MAKE_PAIR( NEW_332_118, VA_ARG_506_101 );{obj_t AUX_537_94;
AUX_537_94=CONS____R4_PAIRS_AND_LISTS_6_3_28( LETREC_3___EXPANDER_LET_35, VA_ARG_507_242 );return PROCEDURE_ENTRY( E_320_146 )( E_320_146, AUX_537_94, E_320_146, BEOA );}}}}}
}}}}else
goto _TAG_318_323_208;}else
goto _TAG_318_323_208;}
}

static obj_t
#if defined( __STDC__ )
LOOP_333_93(obj_t X_319_194,obj_t BINDINGS_334_61)
#else
LOOP_333_93( X_319_194, BINDINGS_334_61 )
obj_t X_319_194, BINDINGS_334_61;
#endif
{

if( NULLP( BINDINGS_334_61 ))
return BNIL;else
if( PAIRP( BINDINGS_334_61 ))
{obj_t NAME_339_100, ARGS_340_66, LBODY_341_112;
{obj_t E_357_337_247;
E_357_337_247=CAR( BINDINGS_334_61 );if( PAIRP( E_357_337_247 ))
{obj_t CDR_365_338_51;
CDR_365_338_51=CDR( E_357_337_247 );if( PAIRP( CDR_365_338_51 ))
{obj_t C_CAR_438_217;
C_CAR_438_217=CAR( E_357_337_247 );{obj_t C_CAR_439_202;
C_CAR_439_202=CAR( CDR_365_338_51 );{obj_t C_CDR_440_33;
C_CDR_440_33=CDR( CDR_365_338_51 );{
LBODY_341_112=C_CDR_440_33;
ARGS_340_66=C_CAR_439_202;
NAME_339_100=C_CAR_438_217;
{
{obj_t OBJ2_435_127;
{obj_t C_CDR_437_45;
C_CDR_437_45=CDR( BINDINGS_334_61 );OBJ2_435_127=LOOP_333_93( X_319_194, C_CDR_437_45 );}{obj_t OBJ1_434_48;
{obj_t VA_ARG_500_5;
VA_ARG_500_5=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_501_171;
{obj_t VA_ARG_502_126;
{obj_t AUX_529_140;
{obj_t AUX_530_43;
AUX_530_43=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_529_140=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( LBODY_341_112, AUX_530_43 );}VA_ARG_502_126=MAKE_PAIR( AUX_529_140, BNIL );}{obj_t VA_ARG_503_11;
VA_ARG_503_11=MAKE_PAIR( ARGS_340_66, VA_ARG_502_126 );{obj_t AUX_531_196;
AUX_531_196=CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_0___EXPANDER_LET_173, VA_ARG_503_11 );VA_ARG_501_171=MAKE_PAIR( AUX_531_196, VA_ARG_500_5 );}}}OBJ1_434_48=CONS____R4_PAIRS_AND_LISTS_6_3_28( NAME_339_100, VA_ARG_501_171 );}}return MAKE_PAIR( OBJ1_434_48, OBJ2_435_127 );}}}
}}}}else
{_TAG_356_336_59:

FAILURE( BREF( &EXPAND_L_13___EXPANDER_LET_174), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_319_194 );}}else
goto _TAG_356_336_59;}}else
FAILURE( BREF( &EXPAND_L_13___EXPANDER_LET_174), BREF( &ILLEGAL__10___EXPANDER_LET_106), X_319_194 );
}

obj_t
#if defined( __STDC__ )
__EXPAND_EVAL_LABELS___EXPANDER_LET_7(obj_t ENV_512_10,obj_t X_319_194,obj_t E_320_146)
#else
__EXPAND_EVAL_LABELS___EXPANDER_LET_7( ENV_512_10, X_319_194, E_320_146 )
obj_t ENV_512_10, X_319_194, E_320_146;
#endif
{

return EXPAND_EVAL_LABELS___EXPANDER_LET_55( X_319_194, E_320_146 );
}

