/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/expd-quote.c                                         */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __QUASIQUOTATION___EXPANDER_QUOTE_17(obj_t, obj_t, obj_t);
#else
extern obj_t __QUASIQUOTATION___EXPANDER_QUOTE_17();
#endif
DEFINE_STRING( QUOTE_0___EXPANDER_QUOTE_174, "quote", 5);
static obj_t LIST_20___EXPANDER_QUOTE_51 = BUNSPEC;
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
#if defined( __STDC__ )
static obj_t TEMPLATE___EXPANDER_QUOTE_55(obj_t, obj_t);
#else
static obj_t TEMPLATE___EXPANDER_QUOTE_55();
#endif
static obj_t QUASIQUO_10___EXPANDER_QUOTE_125 = BUNSPEC;
static obj_t APPEND_19___EXPANDER_QUOTE_115 = BUNSPEC;
extern obj_t GENSYM___R4_SYMBOLS_6_4_130;
DEFINE_STRING( ILLEGAL__9___EXPANDER_QUOTE_121, "Illegal form", 12);
#if defined( __STDC__ )
extern obj_t __EXPAND_QUOTE___EXPANDER_QUOTE_192(obj_t, obj_t, obj_t);
#else
extern obj_t __EXPAND_QUOTE___EXPANDER_QUOTE_192();
#endif
DEFINE_STRING( ILLEGAL__1___EXPANDER_QUOTE_75, "Illegal `quote' form", 20);
static obj_t LIST_16___EXPANDER_QUOTE_218 = BUNSPEC;
obj_t QUASIQUOTATION_ENV___EXPANDER_QUOTE_15 = BUNSPEC;
static obj_t CONS__12___EXPANDER_QUOTE_90 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_177(obj_t);
#else
extern obj_t ____EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_177();
#endif
static obj_t LIST_17___EXPANDER_QUOTE_143 = BUNSPEC;
static obj_t LET_15___EXPANDER_QUOTE_249 = BUNSPEC;
static obj_t LIST_6___EXPANDER_QUOTE_69 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t EXPAND_QUOTE___EXPANDER_QUOTE_168(obj_t, obj_t);
#else
extern obj_t EXPAND_QUOTE___EXPANDER_QUOTE_168();
#endif
#if defined( __STDC__ )
extern obj_t QUASIQUOTATION___EXPANDER_QUOTE_140(obj_t, obj_t);
#else
extern obj_t QUASIQUOTATION___EXPANDER_QUOTE_140();
#endif
DEFINE_STRING( UNQUOTE_8___EXPANDER_QUOTE_92, "unquote", 7);
#if defined( __STDC__ )
static obj_t TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37(obj_t, obj_t);
#else
static obj_t TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37();
#endif
DEFINE_STRING( ILLEGAL__3___EXPANDER_QUOTE_17, "illegal form", 12);
static obj_t VECTOR_T_14___EXPANDER_QUOTE_203 = BUNSPEC;
extern obj_t ___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90();
extern obj_t ___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
static obj_t REQUIRE_INITIALISATION____EXPANDER_QUOTE_223 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t _2____R4_NUMBERS_6_5_47();
obj_t ___EXPANDER_QUOTE_INITIALISATION_ENV___EXPANDER_QUOTE_65 = BUNSPEC;
#if defined( __STDC__ )
static obj_t TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51(obj_t, obj_t);
#else
static obj_t TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t LIST__VE_13___EXPANDER_QUOTE_54 = BUNSPEC;
extern obj_t VECTOR__LIST___R4_VECTORS_6_8_45();
extern obj_t ___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
DEFINE_STRING( QUASIQUO_2___EXPANDER_QUOTE_78, "quasiquotation", 14);
extern obj_t make_fx_procedure();
static obj_t LIST_11___EXPANDER_QUOTE_47 = BUNSPEC;
static obj_t UNQUOTE_4___EXPANDER_QUOTE_74 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t EXPAND_QUOTE_ENV___EXPANDER_QUOTE_66 = BUNSPEC;
#if defined( __STDC__ )
static obj_t LIST_TEMPLATE___EXPANDER_QUOTE_110(obj_t, obj_t);
#else
static obj_t LIST_TEMPLATE___EXPANDER_QUOTE_110();
#endif
static obj_t UNQUOTE__18___EXPANDER_QUOTE_115 = BUNSPEC;
static obj_t QUOTE_5___EXPANDER_QUOTE_147 = BUNSPEC;
static obj_t LIST_7___EXPANDER_QUOTE_42 = BUNSPEC;
DEFINE_STRING( UNQUOTE__21___EXPANDER_QUOTE_20, "unquote-splicing", 16);
#if defined( __STDC__ )
static obj_t VECTOR_TEMPLATE___EXPANDER_QUOTE_98(obj_t, obj_t);
#else
static obj_t VECTOR_TEMPLATE___EXPANDER_QUOTE_98();
#endif


obj_t
#if defined( __STDC__ )
___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90()
#else
___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____EXPANDER_QUOTE_223 ))
{
REQUIRE_INITIALISATION____EXPANDER_QUOTE_223=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_VECTORS_6_8_INITIALISATION___R4_VECTORS_6_8_215();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___R4_SYMBOLS_6_4_INITIALISATION___R4_SYMBOLS_6_4_135();
VECTOR_T_14___EXPANDER_QUOTE_203=c_string_to_symbol( "VECTOR-TAG-SET!" );
QUOTE_5___EXPANDER_QUOTE_147=c_string_to_symbol( "QUOTE" );
UNQUOTE__18___EXPANDER_QUOTE_115=c_string_to_symbol( "UNQUOTE-SPLICING" );
LIST_7___EXPANDER_QUOTE_42=c_string_to_symbol( "LIST" );
LIST__VE_13___EXPANDER_QUOTE_54=c_string_to_symbol( "LIST->VECTOR" );
APPEND_19___EXPANDER_QUOTE_115=c_string_to_symbol( "APPEND" );
LET_15___EXPANDER_QUOTE_249=c_string_to_symbol( "LET" );
CONS__12___EXPANDER_QUOTE_90=c_string_to_symbol( "CONS*" );
QUASIQUO_10___EXPANDER_QUOTE_125=c_string_to_symbol( "QUASIQUOTE" );
UNQUOTE_4___EXPANDER_QUOTE_74=c_string_to_symbol( "UNQUOTE" );
{obj_t AUX_442_53;
AUX_442_53=MAKE_PAIR( UNQUOTE_4___EXPANDER_QUOTE_74, BNIL );LIST_6___EXPANDER_QUOTE_69=MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, AUX_442_53 );}
{obj_t AUX_443_162;
AUX_443_162=MAKE_PAIR( QUASIQUO_10___EXPANDER_QUOTE_125, BNIL );LIST_11___EXPANDER_QUOTE_47=MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, AUX_443_162 );}
{obj_t AUX_444_109;
AUX_444_109=MAKE_PAIR( BNIL, BNIL );LIST_16___EXPANDER_QUOTE_218=MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, AUX_444_109 );}
LIST_17___EXPANDER_QUOTE_143=MAKE_PAIR( LIST_16___EXPANDER_QUOTE_218, BNIL );
{obj_t AUX_445_47;
AUX_445_47=MAKE_PAIR( UNQUOTE__18___EXPANDER_QUOTE_115, BNIL );LIST_20___EXPANDER_QUOTE_51=MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, AUX_445_47 );}
{
___EXPANDER_QUOTE_INITIALISATION_ENV___EXPANDER_QUOTE_65=make_fx_procedure( ____EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_177, 0, 0 );
EXPAND_QUOTE_ENV___EXPANDER_QUOTE_66=make_fx_procedure( __EXPAND_QUOTE___EXPANDER_QUOTE_192, 2, 0 );
QUASIQUOTATION_ENV___EXPANDER_QUOTE_15=make_fx_procedure( __QUASIQUOTATION___EXPANDER_QUOTE_17, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_177(obj_t ENV_391_216)
#else
____EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_177( ENV_391_216 )
obj_t ENV_391_216;
#endif
{

return ___EXPANDER_QUOTE_INITIALISATION___EXPANDER_QUOTE_90();
}

obj_t
#if defined( __STDC__ )
EXPAND_QUOTE___EXPANDER_QUOTE_168(obj_t X_222_34,obj_t E_223_62)
#else
EXPAND_QUOTE___EXPANDER_QUOTE_168( X_222_34, E_223_62 )
obj_t X_222_34, E_223_62;
#endif
{

{if( PAIRP( X_222_34 ))
{obj_t CDR_109_228_194;
CDR_109_228_194=CDR( X_222_34 );if( PAIRP( CDR_109_228_194 ))
if( EQP( CDR( CDR_109_228_194 ), BNIL ))
{
return X_222_34;}else
{_TAG_103_226_242:

FAILURE( BREF( &QUOTE_0___EXPANDER_QUOTE_174), BREF( &ILLEGAL__1___EXPANDER_QUOTE_75), X_222_34 );}else
goto _TAG_103_226_242;}else
goto _TAG_103_226_242;}
}

obj_t
#if defined( __STDC__ )
__EXPAND_QUOTE___EXPANDER_QUOTE_192(obj_t ENV_390_52,obj_t X_222_34,obj_t E_223_62)
#else
__EXPAND_QUOTE___EXPANDER_QUOTE_192( ENV_390_52, X_222_34, E_223_62 )
obj_t ENV_390_52, X_222_34, E_223_62;
#endif
{

return EXPAND_QUOTE___EXPANDER_QUOTE_168( X_222_34, E_223_62 );
}

obj_t
#if defined( __STDC__ )
QUASIQUOTATION___EXPANDER_QUOTE_140(obj_t D_230_15,obj_t EXP_231_64)
#else
QUASIQUOTATION___EXPANDER_QUOTE_140( D_230_15, EXP_231_64 )
obj_t D_230_15, EXP_231_64;
#endif
{

{if( PAIRP( EXP_231_64 ))
{bool_t __andtest_1001_395_222;
{obj_t AUX_440_215;
{bool_t OBJ_394_80;
OBJ_394_80=PAIRP( CDR( EXP_231_64 ) );AUX_440_215=CBOOL_TO_BBOOL( OBJ_394_80 );}__andtest_1001_395_222=BBOOL_TO_CBOOL( AUX_440_215 );}if( __andtest_1001_395_222)
{bool_t OBJ_396_34;
{obj_t AUX_441_160;
{obj_t PAIR_283_162;
PAIR_283_162=CDR( EXP_231_64 );AUX_441_160=CDR( PAIR_283_162 );}OBJ_396_34=NULLP( AUX_441_160 );}if( OBJ_396_34)
goto _true_21;else
goto _false_22;}else
goto _false_22;}else
goto _false_22;_true_21:
{obj_t PAIR_286_180;
PAIR_286_180=CDR( EXP_231_64 );{obj_t C_CAR_287_111;
C_CAR_287_111=CAR( PAIR_286_180 );return TEMPLATE___EXPANDER_QUOTE_55( D_230_15, C_CAR_287_111 );}}_false_22:
FAILURE( BREF( &QUASIQUO_2___EXPANDER_QUOTE_78), BREF( &ILLEGAL__3___EXPANDER_QUOTE_17), EXP_231_64 );;
}
}

obj_t
#if defined( __STDC__ )
__QUASIQUOTATION___EXPANDER_QUOTE_17(obj_t ENV_389_59,obj_t D_230_15,obj_t EXP_231_64)
#else
__QUASIQUOTATION___EXPANDER_QUOTE_17( ENV_389_59, D_230_15, EXP_231_64 )
obj_t ENV_389_59, D_230_15, EXP_231_64;
#endif
{

return QUASIQUOTATION___EXPANDER_QUOTE_140( D_230_15, EXP_231_64 );
}

static obj_t
#if defined( __STDC__ )
TEMPLATE___EXPANDER_QUOTE_55(obj_t D_234_210,obj_t EXP_235_245)
#else
TEMPLATE___EXPANDER_QUOTE_55( D_234_210, EXP_235_245 )
obj_t D_234_210, EXP_235_245;
#endif
{
_TEMPLATE___EXPANDER_QUOTE_55:

if( EQ_I( D_234_210, BINT( 0 ) ))
return EXP_235_245;else
{if( PAIRP( EXP_235_245 ))
{obj_t OBJ1_290_189;
OBJ1_290_189=CAR( EXP_235_245 );if( EQP( OBJ1_290_189, UNQUOTE_4___EXPANDER_QUOTE_74 ))
goto _true_12;else
goto _false_13;}else
goto _false_13;_true_12:
{if( PAIRP( EXP_235_245 ))
{bool_t __andtest_1006_399_250;
{obj_t AUX_436_231;
{bool_t OBJ_398_33;
OBJ_398_33=PAIRP( CDR( EXP_235_245 ) );AUX_436_231=CBOOL_TO_BBOOL( OBJ_398_33 );}__andtest_1006_399_250=BBOOL_TO_CBOOL( AUX_436_231 );}if( __andtest_1006_399_250)
{bool_t OBJ_400_158;
{obj_t AUX_437_71;
{obj_t PAIR_293_117;
PAIR_293_117=CDR( EXP_235_245 );AUX_437_71=CDR( PAIR_293_117 );}OBJ_400_158=NULLP( AUX_437_71 );}if( OBJ_400_158)
goto _true_18;else
goto _false_19;}else
goto _false_19;}else
goto _false_19;_true_18:
if( EQP( D_234_210, BINT( 1 ) ))
{obj_t PAIR_297_23;
PAIR_297_23=CDR( EXP_235_245 );{obj_t C_CAR_298_249;
C_CAR_298_249=CAR( PAIR_297_23 );{{{obj_t D_438_251;
D_438_251=D_234_210;{
EXP_235_245=C_CAR_298_249;
D_234_210=SUB_I_PTAG( D_438_251, PSUB_TAG( 1 ) );
goto _TEMPLATE___EXPANDER_QUOTE_55;
}}
goto _endif_14;}
goto _endif_20;}}}else
{obj_t C_CONS_305_223;
{obj_t C_CONS_304_148;
{obj_t PAIR_302_75;
PAIR_302_75=CDR( EXP_235_245 );{obj_t C_CAR_303_149;
C_CAR_303_149=CAR( PAIR_302_75 );{obj_t AUX_439_236;
AUX_439_236=TEMPLATE___EXPANDER_QUOTE_55( SUB_I_PTAG( D_234_210, PSUB_TAG( 1 ) ), C_CAR_303_149 );C_CONS_304_148=MAKE_PAIR( AUX_439_236, BNIL );}}}C_CONS_305_223=MAKE_PAIR( LIST_6___EXPANDER_QUOTE_69, C_CONS_304_148 );}return MAKE_PAIR( LIST_7___EXPANDER_QUOTE_42, C_CONS_305_223 );}_false_19:
{obj_t OBJECT_306_169;
{obj_t PAIR_307_70;
PAIR_307_70=CDR( EXP_235_245 );OBJECT_306_169=CAR( PAIR_307_70 );}FAILURE( BREF( &UNQUOTE_8___EXPANDER_QUOTE_92), BREF( &ILLEGAL__9___EXPANDER_QUOTE_121), OBJECT_306_169 );}_endif_20:
;
}_false_13:
if( VECTORP( EXP_235_245 ))
return VECTOR_TEMPLATE___EXPANDER_QUOTE_98( D_234_210, EXP_235_245 );else
if( PAIRP( EXP_235_245 ))
return LIST_TEMPLATE___EXPANDER_QUOTE_110( D_234_210, EXP_235_245 );else
if( NULLP( EXP_235_245 ))
{obj_t C_CONS_310_216;
C_CONS_310_216=MAKE_PAIR( EXP_235_245, BNIL );return MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, C_CONS_310_216 );}else
{bool_t __ortest_1002_401_65;
__ortest_1002_401_65=CHARP( EXP_235_245 );{if( __ortest_1002_401_65)
goto _true_15;else
if( INTEGERP( EXP_235_245 ))
goto _true_15;else
if( STRINGP( EXP_235_245 ))
goto _true_15;else
if( CNSTP( EXP_235_245 ))
goto _true_15;else
goto _false_16;_true_15:
return EXP_235_245;_false_16:
{obj_t C_CONS_312_135;
C_CONS_312_135=MAKE_PAIR( EXP_235_245, BNIL );return MAKE_PAIR( QUOTE_5___EXPANDER_QUOTE_147, C_CONS_312_135 );};
}}_endif_14:
;
}
}

static obj_t
#if defined( __STDC__ )
LIST_TEMPLATE___EXPANDER_QUOTE_110(obj_t D_242_194,obj_t EXP_243_102)
#else
LIST_TEMPLATE___EXPANDER_QUOTE_110( D_242_194, EXP_243_102 )
obj_t D_242_194, EXP_243_102;
#endif
{

{bool_t __andtest_1008_408_89;
{obj_t AUX_427_111;
if( PAIRP( EXP_243_102 ))
{bool_t __andtest_1012_406_13;
{obj_t AUX_428_202;
{bool_t OBJ_405_240;
OBJ_405_240=PAIRP( CDR( EXP_243_102 ) );AUX_428_202=CBOOL_TO_BBOOL( OBJ_405_240 );}__andtest_1012_406_13=BBOOL_TO_CBOOL( AUX_428_202 );}if( __andtest_1012_406_13)
{bool_t OBJ_407_218;
{obj_t AUX_429_217;
{obj_t PAIR_315_234;
PAIR_315_234=CDR( EXP_243_102 );AUX_429_217=CDR( PAIR_315_234 );}OBJ_407_218=NULLP( AUX_429_217 );}AUX_427_111=CBOOL_TO_BBOOL( OBJ_407_218 );}else
AUX_427_111=BFALSE;}else
AUX_427_111=BFALSE;__andtest_1008_408_89=BBOOL_TO_CBOOL( AUX_427_111 );}{if( __andtest_1008_408_89)
{bool_t __andtest_1009_409_123;
{obj_t AUX_430_129;
{obj_t OBJ1_316_183;
OBJ1_316_183=CAR( EXP_243_102 );AUX_430_129=CBOOL_TO_BBOOL( EQP( OBJ1_316_183, QUOTE_5___EXPANDER_QUOTE_147 ) );}__andtest_1009_409_123=BBOOL_TO_CBOOL( AUX_430_129 );}if( __andtest_1009_409_123)
{bool_t __andtest_1010_411_29;
{obj_t AUX_431_90;
{bool_t OBJ_410_204;
{obj_t AUX_432_217;
{obj_t PAIR_318_7;
PAIR_318_7=CDR( EXP_243_102 );AUX_432_217=CAR( PAIR_318_7 );}OBJ_410_204=PAIRP( AUX_432_217 );}AUX_431_90=CBOOL_TO_BBOOL( OBJ_410_204 );}__andtest_1010_411_29=BBOOL_TO_CBOOL( AUX_431_90 );}if( __andtest_1010_411_29)
{obj_t OBJ1_319_78;
{obj_t PAIR_320_183;
{obj_t PAIR_321_167;
PAIR_321_167=CDR( EXP_243_102 );PAIR_320_183=CAR( PAIR_321_167 );}OBJ1_319_78=CAR( PAIR_320_183 );}if( EQP( OBJ1_319_78, QUASIQUO_10___EXPANDER_QUOTE_125 ))
goto _true_9;else
goto _false_10;}else
goto _false_10;}else
goto _false_10;}else
goto _false_10;_true_9:
{obj_t PAIR_322_238;
PAIR_322_238=CDR( EXP_243_102 );{obj_t C_CAR_323_226;
C_CAR_323_226=CAR( PAIR_322_238 );return QUASIQUOTATION___EXPANDER_QUOTE_140( D_242_194, C_CAR_323_226 );}}_false_10:
{obj_t OBJ1_324_95;
OBJ1_324_95=CAR( EXP_243_102 );if( EQP( OBJ1_324_95, QUASIQUO_10___EXPANDER_QUOTE_125 ))
if( EQP( D_242_194, BINT( 0 ) ))
{obj_t AUX_433_202;
AUX_433_202=_2____R4_NUMBERS_6_5_47( D_242_194, BINT( 1 ) );return QUASIQUOTATION___EXPANDER_QUOTE_140( AUX_433_202, EXP_243_102 );}else
{obj_t C_CONS_327_240;
{obj_t C_CONS_326_255;
{obj_t AUX_434_19;
{obj_t AUX_435_165;
AUX_435_165=_2____R4_NUMBERS_6_5_47( D_242_194, BINT( 1 ) );AUX_434_19=QUASIQUOTATION___EXPANDER_QUOTE_140( AUX_435_165, EXP_243_102 );}C_CONS_326_255=MAKE_PAIR( AUX_434_19, BNIL );}C_CONS_327_240=MAKE_PAIR( LIST_11___EXPANDER_QUOTE_47, C_CONS_326_255 );}return MAKE_PAIR( LIST_7___EXPANDER_QUOTE_42, C_CONS_327_240 );}else
{obj_t OBJ2_330_17;
OBJ2_330_17=TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37( D_242_194, EXP_243_102 );return MAKE_PAIR( CONS__12___EXPANDER_QUOTE_90, OBJ2_330_17 );}};
}}
}

static obj_t
#if defined( __STDC__ )
VECTOR_TEMPLATE___EXPANDER_QUOTE_98(obj_t D_249_208,obj_t EXP_250_84)
#else
VECTOR_TEMPLATE___EXPANDER_QUOTE_98( D_249_208, EXP_250_84 )
obj_t D_249_208, EXP_250_84;
#endif
{

{obj_t TAG_VAL_252_87, RES_VAL_251_244;
TAG_VAL_252_87=VECTOR_TAG( EXP_250_84 );{obj_t C_CONS_335_114;
{obj_t OBJ2_333_91;
{obj_t AUX_423_249;
AUX_423_249=VECTOR__LIST___R4_VECTORS_6_8_45( EXP_250_84 );OBJ2_333_91=TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37( D_249_208, AUX_423_249 );}{obj_t C_CONS_334_246;
C_CONS_334_246=MAKE_PAIR( CONS__12___EXPANDER_QUOTE_90, OBJ2_333_91 );C_CONS_335_114=MAKE_PAIR( C_CONS_334_246, BNIL );}}RES_VAL_251_244=MAKE_PAIR( LIST__VE_13___EXPANDER_QUOTE_54, C_CONS_335_114 );}if( EQ_I( TAG_VAL_252_87, BINT( 0 ) ))
return RES_VAL_251_244;else
{obj_t RES_VAR_253_75;
RES_VAR_253_75=PROCEDURE_ENTRY( GENSYM___R4_SYMBOLS_6_4_130 )( GENSYM___R4_SYMBOLS_6_4_130, BEOA );{obj_t VA_ARG_377_28;
VA_ARG_377_28=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_378_49;
VA_ARG_378_49=MAKE_PAIR( RES_VAR_253_75, VA_ARG_377_28 );{obj_t VA_ARG_379_213;
{obj_t VA_ARG_384_66;
VA_ARG_384_66=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_385_60;
VA_ARG_385_60=MAKE_PAIR( TAG_VAL_252_87, VA_ARG_384_66 );{obj_t VA_ARG_386_83;
VA_ARG_386_83=MAKE_PAIR( RES_VAR_253_75, VA_ARG_385_60 );{obj_t AUX_424_136;
AUX_424_136=CONS____R4_PAIRS_AND_LISTS_6_3_28( VECTOR_T_14___EXPANDER_QUOTE_203, VA_ARG_386_83 );VA_ARG_379_213=MAKE_PAIR( AUX_424_136, VA_ARG_378_49 );}}}}{obj_t VA_ARG_380_161;
{obj_t VA_ARG_381_176;
VA_ARG_381_176=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_382_86;
VA_ARG_382_86=MAKE_PAIR( RES_VAL_251_244, VA_ARG_381_176 );{obj_t VA_ARG_383_141;
VA_ARG_383_141=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_425_153;
{obj_t AUX_426_182;
AUX_426_182=CONS____R4_PAIRS_AND_LISTS_6_3_28( RES_VAR_253_75, VA_ARG_382_86 );AUX_425_153=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_426_182, VA_ARG_383_141 );}VA_ARG_380_161=MAKE_PAIR( AUX_425_153, VA_ARG_379_213 );}}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_15___EXPANDER_QUOTE_249, VA_ARG_380_161 );}}}}}}
}

static obj_t
#if defined( __STDC__ )
TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37(obj_t D_254_124,obj_t EXP_255_187)
#else
TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37( D_254_124, EXP_255_187 )
obj_t D_254_124, EXP_255_187;
#endif
{

if( NULLP( EXP_255_187 ))
return LIST_17___EXPANDER_QUOTE_143;else
if( PAIRP( EXP_255_187 ))
{obj_t OBJ1_337_210;
OBJ1_337_210=CAR( EXP_255_187 );if( EQP( OBJ1_337_210, UNQUOTE_4___EXPANDER_QUOTE_74 ))
{obj_t AUX_420_244;
AUX_420_244=TEMPLATE___EXPANDER_QUOTE_55( D_254_124, EXP_255_187 );return MAKE_PAIR( AUX_420_244, BNIL );}else
{if( PAIRP( OBJ1_337_210 ))
{obj_t OBJ1_340_85;
OBJ1_340_85=CAR( OBJ1_337_210 );if( EQP( OBJ1_340_85, UNQUOTE__18___EXPANDER_QUOTE_115 ))
goto _true_6;else
goto _false_7;}else
goto _false_7;_true_6:
{obj_t L_343_28;
{obj_t C_CONS_349_22;
{obj_t C_CAR_344_198;
C_CAR_344_198=CAR( EXP_255_187 );{obj_t C_CONS_348_58;
{obj_t OBJ2_345_18;
{obj_t C_CDR_347_12;
C_CDR_347_12=CDR( EXP_255_187 );OBJ2_345_18=TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37( D_254_124, C_CDR_347_12 );}{obj_t C_CONS_346_157;
C_CONS_346_157=MAKE_PAIR( CONS__12___EXPANDER_QUOTE_90, OBJ2_345_18 );C_CONS_348_58=MAKE_PAIR( C_CONS_346_157, BNIL );}}{obj_t AUX_421_45;
AUX_421_45=TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51( D_254_124, C_CAR_344_198 );C_CONS_349_22=MAKE_PAIR( AUX_421_45, C_CONS_348_58 );}}}L_343_28=MAKE_PAIR( APPEND_19___EXPANDER_QUOTE_115, C_CONS_349_22 );}return MAKE_PAIR( L_343_28, BNIL );}_false_7:
{obj_t OBJ2_351_181;
{obj_t C_CDR_354_15;
C_CDR_354_15=CDR( EXP_255_187 );OBJ2_351_181=TEMPLATE_OR_SPLICE_LIST___EXPANDER_QUOTE_37( D_254_124, C_CDR_354_15 );}{obj_t OBJ1_350_232;
{obj_t C_CAR_353_34;
C_CAR_353_34=CAR( EXP_255_187 );OBJ1_350_232=TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51( D_254_124, C_CAR_353_34 );}return MAKE_PAIR( OBJ1_350_232, OBJ2_351_181 );}};
}}else
{obj_t AUX_422_236;
AUX_422_236=TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51( D_254_124, EXP_255_187 );return MAKE_PAIR( AUX_422_236, BNIL );}
}

static obj_t
#if defined( __STDC__ )
TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51(obj_t D_257_144,obj_t EXP_258_94)
#else
TEMPLATE_OR_SPLICE___EXPANDER_QUOTE_51( D_257_144, EXP_258_94 )
obj_t D_257_144, EXP_258_94;
#endif
{

{if( PAIRP( EXP_258_94 ))
{obj_t OBJ1_356_74;
OBJ1_356_74=CAR( EXP_258_94 );if( EQP( OBJ1_356_74, UNQUOTE__18___EXPANDER_QUOTE_115 ))
goto _true_0;else
goto _false_1;}else
goto _false_1;_true_0:
{if( PAIRP( EXP_258_94 ))
{bool_t __andtest_1015_415_198;
{obj_t AUX_417_39;
{bool_t OBJ_414_220;
OBJ_414_220=PAIRP( CDR( EXP_258_94 ) );AUX_417_39=CBOOL_TO_BBOOL( OBJ_414_220 );}__andtest_1015_415_198=BBOOL_TO_CBOOL( AUX_417_39 );}if( __andtest_1015_415_198)
{bool_t OBJ_416_212;
{obj_t AUX_418_149;
{obj_t PAIR_359_112;
PAIR_359_112=CDR( EXP_258_94 );AUX_418_149=CDR( PAIR_359_112 );}OBJ_416_212=NULLP( AUX_418_149 );}if( OBJ_416_212)
goto _true_3;else
goto _false_4;}else
goto _false_4;}else
goto _false_4;_true_3:
if( EQP( D_257_144, BINT( 1 ) ))
{obj_t PAIR_361_213;
PAIR_361_213=CDR( EXP_258_94 );{obj_t C_CAR_362_189;
C_CAR_362_189=CAR( PAIR_361_213 );return TEMPLATE___EXPANDER_QUOTE_55( SUB_I_PTAG( D_257_144, PSUB_TAG( 1 ) ), C_CAR_362_189 );}}else
{obj_t C_CONS_370_134;
{obj_t L_364_185;
{obj_t C_CONS_369_120;
{obj_t C_CONS_368_209;
{obj_t PAIR_366_148;
PAIR_366_148=CDR( EXP_258_94 );{obj_t C_CAR_367_16;
C_CAR_367_16=CAR( PAIR_366_148 );{obj_t AUX_419_31;
AUX_419_31=TEMPLATE___EXPANDER_QUOTE_55( SUB_I_PTAG( D_257_144, PSUB_TAG( 1 ) ), C_CAR_367_16 );C_CONS_368_209=MAKE_PAIR( AUX_419_31, BNIL );}}}C_CONS_369_120=MAKE_PAIR( LIST_20___EXPANDER_QUOTE_51, C_CONS_368_209 );}L_364_185=MAKE_PAIR( LIST_7___EXPANDER_QUOTE_42, C_CONS_369_120 );}C_CONS_370_134=MAKE_PAIR( L_364_185, BNIL );}return MAKE_PAIR( LIST_7___EXPANDER_QUOTE_42, C_CONS_370_134 );}_false_4:
FAILURE( BREF( &UNQUOTE__21___EXPANDER_QUOTE_20), BREF( &ILLEGAL__9___EXPANDER_QUOTE_121), EXP_258_94 );;
}_false_1:
return TEMPLATE___EXPANDER_QUOTE_55( D_257_144, EXP_258_94 );;
}
}

