/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Eval/macro.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

DEFINE_STRING( INSTALL__2___MACRO_223, "install-eval-expander", 21);
extern obj_t create_struct();
#if defined( __STDC__ )
extern obj_t GET_COMPILER_EXPANDER___MACRO_69(obj_t);
#else
extern obj_t GET_COMPILER_EXPANDER___MACRO_69();
#endif
extern long get_hash_number();
#if defined( __STDC__ )
extern obj_t __GET_EVAL_EXPANDER___MACRO_128(obj_t, obj_t);
#else
extern obj_t __GET_EVAL_EXPANDER___MACRO_128();
#endif
#if defined( __STDC__ )
extern obj_t __INSTALL_COMPILER_EXPANDER___MACRO_133(obj_t, obj_t, obj_t);
#else
extern obj_t __INSTALL_COMPILER_EXPANDER___MACRO_133();
#endif
DEFINE_STRING( INSTALL__5___MACRO_50, "install-compiler-expander", 25);
static obj_t MACROS_0___MACRO_57 = BUNSPEC;
obj_t GET_COMPILER_EXPANDER_ENV___MACRO_23 = BUNSPEC;
extern obj_t PUT_HASH____HASH_143();
DEFINE_STRING( ILLEGAL__3___MACRO_13, "Illegal expander expander", 25);
#if defined( __STDC__ )
extern obj_t INSTALL_EVAL_EXPANDER___MACRO_94(obj_t, obj_t);
#else
extern obj_t INSTALL_EVAL_EXPANDER___MACRO_94();
#endif
extern obj_t WARNING___ERROR_212();
#if defined( __STDC__ )
extern obj_t ____MACRO_INITIALISATION___MACRO_150(obj_t);
#else
extern obj_t ____MACRO_INITIALISATION___MACRO_150();
#endif
#if defined( __STDC__ )
extern obj_t GET_EVAL_EXPANDER___MACRO_224(obj_t);
#else
extern obj_t GET_EVAL_EXPANDER___MACRO_224();
#endif
#if defined( __STDC__ )
extern obj_t __INSTALL_EVAL_EXPANDER___MACRO_189(obj_t, obj_t, obj_t);
#else
extern obj_t __INSTALL_EVAL_EXPANDER___MACRO_189();
#endif
#if defined( __STDC__ )
static obj_t __MACROS_KEY___MACRO_184(obj_t, obj_t);
#else
static obj_t __MACROS_KEY___MACRO_184();
#endif
obj_t INSTALL_EVAL_EXPANDER_ENV___MACRO_4 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____MACRO_104 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t ___MACRO_INITIALISATION_ENV___MACRO_172 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __GET_COMPILER_EXPANDER___MACRO_93(obj_t, obj_t);
#else
extern obj_t __GET_COMPILER_EXPANDER___MACRO_93();
#endif
extern obj_t EQ__ENV___R4_EQUIVALENCE_6_2_54;
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
static obj_t MACROS_KEY_ENV___MACRO_116 = BUNSPEC;
extern obj_t ___HASH_INITIALISATION___HASH_224();
extern obj_t make_fx_procedure();
static obj_t __MACRO_TABLE____MACRO_92 = BUNSPEC;
#if defined( __STDC__ )
static obj_t MACROS_KEY___MACRO_100(obj_t);
#else
static obj_t MACROS_KEY___MACRO_100();
#endif
#if defined( __STDC__ )
extern obj_t __INSTALL_EXPANDER___MACRO_174(obj_t, obj_t, obj_t);
#else
extern obj_t __INSTALL_EXPANDER___MACRO_174();
#endif
extern obj_t MAKE_HASH_TABLE___HASH_29();
DEFINE_STRING( ILLEGAL__4___MACRO_102, "Illegal expander keyword", 24);
obj_t INSTALL_COMPILER_EXPANDER_ENV___MACRO_249 = BUNSPEC;
obj_t INSTALL_EXPANDER_ENV___MACRO_21 = BUNSPEC;
DEFINE_STRING( REDEFINI_1___MACRO_244, "Redefinition of expander -- ", 28);
obj_t GET_EVAL_EXPANDER_ENV___MACRO_79 = BUNSPEC;
extern obj_t GET_HASH___HASH_1();
#if defined( __STDC__ )
extern obj_t INSTALL_COMPILER_EXPANDER___MACRO_167(obj_t, obj_t);
#else
extern obj_t INSTALL_COMPILER_EXPANDER___MACRO_167();
#endif
#if defined( __STDC__ )
extern obj_t INSTALL_EXPANDER___MACRO_244(obj_t, obj_t);
#else
extern obj_t INSTALL_EXPANDER___MACRO_244();
#endif
extern obj_t ___MACRO_INITIALISATION___MACRO_72();

static obj_t LAMBDA_1_0_239_100();

obj_t
#if defined( __STDC__ )
___MACRO_INITIALISATION___MACRO_72()
#else
___MACRO_INITIALISATION___MACRO_72()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____MACRO_104 ))
{
REQUIRE_INITIALISATION____MACRO_104=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
___HASH_INITIALISATION___HASH_224();
MACROS_0___MACRO_57=c_string_to_symbol( "MACROS" );
{
___MACRO_INITIALISATION_ENV___MACRO_172=make_fx_procedure( ____MACRO_INITIALISATION___MACRO_150, 0, 0 );
MACROS_KEY_ENV___MACRO_116=make_fx_procedure( __MACROS_KEY___MACRO_184, 1, 0 );
INSTALL_EVAL_EXPANDER_ENV___MACRO_4=make_fx_procedure( __INSTALL_EVAL_EXPANDER___MACRO_189, 2, 0 );
INSTALL_COMPILER_EXPANDER_ENV___MACRO_249=make_fx_procedure( __INSTALL_COMPILER_EXPANDER___MACRO_133, 2, 0 );
INSTALL_EXPANDER_ENV___MACRO_21=make_fx_procedure( __INSTALL_EXPANDER___MACRO_174, 2, 0 );
GET_EVAL_EXPANDER_ENV___MACRO_79=make_fx_procedure( __GET_EVAL_EXPANDER___MACRO_128, 1, 0 );
GET_COMPILER_EXPANDER_ENV___MACRO_23=make_fx_procedure( __GET_COMPILER_EXPANDER___MACRO_93, 1, 0 );
{
BUNSPEC;
{obj_t OLD_KEY_238_129, OLD_NUM_237_249;
OLD_KEY_238_129=MAKE_CELL( BFALSE );OLD_NUM_237_249=MAKE_CELL( BFALSE );{obj_t LAMBDA_1_0_ENV_351_221;
LAMBDA_1_0_ENV_351_221=make_fx_procedure( LAMBDA_1_0_239_100, 1, 2 );{
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_351_221, 1, OLD_NUM_237_249 );
PROCEDURE_ENV_SET( LAMBDA_1_0_ENV_351_221, 0, OLD_KEY_238_129 );
{obj_t A_FUNCTION_309_189;
A_FUNCTION_309_189=LAMBDA_1_0_ENV_351_221;{obj_t A_FUNCTION_310_88;
A_FUNCTION_310_88=MACROS_KEY_ENV___MACRO_116;{obj_t A_FUNCTION_311_133;
A_FUNCTION_311_133=EQ__ENV___R4_EQUIVALENCE_6_2_54;__MACRO_TABLE____MACRO_92=MAKE_HASH_TABLE___HASH_29( BINT( 256 ), A_FUNCTION_309_189, A_FUNCTION_310_88, A_FUNCTION_311_133, BNIL );}}}
}}}
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____MACRO_INITIALISATION___MACRO_150(obj_t ENV_353_161)
#else
____MACRO_INITIALISATION___MACRO_150( ENV_353_161 )
obj_t ENV_353_161;
#endif
{

return ___MACRO_INITIALISATION___MACRO_72();
}

static obj_t
#if defined( __STDC__ )
LAMBDA_1_0_239_100(obj_t LAMBDA_1_0_ENV_352_252,obj_t X_240_78)
#else
LAMBDA_1_0_239_100( LAMBDA_1_0_ENV_352_252, X_240_78 )
obj_t LAMBDA_1_0_ENV_352_252, X_240_78;
#endif
{

{obj_t OLD_KEY_238_129, OLD_NUM_237_249;
OLD_KEY_238_129=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_352_252, 0 );OLD_NUM_237_249=PROCEDURE_ENV_REF( LAMBDA_1_0_ENV_352_252, 1 );{obj_t OBJ2_256_71;
OBJ2_256_71=CELL_REF( OLD_KEY_238_129 );if( EQP( X_240_78, OBJ2_256_71 ))
return CELL_REF( OLD_NUM_237_249 );else
{
CELL_SET( OLD_KEY_238_129, X_240_78 );
{obj_t STRING_258_143;
STRING_258_143=SYMBOL_TO_STRING( X_240_78 );{obj_t AUX_363_65;
{long AUX_364_30;
AUX_364_30=get_hash_number( BSTRING_TO_CSTRING( STRING_258_143 ) );AUX_363_65=BINT( AUX_364_30 );}CELL_SET( OLD_NUM_237_249, AUX_363_65 );}}
return CELL_REF( OLD_NUM_237_249 );
}}}
}

static obj_t
#if defined( __STDC__ )
MACROS_KEY___MACRO_100(obj_t S_234_175)
#else
MACROS_KEY___MACRO_100( S_234_175 )
obj_t S_234_175;
#endif
{

return STRUCT_SLOT_REF( S_234_175, BINT( 0 ) );
}

static obj_t
#if defined( __STDC__ )
__MACROS_KEY___MACRO_184(obj_t ENV_350_141,obj_t S_234_175)
#else
__MACROS_KEY___MACRO_184( ENV_350_141, S_234_175 )
obj_t ENV_350_141, S_234_175;
#endif
{

return MACROS_KEY___MACRO_100( S_234_175 );
}

obj_t
#if defined( __STDC__ )
INSTALL_EVAL_EXPANDER___MACRO_94(obj_t KEYWORD_241_114,obj_t EXPANDER_242_210)
#else
INSTALL_EVAL_EXPANDER___MACRO_94( KEYWORD_241_114, EXPANDER_242_210 )
obj_t KEYWORD_241_114, EXPANDER_242_210;
#endif
{

if( SYMBOLP( KEYWORD_241_114 ))
if( PROCEDUREP( EXPANDER_242_210 ))
{obj_t MACRO_243_153;
MACRO_243_153=GET_HASH___HASH_1( KEYWORD_241_114, __MACRO_TABLE____MACRO_92 );{
{obj_t O_284_24;
O_284_24=MACRO_243_153;{if( STRUCTP( O_284_24 ))
if( EQP( STRUCT_KEY( O_284_24 ), MACROS_0___MACRO_57 ))
goto _true_12;else
goto _false_13;else
goto _false_13;_true_12:
{BFALSE;
goto _endif_14;}_false_13:
{
{obj_t NEW_286_161;
NEW_286_161=create_struct( MACROS_0___MACRO_57, BINT( 3 ) );{
STRUCT_SLOT_SET( NEW_286_161, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NEW_286_161, BINT( 1 ), BFALSE );
STRUCT_SLOT_SET( NEW_286_161, BINT( 0 ), KEYWORD_241_114 );
MACRO_243_153=NEW_286_161;
}}
PUT_HASH____HASH_143( MACRO_243_153, __MACRO_TABLE____MACRO_92 );
}_endif_14:
;
}}
{obj_t S_287_54;
S_287_54=MACRO_243_153;{bool_t C_STRUCT_REF_355_193;
C_STRUCT_REF_355_193=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_287_54, BINT( 1 ) ) );if( C_STRUCT_REF_355_193)
{obj_t VA_ARG_313_93;
VA_ARG_313_93=MAKE_PAIR( KEYWORD_241_114, BNIL );{obj_t VA_ARG_314_61;
{obj_t STRING_CAST_317_225;
STRING_CAST_317_225=BREF( &REDEFINI_1___MACRO_244);VA_ARG_314_61=MAKE_PAIR( STRING_CAST_317_225, VA_ARG_313_93 );}{obj_t VA_ARG_315_3;
{obj_t STRING_CAST_316_207;
STRING_CAST_316_207=BREF( &INSTALL__2___MACRO_223);VA_ARG_315_3=MAKE_PAIR( STRING_CAST_316_207, VA_ARG_314_61 );}WARNING___ERROR_212( VA_ARG_315_3 );}}}else
BFALSE;}}
{obj_t S_289_178;
S_289_178=MACRO_243_153;return STRUCT_SLOT_SET( S_289_178, BINT( 1 ), EXPANDER_242_210 );}
}}else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__3___MACRO_13), EXPANDER_242_210 );else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__4___MACRO_102), KEYWORD_241_114 );
}

obj_t
#if defined( __STDC__ )
__INSTALL_EVAL_EXPANDER___MACRO_189(obj_t ENV_349_71,obj_t KEYWORD_241_114,obj_t EXPANDER_242_210)
#else
__INSTALL_EVAL_EXPANDER___MACRO_189( ENV_349_71, KEYWORD_241_114, EXPANDER_242_210 )
obj_t ENV_349_71, KEYWORD_241_114, EXPANDER_242_210;
#endif
{

return INSTALL_EVAL_EXPANDER___MACRO_94( KEYWORD_241_114, EXPANDER_242_210 );
}

obj_t
#if defined( __STDC__ )
INSTALL_COMPILER_EXPANDER___MACRO_167(obj_t KEYWORD_244_96,obj_t EXPANDER_245_115)
#else
INSTALL_COMPILER_EXPANDER___MACRO_167( KEYWORD_244_96, EXPANDER_245_115 )
obj_t KEYWORD_244_96, EXPANDER_245_115;
#endif
{

if( SYMBOLP( KEYWORD_244_96 ))
if( PROCEDUREP( EXPANDER_245_115 ))
{obj_t MACRO_246_244;
MACRO_246_244=GET_HASH___HASH_1( KEYWORD_244_96, __MACRO_TABLE____MACRO_92 );{
{obj_t O_290_28;
O_290_28=MACRO_246_244;{if( STRUCTP( O_290_28 ))
if( EQP( STRUCT_KEY( O_290_28 ), MACROS_0___MACRO_57 ))
goto _true_9;else
goto _false_10;else
goto _false_10;_true_9:
{BFALSE;
goto _endif_11;}_false_10:
{
{obj_t NEW_292_13;
NEW_292_13=create_struct( MACROS_0___MACRO_57, BINT( 3 ) );{
STRUCT_SLOT_SET( NEW_292_13, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NEW_292_13, BINT( 1 ), BFALSE );
STRUCT_SLOT_SET( NEW_292_13, BINT( 0 ), KEYWORD_244_96 );
MACRO_246_244=NEW_292_13;
}}
PUT_HASH____HASH_143( MACRO_246_244, __MACRO_TABLE____MACRO_92 );
}_endif_11:
;
}}
{obj_t S_293_187;
S_293_187=MACRO_246_244;{bool_t C_STRUCT_REF_357_101;
C_STRUCT_REF_357_101=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_293_187, BINT( 2 ) ) );if( C_STRUCT_REF_357_101)
{obj_t VA_ARG_322_198;
VA_ARG_322_198=MAKE_PAIR( KEYWORD_244_96, BNIL );{obj_t VA_ARG_323_168;
{obj_t STRING_CAST_326_64;
STRING_CAST_326_64=BREF( &REDEFINI_1___MACRO_244);VA_ARG_323_168=MAKE_PAIR( STRING_CAST_326_64, VA_ARG_322_198 );}{obj_t VA_ARG_324_46;
{obj_t STRING_CAST_325_77;
STRING_CAST_325_77=BREF( &INSTALL__5___MACRO_50);VA_ARG_324_46=MAKE_PAIR( STRING_CAST_325_77, VA_ARG_323_168 );}WARNING___ERROR_212( VA_ARG_324_46 );}}}else
BFALSE;}}
{obj_t S_295_214;
S_295_214=MACRO_246_244;return STRUCT_SLOT_SET( S_295_214, BINT( 2 ), EXPANDER_245_115 );}
}}else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__3___MACRO_13), EXPANDER_245_115 );else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__4___MACRO_102), KEYWORD_244_96 );
}

obj_t
#if defined( __STDC__ )
__INSTALL_COMPILER_EXPANDER___MACRO_133(obj_t ENV_348_231,obj_t KEYWORD_244_96,obj_t EXPANDER_245_115)
#else
__INSTALL_COMPILER_EXPANDER___MACRO_133( ENV_348_231, KEYWORD_244_96, EXPANDER_245_115 )
obj_t ENV_348_231, KEYWORD_244_96, EXPANDER_245_115;
#endif
{

return INSTALL_COMPILER_EXPANDER___MACRO_167( KEYWORD_244_96, EXPANDER_245_115 );
}

obj_t
#if defined( __STDC__ )
INSTALL_EXPANDER___MACRO_244(obj_t KEYWORD_247_142,obj_t EXPANDER_248_57)
#else
INSTALL_EXPANDER___MACRO_244( KEYWORD_247_142, EXPANDER_248_57 )
obj_t KEYWORD_247_142, EXPANDER_248_57;
#endif
{

if( SYMBOLP( KEYWORD_247_142 ))
if( PROCEDUREP( EXPANDER_248_57 ))
{obj_t MACRO_249_19;
MACRO_249_19=GET_HASH___HASH_1( KEYWORD_247_142, __MACRO_TABLE____MACRO_92 );{
{obj_t O_296_115;
O_296_115=MACRO_249_19;{if( STRUCTP( O_296_115 ))
if( EQP( STRUCT_KEY( O_296_115 ), MACROS_0___MACRO_57 ))
goto _true_6;else
goto _false_7;else
goto _false_7;_true_6:
{BFALSE;
goto _endif_8;}_false_7:
{
{obj_t NEW_298_247;
NEW_298_247=create_struct( MACROS_0___MACRO_57, BINT( 3 ) );{
STRUCT_SLOT_SET( NEW_298_247, BINT( 2 ), BFALSE );
STRUCT_SLOT_SET( NEW_298_247, BINT( 1 ), BFALSE );
STRUCT_SLOT_SET( NEW_298_247, BINT( 0 ), KEYWORD_247_142 );
MACRO_249_19=NEW_298_247;
}}
PUT_HASH____HASH_143( MACRO_249_19, __MACRO_TABLE____MACRO_92 );
}_endif_8:
;
}}
{obj_t S_299_43;
S_299_43=MACRO_249_19;{bool_t C_STRUCT_REF_359_108;
C_STRUCT_REF_359_108=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_299_43, BINT( 1 ) ) );if( C_STRUCT_REF_359_108)
{obj_t VA_ARG_331_49;
VA_ARG_331_49=MAKE_PAIR( KEYWORD_247_142, BNIL );{obj_t VA_ARG_332_190;
{obj_t STRING_CAST_335_101;
STRING_CAST_335_101=BREF( &REDEFINI_1___MACRO_244);VA_ARG_332_190=MAKE_PAIR( STRING_CAST_335_101, VA_ARG_331_49 );}{obj_t VA_ARG_333_104;
{obj_t STRING_CAST_334_242;
STRING_CAST_334_242=BREF( &INSTALL__2___MACRO_223);VA_ARG_333_104=MAKE_PAIR( STRING_CAST_334_242, VA_ARG_332_190 );}WARNING___ERROR_212( VA_ARG_333_104 );}}}else
BFALSE;}}
{obj_t S_301_116;
S_301_116=MACRO_249_19;{bool_t C_STRUCT_REF_360_114;
C_STRUCT_REF_360_114=BBOOL_TO_CBOOL( STRUCT_SLOT_REF( S_301_116, BINT( 2 ) ) );if( C_STRUCT_REF_360_114)
{obj_t VA_ARG_336_223;
VA_ARG_336_223=MAKE_PAIR( KEYWORD_247_142, BNIL );{obj_t VA_ARG_337_148;
{obj_t STRING_CAST_340_108;
STRING_CAST_340_108=BREF( &REDEFINI_1___MACRO_244);VA_ARG_337_148=MAKE_PAIR( STRING_CAST_340_108, VA_ARG_336_223 );}{obj_t VA_ARG_338_115;
{obj_t STRING_CAST_339_232;
STRING_CAST_339_232=BREF( &INSTALL__5___MACRO_50);VA_ARG_338_115=MAKE_PAIR( STRING_CAST_339_232, VA_ARG_337_148 );}WARNING___ERROR_212( VA_ARG_338_115 );}}}else
BFALSE;}}
{obj_t S_303_206;
S_303_206=MACRO_249_19;STRUCT_SLOT_SET( S_303_206, BINT( 1 ), EXPANDER_248_57 );}
{obj_t S_304_54;
S_304_54=MACRO_249_19;return STRUCT_SLOT_SET( S_304_54, BINT( 2 ), EXPANDER_248_57 );}
}}else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__3___MACRO_13), EXPANDER_248_57 );else
FAILURE( BREF( &INSTALL__2___MACRO_223), BREF( &ILLEGAL__4___MACRO_102), KEYWORD_247_142 );
}

obj_t
#if defined( __STDC__ )
__INSTALL_EXPANDER___MACRO_174(obj_t ENV_347_236,obj_t KEYWORD_247_142,obj_t EXPANDER_248_57)
#else
__INSTALL_EXPANDER___MACRO_174( ENV_347_236, KEYWORD_247_142, EXPANDER_248_57 )
obj_t ENV_347_236, KEYWORD_247_142, EXPANDER_248_57;
#endif
{

return INSTALL_EXPANDER___MACRO_244( KEYWORD_247_142, EXPANDER_248_57 );
}

obj_t
#if defined( __STDC__ )
GET_EVAL_EXPANDER___MACRO_224(obj_t KEYWORD_250_196)
#else
GET_EVAL_EXPANDER___MACRO_224( KEYWORD_250_196 )
obj_t KEYWORD_250_196;
#endif
{

{obj_t MACRO_251_38;
MACRO_251_38=GET_HASH___HASH_1( KEYWORD_250_196, __MACRO_TABLE____MACRO_92 );{if( STRUCTP( MACRO_251_38 ))
if( EQP( STRUCT_KEY( MACRO_251_38 ), MACROS_0___MACRO_57 ))
goto _true_3;else
goto _false_4;else
goto _false_4;_true_3:
return STRUCT_SLOT_REF( MACRO_251_38, BINT( 1 ) );_false_4:
return BFALSE;;
}}
}

obj_t
#if defined( __STDC__ )
__GET_EVAL_EXPANDER___MACRO_128(obj_t ENV_346_249,obj_t KEYWORD_250_196)
#else
__GET_EVAL_EXPANDER___MACRO_128( ENV_346_249, KEYWORD_250_196 )
obj_t ENV_346_249, KEYWORD_250_196;
#endif
{

return GET_EVAL_EXPANDER___MACRO_224( KEYWORD_250_196 );
}

obj_t
#if defined( __STDC__ )
GET_COMPILER_EXPANDER___MACRO_69(obj_t KEYWORD_252_247)
#else
GET_COMPILER_EXPANDER___MACRO_69( KEYWORD_252_247 )
obj_t KEYWORD_252_247;
#endif
{

{obj_t MACRO_253_149;
MACRO_253_149=GET_HASH___HASH_1( KEYWORD_252_247, __MACRO_TABLE____MACRO_92 );{if( STRUCTP( MACRO_253_149 ))
if( EQP( STRUCT_KEY( MACRO_253_149 ), MACROS_0___MACRO_57 ))
goto _true_0;else
goto _false_1;else
goto _false_1;_true_0:
return STRUCT_SLOT_REF( MACRO_253_149, BINT( 2 ) );_false_1:
return BFALSE;;
}}
}

obj_t
#if defined( __STDC__ )
__GET_COMPILER_EXPANDER___MACRO_93(obj_t ENV_345_244,obj_t KEYWORD_252_247)
#else
__GET_COMPILER_EXPANDER___MACRO_93( ENV_345_244, KEYWORD_252_247 )
obj_t ENV_345_244, KEYWORD_252_247;
#endif
{

return GET_COMPILER_EXPANDER___MACRO_69( KEYWORD_252_247 );
}

