/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/booleans.c                                           */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __BOOLEAN____R4_BOOLEANS_6_1_90(obj_t, obj_t);
#else
extern obj_t __BOOLEAN____R4_BOOLEANS_6_1_90();
#endif
extern obj_t ___R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_219();
#if defined( __STDC__ )
extern obj_t NOT___R4_BOOLEANS_6_1_98(obj_t);
#else
extern obj_t NOT___R4_BOOLEANS_6_1_98();
#endif
obj_t NOT_ENV___R4_BOOLEANS_6_1_186 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BOOLEAN____R4_BOOLEANS_6_1_229(obj_t);
#else
extern obj_t BOOLEAN____R4_BOOLEANS_6_1_229();
#endif
obj_t BOOLEAN__ENV___R4_BOOLEANS_6_1_61 = BUNSPEC;
obj_t ___R4_BOOLEANS_6_1_INITIALISATION_ENV___R4_BOOLEANS_6_1_195 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_BOOLEANS_6_1_57 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ____R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_55(obj_t);
#else
extern obj_t ____R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_55();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __NOT___R4_BOOLEANS_6_1_193(obj_t, obj_t);
#else
extern obj_t __NOT___R4_BOOLEANS_6_1_193();
#endif


obj_t
#if defined( __STDC__ )
___R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_219()
#else
___R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_219()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_BOOLEANS_6_1_57 ))
{
REQUIRE_INITIALISATION____R4_BOOLEANS_6_1_57=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
{
___R4_BOOLEANS_6_1_INITIALISATION_ENV___R4_BOOLEANS_6_1_195=make_fx_procedure( ____R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_55, 0, 0 );
NOT_ENV___R4_BOOLEANS_6_1_186=make_fx_procedure( __NOT___R4_BOOLEANS_6_1_193, 1, 0 );
BOOLEAN__ENV___R4_BOOLEANS_6_1_61=make_fx_procedure( __BOOLEAN____R4_BOOLEANS_6_1_90, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_55(obj_t ENV_226_251)
#else
____R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_55( ENV_226_251 )
obj_t ENV_226_251;
#endif
{

return ___R4_BOOLEANS_6_1_INITIALISATION___R4_BOOLEANS_6_1_219();
}

obj_t
#if defined( __STDC__ )
NOT___R4_BOOLEANS_6_1_98(obj_t OBJ_222_44)
#else
NOT___R4_BOOLEANS_6_1_98( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

if( BBOOL_TO_CBOOL( OBJ_222_44 ))
return BFALSE;else
return BTRUE;
}

obj_t
#if defined( __STDC__ )
__NOT___R4_BOOLEANS_6_1_193(obj_t ENV_225_207,obj_t OBJ_222_44)
#else
__NOT___R4_BOOLEANS_6_1_193( ENV_225_207, OBJ_222_44 )
obj_t ENV_225_207, OBJ_222_44;
#endif
{

return NOT___R4_BOOLEANS_6_1_98( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
BOOLEAN____R4_BOOLEANS_6_1_229(obj_t OBJ_223_38)
#else
BOOLEAN____R4_BOOLEANS_6_1_229( OBJ_223_38 )
obj_t OBJ_223_38;
#endif
{

return CBOOL_TO_BBOOL( BOOLEANP( OBJ_223_38 ) );
}

obj_t
#if defined( __STDC__ )
__BOOLEAN____R4_BOOLEANS_6_1_90(obj_t ENV_224_225,obj_t OBJ_223_38)
#else
__BOOLEAN____R4_BOOLEANS_6_1_90( ENV_224_225, OBJ_223_38 )
obj_t ENV_224_225, OBJ_223_38;
#endif
{

return BOOLEAN____R4_BOOLEANS_6_1_229( OBJ_223_38 );
}

