/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/equiv.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
#if defined( __STDC__ )
extern obj_t __EQ____R4_EQUIVALENCE_6_2_70(obj_t, obj_t, obj_t);
#else
extern obj_t __EQ____R4_EQUIVALENCE_6_2_70();
#endif
obj_t EQUAL__ENV___R4_EQUIVALENCE_6_2_101 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211(obj_t);
#else
extern obj_t ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211();
#endif
#if defined( __STDC__ )
extern obj_t EQ____R4_EQUIVALENCE_6_2_163(obj_t, obj_t);
#else
extern obj_t EQ____R4_EQUIVALENCE_6_2_163();
#endif
#if defined( __STDC__ )
extern obj_t __EQUAL____R4_EQUIVALENCE_6_2_13(obj_t, obj_t, obj_t);
#else
extern obj_t __EQUAL____R4_EQUIVALENCE_6_2_13();
#endif
#if defined( __STDC__ )
extern obj_t EQV____R4_EQUIVALENCE_6_2_87(obj_t, obj_t);
#else
extern obj_t EQV____R4_EQUIVALENCE_6_2_87();
#endif
static obj_t REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234(obj_t, obj_t);
#else
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
#endif
extern obj_t _2____R4_NUMBERS_6_5_144();
obj_t EQ__ENV___R4_EQUIVALENCE_6_2_54 = BUNSPEC;
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
obj_t EQV__ENV___R4_EQUIVALENCE_6_2_224 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EQV____R4_EQUIVALENCE_6_2_232(obj_t, obj_t, obj_t);
#else
extern obj_t __EQV____R4_EQUIVALENCE_6_2_232();
#endif
extern obj_t make_fx_procedure();
extern bool_t bigloo_strcmp();
obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION_ENV___R4_EQUIVALENCE_6_2_235 = BUNSPEC;


obj_t
#if defined( __STDC__ )
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64()
#else
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213 ))
{
REQUIRE_INITIALISATION____R4_EQUIVALENCE_6_2_213=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
{
___R4_EQUIVALENCE_6_2_INITIALISATION_ENV___R4_EQUIVALENCE_6_2_235=make_fx_procedure( ____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211, 0, 0 );
EQ__ENV___R4_EQUIVALENCE_6_2_54=make_fx_procedure( __EQ____R4_EQUIVALENCE_6_2_70, 2, 0 );
EQV__ENV___R4_EQUIVALENCE_6_2_224=make_fx_procedure( __EQV____R4_EQUIVALENCE_6_2_232, 2, 0 );
EQUAL__ENV___R4_EQUIVALENCE_6_2_101=make_fx_procedure( __EQUAL____R4_EQUIVALENCE_6_2_13, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211(obj_t ENV_296_98)
#else
____R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_211( ENV_296_98 )
obj_t ENV_296_98;
#endif
{

return ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
}

obj_t
#if defined( __STDC__ )
EQ____R4_EQUIVALENCE_6_2_163(obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
EQ____R4_EQUIVALENCE_6_2_163( OBJ1_222_242, OBJ2_223_212 )
obj_t OBJ1_222_242, OBJ2_223_212;
#endif
{

return CBOOL_TO_BBOOL( EQP( OBJ1_222_242, OBJ2_223_212 ) );
}

obj_t
#if defined( __STDC__ )
__EQ____R4_EQUIVALENCE_6_2_70(obj_t ENV_295_113,obj_t OBJ1_222_242,obj_t OBJ2_223_212)
#else
__EQ____R4_EQUIVALENCE_6_2_70( ENV_295_113, OBJ1_222_242, OBJ2_223_212 )
obj_t ENV_295_113, OBJ1_222_242, OBJ2_223_212;
#endif
{

return EQ____R4_EQUIVALENCE_6_2_163( OBJ1_222_242, OBJ2_223_212 );
}

obj_t
#if defined( __STDC__ )
EQV____R4_EQUIVALENCE_6_2_87(obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
EQV____R4_EQUIVALENCE_6_2_87( OBJ1_224_171, OBJ2_225_204 )
obj_t OBJ1_224_171, OBJ2_225_204;
#endif
{

return CBOOL_TO_BBOOL( EQP( OBJ1_224_171, OBJ2_225_204 ) );
}

obj_t
#if defined( __STDC__ )
__EQV____R4_EQUIVALENCE_6_2_232(obj_t ENV_294_112,obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
__EQV____R4_EQUIVALENCE_6_2_232( ENV_294_112, OBJ1_224_171, OBJ2_225_204 )
obj_t ENV_294_112, OBJ1_224_171, OBJ2_225_204;
#endif
{

return EQV____R4_EQUIVALENCE_6_2_87( OBJ1_224_171, OBJ2_225_204 );
}

obj_t
#if defined( __STDC__ )
EQUAL____R4_EQUIVALENCE_6_2_234(obj_t OBJ1_226_11,obj_t OBJ2_227_43)
#else
EQUAL____R4_EQUIVALENCE_6_2_234( OBJ1_226_11, OBJ2_227_43 )
obj_t OBJ1_226_11, OBJ2_227_43;
#endif
{
_EQUAL____R4_EQUIVALENCE_6_2_234:

if( EQP( OBJ1_226_11, OBJ2_227_43 ))
return BTRUE;else
if( INTEGERP( OBJ1_226_11 ))
return BFALSE;else
if( SYMBOLP( OBJ1_226_11 ))
return BFALSE;else
if( PAIRP( OBJ1_226_11 ))
if( PAIRP( OBJ2_227_43 ))
{obj_t AUX_317_25;
AUX_317_25=EQUAL____R4_EQUIVALENCE_6_2_234( CAR( OBJ1_226_11 ), CAR( OBJ2_227_43 ) );if( BBOOL_TO_CBOOL( AUX_317_25 ))
{obj_t OBJ2_315_107, OBJ1_316_183;
OBJ2_315_107=OBJ2_227_43;OBJ1_316_183=OBJ1_226_11;{
OBJ2_227_43=CDR( OBJ2_315_107 );
OBJ1_226_11=CDR( OBJ1_316_183 );
goto _EQUAL____R4_EQUIVALENCE_6_2_234;
}}else
return BFALSE;}else
return BFALSE;else
if( VECTORP( OBJ1_226_11 ))
{obj_t LOBJ1_230_177;
LOBJ1_230_177=VECTOR_LENGTH( OBJ1_226_11 );if( VECTORP( OBJ2_227_43 ))
if( EQ_I( VECTOR_LENGTH( OBJ2_227_43 ), LOBJ1_230_177 ))
{bool_t __andtest_1011_301_109;
{obj_t AUX_318_27;
{obj_t N2_265_181;
N2_265_181=VECTOR_TAG( OBJ2_227_43 );{obj_t N1_264_42;
N1_264_42=VECTOR_TAG( OBJ1_226_11 );AUX_318_27=CBOOL_TO_BBOOL( EQ_I( N1_264_42, N2_265_181 ) );}}__andtest_1011_301_109=BBOOL_TO_CBOOL( AUX_318_27 );}if( __andtest_1011_301_109)
{obj_t I_235_130;
{
I_235_130=SUB_I_PTAG( LOBJ1_230_177, PSUB_TAG( 1 ) );
{_TEST_234_13:

if( EQ_I( I_235_130, BINT( -1 ) ))
return CBOOL_TO_BBOOL( EQ_I( I_235_130, BINT( -1 ) ) );else
{obj_t AUX_320_32;
AUX_320_32=EQUAL____R4_EQUIVALENCE_6_2_234( VECTOR_REF( OBJ1_226_11, I_235_130 ), VECTOR_REF( OBJ2_227_43, I_235_130 ) );if( BBOOL_TO_CBOOL( AUX_320_32 ))
{obj_t I_319_177;
I_319_177=I_235_130;{
I_235_130=SUB_I_PTAG( I_319_177, PSUB_TAG( 1 ) );
goto _TEST_234_13;
}}else
return BFALSE;}}
}}else
return BFALSE;}else
return BFALSE;else
return BFALSE;}else
if( STRINGP( OBJ1_226_11 ))
if( STRINGP( OBJ2_227_43 ))
return CBOOL_TO_BBOOL( bigloo_strcmp( OBJ1_226_11, OBJ2_227_43 ) );else
return BFALSE;else
if( REALP( OBJ1_226_11 ))
if( REALP( OBJ2_227_43 ))
return CBOOL_TO_BBOOL( EQ_R( OBJ1_226_11, OBJ2_227_43 ) );else
return BFALSE;else
if( STRUCTP( OBJ1_226_11 ))
{obj_t LOBJ1_240_139;
LOBJ1_240_139=STRUCT_LENGTH( OBJ1_226_11 );if( STRUCTP( OBJ2_227_43 ))
{bool_t __andtest_1004_307_189;
{obj_t AUX_321_13;
{obj_t N1_282_203;
N1_282_203=STRUCT_LENGTH( OBJ2_227_43 );AUX_321_13=CBOOL_TO_BBOOL( EQ_I( N1_282_203, LOBJ1_240_139 ) );}__andtest_1004_307_189=BBOOL_TO_CBOOL( AUX_321_13 );}if( __andtest_1004_307_189)
{obj_t I_244_250;
{
I_244_250=SUB_I_PTAG( LOBJ1_240_139, PSUB_TAG( 1 ) );
{_TEST_243_34:

if( EQ_I( I_244_250, BINT( -1 ) ))
return CBOOL_TO_BBOOL( EQ_I( I_244_250, BINT( -1 ) ) );else
{obj_t AUX_323_199;
AUX_323_199=EQUAL____R4_EQUIVALENCE_6_2_234( STRUCT_SLOT_REF( OBJ1_226_11, I_244_250 ), STRUCT_SLOT_REF( OBJ2_227_43, I_244_250 ) );if( BBOOL_TO_CBOOL( AUX_323_199 ))
{obj_t I_322_182;
I_322_182=I_244_250;{
I_244_250=SUB_I_PTAG( I_322_182, PSUB_TAG( 1 ) );
goto _TEST_243_34;
}}else
return BFALSE;}}
}}else
return BFALSE;}else
return BFALSE;}else
if( FOREIGNP( OBJ1_226_11 ))
{bool_t __andtest_1002_310_84;
__andtest_1002_310_84=FOREIGNP( OBJ2_227_43 );if( __andtest_1002_310_84)
{bool_t AUX_324_214;
AUX_324_214=FOREIGN_EQP( OBJ1_226_11, OBJ2_227_43 );return CBOOL_TO_BBOOL( AUX_324_214 );}else
return BFALSE;}else
if( CELLP( OBJ1_226_11 ))
{bool_t __andtest_1001_311_153;
__andtest_1001_311_153=CELLP( OBJ2_227_43 );if( __andtest_1001_311_153)
{obj_t AUX_326_226, AUX_325_18;
AUX_326_226=CELL_REF( OBJ2_227_43 );AUX_325_18=CELL_REF( OBJ1_226_11 );{
OBJ2_227_43=AUX_326_226;
OBJ1_226_11=AUX_325_18;
goto _EQUAL____R4_EQUIVALENCE_6_2_234;
}}else
return BFALSE;}else
{if( INTEGERP( OBJ1_226_11 ))
goto _true_0;else
goto _false_1;_true_0:
{obj_t AUX_327_84;
if( INTEGERP( OBJ2_227_43 ))
AUX_327_84=CBOOL_TO_BBOOL( INTEGERP( OBJ2_227_43 ) );else
AUX_327_84=CBOOL_TO_BBOOL( REALP( OBJ2_227_43 ) );if( BBOOL_TO_CBOOL( AUX_327_84 ))
return _2____R4_NUMBERS_6_5_144( OBJ1_226_11, OBJ2_227_43 );else
return BFALSE;}_false_1:
return BFALSE;;
}
}

obj_t
#if defined( __STDC__ )
__EQUAL____R4_EQUIVALENCE_6_2_13(obj_t ENV_293_251,obj_t OBJ1_226_11,obj_t OBJ2_227_43)
#else
__EQUAL____R4_EQUIVALENCE_6_2_13( ENV_293_251, OBJ1_226_11, OBJ2_227_43 )
obj_t ENV_293_251, OBJ1_226_11, OBJ2_227_43;
#endif
{

return EQUAL____R4_EQUIVALENCE_6_2_234( OBJ1_226_11, OBJ2_227_43 );
}

