/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/pair-list.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __CAADDR___R4_PAIRS_AND_LISTS_6_3_8(obj_t, obj_t);
#else
extern obj_t __CAADDR___R4_PAIRS_AND_LISTS_6_3_8();
#endif
#if defined( __STDC__ )
extern obj_t __APPEND___R4_PAIRS_AND_LISTS_6_3_101(obj_t, obj_t);
#else
extern obj_t __APPEND___R4_PAIRS_AND_LISTS_6_3_101();
#endif
obj_t SET_CER__ENV___R4_PAIRS_AND_LISTS_6_3_108 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CDADDR___R4_PAIRS_AND_LISTS_6_3_251(obj_t);
#else
extern obj_t CDADDR___R4_PAIRS_AND_LISTS_6_3_251();
#endif
obj_t LIST_ENV___R4_PAIRS_AND_LISTS_6_3_74 = BUNSPEC;
obj_t CDADR_ENV___R4_PAIRS_AND_LISTS_6_3_106 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LIST____R4_PAIRS_AND_LISTS_6_3_109(obj_t, obj_t);
#else
extern obj_t __LIST____R4_PAIRS_AND_LISTS_6_3_109();
#endif
#if defined( __STDC__ )
extern obj_t CAAAR___R4_PAIRS_AND_LISTS_6_3_162(obj_t);
#else
extern obj_t CAAAR___R4_PAIRS_AND_LISTS_6_3_162();
#endif
obj_t REMOVE__ENV___R4_PAIRS_AND_LISTS_6_3_149 = BUNSPEC;
obj_t LENGTH_ENV___R4_PAIRS_AND_LISTS_6_3_190 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CONS___R4_PAIRS_AND_LISTS_6_3_48(obj_t, obj_t);
#else
extern obj_t CONS___R4_PAIRS_AND_LISTS_6_3_48();
#endif
#if defined( __STDC__ )
extern obj_t CDDDR___R4_PAIRS_AND_LISTS_6_3_205(obj_t);
#else
extern obj_t CDDDR___R4_PAIRS_AND_LISTS_6_3_205();
#endif
obj_t MEMV_ENV___R4_PAIRS_AND_LISTS_6_3_166 = BUNSPEC;
obj_t CAADDR_ENV___R4_PAIRS_AND_LISTS_6_3_117 = BUNSPEC;
obj_t CAAR_ENV___R4_PAIRS_AND_LISTS_6_3_250 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ASSQ___R4_PAIRS_AND_LISTS_6_3_73(obj_t, obj_t, obj_t);
#else
extern obj_t __ASSQ___R4_PAIRS_AND_LISTS_6_3_73();
#endif
#if defined( __STDC__ )
extern obj_t LIST_REF___R4_PAIRS_AND_LISTS_6_3_197(obj_t, obj_t);
#else
extern obj_t LIST_REF___R4_PAIRS_AND_LISTS_6_3_197();
#endif
#if defined( __STDC__ )
extern obj_t CAADDR___R4_PAIRS_AND_LISTS_6_3_196(obj_t);
#else
extern obj_t CAADDR___R4_PAIRS_AND_LISTS_6_3_196();
#endif
obj_t CAR_ENV___R4_PAIRS_AND_LISTS_6_3_78 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MEMQ___R4_PAIRS_AND_LISTS_6_3_131(obj_t, obj_t, obj_t);
#else
extern obj_t __MEMQ___R4_PAIRS_AND_LISTS_6_3_131();
#endif
obj_t CAADAR_ENV___R4_PAIRS_AND_LISTS_6_3_59 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LIST_REF___R4_PAIRS_AND_LISTS_6_3_13(obj_t, obj_t, obj_t);
#else
extern obj_t __LIST_REF___R4_PAIRS_AND_LISTS_6_3_13();
#endif
#if defined( __STDC__ )
extern obj_t CADDAR___R4_PAIRS_AND_LISTS_6_3_206(obj_t);
#else
extern obj_t CADDAR___R4_PAIRS_AND_LISTS_6_3_206();
#endif
#if defined( __STDC__ )
extern obj_t APPEND____R4_PAIRS_AND_LISTS_6_3_206(obj_t, obj_t);
#else
extern obj_t APPEND____R4_PAIRS_AND_LISTS_6_3_206();
#endif
#if defined( __STDC__ )
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226(obj_t, obj_t);
#else
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
#endif
#if defined( __STDC__ )
extern obj_t MEMV___R4_PAIRS_AND_LISTS_6_3_244(obj_t, obj_t);
#else
extern obj_t MEMV___R4_PAIRS_AND_LISTS_6_3_244();
#endif
#if defined( __STDC__ )
extern obj_t __MEMBER___R4_PAIRS_AND_LISTS_6_3_252(obj_t, obj_t, obj_t);
#else
extern obj_t __MEMBER___R4_PAIRS_AND_LISTS_6_3_252();
#endif
#if defined( __STDC__ )
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229(obj_t);
#else
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#endif
#if defined( __STDC__ )
extern obj_t PAIR____R4_PAIRS_AND_LISTS_6_3_208(obj_t);
#else
extern obj_t PAIR____R4_PAIRS_AND_LISTS_6_3_208();
#endif
obj_t SET_CDR__ENV___R4_PAIRS_AND_LISTS_6_3_3 = BUNSPEC;
obj_t REVERSE__ENV___R4_PAIRS_AND_LISTS_6_3_140 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __EPAIR____R4_PAIRS_AND_LISTS_6_3_254(obj_t, obj_t);
#else
extern obj_t __EPAIR____R4_PAIRS_AND_LISTS_6_3_254();
#endif
#if defined( __STDC__ )
extern obj_t SET_CAR____R4_PAIRS_AND_LISTS_6_3_11(obj_t, obj_t);
#else
extern obj_t SET_CAR____R4_PAIRS_AND_LISTS_6_3_11();
#endif
#if defined( __STDC__ )
extern obj_t __CDR___R4_PAIRS_AND_LISTS_6_3_72(obj_t, obj_t);
#else
extern obj_t __CDR___R4_PAIRS_AND_LISTS_6_3_72();
#endif
#if defined( __STDC__ )
extern obj_t EPAIR____R4_PAIRS_AND_LISTS_6_3_76(obj_t);
#else
extern obj_t EPAIR____R4_PAIRS_AND_LISTS_6_3_76();
#endif
obj_t CDDDDR_ENV___R4_PAIRS_AND_LISTS_6_3_59 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDDADR___R4_PAIRS_AND_LISTS_6_3_28(obj_t, obj_t);
#else
extern obj_t __CDDADR___R4_PAIRS_AND_LISTS_6_3_28();
#endif
#if defined( __STDC__ )
extern obj_t NULL____R4_PAIRS_AND_LISTS_6_3_233(obj_t);
#else
extern obj_t NULL____R4_PAIRS_AND_LISTS_6_3_233();
#endif
obj_t REMOVE_ENV___R4_PAIRS_AND_LISTS_6_3_254 = BUNSPEC;
obj_t ECONS_ENV___R4_PAIRS_AND_LISTS_6_3_8 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REMOVE____R4_PAIRS_AND_LISTS_6_3_51(obj_t, obj_t);
#else
extern obj_t REMOVE____R4_PAIRS_AND_LISTS_6_3_51();
#endif
#if defined( __STDC__ )
extern obj_t __SET_CER____R4_PAIRS_AND_LISTS_6_3_82(obj_t, obj_t, obj_t);
#else
extern obj_t __SET_CER____R4_PAIRS_AND_LISTS_6_3_82();
#endif
#if defined( __STDC__ )
extern obj_t __CDDAAR___R4_PAIRS_AND_LISTS_6_3_59(obj_t, obj_t);
#else
extern obj_t __CDDAAR___R4_PAIRS_AND_LISTS_6_3_59();
#endif
obj_t APPEND__ENV___R4_PAIRS_AND_LISTS_6_3_239 = BUNSPEC;
obj_t APPEND_2_ENV___R4_PAIRS_AND_LISTS_6_3_123 = BUNSPEC;
obj_t REMQ_ENV___R4_PAIRS_AND_LISTS_6_3_103 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CAR___R4_PAIRS_AND_LISTS_6_3_161(obj_t, obj_t);
#else
extern obj_t __CAR___R4_PAIRS_AND_LISTS_6_3_161();
#endif
#if defined( __STDC__ )
extern obj_t __CADAR___R4_PAIRS_AND_LISTS_6_3_42(obj_t, obj_t);
#else
extern obj_t __CADAR___R4_PAIRS_AND_LISTS_6_3_42();
#endif
#if defined( __STDC__ )
extern obj_t LIST____R4_PAIRS_AND_LISTS_6_3_14(obj_t);
#else
extern obj_t LIST____R4_PAIRS_AND_LISTS_6_3_14();
#endif
obj_t LAST_PAIR_ENV___R4_PAIRS_AND_LISTS_6_3_145 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LIST___R4_PAIRS_AND_LISTS_6_3_4(obj_t, obj_t);
#else
extern obj_t __LIST___R4_PAIRS_AND_LISTS_6_3_4();
#endif
#if defined( __STDC__ )
extern obj_t __CADAAR___R4_PAIRS_AND_LISTS_6_3_75(obj_t, obj_t);
#else
extern obj_t __CADAAR___R4_PAIRS_AND_LISTS_6_3_75();
#endif
#if defined( __STDC__ )
extern obj_t ASSV___R4_PAIRS_AND_LISTS_6_3_150(obj_t, obj_t);
#else
extern obj_t ASSV___R4_PAIRS_AND_LISTS_6_3_150();
#endif
obj_t CADDDR_ENV___R4_PAIRS_AND_LISTS_6_3_175 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDAR___R4_PAIRS_AND_LISTS_6_3_249(obj_t, obj_t);
#else
extern obj_t __CDAR___R4_PAIRS_AND_LISTS_6_3_249();
#endif
obj_t CDADAR_ENV___R4_PAIRS_AND_LISTS_6_3_54 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CAAADR___R4_PAIRS_AND_LISTS_6_3_94(obj_t, obj_t);
#else
extern obj_t __CAAADR___R4_PAIRS_AND_LISTS_6_3_94();
#endif
#if defined( __STDC__ )
extern obj_t CDAR___R4_PAIRS_AND_LISTS_6_3_113(obj_t);
#else
extern obj_t CDAR___R4_PAIRS_AND_LISTS_6_3_113();
#endif
#if defined( __STDC__ )
extern obj_t CDAAAR___R4_PAIRS_AND_LISTS_6_3_151(obj_t);
#else
extern obj_t CDAAAR___R4_PAIRS_AND_LISTS_6_3_151();
#endif
obj_t CADADR_ENV___R4_PAIRS_AND_LISTS_6_3_152 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PAIR____R4_PAIRS_AND_LISTS_6_3_26(obj_t, obj_t);
#else
extern obj_t __PAIR____R4_PAIRS_AND_LISTS_6_3_26();
#endif
#if defined( __STDC__ )
extern obj_t __CDADAR___R4_PAIRS_AND_LISTS_6_3_191(obj_t, obj_t);
#else
extern obj_t __CDADAR___R4_PAIRS_AND_LISTS_6_3_191();
#endif
obj_t CDR_ENV___R4_PAIRS_AND_LISTS_6_3_37 = BUNSPEC;
obj_t CDDR_ENV___R4_PAIRS_AND_LISTS_6_3_243 = BUNSPEC;
extern obj_t make_va_procedure();
obj_t CADAR_ENV___R4_PAIRS_AND_LISTS_6_3_203 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REVERSE___R4_PAIRS_AND_LISTS_6_3_167(obj_t, obj_t);
#else
extern obj_t __REVERSE___R4_PAIRS_AND_LISTS_6_3_167();
#endif
obj_t CDAADR_ENV___R4_PAIRS_AND_LISTS_6_3_206 = BUNSPEC;
obj_t ASSOC_ENV___R4_PAIRS_AND_LISTS_6_3_209 = BUNSPEC;
obj_t ASSV_ENV___R4_PAIRS_AND_LISTS_6_3_110 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDDDAR___R4_PAIRS_AND_LISTS_6_3_233(obj_t, obj_t);
#else
extern obj_t __CDDDAR___R4_PAIRS_AND_LISTS_6_3_233();
#endif
#if defined( __STDC__ )
extern obj_t CADAAR___R4_PAIRS_AND_LISTS_6_3_203(obj_t);
#else
extern obj_t CADAAR___R4_PAIRS_AND_LISTS_6_3_203();
#endif
obj_t CAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_19 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CADADR___R4_PAIRS_AND_LISTS_6_3_252(obj_t);
#else
extern obj_t CADADR___R4_PAIRS_AND_LISTS_6_3_252();
#endif
#if defined( __STDC__ )
extern obj_t CDDR___R4_PAIRS_AND_LISTS_6_3_200(obj_t);
#else
extern obj_t CDDR___R4_PAIRS_AND_LISTS_6_3_200();
#endif
#if defined( __STDC__ )
extern obj_t __CAAAAR___R4_PAIRS_AND_LISTS_6_3_118(obj_t, obj_t);
#else
extern obj_t __CAAAAR___R4_PAIRS_AND_LISTS_6_3_118();
#endif
#if defined( __STDC__ )
extern obj_t REMOVE___R4_PAIRS_AND_LISTS_6_3_80(obj_t, obj_t);
#else
extern obj_t REMOVE___R4_PAIRS_AND_LISTS_6_3_80();
#endif
#if defined( __STDC__ )
extern obj_t ECONS___R4_PAIRS_AND_LISTS_6_3_116(obj_t, obj_t, obj_t);
#else
extern obj_t ECONS___R4_PAIRS_AND_LISTS_6_3_116();
#endif
obj_t CDDAR_ENV___R4_PAIRS_AND_LISTS_6_3_227 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LENGTH___R4_PAIRS_AND_LISTS_6_3_77(obj_t, obj_t);
#else
extern obj_t __LENGTH___R4_PAIRS_AND_LISTS_6_3_77();
#endif
#if defined( __STDC__ )
extern obj_t __CDAADR___R4_PAIRS_AND_LISTS_6_3_141(obj_t, obj_t);
#else
extern obj_t __CDAADR___R4_PAIRS_AND_LISTS_6_3_141();
#endif
#if defined( __STDC__ )
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134(obj_t);
#else
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
#endif
#if defined( __STDC__ )
extern obj_t SET_CDR____R4_PAIRS_AND_LISTS_6_3_54(obj_t, obj_t);
#else
extern obj_t SET_CDR____R4_PAIRS_AND_LISTS_6_3_54();
#endif
#if defined( __STDC__ )
extern obj_t __CDADDR___R4_PAIRS_AND_LISTS_6_3_75(obj_t, obj_t);
#else
extern obj_t __CDADDR___R4_PAIRS_AND_LISTS_6_3_75();
#endif
obj_t EPAIR__ENV___R4_PAIRS_AND_LISTS_6_3_202 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REMQ____R4_PAIRS_AND_LISTS_6_3_81(obj_t, obj_t, obj_t);
#else
extern obj_t __REMQ____R4_PAIRS_AND_LISTS_6_3_81();
#endif
obj_t CDDADR_ENV___R4_PAIRS_AND_LISTS_6_3_75 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CAAR___R4_PAIRS_AND_LISTS_6_3_16(obj_t);
#else
extern obj_t CAAR___R4_PAIRS_AND_LISTS_6_3_16();
#endif
obj_t CADR_ENV___R4_PAIRS_AND_LISTS_6_3_176 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CAADAR___R4_PAIRS_AND_LISTS_6_3_142(obj_t);
#else
extern obj_t CAADAR___R4_PAIRS_AND_LISTS_6_3_142();
#endif
obj_t CDADDR_ENV___R4_PAIRS_AND_LISTS_6_3_100 = BUNSPEC;
obj_t CDAR_ENV___R4_PAIRS_AND_LISTS_6_3_242 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDDR___R4_PAIRS_AND_LISTS_6_3_55(obj_t, obj_t);
#else
extern obj_t __CDDR___R4_PAIRS_AND_LISTS_6_3_55();
#endif
#if defined( __STDC__ )
extern obj_t CDDADR___R4_PAIRS_AND_LISTS_6_3_127(obj_t);
#else
extern obj_t CDDADR___R4_PAIRS_AND_LISTS_6_3_127();
#endif
#if defined( __STDC__ )
extern obj_t SET_CER____R4_PAIRS_AND_LISTS_6_3_184(obj_t, obj_t);
#else
extern obj_t SET_CER____R4_PAIRS_AND_LISTS_6_3_184();
#endif
#if defined( __STDC__ )
extern obj_t CADR___R4_PAIRS_AND_LISTS_6_3_62(obj_t);
#else
extern obj_t CADR___R4_PAIRS_AND_LISTS_6_3_62();
#endif
#if defined( __STDC__ )
extern obj_t __CADDDR___R4_PAIRS_AND_LISTS_6_3_125(obj_t, obj_t);
#else
extern obj_t __CADDDR___R4_PAIRS_AND_LISTS_6_3_125();
#endif
#if defined( __STDC__ )
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184(obj_t, obj_t);
#else
extern obj_t ASSQ___R4_PAIRS_AND_LISTS_6_3_184();
#endif
obj_t LIST__ENV___R4_PAIRS_AND_LISTS_6_3_226 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __ASSV___R4_PAIRS_AND_LISTS_6_3_199(obj_t, obj_t, obj_t);
#else
extern obj_t __ASSV___R4_PAIRS_AND_LISTS_6_3_199();
#endif
DEFINE_STRING( CER_0___R4_PAIRS_AND_LISTS_6_3_25, "cer", 3);
#if defined( __STDC__ )
extern obj_t CDR___R4_PAIRS_AND_LISTS_6_3_218(obj_t);
#else
extern obj_t CDR___R4_PAIRS_AND_LISTS_6_3_218();
#endif
#if defined( __STDC__ )
extern obj_t __CDAAR___R4_PAIRS_AND_LISTS_6_3_254(obj_t, obj_t);
#else
extern obj_t __CDAAR___R4_PAIRS_AND_LISTS_6_3_254();
#endif
obj_t CDAAR_ENV___R4_PAIRS_AND_LISTS_6_3_0 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____R4_PAIRS_AND_LISTS_6_3_96 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t EQUAL____R4_EQUIVALENCE_6_2_234();
#if defined( __STDC__ )
extern obj_t __CONS____R4_PAIRS_AND_LISTS_6_3_16(obj_t, obj_t, obj_t);
#else
extern obj_t __CONS____R4_PAIRS_AND_LISTS_6_3_16();
#endif
#if defined( __STDC__ )
extern obj_t CADDR___R4_PAIRS_AND_LISTS_6_3_246(obj_t);
#else
extern obj_t CADDR___R4_PAIRS_AND_LISTS_6_3_246();
#endif
#if defined( __STDC__ )
extern obj_t __APPEND_2___R4_PAIRS_AND_LISTS_6_3_8(obj_t, obj_t, obj_t);
#else
extern obj_t __APPEND_2___R4_PAIRS_AND_LISTS_6_3_8();
#endif
#if defined( __STDC__ )
extern obj_t __ASSOC___R4_PAIRS_AND_LISTS_6_3_27(obj_t, obj_t, obj_t);
#else
extern obj_t __ASSOC___R4_PAIRS_AND_LISTS_6_3_27();
#endif
#if defined( __STDC__ )
extern obj_t __APPEND____R4_PAIRS_AND_LISTS_6_3_116(obj_t, obj_t, obj_t);
#else
extern obj_t __APPEND____R4_PAIRS_AND_LISTS_6_3_116();
#endif
obj_t MEMQ_ENV___R4_PAIRS_AND_LISTS_6_3_168 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REVERSE____R4_PAIRS_AND_LISTS_6_3_108(obj_t, obj_t);
#else
extern obj_t __REVERSE____R4_PAIRS_AND_LISTS_6_3_108();
#endif
obj_t CADDR_ENV___R4_PAIRS_AND_LISTS_6_3_16 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CDADAR___R4_PAIRS_AND_LISTS_6_3_115(obj_t);
#else
extern obj_t CDADAR___R4_PAIRS_AND_LISTS_6_3_115();
#endif
#if defined( __STDC__ )
extern obj_t __CADR___R4_PAIRS_AND_LISTS_6_3_52(obj_t, obj_t);
#else
extern obj_t __CADR___R4_PAIRS_AND_LISTS_6_3_52();
#endif
obj_t CONS__ENV___R4_PAIRS_AND_LISTS_6_3_26 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CADAR___R4_PAIRS_AND_LISTS_6_3_174(obj_t);
#else
extern obj_t CADAR___R4_PAIRS_AND_LISTS_6_3_174();
#endif
obj_t CDAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_1 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDDDR___R4_PAIRS_AND_LISTS_6_3_235(obj_t, obj_t);
#else
extern obj_t __CDDDR___R4_PAIRS_AND_LISTS_6_3_235();
#endif
#if defined( __STDC__ )
extern obj_t CAR___R4_PAIRS_AND_LISTS_6_3_73(obj_t);
#else
extern obj_t CAR___R4_PAIRS_AND_LISTS_6_3_73();
#endif
#if defined( __STDC__ )
extern obj_t __REMOVE____R4_PAIRS_AND_LISTS_6_3_136(obj_t, obj_t, obj_t);
#else
extern obj_t __REMOVE____R4_PAIRS_AND_LISTS_6_3_136();
#endif
#if defined( __STDC__ )
extern obj_t CDAAR___R4_PAIRS_AND_LISTS_6_3_128(obj_t);
#else
extern obj_t CDAAR___R4_PAIRS_AND_LISTS_6_3_128();
#endif
obj_t CADDAR_ENV___R4_PAIRS_AND_LISTS_6_3_239 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CDDDAR___R4_PAIRS_AND_LISTS_6_3_196(obj_t);
#else
extern obj_t CDDDAR___R4_PAIRS_AND_LISTS_6_3_196();
#endif
obj_t MEMBER_ENV___R4_PAIRS_AND_LISTS_6_3_77 = BUNSPEC;
obj_t CAAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_125 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __NULL____R4_PAIRS_AND_LISTS_6_3_184(obj_t, obj_t);
#else
extern obj_t __NULL____R4_PAIRS_AND_LISTS_6_3_184();
#endif
#if defined( __STDC__ )
extern obj_t __CAADAR___R4_PAIRS_AND_LISTS_6_3_144(obj_t, obj_t);
#else
extern obj_t __CAADAR___R4_PAIRS_AND_LISTS_6_3_144();
#endif
#if defined( __STDC__ )
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28(obj_t, obj_t);
#else
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
#endif
obj_t CADAAR_ENV___R4_PAIRS_AND_LISTS_6_3_167 = BUNSPEC;
obj_t CONS_ENV___R4_PAIRS_AND_LISTS_6_3_133 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MEMV___R4_PAIRS_AND_LISTS_6_3_8(obj_t, obj_t, obj_t);
#else
extern obj_t __MEMV___R4_PAIRS_AND_LISTS_6_3_8();
#endif
obj_t CAAADR_ENV___R4_PAIRS_AND_LISTS_6_3_45 = BUNSPEC;
obj_t ASSQ_ENV___R4_PAIRS_AND_LISTS_6_3_108 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CDDAAR___R4_PAIRS_AND_LISTS_6_3_86(obj_t);
#else
extern obj_t CDDAAR___R4_PAIRS_AND_LISTS_6_3_86();
#endif
#if defined( __STDC__ )
extern obj_t __SET_CDR____R4_PAIRS_AND_LISTS_6_3_155(obj_t, obj_t, obj_t);
#else
extern obj_t __SET_CDR____R4_PAIRS_AND_LISTS_6_3_155();
#endif
#if defined( __STDC__ )
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57(obj_t, obj_t);
#else
extern obj_t REMQ____R4_PAIRS_AND_LISTS_6_3_57();
#endif
extern obj_t ___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
#if defined( __STDC__ )
extern obj_t CDDAR___R4_PAIRS_AND_LISTS_6_3_44(obj_t);
#else
extern obj_t CDDAR___R4_PAIRS_AND_LISTS_6_3_44();
#endif
obj_t REVERSE_ENV___R4_PAIRS_AND_LISTS_6_3_187 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CAADR___R4_PAIRS_AND_LISTS_6_3_121(obj_t);
#else
extern obj_t CAADR___R4_PAIRS_AND_LISTS_6_3_121();
#endif
#if defined( __STDC__ )
extern obj_t CDAADR___R4_PAIRS_AND_LISTS_6_3_208(obj_t);
#else
extern obj_t CDAADR___R4_PAIRS_AND_LISTS_6_3_208();
#endif
#if defined( __STDC__ )
extern obj_t ASSOC___R4_PAIRS_AND_LISTS_6_3_8(obj_t, obj_t);
#else
extern obj_t ASSOC___R4_PAIRS_AND_LISTS_6_3_8();
#endif
#if defined( __STDC__ )
extern obj_t LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77(obj_t, obj_t);
#else
extern obj_t LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77();
#endif
#if defined( __STDC__ )
extern obj_t __LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_42(obj_t, obj_t, obj_t);
#else
extern obj_t __LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_42();
#endif
DEFINE_STRING( TYPE__EX_3___R4_PAIRS_AND_LISTS_6_3_98, "Type `extended pair' expected for expression", 44);
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t ____R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_245(obj_t);
#else
extern obj_t ____R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_245();
#endif
#if defined( __STDC__ )
extern obj_t __CAADR___R4_PAIRS_AND_LISTS_6_3_82(obj_t, obj_t);
#else
extern obj_t __CAADR___R4_PAIRS_AND_LISTS_6_3_82();
#endif
#if defined( __STDC__ )
extern obj_t __CONS___R4_PAIRS_AND_LISTS_6_3_49(obj_t, obj_t, obj_t);
#else
extern obj_t __CONS___R4_PAIRS_AND_LISTS_6_3_49();
#endif
obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION_ENV___R4_PAIRS_AND_LISTS_6_3_206 = BUNSPEC;
obj_t LIST_REF_ENV___R4_PAIRS_AND_LISTS_6_3_136 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SET_CAR____R4_PAIRS_AND_LISTS_6_3_223(obj_t, obj_t, obj_t);
#else
extern obj_t __SET_CAR____R4_PAIRS_AND_LISTS_6_3_223();
#endif
#if defined( __STDC__ )
extern obj_t __CDADR___R4_PAIRS_AND_LISTS_6_3_194(obj_t, obj_t);
#else
extern obj_t __CDADR___R4_PAIRS_AND_LISTS_6_3_194();
#endif
#if defined( __STDC__ )
extern obj_t APPEND___R4_PAIRS_AND_LISTS_6_3_111(obj_t);
#else
extern obj_t APPEND___R4_PAIRS_AND_LISTS_6_3_111();
#endif
#if defined( __STDC__ )
extern obj_t LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74(obj_t);
#else
extern obj_t LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
extern obj_t CAAADR___R4_PAIRS_AND_LISTS_6_3_145(obj_t);
#else
extern obj_t CAAADR___R4_PAIRS_AND_LISTS_6_3_145();
#endif
obj_t APPEND_ENV___R4_PAIRS_AND_LISTS_6_3_105 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LIST___R4_PAIRS_AND_LISTS_6_3_66(obj_t);
#else
extern obj_t LIST___R4_PAIRS_AND_LISTS_6_3_66();
#endif
#if defined( __STDC__ )
extern obj_t CDADR___R4_PAIRS_AND_LISTS_6_3_240(obj_t);
#else
extern obj_t CDADR___R4_PAIRS_AND_LISTS_6_3_240();
#endif
obj_t CDDAAR_ENV___R4_PAIRS_AND_LISTS_6_3_124 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141(obj_t, obj_t);
#else
extern obj_t MEMQ___R4_PAIRS_AND_LISTS_6_3_141();
#endif
obj_t CDDDAR_ENV___R4_PAIRS_AND_LISTS_6_3_117 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CADDDR___R4_PAIRS_AND_LISTS_6_3_0(obj_t);
#else
extern obj_t CADDDR___R4_PAIRS_AND_LISTS_6_3_0();
#endif
obj_t CDDDR_ENV___R4_PAIRS_AND_LISTS_6_3_235 = BUNSPEC;
obj_t PAIR__ENV___R4_PAIRS_AND_LISTS_6_3_206 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t MEMBER___R4_PAIRS_AND_LISTS_6_3_147(obj_t, obj_t);
#else
extern obj_t MEMBER___R4_PAIRS_AND_LISTS_6_3_147();
#endif
#if defined( __STDC__ )
extern obj_t CAAAAR___R4_PAIRS_AND_LISTS_6_3_234(obj_t);
#else
extern obj_t CAAAAR___R4_PAIRS_AND_LISTS_6_3_234();
#endif
DEFINE_STRING( TYPE__EX_1___R4_PAIRS_AND_LISTS_6_3_23, "type `extended-pair' expected for expression", 44);
#if defined( __STDC__ )
extern obj_t __CDDAR___R4_PAIRS_AND_LISTS_6_3_53(obj_t, obj_t);
#else
extern obj_t __CDDAR___R4_PAIRS_AND_LISTS_6_3_53();
#endif
obj_t CER_ENV___R4_PAIRS_AND_LISTS_6_3_215 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CADDAR___R4_PAIRS_AND_LISTS_6_3_186(obj_t, obj_t);
#else
extern obj_t __CADDAR___R4_PAIRS_AND_LISTS_6_3_186();
#endif
obj_t NULL__ENV___R4_PAIRS_AND_LISTS_6_3_196 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_218(obj_t, obj_t);
#else
extern obj_t __LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_218();
#endif
#if defined( __STDC__ )
extern obj_t CER___R4_PAIRS_AND_LISTS_6_3_220(obj_t);
#else
extern obj_t CER___R4_PAIRS_AND_LISTS_6_3_220();
#endif
#if defined( __STDC__ )
extern obj_t __REMQ___R4_PAIRS_AND_LISTS_6_3_114(obj_t, obj_t, obj_t);
#else
extern obj_t __REMQ___R4_PAIRS_AND_LISTS_6_3_114();
#endif
#if defined( __STDC__ )
extern obj_t __CER___R4_PAIRS_AND_LISTS_6_3_77(obj_t, obj_t);
#else
extern obj_t __CER___R4_PAIRS_AND_LISTS_6_3_77();
#endif
obj_t CAADR_ENV___R4_PAIRS_AND_LISTS_6_3_180 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CAAAR___R4_PAIRS_AND_LISTS_6_3_101(obj_t, obj_t);
#else
extern obj_t __CAAAR___R4_PAIRS_AND_LISTS_6_3_101();
#endif
#if defined( __STDC__ )
extern obj_t __ECONS___R4_PAIRS_AND_LISTS_6_3_149(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __ECONS___R4_PAIRS_AND_LISTS_6_3_149();
#endif
#if defined( __STDC__ )
extern obj_t CDDDDR___R4_PAIRS_AND_LISTS_6_3_142(obj_t);
#else
extern obj_t CDDDDR___R4_PAIRS_AND_LISTS_6_3_142();
#endif
#if defined( __STDC__ )
extern obj_t __CAAR___R4_PAIRS_AND_LISTS_6_3_33(obj_t, obj_t);
#else
extern obj_t __CAAR___R4_PAIRS_AND_LISTS_6_3_33();
#endif
obj_t LIST_TAIL_ENV___R4_PAIRS_AND_LISTS_6_3_238 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CDDDDR___R4_PAIRS_AND_LISTS_6_3_160(obj_t, obj_t);
#else
extern obj_t __CDDDDR___R4_PAIRS_AND_LISTS_6_3_160();
#endif
#if defined( __STDC__ )
extern obj_t __REMOVE___R4_PAIRS_AND_LISTS_6_3_68(obj_t, obj_t, obj_t);
#else
extern obj_t __REMOVE___R4_PAIRS_AND_LISTS_6_3_68();
#endif
#if defined( __STDC__ )
extern obj_t __CADDR___R4_PAIRS_AND_LISTS_6_3_147(obj_t, obj_t);
#else
extern obj_t __CADDR___R4_PAIRS_AND_LISTS_6_3_147();
#endif
obj_t REMQ__ENV___R4_PAIRS_AND_LISTS_6_3_207 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t REMQ___R4_PAIRS_AND_LISTS_6_3_181(obj_t, obj_t);
#else
extern obj_t REMQ___R4_PAIRS_AND_LISTS_6_3_181();
#endif
#if defined( __STDC__ )
extern obj_t __CADADR___R4_PAIRS_AND_LISTS_6_3_191(obj_t, obj_t);
#else
extern obj_t __CADADR___R4_PAIRS_AND_LISTS_6_3_191();
#endif
DEFINE_STRING( SET_CER__2___R4_PAIRS_AND_LISTS_6_3_177, "set-cer!", 8);
#if defined( __STDC__ )
extern obj_t __CDAAAR___R4_PAIRS_AND_LISTS_6_3_166(obj_t, obj_t);
#else
extern obj_t __CDAAAR___R4_PAIRS_AND_LISTS_6_3_166();
#endif
#if defined( __STDC__ )
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37(obj_t);
#else
extern obj_t REVERSE___R4_PAIRS_AND_LISTS_6_3_37();
#endif
obj_t SET_CAR__ENV___R4_PAIRS_AND_LISTS_6_3_24 = BUNSPEC;

static obj_t APPEND_LIST_283_234();
static obj_t CONS_1_343_67();

obj_t
#if defined( __STDC__ )
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208()
#else
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_PAIRS_AND_LISTS_6_3_96 ))
{
REQUIRE_INITIALISATION____R4_PAIRS_AND_LISTS_6_3_96=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_EQUIVALENCE_6_2_INITIALISATION___R4_EQUIVALENCE_6_2_64();
{
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION_ENV___R4_PAIRS_AND_LISTS_6_3_206=make_fx_procedure( ____R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_245, 0, 0 );
PAIR__ENV___R4_PAIRS_AND_LISTS_6_3_206=make_fx_procedure( __PAIR____R4_PAIRS_AND_LISTS_6_3_26, 1, 0 );
EPAIR__ENV___R4_PAIRS_AND_LISTS_6_3_202=make_fx_procedure( __EPAIR____R4_PAIRS_AND_LISTS_6_3_254, 1, 0 );
CONS_ENV___R4_PAIRS_AND_LISTS_6_3_133=make_fx_procedure( __CONS___R4_PAIRS_AND_LISTS_6_3_49, 2, 0 );
ECONS_ENV___R4_PAIRS_AND_LISTS_6_3_8=make_fx_procedure( __ECONS___R4_PAIRS_AND_LISTS_6_3_149, 3, 0 );
CAR_ENV___R4_PAIRS_AND_LISTS_6_3_78=make_fx_procedure( __CAR___R4_PAIRS_AND_LISTS_6_3_161, 1, 0 );
CDR_ENV___R4_PAIRS_AND_LISTS_6_3_37=make_fx_procedure( __CDR___R4_PAIRS_AND_LISTS_6_3_72, 1, 0 );
CER_ENV___R4_PAIRS_AND_LISTS_6_3_215=make_fx_procedure( __CER___R4_PAIRS_AND_LISTS_6_3_77, 1, 0 );
CAAR_ENV___R4_PAIRS_AND_LISTS_6_3_250=make_fx_procedure( __CAAR___R4_PAIRS_AND_LISTS_6_3_33, 1, 0 );
CADR_ENV___R4_PAIRS_AND_LISTS_6_3_176=make_fx_procedure( __CADR___R4_PAIRS_AND_LISTS_6_3_52, 1, 0 );
CDAR_ENV___R4_PAIRS_AND_LISTS_6_3_242=make_fx_procedure( __CDAR___R4_PAIRS_AND_LISTS_6_3_249, 1, 0 );
CDDR_ENV___R4_PAIRS_AND_LISTS_6_3_243=make_fx_procedure( __CDDR___R4_PAIRS_AND_LISTS_6_3_55, 1, 0 );
CAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_19=make_fx_procedure( __CAAAR___R4_PAIRS_AND_LISTS_6_3_101, 1, 0 );
CAADR_ENV___R4_PAIRS_AND_LISTS_6_3_180=make_fx_procedure( __CAADR___R4_PAIRS_AND_LISTS_6_3_82, 1, 0 );
CADAR_ENV___R4_PAIRS_AND_LISTS_6_3_203=make_fx_procedure( __CADAR___R4_PAIRS_AND_LISTS_6_3_42, 1, 0 );
CADDR_ENV___R4_PAIRS_AND_LISTS_6_3_16=make_fx_procedure( __CADDR___R4_PAIRS_AND_LISTS_6_3_147, 1, 0 );
CDAAR_ENV___R4_PAIRS_AND_LISTS_6_3_0=make_fx_procedure( __CDAAR___R4_PAIRS_AND_LISTS_6_3_254, 1, 0 );
CDDAR_ENV___R4_PAIRS_AND_LISTS_6_3_227=make_fx_procedure( __CDDAR___R4_PAIRS_AND_LISTS_6_3_53, 1, 0 );
CDADR_ENV___R4_PAIRS_AND_LISTS_6_3_106=make_fx_procedure( __CDADR___R4_PAIRS_AND_LISTS_6_3_194, 1, 0 );
CDDDR_ENV___R4_PAIRS_AND_LISTS_6_3_235=make_fx_procedure( __CDDDR___R4_PAIRS_AND_LISTS_6_3_235, 1, 0 );
CAAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_125=make_fx_procedure( __CAAAAR___R4_PAIRS_AND_LISTS_6_3_118, 1, 0 );
CAAADR_ENV___R4_PAIRS_AND_LISTS_6_3_45=make_fx_procedure( __CAAADR___R4_PAIRS_AND_LISTS_6_3_94, 1, 0 );
CAADAR_ENV___R4_PAIRS_AND_LISTS_6_3_59=make_fx_procedure( __CAADAR___R4_PAIRS_AND_LISTS_6_3_144, 1, 0 );
CADAAR_ENV___R4_PAIRS_AND_LISTS_6_3_167=make_fx_procedure( __CADAAR___R4_PAIRS_AND_LISTS_6_3_75, 1, 0 );
CDAAAR_ENV___R4_PAIRS_AND_LISTS_6_3_1=make_fx_procedure( __CDAAAR___R4_PAIRS_AND_LISTS_6_3_166, 1, 0 );
CAADDR_ENV___R4_PAIRS_AND_LISTS_6_3_117=make_fx_procedure( __CAADDR___R4_PAIRS_AND_LISTS_6_3_8, 1, 0 );
CADDAR_ENV___R4_PAIRS_AND_LISTS_6_3_239=make_fx_procedure( __CADDAR___R4_PAIRS_AND_LISTS_6_3_186, 1, 0 );
CADADR_ENV___R4_PAIRS_AND_LISTS_6_3_152=make_fx_procedure( __CADADR___R4_PAIRS_AND_LISTS_6_3_191, 1, 0 );
CADDDR_ENV___R4_PAIRS_AND_LISTS_6_3_175=make_fx_procedure( __CADDDR___R4_PAIRS_AND_LISTS_6_3_125, 1, 0 );
CDAADR_ENV___R4_PAIRS_AND_LISTS_6_3_206=make_fx_procedure( __CDAADR___R4_PAIRS_AND_LISTS_6_3_141, 1, 0 );
CDADDR_ENV___R4_PAIRS_AND_LISTS_6_3_100=make_fx_procedure( __CDADDR___R4_PAIRS_AND_LISTS_6_3_75, 1, 0 );
CDDAAR_ENV___R4_PAIRS_AND_LISTS_6_3_124=make_fx_procedure( __CDDAAR___R4_PAIRS_AND_LISTS_6_3_59, 1, 0 );
CDDADR_ENV___R4_PAIRS_AND_LISTS_6_3_75=make_fx_procedure( __CDDADR___R4_PAIRS_AND_LISTS_6_3_28, 1, 0 );
CDADAR_ENV___R4_PAIRS_AND_LISTS_6_3_54=make_fx_procedure( __CDADAR___R4_PAIRS_AND_LISTS_6_3_191, 1, 0 );
CDDDAR_ENV___R4_PAIRS_AND_LISTS_6_3_117=make_fx_procedure( __CDDDAR___R4_PAIRS_AND_LISTS_6_3_233, 1, 0 );
CDDDDR_ENV___R4_PAIRS_AND_LISTS_6_3_59=make_fx_procedure( __CDDDDR___R4_PAIRS_AND_LISTS_6_3_160, 1, 0 );
SET_CAR__ENV___R4_PAIRS_AND_LISTS_6_3_24=make_fx_procedure( __SET_CAR____R4_PAIRS_AND_LISTS_6_3_223, 2, 0 );
SET_CDR__ENV___R4_PAIRS_AND_LISTS_6_3_3=make_fx_procedure( __SET_CDR____R4_PAIRS_AND_LISTS_6_3_155, 2, 0 );
SET_CER__ENV___R4_PAIRS_AND_LISTS_6_3_108=make_fx_procedure( __SET_CER____R4_PAIRS_AND_LISTS_6_3_82, 2, 0 );
NULL__ENV___R4_PAIRS_AND_LISTS_6_3_196=make_fx_procedure( __NULL____R4_PAIRS_AND_LISTS_6_3_184, 1, 0 );
LIST_ENV___R4_PAIRS_AND_LISTS_6_3_74=make_va_procedure( __LIST___R4_PAIRS_AND_LISTS_6_3_4, -1, 0 );
LIST__ENV___R4_PAIRS_AND_LISTS_6_3_226=make_fx_procedure( __LIST____R4_PAIRS_AND_LISTS_6_3_109, 1, 0 );
APPEND_2_ENV___R4_PAIRS_AND_LISTS_6_3_123=make_fx_procedure( __APPEND_2___R4_PAIRS_AND_LISTS_6_3_8, 2, 0 );
APPEND_ENV___R4_PAIRS_AND_LISTS_6_3_105=make_va_procedure( __APPEND___R4_PAIRS_AND_LISTS_6_3_101, -1, 0 );
APPEND__ENV___R4_PAIRS_AND_LISTS_6_3_239=make_fx_procedure( __APPEND____R4_PAIRS_AND_LISTS_6_3_116, 2, 0 );
LENGTH_ENV___R4_PAIRS_AND_LISTS_6_3_190=make_fx_procedure( __LENGTH___R4_PAIRS_AND_LISTS_6_3_77, 1, 0 );
REVERSE_ENV___R4_PAIRS_AND_LISTS_6_3_187=make_fx_procedure( __REVERSE___R4_PAIRS_AND_LISTS_6_3_167, 1, 0 );
LIST_TAIL_ENV___R4_PAIRS_AND_LISTS_6_3_238=make_fx_procedure( __LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_42, 2, 0 );
LIST_REF_ENV___R4_PAIRS_AND_LISTS_6_3_136=make_fx_procedure( __LIST_REF___R4_PAIRS_AND_LISTS_6_3_13, 2, 0 );
LAST_PAIR_ENV___R4_PAIRS_AND_LISTS_6_3_145=make_fx_procedure( __LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_218, 1, 0 );
MEMQ_ENV___R4_PAIRS_AND_LISTS_6_3_168=make_fx_procedure( __MEMQ___R4_PAIRS_AND_LISTS_6_3_131, 2, 0 );
MEMV_ENV___R4_PAIRS_AND_LISTS_6_3_166=make_fx_procedure( __MEMV___R4_PAIRS_AND_LISTS_6_3_8, 2, 0 );
MEMBER_ENV___R4_PAIRS_AND_LISTS_6_3_77=make_fx_procedure( __MEMBER___R4_PAIRS_AND_LISTS_6_3_252, 2, 0 );
ASSQ_ENV___R4_PAIRS_AND_LISTS_6_3_108=make_fx_procedure( __ASSQ___R4_PAIRS_AND_LISTS_6_3_73, 2, 0 );
ASSV_ENV___R4_PAIRS_AND_LISTS_6_3_110=make_fx_procedure( __ASSV___R4_PAIRS_AND_LISTS_6_3_199, 2, 0 );
ASSOC_ENV___R4_PAIRS_AND_LISTS_6_3_209=make_fx_procedure( __ASSOC___R4_PAIRS_AND_LISTS_6_3_27, 2, 0 );
REMQ_ENV___R4_PAIRS_AND_LISTS_6_3_103=make_fx_procedure( __REMQ___R4_PAIRS_AND_LISTS_6_3_114, 2, 0 );
REMOVE_ENV___R4_PAIRS_AND_LISTS_6_3_254=make_fx_procedure( __REMOVE___R4_PAIRS_AND_LISTS_6_3_68, 2, 0 );
REMQ__ENV___R4_PAIRS_AND_LISTS_6_3_207=make_fx_procedure( __REMQ____R4_PAIRS_AND_LISTS_6_3_81, 2, 0 );
REMOVE__ENV___R4_PAIRS_AND_LISTS_6_3_149=make_fx_procedure( __REMOVE____R4_PAIRS_AND_LISTS_6_3_136, 2, 0 );
CONS__ENV___R4_PAIRS_AND_LISTS_6_3_26=make_va_procedure( __CONS____R4_PAIRS_AND_LISTS_6_3_16, -2, 0 );
REVERSE__ENV___R4_PAIRS_AND_LISTS_6_3_140=make_fx_procedure( __REVERSE____R4_PAIRS_AND_LISTS_6_3_108, 1, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_245(obj_t ENV_712_116)
#else
____R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_245( ENV_712_116 )
obj_t ENV_712_116;
#endif
{

return ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
}

obj_t
#if defined( __STDC__ )
PAIR____R4_PAIRS_AND_LISTS_6_3_208(obj_t OBJ_222_44)
#else
PAIR____R4_PAIRS_AND_LISTS_6_3_208( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( PAIRP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__PAIR____R4_PAIRS_AND_LISTS_6_3_26(obj_t ENV_711_35,obj_t OBJ_222_44)
#else
__PAIR____R4_PAIRS_AND_LISTS_6_3_26( ENV_711_35, OBJ_222_44 )
obj_t ENV_711_35, OBJ_222_44;
#endif
{

return PAIR____R4_PAIRS_AND_LISTS_6_3_208( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
EPAIR____R4_PAIRS_AND_LISTS_6_3_76(obj_t OBJ_223_38)
#else
EPAIR____R4_PAIRS_AND_LISTS_6_3_76( OBJ_223_38 )
obj_t OBJ_223_38;
#endif
{

{bool_t AUX_742_162;
AUX_742_162=EXTENDED_PAIRP( OBJ_223_38 );return CBOOL_TO_BBOOL( AUX_742_162 );}
}

obj_t
#if defined( __STDC__ )
__EPAIR____R4_PAIRS_AND_LISTS_6_3_254(obj_t ENV_710_206,obj_t OBJ_223_38)
#else
__EPAIR____R4_PAIRS_AND_LISTS_6_3_254( ENV_710_206, OBJ_223_38 )
obj_t ENV_710_206, OBJ_223_38;
#endif
{

return EPAIR____R4_PAIRS_AND_LISTS_6_3_76( OBJ_223_38 );
}

obj_t
#if defined( __STDC__ )
CONS___R4_PAIRS_AND_LISTS_6_3_48(obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
CONS___R4_PAIRS_AND_LISTS_6_3_48( OBJ1_224_171, OBJ2_225_204 )
obj_t OBJ1_224_171, OBJ2_225_204;
#endif
{

return MAKE_PAIR( OBJ1_224_171, OBJ2_225_204 );
}

obj_t
#if defined( __STDC__ )
__CONS___R4_PAIRS_AND_LISTS_6_3_49(obj_t ENV_709_43,obj_t OBJ1_224_171,obj_t OBJ2_225_204)
#else
__CONS___R4_PAIRS_AND_LISTS_6_3_49( ENV_709_43, OBJ1_224_171, OBJ2_225_204 )
obj_t ENV_709_43, OBJ1_224_171, OBJ2_225_204;
#endif
{

return CONS___R4_PAIRS_AND_LISTS_6_3_48( OBJ1_224_171, OBJ2_225_204 );
}

obj_t
#if defined( __STDC__ )
ECONS___R4_PAIRS_AND_LISTS_6_3_116(obj_t OBJ1_226_11,obj_t OBJ2_227_43,obj_t OBJ3_228_224)
#else
ECONS___R4_PAIRS_AND_LISTS_6_3_116( OBJ1_226_11, OBJ2_227_43, OBJ3_228_224 )
obj_t OBJ1_226_11, OBJ2_227_43, OBJ3_228_224;
#endif
{

return MAKE_EXTENDED_PAIR( OBJ1_226_11, OBJ2_227_43, OBJ3_228_224 );
}

obj_t
#if defined( __STDC__ )
__ECONS___R4_PAIRS_AND_LISTS_6_3_149(obj_t ENV_708_196,obj_t OBJ1_226_11,obj_t OBJ2_227_43,obj_t OBJ3_228_224)
#else
__ECONS___R4_PAIRS_AND_LISTS_6_3_149( ENV_708_196, OBJ1_226_11, OBJ2_227_43, OBJ3_228_224 )
obj_t ENV_708_196, OBJ1_226_11, OBJ2_227_43, OBJ3_228_224;
#endif
{

return ECONS___R4_PAIRS_AND_LISTS_6_3_116( OBJ1_226_11, OBJ2_227_43, OBJ3_228_224 );
}

obj_t
#if defined( __STDC__ )
CAR___R4_PAIRS_AND_LISTS_6_3_73(obj_t PAIR_229_224)
#else
CAR___R4_PAIRS_AND_LISTS_6_3_73( PAIR_229_224 )
obj_t PAIR_229_224;
#endif
{

return CAR( PAIR_229_224 );
}

obj_t
#if defined( __STDC__ )
__CAR___R4_PAIRS_AND_LISTS_6_3_161(obj_t ENV_707_226,obj_t PAIR_229_224)
#else
__CAR___R4_PAIRS_AND_LISTS_6_3_161( ENV_707_226, PAIR_229_224 )
obj_t ENV_707_226, PAIR_229_224;
#endif
{

return CAR___R4_PAIRS_AND_LISTS_6_3_73( PAIR_229_224 );
}

obj_t
#if defined( __STDC__ )
CDR___R4_PAIRS_AND_LISTS_6_3_218(obj_t PAIR_230_251)
#else
CDR___R4_PAIRS_AND_LISTS_6_3_218( PAIR_230_251 )
obj_t PAIR_230_251;
#endif
{

return CDR( PAIR_230_251 );
}

obj_t
#if defined( __STDC__ )
__CDR___R4_PAIRS_AND_LISTS_6_3_72(obj_t ENV_706_84,obj_t PAIR_230_251)
#else
__CDR___R4_PAIRS_AND_LISTS_6_3_72( ENV_706_84, PAIR_230_251 )
obj_t ENV_706_84, PAIR_230_251;
#endif
{

return CDR___R4_PAIRS_AND_LISTS_6_3_218( PAIR_230_251 );
}

obj_t
#if defined( __STDC__ )
CER___R4_PAIRS_AND_LISTS_6_3_220(obj_t OBJ_231_186)
#else
CER___R4_PAIRS_AND_LISTS_6_3_220( OBJ_231_186 )
obj_t OBJ_231_186;
#endif
{

if( EXTENDED_PAIRP( OBJ_231_186 ))
return CER( OBJ_231_186 );else
FAILURE( BREF( &CER_0___R4_PAIRS_AND_LISTS_6_3_25), BREF( &TYPE__EX_1___R4_PAIRS_AND_LISTS_6_3_23), OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
__CER___R4_PAIRS_AND_LISTS_6_3_77(obj_t ENV_705_214,obj_t OBJ_231_186)
#else
__CER___R4_PAIRS_AND_LISTS_6_3_77( ENV_705_214, OBJ_231_186 )
obj_t ENV_705_214, OBJ_231_186;
#endif
{

return CER___R4_PAIRS_AND_LISTS_6_3_220( OBJ_231_186 );
}

obj_t
#if defined( __STDC__ )
CAAR___R4_PAIRS_AND_LISTS_6_3_16(obj_t PAIR_232_225)
#else
CAAR___R4_PAIRS_AND_LISTS_6_3_16( PAIR_232_225 )
obj_t PAIR_232_225;
#endif
{

return CAR( CAR( PAIR_232_225 ) );
}

obj_t
#if defined( __STDC__ )
__CAAR___R4_PAIRS_AND_LISTS_6_3_33(obj_t ENV_704_18,obj_t PAIR_232_225)
#else
__CAAR___R4_PAIRS_AND_LISTS_6_3_33( ENV_704_18, PAIR_232_225 )
obj_t ENV_704_18, PAIR_232_225;
#endif
{

return CAAR___R4_PAIRS_AND_LISTS_6_3_16( PAIR_232_225 );
}

obj_t
#if defined( __STDC__ )
CADR___R4_PAIRS_AND_LISTS_6_3_62(obj_t PAIR_233_207)
#else
CADR___R4_PAIRS_AND_LISTS_6_3_62( PAIR_233_207 )
obj_t PAIR_233_207;
#endif
{

return CAR( CDR( PAIR_233_207 ) );
}

obj_t
#if defined( __STDC__ )
__CADR___R4_PAIRS_AND_LISTS_6_3_52(obj_t ENV_703_187,obj_t PAIR_233_207)
#else
__CADR___R4_PAIRS_AND_LISTS_6_3_52( ENV_703_187, PAIR_233_207 )
obj_t ENV_703_187, PAIR_233_207;
#endif
{

return CADR___R4_PAIRS_AND_LISTS_6_3_62( PAIR_233_207 );
}

obj_t
#if defined( __STDC__ )
CDAR___R4_PAIRS_AND_LISTS_6_3_113(obj_t PAIR_234_21)
#else
CDAR___R4_PAIRS_AND_LISTS_6_3_113( PAIR_234_21 )
obj_t PAIR_234_21;
#endif
{

return CDR( CAR( PAIR_234_21 ) );
}

obj_t
#if defined( __STDC__ )
__CDAR___R4_PAIRS_AND_LISTS_6_3_249(obj_t ENV_702_199,obj_t PAIR_234_21)
#else
__CDAR___R4_PAIRS_AND_LISTS_6_3_249( ENV_702_199, PAIR_234_21 )
obj_t ENV_702_199, PAIR_234_21;
#endif
{

return CDAR___R4_PAIRS_AND_LISTS_6_3_113( PAIR_234_21 );
}

obj_t
#if defined( __STDC__ )
CDDR___R4_PAIRS_AND_LISTS_6_3_200(obj_t PAIR_235_98)
#else
CDDR___R4_PAIRS_AND_LISTS_6_3_200( PAIR_235_98 )
obj_t PAIR_235_98;
#endif
{

return CDR( CDR( PAIR_235_98 ) );
}

obj_t
#if defined( __STDC__ )
__CDDR___R4_PAIRS_AND_LISTS_6_3_55(obj_t ENV_701_32,obj_t PAIR_235_98)
#else
__CDDR___R4_PAIRS_AND_LISTS_6_3_55( ENV_701_32, PAIR_235_98 )
obj_t ENV_701_32, PAIR_235_98;
#endif
{

return CDDR___R4_PAIRS_AND_LISTS_6_3_200( PAIR_235_98 );
}

obj_t
#if defined( __STDC__ )
CAAAR___R4_PAIRS_AND_LISTS_6_3_162(obj_t PAIR_236_113)
#else
CAAAR___R4_PAIRS_AND_LISTS_6_3_162( PAIR_236_113 )
obj_t PAIR_236_113;
#endif
{

return CAR( CAR( CAR( PAIR_236_113 ) ) );
}

obj_t
#if defined( __STDC__ )
__CAAAR___R4_PAIRS_AND_LISTS_6_3_101(obj_t ENV_700_13,obj_t PAIR_236_113)
#else
__CAAAR___R4_PAIRS_AND_LISTS_6_3_101( ENV_700_13, PAIR_236_113 )
obj_t ENV_700_13, PAIR_236_113;
#endif
{

return CAAAR___R4_PAIRS_AND_LISTS_6_3_162( PAIR_236_113 );
}

obj_t
#if defined( __STDC__ )
CAADR___R4_PAIRS_AND_LISTS_6_3_121(obj_t PAIR_237_112)
#else
CAADR___R4_PAIRS_AND_LISTS_6_3_121( PAIR_237_112 )
obj_t PAIR_237_112;
#endif
{

return CAR( CAR( CDR( PAIR_237_112 ) ) );
}

obj_t
#if defined( __STDC__ )
__CAADR___R4_PAIRS_AND_LISTS_6_3_82(obj_t ENV_699_161,obj_t PAIR_237_112)
#else
__CAADR___R4_PAIRS_AND_LISTS_6_3_82( ENV_699_161, PAIR_237_112 )
obj_t ENV_699_161, PAIR_237_112;
#endif
{

return CAADR___R4_PAIRS_AND_LISTS_6_3_121( PAIR_237_112 );
}

obj_t
#if defined( __STDC__ )
CADAR___R4_PAIRS_AND_LISTS_6_3_174(obj_t PAIR_238_6)
#else
CADAR___R4_PAIRS_AND_LISTS_6_3_174( PAIR_238_6 )
obj_t PAIR_238_6;
#endif
{

return CAR( CDR( CAR( PAIR_238_6 ) ) );
}

obj_t
#if defined( __STDC__ )
__CADAR___R4_PAIRS_AND_LISTS_6_3_42(obj_t ENV_698_176,obj_t PAIR_238_6)
#else
__CADAR___R4_PAIRS_AND_LISTS_6_3_42( ENV_698_176, PAIR_238_6 )
obj_t ENV_698_176, PAIR_238_6;
#endif
{

return CADAR___R4_PAIRS_AND_LISTS_6_3_174( PAIR_238_6 );
}

obj_t
#if defined( __STDC__ )
CADDR___R4_PAIRS_AND_LISTS_6_3_246(obj_t PAIR_239_24)
#else
CADDR___R4_PAIRS_AND_LISTS_6_3_246( PAIR_239_24 )
obj_t PAIR_239_24;
#endif
{

return CAR( CDR( CDR( PAIR_239_24 ) ) );
}

obj_t
#if defined( __STDC__ )
__CADDR___R4_PAIRS_AND_LISTS_6_3_147(obj_t ENV_697_254,obj_t PAIR_239_24)
#else
__CADDR___R4_PAIRS_AND_LISTS_6_3_147( ENV_697_254, PAIR_239_24 )
obj_t ENV_697_254, PAIR_239_24;
#endif
{

return CADDR___R4_PAIRS_AND_LISTS_6_3_246( PAIR_239_24 );
}

obj_t
#if defined( __STDC__ )
CDAAR___R4_PAIRS_AND_LISTS_6_3_128(obj_t PAIR_240_38)
#else
CDAAR___R4_PAIRS_AND_LISTS_6_3_128( PAIR_240_38 )
obj_t PAIR_240_38;
#endif
{

return CDR( CAR( CAR( PAIR_240_38 ) ) );
}

obj_t
#if defined( __STDC__ )
__CDAAR___R4_PAIRS_AND_LISTS_6_3_254(obj_t ENV_696_41,obj_t PAIR_240_38)
#else
__CDAAR___R4_PAIRS_AND_LISTS_6_3_254( ENV_696_41, PAIR_240_38 )
obj_t ENV_696_41, PAIR_240_38;
#endif
{

return CDAAR___R4_PAIRS_AND_LISTS_6_3_128( PAIR_240_38 );
}

obj_t
#if defined( __STDC__ )
CDDAR___R4_PAIRS_AND_LISTS_6_3_44(obj_t PAIR_241_44)
#else
CDDAR___R4_PAIRS_AND_LISTS_6_3_44( PAIR_241_44 )
obj_t PAIR_241_44;
#endif
{

return CDR( CDR( CAR( PAIR_241_44 ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDAR___R4_PAIRS_AND_LISTS_6_3_53(obj_t ENV_695_198,obj_t PAIR_241_44)
#else
__CDDAR___R4_PAIRS_AND_LISTS_6_3_53( ENV_695_198, PAIR_241_44 )
obj_t ENV_695_198, PAIR_241_44;
#endif
{

return CDDAR___R4_PAIRS_AND_LISTS_6_3_44( PAIR_241_44 );
}

obj_t
#if defined( __STDC__ )
CDADR___R4_PAIRS_AND_LISTS_6_3_240(obj_t PAIR_242_149)
#else
CDADR___R4_PAIRS_AND_LISTS_6_3_240( PAIR_242_149 )
obj_t PAIR_242_149;
#endif
{

return CDR( CAR( CDR( PAIR_242_149 ) ) );
}

obj_t
#if defined( __STDC__ )
__CDADR___R4_PAIRS_AND_LISTS_6_3_194(obj_t ENV_694_168,obj_t PAIR_242_149)
#else
__CDADR___R4_PAIRS_AND_LISTS_6_3_194( ENV_694_168, PAIR_242_149 )
obj_t ENV_694_168, PAIR_242_149;
#endif
{

return CDADR___R4_PAIRS_AND_LISTS_6_3_240( PAIR_242_149 );
}

obj_t
#if defined( __STDC__ )
CDDDR___R4_PAIRS_AND_LISTS_6_3_205(obj_t PAIR_243_31)
#else
CDDDR___R4_PAIRS_AND_LISTS_6_3_205( PAIR_243_31 )
obj_t PAIR_243_31;
#endif
{

return CDR( CDR( CDR( PAIR_243_31 ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDDR___R4_PAIRS_AND_LISTS_6_3_235(obj_t ENV_693_46,obj_t PAIR_243_31)
#else
__CDDDR___R4_PAIRS_AND_LISTS_6_3_235( ENV_693_46, PAIR_243_31 )
obj_t ENV_693_46, PAIR_243_31;
#endif
{

return CDDDR___R4_PAIRS_AND_LISTS_6_3_205( PAIR_243_31 );
}

obj_t
#if defined( __STDC__ )
CAAAAR___R4_PAIRS_AND_LISTS_6_3_234(obj_t PAIR_244_0)
#else
CAAAAR___R4_PAIRS_AND_LISTS_6_3_234( PAIR_244_0 )
obj_t PAIR_244_0;
#endif
{

return CAR( CAR( CAR( CAR( PAIR_244_0 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CAAAAR___R4_PAIRS_AND_LISTS_6_3_118(obj_t ENV_692_79,obj_t PAIR_244_0)
#else
__CAAAAR___R4_PAIRS_AND_LISTS_6_3_118( ENV_692_79, PAIR_244_0 )
obj_t ENV_692_79, PAIR_244_0;
#endif
{

return CAAAAR___R4_PAIRS_AND_LISTS_6_3_234( PAIR_244_0 );
}

obj_t
#if defined( __STDC__ )
CAAADR___R4_PAIRS_AND_LISTS_6_3_145(obj_t PAIR_245_135)
#else
CAAADR___R4_PAIRS_AND_LISTS_6_3_145( PAIR_245_135 )
obj_t PAIR_245_135;
#endif
{

return CAR( CAR( CAR( CDR( PAIR_245_135 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CAAADR___R4_PAIRS_AND_LISTS_6_3_94(obj_t ENV_691_241,obj_t PAIR_245_135)
#else
__CAAADR___R4_PAIRS_AND_LISTS_6_3_94( ENV_691_241, PAIR_245_135 )
obj_t ENV_691_241, PAIR_245_135;
#endif
{

return CAAADR___R4_PAIRS_AND_LISTS_6_3_145( PAIR_245_135 );
}

obj_t
#if defined( __STDC__ )
CAADAR___R4_PAIRS_AND_LISTS_6_3_142(obj_t PAIR_246_52)
#else
CAADAR___R4_PAIRS_AND_LISTS_6_3_142( PAIR_246_52 )
obj_t PAIR_246_52;
#endif
{

return CAR( CAR( CDR( CAR( PAIR_246_52 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CAADAR___R4_PAIRS_AND_LISTS_6_3_144(obj_t ENV_690_156,obj_t PAIR_246_52)
#else
__CAADAR___R4_PAIRS_AND_LISTS_6_3_144( ENV_690_156, PAIR_246_52 )
obj_t ENV_690_156, PAIR_246_52;
#endif
{

return CAADAR___R4_PAIRS_AND_LISTS_6_3_142( PAIR_246_52 );
}

obj_t
#if defined( __STDC__ )
CADAAR___R4_PAIRS_AND_LISTS_6_3_203(obj_t PAIR_247_216)
#else
CADAAR___R4_PAIRS_AND_LISTS_6_3_203( PAIR_247_216 )
obj_t PAIR_247_216;
#endif
{

return CAR( CDR( CAR( CAR( PAIR_247_216 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CADAAR___R4_PAIRS_AND_LISTS_6_3_75(obj_t ENV_689_63,obj_t PAIR_247_216)
#else
__CADAAR___R4_PAIRS_AND_LISTS_6_3_75( ENV_689_63, PAIR_247_216 )
obj_t ENV_689_63, PAIR_247_216;
#endif
{

return CADAAR___R4_PAIRS_AND_LISTS_6_3_203( PAIR_247_216 );
}

obj_t
#if defined( __STDC__ )
CDAAAR___R4_PAIRS_AND_LISTS_6_3_151(obj_t PAIR_248_23)
#else
CDAAAR___R4_PAIRS_AND_LISTS_6_3_151( PAIR_248_23 )
obj_t PAIR_248_23;
#endif
{

return CDR( CAR( CAR( CAR( PAIR_248_23 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDAAAR___R4_PAIRS_AND_LISTS_6_3_166(obj_t ENV_688_23,obj_t PAIR_248_23)
#else
__CDAAAR___R4_PAIRS_AND_LISTS_6_3_166( ENV_688_23, PAIR_248_23 )
obj_t ENV_688_23, PAIR_248_23;
#endif
{

return CDAAAR___R4_PAIRS_AND_LISTS_6_3_151( PAIR_248_23 );
}

obj_t
#if defined( __STDC__ )
CAADDR___R4_PAIRS_AND_LISTS_6_3_196(obj_t PAIR_249_63)
#else
CAADDR___R4_PAIRS_AND_LISTS_6_3_196( PAIR_249_63 )
obj_t PAIR_249_63;
#endif
{

return CAR( CAR( CDR( CDR( PAIR_249_63 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CAADDR___R4_PAIRS_AND_LISTS_6_3_8(obj_t ENV_687_216,obj_t PAIR_249_63)
#else
__CAADDR___R4_PAIRS_AND_LISTS_6_3_8( ENV_687_216, PAIR_249_63 )
obj_t ENV_687_216, PAIR_249_63;
#endif
{

return CAADDR___R4_PAIRS_AND_LISTS_6_3_196( PAIR_249_63 );
}

obj_t
#if defined( __STDC__ )
CADDAR___R4_PAIRS_AND_LISTS_6_3_206(obj_t PAIR_250_156)
#else
CADDAR___R4_PAIRS_AND_LISTS_6_3_206( PAIR_250_156 )
obj_t PAIR_250_156;
#endif
{

return CAR( CDR( CDR( CAR( PAIR_250_156 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CADDAR___R4_PAIRS_AND_LISTS_6_3_186(obj_t ENV_686_52,obj_t PAIR_250_156)
#else
__CADDAR___R4_PAIRS_AND_LISTS_6_3_186( ENV_686_52, PAIR_250_156 )
obj_t ENV_686_52, PAIR_250_156;
#endif
{

return CADDAR___R4_PAIRS_AND_LISTS_6_3_206( PAIR_250_156 );
}

obj_t
#if defined( __STDC__ )
CADADR___R4_PAIRS_AND_LISTS_6_3_252(obj_t PAIR_251_241)
#else
CADADR___R4_PAIRS_AND_LISTS_6_3_252( PAIR_251_241 )
obj_t PAIR_251_241;
#endif
{

return CAR( CDR( CAR( CDR( PAIR_251_241 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CADADR___R4_PAIRS_AND_LISTS_6_3_191(obj_t ENV_685_135,obj_t PAIR_251_241)
#else
__CADADR___R4_PAIRS_AND_LISTS_6_3_191( ENV_685_135, PAIR_251_241 )
obj_t ENV_685_135, PAIR_251_241;
#endif
{

return CADADR___R4_PAIRS_AND_LISTS_6_3_252( PAIR_251_241 );
}

obj_t
#if defined( __STDC__ )
CADDDR___R4_PAIRS_AND_LISTS_6_3_0(obj_t PAIR_252_79)
#else
CADDDR___R4_PAIRS_AND_LISTS_6_3_0( PAIR_252_79 )
obj_t PAIR_252_79;
#endif
{

return CAR( CDR( CDR( CDR( PAIR_252_79 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CADDDR___R4_PAIRS_AND_LISTS_6_3_125(obj_t ENV_684_0,obj_t PAIR_252_79)
#else
__CADDDR___R4_PAIRS_AND_LISTS_6_3_125( ENV_684_0, PAIR_252_79 )
obj_t ENV_684_0, PAIR_252_79;
#endif
{

return CADDDR___R4_PAIRS_AND_LISTS_6_3_0( PAIR_252_79 );
}

obj_t
#if defined( __STDC__ )
CDAADR___R4_PAIRS_AND_LISTS_6_3_208(obj_t PAIR_253_46)
#else
CDAADR___R4_PAIRS_AND_LISTS_6_3_208( PAIR_253_46 )
obj_t PAIR_253_46;
#endif
{

return CDR( CAR( CAR( CDR( PAIR_253_46 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDAADR___R4_PAIRS_AND_LISTS_6_3_141(obj_t ENV_683_31,obj_t PAIR_253_46)
#else
__CDAADR___R4_PAIRS_AND_LISTS_6_3_141( ENV_683_31, PAIR_253_46 )
obj_t ENV_683_31, PAIR_253_46;
#endif
{

return CDAADR___R4_PAIRS_AND_LISTS_6_3_208( PAIR_253_46 );
}

obj_t
#if defined( __STDC__ )
CDADDR___R4_PAIRS_AND_LISTS_6_3_251(obj_t PAIR_254_168)
#else
CDADDR___R4_PAIRS_AND_LISTS_6_3_251( PAIR_254_168 )
obj_t PAIR_254_168;
#endif
{

return CDR( CAR( CDR( CDR( PAIR_254_168 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDADDR___R4_PAIRS_AND_LISTS_6_3_75(obj_t ENV_682_149,obj_t PAIR_254_168)
#else
__CDADDR___R4_PAIRS_AND_LISTS_6_3_75( ENV_682_149, PAIR_254_168 )
obj_t ENV_682_149, PAIR_254_168;
#endif
{

return CDADDR___R4_PAIRS_AND_LISTS_6_3_251( PAIR_254_168 );
}

obj_t
#if defined( __STDC__ )
CDDAAR___R4_PAIRS_AND_LISTS_6_3_86(obj_t PAIR_255_198)
#else
CDDAAR___R4_PAIRS_AND_LISTS_6_3_86( PAIR_255_198 )
obj_t PAIR_255_198;
#endif
{

return CDR( CDR( CAR( CAR( PAIR_255_198 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDAAR___R4_PAIRS_AND_LISTS_6_3_59(obj_t ENV_681_44,obj_t PAIR_255_198)
#else
__CDDAAR___R4_PAIRS_AND_LISTS_6_3_59( ENV_681_44, PAIR_255_198 )
obj_t ENV_681_44, PAIR_255_198;
#endif
{

return CDDAAR___R4_PAIRS_AND_LISTS_6_3_86( PAIR_255_198 );
}

obj_t
#if defined( __STDC__ )
CDDADR___R4_PAIRS_AND_LISTS_6_3_127(obj_t PAIR_256_41)
#else
CDDADR___R4_PAIRS_AND_LISTS_6_3_127( PAIR_256_41 )
obj_t PAIR_256_41;
#endif
{

return CDR( CDR( CAR( CDR( PAIR_256_41 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDADR___R4_PAIRS_AND_LISTS_6_3_28(obj_t ENV_680_38,obj_t PAIR_256_41)
#else
__CDDADR___R4_PAIRS_AND_LISTS_6_3_28( ENV_680_38, PAIR_256_41 )
obj_t ENV_680_38, PAIR_256_41;
#endif
{

return CDDADR___R4_PAIRS_AND_LISTS_6_3_127( PAIR_256_41 );
}

obj_t
#if defined( __STDC__ )
CDADAR___R4_PAIRS_AND_LISTS_6_3_115(obj_t PAIR_257_254)
#else
CDADAR___R4_PAIRS_AND_LISTS_6_3_115( PAIR_257_254 )
obj_t PAIR_257_254;
#endif
{

return CDR( CAR( CDR( CAR( PAIR_257_254 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDADAR___R4_PAIRS_AND_LISTS_6_3_191(obj_t ENV_679_137,obj_t PAIR_257_254)
#else
__CDADAR___R4_PAIRS_AND_LISTS_6_3_191( ENV_679_137, PAIR_257_254 )
obj_t ENV_679_137, PAIR_257_254;
#endif
{

return CDADAR___R4_PAIRS_AND_LISTS_6_3_115( PAIR_257_254 );
}

obj_t
#if defined( __STDC__ )
CDDDAR___R4_PAIRS_AND_LISTS_6_3_196(obj_t PAIR_258_176)
#else
CDDDAR___R4_PAIRS_AND_LISTS_6_3_196( PAIR_258_176 )
obj_t PAIR_258_176;
#endif
{

return CDR( CDR( CDR( CAR( PAIR_258_176 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDDAR___R4_PAIRS_AND_LISTS_6_3_233(obj_t ENV_678_228,obj_t PAIR_258_176)
#else
__CDDDAR___R4_PAIRS_AND_LISTS_6_3_233( ENV_678_228, PAIR_258_176 )
obj_t ENV_678_228, PAIR_258_176;
#endif
{

return CDDDAR___R4_PAIRS_AND_LISTS_6_3_196( PAIR_258_176 );
}

obj_t
#if defined( __STDC__ )
CDDDDR___R4_PAIRS_AND_LISTS_6_3_142(obj_t PAIR_259_161)
#else
CDDDDR___R4_PAIRS_AND_LISTS_6_3_142( PAIR_259_161 )
obj_t PAIR_259_161;
#endif
{

return CDR( CDR( CDR( CDR( PAIR_259_161 ) ) ) );
}

obj_t
#if defined( __STDC__ )
__CDDDDR___R4_PAIRS_AND_LISTS_6_3_160(obj_t ENV_677_5,obj_t PAIR_259_161)
#else
__CDDDDR___R4_PAIRS_AND_LISTS_6_3_160( ENV_677_5, PAIR_259_161 )
obj_t ENV_677_5, PAIR_259_161;
#endif
{

return CDDDDR___R4_PAIRS_AND_LISTS_6_3_142( PAIR_259_161 );
}

obj_t
#if defined( __STDC__ )
SET_CAR____R4_PAIRS_AND_LISTS_6_3_11(obj_t PAIR_260_4,obj_t OBJ_261_172)
#else
SET_CAR____R4_PAIRS_AND_LISTS_6_3_11( PAIR_260_4, OBJ_261_172 )
obj_t PAIR_260_4, OBJ_261_172;
#endif
{

return SET_CAR( PAIR_260_4, OBJ_261_172 );
}

obj_t
#if defined( __STDC__ )
__SET_CAR____R4_PAIRS_AND_LISTS_6_3_223(obj_t ENV_676_171,obj_t PAIR_260_4,obj_t OBJ_261_172)
#else
__SET_CAR____R4_PAIRS_AND_LISTS_6_3_223( ENV_676_171, PAIR_260_4, OBJ_261_172 )
obj_t ENV_676_171, PAIR_260_4, OBJ_261_172;
#endif
{

return SET_CAR____R4_PAIRS_AND_LISTS_6_3_11( PAIR_260_4, OBJ_261_172 );
}

obj_t
#if defined( __STDC__ )
SET_CDR____R4_PAIRS_AND_LISTS_6_3_54(obj_t PAIR_262_8,obj_t OBJ_263_124)
#else
SET_CDR____R4_PAIRS_AND_LISTS_6_3_54( PAIR_262_8, OBJ_263_124 )
obj_t PAIR_262_8, OBJ_263_124;
#endif
{

return SET_CDR( PAIR_262_8, OBJ_263_124 );
}

obj_t
#if defined( __STDC__ )
__SET_CDR____R4_PAIRS_AND_LISTS_6_3_155(obj_t ENV_675_126,obj_t PAIR_262_8,obj_t OBJ_263_124)
#else
__SET_CDR____R4_PAIRS_AND_LISTS_6_3_155( ENV_675_126, PAIR_262_8, OBJ_263_124 )
obj_t ENV_675_126, PAIR_262_8, OBJ_263_124;
#endif
{

return SET_CDR____R4_PAIRS_AND_LISTS_6_3_54( PAIR_262_8, OBJ_263_124 );
}

obj_t
#if defined( __STDC__ )
SET_CER____R4_PAIRS_AND_LISTS_6_3_184(obj_t EPAIR_264_75,obj_t OBJ_265_238)
#else
SET_CER____R4_PAIRS_AND_LISTS_6_3_184( EPAIR_264_75, OBJ_265_238 )
obj_t EPAIR_264_75, OBJ_265_238;
#endif
{

if( EXTENDED_PAIRP( EPAIR_264_75 ))
return SET_CER( EPAIR_264_75, OBJ_265_238 );else
FAILURE( BREF( &SET_CER__2___R4_PAIRS_AND_LISTS_6_3_177), BREF( &TYPE__EX_3___R4_PAIRS_AND_LISTS_6_3_98), EPAIR_264_75 );
}

obj_t
#if defined( __STDC__ )
__SET_CER____R4_PAIRS_AND_LISTS_6_3_82(obj_t ENV_674_11,obj_t EPAIR_264_75,obj_t OBJ_265_238)
#else
__SET_CER____R4_PAIRS_AND_LISTS_6_3_82( ENV_674_11, EPAIR_264_75, OBJ_265_238 )
obj_t ENV_674_11, EPAIR_264_75, OBJ_265_238;
#endif
{

return SET_CER____R4_PAIRS_AND_LISTS_6_3_184( EPAIR_264_75, OBJ_265_238 );
}

obj_t
#if defined( __STDC__ )
NULL____R4_PAIRS_AND_LISTS_6_3_233(obj_t OBJ_266_167)
#else
NULL____R4_PAIRS_AND_LISTS_6_3_233( OBJ_266_167 )
obj_t OBJ_266_167;
#endif
{

return CBOOL_TO_BBOOL( NULLP( OBJ_266_167 ) );
}

obj_t
#if defined( __STDC__ )
__NULL____R4_PAIRS_AND_LISTS_6_3_184(obj_t ENV_673_193,obj_t OBJ_266_167)
#else
__NULL____R4_PAIRS_AND_LISTS_6_3_184( ENV_673_193, OBJ_266_167 )
obj_t ENV_673_193, OBJ_266_167;
#endif
{

return NULL____R4_PAIRS_AND_LISTS_6_3_233( OBJ_266_167 );
}

obj_t
#if defined( __STDC__ )
LIST___R4_PAIRS_AND_LISTS_6_3_66(obj_t L_267_95)
#else
LIST___R4_PAIRS_AND_LISTS_6_3_66( L_267_95 )
obj_t L_267_95;
#endif
{

return L_267_95;
}

obj_t
#if defined( __STDC__ )
__LIST___R4_PAIRS_AND_LISTS_6_3_4(obj_t ENV_672_239,obj_t L_267_95)
#else
__LIST___R4_PAIRS_AND_LISTS_6_3_4( ENV_672_239, L_267_95 )
obj_t ENV_672_239, L_267_95;
#endif
{

return LIST___R4_PAIRS_AND_LISTS_6_3_66( L_267_95 );
}

obj_t
#if defined( __STDC__ )
LIST____R4_PAIRS_AND_LISTS_6_3_14(obj_t X_268_80)
#else
LIST____R4_PAIRS_AND_LISTS_6_3_14( X_268_80 )
obj_t X_268_80;
#endif
{

{obj_t X_271_108, PREV_272_71, X_273_232, PREV_274_90;
if( NULLP( X_268_80 ))
return BTRUE;else
if( PAIRP( X_268_80 ))
{
PREV_272_71=X_268_80;
X_271_108=CDR( X_268_80 );
{_L1_269_85:

if( NULLP( X_271_108 ))
return BTRUE;else
if( PAIRP( X_271_108 ))
if( EQP( X_271_108, PREV_272_71 ))
return BFALSE;else
{
PREV_274_90=PREV_272_71;
X_273_232=CDR( X_271_108 );
{
if( NULLP( X_273_232 ))
return BTRUE;else
if( PAIRP( X_273_232 ))
if( EQP( X_273_232, PREV_274_90 ))
return BFALSE;else
{
PREV_272_71=CDR( PREV_274_90 );
X_271_108=CDR( X_273_232 );
goto _L1_269_85;
}else
return BFALSE;}
}else
return BFALSE;}
}else
return BFALSE;}
}

obj_t
#if defined( __STDC__ )
__LIST____R4_PAIRS_AND_LISTS_6_3_109(obj_t ENV_671_101,obj_t X_268_80)
#else
__LIST____R4_PAIRS_AND_LISTS_6_3_109( ENV_671_101, X_268_80 )
obj_t ENV_671_101, X_268_80;
#endif
{

return LIST____R4_PAIRS_AND_LISTS_6_3_14( X_268_80 );
}

obj_t
#if defined( __STDC__ )
APPEND_2___R4_PAIRS_AND_LISTS_6_3_226(obj_t L1_275_134,obj_t L2_276_46)
#else
APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( L1_275_134, L2_276_46 )
obj_t L1_275_134, L2_276_46;
#endif
{

{obj_t HEAD_277_86;
{obj_t OBJ1_526_173;
OBJ1_526_173=BNIL;HEAD_277_86=MAKE_PAIR( OBJ1_526_173, L2_276_46 );}{obj_t PREV_279_111, TAIL_280_139;
{
{
TAIL_280_139=L1_275_134;
PREV_279_111=HEAD_277_86;
{_LOOP_278_119:

if( NULLP( TAIL_280_139 ))
BNIL;else
{obj_t NEW_PREV_281_75;
{obj_t OBJ1_528_234;
OBJ1_528_234=CAR( TAIL_280_139 );NEW_PREV_281_75=MAKE_PAIR( OBJ1_528_234, L2_276_46 );}{
SET_CDR( PREV_279_111, NEW_PREV_281_75 );
{obj_t C_CDR_531_165;
C_CDR_531_165=CDR( TAIL_280_139 );{
TAIL_280_139=C_CDR_531_165;
PREV_279_111=NEW_PREV_281_75;
goto _LOOP_278_119;
}}
}}}
}
return CDR( HEAD_277_86 );
}}}
}

obj_t
#if defined( __STDC__ )
__APPEND_2___R4_PAIRS_AND_LISTS_6_3_8(obj_t ENV_670_242,obj_t L1_275_134,obj_t L2_276_46)
#else
__APPEND_2___R4_PAIRS_AND_LISTS_6_3_8( ENV_670_242, L1_275_134, L2_276_46 )
obj_t ENV_670_242, L1_275_134, L2_276_46;
#endif
{

return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( L1_275_134, L2_276_46 );
}

obj_t
#if defined( __STDC__ )
APPEND___R4_PAIRS_AND_LISTS_6_3_111(obj_t L_282_247)
#else
APPEND___R4_PAIRS_AND_LISTS_6_3_111( L_282_247 )
obj_t L_282_247;
#endif
{

return APPEND_LIST_283_234( L_282_247 );
}

static obj_t
#if defined( __STDC__ )
APPEND_LIST_283_234(obj_t L_284_224)
#else
APPEND_LIST_283_234( L_284_224 )
obj_t L_284_224;
#endif
{

{long LEN_713_17;
{obj_t AUX_739_253;
{obj_t L_534_40, RES_535_217;
{
RES_535_217=BINT( 0 );
L_534_40=L_284_224;
{_LOOP_533_192:

if( NULLP( L_534_40 ))
AUX_739_253=RES_535_217;else
{obj_t C_CDR_536_217;
C_CDR_536_217=CDR( L_534_40 );{obj_t RES_740_88;
RES_740_88=RES_535_217;{
RES_535_217=ADD_I_PTAG( PSUB_TAG( 1 ), RES_740_88 );
L_534_40=C_CDR_536_217;
goto _LOOP_533_192;
}}}}
}}LEN_713_17=CINT( AUX_739_253 );}switch( (long)LEN_713_17){case 0 : 
return BNIL;break;case 1 : 
return CAR( L_284_224 );break;case 2 : 
{obj_t C_CAR_541_127;
C_CAR_541_127=CAR( L_284_224 );{obj_t PAIR_542_247;
PAIR_542_247=CDR( L_284_224 );{obj_t C_CAR_543_91;
C_CAR_543_91=CAR( PAIR_542_247 );return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_541_127, C_CAR_543_91 );}}}break;default: 
{obj_t C_CAR_545_6;
C_CAR_545_6=CAR( L_284_224 );{obj_t C_CDR_546_141;
C_CDR_546_141=CDR( L_284_224 );{obj_t AUX_741_215;
AUX_741_215=APPEND_LIST_283_234( C_CDR_546_141 );return APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( C_CAR_545_6, AUX_741_215 );}}}}}
}

obj_t
#if defined( __STDC__ )
__APPEND___R4_PAIRS_AND_LISTS_6_3_101(obj_t ENV_669_200,obj_t L_282_247)
#else
__APPEND___R4_PAIRS_AND_LISTS_6_3_101( ENV_669_200, L_282_247 )
obj_t ENV_669_200, L_282_247;
#endif
{

return APPEND___R4_PAIRS_AND_LISTS_6_3_111( L_282_247 );
}

obj_t
#if defined( __STDC__ )
APPEND____R4_PAIRS_AND_LISTS_6_3_206(obj_t X_287_232,obj_t Y_288_203)
#else
APPEND____R4_PAIRS_AND_LISTS_6_3_206( X_287_232, Y_288_203 )
obj_t X_287_232, Y_288_203;
#endif
{

if( NULLP( X_287_232 ))
return Y_288_203;else
{obj_t A_291_96, B_292_154;
{obj_t C_CDR_548_168;
C_CDR_548_168=CDR( X_287_232 );{
B_292_154=C_CDR_548_168;
A_291_96=X_287_232;
{_do_loop__1001_289_195:

if( NULLP( B_292_154 ))
{
SET_CDR( A_291_96, Y_288_203 );
return X_287_232;
}else
{obj_t C_CDR_547_86;
C_CDR_547_86=CDR( B_292_154 );{obj_t B_738_204;
B_738_204=B_292_154;{
B_292_154=C_CDR_547_86;
A_291_96=B_738_204;
goto _do_loop__1001_289_195;
}}}}
}}}
}

obj_t
#if defined( __STDC__ )
__APPEND____R4_PAIRS_AND_LISTS_6_3_116(obj_t ENV_668_163,obj_t X_287_232,obj_t Y_288_203)
#else
__APPEND____R4_PAIRS_AND_LISTS_6_3_116( ENV_668_163, X_287_232, Y_288_203 )
obj_t ENV_668_163, X_287_232, Y_288_203;
#endif
{

return APPEND____R4_PAIRS_AND_LISTS_6_3_206( X_287_232, Y_288_203 );
}

obj_t
#if defined( __STDC__ )
LENGTH___R4_PAIRS_AND_LISTS_6_3_229(obj_t LIST_293_153)
#else
LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_293_153 )
obj_t LIST_293_153;
#endif
{

{obj_t L_295_227, RES_296_132;
{
RES_296_132=BINT( 0 );
L_295_227=LIST_293_153;
{_LOOP_294_39:

if( NULLP( L_295_227 ))
return RES_296_132;else
{obj_t RES_736_27, L_737_69;
RES_736_27=RES_296_132;L_737_69=L_295_227;{
RES_296_132=ADD_I_PTAG( PSUB_TAG( 1 ), RES_736_27 );
L_295_227=CDR( L_737_69 );
goto _LOOP_294_39;
}}}
}}
}

obj_t
#if defined( __STDC__ )
__LENGTH___R4_PAIRS_AND_LISTS_6_3_77(obj_t ENV_667_209,obj_t LIST_293_153)
#else
__LENGTH___R4_PAIRS_AND_LISTS_6_3_77( ENV_667_209, LIST_293_153 )
obj_t ENV_667_209, LIST_293_153;
#endif
{

return LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_293_153 );
}

obj_t
#if defined( __STDC__ )
REVERSE___R4_PAIRS_AND_LISTS_6_3_37(obj_t L_297_142)
#else
REVERSE___R4_PAIRS_AND_LISTS_6_3_37( L_297_142 )
obj_t L_297_142;
#endif
{

{obj_t L_299_109, ACC_300_117;
{
ACC_300_117=BNIL;
L_299_109=L_297_142;
{_LOOP_298_44:

if( NULLP( L_299_109 ))
return ACC_300_117;else
{obj_t C_CDR_551_159;
C_CDR_551_159=CDR( L_299_109 );{obj_t OBJ1_552_132;
OBJ1_552_132=CAR( L_299_109 );{obj_t C_CONS_553_228;
C_CONS_553_228=MAKE_PAIR( OBJ1_552_132, ACC_300_117 );{
ACC_300_117=C_CONS_553_228;
L_299_109=C_CDR_551_159;
goto _LOOP_298_44;
}}}}}
}}
}

obj_t
#if defined( __STDC__ )
__REVERSE___R4_PAIRS_AND_LISTS_6_3_167(obj_t ENV_666_120,obj_t L_297_142)
#else
__REVERSE___R4_PAIRS_AND_LISTS_6_3_167( ENV_666_120, L_297_142 )
obj_t ENV_666_120, L_297_142;
#endif
{

return REVERSE___R4_PAIRS_AND_LISTS_6_3_37( L_297_142 );
}

obj_t
#if defined( __STDC__ )
LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77(obj_t LIST_301_28,obj_t K_302_38)
#else
LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77( LIST_301_28, K_302_38 )
obj_t LIST_301_28, K_302_38;
#endif
{
_LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77:

if( EQ_I( K_302_38, BINT( 0 ) ))
return LIST_301_28;else
{obj_t K_734_187, LIST_735_190;
K_734_187=K_302_38;LIST_735_190=LIST_301_28;{
K_302_38=SUB_I_PTAG( K_734_187, PSUB_TAG( 1 ) );
LIST_301_28=CDR( LIST_735_190 );
goto _LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77;
}}
}

obj_t
#if defined( __STDC__ )
__LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_42(obj_t ENV_665_76,obj_t LIST_301_28,obj_t K_302_38)
#else
__LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_42( ENV_665_76, LIST_301_28, K_302_38 )
obj_t ENV_665_76, LIST_301_28, K_302_38;
#endif
{

return LIST_TAIL___R4_PAIRS_AND_LISTS_6_3_77( LIST_301_28, K_302_38 );
}

obj_t
#if defined( __STDC__ )
LIST_REF___R4_PAIRS_AND_LISTS_6_3_197(obj_t LIST_303_186,obj_t K_304_52)
#else
LIST_REF___R4_PAIRS_AND_LISTS_6_3_197( LIST_303_186, K_304_52 )
obj_t LIST_303_186, K_304_52;
#endif
{
_LIST_REF___R4_PAIRS_AND_LISTS_6_3_197:

if( EQ_I( K_304_52, BINT( 0 ) ))
return CAR( LIST_303_186 );else
{obj_t K_732_214, LIST_733_211;
K_732_214=K_304_52;LIST_733_211=LIST_303_186;{
K_304_52=SUB_I_PTAG( K_732_214, PSUB_TAG( 1 ) );
LIST_303_186=CDR( LIST_733_211 );
goto _LIST_REF___R4_PAIRS_AND_LISTS_6_3_197;
}}
}

obj_t
#if defined( __STDC__ )
__LIST_REF___R4_PAIRS_AND_LISTS_6_3_13(obj_t ENV_664_203,obj_t LIST_303_186,obj_t K_304_52)
#else
__LIST_REF___R4_PAIRS_AND_LISTS_6_3_13( ENV_664_203, LIST_303_186, K_304_52 )
obj_t ENV_664_203, LIST_303_186, K_304_52;
#endif
{

return LIST_REF___R4_PAIRS_AND_LISTS_6_3_197( LIST_303_186, K_304_52 );
}

obj_t
#if defined( __STDC__ )
LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74(obj_t X_305_95)
#else
LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74( X_305_95 )
obj_t X_305_95;
#endif
{
_LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74:

if( PAIRP( CDR( X_305_95 ) ))
{obj_t X_731_0;
X_731_0=X_305_95;{
X_305_95=CDR( X_731_0 );
goto _LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74;
}}else
return X_305_95;
}

obj_t
#if defined( __STDC__ )
__LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_218(obj_t ENV_663_229,obj_t X_305_95)
#else
__LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_218( ENV_663_229, X_305_95 )
obj_t ENV_663_229, X_305_95;
#endif
{

return LAST_PAIR___R4_PAIRS_AND_LISTS_6_3_74( X_305_95 );
}

obj_t
#if defined( __STDC__ )
MEMQ___R4_PAIRS_AND_LISTS_6_3_141(obj_t OBJ_306_115,obj_t LIST_307_115)
#else
MEMQ___R4_PAIRS_AND_LISTS_6_3_141( OBJ_306_115, LIST_307_115 )
obj_t OBJ_306_115, LIST_307_115;
#endif
{

{obj_t LIST_309_223;
{
LIST_309_223=LIST_307_115;
{_LOOP_308_83:

if( NULLP( LIST_309_223 ))
return BFALSE;else
if( EQP( CAR( LIST_309_223 ), OBJ_306_115 ))
return LIST_309_223;else
{obj_t LIST_730_148;
LIST_730_148=LIST_309_223;{
LIST_309_223=CDR( LIST_730_148 );
goto _LOOP_308_83;
}}}
}}
}

obj_t
#if defined( __STDC__ )
__MEMQ___R4_PAIRS_AND_LISTS_6_3_131(obj_t ENV_662_123,obj_t OBJ_306_115,obj_t LIST_307_115)
#else
__MEMQ___R4_PAIRS_AND_LISTS_6_3_131( ENV_662_123, OBJ_306_115, LIST_307_115 )
obj_t ENV_662_123, OBJ_306_115, LIST_307_115;
#endif
{

return MEMQ___R4_PAIRS_AND_LISTS_6_3_141( OBJ_306_115, LIST_307_115 );
}

obj_t
#if defined( __STDC__ )
MEMV___R4_PAIRS_AND_LISTS_6_3_244(obj_t OBJ_310_17,obj_t LIST_311_75)
#else
MEMV___R4_PAIRS_AND_LISTS_6_3_244( OBJ_310_17, LIST_311_75 )
obj_t OBJ_310_17, LIST_311_75;
#endif
{

{obj_t LIST_313_22;
{
LIST_313_22=LIST_311_75;
{_LOOP_312_190:

if( NULLP( LIST_313_22 ))
return BFALSE;else
if( EQP( CAR( LIST_313_22 ), OBJ_310_17 ))
return LIST_313_22;else
{obj_t LIST_729_25;
LIST_729_25=LIST_313_22;{
LIST_313_22=CDR( LIST_729_25 );
goto _LOOP_312_190;
}}}
}}
}

obj_t
#if defined( __STDC__ )
__MEMV___R4_PAIRS_AND_LISTS_6_3_8(obj_t ENV_661_131,obj_t OBJ_310_17,obj_t LIST_311_75)
#else
__MEMV___R4_PAIRS_AND_LISTS_6_3_8( ENV_661_131, OBJ_310_17, LIST_311_75 )
obj_t ENV_661_131, OBJ_310_17, LIST_311_75;
#endif
{

return MEMV___R4_PAIRS_AND_LISTS_6_3_244( OBJ_310_17, LIST_311_75 );
}

obj_t
#if defined( __STDC__ )
MEMBER___R4_PAIRS_AND_LISTS_6_3_147(obj_t OBJ_314_24,obj_t LIST_315_103)
#else
MEMBER___R4_PAIRS_AND_LISTS_6_3_147( OBJ_314_24, LIST_315_103 )
obj_t OBJ_314_24, LIST_315_103;
#endif
{

{obj_t LIST_317_12;
{
LIST_317_12=LIST_315_103;
{_LOOP_316_223:

if( NULLP( LIST_317_12 ))
return BFALSE;else
{obj_t AUX_728_55;
AUX_728_55=EQUAL____R4_EQUIVALENCE_6_2_234( OBJ_314_24, CAR( LIST_317_12 ) );if( BBOOL_TO_CBOOL( AUX_728_55 ))
return LIST_317_12;else
{obj_t LIST_727_233;
LIST_727_233=LIST_317_12;{
LIST_317_12=CDR( LIST_727_233 );
goto _LOOP_316_223;
}}}}
}}
}

obj_t
#if defined( __STDC__ )
__MEMBER___R4_PAIRS_AND_LISTS_6_3_252(obj_t ENV_660_152,obj_t OBJ_314_24,obj_t LIST_315_103)
#else
__MEMBER___R4_PAIRS_AND_LISTS_6_3_252( ENV_660_152, OBJ_314_24, LIST_315_103 )
obj_t ENV_660_152, OBJ_314_24, LIST_315_103;
#endif
{

return MEMBER___R4_PAIRS_AND_LISTS_6_3_147( OBJ_314_24, LIST_315_103 );
}

obj_t
#if defined( __STDC__ )
ASSQ___R4_PAIRS_AND_LISTS_6_3_184(obj_t OBJ_318_98,obj_t ALIST_319_129)
#else
ASSQ___R4_PAIRS_AND_LISTS_6_3_184( OBJ_318_98, ALIST_319_129 )
obj_t OBJ_318_98, ALIST_319_129;
#endif
{

{obj_t ALIST_321_8;
{
ALIST_321_8=ALIST_319_129;
{_LOOP_320_9:

if( NULLP( ALIST_321_8 ))
return BFALSE;else
if( EQP( CAR( CAR( ALIST_321_8 ) ), OBJ_318_98 ))
return CAR( ALIST_321_8 );else
{obj_t ALIST_726_136;
ALIST_726_136=ALIST_321_8;{
ALIST_321_8=CDR( ALIST_726_136 );
goto _LOOP_320_9;
}}}
}}
}

obj_t
#if defined( __STDC__ )
__ASSQ___R4_PAIRS_AND_LISTS_6_3_73(obj_t ENV_659_52,obj_t OBJ_318_98,obj_t ALIST_319_129)
#else
__ASSQ___R4_PAIRS_AND_LISTS_6_3_73( ENV_659_52, OBJ_318_98, ALIST_319_129 )
obj_t ENV_659_52, OBJ_318_98, ALIST_319_129;
#endif
{

return ASSQ___R4_PAIRS_AND_LISTS_6_3_184( OBJ_318_98, ALIST_319_129 );
}

obj_t
#if defined( __STDC__ )
ASSV___R4_PAIRS_AND_LISTS_6_3_150(obj_t OBJ_322_36,obj_t ALIST_323_4)
#else
ASSV___R4_PAIRS_AND_LISTS_6_3_150( OBJ_322_36, ALIST_323_4 )
obj_t OBJ_322_36, ALIST_323_4;
#endif
{

{obj_t ALIST_325_16;
{
ALIST_325_16=ALIST_323_4;
{_LOOP_324_93:

if( NULLP( ALIST_325_16 ))
return BFALSE;else
if( EQP( CAR( CAR( ALIST_325_16 ) ), OBJ_322_36 ))
return CAR( ALIST_325_16 );else
{obj_t ALIST_725_111;
ALIST_725_111=ALIST_325_16;{
ALIST_325_16=CDR( ALIST_725_111 );
goto _LOOP_324_93;
}}}
}}
}

obj_t
#if defined( __STDC__ )
__ASSV___R4_PAIRS_AND_LISTS_6_3_199(obj_t ENV_658_216,obj_t OBJ_322_36,obj_t ALIST_323_4)
#else
__ASSV___R4_PAIRS_AND_LISTS_6_3_199( ENV_658_216, OBJ_322_36, ALIST_323_4 )
obj_t ENV_658_216, OBJ_322_36, ALIST_323_4;
#endif
{

return ASSV___R4_PAIRS_AND_LISTS_6_3_150( OBJ_322_36, ALIST_323_4 );
}

obj_t
#if defined( __STDC__ )
ASSOC___R4_PAIRS_AND_LISTS_6_3_8(obj_t OBJ_326_173,obj_t ALIST_327_26)
#else
ASSOC___R4_PAIRS_AND_LISTS_6_3_8( OBJ_326_173, ALIST_327_26 )
obj_t OBJ_326_173, ALIST_327_26;
#endif
{
_ASSOC___R4_PAIRS_AND_LISTS_6_3_8:

if( NULLP( ALIST_327_26 ))
return BFALSE;else
{obj_t CARY_328_35;
CARY_328_35=CAR( ALIST_327_26 );{obj_t AUX_724_245;
AUX_724_245=EQUAL____R4_EQUIVALENCE_6_2_234( OBJ_326_173, CAR( CARY_328_35 ) );if( BBOOL_TO_CBOOL( AUX_724_245 ))
return CARY_328_35;else
{obj_t ALIST_723_45;
ALIST_723_45=ALIST_327_26;{
ALIST_327_26=CDR( ALIST_723_45 );
goto _ASSOC___R4_PAIRS_AND_LISTS_6_3_8;
}}}}
}

obj_t
#if defined( __STDC__ )
__ASSOC___R4_PAIRS_AND_LISTS_6_3_27(obj_t ENV_657_23,obj_t OBJ_326_173,obj_t ALIST_327_26)
#else
__ASSOC___R4_PAIRS_AND_LISTS_6_3_27( ENV_657_23, OBJ_326_173, ALIST_327_26 )
obj_t ENV_657_23, OBJ_326_173, ALIST_327_26;
#endif
{

return ASSOC___R4_PAIRS_AND_LISTS_6_3_8( OBJ_326_173, ALIST_327_26 );
}

obj_t
#if defined( __STDC__ )
REMQ___R4_PAIRS_AND_LISTS_6_3_181(obj_t X_329_6,obj_t Y_330_93)
#else
REMQ___R4_PAIRS_AND_LISTS_6_3_181( X_329_6, Y_330_93 )
obj_t X_329_6, Y_330_93;
#endif
{
_REMQ___R4_PAIRS_AND_LISTS_6_3_181:

if( NULLP( Y_330_93 ))
return Y_330_93;else
{obj_t OBJ2_593_108;
OBJ2_593_108=CAR( Y_330_93 );if( EQP( X_329_6, OBJ2_593_108 ))
{obj_t C_CDR_595_84;
C_CDR_595_84=CDR( Y_330_93 );{
Y_330_93=C_CDR_595_84;
goto _REMQ___R4_PAIRS_AND_LISTS_6_3_181;
}}else
{obj_t OBJ2_597_74;
{obj_t C_CDR_600_159;
C_CDR_600_159=CDR( Y_330_93 );OBJ2_597_74=REMQ___R4_PAIRS_AND_LISTS_6_3_181( X_329_6, C_CDR_600_159 );}{obj_t OBJ1_596_34;
OBJ1_596_34=CAR( Y_330_93 );return MAKE_PAIR( OBJ1_596_34, OBJ2_597_74 );}}}
}

obj_t
#if defined( __STDC__ )
__REMQ___R4_PAIRS_AND_LISTS_6_3_114(obj_t ENV_656_63,obj_t X_329_6,obj_t Y_330_93)
#else
__REMQ___R4_PAIRS_AND_LISTS_6_3_114( ENV_656_63, X_329_6, Y_330_93 )
obj_t ENV_656_63, X_329_6, Y_330_93;
#endif
{

return REMQ___R4_PAIRS_AND_LISTS_6_3_181( X_329_6, Y_330_93 );
}

obj_t
#if defined( __STDC__ )
REMOVE___R4_PAIRS_AND_LISTS_6_3_80(obj_t X_331_220,obj_t Y_332_155)
#else
REMOVE___R4_PAIRS_AND_LISTS_6_3_80( X_331_220, Y_332_155 )
obj_t X_331_220, Y_332_155;
#endif
{
_REMOVE___R4_PAIRS_AND_LISTS_6_3_80:

if( NULLP( Y_332_155 ))
return Y_332_155;else
{obj_t C_CAR_601_250;
C_CAR_601_250=CAR( Y_332_155 );{obj_t AUX_722_72;
AUX_722_72=EQUAL____R4_EQUIVALENCE_6_2_234( X_331_220, C_CAR_601_250 );if( BBOOL_TO_CBOOL( AUX_722_72 ))
{obj_t C_CDR_602_42;
C_CDR_602_42=CDR( Y_332_155 );{
Y_332_155=C_CDR_602_42;
goto _REMOVE___R4_PAIRS_AND_LISTS_6_3_80;
}}else
{obj_t OBJ2_604_101;
{obj_t C_CDR_607_3;
C_CDR_607_3=CDR( Y_332_155 );OBJ2_604_101=REMOVE___R4_PAIRS_AND_LISTS_6_3_80( X_331_220, C_CDR_607_3 );}{obj_t OBJ1_603_95;
OBJ1_603_95=CAR( Y_332_155 );return MAKE_PAIR( OBJ1_603_95, OBJ2_604_101 );}}}}
}

obj_t
#if defined( __STDC__ )
__REMOVE___R4_PAIRS_AND_LISTS_6_3_68(obj_t ENV_655_69,obj_t X_331_220,obj_t Y_332_155)
#else
__REMOVE___R4_PAIRS_AND_LISTS_6_3_68( ENV_655_69, X_331_220, Y_332_155 )
obj_t ENV_655_69, X_331_220, Y_332_155;
#endif
{

return REMOVE___R4_PAIRS_AND_LISTS_6_3_80( X_331_220, Y_332_155 );
}

obj_t
#if defined( __STDC__ )
REMQ____R4_PAIRS_AND_LISTS_6_3_57(obj_t X_333_212,obj_t Y_334_9)
#else
REMQ____R4_PAIRS_AND_LISTS_6_3_57( X_333_212, Y_334_9 )
obj_t X_333_212, Y_334_9;
#endif
{
_REMQ____R4_PAIRS_AND_LISTS_6_3_57:

if( NULLP( Y_334_9 ))
return Y_334_9;else
{obj_t OBJ2_608_232;
OBJ2_608_232=CAR( Y_334_9 );if( EQP( X_333_212, OBJ2_608_232 ))
{obj_t C_CDR_610_39;
C_CDR_610_39=CDR( Y_334_9 );{
Y_334_9=C_CDR_610_39;
goto _REMQ____R4_PAIRS_AND_LISTS_6_3_57;
}}else
{obj_t PREV_336_160;
{
PREV_336_160=Y_334_9;
{_LOOP_335_3:

{bool_t OBJ_715_59;
OBJ_715_59=NULLP( CDR( PREV_336_160 ) );if( OBJ_715_59)
return Y_334_9;else
{obj_t OBJ1_613_187;
{obj_t PAIR_614_20;
PAIR_614_20=CDR( PREV_336_160 );OBJ1_613_187=CAR( PAIR_614_20 );}if( EQP( OBJ1_613_187, X_333_212 ))
{
{obj_t OBJ_617_80;
{obj_t PAIR_618_112;
PAIR_618_112=CDR( PREV_336_160 );OBJ_617_80=CDR( PAIR_618_112 );}SET_CDR( PREV_336_160, OBJ_617_80 );}
goto _LOOP_335_3;
}else
{obj_t C_CDR_621_142;
C_CDR_621_142=CDR( PREV_336_160 );{
PREV_336_160=C_CDR_621_142;
goto _LOOP_335_3;
}}}}}
}}}
}

obj_t
#if defined( __STDC__ )
__REMQ____R4_PAIRS_AND_LISTS_6_3_81(obj_t ENV_654_37,obj_t X_333_212,obj_t Y_334_9)
#else
__REMQ____R4_PAIRS_AND_LISTS_6_3_81( ENV_654_37, X_333_212, Y_334_9 )
obj_t ENV_654_37, X_333_212, Y_334_9;
#endif
{

return REMQ____R4_PAIRS_AND_LISTS_6_3_57( X_333_212, Y_334_9 );
}

obj_t
#if defined( __STDC__ )
REMOVE____R4_PAIRS_AND_LISTS_6_3_51(obj_t X_337_43,obj_t Y_338_201)
#else
REMOVE____R4_PAIRS_AND_LISTS_6_3_51( X_337_43, Y_338_201 )
obj_t X_337_43, Y_338_201;
#endif
{
_REMOVE____R4_PAIRS_AND_LISTS_6_3_51:

if( NULLP( Y_338_201 ))
return Y_338_201;else
{obj_t C_CAR_622_235;
C_CAR_622_235=CAR( Y_338_201 );{obj_t AUX_721_121;
AUX_721_121=EQUAL____R4_EQUIVALENCE_6_2_234( X_337_43, C_CAR_622_235 );if( BBOOL_TO_CBOOL( AUX_721_121 ))
{obj_t C_CDR_623_227;
C_CDR_623_227=CDR( Y_338_201 );{
Y_338_201=C_CDR_623_227;
goto _REMOVE____R4_PAIRS_AND_LISTS_6_3_51;
}}else
{obj_t PREV_340_151;
{
PREV_340_151=Y_338_201;
{_LOOP_339_106:

{bool_t OBJ_716_137;
OBJ_716_137=NULLP( CDR( PREV_340_151 ) );if( OBJ_716_137)
return Y_338_201;else
{obj_t PAIR_626_114;
PAIR_626_114=CDR( PREV_340_151 );{obj_t C_CAR_628_131;
C_CAR_628_131=CAR( PAIR_626_114 );{obj_t AUX_720_64;
AUX_720_64=EQUAL____R4_EQUIVALENCE_6_2_234( C_CAR_628_131, X_337_43 );if( BBOOL_TO_CBOOL( AUX_720_64 ))
{
{obj_t OBJ_629_58;
{obj_t PAIR_630_209;
PAIR_630_209=CDR( PREV_340_151 );OBJ_629_58=CDR( PAIR_630_209 );}SET_CDR( PREV_340_151, OBJ_629_58 );}
goto _LOOP_339_106;
}else
{obj_t C_CDR_633_52;
C_CDR_633_52=CDR( PREV_340_151 );{
PREV_340_151=C_CDR_633_52;
goto _LOOP_339_106;
}}}}}}}
}}}}
}

obj_t
#if defined( __STDC__ )
__REMOVE____R4_PAIRS_AND_LISTS_6_3_136(obj_t ENV_653_117,obj_t X_337_43,obj_t Y_338_201)
#else
__REMOVE____R4_PAIRS_AND_LISTS_6_3_136( ENV_653_117, X_337_43, Y_338_201 )
obj_t ENV_653_117, X_337_43, Y_338_201;
#endif
{

return REMOVE____R4_PAIRS_AND_LISTS_6_3_51( X_337_43, Y_338_201 );
}

obj_t
#if defined( __STDC__ )
CONS____R4_PAIRS_AND_LISTS_6_3_28(obj_t X_341_129,obj_t Y_342_222)
#else
CONS____R4_PAIRS_AND_LISTS_6_3_28( X_341_129, Y_342_222 )
obj_t X_341_129, Y_342_222;
#endif
{

if( NULLP( Y_342_222 ))
return X_341_129;else
{obj_t OBJ2_642_191;
OBJ2_642_191=CONS_1_343_67( Y_342_222 );return MAKE_PAIR( X_341_129, OBJ2_642_191 );}
}

static obj_t
#if defined( __STDC__ )
CONS_1_343_67(obj_t X_344_165)
#else
CONS_1_343_67( X_344_165 )
obj_t X_344_165;
#endif
{

{bool_t OBJ_717_228;
OBJ_717_228=NULLP( CDR( X_344_165 ) );if( OBJ_717_228)
return CAR( X_344_165 );else
{obj_t OBJ2_638_173;
{obj_t C_CDR_641_153;
C_CDR_641_153=CDR( X_344_165 );OBJ2_638_173=CONS_1_343_67( C_CDR_641_153 );}{obj_t OBJ1_637_1;
OBJ1_637_1=CAR( X_344_165 );return MAKE_PAIR( OBJ1_637_1, OBJ2_638_173 );}}}
}

obj_t
#if defined( __STDC__ )
__CONS____R4_PAIRS_AND_LISTS_6_3_16(obj_t ENV_652_39,obj_t X_341_129,obj_t Y_342_222)
#else
__CONS____R4_PAIRS_AND_LISTS_6_3_16( ENV_652_39, X_341_129, Y_342_222 )
obj_t ENV_652_39, X_341_129, Y_342_222;
#endif
{

return CONS____R4_PAIRS_AND_LISTS_6_3_28( X_341_129, Y_342_222 );
}

obj_t
#if defined( __STDC__ )
REVERSE____R4_PAIRS_AND_LISTS_6_3_134(obj_t L_345_115)
#else
REVERSE____R4_PAIRS_AND_LISTS_6_3_134( L_345_115 )
obj_t L_345_115;
#endif
{

if( PAIRP( L_345_115 ))
{obj_t L_347_2, R_348_183;
{
R_348_183=BNIL;
L_347_2=L_345_115;
{_NR_346_113:

{bool_t OBJ_718_5;
OBJ_718_5=NULLP( CDR( L_347_2 ) );if( OBJ_718_5)
{
SET_CDR( L_347_2, R_348_183 );
return L_347_2;
}else
{obj_t CDRL_349_103;
CDRL_349_103=CDR( L_347_2 );{obj_t AUX_719_203;
{
SET_CDR( L_347_2, R_348_183 );
AUX_719_203=L_347_2;
}{
R_348_183=AUX_719_203;
L_347_2=CDRL_349_103;
goto _NR_346_113;
}}}}}
}}else
return L_345_115;
}

obj_t
#if defined( __STDC__ )
__REVERSE____R4_PAIRS_AND_LISTS_6_3_108(obj_t ENV_651_184,obj_t L_345_115)
#else
__REVERSE____R4_PAIRS_AND_LISTS_6_3_108( ENV_651_184, L_345_115 )
obj_t ENV_651_184, L_345_115;
#endif
{

return REVERSE____R4_PAIRS_AND_LISTS_6_3_134( L_345_115 );
}

