/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Ieee/strings.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

obj_t STRING____ENV___R4_STRINGS_6_7_94 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_LENGTH___R4_STRINGS_6_7_106(obj_t, obj_t);
#else
extern obj_t __STRING_LENGTH___R4_STRINGS_6_7_106();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_COPY___R4_STRINGS_6_7_216(obj_t, obj_t);
#else
extern obj_t __STRING_COPY___R4_STRINGS_6_7_216();
#endif
#if defined( __STDC__ )
extern obj_t SUBSTRING___R4_STRINGS_6_7_40(obj_t, obj_t, obj_t);
#else
extern obj_t SUBSTRING___R4_STRINGS_6_7_40();
#endif
extern obj_t c_substring();
obj_t STRING_UPCASE_ENV___R4_STRINGS_6_7_205 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING___R4_STRINGS_6_7_245(obj_t);
#else
extern obj_t STRING___R4_STRINGS_6_7_245();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_166(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_166();
#endif
obj_t SUBSTRING_UR_ENV___R4_STRINGS_6_7_166 = BUNSPEC;
obj_t STRING_CI____ENV___R4_STRINGS_6_7_139 = BUNSPEC;
DEFINE_STRING( SUBSTRIN_3___R4_STRINGS_6_7_188, "substring", 9);
#if defined( __STDC__ )
extern obj_t STRING_SET_UR____R4_STRINGS_6_7_35(obj_t, obj_t, obj_t);
#else
extern obj_t STRING_SET_UR____R4_STRINGS_6_7_35();
#endif
DEFINE_STRING( __5___R4_STRINGS_6_7_137, "", 0);
#if defined( __STDC__ )
extern obj_t STRING_FOR_READ___R4_STRINGS_6_7_154(obj_t);
#else
extern obj_t STRING_FOR_READ___R4_STRINGS_6_7_154();
#endif
extern obj_t string_append();
#if defined( __STDC__ )
extern obj_t __STRING_CI______R4_STRINGS_6_7_173(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI______R4_STRINGS_6_7_173();
#endif
obj_t STRING_APPEND_ENV___R4_STRINGS_6_7_18 = BUNSPEC;
extern bool_t string_cilt();
#if defined( __STDC__ )
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103(obj_t);
#else
extern obj_t STRING_APPEND___R4_STRINGS_6_7_103();
#endif
obj_t STRING_FILL__ENV___R4_STRINGS_6_7_249 = BUNSPEC;
obj_t STRING___ENV___R4_STRINGS_6_7_151 = BUNSPEC;
DEFINE_STRING( INDEX_OU_1___R4_STRINGS_6_7_147, "index out of range", 18);
#if defined( __STDC__ )
extern obj_t STRING______R4_STRINGS_6_7_114(obj_t, obj_t);
#else
extern obj_t STRING______R4_STRINGS_6_7_114();
#endif
extern bool_t string_gt();
extern bool_t string_cile();
#if defined( __STDC__ )
extern obj_t STRING_UPCASE____R4_STRINGS_6_7_61(obj_t);
#else
extern obj_t STRING_UPCASE____R4_STRINGS_6_7_61();
#endif
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
#if defined( __STDC__ )
extern obj_t __STRING_REF___R4_STRINGS_6_7_24(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_REF___R4_STRINGS_6_7_24();
#endif
extern bool_t string_le();
obj_t STRING_SET__ENV___R4_STRINGS_6_7_118 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __SUBSTRING___R4_STRINGS_6_7_18(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __SUBSTRING___R4_STRINGS_6_7_18();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI______R4_STRINGS_6_7_203(obj_t, obj_t);
#else
extern obj_t STRING_CI______R4_STRINGS_6_7_203();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI______R4_STRINGS_6_7_22(obj_t, obj_t);
#else
extern obj_t STRING_CI______R4_STRINGS_6_7_22();
#endif
#if defined( __STDC__ )
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251(obj_t);
#else
extern obj_t STRING_UPCASE___R4_STRINGS_6_7_251();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_DOWNCASE____R4_STRINGS_6_7_137(obj_t, obj_t);
#else
extern obj_t __STRING_DOWNCASE____R4_STRINGS_6_7_137();
#endif
obj_t STRING____ENV___R4_STRINGS_6_7_106 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING______R4_STRINGS_6_7_67(obj_t, obj_t);
#else
extern obj_t STRING______R4_STRINGS_6_7_67();
#endif
#if defined( __STDC__ )
extern obj_t STRING____R4_STRINGS_6_7_192(obj_t);
#else
extern obj_t STRING____R4_STRINGS_6_7_192();
#endif
#if defined( __STDC__ )
extern obj_t SUBSTRING_UR___R4_STRINGS_6_7_32(obj_t, obj_t, obj_t);
#else
extern obj_t SUBSTRING_UR___R4_STRINGS_6_7_32();
#endif
extern obj_t blit_string();
#if defined( __STDC__ )
extern obj_t __STRING_DOWNCASE___R4_STRINGS_6_7_107(obj_t, obj_t);
#else
extern obj_t __STRING_DOWNCASE___R4_STRINGS_6_7_107();
#endif
#if defined( __STDC__ )
extern obj_t STRING__LIST___R4_STRINGS_6_7_112(obj_t);
#else
extern obj_t STRING__LIST___R4_STRINGS_6_7_112();
#endif
extern bool_t string_ge();
#if defined( __STDC__ )
extern obj_t STRING_DOWNCASE____R4_STRINGS_6_7_191(obj_t);
#else
extern obj_t STRING_DOWNCASE____R4_STRINGS_6_7_191();
#endif
extern obj_t make_string();
#if defined( __STDC__ )
extern obj_t BLIT_STRING____R4_STRINGS_6_7_12(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t BLIT_STRING____R4_STRINGS_6_7_12();
#endif
extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t __STRING___R4_STRINGS_6_7_112(obj_t, obj_t);
#else
extern obj_t __STRING___R4_STRINGS_6_7_112();
#endif
#if defined( __STDC__ )
extern obj_t STRING_LENGTH___R4_STRINGS_6_7_121(obj_t);
#else
extern obj_t STRING_LENGTH___R4_STRINGS_6_7_121();
#endif
#if defined( __STDC__ )
extern obj_t __STRING______R4_STRINGS_6_7_22(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING______R4_STRINGS_6_7_22();
#endif
obj_t SUBSTRING_ENV___R4_STRINGS_6_7_234 = BUNSPEC;
obj_t STRING_CI___ENV___R4_STRINGS_6_7_61 = BUNSPEC;
obj_t STRING_REF_UR_ENV___R4_STRINGS_6_7_156 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_SET_UR____R4_STRINGS_6_7_159(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_SET_UR____R4_STRINGS_6_7_159();
#endif
DEFINE_STRING( STRING_S_2___R4_STRINGS_6_7_105, "string-set!", 11);
#if defined( __STDC__ )
extern obj_t __STRING__LIST___R4_STRINGS_6_7_28(obj_t, obj_t);
#else
extern obj_t __STRING__LIST___R4_STRINGS_6_7_28();
#endif
obj_t STRING___ENV___R4_STRINGS_6_7_204 = BUNSPEC;
extern obj_t c_string_to_string();
extern obj_t REVERSE____R4_PAIRS_AND_LISTS_6_3_134();
#if defined( __STDC__ )
extern obj_t __SUBSTRING_UR___R4_STRINGS_6_7_241(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __SUBSTRING_UR___R4_STRINGS_6_7_241();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_STRING___R4_STRINGS_6_7_1(obj_t, obj_t);
#else
extern obj_t MAKE_STRING___R4_STRINGS_6_7_1();
#endif
obj_t STRING_DOWNCASE__ENV___R4_STRINGS_6_7_107 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_218(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_218();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_UPCASE___R4_STRINGS_6_7_250(obj_t, obj_t);
#else
extern obj_t __STRING_UPCASE___R4_STRINGS_6_7_250();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_219(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_219();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_APPEND___R4_STRINGS_6_7_70(obj_t, obj_t);
#else
extern obj_t __STRING_APPEND___R4_STRINGS_6_7_70();
#endif
obj_t BLIT_STRING__ENV___R4_STRINGS_6_7_83 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_184(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_184();
#endif
obj_t STRING_CI___ENV___R4_STRINGS_6_7_49 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_COPY___R4_STRINGS_6_7_97(obj_t);
#else
extern obj_t STRING_COPY___R4_STRINGS_6_7_97();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_UPCASE____R4_STRINGS_6_7_26(obj_t, obj_t);
#else
extern obj_t __STRING_UPCASE____R4_STRINGS_6_7_26();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_119(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_119();
#endif
#if defined( __STDC__ )
extern obj_t STRING_CI_____R4_STRINGS_6_7_184(obj_t, obj_t);
#else
extern obj_t STRING_CI_____R4_STRINGS_6_7_184();
#endif
static obj_t REQUIRE_INITIALISATION____R4_STRINGS_6_7_14 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t STRING___ENV___R4_STRINGS_6_7_251 = BUNSPEC;
obj_t STRING__LIST_ENV___R4_STRINGS_6_7_72 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING____R4_STRINGS_6_7_57(obj_t, obj_t);
#else
extern obj_t __STRING____R4_STRINGS_6_7_57();
#endif
#if defined( __STDC__ )
extern obj_t STRING_FILL____R4_STRINGS_6_7_134(obj_t, obj_t);
#else
extern obj_t STRING_FILL____R4_STRINGS_6_7_134();
#endif
#if defined( __STDC__ )
extern obj_t STRING_DOWNCASE___R4_STRINGS_6_7_199(obj_t);
#else
extern obj_t STRING_DOWNCASE___R4_STRINGS_6_7_199();
#endif
obj_t ___R4_STRINGS_6_7_INITIALISATION_ENV___R4_STRINGS_6_7_108 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_70(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_70();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_166(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_166();
#endif
DEFINE_STRING( STRING_R_0___R4_STRINGS_6_7_131, "string-ref", 10);
#if defined( __STDC__ )
extern obj_t STRING_SET____R4_STRINGS_6_7_239(obj_t, obj_t, obj_t);
#else
extern obj_t STRING_SET____R4_STRINGS_6_7_239();
#endif
#if defined( __STDC__ )
extern obj_t __BLIT_STRING____R4_STRINGS_6_7_211(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __BLIT_STRING____R4_STRINGS_6_7_211();
#endif
#if defined( __STDC__ )
extern obj_t STRING_REF___R4_STRINGS_6_7_47(obj_t, obj_t);
#else
extern obj_t STRING_REF___R4_STRINGS_6_7_47();
#endif
obj_t STRING_CI____ENV___R4_STRINGS_6_7_79 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_163(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_163();
#endif
obj_t MAKE_STRING_ENV___R4_STRINGS_6_7_171 = BUNSPEC;
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139(obj_t);
#else
extern obj_t ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139();
#endif
obj_t STRING_REF_ENV___R4_STRINGS_6_7_1 = BUNSPEC;
obj_t STRING_ENV___R4_STRINGS_6_7_199 = BUNSPEC;
obj_t STRING_CI___ENV___R4_STRINGS_6_7_117 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_STRING___R4_STRINGS_6_7_247(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_STRING___R4_STRINGS_6_7_247();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_REF_UR___R4_STRINGS_6_7_194(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_REF_UR___R4_STRINGS_6_7_194();
#endif
#if defined( __STDC__ )
extern obj_t __STRING______R4_STRINGS_6_7_203(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING______R4_STRINGS_6_7_203();
#endif
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
obj_t LIST__STRING_ENV___R4_STRINGS_6_7_94 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_FILL____R4_STRINGS_6_7_70(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_FILL____R4_STRINGS_6_7_70();
#endif
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
DEFINE_STRING( ILLEGAL__4___R4_STRINGS_6_7_146, "Illegal index", 13);
#if defined( __STDC__ )
extern obj_t __STRING_SET____R4_STRINGS_6_7_204(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_SET____R4_STRINGS_6_7_204();
#endif
obj_t STRING_SET_UR__ENV___R4_STRINGS_6_7_219 = BUNSPEC;
obj_t STRING_UPCASE__ENV___R4_STRINGS_6_7_101 = BUNSPEC;
extern bool_t string_cige();
#if defined( __STDC__ )
extern obj_t __LIST__STRING___R4_STRINGS_6_7_52(obj_t, obj_t);
#else
extern obj_t __LIST__STRING___R4_STRINGS_6_7_52();
#endif
#if defined( __STDC__ )
extern obj_t __STRING_CI______R4_STRINGS_6_7_205(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI______R4_STRINGS_6_7_205();
#endif
extern bool_t string_lt();
#if defined( __STDC__ )
extern obj_t __STRING_CI_____R4_STRINGS_6_7_103(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_CI_____R4_STRINGS_6_7_103();
#endif
obj_t STRING_FOR_READ_ENV___R4_STRINGS_6_7_176 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_FOR_READ___R4_STRINGS_6_7_136(obj_t, obj_t);
#else
extern obj_t __STRING_FOR_READ___R4_STRINGS_6_7_136();
#endif
#if defined( __STDC__ )
extern obj_t STRING_REF_UR___R4_STRINGS_6_7_29(obj_t, obj_t);
#else
extern obj_t STRING_REF_UR___R4_STRINGS_6_7_29();
#endif
extern bool_t strcicmp();
extern bool_t bigloo_strcmp();
obj_t STRING__ENV___R4_STRINGS_6_7_252 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t STRING_____R4_STRINGS_6_7_73(obj_t, obj_t);
#else
extern obj_t STRING_____R4_STRINGS_6_7_73();
#endif
#if defined( __STDC__ )
extern obj_t LIST__STRING___R4_STRINGS_6_7_67(obj_t);
#else
extern obj_t LIST__STRING___R4_STRINGS_6_7_67();
#endif
obj_t STRING_LENGTH_ENV___R4_STRINGS_6_7_86 = BUNSPEC;
extern obj_t string_for_read();
obj_t STRING_COPY_ENV___R4_STRINGS_6_7_115 = BUNSPEC;
extern bool_t string_cigt();
obj_t STRING_DOWNCASE_ENV___R4_STRINGS_6_7_144 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING_____R4_STRINGS_6_7_119(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING_____R4_STRINGS_6_7_119();
#endif

static obj_t LOOP_266_213();

obj_t
#if defined( __STDC__ )
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90()
#else
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____R4_STRINGS_6_7_14 ))
{
REQUIRE_INITIALISATION____R4_STRINGS_6_7_14=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
{
___R4_STRINGS_6_7_INITIALISATION_ENV___R4_STRINGS_6_7_108=make_fx_procedure( ____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139, 0, 0 );
STRING__ENV___R4_STRINGS_6_7_252=make_fx_procedure( __STRING____R4_STRINGS_6_7_57, 1, 0 );
MAKE_STRING_ENV___R4_STRINGS_6_7_171=make_va_procedure( __MAKE_STRING___R4_STRINGS_6_7_247, -2, 0 );
STRING_ENV___R4_STRINGS_6_7_199=make_va_procedure( __STRING___R4_STRINGS_6_7_112, -1, 0 );
STRING_LENGTH_ENV___R4_STRINGS_6_7_86=make_fx_procedure( __STRING_LENGTH___R4_STRINGS_6_7_106, 1, 0 );
STRING_REF_ENV___R4_STRINGS_6_7_1=make_fx_procedure( __STRING_REF___R4_STRINGS_6_7_24, 2, 0 );
STRING_SET__ENV___R4_STRINGS_6_7_118=make_fx_procedure( __STRING_SET____R4_STRINGS_6_7_204, 3, 0 );
STRING_REF_UR_ENV___R4_STRINGS_6_7_156=make_fx_procedure( __STRING_REF_UR___R4_STRINGS_6_7_194, 2, 0 );
STRING_SET_UR__ENV___R4_STRINGS_6_7_219=make_fx_procedure( __STRING_SET_UR____R4_STRINGS_6_7_159, 3, 0 );
STRING___ENV___R4_STRINGS_6_7_151=make_fx_procedure( __STRING_____R4_STRINGS_6_7_166, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_117=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_219, 2, 0 );
STRING___ENV___R4_STRINGS_6_7_204=make_fx_procedure( __STRING_____R4_STRINGS_6_7_184, 2, 0 );
STRING___ENV___R4_STRINGS_6_7_251=make_fx_procedure( __STRING_____R4_STRINGS_6_7_119, 2, 0 );
STRING____ENV___R4_STRINGS_6_7_106=make_fx_procedure( __STRING______R4_STRINGS_6_7_22, 2, 0 );
STRING____ENV___R4_STRINGS_6_7_94=make_fx_procedure( __STRING______R4_STRINGS_6_7_203, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_61=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_103, 2, 0 );
STRING_CI___ENV___R4_STRINGS_6_7_49=make_fx_procedure( __STRING_CI_____R4_STRINGS_6_7_70, 2, 0 );
STRING_CI____ENV___R4_STRINGS_6_7_139=make_fx_procedure( __STRING_CI______R4_STRINGS_6_7_205, 2, 0 );
STRING_CI____ENV___R4_STRINGS_6_7_79=make_fx_procedure( __STRING_CI______R4_STRINGS_6_7_173, 2, 0 );
SUBSTRING_ENV___R4_STRINGS_6_7_234=make_fx_procedure( __SUBSTRING___R4_STRINGS_6_7_18, 3, 0 );
SUBSTRING_UR_ENV___R4_STRINGS_6_7_166=make_fx_procedure( __SUBSTRING_UR___R4_STRINGS_6_7_241, 3, 0 );
STRING_APPEND_ENV___R4_STRINGS_6_7_18=make_va_procedure( __STRING_APPEND___R4_STRINGS_6_7_70, -1, 0 );
LIST__STRING_ENV___R4_STRINGS_6_7_94=make_fx_procedure( __LIST__STRING___R4_STRINGS_6_7_52, 1, 0 );
STRING__LIST_ENV___R4_STRINGS_6_7_72=make_fx_procedure( __STRING__LIST___R4_STRINGS_6_7_28, 1, 0 );
STRING_COPY_ENV___R4_STRINGS_6_7_115=make_fx_procedure( __STRING_COPY___R4_STRINGS_6_7_216, 1, 0 );
STRING_FILL__ENV___R4_STRINGS_6_7_249=make_fx_procedure( __STRING_FILL____R4_STRINGS_6_7_70, 2, 0 );
STRING_UPCASE_ENV___R4_STRINGS_6_7_205=make_fx_procedure( __STRING_UPCASE___R4_STRINGS_6_7_250, 1, 0 );
STRING_DOWNCASE_ENV___R4_STRINGS_6_7_144=make_fx_procedure( __STRING_DOWNCASE___R4_STRINGS_6_7_107, 1, 0 );
STRING_UPCASE__ENV___R4_STRINGS_6_7_101=make_fx_procedure( __STRING_UPCASE____R4_STRINGS_6_7_26, 1, 0 );
STRING_DOWNCASE__ENV___R4_STRINGS_6_7_107=make_fx_procedure( __STRING_DOWNCASE____R4_STRINGS_6_7_137, 1, 0 );
STRING_FOR_READ_ENV___R4_STRINGS_6_7_176=make_fx_procedure( __STRING_FOR_READ___R4_STRINGS_6_7_136, 1, 0 );
BLIT_STRING__ENV___R4_STRINGS_6_7_83=make_fx_procedure( __BLIT_STRING____R4_STRINGS_6_7_211, 5, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139(obj_t ENV_424_127)
#else
____R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_139( ENV_424_127 )
obj_t ENV_424_127;
#endif
{

return ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
}

obj_t
#if defined( __STDC__ )
STRING____R4_STRINGS_6_7_192(obj_t OBJ_222_44)
#else
STRING____R4_STRINGS_6_7_192( OBJ_222_44 )
obj_t OBJ_222_44;
#endif
{

return CBOOL_TO_BBOOL( STRINGP( OBJ_222_44 ) );
}

obj_t
#if defined( __STDC__ )
__STRING____R4_STRINGS_6_7_57(obj_t ENV_423_20,obj_t OBJ_222_44)
#else
__STRING____R4_STRINGS_6_7_57( ENV_423_20, OBJ_222_44 )
obj_t ENV_423_20, OBJ_222_44;
#endif
{

return STRING____R4_STRINGS_6_7_192( OBJ_222_44 );
}

obj_t
#if defined( __STDC__ )
MAKE_STRING___R4_STRINGS_6_7_1(obj_t K_223_64,obj_t CHAR_224_236)
#else
MAKE_STRING___R4_STRINGS_6_7_1( K_223_64, CHAR_224_236 )
obj_t K_223_64, CHAR_224_236;
#endif
{

if( NULLP( CHAR_224_236 ))
return make_string( K_223_64, BCHAR( ' ' ) );else
{obj_t C_CAR_313_153;
C_CAR_313_153=CAR( CHAR_224_236 );return make_string( K_223_64, C_CAR_313_153 );}
}

obj_t
#if defined( __STDC__ )
__MAKE_STRING___R4_STRINGS_6_7_247(obj_t ENV_422_81,obj_t K_223_64,obj_t CHAR_224_236)
#else
__MAKE_STRING___R4_STRINGS_6_7_247( ENV_422_81, K_223_64, CHAR_224_236 )
obj_t ENV_422_81, K_223_64, CHAR_224_236;
#endif
{

return MAKE_STRING___R4_STRINGS_6_7_1( K_223_64, CHAR_224_236 );
}

obj_t
#if defined( __STDC__ )
STRING___R4_STRINGS_6_7_245(obj_t CHARS_225_154)
#else
STRING___R4_STRINGS_6_7_245( CHARS_225_154 )
obj_t CHARS_225_154;
#endif
{

return LIST__STRING___R4_STRINGS_6_7_67( CHARS_225_154 );
}

obj_t
#if defined( __STDC__ )
__STRING___R4_STRINGS_6_7_112(obj_t ENV_421_24,obj_t CHARS_225_154)
#else
__STRING___R4_STRINGS_6_7_112( ENV_421_24, CHARS_225_154 )
obj_t ENV_421_24, CHARS_225_154;
#endif
{

return STRING___R4_STRINGS_6_7_245( CHARS_225_154 );
}

obj_t
#if defined( __STDC__ )
STRING_LENGTH___R4_STRINGS_6_7_121(obj_t STRING_226_106)
#else
STRING_LENGTH___R4_STRINGS_6_7_121( STRING_226_106 )
obj_t STRING_226_106;
#endif
{

return STRING_LENGTH( STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
__STRING_LENGTH___R4_STRINGS_6_7_106(obj_t ENV_420_6,obj_t STRING_226_106)
#else
__STRING_LENGTH___R4_STRINGS_6_7_106( ENV_420_6, STRING_226_106 )
obj_t ENV_420_6, STRING_226_106;
#endif
{

return STRING_LENGTH___R4_STRINGS_6_7_121( STRING_226_106 );
}

obj_t
#if defined( __STDC__ )
STRING_REF___R4_STRINGS_6_7_47(obj_t STRING_227_82,obj_t K_228_105)
#else
STRING_REF___R4_STRINGS_6_7_47( STRING_227_82, K_228_105 )
obj_t STRING_227_82, K_228_105;
#endif
{

{obj_t AUX_459_52;
AUX_459_52=STRING_LENGTH( STRING_227_82 );if( BOUND_CHECK( K_228_105, AUX_459_52 ))
return BCHAR( STRING_REF( STRING_227_82, CINT( K_228_105 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), K_228_105 );}
}

obj_t
#if defined( __STDC__ )
__STRING_REF___R4_STRINGS_6_7_24(obj_t ENV_419_66,obj_t STRING_227_82,obj_t K_228_105)
#else
__STRING_REF___R4_STRINGS_6_7_24( ENV_419_66, STRING_227_82, K_228_105 )
obj_t ENV_419_66, STRING_227_82, K_228_105;
#endif
{

return STRING_REF___R4_STRINGS_6_7_47( STRING_227_82, K_228_105 );
}

obj_t
#if defined( __STDC__ )
STRING_SET____R4_STRINGS_6_7_239(obj_t STRING_229_89,obj_t K_230_106,obj_t CHAR_231_38)
#else
STRING_SET____R4_STRINGS_6_7_239( STRING_229_89, K_230_106, CHAR_231_38 )
obj_t STRING_229_89, K_230_106, CHAR_231_38;
#endif
{

{obj_t AUX_458_216;
AUX_458_216=STRING_LENGTH( STRING_229_89 );if( BOUND_CHECK( K_230_106, AUX_458_216 ))
return STRING_SET( STRING_229_89, CINT( K_230_106 ), CCHAR( CHAR_231_38 ) );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), K_230_106 );}
}

obj_t
#if defined( __STDC__ )
__STRING_SET____R4_STRINGS_6_7_204(obj_t ENV_418_60,obj_t STRING_229_89,obj_t K_230_106,obj_t CHAR_231_38)
#else
__STRING_SET____R4_STRINGS_6_7_204( ENV_418_60, STRING_229_89, K_230_106, CHAR_231_38 )
obj_t ENV_418_60, STRING_229_89, K_230_106, CHAR_231_38;
#endif
{

return STRING_SET____R4_STRINGS_6_7_239( STRING_229_89, K_230_106, CHAR_231_38 );
}

obj_t
#if defined( __STDC__ )
STRING_REF_UR___R4_STRINGS_6_7_29(obj_t STRING_232_18,obj_t K_233_158)
#else
STRING_REF_UR___R4_STRINGS_6_7_29( STRING_232_18, K_233_158 )
obj_t STRING_232_18, K_233_158;
#endif
{

return BCHAR( STRING_REF( STRING_232_18, CINT( K_233_158 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_REF_UR___R4_STRINGS_6_7_194(obj_t ENV_417_46,obj_t STRING_232_18,obj_t K_233_158)
#else
__STRING_REF_UR___R4_STRINGS_6_7_194( ENV_417_46, STRING_232_18, K_233_158 )
obj_t ENV_417_46, STRING_232_18, K_233_158;
#endif
{

return STRING_REF_UR___R4_STRINGS_6_7_29( STRING_232_18, K_233_158 );
}

obj_t
#if defined( __STDC__ )
STRING_SET_UR____R4_STRINGS_6_7_35(obj_t STRING_234_199,obj_t K_235_102,obj_t CHAR_236_216)
#else
STRING_SET_UR____R4_STRINGS_6_7_35( STRING_234_199, K_235_102, CHAR_236_216 )
obj_t STRING_234_199, K_235_102, CHAR_236_216;
#endif
{

return STRING_SET( STRING_234_199, CINT( K_235_102 ), CCHAR( CHAR_236_216 ) );
}

obj_t
#if defined( __STDC__ )
__STRING_SET_UR____R4_STRINGS_6_7_159(obj_t ENV_416_79,obj_t STRING_234_199,obj_t K_235_102,obj_t CHAR_236_216)
#else
__STRING_SET_UR____R4_STRINGS_6_7_159( ENV_416_79, STRING_234_199, K_235_102, CHAR_236_216 )
obj_t ENV_416_79, STRING_234_199, K_235_102, CHAR_236_216;
#endif
{

return STRING_SET_UR____R4_STRINGS_6_7_35( STRING_234_199, K_235_102, CHAR_236_216 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_218(obj_t STRING1_237_81,obj_t STRING2_238_204)
#else
STRING_____R4_STRINGS_6_7_218( STRING1_237_81, STRING2_238_204 )
obj_t STRING1_237_81, STRING2_238_204;
#endif
{

return CBOOL_TO_BBOOL( bigloo_strcmp( STRING1_237_81, STRING2_238_204 ) );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_166(obj_t ENV_415_241,obj_t STRING1_237_81,obj_t STRING2_238_204)
#else
__STRING_____R4_STRINGS_6_7_166( ENV_415_241, STRING1_237_81, STRING2_238_204 )
obj_t ENV_415_241, STRING1_237_81, STRING2_238_204;
#endif
{

return STRING_____R4_STRINGS_6_7_218( STRING1_237_81, STRING2_238_204 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_166(obj_t STRING1_239_21,obj_t STRING2_240_106)
#else
STRING_CI_____R4_STRINGS_6_7_166( STRING1_239_21, STRING2_240_106 )
obj_t STRING1_239_21, STRING2_240_106;
#endif
{

return CBOOL_TO_BBOOL( strcicmp( BSTRING_TO_CSTRING( STRING1_239_21 ), BSTRING_TO_CSTRING( STRING2_240_106 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_219(obj_t ENV_414_156,obj_t STRING1_239_21,obj_t STRING2_240_106)
#else
__STRING_CI_____R4_STRINGS_6_7_219( ENV_414_156, STRING1_239_21, STRING2_240_106 )
obj_t ENV_414_156, STRING1_239_21, STRING2_240_106;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_166( STRING1_239_21, STRING2_240_106 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_163(obj_t STRING1_241_13,obj_t STRING2_242_201)
#else
STRING_____R4_STRINGS_6_7_163( STRING1_241_13, STRING2_242_201 )
obj_t STRING1_241_13, STRING2_242_201;
#endif
{

return CBOOL_TO_BBOOL( string_lt( BSTRING_TO_CSTRING( STRING1_241_13 ), BSTRING_TO_CSTRING( STRING2_242_201 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_184(obj_t ENV_413_254,obj_t STRING1_241_13,obj_t STRING2_242_201)
#else
__STRING_____R4_STRINGS_6_7_184( ENV_413_254, STRING1_241_13, STRING2_242_201 )
obj_t ENV_413_254, STRING1_241_13, STRING2_242_201;
#endif
{

return STRING_____R4_STRINGS_6_7_163( STRING1_241_13, STRING2_242_201 );
}

obj_t
#if defined( __STDC__ )
STRING_____R4_STRINGS_6_7_73(obj_t STRING1_243_199,obj_t STRING2_244_218)
#else
STRING_____R4_STRINGS_6_7_73( STRING1_243_199, STRING2_244_218 )
obj_t STRING1_243_199, STRING2_244_218;
#endif
{

return CBOOL_TO_BBOOL( string_gt( BSTRING_TO_CSTRING( STRING1_243_199 ), BSTRING_TO_CSTRING( STRING2_244_218 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_____R4_STRINGS_6_7_119(obj_t ENV_412_41,obj_t STRING1_243_199,obj_t STRING2_244_218)
#else
__STRING_____R4_STRINGS_6_7_119( ENV_412_41, STRING1_243_199, STRING2_244_218 )
obj_t ENV_412_41, STRING1_243_199, STRING2_244_218;
#endif
{

return STRING_____R4_STRINGS_6_7_73( STRING1_243_199, STRING2_244_218 );
}

obj_t
#if defined( __STDC__ )
STRING______R4_STRINGS_6_7_114(obj_t STRING1_245_18,obj_t STRING2_246_240)
#else
STRING______R4_STRINGS_6_7_114( STRING1_245_18, STRING2_246_240 )
obj_t STRING1_245_18, STRING2_246_240;
#endif
{

return CBOOL_TO_BBOOL( string_le( BSTRING_TO_CSTRING( STRING1_245_18 ), BSTRING_TO_CSTRING( STRING2_246_240 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING______R4_STRINGS_6_7_22(obj_t ENV_411_198,obj_t STRING1_245_18,obj_t STRING2_246_240)
#else
__STRING______R4_STRINGS_6_7_22( ENV_411_198, STRING1_245_18, STRING2_246_240 )
obj_t ENV_411_198, STRING1_245_18, STRING2_246_240;
#endif
{

return STRING______R4_STRINGS_6_7_114( STRING1_245_18, STRING2_246_240 );
}

obj_t
#if defined( __STDC__ )
STRING______R4_STRINGS_6_7_67(obj_t STRING1_247_84,obj_t STRING2_248_155)
#else
STRING______R4_STRINGS_6_7_67( STRING1_247_84, STRING2_248_155 )
obj_t STRING1_247_84, STRING2_248_155;
#endif
{

return CBOOL_TO_BBOOL( string_ge( BSTRING_TO_CSTRING( STRING1_247_84 ), BSTRING_TO_CSTRING( STRING2_248_155 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING______R4_STRINGS_6_7_203(obj_t ENV_410_168,obj_t STRING1_247_84,obj_t STRING2_248_155)
#else
__STRING______R4_STRINGS_6_7_203( ENV_410_168, STRING1_247_84, STRING2_248_155 )
obj_t ENV_410_168, STRING1_247_84, STRING2_248_155;
#endif
{

return STRING______R4_STRINGS_6_7_67( STRING1_247_84, STRING2_248_155 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_184(obj_t STRING1_249_196,obj_t STRING2_250_77)
#else
STRING_CI_____R4_STRINGS_6_7_184( STRING1_249_196, STRING2_250_77 )
obj_t STRING1_249_196, STRING2_250_77;
#endif
{

return CBOOL_TO_BBOOL( string_cilt( BSTRING_TO_CSTRING( STRING1_249_196 ), BSTRING_TO_CSTRING( STRING2_250_77 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_103(obj_t ENV_409_225,obj_t STRING1_249_196,obj_t STRING2_250_77)
#else
__STRING_CI_____R4_STRINGS_6_7_103( ENV_409_225, STRING1_249_196, STRING2_250_77 )
obj_t ENV_409_225, STRING1_249_196, STRING2_250_77;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_184( STRING1_249_196, STRING2_250_77 );
}

obj_t
#if defined( __STDC__ )
STRING_CI_____R4_STRINGS_6_7_119(obj_t STRING1_251_181,obj_t STRING2_252_121)
#else
STRING_CI_____R4_STRINGS_6_7_119( STRING1_251_181, STRING2_252_121 )
obj_t STRING1_251_181, STRING2_252_121;
#endif
{

return CBOOL_TO_BBOOL( string_cigt( BSTRING_TO_CSTRING( STRING1_251_181 ), BSTRING_TO_CSTRING( STRING2_252_121 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_CI_____R4_STRINGS_6_7_70(obj_t ENV_408_207,obj_t STRING1_251_181,obj_t STRING2_252_121)
#else
__STRING_CI_____R4_STRINGS_6_7_70( ENV_408_207, STRING1_251_181, STRING2_252_121 )
obj_t ENV_408_207, STRING1_251_181, STRING2_252_121;
#endif
{

return STRING_CI_____R4_STRINGS_6_7_119( STRING1_251_181, STRING2_252_121 );
}

obj_t
#if defined( __STDC__ )
STRING_CI______R4_STRINGS_6_7_22(obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
STRING_CI______R4_STRINGS_6_7_22( STRING1_253_70, STRING2_254_130 )
obj_t STRING1_253_70, STRING2_254_130;
#endif
{

return CBOOL_TO_BBOOL( string_cile( BSTRING_TO_CSTRING( STRING1_253_70 ), BSTRING_TO_CSTRING( STRING2_254_130 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_CI______R4_STRINGS_6_7_205(obj_t ENV_407_127,obj_t STRING1_253_70,obj_t STRING2_254_130)
#else
__STRING_CI______R4_STRINGS_6_7_205( ENV_407_127, STRING1_253_70, STRING2_254_130 )
obj_t ENV_407_127, STRING1_253_70, STRING2_254_130;
#endif
{

return STRING_CI______R4_STRINGS_6_7_22( STRING1_253_70, STRING2_254_130 );
}

obj_t
#if defined( __STDC__ )
STRING_CI______R4_STRINGS_6_7_203(obj_t STRING1_255_58,obj_t STRING2_256_208)
#else
STRING_CI______R4_STRINGS_6_7_203( STRING1_255_58, STRING2_256_208 )
obj_t STRING1_255_58, STRING2_256_208;
#endif
{

return CBOOL_TO_BBOOL( string_cige( BSTRING_TO_CSTRING( STRING1_255_58 ), BSTRING_TO_CSTRING( STRING2_256_208 ) ) );
}

obj_t
#if defined( __STDC__ )
__STRING_CI______R4_STRINGS_6_7_173(obj_t ENV_406_17,obj_t STRING1_255_58,obj_t STRING2_256_208)
#else
__STRING_CI______R4_STRINGS_6_7_173( ENV_406_17, STRING1_255_58, STRING2_256_208 )
obj_t ENV_406_17, STRING1_255_58, STRING2_256_208;
#endif
{

return STRING_CI______R4_STRINGS_6_7_203( STRING1_255_58, STRING2_256_208 );
}

obj_t
#if defined( __STDC__ )
SUBSTRING___R4_STRINGS_6_7_40(obj_t STRING_257_122,obj_t START_258_199,obj_t END_259_246)
#else
SUBSTRING___R4_STRINGS_6_7_40( STRING_257_122, START_258_199, END_259_246 )
obj_t STRING_257_122, START_258_199, END_259_246;
#endif
{

{if( GE_I( END_259_246, START_258_199 ))
{bool_t __andtest_1001_426_193;
{obj_t AUX_456_63;
{obj_t L_321_141;
L_321_141=STRING_LENGTH( STRING_257_122 );{bool_t AUX_457_23;
AUX_457_23=BOUND_CHECK( START_258_199, ADD_I_PTAG( L_321_141, PSUB_TAG( 1 ) ) );AUX_456_63=CBOOL_TO_BBOOL( AUX_457_23 );}}__andtest_1001_426_193=BBOOL_TO_CBOOL( AUX_456_63 );}if( __andtest_1001_426_193)
{obj_t L_323_176;
L_323_176=STRING_LENGTH( STRING_257_122 );if( BOUND_CHECK( END_259_246, ADD_I_PTAG( L_323_176, PSUB_TAG( 1 ) ) ))
goto _true_0;else
goto _false_1;}else
goto _false_1;}else
goto _false_1;_true_0:
return c_substring( STRING_257_122, START_258_199, END_259_246 );_false_1:
{obj_t OBJECT_326_3;
OBJECT_326_3=MAKE_PAIR( START_258_199, END_259_246 );FAILURE( BREF( &SUBSTRIN_3___R4_STRINGS_6_7_188), BREF( &ILLEGAL__4___R4_STRINGS_6_7_146), OBJECT_326_3 );};
}
}

obj_t
#if defined( __STDC__ )
__SUBSTRING___R4_STRINGS_6_7_18(obj_t ENV_405_91,obj_t STRING_257_122,obj_t START_258_199,obj_t END_259_246)
#else
__SUBSTRING___R4_STRINGS_6_7_18( ENV_405_91, STRING_257_122, START_258_199, END_259_246 )
obj_t ENV_405_91, STRING_257_122, START_258_199, END_259_246;
#endif
{

return SUBSTRING___R4_STRINGS_6_7_40( STRING_257_122, START_258_199, END_259_246 );
}

obj_t
#if defined( __STDC__ )
SUBSTRING_UR___R4_STRINGS_6_7_32(obj_t STRING_262_82,obj_t START_263_160,obj_t END_264_85)
#else
SUBSTRING_UR___R4_STRINGS_6_7_32( STRING_262_82, START_263_160, END_264_85 )
obj_t STRING_262_82, START_263_160, END_264_85;
#endif
{

return c_substring( STRING_262_82, START_263_160, END_264_85 );
}

obj_t
#if defined( __STDC__ )
__SUBSTRING_UR___R4_STRINGS_6_7_241(obj_t ENV_404_92,obj_t STRING_262_82,obj_t START_263_160,obj_t END_264_85)
#else
__SUBSTRING_UR___R4_STRINGS_6_7_241( ENV_404_92, STRING_262_82, START_263_160, END_264_85 )
obj_t ENV_404_92, STRING_262_82, START_263_160, END_264_85;
#endif
{

return SUBSTRING_UR___R4_STRINGS_6_7_32( STRING_262_82, START_263_160, END_264_85 );
}

obj_t
#if defined( __STDC__ )
STRING_APPEND___R4_STRINGS_6_7_103(obj_t LIST_265_252)
#else
STRING_APPEND___R4_STRINGS_6_7_103( LIST_265_252 )
obj_t LIST_265_252;
#endif
{

if( NULLP( LIST_265_252 ))
return BREF( &__5___R4_STRINGS_6_7_137);else
return LOOP_266_213( LIST_265_252 );
}

static obj_t
#if defined( __STDC__ )
LOOP_266_213(obj_t LIST_267_54)
#else
LOOP_266_213( LIST_267_54 )
obj_t LIST_267_54;
#endif
{

{obj_t OBJ_330_56;
OBJ_330_56=CDR( LIST_267_54 );if( NULLP( OBJ_330_56 ))
return CAR( LIST_267_54 );else
{obj_t C_CAR_333_241;
C_CAR_333_241=CAR( LIST_267_54 );{obj_t AUX_455_69;
AUX_455_69=LOOP_266_213( OBJ_330_56 );return string_append( C_CAR_333_241, AUX_455_69 );}}}
}

obj_t
#if defined( __STDC__ )
__STRING_APPEND___R4_STRINGS_6_7_70(obj_t ENV_403_6,obj_t LIST_265_252)
#else
__STRING_APPEND___R4_STRINGS_6_7_70( ENV_403_6, LIST_265_252 )
obj_t ENV_403_6, LIST_265_252;
#endif
{

return STRING_APPEND___R4_STRINGS_6_7_103( LIST_265_252 );
}

obj_t
#if defined( __STDC__ )
LIST__STRING___R4_STRINGS_6_7_67(obj_t LIST_268_85)
#else
LIST__STRING___R4_STRINGS_6_7_67( LIST_268_85 )
obj_t LIST_268_85;
#endif
{

{obj_t LEN_269_120;
LEN_269_120=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( LIST_268_85 );{obj_t STRING_270_204;
{obj_t CHAR_335_12;
CHAR_335_12=BNIL;STRING_270_204=make_string( LEN_269_120, BCHAR( ' ' ) );}{obj_t I_272_247, L_273_188;
{
L_273_188=LIST_268_85;
I_272_247=BINT( 0 );
{_LOOP_271_140:

if( EQ_I( I_272_247, LEN_269_120 ))
return STRING_270_204;else
{
{char CHAR_428_230;
CHAR_428_230=CCHAR( CAR( L_273_188 ) );{obj_t AUX_453_117;
AUX_453_117=STRING_LENGTH( STRING_270_204 );if( BOUND_CHECK( I_272_247, AUX_453_117 ))
STRING_SET( STRING_270_204, CINT( I_272_247 ), CHAR_428_230 );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_272_247 );}}
{obj_t C_CDR_341_75;
C_CDR_341_75=CDR( L_273_188 );{obj_t I_454_249;
I_454_249=I_272_247;{
L_273_188=C_CDR_341_75;
I_272_247=ADD_I_PTAG( I_454_249, PSUB_TAG( 1 ) );
goto _LOOP_271_140;
}}}
}}
}}}}
}

obj_t
#if defined( __STDC__ )
__LIST__STRING___R4_STRINGS_6_7_52(obj_t ENV_402_24,obj_t LIST_268_85)
#else
__LIST__STRING___R4_STRINGS_6_7_52( ENV_402_24, LIST_268_85 )
obj_t ENV_402_24, LIST_268_85;
#endif
{

return LIST__STRING___R4_STRINGS_6_7_67( LIST_268_85 );
}

obj_t
#if defined( __STDC__ )
STRING__LIST___R4_STRINGS_6_7_112(obj_t STRING_274_220)
#else
STRING__LIST___R4_STRINGS_6_7_112( STRING_274_220 )
obj_t STRING_274_220;
#endif
{

{obj_t LEN_275_185;
LEN_275_185=STRING_LENGTH( STRING_274_220 );{obj_t I_277_220, ACC_278_26;
{
ACC_278_26=BNIL;
I_277_220=BINT( 0 );
{_LOOP_276_170:

if( EQ_I( I_277_220, LEN_275_185 ))
return REVERSE____R4_PAIRS_AND_LISTS_6_3_134( ACC_278_26 );else
{obj_t OBJ1_343_253;
{obj_t AUX_451_184;
AUX_451_184=STRING_LENGTH( STRING_274_220 );if( BOUND_CHECK( I_277_220, AUX_451_184 ))
OBJ1_343_253=BCHAR( STRING_REF( STRING_274_220, CINT( I_277_220 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_277_220 );}{obj_t C_CONS_344_167;
C_CONS_344_167=MAKE_PAIR( OBJ1_343_253, ACC_278_26 );{obj_t I_452_153;
I_452_153=I_277_220;{
ACC_278_26=C_CONS_344_167;
I_277_220=ADD_I_PTAG( I_452_153, PSUB_TAG( 1 ) );
goto _LOOP_276_170;
}}}}}
}}}
}

obj_t
#if defined( __STDC__ )
__STRING__LIST___R4_STRINGS_6_7_28(obj_t ENV_401_81,obj_t STRING_274_220)
#else
__STRING__LIST___R4_STRINGS_6_7_28( ENV_401_81, STRING_274_220 )
obj_t ENV_401_81, STRING_274_220;
#endif
{

return STRING__LIST___R4_STRINGS_6_7_112( STRING_274_220 );
}

obj_t
#if defined( __STDC__ )
STRING_COPY___R4_STRINGS_6_7_97(obj_t STRING_279_199)
#else
STRING_COPY___R4_STRINGS_6_7_97( STRING_279_199 )
obj_t STRING_279_199;
#endif
{

return c_string_to_string( BSTRING_TO_CSTRING( STRING_279_199 ) );
}

obj_t
#if defined( __STDC__ )
__STRING_COPY___R4_STRINGS_6_7_216(obj_t ENV_400_20,obj_t STRING_279_199)
#else
__STRING_COPY___R4_STRINGS_6_7_216( ENV_400_20, STRING_279_199 )
obj_t ENV_400_20, STRING_279_199;
#endif
{

return STRING_COPY___R4_STRINGS_6_7_97( STRING_279_199 );
}

obj_t
#if defined( __STDC__ )
STRING_FILL____R4_STRINGS_6_7_134(obj_t STRING_280_219,obj_t CHAR_281_235)
#else
STRING_FILL____R4_STRINGS_6_7_134( STRING_280_219, CHAR_281_235 )
obj_t STRING_280_219, CHAR_281_235;
#endif
{

{obj_t LEN_282_96;
LEN_282_96=STRING_LENGTH( STRING_280_219 );{obj_t I_284_73;
{
I_284_73=BINT( 0 );
{_LOOP_283_119:

if( EQ_I( I_284_73, LEN_282_96 ))
return STRING_280_219;else
{
{obj_t AUX_449_96;
AUX_449_96=STRING_LENGTH( STRING_280_219 );if( BOUND_CHECK( I_284_73, AUX_449_96 ))
STRING_SET( STRING_280_219, CINT( I_284_73 ), CCHAR( CHAR_281_235 ) );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_284_73 );}
{obj_t I_450_111;
I_450_111=I_284_73;{
I_284_73=ADD_I_PTAG( I_450_111, PSUB_TAG( 1 ) );
goto _LOOP_283_119;
}}
}}
}}}
}

obj_t
#if defined( __STDC__ )
__STRING_FILL____R4_STRINGS_6_7_70(obj_t ENV_399_146,obj_t STRING_280_219,obj_t CHAR_281_235)
#else
__STRING_FILL____R4_STRINGS_6_7_70( ENV_399_146, STRING_280_219, CHAR_281_235 )
obj_t ENV_399_146, STRING_280_219, CHAR_281_235;
#endif
{

return STRING_FILL____R4_STRINGS_6_7_134( STRING_280_219, CHAR_281_235 );
}

obj_t
#if defined( __STDC__ )
STRING_UPCASE___R4_STRINGS_6_7_251(obj_t STRING_285_235)
#else
STRING_UPCASE___R4_STRINGS_6_7_251( STRING_285_235 )
obj_t STRING_285_235;
#endif
{

{obj_t LEN_286_246;
LEN_286_246=STRING_LENGTH( STRING_285_235 );{obj_t RES_287_60;
{obj_t CHAR_346_111;
CHAR_346_111=BNIL;RES_287_60=make_string( LEN_286_246, BCHAR( ' ' ) );}{obj_t I_289_56;
{
I_289_56=BINT( 0 );
{_LOOP_288_27:

if( EQ_I( I_289_56, LEN_286_246 ))
return RES_287_60;else
{
{char CHAR_429_142;
{obj_t AUX_445_47;
{obj_t CHAR_350_154;
{obj_t AUX_446_180;
AUX_446_180=STRING_LENGTH( STRING_285_235 );if( BOUND_CHECK( I_289_56, AUX_446_180 ))
CHAR_350_154=BCHAR( STRING_REF( STRING_285_235, CINT( I_289_56 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_289_56 );}AUX_445_47=CHAR_UPCASE( CHAR_350_154 );}CHAR_429_142=CCHAR( AUX_445_47 );}{obj_t AUX_447_205;
AUX_447_205=STRING_LENGTH( RES_287_60 );if( BOUND_CHECK( I_289_56, AUX_447_205 ))
STRING_SET( RES_287_60, CINT( I_289_56 ), CHAR_429_142 );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_289_56 );}}
{obj_t I_448_169;
I_448_169=I_289_56;{
I_289_56=ADD_I_PTAG( I_448_169, PSUB_TAG( 1 ) );
goto _LOOP_288_27;
}}
}}
}}}}
}

obj_t
#if defined( __STDC__ )
__STRING_UPCASE___R4_STRINGS_6_7_250(obj_t ENV_398_184,obj_t STRING_285_235)
#else
__STRING_UPCASE___R4_STRINGS_6_7_250( ENV_398_184, STRING_285_235 )
obj_t ENV_398_184, STRING_285_235;
#endif
{

return STRING_UPCASE___R4_STRINGS_6_7_251( STRING_285_235 );
}

obj_t
#if defined( __STDC__ )
STRING_DOWNCASE___R4_STRINGS_6_7_199(obj_t STRING_290_74)
#else
STRING_DOWNCASE___R4_STRINGS_6_7_199( STRING_290_74 )
obj_t STRING_290_74;
#endif
{

{obj_t LEN_291_0;
LEN_291_0=STRING_LENGTH( STRING_290_74 );{obj_t RES_292_110;
{obj_t CHAR_352_88;
CHAR_352_88=BNIL;RES_292_110=make_string( LEN_291_0, BCHAR( ' ' ) );}{obj_t I_294_206;
{
I_294_206=BINT( 0 );
{_LOOP_293_69:

if( EQ_I( I_294_206, LEN_291_0 ))
return RES_292_110;else
{
{char CHAR_430_212;
{obj_t AUX_441_160;
{obj_t CHAR_356_237;
{obj_t AUX_442_53;
AUX_442_53=STRING_LENGTH( STRING_290_74 );if( BOUND_CHECK( I_294_206, AUX_442_53 ))
CHAR_356_237=BCHAR( STRING_REF( STRING_290_74, CINT( I_294_206 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_294_206 );}AUX_441_160=CHAR_DOWNCASE( CHAR_356_237 );}CHAR_430_212=CCHAR( AUX_441_160 );}{obj_t AUX_443_162;
AUX_443_162=STRING_LENGTH( RES_292_110 );if( BOUND_CHECK( I_294_206, AUX_443_162 ))
STRING_SET( RES_292_110, CINT( I_294_206 ), CHAR_430_212 );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_294_206 );}}
{obj_t I_444_7;
I_444_7=I_294_206;{
I_294_206=ADD_I_PTAG( I_444_7, PSUB_TAG( 1 ) );
goto _LOOP_293_69;
}}
}}
}}}}
}

obj_t
#if defined( __STDC__ )
__STRING_DOWNCASE___R4_STRINGS_6_7_107(obj_t ENV_397_44,obj_t STRING_290_74)
#else
__STRING_DOWNCASE___R4_STRINGS_6_7_107( ENV_397_44, STRING_290_74 )
obj_t ENV_397_44, STRING_290_74;
#endif
{

return STRING_DOWNCASE___R4_STRINGS_6_7_199( STRING_290_74 );
}

obj_t
#if defined( __STDC__ )
STRING_UPCASE____R4_STRINGS_6_7_61(obj_t STRING_295_191)
#else
STRING_UPCASE____R4_STRINGS_6_7_61( STRING_295_191 )
obj_t STRING_295_191;
#endif
{

{obj_t LEN_296_31;
LEN_296_31=STRING_LENGTH( STRING_295_191 );{obj_t I_299_250;
{
I_299_250=BINT( 0 );
{_LOOP_298_44:

if( EQ_I( I_299_250, LEN_296_31 ))
return STRING_295_191;else
{
{char CHAR_431_224;
{obj_t AUX_437_71;
{obj_t CHAR_359_252;
{obj_t AUX_438_249;
AUX_438_249=STRING_LENGTH( STRING_295_191 );if( BOUND_CHECK( I_299_250, AUX_438_249 ))
CHAR_359_252=BCHAR( STRING_REF( STRING_295_191, CINT( I_299_250 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_299_250 );}AUX_437_71=CHAR_UPCASE( CHAR_359_252 );}CHAR_431_224=CCHAR( AUX_437_71 );}{obj_t AUX_439_236;
AUX_439_236=STRING_LENGTH( STRING_295_191 );if( BOUND_CHECK( I_299_250, AUX_439_236 ))
STRING_SET( STRING_295_191, CINT( I_299_250 ), CHAR_431_224 );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_299_250 );}}
{obj_t I_440_40;
I_440_40=I_299_250;{
I_299_250=ADD_I_PTAG( I_440_40, PSUB_TAG( 1 ) );
goto _LOOP_298_44;
}}
}}
}}}
}

obj_t
#if defined( __STDC__ )
__STRING_UPCASE____R4_STRINGS_6_7_26(obj_t ENV_396_38,obj_t STRING_295_191)
#else
__STRING_UPCASE____R4_STRINGS_6_7_26( ENV_396_38, STRING_295_191 )
obj_t ENV_396_38, STRING_295_191;
#endif
{

return STRING_UPCASE____R4_STRINGS_6_7_61( STRING_295_191 );
}

obj_t
#if defined( __STDC__ )
STRING_DOWNCASE____R4_STRINGS_6_7_191(obj_t STRING_300_175)
#else
STRING_DOWNCASE____R4_STRINGS_6_7_191( STRING_300_175 )
obj_t STRING_300_175;
#endif
{

{obj_t LEN_301_8;
LEN_301_8=STRING_LENGTH( STRING_300_175 );{obj_t I_304_163;
{
I_304_163=BINT( 0 );
{_LOOP_303_168:

if( EQ_I( I_304_163, LEN_301_8 ))
return STRING_300_175;else
{
{char CHAR_432_220;
{obj_t AUX_433_202;
{obj_t CHAR_362_180;
{obj_t AUX_434_19;
AUX_434_19=STRING_LENGTH( STRING_300_175 );if( BOUND_CHECK( I_304_163, AUX_434_19 ))
CHAR_362_180=BCHAR( STRING_REF( STRING_300_175, CINT( I_304_163 ) ) );else
FAILURE( BREF( &STRING_R_0___R4_STRINGS_6_7_131), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_304_163 );}AUX_433_202=CHAR_DOWNCASE( CHAR_362_180 );}CHAR_432_220=CCHAR( AUX_433_202 );}{obj_t AUX_435_165;
AUX_435_165=STRING_LENGTH( STRING_300_175 );if( BOUND_CHECK( I_304_163, AUX_435_165 ))
STRING_SET( STRING_300_175, CINT( I_304_163 ), CHAR_432_220 );else
FAILURE( BREF( &STRING_S_2___R4_STRINGS_6_7_105), BREF( &INDEX_OU_1___R4_STRINGS_6_7_147), I_304_163 );}}
{obj_t I_436_121;
I_436_121=I_304_163;{
I_304_163=ADD_I_PTAG( I_436_121, PSUB_TAG( 1 ) );
goto _LOOP_303_168;
}}
}}
}}}
}

obj_t
#if defined( __STDC__ )
__STRING_DOWNCASE____R4_STRINGS_6_7_137(obj_t ENV_395_31,obj_t STRING_300_175)
#else
__STRING_DOWNCASE____R4_STRINGS_6_7_137( ENV_395_31, STRING_300_175 )
obj_t ENV_395_31, STRING_300_175;
#endif
{

return STRING_DOWNCASE____R4_STRINGS_6_7_191( STRING_300_175 );
}

obj_t
#if defined( __STDC__ )
STRING_FOR_READ___R4_STRINGS_6_7_154(obj_t STRING_305_80)
#else
STRING_FOR_READ___R4_STRINGS_6_7_154( STRING_305_80 )
obj_t STRING_305_80;
#endif
{

return string_for_read( STRING_305_80 );
}

obj_t
#if defined( __STDC__ )
__STRING_FOR_READ___R4_STRINGS_6_7_136(obj_t ENV_394_149,obj_t STRING_305_80)
#else
__STRING_FOR_READ___R4_STRINGS_6_7_136( ENV_394_149, STRING_305_80 )
obj_t ENV_394_149, STRING_305_80;
#endif
{

return STRING_FOR_READ___R4_STRINGS_6_7_154( STRING_305_80 );
}

obj_t
#if defined( __STDC__ )
BLIT_STRING____R4_STRINGS_6_7_12(obj_t S1_306_207,obj_t O1_307_67,obj_t S2_308_254,obj_t O2_309_26,obj_t L_310_144)
#else
BLIT_STRING____R4_STRINGS_6_7_12( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 )
obj_t S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144;
#endif
{

return blit_string( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 );
}

obj_t
#if defined( __STDC__ )
__BLIT_STRING____R4_STRINGS_6_7_211(obj_t ENV_393_135,obj_t S1_306_207,obj_t O1_307_67,obj_t S2_308_254,obj_t O2_309_26,obj_t L_310_144)
#else
__BLIT_STRING____R4_STRINGS_6_7_211( ENV_393_135, S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 )
obj_t ENV_393_135, S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144;
#endif
{

return BLIT_STRING____R4_STRINGS_6_7_12( S1_306_207, O1_307_67, S2_308_254, O2_309_26, L_310_144 );
}

