/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/hash.c                                               */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __OBJ__0__2_X_1___HASH_210(obj_t, obj_t, obj_t);
#else
extern obj_t __OBJ__0__2_X_1___HASH_210();
#endif
extern obj_t create_struct();
#if defined( __STDC__ )
extern obj_t __INT__0__255___HASH_153(obj_t, obj_t);
#else
extern obj_t __INT__0__255___HASH_153();
#endif
#if defined( __STDC__ )
extern obj_t __INT__0__2_X_1___HASH_161(obj_t, obj_t, obj_t);
#else
extern obj_t __INT__0__2_X_1___HASH_161();
#endif
extern long get_hash_power_number_from_int();
obj_t OBJ__0__255_ENV___HASH_29 = BUNSPEC;
DEFINE_STRING( MAKE_HAS_0___HASH_131, "make-hash-table", 15);
#if defined( __STDC__ )
extern obj_t STRING__0__2_X_1___HASH_0(obj_t, obj_t);
#else
extern obj_t STRING__0__2_X_1___HASH_0();
#endif
extern long get_hash_number();
obj_t INT__0__2_X_1_ENV___HASH_187 = BUNSPEC;
static obj_t HASHTBL_2___HASH_159 = BUNSPEC;
extern long get_hash_power_number_from_int();
obj_t STRING__0__255_ENV___HASH_184 = BUNSPEC;
#if defined( __STDC__ )
static obj_t GET_HASH_NUMBER___HASH_157(obj_t, obj_t);
#else
static obj_t GET_HASH_NUMBER___HASH_157();
#endif
#if defined( __STDC__ )
extern obj_t ____HASH_INITIALISATION___HASH_63(obj_t);
#else
extern obj_t ____HASH_INITIALISATION___HASH_63();
#endif
#if defined( __STDC__ )
extern obj_t OBJ__0__255___HASH_110(obj_t);
#else
extern obj_t OBJ__0__255___HASH_110();
#endif
DEFINE_STRING( INIT_SIZ_1___HASH_29, "init-size greater than max-size !", 33);
#if defined( __STDC__ )
extern obj_t INT__0__2_X_1___HASH_62(obj_t, obj_t);
#else
extern obj_t INT__0__2_X_1___HASH_62();
#endif
obj_t HASH_TABLE__ENV___HASH_25 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __STRING__0__2_X_1___HASH_46(obj_t, obj_t, obj_t);
#else
extern obj_t __STRING__0__2_X_1___HASH_46();
#endif
#if defined( __STDC__ )
extern obj_t __REM_KEY_HASH____HASH_70(obj_t, obj_t, obj_t);
#else
extern obj_t __REM_KEY_HASH____HASH_70();
#endif
obj_t REM_OBJ_HASH__ENV___HASH_108 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t HASH_TABLE_NB_ENTRY___HASH_219(obj_t);
#else
extern obj_t HASH_TABLE_NB_ENTRY___HASH_219();
#endif
obj_t PUT_HASH__ENV___HASH_56 = BUNSPEC;
extern obj_t make_va_procedure();
DEFINE_STRING( GET_HASH_5___HASH_95, "get-hash-number", 15);
#if defined( __STDC__ )
extern obj_t FOR_EACH_HASH___HASH_57(obj_t, obj_t);
#else
extern obj_t FOR_EACH_HASH___HASH_57();
#endif
#if defined( __STDC__ )
extern obj_t PUT_HASH____HASH_143(obj_t, obj_t);
#else
extern obj_t PUT_HASH____HASH_143();
#endif
#if defined( __STDC__ )
extern obj_t __STRING__0__255___HASH_177(obj_t, obj_t);
#else
extern obj_t __STRING__0__255___HASH_177();
#endif
#if defined( __STDC__ )
extern obj_t HASH_TABLE____HASH_220(obj_t);
#else
extern obj_t HASH_TABLE____HASH_220();
#endif
DEFINE_STRING( ILLEGAL__3___HASH_177, "Illegal max-size (not a 2 power)", 32);
#if defined( __STDC__ )
extern obj_t REM_KEY_HASH____HASH_125(obj_t, obj_t);
#else
extern obj_t REM_KEY_HASH____HASH_125();
#endif
extern obj_t MODULO___R4_NUMBERS_6_5_FIXNUM_157();
extern long get_hash_number_from_int();
#if defined( __STDC__ )
extern obj_t STRING__0__255___HASH_55(obj_t);
#else
extern obj_t STRING__0__255___HASH_55();
#endif
obj_t HASH_TABLE__VECTOR_ENV___HASH_53 = BUNSPEC;
obj_t HASH_TABLE_NB_ENTRY_ENV___HASH_108 = BUNSPEC;
obj_t STRING__0__2_X_1_ENV___HASH_140 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __REM_OBJ_HASH____HASH_77(obj_t, obj_t, obj_t);
#else
extern obj_t __REM_OBJ_HASH____HASH_77();
#endif
obj_t REM_KEY_HASH__ENV___HASH_82 = BUNSPEC;
obj_t OBJ__0__2_X_1_ENV___HASH_127 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____HASH_52 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __HASH_TABLE____HASH_123(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE____HASH_123();
#endif
#if defined( __STDC__ )
extern obj_t OBJ__0__2_X_1___HASH_19(obj_t, obj_t);
#else
extern obj_t OBJ__0__2_X_1___HASH_19();
#endif
obj_t GET_HASH_ENV___HASH_96 = BUNSPEC;
extern obj_t make_vector();
extern long get_hash_number_from_int();
#if defined( __STDC__ )
extern obj_t REM_OBJ_HASH____HASH_219(obj_t, obj_t);
#else
extern obj_t REM_OBJ_HASH____HASH_219();
#endif
obj_t MAKE_HASH_TABLE_ENV___HASH_33 = BUNSPEC;
obj_t FOR_EACH_HASH_ENV___HASH_124 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t HASH_TABLE__VECTOR___HASH_132(obj_t);
#else
extern obj_t HASH_TABLE__VECTOR___HASH_132();
#endif
extern obj_t ___HASH_INITIALISATION___HASH_224();
extern obj_t make_fx_procedure();
obj_t ___HASH_INITIALISATION_ENV___HASH_179 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __HASH_TABLE__VECTOR___HASH_153(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE__VECTOR___HASH_153();
#endif
#if defined( __STDC__ )
extern obj_t __PUT_HASH____HASH_49(obj_t, obj_t, obj_t);
#else
extern obj_t __PUT_HASH____HASH_49();
#endif
obj_t INT__0__255_ENV___HASH_111 = BUNSPEC;
extern long get_hash_power_number();
#if defined( __STDC__ )
extern obj_t __GET_HASH___HASH_178(obj_t, obj_t, obj_t);
#else
extern obj_t __GET_HASH___HASH_178();
#endif
#if defined( __STDC__ )
extern obj_t MAKE_HASH_TABLE___HASH_29(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t MAKE_HASH_TABLE___HASH_29();
#endif
extern obj_t ___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
DEFINE_STRING( ILLEGAL__4___HASH_64, "Illegal init-size (not a 2 power)", 33);
#if defined( __STDC__ )
extern obj_t __FOR_EACH_HASH___HASH_209(obj_t, obj_t, obj_t);
#else
extern obj_t __FOR_EACH_HASH___HASH_209();
#endif
#if defined( __STDC__ )
extern obj_t __OBJ__0__255___HASH_250(obj_t, obj_t);
#else
extern obj_t __OBJ__0__255___HASH_250();
#endif
#if defined( __STDC__ )
static obj_t HASH_TABLE_GROWS____HASH_213(obj_t);
#else
static obj_t HASH_TABLE_GROWS____HASH_213();
#endif
#if defined( __STDC__ )
extern obj_t __HASH_TABLE_NB_ENTRY___HASH_108(obj_t, obj_t);
#else
extern obj_t __HASH_TABLE_NB_ENTRY___HASH_108();
#endif
DEFINE_STRING( ILLEGAL__6___HASH_29, "Illegal get-hash-function", 25);
#if defined( __STDC__ )
extern obj_t GET_HASH___HASH_1(obj_t, obj_t);
#else
extern obj_t GET_HASH___HASH_1();
#endif
static obj_t DONE_7___HASH_249 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __MAKE_HASH_TABLE___HASH_59(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_HASH_TABLE___HASH_59();
#endif
#if defined( __STDC__ )
extern obj_t INT__0__255___HASH_251(obj_t);
#else
extern obj_t INT__0__255___HASH_251();
#endif

static obj_t _2_POWER__258_176();

obj_t
#if defined( __STDC__ )
___HASH_INITIALISATION___HASH_224()
#else
___HASH_INITIALISATION___HASH_224()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____HASH_52 ))
{
REQUIRE_INITIALISATION____HASH_52=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_FIXNUM_INITIALISATION___R4_NUMBERS_6_5_FIXNUM_221();
HASHTBL_2___HASH_159=c_string_to_symbol( "HASHTBL" );
DONE_7___HASH_249=c_string_to_symbol( "DONE" );
{
___HASH_INITIALISATION_ENV___HASH_179=make_fx_procedure( ____HASH_INITIALISATION___HASH_63, 0, 0 );
MAKE_HASH_TABLE_ENV___HASH_33=make_va_procedure( __MAKE_HASH_TABLE___HASH_59, -5, 0 );
HASH_TABLE__ENV___HASH_25=make_fx_procedure( __HASH_TABLE____HASH_123, 1, 0 );
HASH_TABLE_NB_ENTRY_ENV___HASH_108=make_fx_procedure( __HASH_TABLE_NB_ENTRY___HASH_108, 1, 0 );
HASH_TABLE__VECTOR_ENV___HASH_53=make_fx_procedure( __HASH_TABLE__VECTOR___HASH_153, 1, 0 );
GET_HASH_ENV___HASH_96=make_fx_procedure( __GET_HASH___HASH_178, 2, 0 );
PUT_HASH__ENV___HASH_56=make_fx_procedure( __PUT_HASH____HASH_49, 2, 0 );
REM_OBJ_HASH__ENV___HASH_108=make_fx_procedure( __REM_OBJ_HASH____HASH_77, 2, 0 );
REM_KEY_HASH__ENV___HASH_82=make_fx_procedure( __REM_KEY_HASH____HASH_70, 2, 0 );
FOR_EACH_HASH_ENV___HASH_124=make_fx_procedure( __FOR_EACH_HASH___HASH_209, 2, 0 );
STRING__0__255_ENV___HASH_184=make_fx_procedure( __STRING__0__255___HASH_177, 1, 0 );
STRING__0__2_X_1_ENV___HASH_140=make_fx_procedure( __STRING__0__2_X_1___HASH_46, 2, 0 );
INT__0__255_ENV___HASH_111=make_fx_procedure( __INT__0__255___HASH_153, 1, 0 );
INT__0__2_X_1_ENV___HASH_187=make_fx_procedure( __INT__0__2_X_1___HASH_161, 2, 0 );
OBJ__0__255_ENV___HASH_29=make_fx_procedure( __OBJ__0__255___HASH_250, 1, 0 );
OBJ__0__2_X_1_ENV___HASH_127=make_fx_procedure( __OBJ__0__2_X_1___HASH_210, 2, 0 );
{
BUNSPEC;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____HASH_INITIALISATION___HASH_63(obj_t ENV_527_130)
#else
____HASH_INITIALISATION___HASH_63( ENV_527_130 )
obj_t ENV_527_130;
#endif
{

return ___HASH_INITIALISATION___HASH_224();
}

obj_t
#if defined( __STDC__ )
MAKE_HASH_TABLE___HASH_29(obj_t MAX_SIZE_253_191,obj_t GET_HASH_NUMBER_254_5,obj_t GET_KEY_255_19,obj_t EQ_256_239,obj_t INIT_SIZE_257_95)
#else
MAKE_HASH_TABLE___HASH_29( MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 )
obj_t MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95;
#endif
{

{obj_t SIZE_259_164;
if( NULLP( INIT_SIZE_257_95 ))
SIZE_259_164=MAX_SIZE_253_191;else
SIZE_259_164=CAR( INIT_SIZE_257_95 );{obj_t AUX_560_5;
AUX_560_5=_2_POWER__258_176( SIZE_259_164 );if( BBOOL_TO_CBOOL( AUX_560_5 ))
{obj_t AUX_559_121;
AUX_559_121=_2_POWER__258_176( MAX_SIZE_253_191 );if( BBOOL_TO_CBOOL( AUX_559_121 ))
if( GT_I( SIZE_259_164, MAX_SIZE_253_191 ))
FAILURE( BREF( &MAKE_HAS_0___HASH_131), BREF( &INIT_SIZ_1___HASH_29), SIZE_259_164 );else
{obj_t TABLE_260_107;
TABLE_260_107=make_vector( SIZE_259_164, BNIL );{obj_t NEW_381_186;
NEW_381_186=create_struct( HASHTBL_2___HASH_159, BINT( 7 ) );{
STRUCT_SLOT_SET( NEW_381_186, BINT( 6 ), TABLE_260_107 );
STRUCT_SLOT_SET( NEW_381_186, BINT( 5 ), EQ_256_239 );
STRUCT_SLOT_SET( NEW_381_186, BINT( 4 ), BINT( 0 ) );
STRUCT_SLOT_SET( NEW_381_186, BINT( 3 ), GET_KEY_255_19 );
STRUCT_SLOT_SET( NEW_381_186, BINT( 2 ), GET_HASH_NUMBER_254_5 );
STRUCT_SLOT_SET( NEW_381_186, BINT( 1 ), SIZE_259_164 );
STRUCT_SLOT_SET( NEW_381_186, BINT( 0 ), MAX_SIZE_253_191 );
return NEW_381_186;
}}}else
FAILURE( BREF( &MAKE_HAS_0___HASH_131), BREF( &ILLEGAL__3___HASH_177), MAX_SIZE_253_191 );}else
FAILURE( BREF( &MAKE_HAS_0___HASH_131), BREF( &ILLEGAL__4___HASH_64), SIZE_259_164 );}}
}

static obj_t
#if defined( __STDC__ )
_2_POWER__258_176(obj_t SIZE_262_40)
#else
_2_POWER__258_176( SIZE_262_40 )
obj_t SIZE_262_40;
#endif
{

{obj_t N_264_4;
{
N_264_4=BINT( 1 );
{_LOOP_263_57:

{obj_t NUM_265_227;
NUM_265_227=BITLSH( BINT( 1 ), N_264_4 );if( EQ_I( NUM_265_227, SIZE_262_40 ))
return BTRUE;else
if( LT_I( NUM_265_227, SIZE_262_40 ))
{obj_t N_558_12;
N_558_12=N_264_4;{
N_264_4=ADD_I_PTAG( N_558_12, PSUB_TAG( 1 ) );
goto _LOOP_263_57;
}}else
return BFALSE;}}
}}
}

obj_t
#if defined( __STDC__ )
__MAKE_HASH_TABLE___HASH_59(obj_t ENV_526_122,obj_t MAX_SIZE_253_191,obj_t GET_HASH_NUMBER_254_5,obj_t GET_KEY_255_19,obj_t EQ_256_239,obj_t INIT_SIZE_257_95)
#else
__MAKE_HASH_TABLE___HASH_59( ENV_526_122, MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 )
obj_t ENV_526_122, MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95;
#endif
{

return MAKE_HASH_TABLE___HASH_29( MAX_SIZE_253_191, GET_HASH_NUMBER_254_5, GET_KEY_255_19, EQ_256_239, INIT_SIZE_257_95 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE____HASH_220(obj_t OBJ_266_167)
#else
HASH_TABLE____HASH_220( OBJ_266_167 )
obj_t OBJ_266_167;
#endif
{

if( STRUCTP( OBJ_266_167 ))
return CBOOL_TO_BBOOL( EQP( STRUCT_KEY( OBJ_266_167 ), HASHTBL_2___HASH_159 ) );else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE____HASH_123(obj_t ENV_525_208,obj_t OBJ_266_167)
#else
__HASH_TABLE____HASH_123( ENV_525_208, OBJ_266_167 )
obj_t ENV_525_208, OBJ_266_167;
#endif
{

return HASH_TABLE____HASH_220( OBJ_266_167 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE_NB_ENTRY___HASH_219(obj_t TABLE_267_234)
#else
HASH_TABLE_NB_ENTRY___HASH_219( TABLE_267_234 )
obj_t TABLE_267_234;
#endif
{

return STRUCT_SLOT_REF( TABLE_267_234, BINT( 4 ) );
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE_NB_ENTRY___HASH_108(obj_t ENV_524_245,obj_t TABLE_267_234)
#else
__HASH_TABLE_NB_ENTRY___HASH_108( ENV_524_245, TABLE_267_234 )
obj_t ENV_524_245, TABLE_267_234;
#endif
{

return HASH_TABLE_NB_ENTRY___HASH_219( TABLE_267_234 );
}

obj_t
#if defined( __STDC__ )
HASH_TABLE__VECTOR___HASH_132(obj_t TABLE_268_73)
#else
HASH_TABLE__VECTOR___HASH_132( TABLE_268_73 )
obj_t TABLE_268_73;
#endif
{

return STRUCT_SLOT_REF( TABLE_268_73, BINT( 6 ) );
}

obj_t
#if defined( __STDC__ )
__HASH_TABLE__VECTOR___HASH_153(obj_t ENV_523_77,obj_t TABLE_268_73)
#else
__HASH_TABLE__VECTOR___HASH_153( ENV_523_77, TABLE_268_73 )
obj_t ENV_523_77, TABLE_268_73;
#endif
{

return HASH_TABLE__VECTOR___HASH_132( TABLE_268_73 );
}

static obj_t
#if defined( __STDC__ )
GET_HASH_NUMBER___HASH_157(obj_t TABLE_269_173,obj_t KEY_270_201)
#else
GET_HASH_NUMBER___HASH_157( TABLE_269_173, KEY_270_201 )
obj_t TABLE_269_173, KEY_270_201;
#endif
{

{obj_t HASH_FUNCTION_271_185;
HASH_FUNCTION_271_185=STRUCT_SLOT_REF( TABLE_269_173, BINT( 2 ) );{obj_t MAX_SIZE_272_66;
MAX_SIZE_272_66=STRUCT_SLOT_REF( TABLE_269_173, BINT( 0 ) );{obj_t SIZE_273_54;
SIZE_273_54=STRUCT_SLOT_REF( TABLE_269_173, BINT( 1 ) );{obj_t NUM_274_224;
NUM_274_224=PROCEDURE_ENTRY( HASH_FUNCTION_271_185 )( HASH_FUNCTION_271_185, KEY_270_201, BEOA );{obj_t RES_275_24;
if( LT_I( SIZE_273_54, MAX_SIZE_272_66 ))
RES_275_24=MODULO___R4_NUMBERS_6_5_FIXNUM_157( NUM_274_224, SIZE_273_54 );else
RES_275_24=NUM_274_224;if( GE_I( RES_275_24, MAX_SIZE_272_66 ))
FAILURE( BREF( &GET_HASH_5___HASH_95), BREF( &ILLEGAL__6___HASH_29), TABLE_269_173 );else
return RES_275_24;}}}}}
}

obj_t
#if defined( __STDC__ )
GET_HASH___HASH_1(obj_t KEY_276_218,obj_t TABLE_277_131)
#else
GET_HASH___HASH_1( KEY_276_218, TABLE_277_131 )
obj_t KEY_276_218, TABLE_277_131;
#endif
{

{obj_t HASH_NUM_278_233;
HASH_NUM_278_233=GET_HASH_NUMBER___HASH_157( TABLE_277_131, KEY_276_218 );{obj_t HASH_EQ__279_203;
HASH_EQ__279_203=STRUCT_SLOT_REF( TABLE_277_131, BINT( 5 ) );{obj_t BUCKET_280_99;
{obj_t VECTOR_393_162;
VECTOR_393_162=STRUCT_SLOT_REF( TABLE_277_131, BINT( 6 ) );BUCKET_280_99=VECTOR_REF( VECTOR_393_162, HASH_NUM_278_233 );}{obj_t GET_KEY_281_5;
GET_KEY_281_5=STRUCT_SLOT_REF( TABLE_277_131, BINT( 3 ) );{obj_t BUCKET_283_175;
{
BUCKET_283_175=BUCKET_280_99;
{_LOOP_282_132:

if( NULLP( BUCKET_283_175 ))
return BFALSE;else
{obj_t C_CAR_396_101;
C_CAR_396_101=CAR( BUCKET_283_175 );{obj_t AUX_556_194;
{obj_t AUX_557_185;
AUX_557_185=PROCEDURE_ENTRY( GET_KEY_281_5 )( GET_KEY_281_5, C_CAR_396_101, BEOA );AUX_556_194=PROCEDURE_ENTRY( HASH_EQ__279_203 )( HASH_EQ__279_203, AUX_557_185, KEY_276_218, BEOA );}if( BBOOL_TO_CBOOL( AUX_556_194 ))
return CAR( BUCKET_283_175 );else
{obj_t C_CDR_398_96;
C_CDR_398_96=CDR( BUCKET_283_175 );{
BUCKET_283_175=C_CDR_398_96;
goto _LOOP_282_132;
}}}}}
}}}}}}
}

obj_t
#if defined( __STDC__ )
__GET_HASH___HASH_178(obj_t ENV_522_72,obj_t KEY_276_218,obj_t TABLE_277_131)
#else
__GET_HASH___HASH_178( ENV_522_72, KEY_276_218, TABLE_277_131 )
obj_t ENV_522_72, KEY_276_218, TABLE_277_131;
#endif
{

return GET_HASH___HASH_1( KEY_276_218, TABLE_277_131 );
}

obj_t
#if defined( __STDC__ )
PUT_HASH____HASH_143(obj_t OBJ_284_233,obj_t TABLE_285_84)
#else
PUT_HASH____HASH_143( OBJ_284_233, TABLE_285_84 )
obj_t OBJ_284_233, TABLE_285_84;
#endif
{

{
{bool_t __andtest_1000_528_125;
{obj_t AUX_553_105;
{obj_t N2_400_101;
N2_400_101=STRUCT_SLOT_REF( TABLE_285_84, BINT( 0 ) );{obj_t N1_399_103;
N1_399_103=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );AUX_553_105=CBOOL_TO_BBOOL( LT_I( N1_399_103, N2_400_101 ) );}}__andtest_1000_528_125=BBOOL_TO_CBOOL( AUX_553_105 );}{if( __andtest_1000_528_125)
{obj_t N2_404_126;
{obj_t Z1_408_176;
Z1_408_176=STRUCT_SLOT_REF( TABLE_285_84, BINT( 1 ) );N2_404_126=DIV_I( Z1_408_176, BINT( 2 ) );}{obj_t N1_403_174;
N1_403_174=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );if( GT_I( N1_403_174, N2_404_126 ))
goto _true_0;else
goto _false_1;}}else
goto _false_1;_true_0:
{HASH_TABLE_GROWS____HASH_213( TABLE_285_84 );
goto _endif_2;}_false_1:
BFALSE;_endif_2:
;
}}
{obj_t GET_KEY_287_101;
GET_KEY_287_101=STRUCT_SLOT_REF( TABLE_285_84, BINT( 3 ) );{obj_t KEY_288_150;
KEY_288_150=PROCEDURE_ENTRY( GET_KEY_287_101 )( GET_KEY_287_101, OBJ_284_233, BEOA );{obj_t HASH_EQ__289_40;
HASH_EQ__289_40=STRUCT_SLOT_REF( TABLE_285_84, BINT( 5 ) );{obj_t HASH_NUM_290_141;
HASH_NUM_290_141=GET_HASH_NUMBER___HASH_157( TABLE_285_84, KEY_288_150 );{obj_t VEC_291_186;
VEC_291_186=STRUCT_SLOT_REF( TABLE_285_84, BINT( 6 ) );{obj_t BUCKET_292_179;
BUCKET_292_179=VECTOR_REF( VEC_291_186, HASH_NUM_290_141 );if( NULLP( BUCKET_292_179 ))
{
{obj_t V_413_78;
{obj_t R_416_24;
R_416_24=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );V_413_78=ADD_I_PTAG( PSUB_TAG( 1 ), R_416_24 );}STRUCT_SLOT_SET( TABLE_285_84, BINT( 4 ), V_413_78 );}
{obj_t OBJ_422_242;
OBJ_422_242=MAKE_PAIR( OBJ_284_233, BNIL );VECTOR_SET( VEC_291_186, HASH_NUM_290_141, OBJ_422_242 );}
return OBJ_284_233;
}else
{obj_t BUCKET_294_227;
{
BUCKET_294_227=BUCKET_292_179;
{_LOOP_293_69:

{obj_t C_CAR_425_178;
C_CAR_425_178=CAR( BUCKET_294_227 );{obj_t AUX_554_164;
{obj_t AUX_555_29;
AUX_555_29=PROCEDURE_ENTRY( GET_KEY_287_101 )( GET_KEY_287_101, C_CAR_425_178, BEOA );AUX_554_164=PROCEDURE_ENTRY( HASH_EQ__289_40 )( HASH_EQ__289_40, AUX_555_29, KEY_288_150, BEOA );}if( BBOOL_TO_CBOOL( AUX_554_164 ))
return CAR( BUCKET_294_227 );else
{obj_t OBJ_427_126;
OBJ_427_126=CDR( BUCKET_294_227 );if( NULLP( OBJ_427_126 ))
{
{obj_t V_428_245;
{obj_t R_429_162;
R_429_162=STRUCT_SLOT_REF( TABLE_285_84, BINT( 4 ) );V_428_245=ADD_I_PTAG( PSUB_TAG( 1 ), R_429_162 );}STRUCT_SLOT_SET( TABLE_285_84, BINT( 4 ), V_428_245 );}
{obj_t OBJ_434_208;
OBJ_434_208=MAKE_PAIR( OBJ_284_233, BNIL );SET_CDR( BUCKET_294_227, OBJ_434_208 );}
return OBJ_284_233;
}else
{
BUCKET_294_227=OBJ_427_126;
goto _LOOP_293_69;
}}}}}
}}}}}}}}
}
}

obj_t
#if defined( __STDC__ )
__PUT_HASH____HASH_49(obj_t ENV_521_121,obj_t OBJ_284_233,obj_t TABLE_285_84)
#else
__PUT_HASH____HASH_49( ENV_521_121, OBJ_284_233, TABLE_285_84 )
obj_t ENV_521_121, OBJ_284_233, TABLE_285_84;
#endif
{

return PUT_HASH____HASH_143( OBJ_284_233, TABLE_285_84 );
}

obj_t
#if defined( __STDC__ )
REM_OBJ_HASH____HASH_219(obj_t OBJ_295_216,obj_t TABLE_296_159)
#else
REM_OBJ_HASH____HASH_219( OBJ_295_216, TABLE_296_159 )
obj_t OBJ_295_216, TABLE_296_159;
#endif
{

{obj_t GET_KEY_297_57;
GET_KEY_297_57=STRUCT_SLOT_REF( TABLE_296_159, BINT( 3 ) );{obj_t KEY_298_188;
KEY_298_188=PROCEDURE_ENTRY( GET_KEY_297_57 )( GET_KEY_297_57, OBJ_295_216, BEOA );{obj_t HASH_EQ__299_26;
HASH_EQ__299_26=STRUCT_SLOT_REF( TABLE_296_159, BINT( 5 ) );{obj_t HASH_NUM_300_253;
HASH_NUM_300_253=GET_HASH_NUMBER___HASH_157( TABLE_296_159, KEY_298_188 );{obj_t VEC_301_168;
VEC_301_168=STRUCT_SLOT_REF( TABLE_296_159, BINT( 6 ) );{obj_t BUCKET_302_131;
BUCKET_302_131=VECTOR_REF( VEC_301_168, HASH_NUM_300_253 );if( NULLP( BUCKET_302_131 ))
return BFALSE;else
{obj_t OBJ1_440_1;
OBJ1_440_1=CAR( BUCKET_302_131 );if( EQP( OBJ1_440_1, OBJ_295_216 ))
{
{obj_t V_441_92;
{obj_t L_444_220;
L_444_220=STRUCT_SLOT_REF( TABLE_296_159, BINT( 4 ) );V_441_92=SUB_I_PTAG( L_444_220, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( TABLE_296_159, BINT( 4 ), V_441_92 );}
{obj_t OBJ_447_82;
OBJ_447_82=CDR( BUCKET_302_131 );VECTOR_SET( VEC_301_168, HASH_NUM_300_253, OBJ_447_82 );}
return BTRUE;
}else
{obj_t BUCKET_304_209;
{
BUCKET_304_209=BUCKET_302_131;
{_LOOP_303_168:

{obj_t OBJ1_448_138;
{obj_t PAIR_450_7;
PAIR_450_7=CDR( BUCKET_304_209 );OBJ1_448_138=CAR( PAIR_450_7 );}if( EQP( OBJ1_448_138, OBJ_295_216 ))
{
{obj_t V_451_2;
{obj_t L_452_82;
L_452_82=STRUCT_SLOT_REF( TABLE_296_159, BINT( 4 ) );V_451_2=SUB_I_PTAG( L_452_82, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( TABLE_296_159, BINT( 4 ), V_451_2 );}
{obj_t OBJ_455_187;
{obj_t PAIR_457_36;
PAIR_457_36=CDR( BUCKET_304_209 );OBJ_455_187=CDR( PAIR_457_36 );}SET_CDR( BUCKET_304_209, OBJ_455_187 );}
return BTRUE;
}else
{obj_t OBJ_458_94;
OBJ_458_94=CDR( BUCKET_304_209 );if( NULLP( OBJ_458_94 ))
return BFALSE;else
{
BUCKET_304_209=OBJ_458_94;
goto _LOOP_303_168;
}}}}
}}}}}}}}}
}

obj_t
#if defined( __STDC__ )
__REM_OBJ_HASH____HASH_77(obj_t ENV_520_64,obj_t OBJ_295_216,obj_t TABLE_296_159)
#else
__REM_OBJ_HASH____HASH_77( ENV_520_64, OBJ_295_216, TABLE_296_159 )
obj_t ENV_520_64, OBJ_295_216, TABLE_296_159;
#endif
{

return REM_OBJ_HASH____HASH_219( OBJ_295_216, TABLE_296_159 );
}

obj_t
#if defined( __STDC__ )
REM_KEY_HASH____HASH_125(obj_t KEY_305_99,obj_t TABLE_306_66)
#else
REM_KEY_HASH____HASH_125( KEY_305_99, TABLE_306_66 )
obj_t KEY_305_99, TABLE_306_66;
#endif
{

{obj_t GET_KEY_307_73;
GET_KEY_307_73=STRUCT_SLOT_REF( TABLE_306_66, BINT( 3 ) );{obj_t HASH_EQ__308_208;
HASH_EQ__308_208=STRUCT_SLOT_REF( TABLE_306_66, BINT( 5 ) );{obj_t HASH_NUM_309_116;
HASH_NUM_309_116=GET_HASH_NUMBER___HASH_157( TABLE_306_66, KEY_305_99 );{obj_t VEC_310_128;
VEC_310_128=STRUCT_SLOT_REF( TABLE_306_66, BINT( 6 ) );{obj_t BUCKET_311_33;
BUCKET_311_33=VECTOR_REF( VEC_310_128, HASH_NUM_309_116 );if( NULLP( BUCKET_311_33 ))
return BFALSE;else
{obj_t C_CAR_463_198;
C_CAR_463_198=CAR( BUCKET_311_33 );{obj_t AUX_551_143;
{obj_t AUX_552_134;
AUX_552_134=PROCEDURE_ENTRY( GET_KEY_307_73 )( GET_KEY_307_73, C_CAR_463_198, BEOA );AUX_551_143=PROCEDURE_ENTRY( HASH_EQ__308_208 )( HASH_EQ__308_208, AUX_552_134, KEY_305_99, BEOA );}if( BBOOL_TO_CBOOL( AUX_551_143 ))
{
{obj_t V_464_17;
{obj_t L_465_245;
L_465_245=STRUCT_SLOT_REF( TABLE_306_66, BINT( 4 ) );V_464_17=SUB_I_PTAG( L_465_245, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( TABLE_306_66, BINT( 4 ), V_464_17 );}
{obj_t OBJ_468_16;
OBJ_468_16=CDR( BUCKET_311_33 );VECTOR_SET( VEC_310_128, HASH_NUM_309_116, OBJ_468_16 );}
return BTRUE;
}else
{obj_t BUCKET_313_189;
{
BUCKET_313_189=BUCKET_311_33;
{_LOOP_312_190:

{obj_t PAIR_469_209;
PAIR_469_209=CDR( BUCKET_313_189 );{obj_t C_CAR_470_157;
C_CAR_470_157=CAR( PAIR_469_209 );{obj_t AUX_549_229;
{obj_t AUX_550_55;
AUX_550_55=PROCEDURE_ENTRY( GET_KEY_307_73 )( GET_KEY_307_73, C_CAR_470_157, BEOA );AUX_549_229=PROCEDURE_ENTRY( HASH_EQ__308_208 )( HASH_EQ__308_208, AUX_550_55, KEY_305_99, BEOA );}if( BBOOL_TO_CBOOL( AUX_549_229 ))
{
{obj_t V_471_213;
{obj_t L_472_242;
L_472_242=STRUCT_SLOT_REF( TABLE_306_66, BINT( 4 ) );V_471_213=SUB_I_PTAG( L_472_242, PSUB_TAG( 1 ) );}STRUCT_SLOT_SET( TABLE_306_66, BINT( 4 ), V_471_213 );}
{obj_t OBJ_475_170;
{obj_t PAIR_476_232;
PAIR_476_232=CDR( BUCKET_313_189 );OBJ_475_170=CDR( PAIR_476_232 );}SET_CDR( BUCKET_313_189, OBJ_475_170 );}
return BTRUE;
}else
{obj_t OBJ_477_118;
OBJ_477_118=CDR( BUCKET_313_189 );if( NULLP( OBJ_477_118 ))
return BFALSE;else
{
BUCKET_313_189=OBJ_477_118;
goto _LOOP_312_190;
}}}}}}
}}}}}}}}}
}

obj_t
#if defined( __STDC__ )
__REM_KEY_HASH____HASH_70(obj_t ENV_519_203,obj_t KEY_305_99,obj_t TABLE_306_66)
#else
__REM_KEY_HASH____HASH_70( ENV_519_203, KEY_305_99, TABLE_306_66 )
obj_t ENV_519_203, KEY_305_99, TABLE_306_66;
#endif
{

return REM_KEY_HASH____HASH_125( KEY_305_99, TABLE_306_66 );
}

obj_t
#if defined( __STDC__ )
FOR_EACH_HASH___HASH_57(obj_t FUN_314_238,obj_t TABLE_315_174)
#else
FOR_EACH_HASH___HASH_57( FUN_314_238, TABLE_315_174 )
obj_t FUN_314_238, TABLE_315_174;
#endif
{

{obj_t VEC_316_176;
VEC_316_176=STRUCT_SLOT_REF( TABLE_315_174, BINT( 6 ) );{obj_t I_318_107;
{obj_t L_485_188;
L_485_188=STRUCT_SLOT_REF( TABLE_315_174, BINT( 1 ) );{
I_318_107=SUB_I_PTAG( L_485_188, PSUB_TAG( 1 ) );
{_LOOP_317_148:

if( EQ_I( I_318_107, BINT( -1 ) ))
return BUNSPEC;else
{
{obj_t g1001_320_93;
{obj_t C_VECTOR_REF_483_158;
C_VECTOR_REF_483_158=VECTOR_REF( VEC_316_176, I_318_107 );{
g1001_320_93=C_VECTOR_REF_483_158;
{_g1002_319_56:

if( PAIRP( g1001_320_93 ))
{
{obj_t C_CAR_481_145;
C_CAR_481_145=CAR( g1001_320_93 );PROCEDURE_ENTRY( FUN_314_238 )( FUN_314_238, C_CAR_481_145, BEOA );}
{obj_t C_CDR_482_134;
C_CDR_482_134=CDR( g1001_320_93 );{
g1001_320_93=C_CDR_482_134;
goto _g1002_319_56;
}}
}else
BTRUE;}
}}}
{obj_t I_548_94;
I_548_94=I_318_107;{
I_318_107=SUB_I_PTAG( I_548_94, PSUB_TAG( 1 ) );
goto _LOOP_317_148;
}}
}}
}}}}
}

obj_t
#if defined( __STDC__ )
__FOR_EACH_HASH___HASH_209(obj_t ENV_518_76,obj_t FUN_314_238,obj_t TABLE_315_174)
#else
__FOR_EACH_HASH___HASH_209( ENV_518_76, FUN_314_238, TABLE_315_174 )
obj_t ENV_518_76, FUN_314_238, TABLE_315_174;
#endif
{

return FOR_EACH_HASH___HASH_57( FUN_314_238, TABLE_315_174 );
}

static obj_t
#if defined( __STDC__ )
HASH_TABLE_GROWS____HASH_213(obj_t TABLE_321_70)
#else
HASH_TABLE_GROWS____HASH_213( TABLE_321_70 )
obj_t TABLE_321_70;
#endif
{

{obj_t MAX_SIZE_322_242;
MAX_SIZE_322_242=STRUCT_SLOT_REF( TABLE_321_70, BINT( 0 ) );{obj_t SIZE_323_184;
SIZE_323_184=STRUCT_SLOT_REF( TABLE_321_70, BINT( 1 ) );{obj_t NEW_SIZE_324_24;
NEW_SIZE_324_24=MUL_I( SIZE_323_184, BINT( 2 ) );{obj_t NEW_TABLE_325_20;
NEW_TABLE_325_20=make_vector( NEW_SIZE_324_24, BNIL );{obj_t OLD_TABLE_326_109;
OLD_TABLE_326_109=STRUCT_SLOT_REF( TABLE_321_70, BINT( 6 ) );{
STRUCT_SLOT_SET( TABLE_321_70, BINT( 1 ), NEW_SIZE_324_24 );
STRUCT_SLOT_SET( TABLE_321_70, BINT( 6 ), NEW_TABLE_325_20 );
{obj_t I_328_71;
{
I_328_71=BINT( 0 );
{_LOOP_327_42:

if( EQ_I( I_328_71, SIZE_323_184 ))
return DONE_7___HASH_249;else
{obj_t BUCKET_329_161;
BUCKET_329_161=VECTOR_REF( OLD_TABLE_326_109, I_328_71 );{
{obj_t g1003_331_0;
{
g1003_331_0=BUCKET_329_161;
{_g1004_330_17:

if( PAIRP( g1003_331_0 ))
{
{obj_t OBJ_332_234;
OBJ_332_234=CAR( g1003_331_0 );PUT_HASH____HASH_143( OBJ_332_234, TABLE_321_70 );}
{obj_t C_CDR_493_200;
C_CDR_493_200=CDR( g1003_331_0 );{
g1003_331_0=C_CDR_493_200;
goto _g1004_330_17;
}}
}else
BTRUE;}
}}
{obj_t I_547_32;
I_547_32=I_328_71;{
I_328_71=ADD_I_PTAG( I_547_32, PSUB_TAG( 1 ) );
goto _LOOP_327_42;
}}
}}}
}}
}}}}}}
}

obj_t
#if defined( __STDC__ )
STRING__0__255___HASH_55(obj_t STRING_333_53)
#else
STRING__0__255___HASH_55( STRING_333_53 )
obj_t STRING_333_53;
#endif
{

{long AUX_546_248;
AUX_546_248=get_hash_number( BSTRING_TO_CSTRING( STRING_333_53 ) );return BINT( AUX_546_248 );}
}

obj_t
#if defined( __STDC__ )
__STRING__0__255___HASH_177(obj_t ENV_517_222,obj_t STRING_333_53)
#else
__STRING__0__255___HASH_177( ENV_517_222, STRING_333_53 )
obj_t ENV_517_222, STRING_333_53;
#endif
{

return STRING__0__255___HASH_55( STRING_333_53 );
}

obj_t
#if defined( __STDC__ )
STRING__0__2_X_1___HASH_0(obj_t STRING_334_47,obj_t POWER_335_131)
#else
STRING__0__2_X_1___HASH_0( STRING_334_47, POWER_335_131 )
obj_t STRING_334_47, POWER_335_131;
#endif
{

{long AUX_545_10;
AUX_545_10=get_hash_power_number( BSTRING_TO_CSTRING( STRING_334_47 ), CINT( POWER_335_131 ) );return BINT( AUX_545_10 );}
}

obj_t
#if defined( __STDC__ )
__STRING__0__2_X_1___HASH_46(obj_t ENV_516_235,obj_t STRING_334_47,obj_t POWER_335_131)
#else
__STRING__0__2_X_1___HASH_46( ENV_516_235, STRING_334_47, POWER_335_131 )
obj_t ENV_516_235, STRING_334_47, POWER_335_131;
#endif
{

return STRING__0__2_X_1___HASH_0( STRING_334_47, POWER_335_131 );
}

obj_t
#if defined( __STDC__ )
INT__0__255___HASH_251(obj_t INT_336_194)
#else
INT__0__255___HASH_251( INT_336_194 )
obj_t INT_336_194;
#endif
{

{long AUX_544_219;
AUX_544_219=get_hash_number_from_int( CINT( INT_336_194 ) );return BINT( AUX_544_219 );}
}

obj_t
#if defined( __STDC__ )
__INT__0__255___HASH_153(obj_t ENV_515_163,obj_t INT_336_194)
#else
__INT__0__255___HASH_153( ENV_515_163, INT_336_194 )
obj_t ENV_515_163, INT_336_194;
#endif
{

return INT__0__255___HASH_251( INT_336_194 );
}

obj_t
#if defined( __STDC__ )
INT__0__2_X_1___HASH_62(obj_t INT_337_185,obj_t POWER_338_248)
#else
INT__0__2_X_1___HASH_62( INT_337_185, POWER_338_248 )
obj_t INT_337_185, POWER_338_248;
#endif
{

{long AUX_543_200;
AUX_543_200=get_hash_power_number_from_int( CINT( INT_337_185 ), CINT( POWER_338_248 ) );return BINT( AUX_543_200 );}
}

obj_t
#if defined( __STDC__ )
__INT__0__2_X_1___HASH_161(obj_t ENV_514_200,obj_t INT_337_185,obj_t POWER_338_248)
#else
__INT__0__2_X_1___HASH_161( ENV_514_200, INT_337_185, POWER_338_248 )
obj_t ENV_514_200, INT_337_185, POWER_338_248;
#endif
{

return INT__0__2_X_1___HASH_62( INT_337_185, POWER_338_248 );
}

obj_t
#if defined( __STDC__ )
OBJ__0__255___HASH_110(obj_t OBJ_339_65)
#else
OBJ__0__255___HASH_110( OBJ_339_65 )
obj_t OBJ_339_65;
#endif
{

if( STRINGP( OBJ_339_65 ))
{long AUX_539_13;
AUX_539_13=get_hash_number( BSTRING_TO_CSTRING( OBJ_339_65 ) );return BINT( AUX_539_13 );}else
if( SYMBOLP( OBJ_339_65 ))
{obj_t STRING_497_70;
STRING_497_70=SYMBOL_TO_STRING( OBJ_339_65 );{long AUX_540_222;
AUX_540_222=get_hash_number( BSTRING_TO_CSTRING( STRING_497_70 ) );return BINT( AUX_540_222 );}}else
if( INTEGERP( OBJ_339_65 ))
{long AUX_541_235;
AUX_541_235=get_hash_number_from_int( CINT( OBJ_339_65 ) );return BINT( AUX_541_235 );}else
if( CHARP( OBJ_339_65 ))
return CHAR_TO_INT( OBJ_339_65 );else
{long AUX_542_163;
AUX_542_163=get_hash_number_from_int( OBJ_339_65 );return BINT( AUX_542_163 );}
}

obj_t
#if defined( __STDC__ )
__OBJ__0__255___HASH_250(obj_t ENV_513_219,obj_t OBJ_339_65)
#else
__OBJ__0__255___HASH_250( ENV_513_219, OBJ_339_65 )
obj_t ENV_513_219, OBJ_339_65;
#endif
{

return OBJ__0__255___HASH_110( OBJ_339_65 );
}

obj_t
#if defined( __STDC__ )
OBJ__0__2_X_1___HASH_19(obj_t OBJ_340_63,obj_t POWER_341_142)
#else
OBJ__0__2_X_1___HASH_19( OBJ_340_63, POWER_341_142 )
obj_t OBJ_340_63, POWER_341_142;
#endif
{

if( STRINGP( OBJ_340_63 ))
{long AUX_535_224;
AUX_535_224=get_hash_power_number( BSTRING_TO_CSTRING( OBJ_340_63 ), CINT( POWER_341_142 ) );return BINT( AUX_535_224 );}else
if( SYMBOLP( OBJ_340_63 ))
{obj_t STRING_502_228;
STRING_502_228=SYMBOL_TO_STRING( OBJ_340_63 );{long AUX_536_220;
AUX_536_220=get_hash_power_number( BSTRING_TO_CSTRING( STRING_502_228 ), CINT( POWER_341_142 ) );return BINT( AUX_536_220 );}}else
if( INTEGERP( OBJ_340_63 ))
{long AUX_537_94;
AUX_537_94=get_hash_power_number_from_int( CINT( OBJ_340_63 ), CINT( POWER_341_142 ) );return BINT( AUX_537_94 );}else
if( CHARP( OBJ_340_63 ))
return CHAR_TO_INT( OBJ_340_63 );else
{long AUX_538_32;
AUX_538_32=get_hash_power_number_from_int( OBJ_340_63, CINT( POWER_341_142 ) );return BINT( AUX_538_32 );}
}

obj_t
#if defined( __STDC__ )
__OBJ__0__2_X_1___HASH_210(obj_t ENV_512_10,obj_t OBJ_340_63,obj_t POWER_341_142)
#else
__OBJ__0__2_X_1___HASH_210( ENV_512_10, OBJ_340_63, POWER_341_142 )
obj_t ENV_512_10, OBJ_340_63, POWER_341_142;
#endif
{

return OBJ__0__2_X_1___HASH_19( OBJ_340_63, POWER_341_142 );
}

