/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Llib/system.c                                             */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __CHDIR___SYSTEM_75(obj_t, obj_t);
#else
extern obj_t __CHDIR___SYSTEM_75();
#endif
extern obj_t ___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
extern obj_t c_substring();
obj_t CHECK_FOR_VERSION_SOUNDNESS__ENV___SYSTEM_85 = BUNSPEC;
static obj_t __RELEASE____SYSTEM_14 = BUNSPEC;
extern obj_t string_append();
#if defined( __STDC__ )
extern obj_t __COMMAND_LINE___SYSTEM_140(obj_t);
#else
extern obj_t __COMMAND_LINE___SYSTEM_140();
#endif
#if defined( __STDC__ )
extern obj_t __SYSTEM___SYSTEM_33(obj_t, obj_t);
#else
extern obj_t __SYSTEM___SYSTEM_33();
#endif
#if defined( __STDC__ )
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45(obj_t, obj_t, obj_t);
#else
extern obj_t CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45();
#endif
extern char * c_date();
extern obj_t MIN___R4_NUMBERS_6_5_9();
#if defined( __STDC__ )
extern obj_t LOCATION_REF___SYSTEM_225(obj_t);
#else
extern obj_t LOCATION_REF___SYSTEM_225();
#endif
extern obj_t DATE___SYSTEM_172();
extern obj_t COMMAND_LINE___SYSTEM_172();
extern obj_t get_signal_handler();
obj_t LOCATION_REF_ENV___SYSTEM_162 = BUNSPEC;
DEFINE_STRING( AND_OTHE_3___SYSTEM_194, "and other by: ", 14);
#if defined( __STDC__ )
extern obj_t GET_SIGNAL_HANDLER___SYSTEM_233(obj_t);
#else
extern obj_t GET_SIGNAL_HANDLER___SYSTEM_233();
#endif
#if defined( __STDC__ )
extern obj_t SYSTEM___SYSTEM_121(obj_t);
#else
extern obj_t SYSTEM___SYSTEM_121();
#endif
obj_t CNST__ENV___SYSTEM_162 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247();
#endif
#if defined( __STDC__ )
extern obj_t __LOCATION_REF___SYSTEM_159(obj_t, obj_t);
#else
extern obj_t __LOCATION_REF___SYSTEM_159();
#endif
DEFINE_STRING( CHAR___0___SYSTEM_73, "char=?", 6);
DEFINE_STRING( SOME_MOD_5___SYSTEM_40, "Some modules have been compiled by: ", 36);
DEFINE_STRING( __4___SYSTEM_209, "", 0);
DEFINE_STRING( SIGNAL_6___SYSTEM_27, "signal", 6);
#if defined( __STDC__ )
extern obj_t ____SYSTEM_INITIALISATION___SYSTEM_62(obj_t);
#else
extern obj_t ____SYSTEM_INITIALISATION___SYSTEM_62();
#endif
extern int system();
extern obj_t command_line;
DEFINE_STRING( ARGUMENT_1___SYSTEM_240, "argument not a char", 19);
#if defined( __STDC__ )
extern obj_t __GETENV___SYSTEM_105(obj_t, obj_t);
#else
extern obj_t __GETENV___SYSTEM_105();
#endif
static obj_t REQUIRE_INITIALISATION____SYSTEM_10 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
obj_t CHDIR_ENV___SYSTEM_42 = BUNSPEC;
DEFINE_STRING( ILLEGAL__7___SYSTEM_202, "Illegal signal", 14);
#if defined( __STDC__ )
extern obj_t __LOCATION_SET____SYSTEM_161(obj_t, obj_t, obj_t);
#else
extern obj_t __LOCATION_SET____SYSTEM_161();
#endif
static obj_t __MODULES____SYSTEM_159 = BUNSPEC;
obj_t ___SYSTEM_INITIALISATION_ENV___SYSTEM_55 = BUNSPEC;
obj_t SYSTEM_ENV___SYSTEM_183 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __CNST____SYSTEM_27(obj_t, obj_t);
#else
extern obj_t __CNST____SYSTEM_27();
#endif
DEFINE_STRING( WRONG_NU_8___SYSTEM_179, "Wrong number of arguments", 25);
obj_t GET_SIGNAL_HANDLER_ENV___SYSTEM_96 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t CNST____SYSTEM_225(obj_t);
#else
extern obj_t CNST____SYSTEM_225();
#endif
#if defined( __STDC__ )
extern obj_t SIGNAL___SYSTEM_12(obj_t, obj_t);
#else
extern obj_t SIGNAL___SYSTEM_12();
#endif
#if defined( __STDC__ )
extern obj_t LOCATION_SET____SYSTEM_130(obj_t, obj_t);
#else
extern obj_t LOCATION_SET____SYSTEM_130();
#endif
extern obj_t make_fx_procedure();
obj_t LOCATION_SET__ENV___SYSTEM_109 = BUNSPEC;
extern obj_t c_signal();
#if defined( __STDC__ )
extern obj_t __SIGNAL___SYSTEM_238(obj_t, obj_t, obj_t);
#else
extern obj_t __SIGNAL___SYSTEM_238();
#endif
#if defined( __STDC__ )
extern obj_t CHDIR___SYSTEM_182(obj_t);
#else
extern obj_t CHDIR___SYSTEM_182();
#endif
DEFINE_STRING( ___LEVEL__2___SYSTEM_71, " (level 0)", 10);
extern char * getenv();
extern obj_t ___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
#if defined( __STDC__ )
extern obj_t __DATE___SYSTEM_135(obj_t);
#else
extern obj_t __DATE___SYSTEM_135();
#endif
obj_t DATE_ENV___SYSTEM_117 = BUNSPEC;
obj_t GETENV_ENV___SYSTEM_58 = BUNSPEC;
static obj_t __LEVEL____SYSTEM_117 = BUNSPEC;
extern bool_t bigloo_strcmp();
obj_t COMMAND_LINE_ENV___SYSTEM_117 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __GET_SIGNAL_HANDLER___SYSTEM_117(obj_t, obj_t);
#else
extern obj_t __GET_SIGNAL_HANDLER___SYSTEM_117();
#endif
#if defined( __STDC__ )
extern obj_t GETENV___SYSTEM_77(obj_t);
#else
extern obj_t GETENV___SYSTEM_77();
#endif
obj_t SIGNAL_ENV___SYSTEM_203 = BUNSPEC;
extern obj_t LIST__STRING___R4_STRINGS_6_7_67();
extern int chdir();
extern obj_t ___SYSTEM_INITIALISATION___SYSTEM_109();

static obj_t RELEASE_NAME_229_227();

obj_t
#if defined( __STDC__ )
___SYSTEM_INITIALISATION___SYSTEM_109()
#else
___SYSTEM_INITIALISATION___SYSTEM_109()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____SYSTEM_10 ))
{
REQUIRE_INITIALISATION____SYSTEM_10=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___R4_NUMBERS_6_5_INITIALISATION___R4_NUMBERS_6_5_98();
___R4_STRINGS_6_7_INITIALISATION___R4_STRINGS_6_7_90();
{
___SYSTEM_INITIALISATION_ENV___SYSTEM_55=make_fx_procedure( ____SYSTEM_INITIALISATION___SYSTEM_62, 0, 0 );
CHECK_FOR_VERSION_SOUNDNESS__ENV___SYSTEM_85=make_fx_procedure( __CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247, 3, 0 );
COMMAND_LINE_ENV___SYSTEM_117=make_fx_procedure( __COMMAND_LINE___SYSTEM_140, 0, 0 );
SIGNAL_ENV___SYSTEM_203=make_fx_procedure( __SIGNAL___SYSTEM_238, 2, 0 );
GET_SIGNAL_HANDLER_ENV___SYSTEM_96=make_fx_procedure( __GET_SIGNAL_HANDLER___SYSTEM_117, 1, 0 );
GETENV_ENV___SYSTEM_58=make_fx_procedure( __GETENV___SYSTEM_105, 1, 0 );
SYSTEM_ENV___SYSTEM_183=make_fx_procedure( __SYSTEM___SYSTEM_33, 1, 0 );
DATE_ENV___SYSTEM_117=make_fx_procedure( __DATE___SYSTEM_135, 0, 0 );
CHDIR_ENV___SYSTEM_42=make_fx_procedure( __CHDIR___SYSTEM_75, 1, 0 );
LOCATION_REF_ENV___SYSTEM_162=make_fx_procedure( __LOCATION_REF___SYSTEM_159, 1, 0 );
LOCATION_SET__ENV___SYSTEM_109=make_fx_procedure( __LOCATION_SET____SYSTEM_161, 2, 0 );
CNST__ENV___SYSTEM_162=make_fx_procedure( __CNST____SYSTEM_27, 1, 0 );
{
__RELEASE____SYSTEM_14=BFALSE;
__LEVEL____SYSTEM_117=BFALSE;
__MODULES____SYSTEM_159=BNIL;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____SYSTEM_INITIALISATION___SYSTEM_62(obj_t ENV_324_96)
#else
____SYSTEM_INITIALISATION___SYSTEM_62( ENV_324_96 )
obj_t ENV_324_96;
#endif
{

return ___SYSTEM_INITIALISATION___SYSTEM_109();
}

obj_t
#if defined( __STDC__ )
CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45(obj_t MODULE_222_243,obj_t RELEASE_223_31,obj_t LEVEL_224_150)
#else
CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( MODULE_222_243, RELEASE_223_31, LEVEL_224_150 )
obj_t MODULE_222_243, RELEASE_223_31, LEVEL_224_150;
#endif
{

{bool_t OBJ_325_7;
OBJ_325_7=STRINGP( __RELEASE____SYSTEM_14 );if( OBJ_325_7)
{bool_t __ortest_1000_327_247;
{obj_t AUX_337_78;
{obj_t MIN_228_65;
{obj_t L_249_164;
{obj_t VA_ARG_297_55;
{obj_t STRING_252_77;
STRING_252_77=__RELEASE____SYSTEM_14;{obj_t AUX_338_183;
AUX_338_183=STRING_LENGTH( STRING_252_77 );VA_ARG_297_55=MAKE_PAIR( AUX_338_183, BNIL );}}{obj_t AUX_339_167;
AUX_339_167=STRING_LENGTH( RELEASE_223_31 );L_249_164=MIN___R4_NUMBERS_6_5_9( AUX_339_167, VA_ARG_297_55 );}}MIN_228_65=SUB_I_PTAG( L_249_164, PSUB_TAG( 1 ) );}{bool_t OBJ_326_173;
{obj_t AUX_340_28;
{obj_t STRING2_258_105;
{obj_t STRING_262_82;
STRING_262_82=__RELEASE____SYSTEM_14;STRING2_258_105=c_substring( STRING_262_82, BINT( 0 ), MIN_228_65 );}AUX_340_28=CBOOL_TO_BBOOL( bigloo_strcmp( c_substring( RELEASE_223_31, BINT( 0 ), MIN_228_65 ), STRING2_258_105 ) );}OBJ_326_173=BBOOL_TO_CBOOL( AUX_340_28 );}if( OBJ_326_173)
AUX_337_78=BFALSE;else
AUX_337_78=BTRUE;}}__ortest_1000_327_247=BBOOL_TO_CBOOL( AUX_337_78 );}{if( __ortest_1000_327_247)
goto _true_3;else
{bool_t __andtest_1001_328_107;
__andtest_1001_328_107=CHARP( LEVEL_224_150 );if( __andtest_1001_328_107)
{bool_t __andtest_1002_329_145;
{obj_t AUX_341_210;
{obj_t OBJ_264_157;
OBJ_264_157=__LEVEL____SYSTEM_117;{bool_t AUX_342_186;
AUX_342_186=CHARP( OBJ_264_157 );AUX_341_210=CBOOL_TO_BBOOL( AUX_342_186 );}}__andtest_1002_329_145=BBOOL_TO_CBOOL( AUX_341_210 );}if( __andtest_1002_329_145)
{bool_t OBJ_330_56;
{obj_t AUX_343_67;
{obj_t CHAR1_268_116;
CHAR1_268_116=__LEVEL____SYSTEM_117;if( CHARP( CHAR1_268_116 ))
if( CHARP( LEVEL_224_150 ))
AUX_343_67=CBOOL_TO_BBOOL( EQP( CHAR1_268_116, LEVEL_224_150 ) );else
FAILURE( BREF( &CHAR___0___SYSTEM_73), BREF( &ARGUMENT_1___SYSTEM_240), LEVEL_224_150 );else
FAILURE( BREF( &CHAR___0___SYSTEM_73), BREF( &ARGUMENT_1___SYSTEM_240), CHAR1_268_116 );}OBJ_330_56=BBOOL_TO_CBOOL( AUX_343_67 );}if( OBJ_330_56)
goto _false_4;else
goto _true_3;}else
goto _false_4;}else
goto _false_4;}_true_3:
{obj_t OBJECT_279_140;
{obj_t OBJ2_286_242;
OBJ2_286_242=__MODULES____SYSTEM_159;OBJECT_279_140=MAKE_PAIR( MODULE_222_243, OBJ2_286_242 );}{obj_t MESSAGE_278_104;
{obj_t STRING_CAST_303_180;
STRING_CAST_303_180=BREF( &AND_OTHE_3___SYSTEM_194);{obj_t AUX_344_2;
{obj_t AUX_345_15;
if( CHARP( LEVEL_224_150 ))
{obj_t CHARS_283_239;
CHARS_283_239=MAKE_PAIR( LEVEL_224_150, BNIL );AUX_345_15=LIST__STRING___R4_STRINGS_6_7_67( CHARS_283_239 );}else
AUX_345_15=BREF( &__4___SYSTEM_209);AUX_344_2=RELEASE_NAME_229_227( RELEASE_223_31, AUX_345_15 );}MESSAGE_278_104=string_append( STRING_CAST_303_180, AUX_344_2 );}}{obj_t PROC_277_247;
{obj_t STRING_CAST_305_215;
STRING_CAST_305_215=BREF( &SOME_MOD_5___SYSTEM_40);{obj_t OBJ_280_170;
OBJ_280_170=__LEVEL____SYSTEM_117;{obj_t AUX_346_115;
{obj_t AUX_347_48;
if( CHARP( OBJ_280_170 ))
{obj_t CHARS_282_193;
CHARS_282_193=MAKE_PAIR( __LEVEL____SYSTEM_117, BNIL );AUX_347_48=LIST__STRING___R4_STRINGS_6_7_67( CHARS_282_193 );}else
AUX_347_48=BREF( &__4___SYSTEM_209);AUX_346_115=RELEASE_NAME_229_227( __RELEASE____SYSTEM_14, AUX_347_48 );}PROC_277_247=string_append( STRING_CAST_305_215, AUX_346_115 );}}}FAILURE( PROC_277_247, MESSAGE_278_104, OBJECT_279_140 );}}}_false_4:
{obj_t OBJ2_287_101;
OBJ2_287_101=__MODULES____SYSTEM_159;__MODULES____SYSTEM_159=MAKE_PAIR( MODULE_222_243, OBJ2_287_101 );};
}}else
{
{obj_t L_289_32;
L_289_32=MAKE_PAIR( MODULE_222_243, BNIL );__MODULES____SYSTEM_159=L_289_32;}
__RELEASE____SYSTEM_14=RELEASE_223_31;
__LEVEL____SYSTEM_117=LEVEL_224_150;
}}
}

static obj_t
#if defined( __STDC__ )
RELEASE_NAME_229_227(obj_t RELEASE_231_241,obj_t LEVEL_232_16)
#else
RELEASE_NAME_229_227( RELEASE_231_241, LEVEL_232_16 )
obj_t RELEASE_231_241, LEVEL_232_16;
#endif
{

if( CHARP( LEVEL_232_16 ))
{obj_t S_233_34;
S_233_34=BREF( &___LEVEL__2___SYSTEM_71);{
STRING_SET( S_233_34, 8, CCHAR( LEVEL_232_16 ) );
return string_append( RELEASE_231_241, LEVEL_232_16 );
}}else
return RELEASE_231_241;
}

obj_t
#if defined( __STDC__ )
__CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247(obj_t ENV_323_179,obj_t MODULE_222_243,obj_t RELEASE_223_31,obj_t LEVEL_224_150)
#else
__CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_247( ENV_323_179, MODULE_222_243, RELEASE_223_31, LEVEL_224_150 )
obj_t ENV_323_179, MODULE_222_243, RELEASE_223_31, LEVEL_224_150;
#endif
{

return CHECK_FOR_VERSION_SOUNDNESS____SYSTEM_45( MODULE_222_243, RELEASE_223_31, LEVEL_224_150 );
}

obj_t
#if defined( __STDC__ )
COMMAND_LINE___SYSTEM_172()
#else
COMMAND_LINE___SYSTEM_172()
#endif
{

return command_line;
}

obj_t
#if defined( __STDC__ )
__COMMAND_LINE___SYSTEM_140(obj_t ENV_322_62)
#else
__COMMAND_LINE___SYSTEM_140( ENV_322_62 )
obj_t ENV_322_62;
#endif
{

return COMMAND_LINE___SYSTEM_172();
}

obj_t
#if defined( __STDC__ )
SIGNAL___SYSTEM_12(obj_t NUM_234_122,obj_t PROC_235_142)
#else
SIGNAL___SYSTEM_12( NUM_234_122, PROC_235_142 )
obj_t NUM_234_122, PROC_235_142;
#endif
{

if( EQ_I( BINT( PROCEDURE_ARITY( PROC_235_142 ) ), BINT( 1 ) ))
{if( LT_I( NUM_234_122, BINT( 0 ) ))
goto _true_0;else
if( GT_I( NUM_234_122, BINT( 31 ) ))
goto _true_0;else
goto _false_1;_true_0:
FAILURE( BREF( &SIGNAL_6___SYSTEM_27), BREF( &ILLEGAL__7___SYSTEM_202), NUM_234_122 );_false_1:
return c_signal( CINT( NUM_234_122 ), PROC_235_142 );;
}else
FAILURE( BREF( &SIGNAL_6___SYSTEM_27), BREF( &WRONG_NU_8___SYSTEM_179), PROC_235_142 );
}

obj_t
#if defined( __STDC__ )
__SIGNAL___SYSTEM_238(obj_t ENV_321_114,obj_t NUM_234_122,obj_t PROC_235_142)
#else
__SIGNAL___SYSTEM_238( ENV_321_114, NUM_234_122, PROC_235_142 )
obj_t ENV_321_114, NUM_234_122, PROC_235_142;
#endif
{

return SIGNAL___SYSTEM_12( NUM_234_122, PROC_235_142 );
}

obj_t
#if defined( __STDC__ )
GET_SIGNAL_HANDLER___SYSTEM_233(obj_t NUM_237_208)
#else
GET_SIGNAL_HANDLER___SYSTEM_233( NUM_237_208 )
obj_t NUM_237_208;
#endif
{

return get_signal_handler( CINT( NUM_237_208 ) );
}

obj_t
#if defined( __STDC__ )
__GET_SIGNAL_HANDLER___SYSTEM_117(obj_t ENV_320_246,obj_t NUM_237_208)
#else
__GET_SIGNAL_HANDLER___SYSTEM_117( ENV_320_246, NUM_237_208 )
obj_t ENV_320_246, NUM_237_208;
#endif
{

return GET_SIGNAL_HANDLER___SYSTEM_233( NUM_237_208 );
}

obj_t
#if defined( __STDC__ )
GETENV___SYSTEM_77(obj_t STRING_238_94)
#else
GETENV___SYSTEM_77( STRING_238_94 )
obj_t STRING_238_94;
#endif
{

if( getenv( BSTRING_TO_CSTRING( STRING_238_94 ) ))
{char * AUX_336_75;
AUX_336_75=getenv( BSTRING_TO_CSTRING( STRING_238_94 ) );return CSTRING_TO_BSTRING( AUX_336_75 );}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__GETENV___SYSTEM_105(obj_t ENV_319_160,obj_t STRING_238_94)
#else
__GETENV___SYSTEM_105( ENV_319_160, STRING_238_94 )
obj_t ENV_319_160, STRING_238_94;
#endif
{

return GETENV___SYSTEM_77( STRING_238_94 );
}

obj_t
#if defined( __STDC__ )
SYSTEM___SYSTEM_121(obj_t STRING_239_220)
#else
SYSTEM___SYSTEM_121( STRING_239_220 )
obj_t STRING_239_220;
#endif
{

{int AUX_335_58;
AUX_335_58=system( BSTRING_TO_CSTRING( STRING_239_220 ) );return BINT( AUX_335_58 );}
}

obj_t
#if defined( __STDC__ )
__SYSTEM___SYSTEM_33(obj_t ENV_318_215,obj_t STRING_239_220)
#else
__SYSTEM___SYSTEM_33( ENV_318_215, STRING_239_220 )
obj_t ENV_318_215, STRING_239_220;
#endif
{

return SYSTEM___SYSTEM_121( STRING_239_220 );
}

obj_t
#if defined( __STDC__ )
DATE___SYSTEM_172()
#else
DATE___SYSTEM_172()
#endif
{

{char * AUX_334_22;
AUX_334_22=c_date();return CSTRING_TO_BSTRING( AUX_334_22 );}
}

obj_t
#if defined( __STDC__ )
__DATE___SYSTEM_135(obj_t ENV_317_62)
#else
__DATE___SYSTEM_135( ENV_317_62 )
obj_t ENV_317_62;
#endif
{

return DATE___SYSTEM_172();
}

obj_t
#if defined( __STDC__ )
CHDIR___SYSTEM_182(obj_t DIRNAME_240_149)
#else
CHDIR___SYSTEM_182( DIRNAME_240_149 )
obj_t DIRNAME_240_149;
#endif
{

{int AUX_333_70;
AUX_333_70=chdir( BSTRING_TO_CSTRING( DIRNAME_240_149 ) );return BINT( AUX_333_70 );}
}

obj_t
#if defined( __STDC__ )
__CHDIR___SYSTEM_75(obj_t ENV_316_179,obj_t DIRNAME_240_149)
#else
__CHDIR___SYSTEM_75( ENV_316_179, DIRNAME_240_149 )
obj_t ENV_316_179, DIRNAME_240_149;
#endif
{

return CHDIR___SYSTEM_182( DIRNAME_240_149 );
}

obj_t
#if defined( __STDC__ )
LOCATION_REF___SYSTEM_225(obj_t OBJ_241_14)
#else
LOCATION_REF___SYSTEM_225( OBJ_241_14 )
obj_t OBJ_241_14;
#endif
{

return LOCATION_REF( OBJ_241_14 );
}

obj_t
#if defined( __STDC__ )
__LOCATION_REF___SYSTEM_159(obj_t ENV_315_246,obj_t OBJ_241_14)
#else
__LOCATION_REF___SYSTEM_159( ENV_315_246, OBJ_241_14 )
obj_t ENV_315_246, OBJ_241_14;
#endif
{

return LOCATION_REF___SYSTEM_225( OBJ_241_14 );
}

obj_t
#if defined( __STDC__ )
LOCATION_SET____SYSTEM_130(obj_t OBJ_242_110,obj_t VAL_243_81)
#else
LOCATION_SET____SYSTEM_130( OBJ_242_110, VAL_243_81 )
obj_t OBJ_242_110, VAL_243_81;
#endif
{

return LOCATION_SET( OBJ_242_110, VAL_243_81 );
}

obj_t
#if defined( __STDC__ )
__LOCATION_SET____SYSTEM_161(obj_t ENV_314_114,obj_t OBJ_242_110,obj_t VAL_243_81)
#else
__LOCATION_SET____SYSTEM_161( ENV_314_114, OBJ_242_110, VAL_243_81 )
obj_t ENV_314_114, OBJ_242_110, VAL_243_81;
#endif
{

return LOCATION_SET____SYSTEM_130( OBJ_242_110, VAL_243_81 );
}

obj_t
#if defined( __STDC__ )
CNST____SYSTEM_225(obj_t OBJ_244_97)
#else
CNST____SYSTEM_225( OBJ_244_97 )
obj_t OBJ_244_97;
#endif
{

{bool_t AUX_332_103;
AUX_332_103=CNSTP( OBJ_244_97 );return CBOOL_TO_BBOOL( AUX_332_103 );}
}

obj_t
#if defined( __STDC__ )
__CNST____SYSTEM_27(obj_t ENV_313_230,obj_t OBJ_244_97)
#else
__CNST____SYSTEM_27( ENV_313_230, OBJ_244_97 )
obj_t ENV_313_230, OBJ_244_97;
#endif
{

return CNST____SYSTEM_225( OBJ_244_97 );
}

