/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/accept.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t make_va_procedure();
#if defined( __STDC__ )
extern obj_t MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181(obj_t, obj_t);
#else
extern obj_t MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181();
#endif
#if defined( __STDC__ )
static obj_t INSORT____RGC_ACCEPT_132(obj_t, obj_t);
#else
static obj_t INSORT____RGC_ACCEPT_132();
#endif
static obj_t LEAVE_OU_1___RGC_ACCEPT_18 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____RGC_ACCEPT_117 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t __MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_93(obj_t, obj_t, obj_t);
#else
extern obj_t __MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_93();
#endif
obj_t MAKE_ACCEPT_FUNCTION_ENV___RGC_ACCEPT_174 = BUNSPEC;
extern obj_t make_vector();
#if defined( __STDC__ )
extern obj_t ____RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_184(obj_t);
#else
extern obj_t ____RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_184();
#endif
extern obj_t ___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8();
extern obj_t make_fx_procedure();
static obj_t DUMMY_0___RGC_ACCEPT_0 = BUNSPEC;
obj_t ___RGC_ACCEPT_INITIALISATION_ENV___RGC_ACCEPT_160 = BUNSPEC;

static obj_t LAMBDA__1_0_227_248();

obj_t
#if defined( __STDC__ )
___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8()
#else
___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_ACCEPT_117 ))
{
REQUIRE_INITIALISATION____RGC_ACCEPT_117=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
LEAVE_OU_1___RGC_ACCEPT_18=c_string_to_symbol( "LEAVE-OUT?" );
DUMMY_0___RGC_ACCEPT_0=c_string_to_symbol( "DUMMY" );
{
___RGC_ACCEPT_INITIALISATION_ENV___RGC_ACCEPT_160=make_fx_procedure( ____RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_184, 0, 0 );
MAKE_ACCEPT_FUNCTION_ENV___RGC_ACCEPT_174=make_fx_procedure( __MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_93, 2, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_184(obj_t ENV_279_90)
#else
____RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_184( ENV_279_90 )
obj_t ENV_279_90;
#endif
{

return ___RGC_ACCEPT_INITIALISATION___RGC_ACCEPT_8();
}

obj_t
#if defined( __STDC__ )
MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181(obj_t NB_STATES_222_250,obj_t STATES_223_4)
#else
MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181( NB_STATES_222_250, STATES_223_4 )
obj_t NB_STATES_222_250, STATES_223_4;
#endif
{

{obj_t T_STATE_TYPE_226_172;
obj_t ACCEPT_ACTION__225_61, LEAVE_OUT__224_96;
T_STATE_TYPE_226_172=make_vector( NB_STATES_222_250, BNIL );ACCEPT_ACTION__225_61=MAKE_CELL( DUMMY_0___RGC_ACCEPT_0 );LEAVE_OUT__224_96=MAKE_CELL( DUMMY_0___RGC_ACCEPT_0 );{obj_t LAMBDA__1_0_ENV_276_135;
LAMBDA__1_0_ENV_276_135=make_va_procedure( LAMBDA__1_0_227_248, -1, 4 );{
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_276_135, 3, T_STATE_TYPE_226_172 );
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_276_135, 2, LEAVE_OUT__224_96 );
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_276_135, 1, ACCEPT_ACTION__225_61 );
PROCEDURE_ENV_SET( LAMBDA__1_0_ENV_276_135, 0, STATES_223_4 );
return LAMBDA__1_0_ENV_276_135;
}}}
}

obj_t
#if defined( __STDC__ )
__MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_93(obj_t ENV_278_129,obj_t NB_STATES_222_250,obj_t STATES_223_4)
#else
__MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_93( ENV_278_129, NB_STATES_222_250, STATES_223_4 )
obj_t ENV_278_129, NB_STATES_222_250, STATES_223_4;
#endif
{

return MAKE_ACCEPT_FUNCTION___RGC_ACCEPT_181( NB_STATES_222_250, STATES_223_4 );
}

static obj_t
#if defined( __STDC__ )
LAMBDA__1_0_227_248(obj_t LAMBDA__1_0_ENV_277_0,obj_t FUN_228_59)
#else
LAMBDA__1_0_227_248( LAMBDA__1_0_ENV_277_0, FUN_228_59 )
obj_t LAMBDA__1_0_ENV_277_0, FUN_228_59;
#endif
{

{obj_t STATES_223_4, ACCEPT_ACTION__225_61, LEAVE_OUT__224_96;
obj_t T_STATE_TYPE_226_172;
STATES_223_4=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_277_0, 0 );ACCEPT_ACTION__225_61=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_277_0, 1 );LEAVE_OUT__224_96=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_277_0, 2 );T_STATE_TYPE_226_172=PROCEDURE_ENV_REF( LAMBDA__1_0_ENV_277_0, 3 );{obj_t CASE_VALUE_229_24;
CASE_VALUE_229_24=CAR( FUN_228_59 );if( EQP( CASE_VALUE_229_24, LEAVE_OU_1___RGC_ACCEPT_18 ))
return CELL_REF( LEAVE_OUT__224_96 );else
{obj_t REF_231_19;
REF_231_19=VECTOR_REF( T_STATE_TYPE_226_172, CASE_VALUE_229_24 );if( NULLP( REF_231_19 ))
{
CELL_SET( ACCEPT_ACTION__225_61, BNIL );
CELL_SET( LEAVE_OUT__224_96, BFALSE );
{obj_t T__233_144;
{obj_t C_VECTOR_REF_260_103;
C_VECTOR_REF_260_103=VECTOR_REF( STATES_223_4, CASE_VALUE_229_24 );{
T__233_144=C_VECTOR_REF_260_103;
{_LOOP_232_169:

if( NULLP( T__233_144 ))
{
{obj_t OBJ_249_170;
{obj_t OBJ2_253_217;
OBJ2_253_217=CELL_REF( LEAVE_OUT__224_96 );{obj_t OBJ1_252_18;
OBJ1_252_18=CELL_REF( ACCEPT_ACTION__225_61 );OBJ_249_170=MAKE_PAIR( OBJ1_252_18, OBJ2_253_217 );}}VECTOR_SET( T_STATE_TYPE_226_172, CASE_VALUE_229_24, OBJ_249_170 );}
return CELL_REF( ACCEPT_ACTION__225_61 );
}else
{obj_t PR__234_109;
PR__234_109=CAR( T__233_144 );{
{obj_t OBJ_255_128;
OBJ_255_128=CAR( PR__234_109 );if( CHARP( OBJ_255_128 ))
CELL_SET( LEAVE_OUT__224_96, BTRUE );else
{obj_t g1000_236_102;
{
g1000_236_102=PR__234_109;
{_g1001_235_239:

if( PAIRP( g1000_236_102 ))
{
{obj_t OK_237_126;
OK_237_126=CAR( g1000_236_102 );{obj_t AUX_281_172;
{obj_t AUX_282_147;
AUX_282_147=CELL_REF( ACCEPT_ACTION__225_61 );AUX_281_172=INSORT____RGC_ACCEPT_132( OK_237_126, AUX_282_147 );}CELL_SET( ACCEPT_ACTION__225_61, AUX_281_172 );}}
{obj_t C_CDR_258_62;
C_CDR_258_62=CDR( g1000_236_102 );{
g1000_236_102=C_CDR_258_62;
goto _g1001_235_239;
}}
}else
BTRUE;}
}}}
{obj_t C_CDR_259_179;
C_CDR_259_179=CDR( T__233_144 );{
T__233_144=C_CDR_259_179;
goto _LOOP_232_169;
}}
}}}
}}}
}else
{
CELL_SET( ACCEPT_ACTION__225_61, CAR( REF_231_19 ) );
CELL_SET( LEAVE_OUT__224_96, CDR( REF_231_19 ) );
return CELL_REF( ACCEPT_ACTION__225_61 );
}}}}
}

static obj_t
#if defined( __STDC__ )
INSORT____RGC_ACCEPT_132(obj_t QUOI_238_174,obj_t DANS_239_38)
#else
INSORT____RGC_ACCEPT_132( QUOI_238_174, DANS_239_38 )
obj_t QUOI_238_174, DANS_239_38;
#endif
{

if( NULLP( DANS_239_38 ))
{obj_t OBJ2_261_182;
OBJ2_261_182=BNIL;return MAKE_PAIR( QUOI_238_174, OBJ2_261_182 );}else
{obj_t N2_265_181;
N2_265_181=CAR( DANS_239_38 );if( GT_I( QUOI_238_174, N2_265_181 ))
{
{obj_t OBJ_268_78;
{obj_t C_CDR_269_234;
C_CDR_269_234=CDR( DANS_239_38 );OBJ_268_78=INSORT____RGC_ACCEPT_132( QUOI_238_174, C_CDR_269_234 );}SET_CDR( DANS_239_38, OBJ_268_78 );}
return DANS_239_38;
}else
{
{obj_t OBJ_270_103;
{obj_t OBJ2_272_65;
OBJ2_272_65=CDR( DANS_239_38 );OBJ_270_103=MAKE_PAIR( N2_265_181, OBJ2_272_65 );}SET_CDR( DANS_239_38, OBJ_270_103 );}
SET_CAR( DANS_239_38, QUOI_238_174 );
return DANS_239_38;
}}
}

