/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/grammar.c                                             */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_129(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_129();
#endif
static obj_t ERROR_11___RGC_GRAMMAR_102 = BUNSPEC;
static obj_t AUTOMATA_18___RGC_GRAMMAR_251 = BUNSPEC;
static obj_t INPUT_PO_26___RGC_GRAMMAR_173 = BUNSPEC;
static obj_t INPUT_PO_24___RGC_GRAMMAR_10 = BUNSPEC;
extern obj_t BUILD_AUTOMATA___RGC_AUTOMATA_166();
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
extern obj_t LENGTH___R4_PAIRS_AND_LISTS_6_3_229();
static obj_t CASE_16___RGC_GRAMMAR_138 = BUNSPEC;
static obj_t INPUT_PO_28___RGC_GRAMMAR_183 = BUNSPEC;
extern obj_t ___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
static obj_t INPUT_PO_17___RGC_GRAMMAR_75 = BUNSPEC;
static obj_t THE_STRI_27___RGC_GRAMMAR_135 = BUNSPEC;
static obj_t THE_SMAL_25___RGC_GRAMMAR_214 = BUNSPEC;
static obj_t CONTEXT_30___RGC_GRAMMAR_122 = BUNSPEC;
static obj_t CAR_2___RGC_GRAMMAR_132 = BUNSPEC;
static obj_t INPUT_PO_13___RGC_GRAMMAR_27 = BUNSPEC;
static obj_t LABELS_31___RGC_GRAMMAR_62 = BUNSPEC;
static obj_t NULL__4___RGC_GRAMMAR_114 = BUNSPEC;
static obj_t RULE_15___RGC_GRAMMAR_154 = BUNSPEC;
static obj_t INPUT_PO_12___RGC_GRAMMAR_234 = BUNSPEC;
static obj_t INPUT_PO_20___RGC_GRAMMAR_46 = BUNSPEC;
DEFINE_STRING( REGULAR__10___RGC_GRAMMAR_144, "regular-grammar", 15);
extern obj_t ___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
obj_t ___RGC_GRAMMAR_INITIALISATION_ENV___RGC_GRAMMAR_69 = BUNSPEC;
obj_t BUILD_REGULAR_GRAMMAR_ENV___RGC_GRAMMAR_4 = BUNSPEC;
static obj_t LET_19___RGC_GRAMMAR_92 = BUNSPEC;
static obj_t NEW_CONT_1___RGC_GRAMMAR_224 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_36(obj_t, obj_t, obj_t);
#else
extern obj_t BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_36();
#endif
static obj_t IF_5___RGC_GRAMMAR_87 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t ____RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_54(obj_t);
#else
extern obj_t ____RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_54();
#endif
static obj_t REQUIRE_INITIALISATION____RGC_GRAMMAR_75 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
DEFINE_STRING( TOKEN_TO_9___RGC_GRAMMAR_153, "token too large", 15);
static obj_t SET__7___RGC_GRAMMAR_110 = BUNSPEC;
extern obj_t PRE_TRAP___RGC_TRAP_88();
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t INPUT_PO_22___RGC_GRAMMAR_169 = BUNSPEC;
static obj_t THE_LENG_29___RGC_GRAMMAR_85 = BUNSPEC;
static obj_t CURRENT__6___RGC_GRAMMAR_61 = BUNSPEC;
static obj_t THE_SYMB_23___RGC_GRAMMAR_24 = BUNSPEC;
extern obj_t make_fx_procedure();
static obj_t UNSPECIF_8___RGC_GRAMMAR_248 = BUNSPEC;
static obj_t LAMBDA_32___RGC_GRAMMAR_238 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_56();
static obj_t ELSE_14___RGC_GRAMMAR_81 = BUNSPEC;
static obj_t THE_FAIL_21___RGC_GRAMMAR_104 = BUNSPEC;
static obj_t IGNORE_0___RGC_GRAMMAR_103 = BUNSPEC;
static obj_t QUOTE_3___RGC_GRAMMAR_129 = BUNSPEC;

static obj_t LOOP_228_198();

obj_t
#if defined( __STDC__ )
___RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_56()
#else
___RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_56()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_GRAMMAR_75 ))
{
REQUIRE_INITIALISATION____RGC_GRAMMAR_75=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
SET__7___RGC_GRAMMAR_110=c_string_to_symbol( "SET!" );
RULE_15___RGC_GRAMMAR_154=c_string_to_symbol( "RULE" );
NEW_CONT_1___RGC_GRAMMAR_224=c_string_to_symbol( "NEW-CONTEXT" );
AUTOMATA_18___RGC_GRAMMAR_251=c_string_to_symbol( "AUTOMATA" );
CASE_16___RGC_GRAMMAR_138=c_string_to_symbol( "CASE" );
QUOTE_3___RGC_GRAMMAR_129=c_string_to_symbol( "QUOTE" );
INPUT_PO_28___RGC_GRAMMAR_183=c_string_to_symbol( "INPUT-PORT-GET-LENGTH" );
CONTEXT_30___RGC_GRAMMAR_122=c_string_to_symbol( "CONTEXT" );
INPUT_PO_12___RGC_GRAMMAR_234=c_string_to_symbol( "INPUT-PORT" );
LET_19___RGC_GRAMMAR_92=c_string_to_symbol( "LET" );
IGNORE_0___RGC_GRAMMAR_103=c_string_to_symbol( "IGNORE" );
INPUT_PO_26___RGC_GRAMMAR_173=c_string_to_symbol( "INPUT-PORT-GET-STRING" );
CAR_2___RGC_GRAMMAR_132=c_string_to_symbol( "CAR" );
IF_5___RGC_GRAMMAR_87=c_string_to_symbol( "IF" );
THE_SMAL_25___RGC_GRAMMAR_214=c_string_to_symbol( "THE-SMALL-STRING" );
INPUT_PO_20___RGC_GRAMMAR_46=c_string_to_symbol( "INPUT-PORT-STOLE-CHAR" );
THE_STRI_27___RGC_GRAMMAR_135=c_string_to_symbol( "THE-STRING" );
LAMBDA_32___RGC_GRAMMAR_238=c_string_to_symbol( "LAMBDA" );
INPUT_PO_17___RGC_GRAMMAR_75=c_string_to_symbol( "INPUT-PORT-AJUST-CURSOR" );
ERROR_11___RGC_GRAMMAR_102=c_string_to_symbol( "ERROR" );
CURRENT__6___RGC_GRAMMAR_61=c_string_to_symbol( "CURRENT-CONTEXT" );
INPUT_PO_24___RGC_GRAMMAR_10=c_string_to_symbol( "INPUT-PORT-GET-SMALL-STRING" );
LABELS_31___RGC_GRAMMAR_62=c_string_to_symbol( "LABELS" );
INPUT_PO_22___RGC_GRAMMAR_169=c_string_to_symbol( "INPUT-PORT-GET-SYMBOL" );
THE_FAIL_21___RGC_GRAMMAR_104=c_string_to_symbol( "THE-FAILING-CHAR" );
NULL__4___RGC_GRAMMAR_114=c_string_to_symbol( "NULL?" );
THE_SYMB_23___RGC_GRAMMAR_24=c_string_to_symbol( "THE-SYMBOL" );
INPUT_PO_13___RGC_GRAMMAR_27=c_string_to_symbol( "INPUT-PORT-TOKEN-TOO-LARGE?" );
ELSE_14___RGC_GRAMMAR_81=c_string_to_symbol( "ELSE" );
UNSPECIF_8___RGC_GRAMMAR_248=c_string_to_symbol( "UNSPECIFIED" );
THE_LENG_29___RGC_GRAMMAR_85=c_string_to_symbol( "THE-LENGTH" );
{
___RGC_GRAMMAR_INITIALISATION_ENV___RGC_GRAMMAR_69=make_fx_procedure( ____RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_54, 0, 0 );
BUILD_REGULAR_GRAMMAR_ENV___RGC_GRAMMAR_4=make_fx_procedure( __BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_129, 3, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_54(obj_t ENV_350_141)
#else
____RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_54( ENV_350_141 )
obj_t ENV_350_141;
#endif
{

return ___RGC_GRAMMAR_INITIALISATION___RGC_GRAMMAR_56();
}

obj_t
#if defined( __STDC__ )
BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_36(obj_t NB_STATES_STATES_222_116,obj_t USR_ACTION__223_130,obj_t T_TRAP_224_85)
#else
BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_36( NB_STATES_STATES_222_116, USR_ACTION__223_130, T_TRAP_224_85 )
obj_t NB_STATES_STATES_222_116, USR_ACTION__223_130, T_TRAP_224_85;
#endif
{

{obj_t NB_STATES_227_85, STATES_226_150, NB_ACTIONS_225_190;
NB_STATES_227_85=CAR( NB_STATES_STATES_222_116 );STATES_226_150=CDR( NB_STATES_STATES_222_116 );NB_ACTIONS_225_190=LENGTH___R4_PAIRS_AND_LISTS_6_3_229( USR_ACTION__223_130 );{
PRE_TRAP___RGC_TRAP_88( T_TRAP_224_85 );
{obj_t VA_ARG_247_0;
VA_ARG_247_0=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_248_37;
{obj_t VA_ARG_251_186;
VA_ARG_251_186=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_252_210;
{obj_t VA_ARG_257_2;
VA_ARG_257_2=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_258_57;
{obj_t VA_ARG_348_3;
VA_ARG_348_3=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_352_92;
AUX_352_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( IGNORE_0___RGC_GRAMMAR_103, VA_ARG_348_3 );VA_ARG_258_57=MAKE_PAIR( AUX_352_92, VA_ARG_257_2 );}}{obj_t VA_ARG_259_211;
{obj_t VA_ARG_260_34;
VA_ARG_260_34=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_261_50;
{obj_t VA_ARG_263_166;
VA_ARG_263_166=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_264_99;
{obj_t VA_ARG_266_195;
VA_ARG_266_195=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_267_175;
{obj_t VA_ARG_274_185;
VA_ARG_274_185=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_275_194;
VA_ARG_275_194=MAKE_PAIR( NEW_CONT_1___RGC_GRAMMAR_224, VA_ARG_274_185 );{obj_t AUX_353_91;
AUX_353_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( CAR_2___RGC_GRAMMAR_132, VA_ARG_275_194 );VA_ARG_267_175=MAKE_PAIR( AUX_353_91, VA_ARG_266_195 );}}}{obj_t VA_ARG_268_145;
{obj_t VA_ARG_272_143;
VA_ARG_272_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_273_55;
VA_ARG_273_55=MAKE_PAIR( BNIL, VA_ARG_272_143 );{obj_t AUX_354_24;
AUX_354_24=CONS____R4_PAIRS_AND_LISTS_6_3_28( QUOTE_3___RGC_GRAMMAR_129, VA_ARG_273_55 );VA_ARG_268_145=MAKE_PAIR( AUX_354_24, VA_ARG_267_175 );}}}{obj_t VA_ARG_269_16;
{obj_t VA_ARG_270_105;
VA_ARG_270_105=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_271_134;
VA_ARG_271_134=MAKE_PAIR( NEW_CONT_1___RGC_GRAMMAR_224, VA_ARG_270_105 );{obj_t AUX_355_6;
AUX_355_6=CONS____R4_PAIRS_AND_LISTS_6_3_28( NULL__4___RGC_GRAMMAR_114, VA_ARG_271_134 );VA_ARG_269_16=MAKE_PAIR( AUX_355_6, VA_ARG_268_145 );}}}{obj_t AUX_356_20;
AUX_356_20=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_5___RGC_GRAMMAR_87, VA_ARG_269_16 );VA_ARG_264_99=MAKE_PAIR( AUX_356_20, VA_ARG_263_166 );}}}}}{obj_t VA_ARG_265_100;
VA_ARG_265_100=MAKE_PAIR( CURRENT__6___RGC_GRAMMAR_61, VA_ARG_264_99 );{obj_t AUX_357_81;
AUX_357_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( SET__7___RGC_GRAMMAR_110, VA_ARG_265_100 );VA_ARG_261_50=MAKE_PAIR( AUX_357_81, VA_ARG_260_34 );}}}}{obj_t VA_ARG_262_80;
VA_ARG_262_80=MAKE_PAIR( NEW_CONT_1___RGC_GRAMMAR_224, VA_ARG_261_50 );{obj_t VA_ARG_276_29;
VA_ARG_276_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_277_164;
{obj_t VA_ARG_313_93;
VA_ARG_313_93=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_314_61;
{obj_t VA_ARG_316_89;
VA_ARG_316_89=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_317_9;
{obj_t VA_ARG_327_156;
{obj_t C_CDR_245_19;
C_CDR_245_19=CDR( USR_ACTION__223_130 );{obj_t VA_ARG_332_190;
VA_ARG_332_190=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_333_104;
{obj_t C_CAR_246_187;
C_CAR_246_187=CAR( USR_ACTION__223_130 );VA_ARG_333_104=MAKE_PAIR( C_CAR_246_187, VA_ARG_332_190 );}{obj_t VA_ARG_334_211;
{obj_t VA_ARG_335_57;
VA_ARG_335_57=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_336_223;
{obj_t VA_ARG_340_218;
VA_ARG_340_218=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_341_102;
{obj_t VA_ARG_346_201;
VA_ARG_346_201=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_358_98;
AUX_358_98=CONS____R4_PAIRS_AND_LISTS_6_3_28( UNSPECIF_8___RGC_GRAMMAR_248, VA_ARG_346_201 );VA_ARG_341_102=MAKE_PAIR( AUX_358_98, VA_ARG_340_218 );}}{obj_t VA_ARG_342_240;
{obj_t STRING_CAST_345_59;
STRING_CAST_345_59=BREF( &TOKEN_TO_9___RGC_GRAMMAR_153);VA_ARG_342_240=MAKE_PAIR( STRING_CAST_345_59, VA_ARG_341_102 );}{obj_t VA_ARG_343_255;
{obj_t STRING_CAST_344_74;
STRING_CAST_344_74=BREF( &REGULAR__10___RGC_GRAMMAR_144);VA_ARG_343_255=MAKE_PAIR( STRING_CAST_344_74, VA_ARG_342_240 );}{obj_t AUX_359_21;
AUX_359_21=CONS____R4_PAIRS_AND_LISTS_6_3_28( ERROR_11___RGC_GRAMMAR_102, VA_ARG_343_255 );VA_ARG_336_223=MAKE_PAIR( AUX_359_21, VA_ARG_335_57 );}}}}}{obj_t VA_ARG_337_148;
{obj_t VA_ARG_338_115;
VA_ARG_338_115=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_339_48;
VA_ARG_339_48=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_338_115 );{obj_t AUX_360_188;
AUX_360_188=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_13___RGC_GRAMMAR_27, VA_ARG_339_48 );VA_ARG_337_148=MAKE_PAIR( AUX_360_188, VA_ARG_336_223 );}}}{obj_t AUX_361_40;
AUX_361_40=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_5___RGC_GRAMMAR_87, VA_ARG_337_148 );VA_ARG_334_211=MAKE_PAIR( AUX_361_40, VA_ARG_333_104 );}}}}{obj_t VA_ARG_347_158;
VA_ARG_347_158=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_362_36;
{obj_t AUX_364_30, AUX_363_65;
{obj_t AUX_365_7;
AUX_365_7=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_14___RGC_GRAMMAR_81, VA_ARG_334_211 );AUX_364_30=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_365_7, VA_ARG_347_158 );}AUX_363_65=LOOP_228_198( SUB_I_PTAG( NB_ACTIONS_225_190, PSUB_TAG( 1 ) ), C_CDR_245_19 );AUX_362_36=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_363_65, AUX_364_30 );}VA_ARG_327_156=MAKE_PAIR( AUX_362_36, BNIL );}}}}}}{obj_t VA_ARG_328_83;
VA_ARG_328_83=MAKE_PAIR( RULE_15___RGC_GRAMMAR_154, VA_ARG_327_156 );{obj_t AUX_366_173;
AUX_366_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( CASE_16___RGC_GRAMMAR_138, VA_ARG_328_83 );VA_ARG_317_9=MAKE_PAIR( AUX_366_173, VA_ARG_316_89 );}}}{obj_t VA_ARG_318_82;
{obj_t VA_ARG_325_79;
VA_ARG_325_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_326_241;
VA_ARG_326_241=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_325_79 );{obj_t AUX_367_73;
AUX_367_73=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_17___RGC_GRAMMAR_75, VA_ARG_326_241 );VA_ARG_318_82=MAKE_PAIR( AUX_367_73, VA_ARG_317_9 );}}}{obj_t VA_ARG_319_106;
{obj_t VA_ARG_320_254;
VA_ARG_320_254=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_321_41;
{obj_t VA_ARG_322_198;
VA_ARG_322_198=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_323_168;
VA_ARG_323_168=MAKE_PAIR( BINT( 0 ), VA_ARG_322_198 );{obj_t AUX_368_234;
AUX_368_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUTOMATA_18___RGC_GRAMMAR_251, VA_ARG_323_168 );VA_ARG_321_41=MAKE_PAIR( AUX_368_234, VA_ARG_320_254 );}}}{obj_t VA_ARG_324_46;
VA_ARG_324_46=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_369_169;
{obj_t AUX_370_56;
AUX_370_56=CONS____R4_PAIRS_AND_LISTS_6_3_28( RULE_15___RGC_GRAMMAR_154, VA_ARG_321_41 );AUX_369_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_370_56, VA_ARG_324_46 );}VA_ARG_319_106=MAKE_PAIR( AUX_369_169, VA_ARG_318_82 );}}}}{obj_t AUX_371_68;
AUX_371_68=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_19___RGC_GRAMMAR_92, VA_ARG_319_106 );VA_ARG_314_61=MAKE_PAIR( AUX_371_68, VA_ARG_313_93 );}}}}}{obj_t VA_ARG_315_3;
VA_ARG_315_3=MAKE_PAIR( BNIL, VA_ARG_314_61 );{obj_t AUX_372_234;
AUX_372_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( IGNORE_0___RGC_GRAMMAR_103, VA_ARG_315_3 );VA_ARG_277_164=MAKE_PAIR( AUX_372_234, VA_ARG_276_29 );}}}}{obj_t VA_ARG_278_77;
{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_310_42;
{obj_t AUX_373_169;
AUX_373_169=BUILD_AUTOMATA___RGC_AUTOMATA_166( NB_STATES_227_85, STATES_226_150, T_TRAP_224_85 );VA_ARG_310_42=MAKE_PAIR( AUX_373_169, VA_ARG_309_255 );}{obj_t VA_ARG_311_155;
{obj_t VA_ARG_312_159;
VA_ARG_312_159=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_374_177;
AUX_374_177=CONS____R4_PAIRS_AND_LISTS_6_3_28( RULE_15___RGC_GRAMMAR_154, VA_ARG_312_159 );VA_ARG_311_155=MAKE_PAIR( AUX_374_177, VA_ARG_310_42 );}}{obj_t AUX_375_107;
AUX_375_107=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUTOMATA_18___RGC_GRAMMAR_251, VA_ARG_311_155 );VA_ARG_278_77=MAKE_PAIR( AUX_375_107, VA_ARG_277_164 );}}}}{obj_t VA_ARG_279_72;
{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_305_159;
{obj_t VA_ARG_307_42;
VA_ARG_307_42=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_308_240;
VA_ARG_308_240=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_307_42 );{obj_t AUX_376_87;
AUX_376_87=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_20___RGC_GRAMMAR_46, VA_ARG_308_240 );VA_ARG_305_159=MAKE_PAIR( AUX_376_87, VA_ARG_304_93 );}}}{obj_t VA_ARG_306_155;
VA_ARG_306_155=MAKE_PAIR( BNIL, VA_ARG_305_159 );{obj_t AUX_377_197;
AUX_377_197=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_FAIL_21___RGC_GRAMMAR_104, VA_ARG_306_155 );VA_ARG_279_72=MAKE_PAIR( AUX_377_197, VA_ARG_278_77 );}}}}{obj_t VA_ARG_280_35;
{obj_t VA_ARG_299_122;
VA_ARG_299_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_300_9;
{obj_t VA_ARG_302_3;
VA_ARG_302_3=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_303_61;
VA_ARG_303_61=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_302_3 );{obj_t AUX_378_36;
AUX_378_36=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_22___RGC_GRAMMAR_169, VA_ARG_303_61 );VA_ARG_300_9=MAKE_PAIR( AUX_378_36, VA_ARG_299_122 );}}}{obj_t VA_ARG_301_89;
VA_ARG_301_89=MAKE_PAIR( BNIL, VA_ARG_300_9 );{obj_t AUX_379_65;
AUX_379_65=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_SYMB_23___RGC_GRAMMAR_24, VA_ARG_301_89 );VA_ARG_280_35=MAKE_PAIR( AUX_379_65, VA_ARG_279_72 );}}}}{obj_t VA_ARG_281_206;
{obj_t VA_ARG_294_105;
VA_ARG_294_105=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_295_134;
{obj_t VA_ARG_297_55;
VA_ARG_297_55=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_298_130;
VA_ARG_298_130=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_297_55 );{obj_t AUX_380_81;
AUX_380_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_24___RGC_GRAMMAR_10, VA_ARG_298_130 );VA_ARG_295_134=MAKE_PAIR( AUX_380_81, VA_ARG_294_105 );}}}{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( BNIL, VA_ARG_295_134 );{obj_t AUX_381_20;
AUX_381_20=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_SMAL_25___RGC_GRAMMAR_214, VA_ARG_296_143 );VA_ARG_281_206=MAKE_PAIR( AUX_381_20, VA_ARG_280_35 );}}}}{obj_t VA_ARG_282_95;
{obj_t VA_ARG_289_85;
VA_ARG_289_85=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_290_185;
{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_293_164;
VA_ARG_293_164=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_292_29 );{obj_t AUX_382_6;
AUX_382_6=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_26___RGC_GRAMMAR_173, VA_ARG_293_164 );VA_ARG_290_185=MAKE_PAIR( AUX_382_6, VA_ARG_289_85 );}}}{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( BNIL, VA_ARG_290_185 );{obj_t AUX_383_24;
AUX_383_24=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_STRI_27___RGC_GRAMMAR_135, VA_ARG_291_194 );VA_ARG_282_95=MAKE_PAIR( AUX_383_24, VA_ARG_281_206 );}}}}{obj_t VA_ARG_283_116;
{obj_t VA_ARG_284_252;
VA_ARG_284_252=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_285_192;
{obj_t VA_ARG_287_221;
VA_ARG_287_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_288_178;
VA_ARG_288_178=MAKE_PAIR( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_287_221 );{obj_t AUX_384_91;
AUX_384_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_28___RGC_GRAMMAR_183, VA_ARG_288_178 );VA_ARG_285_192=MAKE_PAIR( AUX_384_91, VA_ARG_284_252 );}}}{obj_t VA_ARG_286_54;
VA_ARG_286_54=MAKE_PAIR( BNIL, VA_ARG_285_192 );{obj_t AUX_385_92;
AUX_385_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( THE_LENG_29___RGC_GRAMMAR_85, VA_ARG_286_54 );VA_ARG_283_116=MAKE_PAIR( AUX_385_92, VA_ARG_282_95 );}}}}{obj_t AUX_386_127;
{obj_t AUX_387_17;
AUX_387_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( CONTEXT_30___RGC_GRAMMAR_122, VA_ARG_262_80 );AUX_386_127=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_387_17, VA_ARG_283_116 );}VA_ARG_259_211=MAKE_PAIR( AUX_386_127, VA_ARG_258_57 );}}}}}}}}}}}}{obj_t AUX_388_225;
AUX_388_225=CONS____R4_PAIRS_AND_LISTS_6_3_28( LABELS_31___RGC_GRAMMAR_62, VA_ARG_259_211 );VA_ARG_252_210=MAKE_PAIR( AUX_388_225, VA_ARG_251_186 );}}}}{obj_t VA_ARG_253_28;
{obj_t VA_ARG_254_48;
VA_ARG_254_48=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_255_115;
VA_ARG_255_115=MAKE_PAIR( BINT( 0 ), VA_ARG_254_48 );{obj_t VA_ARG_256_15;
VA_ARG_256_15=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_389_207;
{obj_t AUX_390_143;
AUX_390_143=CONS____R4_PAIRS_AND_LISTS_6_3_28( CURRENT__6___RGC_GRAMMAR_61, VA_ARG_255_115 );AUX_389_207=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_390_143, VA_ARG_256_15 );}VA_ARG_253_28=MAKE_PAIR( AUX_389_207, VA_ARG_252_210 );}}}}{obj_t AUX_391_55;
AUX_391_55=CONS____R4_PAIRS_AND_LISTS_6_3_28( LET_19___RGC_GRAMMAR_92, VA_ARG_253_28 );VA_ARG_248_37=MAKE_PAIR( AUX_391_55, VA_ARG_247_0 );}}}}{obj_t VA_ARG_249_69;
{obj_t VA_ARG_250_67;
VA_ARG_250_67=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_392_105;
AUX_392_105=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_12___RGC_GRAMMAR_234, VA_ARG_250_67 );VA_ARG_249_69=MAKE_PAIR( AUX_392_105, VA_ARG_248_37 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( LAMBDA_32___RGC_GRAMMAR_238, VA_ARG_249_69 );}}}
}}
}

static obj_t
#if defined( __STDC__ )
LOOP_228_198(obj_t INDICE_229_157,obj_t ACTION__230_87)
#else
LOOP_228_198( INDICE_229_157, ACTION__230_87 )
obj_t INDICE_229_157, ACTION__230_87;
#endif
{

if( NULLP( ACTION__230_87 ))
return BNIL;else
{obj_t OBJ2_237_113;
{obj_t C_CDR_243_217;
C_CDR_243_217=CDR( ACTION__230_87 );OBJ2_237_113=LOOP_228_198( SUB_I_PTAG( INDICE_229_157, PSUB_TAG( 1 ) ), C_CDR_243_217 );}{obj_t OBJ1_236_130;
{obj_t VA_ARG_329_128;
VA_ARG_329_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_330_213;
VA_ARG_330_213=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_331_49;
{obj_t C_CAR_239_161;
C_CAR_239_161=CAR( ACTION__230_87 );VA_ARG_331_49=MAKE_PAIR( C_CAR_239_161, VA_ARG_330_213 );}{obj_t AUX_351_127;
AUX_351_127=CONS____R4_PAIRS_AND_LISTS_6_3_28( INDICE_229_157, VA_ARG_329_128 );OBJ1_236_130=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_351_127, VA_ARG_331_49 );}}}}return MAKE_PAIR( OBJ1_236_130, OBJ2_237_113 );}}
}

obj_t
#if defined( __STDC__ )
__BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_129(obj_t ENV_349_71,obj_t NB_STATES_STATES_222_116,obj_t USR_ACTION__223_130,obj_t T_TRAP_224_85)
#else
__BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_129( ENV_349_71, NB_STATES_STATES_222_116, USR_ACTION__223_130, T_TRAP_224_85 )
obj_t ENV_349_71, NB_STATES_STATES_222_116, USR_ACTION__223_130, T_TRAP_224_85;
#endif
{

return BUILD_REGULAR_GRAMMAR___RGC_GRAMMAR_36( NB_STATES_STATES_222_116, USR_ACTION__223_130, T_TRAP_224_85 );
}

