/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/optimize.c                                            */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

#if defined( __STDC__ )
extern obj_t __COMPUTE_LOOPING___RGC_OPTIMIZE_13(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __COMPUTE_LOOPING___RGC_OPTIMIZE_13();
#endif
static obj_t __T_LOOPING____RGC_OPTIMIZE_239 = BUNSPEC;
extern obj_t END_OF_OPTIMISATION___RGC_OPTIMIZE_207();
extern obj_t TRAPPED____RGC_TRAP_203();
#if defined( __STDC__ )
extern obj_t __END_OF_OPTIMISATION___RGC_OPTIMIZE_182(obj_t);
#else
extern obj_t __END_OF_OPTIMISATION___RGC_OPTIMIZE_182();
#endif
extern obj_t __RGC_OPTIM____RGC_PARAM_90;
extern obj_t ___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
#if defined( __STDC__ )
static obj_t COMPUTE_SLOW_LOOPING___RGC_OPTIMIZE_143(obj_t, obj_t);
#else
static obj_t COMPUTE_SLOW_LOOPING___RGC_OPTIMIZE_143();
#endif
#if defined( __STDC__ )
extern obj_t ____RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_61(obj_t);
#else
extern obj_t ____RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_61();
#endif
static obj_t __T_STATES_FOR_LOOPING____RGC_OPTIMIZE_246 = BUNSPEC;
obj_t COMPUTE_LOOPING_ENV___RGC_OPTIMIZE_70 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t LOOPING____RGC_OPTIMIZE_128(obj_t, obj_t);
#else
extern obj_t LOOPING____RGC_OPTIMIZE_128();
#endif
extern obj_t ___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
#if defined( __STDC__ )
extern obj_t __LOOPING____RGC_OPTIMIZE_43(obj_t, obj_t, obj_t);
#else
extern obj_t __LOOPING____RGC_OPTIMIZE_43();
#endif
static obj_t REQUIRE_INITIALISATION____RGC_OPTIMIZE_128 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
extern obj_t make_vector();
static obj_t NOT_YET_1___RGC_OPTIMIZE_30 = BUNSPEC;
obj_t LOOPING__ENV___RGC_OPTIMIZE_205 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t PREPARE_OPTIMISATION___RGC_OPTIMIZE_224(obj_t, obj_t);
#else
extern obj_t PREPARE_OPTIMISATION___RGC_OPTIMIZE_224();
#endif
extern obj_t make_fx_procedure();
obj_t END_OF_OPTIMISATION_ENV___RGC_OPTIMIZE_64 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t __PREPARE_OPTIMISATION___RGC_OPTIMIZE_85(obj_t, obj_t, obj_t);
#else
extern obj_t __PREPARE_OPTIMISATION___RGC_OPTIMIZE_85();
#endif
static obj_t DUMMY_0___RGC_OPTIMIZE_166 = BUNSPEC;
obj_t ___RGC_OPTIMIZE_INITIALISATION_ENV___RGC_OPTIMIZE_210 = BUNSPEC;
extern obj_t ___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
obj_t PREPARE_OPTIMISATION_ENV___RGC_OPTIMIZE_167 = BUNSPEC;
#if defined( __STDC__ )
extern obj_t COMPUTE_LOOPING___RGC_OPTIMIZE_118(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t COMPUTE_LOOPING___RGC_OPTIMIZE_118();
#endif


obj_t
#if defined( __STDC__ )
___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187()
#else
___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_OPTIMIZE_128 ))
{
REQUIRE_INITIALISATION____RGC_OPTIMIZE_128=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
DUMMY_0___RGC_OPTIMIZE_166=c_string_to_symbol( "DUMMY" );
NOT_YET_1___RGC_OPTIMIZE_30=c_string_to_symbol( "NOT-YET" );
{
___RGC_OPTIMIZE_INITIALISATION_ENV___RGC_OPTIMIZE_210=make_fx_procedure( ____RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_61, 0, 0 );
PREPARE_OPTIMISATION_ENV___RGC_OPTIMIZE_167=make_fx_procedure( __PREPARE_OPTIMISATION___RGC_OPTIMIZE_85, 2, 0 );
END_OF_OPTIMISATION_ENV___RGC_OPTIMIZE_64=make_fx_procedure( __END_OF_OPTIMISATION___RGC_OPTIMIZE_182, 0, 0 );
COMPUTE_LOOPING_ENV___RGC_OPTIMIZE_70=make_fx_procedure( __COMPUTE_LOOPING___RGC_OPTIMIZE_13, 4, 0 );
LOOPING__ENV___RGC_OPTIMIZE_205=make_fx_procedure( __LOOPING____RGC_OPTIMIZE_43, 2, 0 );
{
__T_LOOPING____RGC_OPTIMIZE_239=DUMMY_0___RGC_OPTIMIZE_166;
__T_STATES_FOR_LOOPING____RGC_OPTIMIZE_246=DUMMY_0___RGC_OPTIMIZE_166;
return BINT( 0 );
}
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_61(obj_t ENV_296_98)
#else
____RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_61( ENV_296_98 )
obj_t ENV_296_98;
#endif
{

return ___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
}

obj_t
#if defined( __STDC__ )
PREPARE_OPTIMISATION___RGC_OPTIMIZE_224(obj_t NB_STATES_222_250,obj_t STATES_223_4)
#else
PREPARE_OPTIMISATION___RGC_OPTIMIZE_224( NB_STATES_222_250, STATES_223_4 )
obj_t NB_STATES_222_250, STATES_223_4;
#endif
{

if( BBOOL_TO_CBOOL( __RGC_OPTIM____RGC_PARAM_90 ))
{
__T_LOOPING____RGC_OPTIMIZE_239=make_vector( NB_STATES_222_250, NOT_YET_1___RGC_OPTIMIZE_30 );
__T_STATES_FOR_LOOPING____RGC_OPTIMIZE_246=STATES_223_4;
}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__PREPARE_OPTIMISATION___RGC_OPTIMIZE_85(obj_t ENV_295_113,obj_t NB_STATES_222_250,obj_t STATES_223_4)
#else
__PREPARE_OPTIMISATION___RGC_OPTIMIZE_85( ENV_295_113, NB_STATES_222_250, STATES_223_4 )
obj_t ENV_295_113, NB_STATES_222_250, STATES_223_4;
#endif
{

return PREPARE_OPTIMISATION___RGC_OPTIMIZE_224( NB_STATES_222_250, STATES_223_4 );
}

obj_t
#if defined( __STDC__ )
END_OF_OPTIMISATION___RGC_OPTIMIZE_207()
#else
END_OF_OPTIMISATION___RGC_OPTIMIZE_207()
#endif
{

{
__T_LOOPING____RGC_OPTIMIZE_239=BNIL;
__T_STATES_FOR_LOOPING____RGC_OPTIMIZE_246=BNIL;
}
}

obj_t
#if defined( __STDC__ )
__END_OF_OPTIMISATION___RGC_OPTIMIZE_182(obj_t ENV_294_112)
#else
__END_OF_OPTIMISATION___RGC_OPTIMIZE_182( ENV_294_112 )
obj_t ENV_294_112;
#endif
{

return END_OF_OPTIMISATION___RGC_OPTIMIZE_207();
}

obj_t
#if defined( __STDC__ )
COMPUTE_LOOPING___RGC_OPTIMIZE_118(obj_t STATE_NUM_224_233,obj_t VECTOR_225_166,obj_t ACCEPT__226_250,obj_t NB_STATES_227_85)
#else
COMPUTE_LOOPING___RGC_OPTIMIZE_118( STATE_NUM_224_233, VECTOR_225_166, ACCEPT__226_250, NB_STATES_227_85 )
obj_t STATE_NUM_224_233, VECTOR_225_166, ACCEPT__226_250, NB_STATES_227_85;
#endif
{

{bool_t __ortest_1003_298_239;
{obj_t AUX_317_25;
{bool_t OBJ_297_135;
OBJ_297_135=BBOOL_TO_CBOOL( __RGC_OPTIM____RGC_PARAM_90 );if( OBJ_297_135)
AUX_317_25=BFALSE;else
AUX_317_25=BTRUE;}__ortest_1003_298_239=BBOOL_TO_CBOOL( AUX_317_25 );}{if( __ortest_1003_298_239)
goto _true_3;else
{bool_t OBJ_299_37;
{obj_t AUX_318_27;
{obj_t VECTOR_249_168;
VECTOR_249_168=__T_LOOPING____RGC_OPTIMIZE_239;AUX_318_27=VECTOR_REF( VECTOR_249_168, STATE_NUM_224_233 );}OBJ_299_37=BBOOL_TO_CBOOL( AUX_318_27 );}if( OBJ_299_37)
goto _false_4;else
goto _true_3;}_true_3:
return BFALSE;_false_4:
{obj_t OBJ1_252_18;
{obj_t VECTOR_253_234;
VECTOR_253_234=__T_LOOPING____RGC_OPTIMIZE_239;OBJ1_252_18=VECTOR_REF( VECTOR_253_234, STATE_NUM_224_233 );}if( EQP( OBJ1_252_18, NOT_YET_1___RGC_OPTIMIZE_30 ))
{
{obj_t OBJ_258_46;
{bool_t __andtest_1000_300_189;
__andtest_1000_300_189=BBOOL_TO_CBOOL( __RGC_OPTIM____RGC_PARAM_90 );if( __andtest_1000_300_189)
{bool_t __andtest_1001_301_76;
{obj_t AUX_319_233;
AUX_319_233=PROCEDURE_ENTRY( ACCEPT__226_250 )( ACCEPT__226_250, STATE_NUM_224_233, BEOA );__andtest_1001_301_76=BBOOL_TO_CBOOL( AUX_319_233 );}if( __andtest_1001_301_76)
{bool_t __andtest_1002_303_102;
{obj_t AUX_320_32;
{bool_t OBJ_302_186;
{obj_t AUX_321_13;
{obj_t PAIR_261_33;
PAIR_261_33=PROCEDURE_ENTRY( ACCEPT__226_250 )( ACCEPT__226_250, STATE_NUM_224_233, BEOA );{obj_t C_CAR_262_114;
C_CAR_262_114=CAR( PAIR_261_33 );AUX_321_13=TRAPPED____RGC_TRAP_203( C_CAR_262_114 );}}OBJ_302_186=BBOOL_TO_CBOOL( AUX_321_13 );}if( OBJ_302_186)
AUX_320_32=BFALSE;else
AUX_320_32=BTRUE;}__andtest_1002_303_102=BBOOL_TO_CBOOL( AUX_320_32 );}if( __andtest_1002_303_102)
{obj_t I_233_121;
{
I_233_121=BINT( 0 );
{_LOOP_232_169:

if( EQ_I( I_233_121, NB_STATES_227_85 ))
OBJ_258_46=BTRUE;else
if( EQ_I( I_233_121, STATE_NUM_224_233 ))
{obj_t I_322_182;
I_322_182=I_233_121;{
I_233_121=ADD_I_PTAG( PSUB_TAG( 1 ), I_322_182 );
goto _LOOP_232_169;
}}else
{bool_t C_VECTOR_REF_304_181;
C_VECTOR_REF_304_181=BBOOL_TO_CBOOL( VECTOR_REF( VECTOR_225_166, I_233_121 ) );if( C_VECTOR_REF_304_181)
OBJ_258_46=BFALSE;else
{obj_t I_323_111;
I_323_111=I_233_121;{
I_233_121=ADD_I_PTAG( PSUB_TAG( 1 ), I_323_111 );
goto _LOOP_232_169;
}}}}
}}else
OBJ_258_46=BFALSE;}else
OBJ_258_46=BFALSE;}else
OBJ_258_46=BFALSE;}{obj_t VECTOR_257_87;
VECTOR_257_87=__T_LOOPING____RGC_OPTIMIZE_239;VECTOR_SET( VECTOR_257_87, STATE_NUM_224_233, OBJ_258_46 );}}
{obj_t VECTOR_270_81;
VECTOR_270_81=__T_LOOPING____RGC_OPTIMIZE_239;return VECTOR_REF( VECTOR_270_81, STATE_NUM_224_233 );}
}else
return BTRUE;};
}}
}

obj_t
#if defined( __STDC__ )
__COMPUTE_LOOPING___RGC_OPTIMIZE_13(obj_t ENV_293_251,obj_t STATE_NUM_224_233,obj_t VECTOR_225_166,obj_t ACCEPT__226_250,obj_t NB_STATES_227_85)
#else
__COMPUTE_LOOPING___RGC_OPTIMIZE_13( ENV_293_251, STATE_NUM_224_233, VECTOR_225_166, ACCEPT__226_250, NB_STATES_227_85 )
obj_t ENV_293_251, STATE_NUM_224_233, VECTOR_225_166, ACCEPT__226_250, NB_STATES_227_85;
#endif
{

return COMPUTE_LOOPING___RGC_OPTIMIZE_118( STATE_NUM_224_233, VECTOR_225_166, ACCEPT__226_250, NB_STATES_227_85 );
}

static obj_t
#if defined( __STDC__ )
COMPUTE_SLOW_LOOPING___RGC_OPTIMIZE_143(obj_t STATE_NUM_234_52,obj_t ACCEPT__235_49)
#else
COMPUTE_SLOW_LOOPING___RGC_OPTIMIZE_143( STATE_NUM_234_52, ACCEPT__235_49 )
obj_t STATE_NUM_234_52, ACCEPT__235_49;
#endif
{

{obj_t OBJ_273_181;
{bool_t __andtest_1004_305_33;
__andtest_1004_305_33=BBOOL_TO_CBOOL( __RGC_OPTIM____RGC_PARAM_90 );if( __andtest_1004_305_33)
{bool_t __andtest_1005_306_126;
{obj_t AUX_311_174;
AUX_311_174=PROCEDURE_ENTRY( ACCEPT__235_49 )( ACCEPT__235_49, STATE_NUM_234_52, BEOA );__andtest_1005_306_126=BBOOL_TO_CBOOL( AUX_311_174 );}if( __andtest_1005_306_126)
{bool_t __andtest_1006_308_231;
{obj_t AUX_312_132;
{bool_t OBJ_307_48;
{obj_t AUX_313_119;
{obj_t PAIR_275_120;
PAIR_275_120=PROCEDURE_ENTRY( ACCEPT__235_49 )( ACCEPT__235_49, STATE_NUM_234_52, BEOA );{obj_t C_CAR_276_198;
C_CAR_276_198=CAR( PAIR_275_120 );AUX_313_119=TRAPPED____RGC_TRAP_203( C_CAR_276_198 );}}OBJ_307_48=BBOOL_TO_CBOOL( AUX_313_119 );}if( OBJ_307_48)
AUX_312_132=BFALSE;else
AUX_312_132=BTRUE;}__andtest_1006_308_231=BBOOL_TO_CBOOL( AUX_312_132 );}if( __andtest_1006_308_231)
{obj_t L_240_208;
{obj_t VECTOR_286_87;
VECTOR_286_87=__T_STATES_FOR_LOOPING____RGC_OPTIMIZE_246;{obj_t C_VECTOR_REF_287_135;
C_VECTOR_REF_287_135=VECTOR_REF( VECTOR_286_87, STATE_NUM_234_52 );{
L_240_208=C_VECTOR_REF_287_135;
{_LOOP_239_36:

if( NULLP( L_240_208 ))
OBJ_273_181=BTRUE;else
{bool_t __ortest_1007_310_171;
{obj_t AUX_314_1;
{bool_t OBJ_309_148;
{obj_t AUX_315_14;
{obj_t OBJ_280_170;
{obj_t PAIR_281_160;
PAIR_281_160=CAR( L_240_208 );OBJ_280_170=CAR( PAIR_281_160 );}{bool_t AUX_316_110;
AUX_316_110=CHARP( OBJ_280_170 );AUX_315_14=CBOOL_TO_BBOOL( AUX_316_110 );}}OBJ_309_148=BBOOL_TO_CBOOL( AUX_315_14 );}if( OBJ_309_148)
AUX_314_1=BFALSE;else
AUX_314_1=BTRUE;}__ortest_1007_310_171=BBOOL_TO_CBOOL( AUX_314_1 );}{if( __ortest_1007_310_171)
goto _true_0;else
{obj_t N1_282_203;
{obj_t PAIR_284_109;
PAIR_284_109=CAR( L_240_208 );N1_282_203=CDR( PAIR_284_109 );}if( EQ_I( N1_282_203, STATE_NUM_234_52 ))
goto _true_0;else
goto _false_1;}_true_0:
{obj_t C_CDR_285_148;
C_CDR_285_148=CDR( L_240_208 );{
L_240_208=C_CDR_285_148;
goto _LOOP_239_36;
}}_false_1:
OBJ_273_181=BFALSE;;
}}}
}}}}else
OBJ_273_181=BFALSE;}else
OBJ_273_181=BFALSE;}else
OBJ_273_181=BFALSE;}{obj_t VECTOR_272_6;
VECTOR_272_6=__T_LOOPING____RGC_OPTIMIZE_239;return VECTOR_SET( VECTOR_272_6, STATE_NUM_234_52, OBJ_273_181 );}}
}

obj_t
#if defined( __STDC__ )
LOOPING____RGC_OPTIMIZE_128(obj_t STATE_NUM_242_95,obj_t ACCEPT__243_203)
#else
LOOPING____RGC_OPTIMIZE_128( STATE_NUM_242_95, ACCEPT__243_203 )
obj_t STATE_NUM_242_95, ACCEPT__243_203;
#endif
{

if( BBOOL_TO_CBOOL( __RGC_OPTIM____RGC_PARAM_90 ))
{obj_t OBJ1_288_56;
{obj_t VECTOR_289_65;
VECTOR_289_65=__T_LOOPING____RGC_OPTIMIZE_239;OBJ1_288_56=VECTOR_REF( VECTOR_289_65, STATE_NUM_242_95 );}if( EQP( OBJ1_288_56, NOT_YET_1___RGC_OPTIMIZE_30 ))
return COMPUTE_SLOW_LOOPING___RGC_OPTIMIZE_143( STATE_NUM_242_95, ACCEPT__243_203 );else
{obj_t VECTOR_290_188;
VECTOR_290_188=__T_LOOPING____RGC_OPTIMIZE_239;return VECTOR_REF( VECTOR_290_188, STATE_NUM_242_95 );}}else
return BFALSE;
}

obj_t
#if defined( __STDC__ )
__LOOPING____RGC_OPTIMIZE_43(obj_t ENV_292_151,obj_t STATE_NUM_242_95,obj_t ACCEPT__243_203)
#else
__LOOPING____RGC_OPTIMIZE_43( ENV_292_151, STATE_NUM_242_95, ACCEPT__243_203 )
obj_t ENV_292_151, STATE_NUM_242_95, ACCEPT__243_203;
#endif
{

return LOOPING____RGC_OPTIMIZE_128( STATE_NUM_242_95, ACCEPT__243_203 );
}

