/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/transition.c                                          */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

extern obj_t STATE__SYMBOL___RGC_AUTOMATA_156();
extern obj_t TRAPPED____RGC_TRAP_203();
static obj_t INPUT_PO_7___RGC_TRANSITION_171 = BUNSPEC;
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t COND_8___RGC_TRANSITION_146 = BUNSPEC;
extern obj_t ___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
obj_t CODE___ENV___RGC_TRANSITION_120 = BUNSPEC;
static obj_t LEAVE_OU_0___RGC_TRANSITION_194 = BUNSPEC;
obj_t ___RGC_TRANSITION_INITIALISATION_ENV___RGC_TRANSITION_132 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ACCEPT___RGC_TRANSITION_169(obj_t, obj_t);
#else
static obj_t ACCEPT___RGC_TRANSITION_169();
#endif
static obj_t ELSE_4___RGC_TRANSITION_237 = BUNSPEC;
DEFINE_STRING( REGULAR__2___RGC_TRANSITION_41, "regular-grammar", 15);
extern obj_t TEST_TRAP___RGC_TRAP_10();
extern obj_t LOOPING____RGC_OPTIMIZE_128();
extern obj_t ___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
static obj_t MR_1___RGC_TRANSITION_94 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____RGC_TRANSITION_239 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
static obj_t INPUT_PO_6___RGC_TRANSITION_52 = BUNSPEC;
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t BEGIN_9___RGC_TRANSITION_127 = BUNSPEC;
#if defined( __STDC__ )
static obj_t ACCEPT_AND_GO___RGC_TRANSITION_241(obj_t, obj_t, obj_t, obj_t);
#else
static obj_t ACCEPT_AND_GO___RGC_TRANSITION_241();
#endif
extern obj_t make_fx_procedure();
#if defined( __STDC__ )
extern obj_t __CODE_____RGC_TRANSITION_11(obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __CODE_____RGC_TRANSITION_11();
#endif
static obj_t EOF_5___RGC_TRANSITION_140 = BUNSPEC;
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
#if defined( __STDC__ )
extern obj_t ____RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_224(obj_t);
#else
extern obj_t ____RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_224();
#endif
extern obj_t ___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
extern obj_t ___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118();
DEFINE_STRING( BADLY_FO_3___RGC_TRANSITION_75, "Badly formed state", 18);
#if defined( __STDC__ )
extern obj_t CODE_____RGC_TRANSITION_203(obj_t, obj_t, obj_t);
#else
extern obj_t CODE_____RGC_TRANSITION_203();
#endif

static obj_t LOOP_231_56();
static obj_t LOOP_236_197();

obj_t
#if defined( __STDC__ )
___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118()
#else
___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_TRANSITION_239 ))
{
REQUIRE_INITIALISATION____RGC_TRANSITION_239=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_TRAP_INITIALISATION___RGC_TRAP_92();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
LEAVE_OU_0___RGC_TRANSITION_194=c_string_to_symbol( "LEAVE-OUT?" );
COND_8___RGC_TRANSITION_146=c_string_to_symbol( "COND" );
INPUT_PO_6___RGC_TRANSITION_52=c_string_to_symbol( "INPUT-PORT" );
MR_1___RGC_TRANSITION_94=c_string_to_symbol( "MR" );
EOF_5___RGC_TRANSITION_140=c_string_to_symbol( "EOF" );
BEGIN_9___RGC_TRANSITION_127=c_string_to_symbol( "BEGIN" );
INPUT_PO_7___RGC_TRANSITION_171=c_string_to_symbol( "INPUT-PORT-REMEMBER-REF" );
ELSE_4___RGC_TRANSITION_237=c_string_to_symbol( "ELSE" );
{
___RGC_TRANSITION_INITIALISATION_ENV___RGC_TRANSITION_132=make_fx_procedure( ____RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_224, 0, 0 );
CODE___ENV___RGC_TRANSITION_120=make_fx_procedure( __CODE_____RGC_TRANSITION_11, 3, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_224(obj_t ENV_330_196)
#else
____RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_224( ENV_330_196 )
obj_t ENV_330_196;
#endif
{

return ___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118();
}

obj_t
#if defined( __STDC__ )
CODE_____RGC_TRANSITION_203(obj_t STATE_NUM_222_118,obj_t CELL_223_15,obj_t ACCEPT__224_133)
#else
CODE_____RGC_TRANSITION_203( STATE_NUM_222_118, CELL_223_15, ACCEPT__224_133 )
obj_t STATE_NUM_222_118, CELL_223_15, ACCEPT__224_133;
#endif
{

{obj_t NEW_STATE_225_92;
{obj_t PAIR_242_149;
PAIR_242_149=CDR( CELL_223_15 );NEW_STATE_225_92=CAR( PAIR_242_149 );}{obj_t A__226_16;
A__226_16=PROCEDURE_ENTRY( ACCEPT__224_133 )( ACCEPT__224_133, NEW_STATE_225_92, BEOA );if( NULLP( A__226_16 ))
{obj_t AUX_365_7;
AUX_365_7=PROCEDURE_ENTRY( ACCEPT__224_133 )( ACCEPT__224_133, LEAVE_OU_0___RGC_TRANSITION_194, BEOA );if( BBOOL_TO_CBOOL( AUX_365_7 ))
{obj_t VA_ARG_274_185;
VA_ARG_274_185=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_275_194;
VA_ARG_275_194=MAKE_PAIR( MR_1___RGC_TRANSITION_94, VA_ARG_274_185 );{obj_t AUX_364_30;
AUX_364_30=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_225_92 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_364_30, VA_ARG_275_194 );}}}else
FAILURE( BREF( &REGULAR__2___RGC_TRANSITION_41), BREF( &BADLY_FO_3___RGC_TRANSITION_75), STATE_NUM_222_118 );}else
{obj_t AUX_366_173;
AUX_366_173=PROCEDURE_ENTRY( ACCEPT__224_133 )( ACCEPT__224_133, LEAVE_OU_0___RGC_TRANSITION_194, BEOA );if( BBOOL_TO_CBOOL( AUX_366_173 ))
return ACCEPT_AND_GO___RGC_TRANSITION_241( STATE_NUM_222_118, A__226_16, NEW_STATE_225_92, ACCEPT__224_133 );else
return ACCEPT___RGC_TRANSITION_169( STATE_NUM_222_118, A__226_16 );}}}
}

obj_t
#if defined( __STDC__ )
__CODE_____RGC_TRANSITION_11(obj_t ENV_329_109,obj_t STATE_NUM_222_118,obj_t CELL_223_15,obj_t ACCEPT__224_133)
#else
__CODE_____RGC_TRANSITION_11( ENV_329_109, STATE_NUM_222_118, CELL_223_15, ACCEPT__224_133 )
obj_t ENV_329_109, STATE_NUM_222_118, CELL_223_15, ACCEPT__224_133;
#endif
{

return CODE_____RGC_TRANSITION_203( STATE_NUM_222_118, CELL_223_15, ACCEPT__224_133 );
}

static obj_t
#if defined( __STDC__ )
ACCEPT_AND_GO___RGC_TRANSITION_241(obj_t STATE_NUM_227_140,obj_t A__228_175,obj_t NEW_STATE_229_207,obj_t ACCEPT__230_211)
#else
ACCEPT_AND_GO___RGC_TRANSITION_241( STATE_NUM_227_140, A__228_175, NEW_STATE_229_207, ACCEPT__230_211 )
obj_t STATE_NUM_227_140, A__228_175, NEW_STATE_229_207, ACCEPT__230_211;
#endif
{

{obj_t C_CAR_248_212;
C_CAR_248_212=CAR( A__228_175 );{obj_t AUX_363_65;
AUX_363_65=TRAPPED____RGC_TRAP_203( C_CAR_248_212 );if( BBOOL_TO_CBOOL( AUX_363_65 ))
{obj_t VA_ARG_278_77;
{obj_t AUX_355_6;
{obj_t AUX_357_81, AUX_356_20;
AUX_357_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_356_20=LOOP_231_56( NEW_STATE_229_207, A__228_175 );AUX_355_6=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_356_20, AUX_357_81 );}VA_ARG_278_77=MAKE_PAIR( AUX_355_6, BNIL );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( COND_8___RGC_TRANSITION_146, VA_ARG_278_77 );}else
{obj_t AUX_362_36;
AUX_362_36=LOOPING____RGC_OPTIMIZE_128( NEW_STATE_229_207, ACCEPT__230_211 );if( BBOOL_TO_CBOOL( AUX_362_36 ))
{obj_t VA_ARG_299_122;
VA_ARG_299_122=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_358_98;
AUX_358_98=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_229_207 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_358_98, VA_ARG_299_122 );}}else
{obj_t VA_ARG_300_9;
VA_ARG_300_9=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_301_89;
{obj_t VA_ARG_305_159;
VA_ARG_305_159=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_306_155;
{obj_t C_CAR_263_246;
C_CAR_263_246=CAR( A__228_175 );VA_ARG_306_155=MAKE_PAIR( C_CAR_263_246, VA_ARG_305_159 );}{obj_t AUX_359_21;
{obj_t AUX_360_188;
AUX_360_188=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_229_207 );AUX_359_21=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_360_188, VA_ARG_306_155 );}VA_ARG_301_89=MAKE_PAIR( AUX_359_21, VA_ARG_300_9 );}}}{obj_t VA_ARG_302_3;
{obj_t VA_ARG_303_61;
VA_ARG_303_61=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_303_61 );{obj_t AUX_361_40;
AUX_361_40=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_304_93 );VA_ARG_302_3=MAKE_PAIR( AUX_361_40, VA_ARG_301_89 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_9___RGC_TRANSITION_127, VA_ARG_302_3 );}}}}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_231_56(obj_t NEW_STATE_229_207,obj_t A__232_131)
#else
LOOP_231_56( NEW_STATE_229_207, A__232_131 )
obj_t NEW_STATE_229_207, A__232_131;
#endif
{

if( NULLP( A__232_131 ))
{obj_t VA_ARG_279_72;
VA_ARG_279_72=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_280_35;
{obj_t VA_ARG_281_206;
VA_ARG_281_206=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_282_95;
VA_ARG_282_95=MAKE_PAIR( MR_1___RGC_TRANSITION_94, VA_ARG_281_206 );{obj_t AUX_343_67;
{obj_t AUX_344_2;
AUX_344_2=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_229_207 );AUX_343_67=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_344_2, VA_ARG_282_95 );}VA_ARG_280_35=MAKE_PAIR( AUX_343_67, VA_ARG_279_72 );}}}{obj_t VA_ARG_283_116;
VA_ARG_283_116=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_345_15;
AUX_345_15=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_4___RGC_TRANSITION_237, VA_ARG_280_35 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_345_15, VA_ARG_283_116 );}}}}else
{obj_t C_CAR_249_224;
C_CAR_249_224=CAR( A__232_131 );{obj_t AUX_354_24;
AUX_354_24=TRAPPED____RGC_TRAP_203( C_CAR_249_224 );if( BBOOL_TO_CBOOL( AUX_354_24 ))
{obj_t TRAP_233_205;
{obj_t C_CAR_250_251;
C_CAR_250_251=CAR( A__232_131 );TRAP_233_205=TRAPPED____RGC_TRAP_203( C_CAR_250_251 );}{obj_t OBJ2_254_165;
{obj_t C_CDR_261_188;
C_CDR_261_188=CDR( A__232_131 );OBJ2_254_165=LOOP_231_56( NEW_STATE_229_207, C_CDR_261_188 );}{obj_t OBJ1_253_214;
{obj_t C_CAR_256_113;
C_CAR_256_113=CAR( A__232_131 );{obj_t VA_ARG_284_252;
VA_ARG_284_252=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_285_192;
{obj_t AUX_346_115;
if( EQP( TRAP_233_205, EOF_5___RGC_TRANSITION_140 ))
AUX_346_115=C_CAR_256_113;else
{obj_t VA_ARG_289_85;
VA_ARG_289_85=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_290_185;
VA_ARG_290_185=MAKE_PAIR( C_CAR_256_113, VA_ARG_289_85 );{obj_t AUX_347_48;
AUX_347_48=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_229_207 );AUX_346_115=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_347_48, VA_ARG_290_185 );}}}VA_ARG_285_192=MAKE_PAIR( AUX_346_115, VA_ARG_284_252 );}{obj_t VA_ARG_286_54;
{obj_t VA_ARG_287_221;
VA_ARG_287_221=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_288_178;
VA_ARG_288_178=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_287_221 );{obj_t AUX_348_223;
AUX_348_223=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_288_178 );VA_ARG_286_54=MAKE_PAIR( AUX_348_223, VA_ARG_285_192 );}}}{obj_t AUX_349_148;
AUX_349_148=TEST_TRAP___RGC_TRAP_10( C_CAR_256_113 );OBJ1_253_214=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_349_148, VA_ARG_286_54 );}}}}}return MAKE_PAIR( OBJ1_253_214, OBJ2_254_165 );}}}else
{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_292_29;
{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_297_55;
{obj_t C_CAR_262_114;
C_CAR_262_114=CAR( A__232_131 );VA_ARG_297_55=MAKE_PAIR( C_CAR_262_114, VA_ARG_296_143 );}{obj_t AUX_350_17;
{obj_t AUX_351_127;
AUX_351_127=STATE__SYMBOL___RGC_AUTOMATA_156( NEW_STATE_229_207 );AUX_350_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_351_127, VA_ARG_297_55 );}VA_ARG_292_29=MAKE_PAIR( AUX_350_17, VA_ARG_291_194 );}}}{obj_t VA_ARG_293_164;
{obj_t VA_ARG_294_105;
VA_ARG_294_105=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_295_134;
VA_ARG_295_134=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_294_105 );{obj_t AUX_352_92;
AUX_352_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_295_134 );VA_ARG_293_164=MAKE_PAIR( AUX_352_92, VA_ARG_292_29 );}}}{obj_t VA_ARG_298_130;
VA_ARG_298_130=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_353_91;
AUX_353_91=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_4___RGC_TRANSITION_237, VA_ARG_293_164 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_353_91, VA_ARG_298_130 );}}}}}}}
}

static obj_t
#if defined( __STDC__ )
ACCEPT___RGC_TRANSITION_169(obj_t STATE_NUM_234_52,obj_t A__235_120)
#else
ACCEPT___RGC_TRANSITION_169( STATE_NUM_234_52, A__235_120 )
obj_t STATE_NUM_234_52, A__235_120;
#endif
{

{obj_t C_CAR_264_142;
C_CAR_264_142=CAR( A__235_120 );{obj_t AUX_342_186;
AUX_342_186=TRAPPED____RGC_TRAP_203( C_CAR_264_142 );if( BBOOL_TO_CBOOL( AUX_342_186 ))
{obj_t VA_ARG_307_42;
{obj_t AUX_338_183;
{obj_t AUX_340_28, AUX_339_167;
AUX_340_28=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_339_167=LOOP_236_197( A__235_120 );AUX_338_183=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_339_167, AUX_340_28 );}VA_ARG_307_42=MAKE_PAIR( AUX_338_183, BNIL );}return CONS____R4_PAIRS_AND_LISTS_6_3_28( COND_8___RGC_TRANSITION_146, VA_ARG_307_42 );}else
{obj_t VA_ARG_322_198;
VA_ARG_322_198=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_323_168;
{obj_t C_CAR_273_156;
C_CAR_273_156=CAR( A__235_120 );VA_ARG_323_168=MAKE_PAIR( C_CAR_273_156, VA_ARG_322_198 );}{obj_t VA_ARG_324_46;
{obj_t VA_ARG_325_79;
VA_ARG_325_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_326_241;
VA_ARG_326_241=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_325_79 );{obj_t AUX_341_210;
AUX_341_210=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_326_241 );VA_ARG_324_46=MAKE_PAIR( AUX_341_210, VA_ARG_323_168 );}}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( BEGIN_9___RGC_TRANSITION_127, VA_ARG_324_46 );}}}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_236_197(obj_t A__237_203)
#else
LOOP_236_197( A__237_203 )
obj_t A__237_203;
#endif
{

if( NULLP( A__237_203 ))
{obj_t VA_ARG_308_240;
VA_ARG_308_240=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( MR_1___RGC_TRANSITION_94, VA_ARG_308_240 );{obj_t VA_ARG_310_42;
VA_ARG_310_42=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_332_103;
AUX_332_103=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_4___RGC_TRANSITION_237, VA_ARG_309_255 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_332_103, VA_ARG_310_42 );}}}}else
{obj_t C_CAR_265_230;
C_CAR_265_230=CAR( A__237_203 );{obj_t AUX_337_78;
AUX_337_78=TRAPPED____RGC_TRAP_203( C_CAR_265_230 );if( BBOOL_TO_CBOOL( AUX_337_78 ))
{obj_t OBJ2_267_244;
{obj_t C_CDR_271_182;
C_CDR_271_182=CDR( A__237_203 );OBJ2_267_244=LOOP_236_197( C_CDR_271_182 );}{obj_t OBJ1_266_175;
{obj_t C_CAR_269_205;
C_CAR_269_205=CAR( A__237_203 );{obj_t VA_ARG_311_155;
VA_ARG_311_155=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_312_159;
VA_ARG_312_159=MAKE_PAIR( C_CAR_269_205, VA_ARG_311_155 );{obj_t VA_ARG_313_93;
{obj_t VA_ARG_314_61;
VA_ARG_314_61=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_315_3;
VA_ARG_315_3=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_314_61 );{obj_t AUX_333_70;
AUX_333_70=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_315_3 );VA_ARG_313_93=MAKE_PAIR( AUX_333_70, VA_ARG_312_159 );}}}{obj_t AUX_334_22;
AUX_334_22=TEST_TRAP___RGC_TRAP_10( C_CAR_269_205 );OBJ1_266_175=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_334_22, VA_ARG_313_93 );}}}}}return MAKE_PAIR( OBJ1_266_175, OBJ2_267_244 );}}else
{obj_t VA_ARG_316_89;
VA_ARG_316_89=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_317_9;
{obj_t C_CAR_272_241;
C_CAR_272_241=CAR( A__237_203 );VA_ARG_317_9=MAKE_PAIR( C_CAR_272_241, VA_ARG_316_89 );}{obj_t VA_ARG_318_82;
{obj_t VA_ARG_319_106;
VA_ARG_319_106=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_320_254;
VA_ARG_320_254=MAKE_PAIR( INPUT_PO_6___RGC_TRANSITION_52, VA_ARG_319_106 );{obj_t AUX_335_58;
AUX_335_58=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_7___RGC_TRANSITION_171, VA_ARG_320_254 );VA_ARG_318_82=MAKE_PAIR( AUX_335_58, VA_ARG_317_9 );}}}{obj_t VA_ARG_321_41;
VA_ARG_321_41=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_336_75;
AUX_336_75=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_4___RGC_TRANSITION_237, VA_ARG_318_82 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_336_75, VA_ARG_321_41 );}}}}}}}
}

