/*---------------------------------------------------------------------*/
/*    Copyright (c) 1994 by Manuel Serrano. All rights reserved.       */
/*                                                                     */
/*                                     ,--^,                           */
/*                               _ ___/ /|/                            */
/*                           ,;'( )__, ) '                             */
/*                          ;;  //   L__.                              */
/*                          '   \    /  '                              */
/*                               ^   ^                                 */
/*                                                                     */
/*                                                                     */
/*    This program is distributed in the hope that it will be useful.  */
/*    Use and copying of this software and preparation of derivative   */
/*    works based upon this software are permitted, so long as the     */
/*    following conditions are met:                                    */
/*           o credit to the authors is acknowledged following         */
/*             current academic behaviour                              */
/*           o no fees or compensation are charged for use, copies,    */
/*             or access to this software                              */
/*           o this copyright notice is included intact.               */
/*      This software is made available AS IS, and no warranty is made */
/*      about the software or its performance.                         */
/*                                                                     */
/*      Bug descriptions, use reports, comments or suggestions are     */
/*      welcome Send them to                                           */
/*        <Manuel.Serrano@inria.fr>                                    */
/*        Manuel Serrano                                               */
/*        INRIA -- Rocquencourt                                        */
/*        Domaine de Voluceau, BP 105                                  */
/*        78153 Le Chesnay Cedex                                       */
/*        France                                                       */
/*---------------------------------------------------------------------*/


/*=====================================================================*/
/*   .Olib_u/Rgc/ustate.c                                              */
/*   Bigloo (v1.7)                                                     */
/*   Manuel Serrano (c)       Mon Apr 3 14:29:42 EDT 1995              */
/*=====================================================================*/
#include <bigloo.h>

static obj_t IF_4___RGC_USTATE_181 = BUNSPEC;
extern obj_t STATE__SYMBOL___RGC_AUTOMATA_156();
extern obj_t ___RGC_USTATE_INITIALISATION___RGC_USTATE_199();
#if defined( __STDC__ )
extern obj_t DECL_USTATE___RGC_USTATE_4(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t DECL_USTATE___RGC_USTATE_4();
#endif
#if defined( __STDC__ )
static obj_t CODE_USTATE___RGC_USTATE_238(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t CODE_USTATE___RGC_USTATE_238();
#endif
extern obj_t APPEND_2___R4_PAIRS_AND_LISTS_6_3_226();
static obj_t ELSE_2___RGC_USTATE_55 = BUNSPEC;
extern obj_t __RGC_FIRST_CHAR____RGC_PARAM_219;
obj_t DECL_USTATE_ENV___RGC_USTATE_206 = BUNSPEC;
static obj_t DUMMY_8___RGC_USTATE_128 = BUNSPEC;
static obj_t INPUT_PO_1___RGC_USTATE_135 = BUNSPEC;
extern obj_t LOOPING____RGC_OPTIMIZE_128();
obj_t ___RGC_USTATE_INITIALISATION_ENV___RGC_USTATE_204 = BUNSPEC;
extern obj_t ___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
extern obj_t ___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
#if defined( __STDC__ )
extern obj_t __DECL_USTATE___RGC_USTATE_170(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
#else
extern obj_t __DECL_USTATE___RGC_USTATE_170();
#endif
static obj_t INPUT_PO_0___RGC_USTATE_23 = BUNSPEC;
#if defined( __STDC__ )
static obj_t CODE_ULOOPING___RGC_USTATE_171(obj_t, obj_t, obj_t, obj_t, obj_t);
#else
static obj_t CODE_ULOOPING___RGC_USTATE_171();
#endif
static obj_t MR_7___RGC_USTATE_43 = BUNSPEC;
static obj_t REQUIRE_INITIALISATION____RGC_USTATE_217 = BUNSPEC;
static obj_t INPUT_PO_3___RGC_USTATE_166 = BUNSPEC;
extern obj_t ___ERROR_INITIALISATION___ERROR_92();
#if defined( __STDC__ )
extern obj_t ____RGC_USTATE_INITIALISATION___RGC_USTATE_44(obj_t);
#else
extern obj_t ____RGC_USTATE_INITIALISATION___RGC_USTATE_44();
#endif
extern obj_t CONS____R4_PAIRS_AND_LISTS_6_3_28();
static obj_t INPUT_PO_5___RGC_USTATE_65 = BUNSPEC;
static obj_t CASE_6___RGC_USTATE_200 = BUNSPEC;
extern obj_t make_fx_procedure();
extern obj_t ___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
extern obj_t ___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
extern obj_t ___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118();
extern obj_t CODE_____RGC_TRANSITION_203();

static obj_t LOOP_237_87();
static obj_t LOOP_247_50();

obj_t
#if defined( __STDC__ )
___RGC_USTATE_INITIALISATION___RGC_USTATE_199()
#else
___RGC_USTATE_INITIALISATION___RGC_USTATE_199()
#endif
{

if( BBOOL_TO_CBOOL( REQUIRE_INITIALISATION____RGC_USTATE_217 ))
{
REQUIRE_INITIALISATION____RGC_USTATE_217=BFALSE;
___ERROR_INITIALISATION___ERROR_92();
___RGC_TRANSITION_INITIALISATION___RGC_TRANSITION_118();
___RGC_PARAM_INITIALISATION___RGC_PARAM_88();
___R4_PAIRS_AND_LISTS_6_3_INITIALISATION___R4_PAIRS_AND_LISTS_6_3_208();
___RGC_AUTOMATA_INITIALISATION___RGC_AUTOMATA_153();
___RGC_OPTIMIZE_INITIALISATION___RGC_OPTIMIZE_187();
CASE_6___RGC_USTATE_200=c_string_to_symbol( "CASE" );
INPUT_PO_0___RGC_USTATE_23=c_string_to_symbol( "INPUT-PORT" );
IF_4___RGC_USTATE_181=c_string_to_symbol( "IF" );
DUMMY_8___RGC_USTATE_128=c_string_to_symbol( "DUMMY" );
INPUT_PO_1___RGC_USTATE_135=c_string_to_symbol( "INPUT-PORT-REMEMBER-BACK-REF" );
INPUT_PO_5___RGC_USTATE_65=c_string_to_symbol( "INPUT-PORT-READ-CHAR" );
MR_7___RGC_USTATE_43=c_string_to_symbol( "MR" );
INPUT_PO_3___RGC_USTATE_166=c_string_to_symbol( "INPUT-PORT-FILL-BUFFER" );
ELSE_2___RGC_USTATE_55=c_string_to_symbol( "ELSE" );
{
___RGC_USTATE_INITIALISATION_ENV___RGC_USTATE_204=make_fx_procedure( ____RGC_USTATE_INITIALISATION___RGC_USTATE_44, 0, 0 );
DECL_USTATE_ENV___RGC_USTATE_206=make_fx_procedure( __DECL_USTATE___RGC_USTATE_170, 5, 0 );
return BINT( 0 );
}
}else
return BUNSPEC;
}

obj_t
#if defined( __STDC__ )
____RGC_USTATE_INITIALISATION___RGC_USTATE_44(obj_t ENV_334_224)
#else
____RGC_USTATE_INITIALISATION___RGC_USTATE_44( ENV_334_224 )
obj_t ENV_334_224;
#endif
{

return ___RGC_USTATE_INITIALISATION___RGC_USTATE_199();
}

obj_t
#if defined( __STDC__ )
DECL_USTATE___RGC_USTATE_4(obj_t STATE_NAME_222_92,obj_t VECTOR_223_100,obj_t ACCEPT__224_133,obj_t NB_STATES_225_237,obj_t STATE_NUM_226_51)
#else
DECL_USTATE___RGC_USTATE_4( STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51 )
obj_t STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51;
#endif
{

{obj_t AUX_374_177;
AUX_374_177=LOOPING____RGC_OPTIMIZE_128( STATE_NUM_226_51, ACCEPT__224_133 );if( BBOOL_TO_CBOOL( AUX_374_177 ))
return CODE_ULOOPING___RGC_USTATE_171( STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51 );else
return CODE_USTATE___RGC_USTATE_238( STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51 );}
}

obj_t
#if defined( __STDC__ )
__DECL_USTATE___RGC_USTATE_170(obj_t ENV_333_204,obj_t STATE_NAME_222_92,obj_t VECTOR_223_100,obj_t ACCEPT__224_133,obj_t NB_STATES_225_237,obj_t STATE_NUM_226_51)
#else
__DECL_USTATE___RGC_USTATE_170( ENV_333_204, STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51 )
obj_t ENV_333_204, STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51;
#endif
{

return DECL_USTATE___RGC_USTATE_4( STATE_NAME_222_92, VECTOR_223_100, ACCEPT__224_133, NB_STATES_225_237, STATE_NUM_226_51 );
}

static obj_t
#if defined( __STDC__ )
CODE_ULOOPING___RGC_USTATE_171(obj_t STATE_NAME_232_186,obj_t VECTOR_233_56,obj_t ACCEPT__234_213,obj_t NB_STATES_235_184,obj_t STATE_NUM_236_0)
#else
CODE_ULOOPING___RGC_USTATE_171( STATE_NAME_232_186, VECTOR_233_56, ACCEPT__234_213, NB_STATES_235_184, STATE_NUM_236_0 )
obj_t STATE_NAME_232_186, VECTOR_233_56, ACCEPT__234_213, NB_STATES_235_184, STATE_NUM_236_0;
#endif
{

{obj_t VA_ARG_283_116;
VA_ARG_283_116=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_284_252;
{obj_t VA_ARG_286_54;
VA_ARG_286_54=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_287_221;
{obj_t VA_ARG_307_42;
{obj_t AUX_353_91;
{obj_t AUX_355_6, AUX_354_24;
AUX_355_6=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_354_24=PROCEDURE_ENTRY( ACCEPT__234_213 )( ACCEPT__234_213, STATE_NUM_236_0, BEOA );AUX_353_91=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_354_24, AUX_355_6 );}VA_ARG_307_42=MAKE_PAIR( AUX_353_91, BNIL );}{obj_t VA_ARG_308_240;
{obj_t VA_ARG_309_255;
VA_ARG_309_255=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_310_42;
VA_ARG_310_42=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_309_255 );{obj_t AUX_356_20;
AUX_356_20=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_1___RGC_USTATE_135, VA_ARG_310_42 );VA_ARG_308_240=MAKE_PAIR( AUX_356_20, VA_ARG_307_42 );}}}{obj_t AUX_357_81;
AUX_357_81=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_2___RGC_USTATE_55, VA_ARG_308_240 );VA_ARG_287_221=MAKE_PAIR( AUX_357_81, VA_ARG_286_54 );}}}{obj_t VA_ARG_288_178;
{obj_t VA_ARG_296_143;
VA_ARG_296_143=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_297_55;
{obj_t VA_ARG_301_89;
{obj_t AUX_358_98;
{obj_t AUX_360_188, AUX_359_21;
AUX_360_188=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_359_21=PROCEDURE_ENTRY( ACCEPT__234_213 )( ACCEPT__234_213, STATE_NUM_236_0, BEOA );AUX_358_98=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_359_21, AUX_360_188 );}VA_ARG_301_89=MAKE_PAIR( AUX_358_98, BNIL );}{obj_t VA_ARG_302_3;
{obj_t VA_ARG_306_155;
VA_ARG_306_155=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_361_40;
AUX_361_40=CONS____R4_PAIRS_AND_LISTS_6_3_28( STATE_NAME_232_186, VA_ARG_306_155 );VA_ARG_302_3=MAKE_PAIR( AUX_361_40, VA_ARG_301_89 );}}{obj_t VA_ARG_303_61;
{obj_t VA_ARG_304_93;
VA_ARG_304_93=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_305_159;
VA_ARG_305_159=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_304_93 );{obj_t AUX_362_36;
AUX_362_36=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_3___RGC_USTATE_166, VA_ARG_305_159 );VA_ARG_303_61=MAKE_PAIR( AUX_362_36, VA_ARG_302_3 );}}}{obj_t AUX_363_65;
AUX_363_65=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_4___RGC_USTATE_181, VA_ARG_303_61 );VA_ARG_297_55=MAKE_PAIR( AUX_363_65, VA_ARG_296_143 );}}}}{obj_t VA_ARG_298_130;
{obj_t VA_ARG_299_122;
VA_ARG_299_122=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_300_9;
VA_ARG_300_9=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_299_122 );{obj_t AUX_364_30;
AUX_364_30=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_1___RGC_USTATE_135, VA_ARG_300_9 );VA_ARG_298_130=MAKE_PAIR( AUX_364_30, VA_ARG_297_55 );}}}{obj_t AUX_365_7;
{obj_t AUX_366_173;
{obj_t AUX_367_73;
{obj_t AUX_369_169, AUX_368_234;
AUX_369_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );AUX_368_234=LOOP_237_87( BINT( 0 ) );AUX_367_73=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_368_234, AUX_369_169 );}AUX_366_173=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_367_73, BNIL );}AUX_365_7=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_366_173, VA_ARG_298_130 );}VA_ARG_288_178=MAKE_PAIR( AUX_365_7, VA_ARG_287_221 );}}}}{obj_t VA_ARG_289_85;
{obj_t C_VECTOR_REF_251_14;
C_VECTOR_REF_251_14=VECTOR_REF( VECTOR_233_56, STATE_NUM_236_0 );{obj_t VA_ARG_293_164;
VA_ARG_293_164=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_294_105;
{obj_t VA_ARG_295_134;
VA_ARG_295_134=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_370_56;
AUX_370_56=CONS____R4_PAIRS_AND_LISTS_6_3_28( STATE_NAME_232_186, VA_ARG_295_134 );VA_ARG_294_105=MAKE_PAIR( AUX_370_56, VA_ARG_293_164 );}}{obj_t AUX_371_68;
AUX_371_68=CONS____R4_PAIRS_AND_LISTS_6_3_28( C_VECTOR_REF_251_14, VA_ARG_294_105 );VA_ARG_289_85=MAKE_PAIR( AUX_371_68, VA_ARG_288_178 );}}}}{obj_t VA_ARG_290_185;
{obj_t VA_ARG_291_194;
VA_ARG_291_194=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_292_29;
VA_ARG_292_29=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_291_194 );{obj_t AUX_372_234;
AUX_372_234=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_5___RGC_USTATE_65, VA_ARG_292_29 );VA_ARG_290_185=MAKE_PAIR( AUX_372_234, VA_ARG_289_85 );}}}{obj_t AUX_373_169;
AUX_373_169=CONS____R4_PAIRS_AND_LISTS_6_3_28( CASE_6___RGC_USTATE_200, VA_ARG_290_185 );VA_ARG_284_252=MAKE_PAIR( AUX_373_169, VA_ARG_283_116 );}}}}}}{obj_t VA_ARG_285_192;
VA_ARG_285_192=MAKE_PAIR( BNIL, VA_ARG_284_252 );return CONS____R4_PAIRS_AND_LISTS_6_3_28( STATE_NAME_232_186, VA_ARG_285_192 );}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_237_87(obj_t I_238_134)
#else
LOOP_237_87( I_238_134 )
obj_t I_238_134;
#endif
{

{obj_t N2_254_55;
N2_254_55=__RGC_FIRST_CHAR____RGC_PARAM_219;if( EQ_I( I_238_134, N2_254_55 ))
return BNIL;else
{obj_t OBJ2_257_231;
OBJ2_257_231=LOOP_237_87( ADD_I_PTAG( PSUB_TAG( 1 ), I_238_134 ) );return MAKE_PAIR( I_238_134, OBJ2_257_231 );}}
}

static obj_t
#if defined( __STDC__ )
CODE_USTATE___RGC_USTATE_238(obj_t STATE_NAME_239_148,obj_t VECTOR_240_66,obj_t ACCEPT__241_120,obj_t NB_STATES_242_21,obj_t STATE_NUM_243_116)
#else
CODE_USTATE___RGC_USTATE_238( STATE_NAME_239_148, VECTOR_240_66, ACCEPT__241_120, NB_STATES_242_21, STATE_NUM_243_116 )
obj_t STATE_NAME_239_148, VECTOR_240_66, ACCEPT__241_120, NB_STATES_242_21, STATE_NUM_243_116;
#endif
{

{obj_t VA_ARG_311_155;
VA_ARG_311_155=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_312_159;
{obj_t VA_ARG_315_3;
{obj_t I_245_154, RES_246_0;
{obj_t AUX_336_75;
{obj_t AUX_349_148, AUX_337_78;
AUX_349_148=CONS____R4_PAIRS_AND_LISTS_6_3_28( BNIL, BNIL );{
RES_246_0=BNIL;
I_245_154=SUB_I_PTAG( NB_STATES_242_21, PSUB_TAG( 1 ) );
{_FOR_244_1:

if( LT_I( I_245_154, BINT( 0 ) ))
{obj_t VA_ARG_319_106;
VA_ARG_319_106=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_320_254;
{obj_t VA_ARG_321_41;
VA_ARG_321_41=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_322_198;
VA_ARG_322_198=MAKE_PAIR( MR_7___RGC_USTATE_43, VA_ARG_321_41 );{obj_t VA_ARG_323_168;
{obj_t VA_ARG_327_156;
VA_ARG_327_156=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_328_83;
VA_ARG_328_83=MAKE_PAIR( MR_7___RGC_USTATE_43, VA_ARG_327_156 );{obj_t AUX_338_183;
{obj_t AUX_339_167;
AUX_339_167=STATE__SYMBOL___RGC_AUTOMATA_156( STATE_NUM_243_116 );AUX_338_183=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_339_167, VA_ARG_328_83 );}VA_ARG_323_168=MAKE_PAIR( AUX_338_183, VA_ARG_322_198 );}}}{obj_t VA_ARG_324_46;
{obj_t VA_ARG_325_79;
VA_ARG_325_79=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_326_241;
VA_ARG_326_241=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_325_79 );{obj_t AUX_340_28;
AUX_340_28=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_3___RGC_USTATE_166, VA_ARG_326_241 );VA_ARG_324_46=MAKE_PAIR( AUX_340_28, VA_ARG_323_168 );}}}{obj_t AUX_341_210;
AUX_341_210=CONS____R4_PAIRS_AND_LISTS_6_3_28( IF_4___RGC_USTATE_181, VA_ARG_324_46 );VA_ARG_320_254=MAKE_PAIR( AUX_341_210, VA_ARG_319_106 );}}}}}{obj_t VA_ARG_329_128;
VA_ARG_329_128=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_330_213;
{obj_t VA_ARG_331_49;
VA_ARG_331_49=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_332_190;
VA_ARG_332_190=MAKE_PAIR( MR_7___RGC_USTATE_43, VA_ARG_331_49 );{obj_t AUX_342_186;
AUX_342_186=CONS____R4_PAIRS_AND_LISTS_6_3_28( ELSE_2___RGC_USTATE_55, VA_ARG_332_190 );VA_ARG_330_213=MAKE_PAIR( AUX_342_186, VA_ARG_329_128 );}}}{obj_t AUX_343_67;
{obj_t AUX_344_2;
{obj_t AUX_345_15;
AUX_345_15=LOOP_247_50( BINT( 0 ) );AUX_344_2=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_345_15, VA_ARG_320_254 );}AUX_343_67=CONS____R4_PAIRS_AND_LISTS_6_3_28( AUX_344_2, VA_ARG_330_213 );}AUX_337_78=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( RES_246_0, AUX_343_67 );}}}}}else
{obj_t OBJ_269_75;
OBJ_269_75=VECTOR_REF( VECTOR_240_66, I_245_154 );if( NULLP( OBJ_269_75 ))
{obj_t I_346_246;
I_346_246=I_245_154;{
I_245_154=SUB_I_PTAG( I_346_246, PSUB_TAG( 1 ) );
goto _FOR_244_1;
}}else
{obj_t OBJ1_274_138;
{obj_t C_CONS_281_247;
{obj_t L_279_56;
{obj_t C_CONS_280_204;
C_CONS_280_204=MAKE_PAIR( I_245_154, BNIL );L_279_56=MAKE_PAIR( DUMMY_8___RGC_USTATE_128, C_CONS_280_204 );}{obj_t AUX_347_48;
AUX_347_48=CODE_____RGC_TRANSITION_203( STATE_NUM_243_116, L_279_56, ACCEPT__241_120 );C_CONS_281_247=MAKE_PAIR( AUX_347_48, BNIL );}}OBJ1_274_138=MAKE_PAIR( OBJ_269_75, C_CONS_281_247 );}{obj_t C_CONS_275_235;
C_CONS_275_235=MAKE_PAIR( OBJ1_274_138, RES_246_0 );{obj_t I_348_162;
I_348_162=I_245_154;{
RES_246_0=C_CONS_275_235;
I_245_154=SUB_I_PTAG( I_348_162, PSUB_TAG( 1 ) );
goto _FOR_244_1;
}}}}}}
}AUX_336_75=APPEND_2___R4_PAIRS_AND_LISTS_6_3_226( AUX_337_78, AUX_349_148 );}VA_ARG_315_3=MAKE_PAIR( AUX_336_75, BNIL );}}{obj_t VA_ARG_316_89;
{obj_t VA_ARG_317_9;
VA_ARG_317_9=MAKE_PAIR( BNIL, BNIL );{obj_t VA_ARG_318_82;
VA_ARG_318_82=MAKE_PAIR( INPUT_PO_0___RGC_USTATE_23, VA_ARG_317_9 );{obj_t AUX_350_17;
AUX_350_17=CONS____R4_PAIRS_AND_LISTS_6_3_28( INPUT_PO_5___RGC_USTATE_65, VA_ARG_318_82 );VA_ARG_316_89=MAKE_PAIR( AUX_350_17, VA_ARG_315_3 );}}}{obj_t AUX_351_127;
AUX_351_127=CONS____R4_PAIRS_AND_LISTS_6_3_28( CASE_6___RGC_USTATE_200, VA_ARG_316_89 );VA_ARG_312_159=MAKE_PAIR( AUX_351_127, VA_ARG_311_155 );}}}{obj_t VA_ARG_313_93;
{obj_t VA_ARG_314_61;
VA_ARG_314_61=MAKE_PAIR( BNIL, BNIL );{obj_t AUX_352_92;
AUX_352_92=CONS____R4_PAIRS_AND_LISTS_6_3_28( MR_7___RGC_USTATE_43, VA_ARG_314_61 );VA_ARG_313_93=MAKE_PAIR( AUX_352_92, VA_ARG_312_159 );}}return CONS____R4_PAIRS_AND_LISTS_6_3_28( STATE_NAME_239_148, VA_ARG_313_93 );}}}
}

static obj_t
#if defined( __STDC__ )
LOOP_247_50(obj_t I_248_35)
#else
LOOP_247_50( I_248_35 )
obj_t I_248_35;
#endif
{

{obj_t N2_264_12;
N2_264_12=__RGC_FIRST_CHAR____RGC_PARAM_219;if( EQ_I( I_248_35, N2_264_12 ))
return BNIL;else
{obj_t OBJ2_265_236;
OBJ2_265_236=LOOP_247_50( ADD_I_PTAG( PSUB_TAG( 1 ), I_248_35 ) );return MAKE_PAIR( I_248_35, OBJ2_265_236 );}}
}

